#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2727
#define LARGE_STATE_COUNT 582
#define SYMBOL_COUNT 405
#define ALIAS_COUNT 0
#define TOKEN_COUNT 196
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 25
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 186

enum ts_symbol_identifiers {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  anon_sym_AMP = 7,
  aux_sym_function_static_declaration_token1 = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  aux_sym_global_declaration_token1 = 11,
  aux_sym_namespace_definition_token1 = 12,
  aux_sym_namespace_use_declaration_token1 = 13,
  aux_sym_namespace_use_declaration_token2 = 14,
  aux_sym_namespace_use_declaration_token3 = 15,
  anon_sym_BSLASH = 16,
  aux_sym_namespace_aliasing_clause_token1 = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  aux_sym_trait_declaration_token1 = 20,
  aux_sym_interface_declaration_token1 = 21,
  aux_sym_base_clause_token1 = 22,
  aux_sym_enum_declaration_token1 = 23,
  anon_sym_COLON = 24,
  anon_sym_string = 25,
  anon_sym_int = 26,
  aux_sym_enum_case_token1 = 27,
  aux_sym_class_declaration_token1 = 28,
  aux_sym_final_modifier_token1 = 29,
  aux_sym_abstract_modifier_token1 = 30,
  aux_sym_readonly_modifier_token1 = 31,
  aux_sym_class_interface_clause_token1 = 32,
  sym_var_modifier = 33,
  aux_sym_use_instead_of_clause_token1 = 34,
  aux_sym_visibility_modifier_token1 = 35,
  aux_sym_visibility_modifier_token2 = 36,
  aux_sym_visibility_modifier_token3 = 37,
  aux_sym__arrow_function_header_token1 = 38,
  anon_sym_EQ_GT = 39,
  anon_sym_LPAREN = 40,
  anon_sym_RPAREN = 41,
  anon_sym_DOT_DOT_DOT = 42,
  anon_sym_QMARK = 43,
  sym_bottom_type = 44,
  anon_sym_PIPE = 45,
  anon_sym_array = 46,
  aux_sym_primitive_type_token1 = 47,
  anon_sym_iterable = 48,
  anon_sym_bool = 49,
  anon_sym_float = 50,
  anon_sym_void = 51,
  anon_sym_mixed = 52,
  anon_sym_static = 53,
  anon_sym_false = 54,
  anon_sym_null = 55,
  anon_sym_true = 56,
  aux_sym_cast_type_token1 = 57,
  aux_sym_cast_type_token2 = 58,
  aux_sym_cast_type_token3 = 59,
  aux_sym_cast_type_token4 = 60,
  aux_sym_cast_type_token5 = 61,
  aux_sym_cast_type_token6 = 62,
  aux_sym_cast_type_token7 = 63,
  aux_sym_cast_type_token8 = 64,
  aux_sym_cast_type_token9 = 65,
  aux_sym_cast_type_token10 = 66,
  aux_sym_cast_type_token11 = 67,
  aux_sym_cast_type_token12 = 68,
  aux_sym_echo_statement_token1 = 69,
  anon_sym_unset = 70,
  aux_sym_declare_statement_token1 = 71,
  aux_sym_declare_statement_token2 = 72,
  anon_sym_ticks = 73,
  anon_sym_encoding = 74,
  anon_sym_strict_types = 75,
  sym_float = 76,
  aux_sym_try_statement_token1 = 77,
  aux_sym_catch_clause_token1 = 78,
  aux_sym_finally_clause_token1 = 79,
  aux_sym_goto_statement_token1 = 80,
  aux_sym_continue_statement_token1 = 81,
  aux_sym_break_statement_token1 = 82,
  sym_integer = 83,
  aux_sym_return_statement_token1 = 84,
  aux_sym_throw_expression_token1 = 85,
  aux_sym_while_statement_token1 = 86,
  aux_sym_while_statement_token2 = 87,
  aux_sym_do_statement_token1 = 88,
  aux_sym_for_statement_token1 = 89,
  aux_sym_for_statement_token2 = 90,
  aux_sym_foreach_statement_token1 = 91,
  aux_sym_foreach_statement_token2 = 92,
  aux_sym_if_statement_token1 = 93,
  aux_sym_if_statement_token2 = 94,
  aux_sym_else_if_clause_token1 = 95,
  aux_sym_else_clause_token1 = 96,
  aux_sym_match_expression_token1 = 97,
  aux_sym_match_default_expression_token1 = 98,
  aux_sym_switch_statement_token1 = 99,
  aux_sym_switch_block_token1 = 100,
  anon_sym_AT = 101,
  anon_sym_PLUS = 102,
  anon_sym_DASH = 103,
  anon_sym_TILDE = 104,
  anon_sym_BANG = 105,
  anon_sym_STAR_STAR = 106,
  aux_sym_clone_expression_token1 = 107,
  anon_sym_COLON_COLON = 108,
  aux_sym_print_intrinsic_token1 = 109,
  aux_sym_object_creation_expression_token1 = 110,
  anon_sym_PLUS_PLUS = 111,
  anon_sym_DASH_DASH = 112,
  anon_sym_STAR_STAR_EQ = 113,
  anon_sym_STAR_EQ = 114,
  anon_sym_SLASH_EQ = 115,
  anon_sym_PERCENT_EQ = 116,
  anon_sym_PLUS_EQ = 117,
  anon_sym_DASH_EQ = 118,
  anon_sym_DOT_EQ = 119,
  anon_sym_LT_LT_EQ = 120,
  anon_sym_GT_GT_EQ = 121,
  anon_sym_AMP_EQ = 122,
  anon_sym_CARET_EQ = 123,
  anon_sym_PIPE_EQ = 124,
  anon_sym_QMARK_QMARK_EQ = 125,
  anon_sym_DASH_GT = 126,
  anon_sym_QMARK_DASH_GT = 127,
  aux_sym__list_destructing_token1 = 128,
  anon_sym_LBRACK = 129,
  anon_sym_RBRACK = 130,
  anon_sym_self = 131,
  anon_sym_parent = 132,
  anon_sym_POUND_LBRACK = 133,
  sym_escape_sequence = 134,
  anon_sym_BSLASHu = 135,
  anon_sym_SQUOTE = 136,
  anon_sym_LT_QMARK = 137,
  anon_sym_QMARK_GT2 = 138,
  aux_sym_encapsed_string_token1 = 139,
  anon_sym_DQUOTE = 140,
  aux_sym_string_token1 = 141,
  aux_sym_string_token2 = 142,
  sym_string_value = 143,
  anon_sym_LT_LT_LT = 144,
  anon_sym_DQUOTE2 = 145,
  sym__new_line = 146,
  anon_sym_ = 147,
  anon_sym_SQUOTE2 = 148,
  anon_sym_BQUOTE = 149,
  sym_boolean = 150,
  sym_null = 151,
  anon_sym_DOLLAR = 152,
  aux_sym_yield_expression_token1 = 153,
  aux_sym_yield_expression_token2 = 154,
  aux_sym_binary_expression_token1 = 155,
  anon_sym_QMARK_QMARK = 156,
  aux_sym_binary_expression_token2 = 157,
  aux_sym_binary_expression_token3 = 158,
  aux_sym_binary_expression_token4 = 159,
  anon_sym_PIPE_PIPE = 160,
  anon_sym_AMP_AMP = 161,
  anon_sym_CARET = 162,
  anon_sym_EQ_EQ = 163,
  anon_sym_BANG_EQ = 164,
  anon_sym_LT_GT = 165,
  anon_sym_EQ_EQ_EQ = 166,
  anon_sym_BANG_EQ_EQ = 167,
  anon_sym_LT = 168,
  anon_sym_GT = 169,
  anon_sym_LT_EQ = 170,
  anon_sym_GT_EQ = 171,
  anon_sym_LT_EQ_GT = 172,
  anon_sym_LT_LT = 173,
  anon_sym_GT_GT = 174,
  anon_sym_DOT = 175,
  anon_sym_STAR = 176,
  anon_sym_SLASH = 177,
  anon_sym_PERCENT = 178,
  aux_sym_include_expression_token1 = 179,
  aux_sym_include_once_expression_token1 = 180,
  aux_sym_require_expression_token1 = 181,
  aux_sym_require_once_expression_token1 = 182,
  sym_comment = 183,
  sym__automatic_semicolon = 184,
  sym_encapsed_string_chars = 185,
  sym_encapsed_string_chars_after_variable = 186,
  sym_execution_string_chars = 187,
  sym_execution_string_chars_after_variable = 188,
  sym_encapsed_string_chars_heredoc = 189,
  sym_encapsed_string_chars_after_variable_heredoc = 190,
  sym__eof = 191,
  sym_heredoc_start = 192,
  sym_heredoc_end = 193,
  sym_nowdoc_string = 194,
  sym_sentinel_error = 195,
  sym_program = 196,
  sym_text_interpolation = 197,
  sym_text = 198,
  sym_empty_statement = 199,
  sym_reference_modifier = 200,
  sym_function_static_declaration = 201,
  sym_static_variable_declaration = 202,
  sym_global_declaration = 203,
  sym_namespace_definition = 204,
  sym_namespace_use_declaration = 205,
  sym_namespace_use_clause = 206,
  sym_qualified_name = 207,
  sym_namespace_name_as_prefix = 208,
  sym_namespace_name = 209,
  sym_namespace_aliasing_clause = 210,
  sym_namespace_use_group = 211,
  sym_namespace_use_group_clause = 212,
  sym_trait_declaration = 213,
  sym_interface_declaration = 214,
  sym_base_clause = 215,
  sym_enum_declaration = 216,
  sym_enum_declaration_list = 217,
  sym__enum_member_declaration = 218,
  sym_enum_case = 219,
  sym_class_declaration = 220,
  sym_declaration_list = 221,
  sym_final_modifier = 222,
  sym_abstract_modifier = 223,
  sym_readonly_modifier = 224,
  sym_class_interface_clause = 225,
  sym__member_declaration = 226,
  sym_const_declaration = 227,
  sym__class_const_declaration = 228,
  sym__const_declaration = 229,
  sym_property_declaration = 230,
  sym__modifier = 231,
  sym_property_element = 232,
  sym_property_initializer = 233,
  sym_method_declaration = 234,
  sym_static_modifier = 235,
  sym_use_declaration = 236,
  sym_use_list = 237,
  sym_use_instead_of_clause = 238,
  sym_use_as_clause = 239,
  sym_visibility_modifier = 240,
  sym_function_definition = 241,
  sym__function_definition_header = 242,
  sym__arrow_function_header = 243,
  sym_arrow_function = 244,
  sym_formal_parameters = 245,
  sym_property_promotion_parameter = 246,
  sym_simple_parameter = 247,
  sym_variadic_parameter = 248,
  sym__type = 249,
  sym__types = 250,
  sym_named_type = 251,
  sym_optional_type = 252,
  sym_union_type = 253,
  sym_intersection_type = 254,
  sym_disjunctive_normal_form_type = 255,
  sym_primitive_type = 256,
  sym_cast_type = 257,
  sym__return_type = 258,
  sym_const_element = 259,
  sym_echo_statement = 260,
  sym_unset_statement = 261,
  sym_declare_statement = 262,
  sym_declare_directive = 263,
  sym_try_statement = 264,
  sym_catch_clause = 265,
  sym_type_list = 266,
  sym_finally_clause = 267,
  sym_goto_statement = 268,
  sym_continue_statement = 269,
  sym_break_statement = 270,
  sym_return_statement = 271,
  sym_throw_expression = 272,
  sym_while_statement = 273,
  sym_do_statement = 274,
  sym_for_statement = 275,
  sym__expressions = 276,
  sym_sequence_expression = 277,
  sym_foreach_statement = 278,
  sym_foreach_pair = 279,
  sym_if_statement = 280,
  sym_colon_block = 281,
  sym_else_if_clause = 282,
  sym_else_clause = 283,
  sym_else_if_clause_2 = 284,
  sym_else_clause_2 = 285,
  sym_match_expression = 286,
  sym_match_block = 287,
  sym_match_condition_list = 288,
  sym_match_conditional_expression = 289,
  sym_match_default_expression = 290,
  sym_switch_statement = 291,
  sym_switch_block = 292,
  sym_case_statement = 293,
  sym_default_statement = 294,
  sym_compound_statement = 295,
  sym_named_label_statement = 296,
  sym_expression_statement = 297,
  sym__expression = 298,
  sym__unary_expression = 299,
  sym_unary_op_expression = 300,
  sym_exponentiation_expression = 301,
  sym_clone_expression = 302,
  sym__primary_expression = 303,
  sym_parenthesized_expression = 304,
  sym_class_constant_access_expression = 305,
  sym_print_intrinsic = 306,
  sym_anonymous_function_creation_expression = 307,
  sym_anonymous_function_use_clause = 308,
  sym_object_creation_expression = 309,
  sym_update_expression = 310,
  sym_cast_expression = 311,
  sym_cast_variable = 312,
  sym_assignment_expression = 313,
  sym_reference_assignment_expression = 314,
  sym_conditional_expression = 315,
  sym_augmented_assignment_expression = 316,
  sym_member_access_expression = 317,
  sym_nullsafe_member_access_expression = 318,
  sym_scoped_property_access_expression = 319,
  sym_list_literal = 320,
  sym__list_destructing = 321,
  sym__array_destructing = 322,
  sym__array_destructing_element = 323,
  sym_function_call_expression = 324,
  sym_scoped_call_expression = 325,
  sym__scope_resolution_qualifier = 326,
  sym_relative_scope = 327,
  sym_variadic_placeholder = 328,
  sym_arguments = 329,
  sym_argument = 330,
  sym_member_call_expression = 331,
  sym_nullsafe_member_call_expression = 332,
  sym_variadic_unpacking = 333,
  sym_subscript_expression = 334,
  sym__dereferencable_expression = 335,
  sym_array_creation_expression = 336,
  sym_attribute_group = 337,
  sym_attribute_list = 338,
  sym_attribute = 339,
  sym__complex_string_part = 340,
  sym__simple_string_member_access_expression = 341,
  sym__simple_string_subscript_unary_expression = 342,
  sym__simple_string_array_access_argument = 343,
  sym__simple_string_subscript_expression = 344,
  sym__simple_string_part = 345,
  aux_sym__interpolated_string_body = 346,
  aux_sym__interpolated_string_body_heredoc = 347,
  sym_encapsed_string = 348,
  sym_string = 349,
  sym_heredoc_body = 350,
  sym_heredoc = 351,
  sym_nowdoc_body = 352,
  sym_nowdoc = 353,
  aux_sym__interpolated_execution_operator_body = 354,
  sym_shell_command_expression = 355,
  sym__string = 356,
  sym_dynamic_variable_name = 357,
  sym_variable_name = 358,
  sym_variable_reference = 359,
  sym_by_ref = 360,
  sym_yield_expression = 361,
  sym_array_element_initializer = 362,
  sym_binary_expression = 363,
  sym_include_expression = 364,
  sym_include_once_expression = 365,
  sym_require_expression = 366,
  sym_require_once_expression = 367,
  sym__reserved_identifier = 368,
  aux_sym_program_repeat1 = 369,
  aux_sym_text_repeat1 = 370,
  aux_sym_function_static_declaration_repeat1 = 371,
  aux_sym_global_declaration_repeat1 = 372,
  aux_sym_namespace_use_declaration_repeat1 = 373,
  aux_sym_namespace_name_repeat1 = 374,
  aux_sym_namespace_use_group_repeat1 = 375,
  aux_sym_base_clause_repeat1 = 376,
  aux_sym_enum_declaration_list_repeat1 = 377,
  aux_sym_declaration_list_repeat1 = 378,
  aux_sym__const_declaration_repeat1 = 379,
  aux_sym_property_declaration_repeat1 = 380,
  aux_sym_property_declaration_repeat2 = 381,
  aux_sym_use_list_repeat1 = 382,
  aux_sym_formal_parameters_repeat1 = 383,
  aux_sym_union_type_repeat1 = 384,
  aux_sym_intersection_type_repeat1 = 385,
  aux_sym_disjunctive_normal_form_type_repeat1 = 386,
  aux_sym_unset_statement_repeat1 = 387,
  aux_sym_try_statement_repeat1 = 388,
  aux_sym_type_list_repeat1 = 389,
  aux_sym_if_statement_repeat1 = 390,
  aux_sym_if_statement_repeat2 = 391,
  aux_sym_match_block_repeat1 = 392,
  aux_sym_match_condition_list_repeat1 = 393,
  aux_sym_switch_block_repeat1 = 394,
  aux_sym_anonymous_function_use_clause_repeat1 = 395,
  aux_sym__list_destructing_repeat1 = 396,
  aux_sym__array_destructing_repeat1 = 397,
  aux_sym_arguments_repeat1 = 398,
  aux_sym_array_creation_expression_repeat1 = 399,
  aux_sym_attribute_group_repeat1 = 400,
  aux_sym_attribute_list_repeat1 = 401,
  aux_sym_string_repeat1 = 402,
  aux_sym_heredoc_body_repeat1 = 403,
  aux_sym_nowdoc_body_repeat1 = 404,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_static] = "static",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_AT] = "@",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym_object_creation_expression_token1] = "new",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_value",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_LT_QMARK] = "string_value",
  [anon_sym_QMARK_GT2] = "string_value",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [aux_sym_string_token2] = "escape_sequence",
  [sym_string_value] = "string_value",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_] = "nowdoc_string",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_value",
  [sym_encapsed_string_chars_after_variable] = "string_value",
  [sym_execution_string_chars] = "string_value",
  [sym_execution_string_chars_after_variable] = "string_value",
  [sym_encapsed_string_chars_heredoc] = "string_value",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_value",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym__type] = "_type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym__expression] = "_expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_exponentiation_expression] = "exponentiation_expression",
  [sym_clone_expression] = "clone_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_variable_reference] = "by_ref",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_declaration_repeat2] = "property_declaration_repeat2",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = anon_sym_static,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym_object_creation_expression_token1] = aux_sym_object_creation_expression_token1,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_value,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_LT_QMARK] = sym_string_value,
  [anon_sym_QMARK_GT2] = sym_string_value,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [aux_sym_string_token2] = sym_escape_sequence,
  [sym_string_value] = sym_string_value,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_] = sym_nowdoc_string,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_value,
  [sym_encapsed_string_chars_after_variable] = sym_string_value,
  [sym_execution_string_chars] = sym_string_value,
  [sym_execution_string_chars_after_variable] = sym_string_value,
  [sym_encapsed_string_chars_heredoc] = sym_string_value,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_value,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym__type] = sym__type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym__expression] = sym__expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_exponentiation_expression] = sym_exponentiation_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_variable_reference] = sym_by_ref,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_declaration_repeat2] = aux_sym_property_declaration_repeat2,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_object_creation_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [sym_string_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_exponentiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_arguments = 2,
  field_attributes = 3,
  field_body = 4,
  field_condition = 5,
  field_conditional_expressions = 6,
  field_default_value = 7,
  field_end_tag = 8,
  field_function = 9,
  field_identifier = 10,
  field_left = 11,
  field_modifier = 12,
  field_name = 13,
  field_object = 14,
  field_operator = 15,
  field_parameters = 16,
  field_readonly = 17,
  field_reference_modifier = 18,
  field_return_expression = 19,
  field_return_type = 20,
  field_right = 21,
  field_scope = 22,
  field_type = 23,
  field_value = 24,
  field_visibility = 25,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_left] = "left",
  [field_modifier] = "modifier",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_type] = "type",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 5},
  [10] = {.index = 13, .length = 1},
  [11] = {.index = 14, .length = 2},
  [12] = {.index = 16, .length = 2},
  [13] = {.index = 18, .length = 2},
  [14] = {.index = 20, .length = 2},
  [15] = {.index = 22, .length = 2},
  [17] = {.index = 24, .length = 2},
  [18] = {.index = 26, .length = 2},
  [19] = {.index = 28, .length = 1},
  [20] = {.index = 29, .length = 5},
  [21] = {.index = 34, .length = 2},
  [22] = {.index = 36, .length = 3},
  [23] = {.index = 39, .length = 2},
  [24] = {.index = 41, .length = 2},
  [25] = {.index = 43, .length = 2},
  [26] = {.index = 45, .length = 6},
  [27] = {.index = 51, .length = 2},
  [28] = {.index = 53, .length = 2},
  [29] = {.index = 55, .length = 2},
  [30] = {.index = 57, .length = 2},
  [31] = {.index = 59, .length = 2},
  [32] = {.index = 61, .length = 2},
  [33] = {.index = 63, .length = 3},
  [34] = {.index = 66, .length = 3},
  [35] = {.index = 69, .length = 3},
  [36] = {.index = 72, .length = 1},
  [37] = {.index = 73, .length = 3},
  [38] = {.index = 76, .length = 2},
  [39] = {.index = 78, .length = 1},
  [40] = {.index = 79, .length = 3},
  [41] = {.index = 82, .length = 2},
  [42] = {.index = 84, .length = 3},
  [43] = {.index = 87, .length = 2},
  [44] = {.index = 89, .length = 1},
  [45] = {.index = 90, .length = 3},
  [46] = {.index = 93, .length = 3},
  [47] = {.index = 96, .length = 1},
  [50] = {.index = 97, .length = 3},
  [51] = {.index = 100, .length = 1},
  [52] = {.index = 101, .length = 3},
  [53] = {.index = 104, .length = 2},
  [54] = {.index = 106, .length = 2},
  [55] = {.index = 108, .length = 2},
  [56] = {.index = 110, .length = 2},
  [57] = {.index = 112, .length = 3},
  [58] = {.index = 115, .length = 3},
  [59] = {.index = 118, .length = 3},
  [60] = {.index = 121, .length = 3},
  [61] = {.index = 124, .length = 3},
  [62] = {.index = 127, .length = 3},
  [63] = {.index = 130, .length = 2},
  [64] = {.index = 132, .length = 3},
  [65] = {.index = 135, .length = 3},
  [66] = {.index = 138, .length = 2},
  [67] = {.index = 140, .length = 2},
  [68] = {.index = 142, .length = 3},
  [69] = {.index = 145, .length = 3},
  [70] = {.index = 148, .length = 2},
  [71] = {.index = 150, .length = 3},
  [72] = {.index = 153, .length = 2},
  [73] = {.index = 155, .length = 3},
  [74] = {.index = 158, .length = 3},
  [75] = {.index = 161, .length = 3},
  [76] = {.index = 164, .length = 2},
  [77] = {.index = 166, .length = 4},
  [78] = {.index = 170, .length = 4},
  [79] = {.index = 174, .length = 3},
  [80] = {.index = 177, .length = 3},
  [81] = {.index = 180, .length = 2},
  [82] = {.index = 182, .length = 4},
  [83] = {.index = 186, .length = 2},
  [84] = {.index = 188, .length = 2},
  [85] = {.index = 188, .length = 2},
  [86] = {.index = 190, .length = 2},
  [87] = {.index = 192, .length = 4},
  [88] = {.index = 196, .length = 2},
  [89] = {.index = 198, .length = 3},
  [90] = {.index = 201, .length = 2},
  [91] = {.index = 203, .length = 4},
  [92] = {.index = 207, .length = 3},
  [93] = {.index = 210, .length = 4},
  [94] = {.index = 214, .length = 3},
  [95] = {.index = 217, .length = 1},
  [96] = {.index = 218, .length = 3},
  [98] = {.index = 221, .length = 2},
  [99] = {.index = 223, .length = 3},
  [100] = {.index = 226, .length = 4},
  [101] = {.index = 230, .length = 4},
  [102] = {.index = 234, .length = 3},
  [103] = {.index = 237, .length = 3},
  [104] = {.index = 240, .length = 4},
  [105] = {.index = 244, .length = 4},
  [106] = {.index = 248, .length = 3},
  [107] = {.index = 251, .length = 3},
  [108] = {.index = 254, .length = 4},
  [109] = {.index = 258, .length = 3},
  [110] = {.index = 261, .length = 3},
  [111] = {.index = 264, .length = 3},
  [112] = {.index = 267, .length = 4},
  [113] = {.index = 271, .length = 3},
  [114] = {.index = 274, .length = 3},
  [115] = {.index = 277, .length = 3},
  [116] = {.index = 280, .length = 3},
  [117] = {.index = 283, .length = 4},
  [118] = {.index = 287, .length = 4},
  [119] = {.index = 291, .length = 3},
  [120] = {.index = 294, .length = 4},
  [121] = {.index = 298, .length = 3},
  [122] = {.index = 301, .length = 4},
  [123] = {.index = 305, .length = 3},
  [124] = {.index = 308, .length = 5},
  [125] = {.index = 313, .length = 4},
  [126] = {.index = 317, .length = 5},
  [127] = {.index = 322, .length = 2},
  [128] = {.index = 324, .length = 1},
  [129] = {.index = 325, .length = 2},
  [130] = {.index = 327, .length = 1},
  [133] = {.index = 328, .length = 3},
  [134] = {.index = 331, .length = 5},
  [135] = {.index = 336, .length = 2},
  [136] = {.index = 338, .length = 3},
  [137] = {.index = 341, .length = 4},
  [138] = {.index = 345, .length = 3},
  [139] = {.index = 348, .length = 3},
  [140] = {.index = 351, .length = 4},
  [141] = {.index = 355, .length = 4},
  [142] = {.index = 359, .length = 3},
  [143] = {.index = 362, .length = 5},
  [144] = {.index = 367, .length = 4},
  [145] = {.index = 371, .length = 4},
  [146] = {.index = 375, .length = 3},
  [147] = {.index = 375, .length = 3},
  [148] = {.index = 378, .length = 4},
  [149] = {.index = 382, .length = 5},
  [150] = {.index = 387, .length = 4},
  [151] = {.index = 391, .length = 4},
  [152] = {.index = 395, .length = 4},
  [153] = {.index = 399, .length = 4},
  [154] = {.index = 403, .length = 4},
  [155] = {.index = 407, .length = 4},
  [156] = {.index = 411, .length = 5},
  [157] = {.index = 416, .length = 4},
  [158] = {.index = 420, .length = 4},
  [159] = {.index = 424, .length = 4},
  [160] = {.index = 428, .length = 1},
  [161] = {.index = 429, .length = 5},
  [162] = {.index = 434, .length = 6},
  [163] = {.index = 440, .length = 2},
  [164] = {.index = 442, .length = 1},
  [165] = {.index = 443, .length = 3},
  [166] = {.index = 446, .length = 5},
  [167] = {.index = 451, .length = 4},
  [168] = {.index = 455, .length = 5},
  [169] = {.index = 460, .length = 4},
  [170] = {.index = 464, .length = 4},
  [171] = {.index = 468, .length = 5},
  [172] = {.index = 473, .length = 3},
  [173] = {.index = 476, .length = 4},
  [174] = {.index = 480, .length = 5},
  [175] = {.index = 485, .length = 5},
  [176] = {.index = 490, .length = 5},
  [177] = {.index = 495, .length = 5},
  [178] = {.index = 500, .length = 5},
  [179] = {.index = 505, .length = 2},
  [180] = {.index = 507, .length = 2},
  [181] = {.index = 509, .length = 3},
  [182] = {.index = 512, .length = 5},
  [183] = {.index = 517, .length = 5},
  [184] = {.index = 522, .length = 6},
  [185] = {.index = 528, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_body, 1},
  [3] =
    {field_parameters, 1},
  [4] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [13] =
    {field_name, 1},
  [14] =
    {field_body, 2},
    {field_name, 1},
  [16] =
    {field_name, 1},
    {field_parameters, 2},
  [18] =
    {field_body, 2},
    {field_parameters, 1},
  [20] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [22] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [24] =
    {field_body, 2},
    {field_condition, 1},
  [26] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [28] =
    {field_parameters, 2},
  [29] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [34] =
    {field_left, 0},
    {field_right, 2},
  [36] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [39] =
    {field_name, 2},
    {field_scope, 0},
  [41] =
    {field_name, 2},
    {field_object, 0},
  [43] =
    {field_attributes, 0},
    {field_parameters, 2},
  [45] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [51] =
    {field_body, 3},
    {field_parameters, 2},
  [53] =
    {field_name, 0},
    {field_value, 2},
  [55] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [57] =
    {field_name, 1},
    {field_visibility, 0},
  [59] =
    {field_name, 1},
    {field_type, 0},
  [61] =
    {field_attributes, 0},
    {field_name, 1},
  [63] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [66] =
    {field_name, 2},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [69] =
    {field_body, 3},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [72] =
    {field_return_type, 1},
  [73] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [76] =
    {field_body, 3},
    {field_parameters, 1},
  [78] =
    {field_type, 1},
  [79] =
    {field_attributes, 0, .inherited = true},
    {field_modifier, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [82] =
    {field_body, 3},
    {field_name, 1},
  [84] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [87] =
    {field_type, 1},
    {field_value, 3},
  [89] =
    {field_alternative, 0},
  [90] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [93] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [96] =
    {field_attributes, 1},
  [97] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [100] =
    {field_reference_modifier, 0},
  [101] =
    {field_body, 3},
    {field_modifier, 0},
    {field_name, 2},
  [104] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [106] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [108] =
    {field_alternative, 3},
    {field_condition, 0},
  [110] =
    {field_left, 0},
    {field_right, 3},
  [112] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [115] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [118] =
    {field_attributes, 0},
    {field_body, 3},
    {field_parameters, 2},
  [121] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [124] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [127] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [130] =
    {field_attributes, 0},
    {field_parameters, 3},
  [132] =
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [135] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [138] =
    {field_body, 4},
    {field_parameters, 2},
  [140] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [142] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [145] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [148] =
    {field_name, 2},
    {field_type, 0},
  [150] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [153] =
    {field_attributes, 0},
    {field_name, 2},
  [155] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [158] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [161] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [164] =
    {field_default_value, 2},
    {field_name, 0},
  [166] =
    {field_name, 2},
    {field_parameters, 3},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [170] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [174] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [177] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [180] =
    {field_modifier, 0},
    {field_type, 1, .inherited = true},
  [182] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [186] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [188] =
    {field_body, 4},
    {field_name, 1},
  [190] =
    {field_body, 1},
    {field_condition, 3},
  [192] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [196] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [198] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [201] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [203] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
  [207] =
    {field_body, 4},
    {field_modifier, 0},
    {field_name, 2},
  [210] =
    {field_body, 4},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [214] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [217] =
    {field_type, 2},
  [218] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [221] =
    {field_name, 3},
    {field_object, 0},
  [223] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
  [226] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [230] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [234] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
  [237] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [240] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [244] =
    {field_attributes, 0},
    {field_body, 4},
    {field_modifier, 1},
    {field_name, 3},
  [248] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [251] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [254] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [258] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [261] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [264] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [267] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [271] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [274] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [277] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [280] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [283] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [287] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [291] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [294] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [298] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [301] =
    {field_body, 5},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [305] =
    {field_attributes, 0},
    {field_modifier, 1},
    {field_type, 2, .inherited = true},
  [308] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [313] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [317] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [322] =
    {field_body, 5},
    {field_name, 1},
  [324] =
    {field_return_expression, 2},
  [325] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [327] =
    {field_value, 1},
  [328] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [331] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [336] =
    {field_name, 0},
    {field_reference_modifier, 2},
  [338] =
    {field_body, 5},
    {field_modifier, 0},
    {field_name, 2},
  [341] =
    {field_body, 5},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [345] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [348] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [351] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [355] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [359] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
  [362] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [367] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [371] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [375] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [378] =
    {field_attributes, 0},
    {field_body, 5},
    {field_modifier, 1},
    {field_name, 3},
  [382] =
    {field_attributes, 0},
    {field_body, 5},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [387] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [391] =
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [395] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [399] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [403] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [407] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [411] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [416] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [420] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [424] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [428] =
    {field_attributes, 0},
  [429] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_reference_modifier, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [434] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_reference_modifier, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [440] =
    {field_body, 4},
    {field_type, 2},
  [442] =
    {field_body, 6},
  [443] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [446] =
    {field_end_tag, 6},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [451] =
    {field_body, 6},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [455] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [460] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [464] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
  [468] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [473] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [476] =
    {field_attributes, 0},
    {field_body, 6},
    {field_modifier, 1},
    {field_name, 3},
  [480] =
    {field_attributes, 0},
    {field_body, 6},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [485] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [490] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [495] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [500] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [505] =
    {field_attributes, 0},
    {field_type, 2},
  [507] =
    {field_name, 1},
    {field_value, 3},
  [509] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [512] =
    {field_attributes, 0},
    {field_body, 7},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
  [517] =
    {field_attributes, 0},
    {field_body, 7},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [522] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [528] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [5] = {
    [0] = sym_list_literal,
  },
  [6] = {
    [0] = sym_string_value,
  },
  [16] = {
    [0] = anon_sym_array,
  },
  [48] = {
    [1] = sym_list_literal,
  },
  [49] = {
    [2] = sym_list_literal,
  },
  [84] = {
    [3] = sym_primitive_type,
  },
  [97] = {
    [3] = sym_name,
  },
  [127] = {
    [3] = sym_primitive_type,
  },
  [131] = {
    [3] = sym_list_literal,
  },
  [132] = {
    [4] = sym_list_literal,
  },
  [146] = {
    [4] = sym_primitive_type,
  },
  [172] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__expression, 2,
    sym__expression,
    sym_name,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 7,
  [10] = 2,
  [11] = 8,
  [12] = 12,
  [13] = 12,
  [14] = 12,
  [15] = 12,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 19,
  [22] = 22,
  [23] = 22,
  [24] = 20,
  [25] = 25,
  [26] = 26,
  [27] = 20,
  [28] = 26,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 35,
  [37] = 34,
  [38] = 18,
  [39] = 20,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 25,
  [44] = 30,
  [45] = 34,
  [46] = 29,
  [47] = 30,
  [48] = 48,
  [49] = 49,
  [50] = 18,
  [51] = 18,
  [52] = 41,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 16,
  [57] = 31,
  [58] = 55,
  [59] = 32,
  [60] = 53,
  [61] = 25,
  [62] = 30,
  [63] = 33,
  [64] = 22,
  [65] = 41,
  [66] = 42,
  [67] = 33,
  [68] = 33,
  [69] = 30,
  [70] = 41,
  [71] = 25,
  [72] = 22,
  [73] = 19,
  [74] = 19,
  [75] = 40,
  [76] = 19,
  [77] = 34,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 78,
  [82] = 80,
  [83] = 79,
  [84] = 80,
  [85] = 80,
  [86] = 86,
  [87] = 86,
  [88] = 86,
  [89] = 86,
  [90] = 90,
  [91] = 91,
  [92] = 90,
  [93] = 90,
  [94] = 91,
  [95] = 91,
  [96] = 90,
  [97] = 91,
  [98] = 91,
  [99] = 91,
  [100] = 90,
  [101] = 101,
  [102] = 101,
  [103] = 101,
  [104] = 101,
  [105] = 101,
  [106] = 106,
  [107] = 106,
  [108] = 106,
  [109] = 106,
  [110] = 106,
  [111] = 106,
  [112] = 106,
  [113] = 106,
  [114] = 114,
  [115] = 115,
  [116] = 115,
  [117] = 114,
  [118] = 118,
  [119] = 118,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 118,
  [124] = 124,
  [125] = 125,
  [126] = 121,
  [127] = 118,
  [128] = 122,
  [129] = 120,
  [130] = 120,
  [131] = 118,
  [132] = 118,
  [133] = 120,
  [134] = 134,
  [135] = 120,
  [136] = 124,
  [137] = 120,
  [138] = 125,
  [139] = 118,
  [140] = 118,
  [141] = 120,
  [142] = 134,
  [143] = 120,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 145,
  [149] = 146,
  [150] = 150,
  [151] = 151,
  [152] = 144,
  [153] = 153,
  [154] = 147,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 159,
  [163] = 163,
  [164] = 163,
  [165] = 165,
  [166] = 166,
  [167] = 160,
  [168] = 158,
  [169] = 159,
  [170] = 161,
  [171] = 161,
  [172] = 166,
  [173] = 161,
  [174] = 160,
  [175] = 158,
  [176] = 166,
  [177] = 159,
  [178] = 165,
  [179] = 165,
  [180] = 163,
  [181] = 165,
  [182] = 160,
  [183] = 163,
  [184] = 158,
  [185] = 166,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 190,
  [193] = 186,
  [194] = 194,
  [195] = 187,
  [196] = 196,
  [197] = 197,
  [198] = 190,
  [199] = 190,
  [200] = 190,
  [201] = 190,
  [202] = 194,
  [203] = 197,
  [204] = 204,
  [205] = 205,
  [206] = 205,
  [207] = 205,
  [208] = 208,
  [209] = 209,
  [210] = 205,
  [211] = 204,
  [212] = 209,
  [213] = 205,
  [214] = 204,
  [215] = 209,
  [216] = 216,
  [217] = 216,
  [218] = 216,
  [219] = 219,
  [220] = 205,
  [221] = 216,
  [222] = 222,
  [223] = 209,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 226,
  [243] = 243,
  [244] = 226,
  [245] = 232,
  [246] = 246,
  [247] = 227,
  [248] = 226,
  [249] = 232,
  [250] = 250,
  [251] = 227,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 225,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 254,
  [267] = 267,
  [268] = 268,
  [269] = 231,
  [270] = 240,
  [271] = 271,
  [272] = 272,
  [273] = 232,
  [274] = 252,
  [275] = 236,
  [276] = 276,
  [277] = 234,
  [278] = 230,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 227,
  [283] = 226,
  [284] = 284,
  [285] = 232,
  [286] = 286,
  [287] = 227,
  [288] = 226,
  [289] = 228,
  [290] = 290,
  [291] = 265,
  [292] = 239,
  [293] = 293,
  [294] = 294,
  [295] = 276,
  [296] = 286,
  [297] = 297,
  [298] = 276,
  [299] = 232,
  [300] = 300,
  [301] = 239,
  [302] = 302,
  [303] = 227,
  [304] = 226,
  [305] = 226,
  [306] = 227,
  [307] = 239,
  [308] = 276,
  [309] = 232,
  [310] = 272,
  [311] = 246,
  [312] = 250,
  [313] = 263,
  [314] = 272,
  [315] = 227,
  [316] = 286,
  [317] = 226,
  [318] = 236,
  [319] = 239,
  [320] = 234,
  [321] = 276,
  [322] = 230,
  [323] = 281,
  [324] = 232,
  [325] = 235,
  [326] = 253,
  [327] = 252,
  [328] = 264,
  [329] = 256,
  [330] = 237,
  [331] = 276,
  [332] = 332,
  [333] = 257,
  [334] = 258,
  [335] = 267,
  [336] = 336,
  [337] = 232,
  [338] = 260,
  [339] = 240,
  [340] = 228,
  [341] = 261,
  [342] = 342,
  [343] = 343,
  [344] = 224,
  [345] = 239,
  [346] = 281,
  [347] = 227,
  [348] = 226,
  [349] = 343,
  [350] = 343,
  [351] = 239,
  [352] = 286,
  [353] = 353,
  [354] = 246,
  [355] = 231,
  [356] = 342,
  [357] = 290,
  [358] = 342,
  [359] = 359,
  [360] = 250,
  [361] = 290,
  [362] = 263,
  [363] = 262,
  [364] = 290,
  [365] = 272,
  [366] = 366,
  [367] = 236,
  [368] = 234,
  [369] = 369,
  [370] = 230,
  [371] = 371,
  [372] = 281,
  [373] = 235,
  [374] = 235,
  [375] = 375,
  [376] = 233,
  [377] = 240,
  [378] = 227,
  [379] = 231,
  [380] = 241,
  [381] = 262,
  [382] = 382,
  [383] = 253,
  [384] = 233,
  [385] = 241,
  [386] = 224,
  [387] = 246,
  [388] = 264,
  [389] = 268,
  [390] = 267,
  [391] = 237,
  [392] = 265,
  [393] = 256,
  [394] = 257,
  [395] = 258,
  [396] = 254,
  [397] = 267,
  [398] = 225,
  [399] = 228,
  [400] = 260,
  [401] = 250,
  [402] = 263,
  [403] = 261,
  [404] = 261,
  [405] = 252,
  [406] = 262,
  [407] = 241,
  [408] = 268,
  [409] = 409,
  [410] = 224,
  [411] = 268,
  [412] = 264,
  [413] = 265,
  [414] = 253,
  [415] = 254,
  [416] = 260,
  [417] = 256,
  [418] = 257,
  [419] = 258,
  [420] = 343,
  [421] = 225,
  [422] = 342,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 425,
  [428] = 428,
  [429] = 426,
  [430] = 425,
  [431] = 428,
  [432] = 425,
  [433] = 433,
  [434] = 433,
  [435] = 433,
  [436] = 436,
  [437] = 433,
  [438] = 433,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 444,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 461,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 443,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 449,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 574,
  [576] = 574,
  [577] = 574,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 601,
  [605] = 602,
  [606] = 583,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 584,
  [611] = 582,
  [612] = 585,
  [613] = 586,
  [614] = 601,
  [615] = 602,
  [616] = 587,
  [617] = 584,
  [618] = 590,
  [619] = 593,
  [620] = 608,
  [621] = 599,
  [622] = 594,
  [623] = 609,
  [624] = 598,
  [625] = 602,
  [626] = 597,
  [627] = 588,
  [628] = 591,
  [629] = 578,
  [630] = 589,
  [631] = 581,
  [632] = 601,
  [633] = 633,
  [634] = 633,
  [635] = 592,
  [636] = 579,
  [637] = 596,
  [638] = 595,
  [639] = 639,
  [640] = 580,
  [641] = 600,
  [642] = 609,
  [643] = 603,
  [644] = 644,
  [645] = 608,
  [646] = 603,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 608,
  [651] = 609,
  [652] = 649,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 587,
  [658] = 586,
  [659] = 659,
  [660] = 583,
  [661] = 661,
  [662] = 582,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 663,
  [668] = 585,
  [669] = 591,
  [670] = 659,
  [671] = 589,
  [672] = 592,
  [673] = 595,
  [674] = 579,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 594,
  [679] = 588,
  [680] = 680,
  [681] = 600,
  [682] = 590,
  [683] = 581,
  [684] = 597,
  [685] = 596,
  [686] = 677,
  [687] = 580,
  [688] = 593,
  [689] = 599,
  [690] = 578,
  [691] = 675,
  [692] = 598,
  [693] = 591,
  [694] = 680,
  [695] = 695,
  [696] = 583,
  [697] = 676,
  [698] = 586,
  [699] = 699,
  [700] = 700,
  [701] = 585,
  [702] = 583,
  [703] = 664,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 582,
  [708] = 708,
  [709] = 587,
  [710] = 585,
  [711] = 711,
  [712] = 586,
  [713] = 713,
  [714] = 695,
  [715] = 715,
  [716] = 582,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 583,
  [722] = 722,
  [723] = 585,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 720,
  [728] = 582,
  [729] = 587,
  [730] = 586,
  [731] = 587,
  [732] = 732,
  [733] = 700,
  [734] = 594,
  [735] = 590,
  [736] = 736,
  [737] = 599,
  [738] = 738,
  [739] = 580,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 579,
  [745] = 745,
  [746] = 593,
  [747] = 589,
  [748] = 598,
  [749] = 581,
  [750] = 600,
  [751] = 751,
  [752] = 752,
  [753] = 588,
  [754] = 754,
  [755] = 755,
  [756] = 592,
  [757] = 757,
  [758] = 758,
  [759] = 596,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 573,
  [765] = 595,
  [766] = 766,
  [767] = 578,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 597,
  [775] = 775,
  [776] = 443,
  [777] = 583,
  [778] = 778,
  [779] = 663,
  [780] = 780,
  [781] = 665,
  [782] = 666,
  [783] = 705,
  [784] = 663,
  [785] = 726,
  [786] = 664,
  [787] = 582,
  [788] = 586,
  [789] = 587,
  [790] = 444,
  [791] = 585,
  [792] = 661,
  [793] = 793,
  [794] = 794,
  [795] = 596,
  [796] = 579,
  [797] = 797,
  [798] = 592,
  [799] = 595,
  [800] = 590,
  [801] = 593,
  [802] = 589,
  [803] = 580,
  [804] = 581,
  [805] = 594,
  [806] = 578,
  [807] = 600,
  [808] = 598,
  [809] = 597,
  [810] = 810,
  [811] = 591,
  [812] = 588,
  [813] = 813,
  [814] = 599,
  [815] = 797,
  [816] = 816,
  [817] = 585,
  [818] = 582,
  [819] = 695,
  [820] = 676,
  [821] = 583,
  [822] = 816,
  [823] = 823,
  [824] = 582,
  [825] = 816,
  [826] = 826,
  [827] = 700,
  [828] = 828,
  [829] = 816,
  [830] = 654,
  [831] = 724,
  [832] = 722,
  [833] = 461,
  [834] = 586,
  [835] = 449,
  [836] = 717,
  [837] = 720,
  [838] = 591,
  [839] = 828,
  [840] = 816,
  [841] = 585,
  [842] = 842,
  [843] = 826,
  [844] = 705,
  [845] = 725,
  [846] = 586,
  [847] = 587,
  [848] = 587,
  [849] = 732,
  [850] = 720,
  [851] = 726,
  [852] = 826,
  [853] = 718,
  [854] = 586,
  [855] = 706,
  [856] = 664,
  [857] = 700,
  [858] = 585,
  [859] = 713,
  [860] = 823,
  [861] = 583,
  [862] = 695,
  [863] = 587,
  [864] = 676,
  [865] = 582,
  [866] = 583,
  [867] = 867,
  [868] = 842,
  [869] = 581,
  [870] = 762,
  [871] = 751,
  [872] = 742,
  [873] = 752,
  [874] = 771,
  [875] = 773,
  [876] = 598,
  [877] = 736,
  [878] = 595,
  [879] = 573,
  [880] = 757,
  [881] = 741,
  [882] = 597,
  [883] = 745,
  [884] = 769,
  [885] = 772,
  [886] = 738,
  [887] = 578,
  [888] = 589,
  [889] = 766,
  [890] = 579,
  [891] = 768,
  [892] = 594,
  [893] = 593,
  [894] = 743,
  [895] = 596,
  [896] = 763,
  [897] = 580,
  [898] = 726,
  [899] = 592,
  [900] = 600,
  [901] = 740,
  [902] = 590,
  [903] = 588,
  [904] = 775,
  [905] = 761,
  [906] = 599,
  [907] = 760,
  [908] = 726,
  [909] = 758,
  [910] = 754,
  [911] = 755,
  [912] = 780,
  [913] = 794,
  [914] = 778,
  [915] = 705,
  [916] = 793,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 578,
  [923] = 579,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 580,
  [941] = 941,
  [942] = 581,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 461,
  [984] = 449,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 994,
  [1019] = 1014,
  [1020] = 993,
  [1021] = 992,
  [1022] = 990,
  [1023] = 989,
  [1024] = 998,
  [1025] = 988,
  [1026] = 987,
  [1027] = 986,
  [1028] = 1001,
  [1029] = 1012,
  [1030] = 985,
  [1031] = 1002,
  [1032] = 1003,
  [1033] = 1004,
  [1034] = 1006,
  [1035] = 995,
  [1036] = 996,
  [1037] = 997,
  [1038] = 999,
  [1039] = 1000,
  [1040] = 1010,
  [1041] = 991,
  [1042] = 1007,
  [1043] = 1011,
  [1044] = 1017,
  [1045] = 1045,
  [1046] = 1008,
  [1047] = 1009,
  [1048] = 1013,
  [1049] = 1015,
  [1050] = 1016,
  [1051] = 1005,
  [1052] = 997,
  [1053] = 1008,
  [1054] = 952,
  [1055] = 951,
  [1056] = 918,
  [1057] = 954,
  [1058] = 971,
  [1059] = 960,
  [1060] = 961,
  [1061] = 1061,
  [1062] = 1017,
  [1063] = 959,
  [1064] = 958,
  [1065] = 962,
  [1066] = 963,
  [1067] = 927,
  [1068] = 929,
  [1069] = 930,
  [1070] = 931,
  [1071] = 965,
  [1072] = 957,
  [1073] = 978,
  [1074] = 998,
  [1075] = 921,
  [1076] = 919,
  [1077] = 917,
  [1078] = 932,
  [1079] = 956,
  [1080] = 979,
  [1081] = 1006,
  [1082] = 1002,
  [1083] = 926,
  [1084] = 1004,
  [1085] = 1003,
  [1086] = 953,
  [1087] = 985,
  [1088] = 1001,
  [1089] = 986,
  [1090] = 987,
  [1091] = 988,
  [1092] = 989,
  [1093] = 990,
  [1094] = 991,
  [1095] = 992,
  [1096] = 948,
  [1097] = 933,
  [1098] = 947,
  [1099] = 443,
  [1100] = 946,
  [1101] = 945,
  [1102] = 993,
  [1103] = 943,
  [1104] = 939,
  [1105] = 994,
  [1106] = 995,
  [1107] = 928,
  [1108] = 996,
  [1109] = 950,
  [1110] = 999,
  [1111] = 1000,
  [1112] = 966,
  [1113] = 938,
  [1114] = 444,
  [1115] = 949,
  [1116] = 937,
  [1117] = 920,
  [1118] = 967,
  [1119] = 968,
  [1120] = 1012,
  [1121] = 969,
  [1122] = 1122,
  [1123] = 970,
  [1124] = 972,
  [1125] = 973,
  [1126] = 1061,
  [1127] = 1016,
  [1128] = 1015,
  [1129] = 1013,
  [1130] = 982,
  [1131] = 1009,
  [1132] = 944,
  [1133] = 925,
  [1134] = 941,
  [1135] = 981,
  [1136] = 1122,
  [1137] = 1061,
  [1138] = 980,
  [1139] = 1011,
  [1140] = 1010,
  [1141] = 974,
  [1142] = 955,
  [1143] = 581,
  [1144] = 1007,
  [1145] = 964,
  [1146] = 1122,
  [1147] = 1014,
  [1148] = 580,
  [1149] = 936,
  [1150] = 977,
  [1151] = 579,
  [1152] = 935,
  [1153] = 578,
  [1154] = 976,
  [1155] = 975,
  [1156] = 934,
  [1157] = 1005,
  [1158] = 1005,
  [1159] = 1003,
  [1160] = 1010,
  [1161] = 1009,
  [1162] = 1013,
  [1163] = 1000,
  [1164] = 999,
  [1165] = 1008,
  [1166] = 1166,
  [1167] = 997,
  [1168] = 1015,
  [1169] = 1007,
  [1170] = 996,
  [1171] = 995,
  [1172] = 1016,
  [1173] = 1173,
  [1174] = 1017,
  [1175] = 1011,
  [1176] = 994,
  [1177] = 993,
  [1178] = 992,
  [1179] = 1014,
  [1180] = 991,
  [1181] = 990,
  [1182] = 989,
  [1183] = 988,
  [1184] = 1006,
  [1185] = 1004,
  [1186] = 987,
  [1187] = 1002,
  [1188] = 985,
  [1189] = 1001,
  [1190] = 1012,
  [1191] = 986,
  [1192] = 998,
  [1193] = 1193,
  [1194] = 1008,
  [1195] = 1195,
  [1196] = 1195,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1197,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1008,
  [1203] = 1195,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1195,
  [1207] = 1207,
  [1208] = 1197,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1197,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1214,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1216,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1213,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1226,
  [1243] = 1243,
  [1244] = 1214,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1213,
  [1249] = 1226,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1228,
  [1253] = 1253,
  [1254] = 1221,
  [1255] = 1220,
  [1256] = 1224,
  [1257] = 1226,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1259,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1258,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1259,
  [1270] = 1258,
  [1271] = 1258,
  [1272] = 1267,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1259,
  [1276] = 1267,
  [1277] = 1260,
  [1278] = 1273,
  [1279] = 1268,
  [1280] = 1259,
  [1281] = 1273,
  [1282] = 1264,
  [1283] = 1268,
  [1284] = 1262,
  [1285] = 1262,
  [1286] = 1286,
  [1287] = 1258,
  [1288] = 1268,
  [1289] = 1260,
  [1290] = 1264,
  [1291] = 1264,
  [1292] = 1292,
  [1293] = 1260,
  [1294] = 1294,
  [1295] = 1267,
  [1296] = 1267,
  [1297] = 1264,
  [1298] = 1260,
  [1299] = 1268,
  [1300] = 1266,
  [1301] = 1274,
  [1302] = 1302,
  [1303] = 1266,
  [1304] = 1267,
  [1305] = 1267,
  [1306] = 1267,
  [1307] = 1262,
  [1308] = 1260,
  [1309] = 1294,
  [1310] = 1310,
  [1311] = 1268,
  [1312] = 1259,
  [1313] = 1292,
  [1314] = 1268,
  [1315] = 1267,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1264,
  [1319] = 1258,
  [1320] = 1294,
  [1321] = 1259,
  [1322] = 1268,
  [1323] = 1268,
  [1324] = 1259,
  [1325] = 1259,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1260,
  [1329] = 1268,
  [1330] = 1266,
  [1331] = 1259,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1342,
  [1344] = 1338,
  [1345] = 1339,
  [1346] = 1340,
  [1347] = 1342,
  [1348] = 1340,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1338,
  [1353] = 1353,
  [1354] = 1353,
  [1355] = 1355,
  [1356] = 1355,
  [1357] = 1353,
  [1358] = 1355,
  [1359] = 1359,
  [1360] = 1359,
  [1361] = 1286,
  [1362] = 1359,
  [1363] = 1333,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1336,
  [1369] = 1337,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1045,
  [1377] = 1377,
  [1378] = 1349,
  [1379] = 1350,
  [1380] = 1380,
  [1381] = 1351,
  [1382] = 1341,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1390,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1384,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 444,
  [1406] = 443,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 514,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1417,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1423,
  [1425] = 600,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1422,
  [1429] = 489,
  [1430] = 515,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 511,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 513,
  [1443] = 1435,
  [1444] = 553,
  [1445] = 559,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1447,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1449,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1462,
  [1464] = 1459,
  [1465] = 1454,
  [1466] = 1466,
  [1467] = 664,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 732,
  [1476] = 1470,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 600,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 600,
  [1485] = 595,
  [1486] = 588,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1468,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1332,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1498,
  [1505] = 1505,
  [1506] = 1335,
  [1507] = 1499,
  [1508] = 1498,
  [1509] = 1498,
  [1510] = 1499,
  [1511] = 1499,
  [1512] = 1499,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1499,
  [1516] = 1516,
  [1517] = 1499,
  [1518] = 1514,
  [1519] = 1505,
  [1520] = 1514,
  [1521] = 1514,
  [1522] = 1514,
  [1523] = 1523,
  [1524] = 1514,
  [1525] = 1525,
  [1526] = 1498,
  [1527] = 1499,
  [1528] = 1514,
  [1529] = 1286,
  [1530] = 1498,
  [1531] = 600,
  [1532] = 1499,
  [1533] = 1533,
  [1534] = 1498,
  [1535] = 1535,
  [1536] = 1514,
  [1537] = 1498,
  [1538] = 1499,
  [1539] = 1539,
  [1540] = 1514,
  [1541] = 1499,
  [1542] = 1498,
  [1543] = 1505,
  [1544] = 1505,
  [1545] = 1498,
  [1546] = 1498,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1505,
  [1550] = 1333,
  [1551] = 1551,
  [1552] = 1310,
  [1553] = 1553,
  [1554] = 1498,
  [1555] = 1514,
  [1556] = 1556,
  [1557] = 1498,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1334,
  [1561] = 1514,
  [1562] = 1223,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 424,
  [1567] = 1564,
  [1568] = 1568,
  [1569] = 1480,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1572,
  [1574] = 1571,
  [1575] = 1565,
  [1576] = 1450,
  [1577] = 423,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 588,
  [1581] = 1497,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 695,
  [1587] = 813,
  [1588] = 595,
  [1589] = 1583,
  [1590] = 600,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 676,
  [1594] = 582,
  [1595] = 695,
  [1596] = 1596,
  [1597] = 1596,
  [1598] = 1591,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1591,
  [1602] = 1487,
  [1603] = 1596,
  [1604] = 1450,
  [1605] = 695,
  [1606] = 1606,
  [1607] = 1489,
  [1608] = 676,
  [1609] = 1609,
  [1610] = 1596,
  [1611] = 1611,
  [1612] = 1446,
  [1613] = 582,
  [1614] = 1596,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 676,
  [1618] = 1591,
  [1619] = 1591,
  [1620] = 1583,
  [1621] = 1591,
  [1622] = 1494,
  [1623] = 1495,
  [1624] = 428,
  [1625] = 1495,
  [1626] = 1626,
  [1627] = 1489,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 595,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 588,
  [1639] = 1632,
  [1640] = 1637,
  [1641] = 1626,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 426,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1487,
  [1660] = 1497,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 428,
  [1666] = 1666,
  [1667] = 426,
  [1668] = 1668,
  [1669] = 600,
  [1670] = 1670,
  [1671] = 1647,
  [1672] = 1668,
  [1673] = 1645,
  [1674] = 1651,
  [1675] = 1653,
  [1676] = 1633,
  [1677] = 1658,
  [1678] = 1642,
  [1679] = 1630,
  [1680] = 1628,
  [1681] = 1634,
  [1682] = 1631,
  [1683] = 1494,
  [1684] = 1663,
  [1685] = 1652,
  [1686] = 1668,
  [1687] = 1649,
  [1688] = 1653,
  [1689] = 1654,
  [1690] = 1646,
  [1691] = 1629,
  [1692] = 1644,
  [1693] = 1648,
  [1694] = 1636,
  [1695] = 1695,
  [1696] = 1453,
  [1697] = 1539,
  [1698] = 1698,
  [1699] = 455,
  [1700] = 1695,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1481,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 464,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 453,
  [1711] = 1707,
  [1712] = 450,
  [1713] = 1695,
  [1714] = 1714,
  [1715] = 1707,
  [1716] = 1707,
  [1717] = 1707,
  [1718] = 1695,
  [1719] = 1719,
  [1720] = 1695,
  [1721] = 1695,
  [1722] = 1707,
  [1723] = 1707,
  [1724] = 1503,
  [1725] = 439,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1513,
  [1729] = 1707,
  [1730] = 448,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1513,
  [1734] = 1695,
  [1735] = 1483,
  [1736] = 1503,
  [1737] = 458,
  [1738] = 441,
  [1739] = 1695,
  [1740] = 1740,
  [1741] = 1535,
  [1742] = 1539,
  [1743] = 1743,
  [1744] = 440,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1457,
  [1748] = 1743,
  [1749] = 1461,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1707,
  [1753] = 1753,
  [1754] = 447,
  [1755] = 456,
  [1756] = 1695,
  [1757] = 462,
  [1758] = 460,
  [1759] = 1559,
  [1760] = 1556,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1731,
  [1765] = 1707,
  [1766] = 463,
  [1767] = 459,
  [1768] = 1768,
  [1769] = 1704,
  [1770] = 1535,
  [1771] = 436,
  [1772] = 1695,
  [1773] = 446,
  [1774] = 1556,
  [1775] = 1698,
  [1776] = 1559,
  [1777] = 1458,
  [1778] = 1643,
  [1779] = 1779,
  [1780] = 1695,
  [1781] = 442,
  [1782] = 1707,
  [1783] = 451,
  [1784] = 1702,
  [1785] = 452,
  [1786] = 454,
  [1787] = 1719,
  [1788] = 445,
  [1789] = 1701,
  [1790] = 1761,
  [1791] = 1695,
  [1792] = 1792,
  [1793] = 457,
  [1794] = 1709,
  [1795] = 1746,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1481,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 1806,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1823,
  [1824] = 1824,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1796,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1806,
  [1832] = 1832,
  [1833] = 1833,
  [1834] = 1834,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1805,
  [1838] = 1838,
  [1839] = 1804,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1473,
  [1844] = 1471,
  [1845] = 1845,
  [1846] = 1836,
  [1847] = 1483,
  [1848] = 1848,
  [1849] = 1838,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1859,
  [1860] = 1855,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1805,
  [1864] = 1864,
  [1865] = 1825,
  [1866] = 1804,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1800,
  [1871] = 1823,
  [1872] = 1821,
  [1873] = 1815,
  [1874] = 1816,
  [1875] = 1875,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1801,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1799,
  [1882] = 1882,
  [1883] = 654,
  [1884] = 1818,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1806,
  [1889] = 1851,
  [1890] = 1890,
  [1891] = 1819,
  [1892] = 1892,
  [1893] = 1817,
  [1894] = 1488,
  [1895] = 1490,
  [1896] = 1890,
  [1897] = 1812,
  [1898] = 1898,
  [1899] = 1824,
  [1900] = 1900,
  [1901] = 1801,
  [1902] = 1808,
  [1903] = 1903,
  [1904] = 1810,
  [1905] = 1813,
  [1906] = 1848,
  [1907] = 1907,
  [1908] = 1826,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1820,
  [1913] = 1913,
  [1914] = 1853,
  [1915] = 1864,
  [1916] = 1825,
  [1917] = 1867,
  [1918] = 1876,
  [1919] = 1919,
  [1920] = 1886,
  [1921] = 1858,
  [1922] = 1859,
  [1923] = 1861,
  [1924] = 1924,
  [1925] = 1869,
  [1926] = 1836,
  [1927] = 1842,
  [1928] = 1928,
  [1929] = 1887,
  [1930] = 1856,
  [1931] = 1885,
  [1932] = 1879,
  [1933] = 1890,
  [1934] = 1867,
  [1935] = 1935,
  [1936] = 1892,
  [1937] = 1937,
  [1938] = 1938,
  [1939] = 1938,
  [1940] = 1940,
  [1941] = 1862,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1937,
  [1946] = 1919,
  [1947] = 1768,
  [1948] = 1944,
  [1949] = 1848,
  [1950] = 1493,
  [1951] = 1951,
  [1952] = 1903,
  [1953] = 1857,
  [1954] = 1954,
  [1955] = 1811,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1961,
  [1979] = 1979,
  [1980] = 1974,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1983,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1779,
  [1991] = 1977,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1969,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1975,
  [1999] = 1999,
  [2000] = 1972,
  [2001] = 2001,
  [2002] = 1968,
  [2003] = 1964,
  [2004] = 2004,
  [2005] = 1963,
  [2006] = 1962,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 2009,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 1979,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 520,
  [2024] = 2024,
  [2025] = 572,
  [2026] = 2026,
  [2027] = 563,
  [2028] = 1745,
  [2029] = 539,
  [2030] = 2030,
  [2031] = 527,
  [2032] = 2032,
  [2033] = 1989,
  [2034] = 521,
  [2035] = 2035,
  [2036] = 1997,
  [2037] = 2037,
  [2038] = 517,
  [2039] = 2039,
  [2040] = 497,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 552,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 558,
  [2049] = 1967,
  [2050] = 2050,
  [2051] = 569,
  [2052] = 2010,
  [2053] = 550,
  [2054] = 2011,
  [2055] = 504,
  [2056] = 506,
  [2057] = 526,
  [2058] = 2013,
  [2059] = 524,
  [2060] = 2060,
  [2061] = 479,
  [2062] = 2062,
  [2063] = 481,
  [2064] = 2064,
  [2065] = 483,
  [2066] = 2066,
  [2067] = 484,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 493,
  [2073] = 495,
  [2074] = 2074,
  [2075] = 496,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 501,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 511,
  [2087] = 2087,
  [2088] = 2087,
  [2089] = 2066,
  [2090] = 2035,
  [2091] = 567,
  [2092] = 2044,
  [2093] = 2093,
  [2094] = 2015,
  [2095] = 565,
  [2096] = 2014,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 562,
  [2101] = 548,
  [2102] = 529,
  [2103] = 512,
  [2104] = 510,
  [2105] = 489,
  [2106] = 488,
  [2107] = 476,
  [2108] = 473,
  [2109] = 535,
  [2110] = 465,
  [2111] = 509,
  [2112] = 503,
  [2113] = 475,
  [2114] = 474,
  [2115] = 467,
  [2116] = 468,
  [2117] = 543,
  [2118] = 492,
  [2119] = 478,
  [2120] = 470,
  [2121] = 514,
  [2122] = 515,
  [2123] = 523,
  [2124] = 2124,
  [2125] = 560,
  [2126] = 557,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 556,
  [2130] = 554,
  [2131] = 549,
  [2132] = 545,
  [2133] = 1985,
  [2134] = 542,
  [2135] = 541,
  [2136] = 538,
  [2137] = 536,
  [2138] = 533,
  [2139] = 530,
  [2140] = 518,
  [2141] = 2141,
  [2142] = 490,
  [2143] = 519,
  [2144] = 487,
  [2145] = 498,
  [2146] = 2146,
  [2147] = 500,
  [2148] = 2148,
  [2149] = 1962,
  [2150] = 1960,
  [2151] = 2151,
  [2152] = 540,
  [2153] = 469,
  [2154] = 571,
  [2155] = 570,
  [2156] = 559,
  [2157] = 2157,
  [2158] = 553,
  [2159] = 2013,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 1959,
  [2163] = 532,
  [2164] = 528,
  [2165] = 466,
  [2166] = 2166,
  [2167] = 471,
  [2168] = 477,
  [2169] = 480,
  [2170] = 482,
  [2171] = 485,
  [2172] = 486,
  [2173] = 494,
  [2174] = 499,
  [2175] = 502,
  [2176] = 505,
  [2177] = 513,
  [2178] = 544,
  [2179] = 546,
  [2180] = 547,
  [2181] = 2181,
  [2182] = 551,
  [2183] = 555,
  [2184] = 564,
  [2185] = 566,
  [2186] = 568,
  [2187] = 525,
  [2188] = 522,
  [2189] = 507,
  [2190] = 2190,
  [2191] = 1558,
  [2192] = 534,
  [2193] = 2193,
  [2194] = 1962,
  [2195] = 2195,
  [2196] = 472,
  [2197] = 1286,
  [2198] = 531,
  [2199] = 2199,
  [2200] = 2013,
  [2201] = 1940,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2013,
  [2205] = 2205,
  [2206] = 1962,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2013,
  [2212] = 2212,
  [2213] = 1962,
  [2214] = 2214,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 1962,
  [2218] = 2218,
  [2219] = 2013,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 1962,
  [2225] = 2013,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2243,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 1746,
  [2296] = 2016,
  [2297] = 2297,
  [2298] = 2291,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2241,
  [2306] = 2306,
  [2307] = 2254,
  [2308] = 2255,
  [2309] = 2258,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2253,
  [2328] = 1701,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2242,
  [2335] = 2333,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2253,
  [2344] = 2344,
  [2345] = 2318,
  [2346] = 2346,
  [2347] = 2236,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2254,
  [2354] = 2285,
  [2355] = 2284,
  [2356] = 2356,
  [2357] = 2330,
  [2358] = 2281,
  [2359] = 2275,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2273,
  [2363] = 2286,
  [2364] = 2321,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2261,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2287,
  [2372] = 2312,
  [2373] = 2337,
  [2374] = 2310,
  [2375] = 2303,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2237,
  [2380] = 2244,
  [2381] = 2301,
  [2382] = 2262,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2294,
  [2387] = 2245,
  [2388] = 2287,
  [2389] = 2344,
  [2390] = 2383,
  [2391] = 2268,
  [2392] = 2392,
  [2393] = 2246,
  [2394] = 2247,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2249,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2300,
  [2402] = 2402,
  [2403] = 2250,
  [2404] = 2251,
  [2405] = 2405,
  [2406] = 2299,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2267,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2272,
  [2415] = 2415,
  [2416] = 2279,
  [2417] = 2257,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2316,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2317,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2320,
  [2427] = 2427,
  [2428] = 2289,
  [2429] = 2348,
  [2430] = 2322,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2377,
  [2434] = 2434,
  [2435] = 2376,
  [2436] = 2436,
  [2437] = 2324,
  [2438] = 2438,
  [2439] = 2325,
  [2440] = 2440,
  [2441] = 2326,
  [2442] = 2329,
  [2443] = 2443,
  [2444] = 2276,
  [2445] = 2274,
  [2446] = 2438,
  [2447] = 2332,
  [2448] = 2448,
  [2449] = 2339,
  [2450] = 2340,
  [2451] = 2451,
  [2452] = 2356,
  [2453] = 2360,
  [2454] = 2361,
  [2455] = 2365,
  [2456] = 2368,
  [2457] = 2457,
  [2458] = 2385,
  [2459] = 2402,
  [2460] = 2395,
  [2461] = 2392,
  [2462] = 2462,
  [2463] = 2331,
  [2464] = 2319,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2259,
  [2469] = 2384,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2311,
  [2473] = 2378,
  [2474] = 2474,
  [2475] = 2369,
  [2476] = 2253,
  [2477] = 2254,
  [2478] = 2287,
  [2479] = 2434,
  [2480] = 2480,
  [2481] = 2352,
  [2482] = 2432,
  [2483] = 2431,
  [2484] = 2351,
  [2485] = 2313,
  [2486] = 2399,
  [2487] = 2366,
  [2488] = 2425,
  [2489] = 2323,
  [2490] = 2350,
  [2491] = 2422,
  [2492] = 2160,
  [2493] = 2424,
  [2494] = 2228,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2161,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2499,
  [2514] = 2514,
  [2515] = 2509,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2507,
  [2520] = 2506,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2530,
  [2532] = 2501,
  [2533] = 2526,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2504,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2510,
  [2548] = 2141,
  [2549] = 2502,
  [2550] = 2508,
  [2551] = 2551,
  [2552] = 2496,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2505,
  [2560] = 2560,
  [2561] = 2511,
  [2562] = 2562,
  [2563] = 2503,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2543,
  [2568] = 2499,
  [2569] = 2503,
  [2570] = 2570,
  [2571] = 2505,
  [2572] = 2514,
  [2573] = 2573,
  [2574] = 2509,
  [2575] = 2507,
  [2576] = 2506,
  [2577] = 2504,
  [2578] = 2578,
  [2579] = 2501,
  [2580] = 2557,
  [2581] = 2581,
  [2582] = 2529,
  [2583] = 2512,
  [2584] = 2535,
  [2585] = 2527,
  [2586] = 2586,
  [2587] = 2539,
  [2588] = 2540,
  [2589] = 2589,
  [2590] = 2506,
  [2591] = 2591,
  [2592] = 2591,
  [2593] = 2527,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2527,
  [2597] = 2597,
  [2598] = 2598,
  [2599] = 2558,
  [2600] = 2511,
  [2601] = 2504,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2602,
  [2607] = 2605,
  [2608] = 2608,
  [2609] = 2542,
  [2610] = 2527,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2586,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2516,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2619,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 2538,
  [2623] = 2573,
  [2624] = 2624,
  [2625] = 2615,
  [2626] = 2614,
  [2627] = 2534,
  [2628] = 2628,
  [2629] = 2506,
  [2630] = 2604,
  [2631] = 2595,
  [2632] = 2594,
  [2633] = 2499,
  [2634] = 2526,
  [2635] = 2511,
  [2636] = 2636,
  [2637] = 2637,
  [2638] = 2638,
  [2639] = 2528,
  [2640] = 2523,
  [2641] = 2617,
  [2642] = 2564,
  [2643] = 2643,
  [2644] = 2611,
  [2645] = 2624,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2506,
  [2649] = 2503,
  [2650] = 2506,
  [2651] = 2570,
  [2652] = 2505,
  [2653] = 2504,
  [2654] = 2538,
  [2655] = 2508,
  [2656] = 2656,
  [2657] = 2510,
  [2658] = 2506,
  [2659] = 2554,
  [2660] = 2551,
  [2661] = 2508,
  [2662] = 2662,
  [2663] = 2663,
  [2664] = 2538,
  [2665] = 2620,
  [2666] = 2506,
  [2667] = 2667,
  [2668] = 2506,
  [2669] = 2521,
  [2670] = 2670,
  [2671] = 2619,
  [2672] = 2672,
  [2673] = 2506,
  [2674] = 2538,
  [2675] = 2611,
  [2676] = 2507,
  [2677] = 2509,
  [2678] = 2542,
  [2679] = 2570,
  [2680] = 2619,
  [2681] = 2681,
  [2682] = 2618,
  [2683] = 2501,
  [2684] = 2684,
  [2685] = 2512,
  [2686] = 2538,
  [2687] = 2687,
  [2688] = 2546,
  [2689] = 2506,
  [2690] = 2544,
  [2691] = 2670,
  [2692] = 2692,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2545,
  [2696] = 2538,
  [2697] = 2636,
  [2698] = 2698,
  [2699] = 2506,
  [2700] = 2573,
  [2701] = 2560,
  [2702] = 2694,
  [2703] = 2556,
  [2704] = 2693,
  [2705] = 2611,
  [2706] = 2637,
  [2707] = 2638,
  [2708] = 2570,
  [2709] = 2694,
  [2710] = 2643,
  [2711] = 2556,
  [2712] = 2646,
  [2713] = 2694,
  [2714] = 2692,
  [2715] = 2647,
  [2716] = 2716,
  [2717] = 2589,
  [2718] = 2556,
  [2719] = 2538,
  [2720] = 2692,
  [2721] = 2670,
  [2722] = 2692,
  [2723] = 2670,
  [2724] = 2510,
  [2725] = 2725,
  [2726] = 2726,
};

static inline bool sym_escape_sequence_character_set_1(int32_t c) {
  return (c < 'e'
    ? (c < '\\'
      ? (c < '$'
        ? c == '"'
        : c <= '$')
      : (c <= '\\' || c == '`'))
    : (c <= 'f' || (c < 't'
      ? (c < 'r'
        ? c == 'n'
        : c <= 'r')
      : (c <= 't' || c == 'v'))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(80);
      if (lookahead == '!') ADVANCE(152);
      if (lookahead == '"') ADVANCE(200);
      if (lookahead == '#') ADVANCE(290);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '%') ADVANCE(244);
      if (lookahead == '&') ADVANCE(100);
      if (lookahead == '\'') ADVANCE(204);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == '*') ADVANCE(239);
      if (lookahead == '+') ADVANCE(144);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(147);
      if (lookahead == '.') ADVANCE(237);
      if (lookahead == '/') ADVANCE(242);
      if (lookahead == '0') ADVANCE(133);
      if (lookahead == ':') ADVANCE(110);
      if (lookahead == ';') ADVANCE(97);
      if (lookahead == '<') ADVANCE(225);
      if (lookahead == '=') ADVANCE(103);
      if (lookahead == '>') ADVANCE(226);
      if (lookahead == '?') ADVANCE(115);
      if (lookahead == '@') ADVANCE(141);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead == '^') ADVANCE(216);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(121);
      if (lookahead == '}') ADVANCE(108);
      if (lookahead == '~') ADVANCE(150);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(245);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(248);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(249);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(267);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(282);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(275);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(271);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(265);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(76)
      if (('C' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(287);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(287);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(288);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(201);
      if (lookahead == '\r') ADVANCE(201);
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '<') ADVANCE(47);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == '{') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(4)
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(201);
      if (lookahead == '\r') ADVANCE(201);
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '<') ADVANCE(47);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == '{') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(202);
      if (lookahead == '\r') ADVANCE(202);
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '?') ADVANCE(45);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(5)
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(152);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(290);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '%') ADVANCE(243);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '+') ADVANCE(143);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(146);
      if (lookahead == '.') ADVANCE(237);
      if (lookahead == '/') ADVANCE(241);
      if (lookahead == '0') ADVANCE(133);
      if (lookahead == ':') ADVANCE(109);
      if (lookahead == ';') ADVANCE(97);
      if (lookahead == '<') ADVANCE(222);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '>') ADVANCE(227);
      if (lookahead == '?') ADVANCE(119);
      if (lookahead == '@') ADVANCE(141);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead == '^') ADVANCE(215);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(108);
      if (lookahead == '~') ADVANCE(150);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(248);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(250);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(282);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(280);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(271);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(6)
      if (('C' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(151);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(290);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == '+') ADVANCE(143);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(146);
      if (lookahead == '.') ADVANCE(129);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(133);
      if (lookahead == '<') ADVANCE(38);
      if (lookahead == '?') ADVANCE(45);
      if (lookahead == '@') ADVANCE(141);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '~') ADVANCE(150);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(248);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(250);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(282);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(280);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(271);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(7)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(151);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(290);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == '+') ADVANCE(143);
      if (lookahead == '-') ADVANCE(146);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(133);
      if (lookahead == '<') ADVANCE(38);
      if (lookahead == '?') ADVANCE(45);
      if (lookahead == '@') ADVANCE(141);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '~') ADVANCE(150);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(245);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(248);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(249);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(267);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(282);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(275);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(271);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(265);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(8)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(39);
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '%') ADVANCE(243);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '+') ADVANCE(142);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == '.') ADVANCE(236);
      if (lookahead == '/') ADVANCE(241);
      if (lookahead == ':') ADVANCE(110);
      if (lookahead == ';') ADVANCE(97);
      if (lookahead == '<') ADVANCE(224);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '>') ADVANCE(227);
      if (lookahead == '?') ADVANCE(117);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead == '^') ADVANCE(215);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(108);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(39);
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '%') ADVANCE(244);
      if (lookahead == '&') ADVANCE(100);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == '*') ADVANCE(239);
      if (lookahead == '+') ADVANCE(144);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(147);
      if (lookahead == '.') ADVANCE(238);
      if (lookahead == '/') ADVANCE(242);
      if (lookahead == ':') ADVANCE(110);
      if (lookahead == ';') ADVANCE(97);
      if (lookahead == '<') ADVANCE(223);
      if (lookahead == '=') ADVANCE(103);
      if (lookahead == '>') ADVANCE(226);
      if (lookahead == '?') ADVANCE(116);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead == '^') ADVANCE(216);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(121);
      if (lookahead == '}') ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(39);
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '%') ADVANCE(243);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '+') ADVANCE(143);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(148);
      if (lookahead == '.') ADVANCE(236);
      if (lookahead == '/') ADVANCE(241);
      if (lookahead == ':') ADVANCE(110);
      if (lookahead == ';') ADVANCE(97);
      if (lookahead == '<') ADVANCE(224);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '>') ADVANCE(227);
      if (lookahead == '?') ADVANCE(117);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead == '^') ADVANCE(215);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(39);
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '%') ADVANCE(243);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '+') ADVANCE(142);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == '.') ADVANCE(236);
      if (lookahead == '/') ADVANCE(241);
      if (lookahead == ':') ADVANCE(110);
      if (lookahead == ';') ADVANCE(97);
      if (lookahead == '<') ADVANCE(224);
      if (lookahead == '=') ADVANCE(103);
      if (lookahead == '>') ADVANCE(227);
      if (lookahead == '?') ADVANCE(117);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead == '^') ADVANCE(215);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(39);
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '%') ADVANCE(243);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '+') ADVANCE(142);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(145);
      if (lookahead == '.') ADVANCE(236);
      if (lookahead == '/') ADVANCE(241);
      if (lookahead == ':') ADVANCE(109);
      if (lookahead == ';') ADVANCE(97);
      if (lookahead == '<') ADVANCE(224);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '>') ADVANCE(227);
      if (lookahead == '?') ADVANCE(119);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead == '^') ADVANCE(215);
      if (lookahead == '|') ADVANCE(122);
      if (lookahead == '}') ADVANCE(108);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(200);
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '\'') ADVANCE(204);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(145);
      if (lookahead == '.') ADVANCE(33);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(138);
      if (lookahead == ':') ADVANCE(109);
      if (lookahead == ';') ADVANCE(97);
      if (lookahead == '=') ADVANCE(42);
      if (lookahead == '?') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '}') ADVANCE(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(185);
      if (lookahead == '\'') ADVANCE(187);
      END_STATE();
    case 16:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(290);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '<') ADVANCE(38);
      if (lookahead == '?') ADVANCE(45);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(246);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(16)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(138);
      if (lookahead == ':') ADVANCE(36);
      if (lookahead == '<') ADVANCE(38);
      if (lookahead == '?') ADVANCE(32);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '}') ADVANCE(108);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(246);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(280);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(17)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 18:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(133);
      if (lookahead == '<') ADVANCE(38);
      if (lookahead == '?') ADVANCE(45);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == '_') ADVANCE(69);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(15);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(52);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(62);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19)
      END_STATE();
    case 19:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(133);
      if (lookahead == '<') ADVANCE(38);
      if (lookahead == '?') ADVANCE(45);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == '_') ADVANCE(69);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(15);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(52);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(62);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19)
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(290);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '.') ADVANCE(33);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '?') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(20)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 21:
      if (lookahead == '#') ADVANCE(290);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '?') ADVANCE(45);
      if (lookahead == '}') ADVANCE(108);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(280);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(21)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 22:
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(145);
      if (lookahead == '.') ADVANCE(33);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(138);
      if (lookahead == ':') ADVANCE(109);
      if (lookahead == ';') ADVANCE(97);
      if (lookahead == '=') ADVANCE(42);
      if (lookahead == '?') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '}') ADVANCE(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 23:
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '<') ADVANCE(47);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == '{') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(24)
      END_STATE();
    case 24:
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '<') ADVANCE(47);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == '{') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(24)
      END_STATE();
    case 25:
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == ':') ADVANCE(36);
      if (lookahead == '?') ADVANCE(32);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == '{') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(25)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 26:
      if (lookahead == '#') ADVANCE(197);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '/') ADVANCE(192);
      if (lookahead == '?') ADVANCE(195);
      if (lookahead == '\\') ADVANCE(50);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(191);
      if (lookahead != 0) ADVANCE(198);
      END_STATE();
    case 27:
      if (lookahead == '*') ADVANCE(29);
      if (lookahead == '/') ADVANCE(288);
      END_STATE();
    case 28:
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '/') ADVANCE(287);
      if (lookahead != 0) ADVANCE(29);
      END_STATE();
    case 29:
      if (lookahead == '*') ADVANCE(28);
      if (lookahead != 0) ADVANCE(29);
      END_STATE();
    case 30:
      if (lookahead == '*') ADVANCE(153);
      END_STATE();
    case 31:
      if (lookahead == '*') ADVANCE(193);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(29);
      if (lookahead != 0) ADVANCE(194);
      END_STATE();
    case 32:
      if (lookahead == '-') ADVANCE(44);
      if (lookahead == '>') ADVANCE(83);
      END_STATE();
    case 33:
      if (lookahead == '.') ADVANCE(35);
      END_STATE();
    case 34:
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '_') ADVANCE(69);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(34);
      END_STATE();
    case 35:
      if (lookahead == '.') ADVANCE(114);
      END_STATE();
    case 36:
      if (lookahead == ':') ADVANCE(155);
      END_STATE();
    case 37:
      if (lookahead == '<') ADVANCE(199);
      END_STATE();
    case 38:
      if (lookahead == '<') ADVANCE(37);
      END_STATE();
    case 39:
      if (lookahead == '=') ADVANCE(218);
      END_STATE();
    case 40:
      if (lookahead == '=') ADVANCE(217);
      if (lookahead == '>') ADVANCE(111);
      END_STATE();
    case 41:
      if (lookahead == '>') ADVANCE(171);
      END_STATE();
    case 42:
      if (lookahead == '>') ADVANCE(111);
      END_STATE();
    case 43:
      if (lookahead == '>') ADVANCE(184);
      END_STATE();
    case 44:
      if (lookahead == '>') ADVANCE(172);
      END_STATE();
    case 45:
      if (lookahead == '>') ADVANCE(83);
      END_STATE();
    case 46:
      if (lookahead == '?') ADVANCE(82);
      END_STATE();
    case 47:
      if (lookahead == '?') ADVANCE(183);
      END_STATE();
    case 48:
      if (lookahead == 'u') ADVANCE(180);
      END_STATE();
    case 49:
      if (lookahead == '}') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 50:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(188);
      if (lookahead != 0) ADVANCE(198);
      END_STATE();
    case 51:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(132);
      END_STATE();
    case 52:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 53:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(206);
      END_STATE();
    case 54:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(58);
      END_STATE();
    case 55:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(60);
      END_STATE();
    case 56:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(208);
      END_STATE();
    case 57:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(81);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(61);
      END_STATE();
    case 60:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(53);
      END_STATE();
    case 61:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 62:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 63:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(136);
      END_STATE();
    case 64:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(134);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(139);
      END_STATE();
    case 66:
      if (sym_escape_sequence_character_set_1(lookahead)) ADVANCE(176);
      if (lookahead == 'u') ADVANCE(181);
      if (lookahead == 'x') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(178);
      END_STATE();
    case 67:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 68:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 69:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(34);
      END_STATE();
    case 70:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(132);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(179);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 75:
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(198);
      END_STATE();
    case 76:
      if (eof) ADVANCE(80);
      if (lookahead == '!') ADVANCE(152);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(290);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '%') ADVANCE(244);
      if (lookahead == '&') ADVANCE(100);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == '*') ADVANCE(239);
      if (lookahead == '+') ADVANCE(144);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(147);
      if (lookahead == '.') ADVANCE(237);
      if (lookahead == '/') ADVANCE(242);
      if (lookahead == '0') ADVANCE(133);
      if (lookahead == ':') ADVANCE(110);
      if (lookahead == ';') ADVANCE(97);
      if (lookahead == '<') ADVANCE(225);
      if (lookahead == '=') ADVANCE(103);
      if (lookahead == '>') ADVANCE(226);
      if (lookahead == '?') ADVANCE(115);
      if (lookahead == '@') ADVANCE(141);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead == '^') ADVANCE(216);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(121);
      if (lookahead == '}') ADVANCE(108);
      if (lookahead == '~') ADVANCE(150);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(245);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(248);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(249);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(267);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(282);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(275);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(271);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(265);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(76)
      if (('C' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 77:
      if (eof) ADVANCE(80);
      if (lookahead == '!') ADVANCE(151);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(290);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == '+') ADVANCE(143);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(146);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(133);
      if (lookahead == ':') ADVANCE(109);
      if (lookahead == ';') ADVANCE(97);
      if (lookahead == '<') ADVANCE(38);
      if (lookahead == '=') ADVANCE(42);
      if (lookahead == '?') ADVANCE(45);
      if (lookahead == '@') ADVANCE(141);
      if (lookahead == '[') ADVANCE(173);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == '`') ADVANCE(205);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '}') ADVANCE(108);
      if (lookahead == '~') ADVANCE(150);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(248);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(250);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(282);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(280);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(271);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(135);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(77)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 78:
      if (eof) ADVANCE(80);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(291);
      if (lookahead == '$') ADVANCE(210);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '\'') ADVANCE(182);
      if (lookahead == '(') ADVANCE(112);
      if (lookahead == ')') ADVANCE(113);
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '.') ADVANCE(33);
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '0') ADVANCE(138);
      if (lookahead == ':') ADVANCE(110);
      if (lookahead == ';') ADVANCE(97);
      if (lookahead == '<') ADVANCE(46);
      if (lookahead == '=') ADVANCE(104);
      if (lookahead == '?') ADVANCE(118);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead == '{') ADVANCE(107);
      if (lookahead == '|') ADVANCE(120);
      if (lookahead == '}') ADVANCE(108);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(280);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(78)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 79:
      if (eof) ADVANCE(80);
      if (lookahead == '#') ADVANCE(95);
      if (lookahead == '/') ADVANCE(90);
      if (lookahead == '<') ADVANCE(86);
      if (lookahead == '?') ADVANCE(93);
      if (lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79)
      if (lookahead != 0) ADVANCE(96);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(81);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(54);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(96);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(82);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(96);
      if (lookahead == '\r') ADVANCE(88);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(94);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(96);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(95);
      if (lookahead == '/') ADVANCE(90);
      if (lookahead == '?') ADVANCE(93);
      if (lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(89);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(96);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(92);
      if (lookahead == '/') ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(96);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(91);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(92);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(91);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(92);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(85);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(96);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '?') ADVANCE(87);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(94);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(94);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(96);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(214);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(214);
      if (lookahead == '=') ADVANCE(167);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(217);
      if (lookahead == '>') ADVANCE(111);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(111);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(188);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(155);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(44);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(212);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(44);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead == '?') ADVANCE(212);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(44);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead == '?') ADVANCE(211);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(83);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(83);
      if (lookahead == '?') ADVANCE(211);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(169);
      if (lookahead == '|') ADVANCE(213);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(213);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(35);
      if (lookahead == '_') ADVANCE(68);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(68);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '_') ADVANCE(64);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(63);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(139);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(72);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(134);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '_') ADVANCE(64);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '_') ADVANCE(67);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(63);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(65);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(63);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(139);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(139);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(139);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(156);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(156);
      if (lookahead == '=') ADVANCE(162);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(157);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(157);
      if (lookahead == '=') ADVANCE(163);
      if (lookahead == '>') ADVANCE(171);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(157);
      if (lookahead == '>') ADVANCE(171);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(171);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(218);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(176);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(177);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(176);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(74);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_QMARK_GT2);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\n') ADVANCE(198);
      if (lookahead == '\r') ADVANCE(190);
      if (lookahead == '>') ADVANCE(198);
      if (lookahead == '\\') ADVANCE(289);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\n') ADVANCE(198);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '#') ADVANCE(197);
      if (lookahead == '/') ADVANCE(192);
      if (lookahead == '?') ADVANCE(195);
      if (lookahead == '\\') ADVANCE(50);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(191);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(194);
      if (lookahead == '/') ADVANCE(196);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(193);
      if (lookahead == '/') ADVANCE(198);
      if (lookahead == '\\') ADVANCE(31);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(194);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(193);
      if (lookahead == '\\') ADVANCE(31);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(194);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '>') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '?') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(289);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\\') ADVANCE(289);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(201);
      if (lookahead == '\r') ADVANCE(201);
      if (lookahead == '?') ADVANCE(43);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(202);
      if (lookahead == '\r') ADVANCE(202);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_boolean);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_boolean);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_null);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(170);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(168);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(220);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(221);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(232);
      if (lookahead == '=') ADVANCE(228);
      if (lookahead == '>') ADVANCE(219);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(233);
      if (lookahead == '=') ADVANCE(228);
      if (lookahead == '>') ADVANCE(219);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(231);
      if (lookahead == '=') ADVANCE(228);
      if (lookahead == '>') ADVANCE(219);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(82);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(229);
      if (lookahead == '>') ADVANCE(235);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(229);
      if (lookahead == '>') ADVANCE(234);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(230);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(199);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(165);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(166);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(35);
      if (lookahead == '_') ADVANCE(68);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(164);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(154);
      if (lookahead == '=') ADVANCE(159);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(153);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(160);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(161);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(185);
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(185);
      if (lookahead == '\'') ADVANCE(187);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '_') ADVANCE(284);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(247);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(264);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(268);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(264);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(283);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(279);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(260);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(279);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(277);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(278);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(266);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(209);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(273);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(274);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(258);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(254);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(261);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(251);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(281);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(253);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(263);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(247);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(286);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(288);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(189);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(198);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(288);
      if (lookahead != 0) ADVANCE(196);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(175);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(288);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(288);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'B') ADVANCE(2);
      if (lookahead == 'E') ADVANCE(3);
      if (lookahead == 'F') ADVANCE(4);
      if (lookahead == 'I') ADVANCE(5);
      if (lookahead == 'M') ADVANCE(6);
      if (lookahead == 'N') ADVANCE(7);
      if (lookahead == 'P') ADVANCE(8);
      if (lookahead == 'S') ADVANCE(9);
      if (lookahead == 'T') ADVANCE(10);
      if (lookahead == 'U') ADVANCE(11);
      if (lookahead == 'V') ADVANCE(12);
      if (lookahead == 'a') ADVANCE(13);
      if (lookahead == 'b') ADVANCE(14);
      if (lookahead == 'e') ADVANCE(15);
      if (lookahead == 'f') ADVANCE(16);
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'm') ADVANCE(18);
      if (lookahead == 'n') ADVANCE(19);
      if (lookahead == 'p') ADVANCE(20);
      if (lookahead == 's') ADVANCE(21);
      if (lookahead == 't') ADVANCE(22);
      if (lookahead == 'u') ADVANCE(23);
      if (lookahead == 'v') ADVANCE(24);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(25);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(26);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(27);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(28);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(29);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(30);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(31);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(32);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(33);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(41);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(42);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(43);
      END_STATE();
    case 4:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(44);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(45);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(46);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(47);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(58);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(59);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(60);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(63);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'N') ADVANCE(42);
      if (lookahead == 'n') ADVANCE(64);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(41);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(43);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(44);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(45);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(46);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(47);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(67);
      if (lookahead == 't') ADVANCE(68);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(70);
      if (lookahead == 'u') ADVANCE(71);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(72);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(73);
      if (lookahead == 't') ADVANCE(74);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(59);
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'r') ADVANCE(76);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(58);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(77);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(60);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(78);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(79);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(80);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(81);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(82);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(84);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(86);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(87);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(90);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(92);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(93);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(94);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(96);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(98);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(99);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(100);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(101);
      END_STATE();
    case 43:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(102);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(107);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(108);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(109);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(110);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(111);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(112);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(113);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(114);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(115);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(116);
      END_STATE();
    case 57:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(117);
      END_STATE();
    case 58:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(118);
      END_STATE();
    case 59:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 60:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 61:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 62:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 63:
      if (lookahead == 'O') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(124);
      END_STATE();
    case 64:
      if (lookahead == 'c') ADVANCE(125);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(100);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(101);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(126);
      END_STATE();
    case 66:
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 67:
      if (lookahead == 'T') ADVANCE(110);
      if (lookahead == 't') ADVANCE(128);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(108);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(129);
      END_STATE();
    case 69:
      if (lookahead == 'x') ADVANCE(130);
      END_STATE();
    case 70:
      if (lookahead == 'v') ADVANCE(131);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(113);
      END_STATE();
    case 71:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 72:
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 73:
      if (lookahead == 'l') ADVANCE(134);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(135);
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 75:
      if (lookahead == 'c') ADVANCE(137);
      END_STATE();
    case 76:
      if (lookahead == 'u') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 77:
      if (lookahead == 's') ADVANCE(139);
      END_STATE();
    case 78:
      if (lookahead == 'i') ADVANCE(140);
      END_STATE();
    case 79:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(141);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(142);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(143);
      END_STATE();
    case 80:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(144);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(146);
      END_STATE();
    case 82:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(147);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(149);
      END_STATE();
    case 84:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(150);
      END_STATE();
    case 85:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(151);
      END_STATE();
    case 86:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(152);
      END_STATE();
    case 87:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(153);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 89:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(154);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(155);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(156);
      END_STATE();
    case 90:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(157);
      END_STATE();
    case 91:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(158);
      END_STATE();
    case 92:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 93:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(160);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 95:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(161);
      END_STATE();
    case 96:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 97:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 98:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(164);
      END_STATE();
    case 99:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 100:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(166);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(167);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(168);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(169);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(170);
      END_STATE();
    case 101:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(171);
      END_STATE();
    case 102:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 103:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 105:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(175);
      END_STATE();
    case 106:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(176);
      END_STATE();
    case 107:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 108:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(178);
      END_STATE();
    case 109:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(179);
      END_STATE();
    case 110:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 111:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(181);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym_object_creation_expression_token1);
      END_STATE();
    case 114:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(183);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(184);
      END_STATE();
    case 115:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(185);
      END_STATE();
    case 116:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(187);
      END_STATE();
    case 118:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(188);
      END_STATE();
    case 119:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 123:
      if (lookahead == 'a') ADVANCE(190);
      END_STATE();
    case 124:
      if (lookahead == 'L') ADVANCE(162);
      if (lookahead == 'l') ADVANCE(191);
      END_STATE();
    case 125:
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 126:
      if (lookahead == 's') ADVANCE(193);
      END_STATE();
    case 127:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 129:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(197);
      END_STATE();
    case 132:
      if (lookahead == 'l') ADVANCE(198);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 134:
      if (lookahead == 'f') ADVANCE(200);
      END_STATE();
    case 135:
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 136:
      if (lookahead == 'i') ADVANCE(202);
      END_STATE();
    case 137:
      if (lookahead == 'k') ADVANCE(203);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 140:
      if (lookahead == 'd') ADVANCE(206);
      END_STATE();
    case 141:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(207);
      END_STATE();
    case 142:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 143:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(209);
      END_STATE();
    case 144:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(210);
      END_STATE();
    case 145:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(211);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(212);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(215);
      END_STATE();
    case 149:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(216);
      END_STATE();
    case 150:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(217);
      END_STATE();
    case 151:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(218);
      END_STATE();
    case 152:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(219);
      END_STATE();
    case 153:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 154:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(221);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(224);
      END_STATE();
    case 157:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(226);
      END_STATE();
    case 160:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 161:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(228);
      END_STATE();
    case 162:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 163:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(230);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(231);
      END_STATE();
    case 166:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 167:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 168:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(234);
      END_STATE();
    case 169:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(235);
      END_STATE();
    case 170:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(236);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 172:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 173:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(238);
      END_STATE();
    case 174:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(239);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 176:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(240);
      END_STATE();
    case 177:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 178:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(242);
      END_STATE();
    case 179:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(243);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 180:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(245);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(246);
      END_STATE();
    case 181:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(247);
      END_STATE();
    case 182:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(248);
      END_STATE();
    case 183:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'y') ADVANCE(256);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 192:
      if (lookahead == 'd') ADVANCE(257);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(259);
      END_STATE();
    case 195:
      if (lookahead == 'a') ADVANCE(260);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'r') ADVANCE(262);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 199:
      if (lookahead == 'n') ADVANCE(263);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 201:
      if (lookahead == 'i') ADVANCE(264);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(265);
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 203:
      if (lookahead == 's') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 205:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 207:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 209:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(270);
      END_STATE();
    case 210:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(271);
      END_STATE();
    case 211:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 212:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 220:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(279);
      END_STATE();
    case 221:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(280);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 223:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(281);
      END_STATE();
    case 224:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(282);
      END_STATE();
    case 225:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 226:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(287);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 231:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(288);
      END_STATE();
    case 232:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(289);
      END_STATE();
    case 233:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(290);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 235:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(291);
      END_STATE();
    case 236:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 237:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(293);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(296);
      END_STATE();
    case 241:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(302);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 248:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(303);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 250:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(304);
      END_STATE();
    case 251:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(305);
      END_STATE();
    case 252:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 253:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(307);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 257:
      if (lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 260:
      if (lookahead == 'b') ADVANCE(309);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 263:
      if (lookahead == 't') ADVANCE(310);
      END_STATE();
    case 264:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 265:
      if (lookahead == 't') ADVANCE(312);
      END_STATE();
    case 266:
      if (lookahead == 'g') ADVANCE(313);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 269:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(314);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 274:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(315);
      END_STATE();
    case 275:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(316);
      END_STATE();
    case 276:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(317);
      END_STATE();
    case 277:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(323);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 285:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(324);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 287:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(325);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 289:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(326);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(327);
      END_STATE();
    case 291:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(328);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(342);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 309:
      if (lookahead == 'l') ADVANCE(344);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 312:
      if (lookahead == '_') ADVANCE(345);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 314:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(346);
      END_STATE();
    case 315:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(347);
      END_STATE();
    case 316:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(348);
      END_STATE();
    case 317:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(349);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 321:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(350);
      END_STATE();
    case 322:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 324:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 326:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(353);
      END_STATE();
    case 327:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(354);
      END_STATE();
    case 328:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(355);
      END_STATE();
    case 329:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(356);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 333:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(357);
      END_STATE();
    case 334:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(358);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(359);
      END_STATE();
    case 336:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 339:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(362);
      END_STATE();
    case 340:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(363);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 342:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 343:
      if (lookahead == 'g') ADVANCE(365);
      END_STATE();
    case 344:
      if (lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 345:
      if (lookahead == 't') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 350:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(370);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(371);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 353:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(372);
      END_STATE();
    case 354:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(373);
      END_STATE();
    case 355:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(374);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 358:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(375);
      END_STATE();
    case 359:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(376);
      END_STATE();
    case 360:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(377);
      END_STATE();
    case 361:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(381);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 367:
      if (lookahead == 'y') ADVANCE(382);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 371:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(383);
      END_STATE();
    case 372:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 373:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(385);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 375:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(386);
      END_STATE();
    case 376:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(387);
      END_STATE();
    case 377:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(388);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 382:
      if (lookahead == 'p') ADVANCE(389);
      END_STATE();
    case 383:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 387:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(391);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 389:
      if (lookahead == 'e') ADVANCE(392);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(393);
      END_STATE();
    case 391:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(394);
      END_STATE();
    case 392:
      if (lookahead == 's') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(396);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 79},
  [2] = {.lex_state = 77},
  [3] = {.lex_state = 77},
  [4] = {.lex_state = 77},
  [5] = {.lex_state = 77},
  [6] = {.lex_state = 77},
  [7] = {.lex_state = 77},
  [8] = {.lex_state = 77},
  [9] = {.lex_state = 77},
  [10] = {.lex_state = 77},
  [11] = {.lex_state = 77},
  [12] = {.lex_state = 77, .external_lex_state = 2},
  [13] = {.lex_state = 77, .external_lex_state = 2},
  [14] = {.lex_state = 77, .external_lex_state = 2},
  [15] = {.lex_state = 77, .external_lex_state = 2},
  [16] = {.lex_state = 77},
  [17] = {.lex_state = 77},
  [18] = {.lex_state = 77, .external_lex_state = 2},
  [19] = {.lex_state = 77},
  [20] = {.lex_state = 77},
  [21] = {.lex_state = 77},
  [22] = {.lex_state = 77, .external_lex_state = 2},
  [23] = {.lex_state = 77, .external_lex_state = 2},
  [24] = {.lex_state = 77},
  [25] = {.lex_state = 77},
  [26] = {.lex_state = 77},
  [27] = {.lex_state = 77},
  [28] = {.lex_state = 77},
  [29] = {.lex_state = 77},
  [30] = {.lex_state = 77},
  [31] = {.lex_state = 77},
  [32] = {.lex_state = 77},
  [33] = {.lex_state = 77, .external_lex_state = 2},
  [34] = {.lex_state = 77, .external_lex_state = 2},
  [35] = {.lex_state = 77},
  [36] = {.lex_state = 77},
  [37] = {.lex_state = 77, .external_lex_state = 2},
  [38] = {.lex_state = 77, .external_lex_state = 2},
  [39] = {.lex_state = 77},
  [40] = {.lex_state = 77},
  [41] = {.lex_state = 77, .external_lex_state = 2},
  [42] = {.lex_state = 77},
  [43] = {.lex_state = 77},
  [44] = {.lex_state = 77},
  [45] = {.lex_state = 77, .external_lex_state = 2},
  [46] = {.lex_state = 77},
  [47] = {.lex_state = 77},
  [48] = {.lex_state = 77},
  [49] = {.lex_state = 77},
  [50] = {.lex_state = 77, .external_lex_state = 2},
  [51] = {.lex_state = 77, .external_lex_state = 2},
  [52] = {.lex_state = 77, .external_lex_state = 2},
  [53] = {.lex_state = 77},
  [54] = {.lex_state = 77},
  [55] = {.lex_state = 77},
  [56] = {.lex_state = 77},
  [57] = {.lex_state = 77},
  [58] = {.lex_state = 77},
  [59] = {.lex_state = 77},
  [60] = {.lex_state = 77},
  [61] = {.lex_state = 77},
  [62] = {.lex_state = 77},
  [63] = {.lex_state = 77, .external_lex_state = 2},
  [64] = {.lex_state = 77, .external_lex_state = 2},
  [65] = {.lex_state = 77, .external_lex_state = 2},
  [66] = {.lex_state = 77},
  [67] = {.lex_state = 77, .external_lex_state = 2},
  [68] = {.lex_state = 77, .external_lex_state = 2},
  [69] = {.lex_state = 77},
  [70] = {.lex_state = 77, .external_lex_state = 2},
  [71] = {.lex_state = 77},
  [72] = {.lex_state = 77, .external_lex_state = 2},
  [73] = {.lex_state = 77},
  [74] = {.lex_state = 77},
  [75] = {.lex_state = 77},
  [76] = {.lex_state = 77},
  [77] = {.lex_state = 77, .external_lex_state = 2},
  [78] = {.lex_state = 77},
  [79] = {.lex_state = 77},
  [80] = {.lex_state = 77},
  [81] = {.lex_state = 77},
  [82] = {.lex_state = 77},
  [83] = {.lex_state = 77},
  [84] = {.lex_state = 77},
  [85] = {.lex_state = 77},
  [86] = {.lex_state = 6},
  [87] = {.lex_state = 6},
  [88] = {.lex_state = 6, .external_lex_state = 2},
  [89] = {.lex_state = 6},
  [90] = {.lex_state = 8},
  [91] = {.lex_state = 8},
  [92] = {.lex_state = 8},
  [93] = {.lex_state = 8},
  [94] = {.lex_state = 8},
  [95] = {.lex_state = 8},
  [96] = {.lex_state = 8},
  [97] = {.lex_state = 8},
  [98] = {.lex_state = 8},
  [99] = {.lex_state = 8},
  [100] = {.lex_state = 8},
  [101] = {.lex_state = 7},
  [102] = {.lex_state = 7},
  [103] = {.lex_state = 7},
  [104] = {.lex_state = 7},
  [105] = {.lex_state = 7},
  [106] = {.lex_state = 7},
  [107] = {.lex_state = 7},
  [108] = {.lex_state = 7},
  [109] = {.lex_state = 7},
  [110] = {.lex_state = 7},
  [111] = {.lex_state = 7},
  [112] = {.lex_state = 7},
  [113] = {.lex_state = 7},
  [114] = {.lex_state = 7},
  [115] = {.lex_state = 7},
  [116] = {.lex_state = 7},
  [117] = {.lex_state = 7},
  [118] = {.lex_state = 7},
  [119] = {.lex_state = 7},
  [120] = {.lex_state = 7},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 77},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 77},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 7},
  [133] = {.lex_state = 7},
  [134] = {.lex_state = 7},
  [135] = {.lex_state = 7},
  [136] = {.lex_state = 7},
  [137] = {.lex_state = 7},
  [138] = {.lex_state = 7},
  [139] = {.lex_state = 7},
  [140] = {.lex_state = 7},
  [141] = {.lex_state = 7},
  [142] = {.lex_state = 7},
  [143] = {.lex_state = 7},
  [144] = {.lex_state = 77},
  [145] = {.lex_state = 77},
  [146] = {.lex_state = 77},
  [147] = {.lex_state = 7},
  [148] = {.lex_state = 77},
  [149] = {.lex_state = 77},
  [150] = {.lex_state = 77},
  [151] = {.lex_state = 77},
  [152] = {.lex_state = 77},
  [153] = {.lex_state = 7},
  [154] = {.lex_state = 7},
  [155] = {.lex_state = 7},
  [156] = {.lex_state = 77},
  [157] = {.lex_state = 77},
  [158] = {.lex_state = 77},
  [159] = {.lex_state = 77},
  [160] = {.lex_state = 77},
  [161] = {.lex_state = 77},
  [162] = {.lex_state = 77},
  [163] = {.lex_state = 77},
  [164] = {.lex_state = 77},
  [165] = {.lex_state = 77},
  [166] = {.lex_state = 77},
  [167] = {.lex_state = 77},
  [168] = {.lex_state = 77},
  [169] = {.lex_state = 77},
  [170] = {.lex_state = 77},
  [171] = {.lex_state = 77},
  [172] = {.lex_state = 77},
  [173] = {.lex_state = 77},
  [174] = {.lex_state = 77},
  [175] = {.lex_state = 77},
  [176] = {.lex_state = 77},
  [177] = {.lex_state = 77},
  [178] = {.lex_state = 77},
  [179] = {.lex_state = 77},
  [180] = {.lex_state = 77},
  [181] = {.lex_state = 77},
  [182] = {.lex_state = 77},
  [183] = {.lex_state = 77},
  [184] = {.lex_state = 77},
  [185] = {.lex_state = 77},
  [186] = {.lex_state = 77, .external_lex_state = 2},
  [187] = {.lex_state = 77},
  [188] = {.lex_state = 7},
  [189] = {.lex_state = 77},
  [190] = {.lex_state = 77},
  [191] = {.lex_state = 7},
  [192] = {.lex_state = 77},
  [193] = {.lex_state = 77, .external_lex_state = 2},
  [194] = {.lex_state = 77, .external_lex_state = 2},
  [195] = {.lex_state = 77},
  [196] = {.lex_state = 77},
  [197] = {.lex_state = 77, .external_lex_state = 2},
  [198] = {.lex_state = 77},
  [199] = {.lex_state = 77},
  [200] = {.lex_state = 77},
  [201] = {.lex_state = 77},
  [202] = {.lex_state = 77, .external_lex_state = 2},
  [203] = {.lex_state = 77, .external_lex_state = 2},
  [204] = {.lex_state = 77},
  [205] = {.lex_state = 77},
  [206] = {.lex_state = 77},
  [207] = {.lex_state = 77},
  [208] = {.lex_state = 77},
  [209] = {.lex_state = 77},
  [210] = {.lex_state = 77},
  [211] = {.lex_state = 77},
  [212] = {.lex_state = 77},
  [213] = {.lex_state = 77},
  [214] = {.lex_state = 77},
  [215] = {.lex_state = 77},
  [216] = {.lex_state = 77},
  [217] = {.lex_state = 77},
  [218] = {.lex_state = 77},
  [219] = {.lex_state = 77},
  [220] = {.lex_state = 77},
  [221] = {.lex_state = 77},
  [222] = {.lex_state = 77},
  [223] = {.lex_state = 77},
  [224] = {.lex_state = 77},
  [225] = {.lex_state = 77},
  [226] = {.lex_state = 77},
  [227] = {.lex_state = 77},
  [228] = {.lex_state = 77},
  [229] = {.lex_state = 77},
  [230] = {.lex_state = 77},
  [231] = {.lex_state = 77},
  [232] = {.lex_state = 77},
  [233] = {.lex_state = 77},
  [234] = {.lex_state = 77},
  [235] = {.lex_state = 77},
  [236] = {.lex_state = 77},
  [237] = {.lex_state = 77},
  [238] = {.lex_state = 77},
  [239] = {.lex_state = 77},
  [240] = {.lex_state = 77},
  [241] = {.lex_state = 77},
  [242] = {.lex_state = 77},
  [243] = {.lex_state = 77},
  [244] = {.lex_state = 77},
  [245] = {.lex_state = 77},
  [246] = {.lex_state = 77},
  [247] = {.lex_state = 77},
  [248] = {.lex_state = 77},
  [249] = {.lex_state = 77},
  [250] = {.lex_state = 77},
  [251] = {.lex_state = 77},
  [252] = {.lex_state = 77},
  [253] = {.lex_state = 77},
  [254] = {.lex_state = 77},
  [255] = {.lex_state = 77},
  [256] = {.lex_state = 77},
  [257] = {.lex_state = 77},
  [258] = {.lex_state = 77},
  [259] = {.lex_state = 77},
  [260] = {.lex_state = 77},
  [261] = {.lex_state = 77},
  [262] = {.lex_state = 77},
  [263] = {.lex_state = 77},
  [264] = {.lex_state = 77},
  [265] = {.lex_state = 77},
  [266] = {.lex_state = 77},
  [267] = {.lex_state = 77},
  [268] = {.lex_state = 77},
  [269] = {.lex_state = 77},
  [270] = {.lex_state = 77},
  [271] = {.lex_state = 77},
  [272] = {.lex_state = 77},
  [273] = {.lex_state = 77},
  [274] = {.lex_state = 77},
  [275] = {.lex_state = 77},
  [276] = {.lex_state = 77},
  [277] = {.lex_state = 77},
  [278] = {.lex_state = 77},
  [279] = {.lex_state = 77},
  [280] = {.lex_state = 77},
  [281] = {.lex_state = 77},
  [282] = {.lex_state = 77},
  [283] = {.lex_state = 77},
  [284] = {.lex_state = 77},
  [285] = {.lex_state = 77},
  [286] = {.lex_state = 77},
  [287] = {.lex_state = 77},
  [288] = {.lex_state = 77},
  [289] = {.lex_state = 77},
  [290] = {.lex_state = 77},
  [291] = {.lex_state = 77},
  [292] = {.lex_state = 77},
  [293] = {.lex_state = 77},
  [294] = {.lex_state = 77},
  [295] = {.lex_state = 77},
  [296] = {.lex_state = 77},
  [297] = {.lex_state = 77},
  [298] = {.lex_state = 77},
  [299] = {.lex_state = 77},
  [300] = {.lex_state = 77},
  [301] = {.lex_state = 77},
  [302] = {.lex_state = 77},
  [303] = {.lex_state = 77},
  [304] = {.lex_state = 77},
  [305] = {.lex_state = 77},
  [306] = {.lex_state = 77},
  [307] = {.lex_state = 77},
  [308] = {.lex_state = 77},
  [309] = {.lex_state = 77},
  [310] = {.lex_state = 77},
  [311] = {.lex_state = 77},
  [312] = {.lex_state = 77},
  [313] = {.lex_state = 77},
  [314] = {.lex_state = 77},
  [315] = {.lex_state = 77},
  [316] = {.lex_state = 77},
  [317] = {.lex_state = 77},
  [318] = {.lex_state = 77},
  [319] = {.lex_state = 77},
  [320] = {.lex_state = 77},
  [321] = {.lex_state = 77},
  [322] = {.lex_state = 77},
  [323] = {.lex_state = 77},
  [324] = {.lex_state = 77},
  [325] = {.lex_state = 77},
  [326] = {.lex_state = 77},
  [327] = {.lex_state = 77},
  [328] = {.lex_state = 77},
  [329] = {.lex_state = 77},
  [330] = {.lex_state = 77},
  [331] = {.lex_state = 77},
  [332] = {.lex_state = 77},
  [333] = {.lex_state = 77},
  [334] = {.lex_state = 77},
  [335] = {.lex_state = 77},
  [336] = {.lex_state = 77},
  [337] = {.lex_state = 77},
  [338] = {.lex_state = 77},
  [339] = {.lex_state = 77},
  [340] = {.lex_state = 77},
  [341] = {.lex_state = 77},
  [342] = {.lex_state = 77},
  [343] = {.lex_state = 77},
  [344] = {.lex_state = 77},
  [345] = {.lex_state = 77},
  [346] = {.lex_state = 77},
  [347] = {.lex_state = 77},
  [348] = {.lex_state = 77},
  [349] = {.lex_state = 77},
  [350] = {.lex_state = 77},
  [351] = {.lex_state = 77},
  [352] = {.lex_state = 77},
  [353] = {.lex_state = 77},
  [354] = {.lex_state = 77},
  [355] = {.lex_state = 77},
  [356] = {.lex_state = 77},
  [357] = {.lex_state = 77},
  [358] = {.lex_state = 77},
  [359] = {.lex_state = 77},
  [360] = {.lex_state = 77},
  [361] = {.lex_state = 77},
  [362] = {.lex_state = 77},
  [363] = {.lex_state = 77},
  [364] = {.lex_state = 77},
  [365] = {.lex_state = 77},
  [366] = {.lex_state = 77},
  [367] = {.lex_state = 77},
  [368] = {.lex_state = 77},
  [369] = {.lex_state = 77},
  [370] = {.lex_state = 77},
  [371] = {.lex_state = 77},
  [372] = {.lex_state = 77},
  [373] = {.lex_state = 77},
  [374] = {.lex_state = 77},
  [375] = {.lex_state = 77},
  [376] = {.lex_state = 77},
  [377] = {.lex_state = 77},
  [378] = {.lex_state = 77},
  [379] = {.lex_state = 77},
  [380] = {.lex_state = 77},
  [381] = {.lex_state = 77},
  [382] = {.lex_state = 77},
  [383] = {.lex_state = 77},
  [384] = {.lex_state = 77},
  [385] = {.lex_state = 77},
  [386] = {.lex_state = 77},
  [387] = {.lex_state = 77},
  [388] = {.lex_state = 77},
  [389] = {.lex_state = 77},
  [390] = {.lex_state = 77},
  [391] = {.lex_state = 77},
  [392] = {.lex_state = 77},
  [393] = {.lex_state = 77},
  [394] = {.lex_state = 77},
  [395] = {.lex_state = 77},
  [396] = {.lex_state = 77},
  [397] = {.lex_state = 77},
  [398] = {.lex_state = 77},
  [399] = {.lex_state = 77},
  [400] = {.lex_state = 77},
  [401] = {.lex_state = 77},
  [402] = {.lex_state = 77},
  [403] = {.lex_state = 77},
  [404] = {.lex_state = 77},
  [405] = {.lex_state = 77},
  [406] = {.lex_state = 77},
  [407] = {.lex_state = 77},
  [408] = {.lex_state = 77},
  [409] = {.lex_state = 77},
  [410] = {.lex_state = 77},
  [411] = {.lex_state = 77},
  [412] = {.lex_state = 77},
  [413] = {.lex_state = 77},
  [414] = {.lex_state = 77},
  [415] = {.lex_state = 77},
  [416] = {.lex_state = 77},
  [417] = {.lex_state = 77},
  [418] = {.lex_state = 77},
  [419] = {.lex_state = 77},
  [420] = {.lex_state = 77},
  [421] = {.lex_state = 77},
  [422] = {.lex_state = 77},
  [423] = {.lex_state = 77},
  [424] = {.lex_state = 77},
  [425] = {.lex_state = 77},
  [426] = {.lex_state = 77},
  [427] = {.lex_state = 77},
  [428] = {.lex_state = 77},
  [429] = {.lex_state = 77},
  [430] = {.lex_state = 77},
  [431] = {.lex_state = 77},
  [432] = {.lex_state = 77},
  [433] = {.lex_state = 77},
  [434] = {.lex_state = 77},
  [435] = {.lex_state = 77},
  [436] = {.lex_state = 77},
  [437] = {.lex_state = 77},
  [438] = {.lex_state = 77},
  [439] = {.lex_state = 77},
  [440] = {.lex_state = 77},
  [441] = {.lex_state = 77},
  [442] = {.lex_state = 77},
  [443] = {.lex_state = 77},
  [444] = {.lex_state = 77},
  [445] = {.lex_state = 77, .external_lex_state = 2},
  [446] = {.lex_state = 77, .external_lex_state = 2},
  [447] = {.lex_state = 77, .external_lex_state = 2},
  [448] = {.lex_state = 77, .external_lex_state = 2},
  [449] = {.lex_state = 77, .external_lex_state = 2},
  [450] = {.lex_state = 77, .external_lex_state = 2},
  [451] = {.lex_state = 77, .external_lex_state = 2},
  [452] = {.lex_state = 77, .external_lex_state = 2},
  [453] = {.lex_state = 77, .external_lex_state = 2},
  [454] = {.lex_state = 77, .external_lex_state = 2},
  [455] = {.lex_state = 77, .external_lex_state = 2},
  [456] = {.lex_state = 77, .external_lex_state = 2},
  [457] = {.lex_state = 77, .external_lex_state = 2},
  [458] = {.lex_state = 77, .external_lex_state = 2},
  [459] = {.lex_state = 77, .external_lex_state = 2},
  [460] = {.lex_state = 77, .external_lex_state = 2},
  [461] = {.lex_state = 77, .external_lex_state = 2},
  [462] = {.lex_state = 77, .external_lex_state = 2},
  [463] = {.lex_state = 77, .external_lex_state = 2},
  [464] = {.lex_state = 77, .external_lex_state = 2},
  [465] = {.lex_state = 77},
  [466] = {.lex_state = 77},
  [467] = {.lex_state = 77},
  [468] = {.lex_state = 77},
  [469] = {.lex_state = 77},
  [470] = {.lex_state = 77},
  [471] = {.lex_state = 77},
  [472] = {.lex_state = 77},
  [473] = {.lex_state = 77},
  [474] = {.lex_state = 77},
  [475] = {.lex_state = 77},
  [476] = {.lex_state = 77},
  [477] = {.lex_state = 77},
  [478] = {.lex_state = 77},
  [479] = {.lex_state = 77},
  [480] = {.lex_state = 77},
  [481] = {.lex_state = 77},
  [482] = {.lex_state = 77},
  [483] = {.lex_state = 77},
  [484] = {.lex_state = 77},
  [485] = {.lex_state = 77},
  [486] = {.lex_state = 77},
  [487] = {.lex_state = 77},
  [488] = {.lex_state = 77},
  [489] = {.lex_state = 77},
  [490] = {.lex_state = 77},
  [491] = {.lex_state = 77},
  [492] = {.lex_state = 77},
  [493] = {.lex_state = 77},
  [494] = {.lex_state = 77},
  [495] = {.lex_state = 77},
  [496] = {.lex_state = 77},
  [497] = {.lex_state = 77},
  [498] = {.lex_state = 77},
  [499] = {.lex_state = 77},
  [500] = {.lex_state = 77},
  [501] = {.lex_state = 77},
  [502] = {.lex_state = 77},
  [503] = {.lex_state = 77},
  [504] = {.lex_state = 77},
  [505] = {.lex_state = 77},
  [506] = {.lex_state = 77},
  [507] = {.lex_state = 77},
  [508] = {.lex_state = 77},
  [509] = {.lex_state = 77},
  [510] = {.lex_state = 77},
  [511] = {.lex_state = 77},
  [512] = {.lex_state = 77},
  [513] = {.lex_state = 77},
  [514] = {.lex_state = 77},
  [515] = {.lex_state = 77},
  [516] = {.lex_state = 77},
  [517] = {.lex_state = 77},
  [518] = {.lex_state = 77},
  [519] = {.lex_state = 77},
  [520] = {.lex_state = 77},
  [521] = {.lex_state = 77},
  [522] = {.lex_state = 77},
  [523] = {.lex_state = 77},
  [524] = {.lex_state = 77},
  [525] = {.lex_state = 77},
  [526] = {.lex_state = 77},
  [527] = {.lex_state = 77},
  [528] = {.lex_state = 77},
  [529] = {.lex_state = 77},
  [530] = {.lex_state = 77},
  [531] = {.lex_state = 77},
  [532] = {.lex_state = 77},
  [533] = {.lex_state = 77},
  [534] = {.lex_state = 77},
  [535] = {.lex_state = 77},
  [536] = {.lex_state = 77},
  [537] = {.lex_state = 77},
  [538] = {.lex_state = 77},
  [539] = {.lex_state = 77},
  [540] = {.lex_state = 77},
  [541] = {.lex_state = 77},
  [542] = {.lex_state = 77},
  [543] = {.lex_state = 77},
  [544] = {.lex_state = 77},
  [545] = {.lex_state = 77},
  [546] = {.lex_state = 77},
  [547] = {.lex_state = 77},
  [548] = {.lex_state = 77},
  [549] = {.lex_state = 77},
  [550] = {.lex_state = 77},
  [551] = {.lex_state = 77},
  [552] = {.lex_state = 77},
  [553] = {.lex_state = 77},
  [554] = {.lex_state = 77},
  [555] = {.lex_state = 77},
  [556] = {.lex_state = 77},
  [557] = {.lex_state = 77},
  [558] = {.lex_state = 77},
  [559] = {.lex_state = 77},
  [560] = {.lex_state = 77},
  [561] = {.lex_state = 77},
  [562] = {.lex_state = 77},
  [563] = {.lex_state = 77},
  [564] = {.lex_state = 77},
  [565] = {.lex_state = 77},
  [566] = {.lex_state = 77},
  [567] = {.lex_state = 77},
  [568] = {.lex_state = 77},
  [569] = {.lex_state = 77},
  [570] = {.lex_state = 77},
  [571] = {.lex_state = 77},
  [572] = {.lex_state = 77},
  [573] = {.lex_state = 77},
  [574] = {.lex_state = 77},
  [575] = {.lex_state = 77},
  [576] = {.lex_state = 77},
  [577] = {.lex_state = 77},
  [578] = {.lex_state = 10},
  [579] = {.lex_state = 10},
  [580] = {.lex_state = 10},
  [581] = {.lex_state = 10},
  [582] = {.lex_state = 10},
  [583] = {.lex_state = 10},
  [584] = {.lex_state = 10},
  [585] = {.lex_state = 10},
  [586] = {.lex_state = 10},
  [587] = {.lex_state = 10},
  [588] = {.lex_state = 10},
  [589] = {.lex_state = 10},
  [590] = {.lex_state = 10},
  [591] = {.lex_state = 10},
  [592] = {.lex_state = 10},
  [593] = {.lex_state = 10},
  [594] = {.lex_state = 10},
  [595] = {.lex_state = 10},
  [596] = {.lex_state = 10},
  [597] = {.lex_state = 10},
  [598] = {.lex_state = 10},
  [599] = {.lex_state = 10},
  [600] = {.lex_state = 10},
  [601] = {.lex_state = 10},
  [602] = {.lex_state = 10},
  [603] = {.lex_state = 10},
  [604] = {.lex_state = 10},
  [605] = {.lex_state = 10},
  [606] = {.lex_state = 10, .external_lex_state = 2},
  [607] = {.lex_state = 10},
  [608] = {.lex_state = 10},
  [609] = {.lex_state = 10},
  [610] = {.lex_state = 10},
  [611] = {.lex_state = 10, .external_lex_state = 2},
  [612] = {.lex_state = 10, .external_lex_state = 2},
  [613] = {.lex_state = 10, .external_lex_state = 2},
  [614] = {.lex_state = 10, .external_lex_state = 2},
  [615] = {.lex_state = 10, .external_lex_state = 2},
  [616] = {.lex_state = 10, .external_lex_state = 2},
  [617] = {.lex_state = 10, .external_lex_state = 2},
  [618] = {.lex_state = 10, .external_lex_state = 2},
  [619] = {.lex_state = 10, .external_lex_state = 2},
  [620] = {.lex_state = 10},
  [621] = {.lex_state = 10, .external_lex_state = 2},
  [622] = {.lex_state = 10, .external_lex_state = 2},
  [623] = {.lex_state = 10},
  [624] = {.lex_state = 10, .external_lex_state = 2},
  [625] = {.lex_state = 10},
  [626] = {.lex_state = 10, .external_lex_state = 2},
  [627] = {.lex_state = 10, .external_lex_state = 2},
  [628] = {.lex_state = 10, .external_lex_state = 2},
  [629] = {.lex_state = 10, .external_lex_state = 2},
  [630] = {.lex_state = 10, .external_lex_state = 2},
  [631] = {.lex_state = 10, .external_lex_state = 2},
  [632] = {.lex_state = 10},
  [633] = {.lex_state = 10},
  [634] = {.lex_state = 10},
  [635] = {.lex_state = 10, .external_lex_state = 2},
  [636] = {.lex_state = 10, .external_lex_state = 2},
  [637] = {.lex_state = 10, .external_lex_state = 2},
  [638] = {.lex_state = 10, .external_lex_state = 2},
  [639] = {.lex_state = 10},
  [640] = {.lex_state = 10, .external_lex_state = 2},
  [641] = {.lex_state = 10, .external_lex_state = 2},
  [642] = {.lex_state = 10, .external_lex_state = 2},
  [643] = {.lex_state = 10},
  [644] = {.lex_state = 10},
  [645] = {.lex_state = 10, .external_lex_state = 2},
  [646] = {.lex_state = 10, .external_lex_state = 2},
  [647] = {.lex_state = 10},
  [648] = {.lex_state = 10},
  [649] = {.lex_state = 10},
  [650] = {.lex_state = 10},
  [651] = {.lex_state = 10},
  [652] = {.lex_state = 10},
  [653] = {.lex_state = 10},
  [654] = {.lex_state = 9},
  [655] = {.lex_state = 78},
  [656] = {.lex_state = 78},
  [657] = {.lex_state = 11},
  [658] = {.lex_state = 11},
  [659] = {.lex_state = 20},
  [660] = {.lex_state = 11},
  [661] = {.lex_state = 12},
  [662] = {.lex_state = 11},
  [663] = {.lex_state = 12},
  [664] = {.lex_state = 11},
  [665] = {.lex_state = 11},
  [666] = {.lex_state = 12},
  [667] = {.lex_state = 12},
  [668] = {.lex_state = 11},
  [669] = {.lex_state = 12},
  [670] = {.lex_state = 20},
  [671] = {.lex_state = 11},
  [672] = {.lex_state = 11},
  [673] = {.lex_state = 11},
  [674] = {.lex_state = 11},
  [675] = {.lex_state = 20},
  [676] = {.lex_state = 12},
  [677] = {.lex_state = 16},
  [678] = {.lex_state = 11},
  [679] = {.lex_state = 11},
  [680] = {.lex_state = 20},
  [681] = {.lex_state = 11},
  [682] = {.lex_state = 11},
  [683] = {.lex_state = 11},
  [684] = {.lex_state = 11},
  [685] = {.lex_state = 11},
  [686] = {.lex_state = 16},
  [687] = {.lex_state = 11},
  [688] = {.lex_state = 11},
  [689] = {.lex_state = 11},
  [690] = {.lex_state = 11},
  [691] = {.lex_state = 20},
  [692] = {.lex_state = 11},
  [693] = {.lex_state = 11},
  [694] = {.lex_state = 20},
  [695] = {.lex_state = 12},
  [696] = {.lex_state = 12},
  [697] = {.lex_state = 12},
  [698] = {.lex_state = 12},
  [699] = {.lex_state = 17},
  [700] = {.lex_state = 12},
  [701] = {.lex_state = 12},
  [702] = {.lex_state = 12},
  [703] = {.lex_state = 12},
  [704] = {.lex_state = 20},
  [705] = {.lex_state = 11},
  [706] = {.lex_state = 11},
  [707] = {.lex_state = 12},
  [708] = {.lex_state = 17},
  [709] = {.lex_state = 12},
  [710] = {.lex_state = 12},
  [711] = {.lex_state = 17},
  [712] = {.lex_state = 12},
  [713] = {.lex_state = 12},
  [714] = {.lex_state = 12},
  [715] = {.lex_state = 17},
  [716] = {.lex_state = 12},
  [717] = {.lex_state = 12},
  [718] = {.lex_state = 12},
  [719] = {.lex_state = 17},
  [720] = {.lex_state = 12},
  [721] = {.lex_state = 12},
  [722] = {.lex_state = 12},
  [723] = {.lex_state = 12},
  [724] = {.lex_state = 12},
  [725] = {.lex_state = 12},
  [726] = {.lex_state = 12},
  [727] = {.lex_state = 12},
  [728] = {.lex_state = 12},
  [729] = {.lex_state = 12},
  [730] = {.lex_state = 12},
  [731] = {.lex_state = 12},
  [732] = {.lex_state = 12},
  [733] = {.lex_state = 12},
  [734] = {.lex_state = 12},
  [735] = {.lex_state = 12},
  [736] = {.lex_state = 12},
  [737] = {.lex_state = 12},
  [738] = {.lex_state = 12},
  [739] = {.lex_state = 12},
  [740] = {.lex_state = 12},
  [741] = {.lex_state = 12},
  [742] = {.lex_state = 12},
  [743] = {.lex_state = 12},
  [744] = {.lex_state = 12},
  [745] = {.lex_state = 12},
  [746] = {.lex_state = 12},
  [747] = {.lex_state = 12},
  [748] = {.lex_state = 12},
  [749] = {.lex_state = 12},
  [750] = {.lex_state = 12},
  [751] = {.lex_state = 12},
  [752] = {.lex_state = 12},
  [753] = {.lex_state = 12},
  [754] = {.lex_state = 12},
  [755] = {.lex_state = 12},
  [756] = {.lex_state = 12},
  [757] = {.lex_state = 12},
  [758] = {.lex_state = 12},
  [759] = {.lex_state = 12},
  [760] = {.lex_state = 12},
  [761] = {.lex_state = 12},
  [762] = {.lex_state = 12},
  [763] = {.lex_state = 12},
  [764] = {.lex_state = 12},
  [765] = {.lex_state = 12},
  [766] = {.lex_state = 12},
  [767] = {.lex_state = 12},
  [768] = {.lex_state = 12},
  [769] = {.lex_state = 12},
  [770] = {.lex_state = 17},
  [771] = {.lex_state = 12},
  [772] = {.lex_state = 12},
  [773] = {.lex_state = 12},
  [774] = {.lex_state = 12},
  [775] = {.lex_state = 12},
  [776] = {.lex_state = 13},
  [777] = {.lex_state = 11, .external_lex_state = 2},
  [778] = {.lex_state = 12},
  [779] = {.lex_state = 12, .external_lex_state = 2},
  [780] = {.lex_state = 12},
  [781] = {.lex_state = 11, .external_lex_state = 2},
  [782] = {.lex_state = 12, .external_lex_state = 2},
  [783] = {.lex_state = 12},
  [784] = {.lex_state = 12, .external_lex_state = 2},
  [785] = {.lex_state = 12},
  [786] = {.lex_state = 11, .external_lex_state = 2},
  [787] = {.lex_state = 11, .external_lex_state = 2},
  [788] = {.lex_state = 11, .external_lex_state = 2},
  [789] = {.lex_state = 11, .external_lex_state = 2},
  [790] = {.lex_state = 13},
  [791] = {.lex_state = 11, .external_lex_state = 2},
  [792] = {.lex_state = 12, .external_lex_state = 2},
  [793] = {.lex_state = 12},
  [794] = {.lex_state = 12},
  [795] = {.lex_state = 11, .external_lex_state = 2},
  [796] = {.lex_state = 11, .external_lex_state = 2},
  [797] = {.lex_state = 12, .external_lex_state = 2},
  [798] = {.lex_state = 11, .external_lex_state = 2},
  [799] = {.lex_state = 11, .external_lex_state = 2},
  [800] = {.lex_state = 11, .external_lex_state = 2},
  [801] = {.lex_state = 11, .external_lex_state = 2},
  [802] = {.lex_state = 11, .external_lex_state = 2},
  [803] = {.lex_state = 11, .external_lex_state = 2},
  [804] = {.lex_state = 11, .external_lex_state = 2},
  [805] = {.lex_state = 11, .external_lex_state = 2},
  [806] = {.lex_state = 11, .external_lex_state = 2},
  [807] = {.lex_state = 11, .external_lex_state = 2},
  [808] = {.lex_state = 11, .external_lex_state = 2},
  [809] = {.lex_state = 11, .external_lex_state = 2},
  [810] = {.lex_state = 12},
  [811] = {.lex_state = 11, .external_lex_state = 2},
  [812] = {.lex_state = 11, .external_lex_state = 2},
  [813] = {.lex_state = 7},
  [814] = {.lex_state = 11, .external_lex_state = 2},
  [815] = {.lex_state = 12, .external_lex_state = 2},
  [816] = {.lex_state = 17},
  [817] = {.lex_state = 12, .external_lex_state = 2},
  [818] = {.lex_state = 12, .external_lex_state = 2},
  [819] = {.lex_state = 12, .external_lex_state = 2},
  [820] = {.lex_state = 12, .external_lex_state = 2},
  [821] = {.lex_state = 12, .external_lex_state = 2},
  [822] = {.lex_state = 17},
  [823] = {.lex_state = 17},
  [824] = {.lex_state = 12, .external_lex_state = 2},
  [825] = {.lex_state = 17},
  [826] = {.lex_state = 17},
  [827] = {.lex_state = 12, .external_lex_state = 2},
  [828] = {.lex_state = 17},
  [829] = {.lex_state = 17},
  [830] = {.lex_state = 12, .external_lex_state = 2},
  [831] = {.lex_state = 12, .external_lex_state = 2},
  [832] = {.lex_state = 12, .external_lex_state = 2},
  [833] = {.lex_state = 13},
  [834] = {.lex_state = 12, .external_lex_state = 2},
  [835] = {.lex_state = 13},
  [836] = {.lex_state = 12, .external_lex_state = 2},
  [837] = {.lex_state = 12, .external_lex_state = 2},
  [838] = {.lex_state = 12, .external_lex_state = 2},
  [839] = {.lex_state = 17},
  [840] = {.lex_state = 17},
  [841] = {.lex_state = 12, .external_lex_state = 2},
  [842] = {.lex_state = 17},
  [843] = {.lex_state = 17},
  [844] = {.lex_state = 11, .external_lex_state = 2},
  [845] = {.lex_state = 12, .external_lex_state = 2},
  [846] = {.lex_state = 12, .external_lex_state = 2},
  [847] = {.lex_state = 12, .external_lex_state = 2},
  [848] = {.lex_state = 12, .external_lex_state = 2},
  [849] = {.lex_state = 12, .external_lex_state = 2},
  [850] = {.lex_state = 12, .external_lex_state = 2},
  [851] = {.lex_state = 12, .external_lex_state = 2},
  [852] = {.lex_state = 17},
  [853] = {.lex_state = 12, .external_lex_state = 2},
  [854] = {.lex_state = 12, .external_lex_state = 2},
  [855] = {.lex_state = 11, .external_lex_state = 2},
  [856] = {.lex_state = 12, .external_lex_state = 2},
  [857] = {.lex_state = 12, .external_lex_state = 2},
  [858] = {.lex_state = 12, .external_lex_state = 2},
  [859] = {.lex_state = 12, .external_lex_state = 2},
  [860] = {.lex_state = 17},
  [861] = {.lex_state = 12, .external_lex_state = 2},
  [862] = {.lex_state = 12, .external_lex_state = 2},
  [863] = {.lex_state = 12, .external_lex_state = 2},
  [864] = {.lex_state = 12, .external_lex_state = 2},
  [865] = {.lex_state = 12, .external_lex_state = 2},
  [866] = {.lex_state = 12, .external_lex_state = 2},
  [867] = {.lex_state = 17},
  [868] = {.lex_state = 17},
  [869] = {.lex_state = 12, .external_lex_state = 2},
  [870] = {.lex_state = 12, .external_lex_state = 2},
  [871] = {.lex_state = 12, .external_lex_state = 2},
  [872] = {.lex_state = 12, .external_lex_state = 2},
  [873] = {.lex_state = 12, .external_lex_state = 2},
  [874] = {.lex_state = 12, .external_lex_state = 2},
  [875] = {.lex_state = 12, .external_lex_state = 2},
  [876] = {.lex_state = 12, .external_lex_state = 2},
  [877] = {.lex_state = 12, .external_lex_state = 2},
  [878] = {.lex_state = 12, .external_lex_state = 2},
  [879] = {.lex_state = 12, .external_lex_state = 2},
  [880] = {.lex_state = 12, .external_lex_state = 2},
  [881] = {.lex_state = 12, .external_lex_state = 2},
  [882] = {.lex_state = 12, .external_lex_state = 2},
  [883] = {.lex_state = 12, .external_lex_state = 2},
  [884] = {.lex_state = 12, .external_lex_state = 2},
  [885] = {.lex_state = 12, .external_lex_state = 2},
  [886] = {.lex_state = 12, .external_lex_state = 2},
  [887] = {.lex_state = 12, .external_lex_state = 2},
  [888] = {.lex_state = 12, .external_lex_state = 2},
  [889] = {.lex_state = 12, .external_lex_state = 2},
  [890] = {.lex_state = 12, .external_lex_state = 2},
  [891] = {.lex_state = 12, .external_lex_state = 2},
  [892] = {.lex_state = 12, .external_lex_state = 2},
  [893] = {.lex_state = 12, .external_lex_state = 2},
  [894] = {.lex_state = 12, .external_lex_state = 2},
  [895] = {.lex_state = 12, .external_lex_state = 2},
  [896] = {.lex_state = 12, .external_lex_state = 2},
  [897] = {.lex_state = 12, .external_lex_state = 2},
  [898] = {.lex_state = 12},
  [899] = {.lex_state = 12, .external_lex_state = 2},
  [900] = {.lex_state = 12, .external_lex_state = 2},
  [901] = {.lex_state = 12, .external_lex_state = 2},
  [902] = {.lex_state = 12, .external_lex_state = 2},
  [903] = {.lex_state = 12, .external_lex_state = 2},
  [904] = {.lex_state = 12, .external_lex_state = 2},
  [905] = {.lex_state = 12, .external_lex_state = 2},
  [906] = {.lex_state = 12, .external_lex_state = 2},
  [907] = {.lex_state = 12, .external_lex_state = 2},
  [908] = {.lex_state = 12},
  [909] = {.lex_state = 12, .external_lex_state = 2},
  [910] = {.lex_state = 12, .external_lex_state = 2},
  [911] = {.lex_state = 12, .external_lex_state = 2},
  [912] = {.lex_state = 12, .external_lex_state = 2},
  [913] = {.lex_state = 12, .external_lex_state = 2},
  [914] = {.lex_state = 12, .external_lex_state = 2},
  [915] = {.lex_state = 12, .external_lex_state = 2},
  [916] = {.lex_state = 12, .external_lex_state = 2},
  [917] = {.lex_state = 13},
  [918] = {.lex_state = 13},
  [919] = {.lex_state = 13},
  [920] = {.lex_state = 13},
  [921] = {.lex_state = 13},
  [922] = {.lex_state = 13},
  [923] = {.lex_state = 13},
  [924] = {.lex_state = 14},
  [925] = {.lex_state = 13},
  [926] = {.lex_state = 13},
  [927] = {.lex_state = 13},
  [928] = {.lex_state = 13},
  [929] = {.lex_state = 13},
  [930] = {.lex_state = 13},
  [931] = {.lex_state = 13},
  [932] = {.lex_state = 13},
  [933] = {.lex_state = 13},
  [934] = {.lex_state = 13},
  [935] = {.lex_state = 13},
  [936] = {.lex_state = 13},
  [937] = {.lex_state = 13},
  [938] = {.lex_state = 13},
  [939] = {.lex_state = 13},
  [940] = {.lex_state = 13},
  [941] = {.lex_state = 13},
  [942] = {.lex_state = 13},
  [943] = {.lex_state = 13},
  [944] = {.lex_state = 13},
  [945] = {.lex_state = 13},
  [946] = {.lex_state = 13},
  [947] = {.lex_state = 13},
  [948] = {.lex_state = 13},
  [949] = {.lex_state = 13},
  [950] = {.lex_state = 13},
  [951] = {.lex_state = 13},
  [952] = {.lex_state = 13},
  [953] = {.lex_state = 13},
  [954] = {.lex_state = 13},
  [955] = {.lex_state = 13},
  [956] = {.lex_state = 13},
  [957] = {.lex_state = 13},
  [958] = {.lex_state = 13},
  [959] = {.lex_state = 13},
  [960] = {.lex_state = 13},
  [961] = {.lex_state = 13},
  [962] = {.lex_state = 13},
  [963] = {.lex_state = 13},
  [964] = {.lex_state = 13},
  [965] = {.lex_state = 13},
  [966] = {.lex_state = 13},
  [967] = {.lex_state = 13},
  [968] = {.lex_state = 13},
  [969] = {.lex_state = 13},
  [970] = {.lex_state = 13},
  [971] = {.lex_state = 13},
  [972] = {.lex_state = 13},
  [973] = {.lex_state = 13},
  [974] = {.lex_state = 13},
  [975] = {.lex_state = 13},
  [976] = {.lex_state = 13},
  [977] = {.lex_state = 13},
  [978] = {.lex_state = 13},
  [979] = {.lex_state = 13},
  [980] = {.lex_state = 13},
  [981] = {.lex_state = 13},
  [982] = {.lex_state = 13},
  [983] = {.lex_state = 13, .external_lex_state = 2},
  [984] = {.lex_state = 13, .external_lex_state = 2},
  [985] = {.lex_state = 13},
  [986] = {.lex_state = 13},
  [987] = {.lex_state = 13},
  [988] = {.lex_state = 13},
  [989] = {.lex_state = 13},
  [990] = {.lex_state = 13},
  [991] = {.lex_state = 13},
  [992] = {.lex_state = 13},
  [993] = {.lex_state = 13},
  [994] = {.lex_state = 13},
  [995] = {.lex_state = 13},
  [996] = {.lex_state = 13},
  [997] = {.lex_state = 13},
  [998] = {.lex_state = 13},
  [999] = {.lex_state = 13},
  [1000] = {.lex_state = 13},
  [1001] = {.lex_state = 13},
  [1002] = {.lex_state = 13},
  [1003] = {.lex_state = 13},
  [1004] = {.lex_state = 13},
  [1005] = {.lex_state = 13},
  [1006] = {.lex_state = 13},
  [1007] = {.lex_state = 13},
  [1008] = {.lex_state = 13},
  [1009] = {.lex_state = 13},
  [1010] = {.lex_state = 13},
  [1011] = {.lex_state = 13},
  [1012] = {.lex_state = 13},
  [1013] = {.lex_state = 13},
  [1014] = {.lex_state = 13},
  [1015] = {.lex_state = 13},
  [1016] = {.lex_state = 13},
  [1017] = {.lex_state = 13},
  [1018] = {.lex_state = 13},
  [1019] = {.lex_state = 13},
  [1020] = {.lex_state = 13},
  [1021] = {.lex_state = 13},
  [1022] = {.lex_state = 13},
  [1023] = {.lex_state = 13},
  [1024] = {.lex_state = 13},
  [1025] = {.lex_state = 13},
  [1026] = {.lex_state = 13},
  [1027] = {.lex_state = 13},
  [1028] = {.lex_state = 13},
  [1029] = {.lex_state = 13},
  [1030] = {.lex_state = 13},
  [1031] = {.lex_state = 13},
  [1032] = {.lex_state = 13},
  [1033] = {.lex_state = 13},
  [1034] = {.lex_state = 13},
  [1035] = {.lex_state = 13},
  [1036] = {.lex_state = 13},
  [1037] = {.lex_state = 13},
  [1038] = {.lex_state = 13},
  [1039] = {.lex_state = 13},
  [1040] = {.lex_state = 13},
  [1041] = {.lex_state = 13},
  [1042] = {.lex_state = 13},
  [1043] = {.lex_state = 13},
  [1044] = {.lex_state = 13},
  [1045] = {.lex_state = 78},
  [1046] = {.lex_state = 13},
  [1047] = {.lex_state = 13},
  [1048] = {.lex_state = 13},
  [1049] = {.lex_state = 13},
  [1050] = {.lex_state = 13},
  [1051] = {.lex_state = 13},
  [1052] = {.lex_state = 13, .external_lex_state = 2},
  [1053] = {.lex_state = 13, .external_lex_state = 2},
  [1054] = {.lex_state = 13, .external_lex_state = 2},
  [1055] = {.lex_state = 13, .external_lex_state = 2},
  [1056] = {.lex_state = 13, .external_lex_state = 2},
  [1057] = {.lex_state = 13, .external_lex_state = 2},
  [1058] = {.lex_state = 13, .external_lex_state = 2},
  [1059] = {.lex_state = 13, .external_lex_state = 2},
  [1060] = {.lex_state = 13, .external_lex_state = 2},
  [1061] = {.lex_state = 78},
  [1062] = {.lex_state = 13, .external_lex_state = 2},
  [1063] = {.lex_state = 13, .external_lex_state = 2},
  [1064] = {.lex_state = 13, .external_lex_state = 2},
  [1065] = {.lex_state = 13, .external_lex_state = 2},
  [1066] = {.lex_state = 13, .external_lex_state = 2},
  [1067] = {.lex_state = 13, .external_lex_state = 2},
  [1068] = {.lex_state = 13, .external_lex_state = 2},
  [1069] = {.lex_state = 13, .external_lex_state = 2},
  [1070] = {.lex_state = 13, .external_lex_state = 2},
  [1071] = {.lex_state = 13, .external_lex_state = 2},
  [1072] = {.lex_state = 13, .external_lex_state = 2},
  [1073] = {.lex_state = 13, .external_lex_state = 2},
  [1074] = {.lex_state = 13, .external_lex_state = 2},
  [1075] = {.lex_state = 13, .external_lex_state = 2},
  [1076] = {.lex_state = 13, .external_lex_state = 2},
  [1077] = {.lex_state = 13, .external_lex_state = 2},
  [1078] = {.lex_state = 13, .external_lex_state = 2},
  [1079] = {.lex_state = 13, .external_lex_state = 2},
  [1080] = {.lex_state = 13, .external_lex_state = 2},
  [1081] = {.lex_state = 13, .external_lex_state = 2},
  [1082] = {.lex_state = 13, .external_lex_state = 2},
  [1083] = {.lex_state = 13, .external_lex_state = 2},
  [1084] = {.lex_state = 13, .external_lex_state = 2},
  [1085] = {.lex_state = 13, .external_lex_state = 2},
  [1086] = {.lex_state = 13, .external_lex_state = 2},
  [1087] = {.lex_state = 13, .external_lex_state = 2},
  [1088] = {.lex_state = 13, .external_lex_state = 2},
  [1089] = {.lex_state = 13, .external_lex_state = 2},
  [1090] = {.lex_state = 13, .external_lex_state = 2},
  [1091] = {.lex_state = 13, .external_lex_state = 2},
  [1092] = {.lex_state = 13, .external_lex_state = 2},
  [1093] = {.lex_state = 13, .external_lex_state = 2},
  [1094] = {.lex_state = 13, .external_lex_state = 2},
  [1095] = {.lex_state = 13, .external_lex_state = 2},
  [1096] = {.lex_state = 13, .external_lex_state = 2},
  [1097] = {.lex_state = 13, .external_lex_state = 2},
  [1098] = {.lex_state = 13, .external_lex_state = 2},
  [1099] = {.lex_state = 13, .external_lex_state = 2},
  [1100] = {.lex_state = 13, .external_lex_state = 2},
  [1101] = {.lex_state = 13, .external_lex_state = 2},
  [1102] = {.lex_state = 13, .external_lex_state = 2},
  [1103] = {.lex_state = 13, .external_lex_state = 2},
  [1104] = {.lex_state = 13, .external_lex_state = 2},
  [1105] = {.lex_state = 13, .external_lex_state = 2},
  [1106] = {.lex_state = 13, .external_lex_state = 2},
  [1107] = {.lex_state = 13, .external_lex_state = 2},
  [1108] = {.lex_state = 13, .external_lex_state = 2},
  [1109] = {.lex_state = 13, .external_lex_state = 2},
  [1110] = {.lex_state = 13, .external_lex_state = 2},
  [1111] = {.lex_state = 13, .external_lex_state = 2},
  [1112] = {.lex_state = 13, .external_lex_state = 2},
  [1113] = {.lex_state = 13, .external_lex_state = 2},
  [1114] = {.lex_state = 13, .external_lex_state = 2},
  [1115] = {.lex_state = 13, .external_lex_state = 2},
  [1116] = {.lex_state = 13, .external_lex_state = 2},
  [1117] = {.lex_state = 13, .external_lex_state = 2},
  [1118] = {.lex_state = 13, .external_lex_state = 2},
  [1119] = {.lex_state = 13, .external_lex_state = 2},
  [1120] = {.lex_state = 13, .external_lex_state = 2},
  [1121] = {.lex_state = 13, .external_lex_state = 2},
  [1122] = {.lex_state = 78},
  [1123] = {.lex_state = 13, .external_lex_state = 2},
  [1124] = {.lex_state = 13, .external_lex_state = 2},
  [1125] = {.lex_state = 13, .external_lex_state = 2},
  [1126] = {.lex_state = 78},
  [1127] = {.lex_state = 13, .external_lex_state = 2},
  [1128] = {.lex_state = 13, .external_lex_state = 2},
  [1129] = {.lex_state = 13, .external_lex_state = 2},
  [1130] = {.lex_state = 13, .external_lex_state = 2},
  [1131] = {.lex_state = 13, .external_lex_state = 2},
  [1132] = {.lex_state = 13, .external_lex_state = 2},
  [1133] = {.lex_state = 13, .external_lex_state = 2},
  [1134] = {.lex_state = 13, .external_lex_state = 2},
  [1135] = {.lex_state = 13, .external_lex_state = 2},
  [1136] = {.lex_state = 78},
  [1137] = {.lex_state = 78},
  [1138] = {.lex_state = 13, .external_lex_state = 2},
  [1139] = {.lex_state = 13, .external_lex_state = 2},
  [1140] = {.lex_state = 13, .external_lex_state = 2},
  [1141] = {.lex_state = 13, .external_lex_state = 2},
  [1142] = {.lex_state = 13, .external_lex_state = 2},
  [1143] = {.lex_state = 13, .external_lex_state = 2},
  [1144] = {.lex_state = 13, .external_lex_state = 2},
  [1145] = {.lex_state = 13, .external_lex_state = 2},
  [1146] = {.lex_state = 78},
  [1147] = {.lex_state = 13, .external_lex_state = 2},
  [1148] = {.lex_state = 13, .external_lex_state = 2},
  [1149] = {.lex_state = 13, .external_lex_state = 2},
  [1150] = {.lex_state = 13, .external_lex_state = 2},
  [1151] = {.lex_state = 13, .external_lex_state = 2},
  [1152] = {.lex_state = 13, .external_lex_state = 2},
  [1153] = {.lex_state = 13, .external_lex_state = 2},
  [1154] = {.lex_state = 13, .external_lex_state = 2},
  [1155] = {.lex_state = 13, .external_lex_state = 2},
  [1156] = {.lex_state = 13, .external_lex_state = 2},
  [1157] = {.lex_state = 13, .external_lex_state = 2},
  [1158] = {.lex_state = 13},
  [1159] = {.lex_state = 13},
  [1160] = {.lex_state = 13},
  [1161] = {.lex_state = 13},
  [1162] = {.lex_state = 13},
  [1163] = {.lex_state = 13},
  [1164] = {.lex_state = 13},
  [1165] = {.lex_state = 13},
  [1166] = {.lex_state = 14},
  [1167] = {.lex_state = 13},
  [1168] = {.lex_state = 13},
  [1169] = {.lex_state = 13},
  [1170] = {.lex_state = 13},
  [1171] = {.lex_state = 13},
  [1172] = {.lex_state = 13},
  [1173] = {.lex_state = 14},
  [1174] = {.lex_state = 13},
  [1175] = {.lex_state = 13},
  [1176] = {.lex_state = 13},
  [1177] = {.lex_state = 13},
  [1178] = {.lex_state = 13},
  [1179] = {.lex_state = 13},
  [1180] = {.lex_state = 13},
  [1181] = {.lex_state = 13},
  [1182] = {.lex_state = 13},
  [1183] = {.lex_state = 13},
  [1184] = {.lex_state = 13},
  [1185] = {.lex_state = 13},
  [1186] = {.lex_state = 13},
  [1187] = {.lex_state = 13},
  [1188] = {.lex_state = 13},
  [1189] = {.lex_state = 13},
  [1190] = {.lex_state = 13},
  [1191] = {.lex_state = 13},
  [1192] = {.lex_state = 13},
  [1193] = {.lex_state = 13, .external_lex_state = 2},
  [1194] = {.lex_state = 13},
  [1195] = {.lex_state = 21},
  [1196] = {.lex_state = 21},
  [1197] = {.lex_state = 21},
  [1198] = {.lex_state = 21},
  [1199] = {.lex_state = 21},
  [1200] = {.lex_state = 14},
  [1201] = {.lex_state = 78},
  [1202] = {.lex_state = 13},
  [1203] = {.lex_state = 21},
  [1204] = {.lex_state = 13, .external_lex_state = 2},
  [1205] = {.lex_state = 13},
  [1206] = {.lex_state = 21},
  [1207] = {.lex_state = 14},
  [1208] = {.lex_state = 21},
  [1209] = {.lex_state = 13, .external_lex_state = 2},
  [1210] = {.lex_state = 78},
  [1211] = {.lex_state = 21},
  [1212] = {.lex_state = 13},
  [1213] = {.lex_state = 13, .external_lex_state = 2},
  [1214] = {.lex_state = 13, .external_lex_state = 2},
  [1215] = {.lex_state = 13},
  [1216] = {.lex_state = 13, .external_lex_state = 2},
  [1217] = {.lex_state = 13},
  [1218] = {.lex_state = 13},
  [1219] = {.lex_state = 13, .external_lex_state = 2},
  [1220] = {.lex_state = 13, .external_lex_state = 2},
  [1221] = {.lex_state = 13, .external_lex_state = 2},
  [1222] = {.lex_state = 13},
  [1223] = {.lex_state = 78},
  [1224] = {.lex_state = 14},
  [1225] = {.lex_state = 13},
  [1226] = {.lex_state = 13},
  [1227] = {.lex_state = 13},
  [1228] = {.lex_state = 13, .external_lex_state = 2},
  [1229] = {.lex_state = 13},
  [1230] = {.lex_state = 13},
  [1231] = {.lex_state = 13},
  [1232] = {.lex_state = 13},
  [1233] = {.lex_state = 13},
  [1234] = {.lex_state = 13},
  [1235] = {.lex_state = 13},
  [1236] = {.lex_state = 13},
  [1237] = {.lex_state = 13},
  [1238] = {.lex_state = 13},
  [1239] = {.lex_state = 13},
  [1240] = {.lex_state = 13},
  [1241] = {.lex_state = 13},
  [1242] = {.lex_state = 13},
  [1243] = {.lex_state = 13},
  [1244] = {.lex_state = 13},
  [1245] = {.lex_state = 13},
  [1246] = {.lex_state = 13},
  [1247] = {.lex_state = 13},
  [1248] = {.lex_state = 13},
  [1249] = {.lex_state = 13},
  [1250] = {.lex_state = 13},
  [1251] = {.lex_state = 13},
  [1252] = {.lex_state = 13, .external_lex_state = 2},
  [1253] = {.lex_state = 13},
  [1254] = {.lex_state = 13, .external_lex_state = 2},
  [1255] = {.lex_state = 13, .external_lex_state = 2},
  [1256] = {.lex_state = 14},
  [1257] = {.lex_state = 13},
  [1258] = {.lex_state = 13},
  [1259] = {.lex_state = 13},
  [1260] = {.lex_state = 13},
  [1261] = {.lex_state = 13},
  [1262] = {.lex_state = 13},
  [1263] = {.lex_state = 13},
  [1264] = {.lex_state = 13},
  [1265] = {.lex_state = 13},
  [1266] = {.lex_state = 13},
  [1267] = {.lex_state = 13},
  [1268] = {.lex_state = 13},
  [1269] = {.lex_state = 13},
  [1270] = {.lex_state = 13},
  [1271] = {.lex_state = 13},
  [1272] = {.lex_state = 13},
  [1273] = {.lex_state = 13},
  [1274] = {.lex_state = 21},
  [1275] = {.lex_state = 13},
  [1276] = {.lex_state = 13},
  [1277] = {.lex_state = 13},
  [1278] = {.lex_state = 13},
  [1279] = {.lex_state = 13},
  [1280] = {.lex_state = 13},
  [1281] = {.lex_state = 13},
  [1282] = {.lex_state = 13},
  [1283] = {.lex_state = 13},
  [1284] = {.lex_state = 13},
  [1285] = {.lex_state = 13},
  [1286] = {.lex_state = 78},
  [1287] = {.lex_state = 13},
  [1288] = {.lex_state = 13},
  [1289] = {.lex_state = 13},
  [1290] = {.lex_state = 13},
  [1291] = {.lex_state = 13},
  [1292] = {.lex_state = 21},
  [1293] = {.lex_state = 13},
  [1294] = {.lex_state = 13},
  [1295] = {.lex_state = 13},
  [1296] = {.lex_state = 13},
  [1297] = {.lex_state = 13},
  [1298] = {.lex_state = 13},
  [1299] = {.lex_state = 13},
  [1300] = {.lex_state = 13},
  [1301] = {.lex_state = 21},
  [1302] = {.lex_state = 21},
  [1303] = {.lex_state = 13},
  [1304] = {.lex_state = 13},
  [1305] = {.lex_state = 13},
  [1306] = {.lex_state = 13},
  [1307] = {.lex_state = 13},
  [1308] = {.lex_state = 13},
  [1309] = {.lex_state = 13},
  [1310] = {.lex_state = 78},
  [1311] = {.lex_state = 13},
  [1312] = {.lex_state = 13},
  [1313] = {.lex_state = 21},
  [1314] = {.lex_state = 13},
  [1315] = {.lex_state = 13},
  [1316] = {.lex_state = 78},
  [1317] = {.lex_state = 13},
  [1318] = {.lex_state = 13},
  [1319] = {.lex_state = 13},
  [1320] = {.lex_state = 13},
  [1321] = {.lex_state = 13},
  [1322] = {.lex_state = 13},
  [1323] = {.lex_state = 13},
  [1324] = {.lex_state = 13},
  [1325] = {.lex_state = 13},
  [1326] = {.lex_state = 13},
  [1327] = {.lex_state = 13},
  [1328] = {.lex_state = 13},
  [1329] = {.lex_state = 13},
  [1330] = {.lex_state = 13},
  [1331] = {.lex_state = 13},
  [1332] = {.lex_state = 78},
  [1333] = {.lex_state = 78},
  [1334] = {.lex_state = 78},
  [1335] = {.lex_state = 78},
  [1336] = {.lex_state = 20},
  [1337] = {.lex_state = 20},
  [1338] = {.lex_state = 14},
  [1339] = {.lex_state = 14},
  [1340] = {.lex_state = 14},
  [1341] = {.lex_state = 20},
  [1342] = {.lex_state = 14},
  [1343] = {.lex_state = 14},
  [1344] = {.lex_state = 14},
  [1345] = {.lex_state = 14},
  [1346] = {.lex_state = 14},
  [1347] = {.lex_state = 14},
  [1348] = {.lex_state = 14},
  [1349] = {.lex_state = 20},
  [1350] = {.lex_state = 20},
  [1351] = {.lex_state = 20},
  [1352] = {.lex_state = 14},
  [1353] = {.lex_state = 14},
  [1354] = {.lex_state = 14},
  [1355] = {.lex_state = 14},
  [1356] = {.lex_state = 14},
  [1357] = {.lex_state = 14},
  [1358] = {.lex_state = 14},
  [1359] = {.lex_state = 14},
  [1360] = {.lex_state = 14},
  [1361] = {.lex_state = 14},
  [1362] = {.lex_state = 14},
  [1363] = {.lex_state = 14},
  [1364] = {.lex_state = 78},
  [1365] = {.lex_state = 3, .external_lex_state = 3},
  [1366] = {.lex_state = 3, .external_lex_state = 3},
  [1367] = {.lex_state = 78},
  [1368] = {.lex_state = 21},
  [1369] = {.lex_state = 21},
  [1370] = {.lex_state = 78},
  [1371] = {.lex_state = 3, .external_lex_state = 4},
  [1372] = {.lex_state = 3, .external_lex_state = 3},
  [1373] = {.lex_state = 3, .external_lex_state = 3},
  [1374] = {.lex_state = 3, .external_lex_state = 3},
  [1375] = {.lex_state = 78},
  [1376] = {.lex_state = 78},
  [1377] = {.lex_state = 17},
  [1378] = {.lex_state = 21},
  [1379] = {.lex_state = 21},
  [1380] = {.lex_state = 23, .external_lex_state = 4},
  [1381] = {.lex_state = 21},
  [1382] = {.lex_state = 21},
  [1383] = {.lex_state = 21},
  [1384] = {.lex_state = 18, .external_lex_state = 5},
  [1385] = {.lex_state = 21},
  [1386] = {.lex_state = 21},
  [1387] = {.lex_state = 21},
  [1388] = {.lex_state = 21},
  [1389] = {.lex_state = 21},
  [1390] = {.lex_state = 18, .external_lex_state = 5},
  [1391] = {.lex_state = 21},
  [1392] = {.lex_state = 21},
  [1393] = {.lex_state = 21},
  [1394] = {.lex_state = 21},
  [1395] = {.lex_state = 21},
  [1396] = {.lex_state = 21},
  [1397] = {.lex_state = 18, .external_lex_state = 5},
  [1398] = {.lex_state = 21},
  [1399] = {.lex_state = 18, .external_lex_state = 5},
  [1400] = {.lex_state = 21},
  [1401] = {.lex_state = 21},
  [1402] = {.lex_state = 18, .external_lex_state = 5},
  [1403] = {.lex_state = 18},
  [1404] = {.lex_state = 21},
  [1405] = {.lex_state = 21},
  [1406] = {.lex_state = 21},
  [1407] = {.lex_state = 21},
  [1408] = {.lex_state = 21},
  [1409] = {.lex_state = 21},
  [1410] = {.lex_state = 21},
  [1411] = {.lex_state = 18, .external_lex_state = 6},
  [1412] = {.lex_state = 21},
  [1413] = {.lex_state = 21},
  [1414] = {.lex_state = 21},
  [1415] = {.lex_state = 3, .external_lex_state = 7},
  [1416] = {.lex_state = 21},
  [1417] = {.lex_state = 18, .external_lex_state = 6},
  [1418] = {.lex_state = 21},
  [1419] = {.lex_state = 21},
  [1420] = {.lex_state = 21},
  [1421] = {.lex_state = 18, .external_lex_state = 6},
  [1422] = {.lex_state = 78},
  [1423] = {.lex_state = 18, .external_lex_state = 6},
  [1424] = {.lex_state = 18, .external_lex_state = 6},
  [1425] = {.lex_state = 3, .external_lex_state = 7},
  [1426] = {.lex_state = 21},
  [1427] = {.lex_state = 21},
  [1428] = {.lex_state = 78},
  [1429] = {.lex_state = 21},
  [1430] = {.lex_state = 21},
  [1431] = {.lex_state = 21},
  [1432] = {.lex_state = 21},
  [1433] = {.lex_state = 21},
  [1434] = {.lex_state = 21},
  [1435] = {.lex_state = 78},
  [1436] = {.lex_state = 21},
  [1437] = {.lex_state = 21},
  [1438] = {.lex_state = 21},
  [1439] = {.lex_state = 21},
  [1440] = {.lex_state = 21},
  [1441] = {.lex_state = 21},
  [1442] = {.lex_state = 21},
  [1443] = {.lex_state = 78},
  [1444] = {.lex_state = 21},
  [1445] = {.lex_state = 21},
  [1446] = {.lex_state = 78},
  [1447] = {.lex_state = 78},
  [1448] = {.lex_state = 78},
  [1449] = {.lex_state = 78},
  [1450] = {.lex_state = 78},
  [1451] = {.lex_state = 78},
  [1452] = {.lex_state = 17},
  [1453] = {.lex_state = 78},
  [1454] = {.lex_state = 78},
  [1455] = {.lex_state = 78},
  [1456] = {.lex_state = 17},
  [1457] = {.lex_state = 78},
  [1458] = {.lex_state = 78},
  [1459] = {.lex_state = 78},
  [1460] = {.lex_state = 25},
  [1461] = {.lex_state = 78},
  [1462] = {.lex_state = 25},
  [1463] = {.lex_state = 25},
  [1464] = {.lex_state = 78},
  [1465] = {.lex_state = 78},
  [1466] = {.lex_state = 78},
  [1467] = {.lex_state = 17},
  [1468] = {.lex_state = 78},
  [1469] = {.lex_state = 78},
  [1470] = {.lex_state = 17},
  [1471] = {.lex_state = 78},
  [1472] = {.lex_state = 78},
  [1473] = {.lex_state = 78},
  [1474] = {.lex_state = 18, .external_lex_state = 8},
  [1475] = {.lex_state = 17},
  [1476] = {.lex_state = 17},
  [1477] = {.lex_state = 3, .external_lex_state = 3},
  [1478] = {.lex_state = 3, .external_lex_state = 3},
  [1479] = {.lex_state = 18, .external_lex_state = 8},
  [1480] = {.lex_state = 25},
  [1481] = {.lex_state = 78},
  [1482] = {.lex_state = 17},
  [1483] = {.lex_state = 78},
  [1484] = {.lex_state = 3, .external_lex_state = 3},
  [1485] = {.lex_state = 3, .external_lex_state = 3},
  [1486] = {.lex_state = 3, .external_lex_state = 3},
  [1487] = {.lex_state = 3, .external_lex_state = 3},
  [1488] = {.lex_state = 78},
  [1489] = {.lex_state = 3, .external_lex_state = 3},
  [1490] = {.lex_state = 78},
  [1491] = {.lex_state = 78},
  [1492] = {.lex_state = 3, .external_lex_state = 3},
  [1493] = {.lex_state = 78},
  [1494] = {.lex_state = 3, .external_lex_state = 3},
  [1495] = {.lex_state = 3, .external_lex_state = 3},
  [1496] = {.lex_state = 78},
  [1497] = {.lex_state = 3, .external_lex_state = 3},
  [1498] = {.lex_state = 78},
  [1499] = {.lex_state = 78},
  [1500] = {.lex_state = 78},
  [1501] = {.lex_state = 78},
  [1502] = {.lex_state = 18, .external_lex_state = 9},
  [1503] = {.lex_state = 78},
  [1504] = {.lex_state = 78},
  [1505] = {.lex_state = 17},
  [1506] = {.lex_state = 78},
  [1507] = {.lex_state = 78},
  [1508] = {.lex_state = 78},
  [1509] = {.lex_state = 78},
  [1510] = {.lex_state = 78},
  [1511] = {.lex_state = 78},
  [1512] = {.lex_state = 78},
  [1513] = {.lex_state = 78},
  [1514] = {.lex_state = 78},
  [1515] = {.lex_state = 78},
  [1516] = {.lex_state = 17},
  [1517] = {.lex_state = 78},
  [1518] = {.lex_state = 78},
  [1519] = {.lex_state = 17},
  [1520] = {.lex_state = 78},
  [1521] = {.lex_state = 78},
  [1522] = {.lex_state = 78},
  [1523] = {.lex_state = 17},
  [1524] = {.lex_state = 78},
  [1525] = {.lex_state = 78},
  [1526] = {.lex_state = 78},
  [1527] = {.lex_state = 78},
  [1528] = {.lex_state = 78},
  [1529] = {.lex_state = 78},
  [1530] = {.lex_state = 78},
  [1531] = {.lex_state = 18, .external_lex_state = 9},
  [1532] = {.lex_state = 78},
  [1533] = {.lex_state = 17},
  [1534] = {.lex_state = 78},
  [1535] = {.lex_state = 78},
  [1536] = {.lex_state = 78},
  [1537] = {.lex_state = 78},
  [1538] = {.lex_state = 78},
  [1539] = {.lex_state = 78},
  [1540] = {.lex_state = 78},
  [1541] = {.lex_state = 78},
  [1542] = {.lex_state = 78},
  [1543] = {.lex_state = 17},
  [1544] = {.lex_state = 17},
  [1545] = {.lex_state = 78},
  [1546] = {.lex_state = 78},
  [1547] = {.lex_state = 78},
  [1548] = {.lex_state = 17},
  [1549] = {.lex_state = 17},
  [1550] = {.lex_state = 78},
  [1551] = {.lex_state = 17},
  [1552] = {.lex_state = 78},
  [1553] = {.lex_state = 17},
  [1554] = {.lex_state = 78},
  [1555] = {.lex_state = 78},
  [1556] = {.lex_state = 78},
  [1557] = {.lex_state = 78},
  [1558] = {.lex_state = 78},
  [1559] = {.lex_state = 78},
  [1560] = {.lex_state = 78},
  [1561] = {.lex_state = 78},
  [1562] = {.lex_state = 78},
  [1563] = {.lex_state = 17},
  [1564] = {.lex_state = 14},
  [1565] = {.lex_state = 14},
  [1566] = {.lex_state = 14},
  [1567] = {.lex_state = 14},
  [1568] = {.lex_state = 17},
  [1569] = {.lex_state = 25},
  [1570] = {.lex_state = 78, .external_lex_state = 2},
  [1571] = {.lex_state = 17},
  [1572] = {.lex_state = 14},
  [1573] = {.lex_state = 14},
  [1574] = {.lex_state = 17},
  [1575] = {.lex_state = 14},
  [1576] = {.lex_state = 78, .external_lex_state = 2},
  [1577] = {.lex_state = 14},
  [1578] = {.lex_state = 18, .external_lex_state = 5},
  [1579] = {.lex_state = 17},
  [1580] = {.lex_state = 18, .external_lex_state = 5},
  [1581] = {.lex_state = 18, .external_lex_state = 5},
  [1582] = {.lex_state = 14, .external_lex_state = 2},
  [1583] = {.lex_state = 14},
  [1584] = {.lex_state = 18, .external_lex_state = 5},
  [1585] = {.lex_state = 14},
  [1586] = {.lex_state = 17},
  [1587] = {.lex_state = 78},
  [1588] = {.lex_state = 18, .external_lex_state = 5},
  [1589] = {.lex_state = 14},
  [1590] = {.lex_state = 18, .external_lex_state = 5},
  [1591] = {.lex_state = 17},
  [1592] = {.lex_state = 78},
  [1593] = {.lex_state = 17},
  [1594] = {.lex_state = 17},
  [1595] = {.lex_state = 17},
  [1596] = {.lex_state = 17},
  [1597] = {.lex_state = 17},
  [1598] = {.lex_state = 17},
  [1599] = {.lex_state = 14},
  [1600] = {.lex_state = 18, .external_lex_state = 5},
  [1601] = {.lex_state = 17},
  [1602] = {.lex_state = 18, .external_lex_state = 5},
  [1603] = {.lex_state = 17},
  [1604] = {.lex_state = 78},
  [1605] = {.lex_state = 17},
  [1606] = {.lex_state = 78},
  [1607] = {.lex_state = 18, .external_lex_state = 5},
  [1608] = {.lex_state = 17},
  [1609] = {.lex_state = 25},
  [1610] = {.lex_state = 17},
  [1611] = {.lex_state = 17},
  [1612] = {.lex_state = 78, .external_lex_state = 2},
  [1613] = {.lex_state = 17},
  [1614] = {.lex_state = 17},
  [1615] = {.lex_state = 17},
  [1616] = {.lex_state = 78},
  [1617] = {.lex_state = 17},
  [1618] = {.lex_state = 17},
  [1619] = {.lex_state = 17},
  [1620] = {.lex_state = 14},
  [1621] = {.lex_state = 17},
  [1622] = {.lex_state = 18, .external_lex_state = 5},
  [1623] = {.lex_state = 18, .external_lex_state = 5},
  [1624] = {.lex_state = 14},
  [1625] = {.lex_state = 18, .external_lex_state = 6},
  [1626] = {.lex_state = 14},
  [1627] = {.lex_state = 18, .external_lex_state = 6},
  [1628] = {.lex_state = 14},
  [1629] = {.lex_state = 14},
  [1630] = {.lex_state = 14},
  [1631] = {.lex_state = 14},
  [1632] = {.lex_state = 14},
  [1633] = {.lex_state = 14},
  [1634] = {.lex_state = 14},
  [1635] = {.lex_state = 18, .external_lex_state = 6},
  [1636] = {.lex_state = 14},
  [1637] = {.lex_state = 14},
  [1638] = {.lex_state = 18, .external_lex_state = 6},
  [1639] = {.lex_state = 14},
  [1640] = {.lex_state = 14},
  [1641] = {.lex_state = 14},
  [1642] = {.lex_state = 14},
  [1643] = {.lex_state = 78, .external_lex_state = 2},
  [1644] = {.lex_state = 14},
  [1645] = {.lex_state = 14},
  [1646] = {.lex_state = 14},
  [1647] = {.lex_state = 14},
  [1648] = {.lex_state = 14},
  [1649] = {.lex_state = 14},
  [1650] = {.lex_state = 14},
  [1651] = {.lex_state = 14},
  [1652] = {.lex_state = 14},
  [1653] = {.lex_state = 78},
  [1654] = {.lex_state = 14},
  [1655] = {.lex_state = 78},
  [1656] = {.lex_state = 79, .external_lex_state = 10},
  [1657] = {.lex_state = 18, .external_lex_state = 6},
  [1658] = {.lex_state = 14},
  [1659] = {.lex_state = 18, .external_lex_state = 6},
  [1660] = {.lex_state = 18, .external_lex_state = 6},
  [1661] = {.lex_state = 78, .external_lex_state = 2},
  [1662] = {.lex_state = 14},
  [1663] = {.lex_state = 14},
  [1664] = {.lex_state = 78, .external_lex_state = 2},
  [1665] = {.lex_state = 14},
  [1666] = {.lex_state = 18, .external_lex_state = 6},
  [1667] = {.lex_state = 14},
  [1668] = {.lex_state = 78},
  [1669] = {.lex_state = 18, .external_lex_state = 6},
  [1670] = {.lex_state = 78},
  [1671] = {.lex_state = 14},
  [1672] = {.lex_state = 78},
  [1673] = {.lex_state = 14},
  [1674] = {.lex_state = 14},
  [1675] = {.lex_state = 78},
  [1676] = {.lex_state = 14},
  [1677] = {.lex_state = 14},
  [1678] = {.lex_state = 14},
  [1679] = {.lex_state = 14},
  [1680] = {.lex_state = 14},
  [1681] = {.lex_state = 14},
  [1682] = {.lex_state = 14},
  [1683] = {.lex_state = 18, .external_lex_state = 6},
  [1684] = {.lex_state = 14},
  [1685] = {.lex_state = 14},
  [1686] = {.lex_state = 78},
  [1687] = {.lex_state = 14},
  [1688] = {.lex_state = 78},
  [1689] = {.lex_state = 14},
  [1690] = {.lex_state = 14},
  [1691] = {.lex_state = 14},
  [1692] = {.lex_state = 14},
  [1693] = {.lex_state = 14},
  [1694] = {.lex_state = 14},
  [1695] = {.lex_state = 14},
  [1696] = {.lex_state = 78, .external_lex_state = 2},
  [1697] = {.lex_state = 78, .external_lex_state = 2},
  [1698] = {.lex_state = 14},
  [1699] = {.lex_state = 14, .external_lex_state = 2},
  [1700] = {.lex_state = 14},
  [1701] = {.lex_state = 14},
  [1702] = {.lex_state = 14},
  [1703] = {.lex_state = 78, .external_lex_state = 2},
  [1704] = {.lex_state = 14},
  [1705] = {.lex_state = 14},
  [1706] = {.lex_state = 14, .external_lex_state = 2},
  [1707] = {.lex_state = 17},
  [1708] = {.lex_state = 78},
  [1709] = {.lex_state = 78, .external_lex_state = 2},
  [1710] = {.lex_state = 14, .external_lex_state = 2},
  [1711] = {.lex_state = 17},
  [1712] = {.lex_state = 14, .external_lex_state = 2},
  [1713] = {.lex_state = 14},
  [1714] = {.lex_state = 14},
  [1715] = {.lex_state = 17},
  [1716] = {.lex_state = 17},
  [1717] = {.lex_state = 17},
  [1718] = {.lex_state = 14},
  [1719] = {.lex_state = 79, .external_lex_state = 10},
  [1720] = {.lex_state = 14},
  [1721] = {.lex_state = 14},
  [1722] = {.lex_state = 17},
  [1723] = {.lex_state = 17},
  [1724] = {.lex_state = 78},
  [1725] = {.lex_state = 14},
  [1726] = {.lex_state = 14},
  [1727] = {.lex_state = 14},
  [1728] = {.lex_state = 78},
  [1729] = {.lex_state = 17},
  [1730] = {.lex_state = 14, .external_lex_state = 2},
  [1731] = {.lex_state = 14},
  [1732] = {.lex_state = 78},
  [1733] = {.lex_state = 78, .external_lex_state = 2},
  [1734] = {.lex_state = 14},
  [1735] = {.lex_state = 78, .external_lex_state = 2},
  [1736] = {.lex_state = 78, .external_lex_state = 2},
  [1737] = {.lex_state = 14, .external_lex_state = 2},
  [1738] = {.lex_state = 14},
  [1739] = {.lex_state = 14},
  [1740] = {.lex_state = 78},
  [1741] = {.lex_state = 78, .external_lex_state = 2},
  [1742] = {.lex_state = 78},
  [1743] = {.lex_state = 79, .external_lex_state = 10},
  [1744] = {.lex_state = 14},
  [1745] = {.lex_state = 78, .external_lex_state = 2},
  [1746] = {.lex_state = 14},
  [1747] = {.lex_state = 78, .external_lex_state = 2},
  [1748] = {.lex_state = 79},
  [1749] = {.lex_state = 78, .external_lex_state = 2},
  [1750] = {.lex_state = 78, .external_lex_state = 2},
  [1751] = {.lex_state = 78},
  [1752] = {.lex_state = 17},
  [1753] = {.lex_state = 78},
  [1754] = {.lex_state = 14, .external_lex_state = 2},
  [1755] = {.lex_state = 14, .external_lex_state = 2},
  [1756] = {.lex_state = 14},
  [1757] = {.lex_state = 14, .external_lex_state = 2},
  [1758] = {.lex_state = 14, .external_lex_state = 2},
  [1759] = {.lex_state = 78},
  [1760] = {.lex_state = 78},
  [1761] = {.lex_state = 78, .external_lex_state = 2},
  [1762] = {.lex_state = 17},
  [1763] = {.lex_state = 78},
  [1764] = {.lex_state = 14},
  [1765] = {.lex_state = 17},
  [1766] = {.lex_state = 14, .external_lex_state = 2},
  [1767] = {.lex_state = 14, .external_lex_state = 2},
  [1768] = {.lex_state = 78, .external_lex_state = 2},
  [1769] = {.lex_state = 14},
  [1770] = {.lex_state = 78},
  [1771] = {.lex_state = 14},
  [1772] = {.lex_state = 14},
  [1773] = {.lex_state = 14, .external_lex_state = 2},
  [1774] = {.lex_state = 78, .external_lex_state = 2},
  [1775] = {.lex_state = 14},
  [1776] = {.lex_state = 78, .external_lex_state = 2},
  [1777] = {.lex_state = 78, .external_lex_state = 2},
  [1778] = {.lex_state = 14},
  [1779] = {.lex_state = 78, .external_lex_state = 2},
  [1780] = {.lex_state = 14},
  [1781] = {.lex_state = 14},
  [1782] = {.lex_state = 17},
  [1783] = {.lex_state = 14, .external_lex_state = 2},
  [1784] = {.lex_state = 14},
  [1785] = {.lex_state = 14, .external_lex_state = 2},
  [1786] = {.lex_state = 14, .external_lex_state = 2},
  [1787] = {.lex_state = 79},
  [1788] = {.lex_state = 14, .external_lex_state = 2},
  [1789] = {.lex_state = 78, .external_lex_state = 2},
  [1790] = {.lex_state = 14},
  [1791] = {.lex_state = 14},
  [1792] = {.lex_state = 14, .external_lex_state = 2},
  [1793] = {.lex_state = 14, .external_lex_state = 2},
  [1794] = {.lex_state = 78, .external_lex_state = 2},
  [1795] = {.lex_state = 78, .external_lex_state = 2},
  [1796] = {.lex_state = 78},
  [1797] = {.lex_state = 78},
  [1798] = {.lex_state = 14},
  [1799] = {.lex_state = 14},
  [1800] = {.lex_state = 14},
  [1801] = {.lex_state = 78, .external_lex_state = 2},
  [1802] = {.lex_state = 14},
  [1803] = {.lex_state = 78},
  [1804] = {.lex_state = 78, .external_lex_state = 2},
  [1805] = {.lex_state = 78, .external_lex_state = 2},
  [1806] = {.lex_state = 14},
  [1807] = {.lex_state = 78},
  [1808] = {.lex_state = 78},
  [1809] = {.lex_state = 14},
  [1810] = {.lex_state = 14},
  [1811] = {.lex_state = 78, .external_lex_state = 2},
  [1812] = {.lex_state = 14},
  [1813] = {.lex_state = 78},
  [1814] = {.lex_state = 14},
  [1815] = {.lex_state = 78, .external_lex_state = 2},
  [1816] = {.lex_state = 78, .external_lex_state = 2},
  [1817] = {.lex_state = 14},
  [1818] = {.lex_state = 78},
  [1819] = {.lex_state = 14},
  [1820] = {.lex_state = 14},
  [1821] = {.lex_state = 78, .external_lex_state = 2},
  [1822] = {.lex_state = 78, .external_lex_state = 2},
  [1823] = {.lex_state = 78, .external_lex_state = 2},
  [1824] = {.lex_state = 78},
  [1825] = {.lex_state = 78, .external_lex_state = 2},
  [1826] = {.lex_state = 26},
  [1827] = {.lex_state = 78},
  [1828] = {.lex_state = 26},
  [1829] = {.lex_state = 78, .external_lex_state = 2},
  [1830] = {.lex_state = 78, .external_lex_state = 2},
  [1831] = {.lex_state = 14},
  [1832] = {.lex_state = 5, .external_lex_state = 11},
  [1833] = {.lex_state = 78, .external_lex_state = 2},
  [1834] = {.lex_state = 78, .external_lex_state = 2},
  [1835] = {.lex_state = 14},
  [1836] = {.lex_state = 78, .external_lex_state = 2},
  [1837] = {.lex_state = 78, .external_lex_state = 2},
  [1838] = {.lex_state = 78, .external_lex_state = 2},
  [1839] = {.lex_state = 78, .external_lex_state = 2},
  [1840] = {.lex_state = 78},
  [1841] = {.lex_state = 78},
  [1842] = {.lex_state = 78},
  [1843] = {.lex_state = 78, .external_lex_state = 2},
  [1844] = {.lex_state = 78, .external_lex_state = 2},
  [1845] = {.lex_state = 78},
  [1846] = {.lex_state = 78, .external_lex_state = 2},
  [1847] = {.lex_state = 78},
  [1848] = {.lex_state = 78, .external_lex_state = 2},
  [1849] = {.lex_state = 14},
  [1850] = {.lex_state = 78},
  [1851] = {.lex_state = 78},
  [1852] = {.lex_state = 78, .external_lex_state = 2},
  [1853] = {.lex_state = 14},
  [1854] = {.lex_state = 78, .external_lex_state = 2},
  [1855] = {.lex_state = 26},
  [1856] = {.lex_state = 78, .external_lex_state = 2},
  [1857] = {.lex_state = 79, .external_lex_state = 10},
  [1858] = {.lex_state = 78, .external_lex_state = 2},
  [1859] = {.lex_state = 78, .external_lex_state = 2},
  [1860] = {.lex_state = 26},
  [1861] = {.lex_state = 78, .external_lex_state = 2},
  [1862] = {.lex_state = 78},
  [1863] = {.lex_state = 78, .external_lex_state = 2},
  [1864] = {.lex_state = 14},
  [1865] = {.lex_state = 78, .external_lex_state = 2},
  [1866] = {.lex_state = 78, .external_lex_state = 2},
  [1867] = {.lex_state = 78, .external_lex_state = 2},
  [1868] = {.lex_state = 78, .external_lex_state = 2},
  [1869] = {.lex_state = 78, .external_lex_state = 2},
  [1870] = {.lex_state = 14},
  [1871] = {.lex_state = 78, .external_lex_state = 2},
  [1872] = {.lex_state = 78, .external_lex_state = 2},
  [1873] = {.lex_state = 14},
  [1874] = {.lex_state = 78, .external_lex_state = 2},
  [1875] = {.lex_state = 78, .external_lex_state = 2},
  [1876] = {.lex_state = 78},
  [1877] = {.lex_state = 78, .external_lex_state = 2},
  [1878] = {.lex_state = 78, .external_lex_state = 2},
  [1879] = {.lex_state = 78},
  [1880] = {.lex_state = 78},
  [1881] = {.lex_state = 14},
  [1882] = {.lex_state = 78},
  [1883] = {.lex_state = 78},
  [1884] = {.lex_state = 78},
  [1885] = {.lex_state = 78},
  [1886] = {.lex_state = 78},
  [1887] = {.lex_state = 14},
  [1888] = {.lex_state = 14},
  [1889] = {.lex_state = 78},
  [1890] = {.lex_state = 78, .external_lex_state = 2},
  [1891] = {.lex_state = 14},
  [1892] = {.lex_state = 14},
  [1893] = {.lex_state = 78, .external_lex_state = 2},
  [1894] = {.lex_state = 78, .external_lex_state = 2},
  [1895] = {.lex_state = 78, .external_lex_state = 2},
  [1896] = {.lex_state = 78, .external_lex_state = 2},
  [1897] = {.lex_state = 14},
  [1898] = {.lex_state = 78},
  [1899] = {.lex_state = 78},
  [1900] = {.lex_state = 14},
  [1901] = {.lex_state = 78, .external_lex_state = 2},
  [1902] = {.lex_state = 78},
  [1903] = {.lex_state = 14},
  [1904] = {.lex_state = 14},
  [1905] = {.lex_state = 78},
  [1906] = {.lex_state = 78, .external_lex_state = 2},
  [1907] = {.lex_state = 78},
  [1908] = {.lex_state = 26},
  [1909] = {.lex_state = 78, .external_lex_state = 2},
  [1910] = {.lex_state = 78, .external_lex_state = 2},
  [1911] = {.lex_state = 78, .external_lex_state = 2},
  [1912] = {.lex_state = 14},
  [1913] = {.lex_state = 78, .external_lex_state = 2},
  [1914] = {.lex_state = 14},
  [1915] = {.lex_state = 14},
  [1916] = {.lex_state = 78, .external_lex_state = 2},
  [1917] = {.lex_state = 78, .external_lex_state = 2},
  [1918] = {.lex_state = 78},
  [1919] = {.lex_state = 14},
  [1920] = {.lex_state = 78},
  [1921] = {.lex_state = 78, .external_lex_state = 2},
  [1922] = {.lex_state = 78, .external_lex_state = 2},
  [1923] = {.lex_state = 78, .external_lex_state = 2},
  [1924] = {.lex_state = 78, .external_lex_state = 2},
  [1925] = {.lex_state = 78, .external_lex_state = 2},
  [1926] = {.lex_state = 78, .external_lex_state = 2},
  [1927] = {.lex_state = 78},
  [1928] = {.lex_state = 78},
  [1929] = {.lex_state = 14},
  [1930] = {.lex_state = 78, .external_lex_state = 2},
  [1931] = {.lex_state = 78},
  [1932] = {.lex_state = 78},
  [1933] = {.lex_state = 78, .external_lex_state = 2},
  [1934] = {.lex_state = 78, .external_lex_state = 2},
  [1935] = {.lex_state = 78, .external_lex_state = 2},
  [1936] = {.lex_state = 14},
  [1937] = {.lex_state = 78},
  [1938] = {.lex_state = 14},
  [1939] = {.lex_state = 14},
  [1940] = {.lex_state = 78, .external_lex_state = 2},
  [1941] = {.lex_state = 78},
  [1942] = {.lex_state = 78, .external_lex_state = 2},
  [1943] = {.lex_state = 78, .external_lex_state = 2},
  [1944] = {.lex_state = 14},
  [1945] = {.lex_state = 78},
  [1946] = {.lex_state = 14},
  [1947] = {.lex_state = 14},
  [1948] = {.lex_state = 14},
  [1949] = {.lex_state = 78, .external_lex_state = 2},
  [1950] = {.lex_state = 78, .external_lex_state = 2},
  [1951] = {.lex_state = 5, .external_lex_state = 11},
  [1952] = {.lex_state = 78, .external_lex_state = 2},
  [1953] = {.lex_state = 79},
  [1954] = {.lex_state = 78},
  [1955] = {.lex_state = 14},
  [1956] = {.lex_state = 78},
  [1957] = {.lex_state = 78},
  [1958] = {.lex_state = 78},
  [1959] = {.lex_state = 78},
  [1960] = {.lex_state = 78, .external_lex_state = 12},
  [1961] = {.lex_state = 14},
  [1962] = {.lex_state = 78},
  [1963] = {.lex_state = 78},
  [1964] = {.lex_state = 78},
  [1965] = {.lex_state = 14},
  [1966] = {.lex_state = 78},
  [1967] = {.lex_state = 78},
  [1968] = {.lex_state = 78},
  [1969] = {.lex_state = 78},
  [1970] = {.lex_state = 78},
  [1971] = {.lex_state = 78},
  [1972] = {.lex_state = 78},
  [1973] = {.lex_state = 78},
  [1974] = {.lex_state = 14},
  [1975] = {.lex_state = 78},
  [1976] = {.lex_state = 26},
  [1977] = {.lex_state = 5, .external_lex_state = 13},
  [1978] = {.lex_state = 14},
  [1979] = {.lex_state = 78},
  [1980] = {.lex_state = 14},
  [1981] = {.lex_state = 78},
  [1982] = {.lex_state = 78},
  [1983] = {.lex_state = 78},
  [1984] = {.lex_state = 78, .external_lex_state = 2},
  [1985] = {.lex_state = 14},
  [1986] = {.lex_state = 78},
  [1987] = {.lex_state = 78},
  [1988] = {.lex_state = 78},
  [1989] = {.lex_state = 78},
  [1990] = {.lex_state = 78},
  [1991] = {.lex_state = 5, .external_lex_state = 13},
  [1992] = {.lex_state = 78},
  [1993] = {.lex_state = 78},
  [1994] = {.lex_state = 78},
  [1995] = {.lex_state = 78},
  [1996] = {.lex_state = 78},
  [1997] = {.lex_state = 78},
  [1998] = {.lex_state = 78},
  [1999] = {.lex_state = 78},
  [2000] = {.lex_state = 78},
  [2001] = {.lex_state = 78},
  [2002] = {.lex_state = 78},
  [2003] = {.lex_state = 78},
  [2004] = {.lex_state = 78},
  [2005] = {.lex_state = 78},
  [2006] = {.lex_state = 78},
  [2007] = {.lex_state = 78},
  [2008] = {.lex_state = 78},
  [2009] = {.lex_state = 78, .external_lex_state = 2},
  [2010] = {.lex_state = 5, .external_lex_state = 13},
  [2011] = {.lex_state = 5, .external_lex_state = 13},
  [2012] = {.lex_state = 78, .external_lex_state = 2},
  [2013] = {.lex_state = 78},
  [2014] = {.lex_state = 14},
  [2015] = {.lex_state = 14},
  [2016] = {.lex_state = 78, .external_lex_state = 2},
  [2017] = {.lex_state = 78, .external_lex_state = 2},
  [2018] = {.lex_state = 78},
  [2019] = {.lex_state = 78},
  [2020] = {.lex_state = 78},
  [2021] = {.lex_state = 78},
  [2022] = {.lex_state = 78},
  [2023] = {.lex_state = 14},
  [2024] = {.lex_state = 78},
  [2025] = {.lex_state = 14},
  [2026] = {.lex_state = 78},
  [2027] = {.lex_state = 14},
  [2028] = {.lex_state = 78},
  [2029] = {.lex_state = 14},
  [2030] = {.lex_state = 78, .external_lex_state = 2},
  [2031] = {.lex_state = 14},
  [2032] = {.lex_state = 78},
  [2033] = {.lex_state = 78},
  [2034] = {.lex_state = 14},
  [2035] = {.lex_state = 78},
  [2036] = {.lex_state = 78},
  [2037] = {.lex_state = 78},
  [2038] = {.lex_state = 14},
  [2039] = {.lex_state = 78},
  [2040] = {.lex_state = 14},
  [2041] = {.lex_state = 78},
  [2042] = {.lex_state = 78},
  [2043] = {.lex_state = 14},
  [2044] = {.lex_state = 78},
  [2045] = {.lex_state = 78},
  [2046] = {.lex_state = 78},
  [2047] = {.lex_state = 78},
  [2048] = {.lex_state = 14},
  [2049] = {.lex_state = 78},
  [2050] = {.lex_state = 78},
  [2051] = {.lex_state = 14},
  [2052] = {.lex_state = 5, .external_lex_state = 13},
  [2053] = {.lex_state = 14},
  [2054] = {.lex_state = 5, .external_lex_state = 13},
  [2055] = {.lex_state = 14},
  [2056] = {.lex_state = 14},
  [2057] = {.lex_state = 14},
  [2058] = {.lex_state = 78},
  [2059] = {.lex_state = 14},
  [2060] = {.lex_state = 78},
  [2061] = {.lex_state = 14},
  [2062] = {.lex_state = 78},
  [2063] = {.lex_state = 14},
  [2064] = {.lex_state = 78},
  [2065] = {.lex_state = 14},
  [2066] = {.lex_state = 14},
  [2067] = {.lex_state = 14},
  [2068] = {.lex_state = 14},
  [2069] = {.lex_state = 78},
  [2070] = {.lex_state = 78},
  [2071] = {.lex_state = 78},
  [2072] = {.lex_state = 14},
  [2073] = {.lex_state = 14},
  [2074] = {.lex_state = 78},
  [2075] = {.lex_state = 14},
  [2076] = {.lex_state = 78},
  [2077] = {.lex_state = 78},
  [2078] = {.lex_state = 78},
  [2079] = {.lex_state = 78},
  [2080] = {.lex_state = 78},
  [2081] = {.lex_state = 14},
  [2082] = {.lex_state = 78},
  [2083] = {.lex_state = 78, .external_lex_state = 2},
  [2084] = {.lex_state = 78},
  [2085] = {.lex_state = 78},
  [2086] = {.lex_state = 14},
  [2087] = {.lex_state = 78},
  [2088] = {.lex_state = 78},
  [2089] = {.lex_state = 14},
  [2090] = {.lex_state = 78},
  [2091] = {.lex_state = 14},
  [2092] = {.lex_state = 78},
  [2093] = {.lex_state = 78},
  [2094] = {.lex_state = 14},
  [2095] = {.lex_state = 14},
  [2096] = {.lex_state = 14},
  [2097] = {.lex_state = 78},
  [2098] = {.lex_state = 78},
  [2099] = {.lex_state = 78},
  [2100] = {.lex_state = 14},
  [2101] = {.lex_state = 14},
  [2102] = {.lex_state = 14},
  [2103] = {.lex_state = 14},
  [2104] = {.lex_state = 14},
  [2105] = {.lex_state = 14},
  [2106] = {.lex_state = 14},
  [2107] = {.lex_state = 14},
  [2108] = {.lex_state = 14},
  [2109] = {.lex_state = 14},
  [2110] = {.lex_state = 14},
  [2111] = {.lex_state = 14},
  [2112] = {.lex_state = 14},
  [2113] = {.lex_state = 14},
  [2114] = {.lex_state = 14},
  [2115] = {.lex_state = 14},
  [2116] = {.lex_state = 14},
  [2117] = {.lex_state = 14},
  [2118] = {.lex_state = 14},
  [2119] = {.lex_state = 14},
  [2120] = {.lex_state = 14},
  [2121] = {.lex_state = 14},
  [2122] = {.lex_state = 14},
  [2123] = {.lex_state = 14},
  [2124] = {.lex_state = 78},
  [2125] = {.lex_state = 14},
  [2126] = {.lex_state = 14},
  [2127] = {.lex_state = 78},
  [2128] = {.lex_state = 78},
  [2129] = {.lex_state = 14},
  [2130] = {.lex_state = 14},
  [2131] = {.lex_state = 14},
  [2132] = {.lex_state = 14},
  [2133] = {.lex_state = 14},
  [2134] = {.lex_state = 14},
  [2135] = {.lex_state = 14},
  [2136] = {.lex_state = 14},
  [2137] = {.lex_state = 14},
  [2138] = {.lex_state = 14},
  [2139] = {.lex_state = 14},
  [2140] = {.lex_state = 14},
  [2141] = {.lex_state = 78, .external_lex_state = 2},
  [2142] = {.lex_state = 14},
  [2143] = {.lex_state = 14},
  [2144] = {.lex_state = 14},
  [2145] = {.lex_state = 14},
  [2146] = {.lex_state = 78},
  [2147] = {.lex_state = 14},
  [2148] = {.lex_state = 78},
  [2149] = {.lex_state = 78},
  [2150] = {.lex_state = 78, .external_lex_state = 12},
  [2151] = {.lex_state = 78},
  [2152] = {.lex_state = 14},
  [2153] = {.lex_state = 14},
  [2154] = {.lex_state = 14},
  [2155] = {.lex_state = 14},
  [2156] = {.lex_state = 14},
  [2157] = {.lex_state = 78},
  [2158] = {.lex_state = 14},
  [2159] = {.lex_state = 78},
  [2160] = {.lex_state = 78, .external_lex_state = 2},
  [2161] = {.lex_state = 78, .external_lex_state = 2},
  [2162] = {.lex_state = 78},
  [2163] = {.lex_state = 14},
  [2164] = {.lex_state = 14},
  [2165] = {.lex_state = 14},
  [2166] = {.lex_state = 78},
  [2167] = {.lex_state = 14},
  [2168] = {.lex_state = 14},
  [2169] = {.lex_state = 14},
  [2170] = {.lex_state = 14},
  [2171] = {.lex_state = 14},
  [2172] = {.lex_state = 14},
  [2173] = {.lex_state = 14},
  [2174] = {.lex_state = 14},
  [2175] = {.lex_state = 14},
  [2176] = {.lex_state = 14},
  [2177] = {.lex_state = 14},
  [2178] = {.lex_state = 14},
  [2179] = {.lex_state = 14},
  [2180] = {.lex_state = 14},
  [2181] = {.lex_state = 78},
  [2182] = {.lex_state = 14},
  [2183] = {.lex_state = 14},
  [2184] = {.lex_state = 14},
  [2185] = {.lex_state = 14},
  [2186] = {.lex_state = 14},
  [2187] = {.lex_state = 14},
  [2188] = {.lex_state = 14},
  [2189] = {.lex_state = 14},
  [2190] = {.lex_state = 78},
  [2191] = {.lex_state = 78, .external_lex_state = 2},
  [2192] = {.lex_state = 14},
  [2193] = {.lex_state = 78},
  [2194] = {.lex_state = 78},
  [2195] = {.lex_state = 78},
  [2196] = {.lex_state = 14},
  [2197] = {.lex_state = 14, .external_lex_state = 2},
  [2198] = {.lex_state = 14},
  [2199] = {.lex_state = 78, .external_lex_state = 2},
  [2200] = {.lex_state = 78},
  [2201] = {.lex_state = 14},
  [2202] = {.lex_state = 78, .external_lex_state = 2},
  [2203] = {.lex_state = 203, .external_lex_state = 14},
  [2204] = {.lex_state = 78},
  [2205] = {.lex_state = 14, .external_lex_state = 2},
  [2206] = {.lex_state = 78},
  [2207] = {.lex_state = 14},
  [2208] = {.lex_state = 78},
  [2209] = {.lex_state = 78},
  [2210] = {.lex_state = 78},
  [2211] = {.lex_state = 78},
  [2212] = {.lex_state = 78},
  [2213] = {.lex_state = 78},
  [2214] = {.lex_state = 78},
  [2215] = {.lex_state = 78},
  [2216] = {.lex_state = 78},
  [2217] = {.lex_state = 78},
  [2218] = {.lex_state = 78},
  [2219] = {.lex_state = 78},
  [2220] = {.lex_state = 78, .external_lex_state = 2},
  [2221] = {.lex_state = 78},
  [2222] = {.lex_state = 78},
  [2223] = {.lex_state = 78},
  [2224] = {.lex_state = 78},
  [2225] = {.lex_state = 78},
  [2226] = {.lex_state = 5, .external_lex_state = 11},
  [2227] = {.lex_state = 78},
  [2228] = {.lex_state = 78},
  [2229] = {.lex_state = 78},
  [2230] = {.lex_state = 78, .external_lex_state = 2},
  [2231] = {.lex_state = 78, .external_lex_state = 10},
  [2232] = {.lex_state = 78},
  [2233] = {.lex_state = 78},
  [2234] = {.lex_state = 78},
  [2235] = {.lex_state = 14},
  [2236] = {.lex_state = 14},
  [2237] = {.lex_state = 78, .external_lex_state = 2},
  [2238] = {.lex_state = 78, .external_lex_state = 2},
  [2239] = {.lex_state = 78},
  [2240] = {.lex_state = 78},
  [2241] = {.lex_state = 78},
  [2242] = {.lex_state = 78},
  [2243] = {.lex_state = 14},
  [2244] = {.lex_state = 78},
  [2245] = {.lex_state = 78},
  [2246] = {.lex_state = 78},
  [2247] = {.lex_state = 78},
  [2248] = {.lex_state = 78},
  [2249] = {.lex_state = 78},
  [2250] = {.lex_state = 78},
  [2251] = {.lex_state = 78},
  [2252] = {.lex_state = 78},
  [2253] = {.lex_state = 78},
  [2254] = {.lex_state = 78},
  [2255] = {.lex_state = 78},
  [2256] = {.lex_state = 5, .external_lex_state = 13},
  [2257] = {.lex_state = 78, .external_lex_state = 2},
  [2258] = {.lex_state = 78},
  [2259] = {.lex_state = 78},
  [2260] = {.lex_state = 78},
  [2261] = {.lex_state = 78},
  [2262] = {.lex_state = 78, .external_lex_state = 2},
  [2263] = {.lex_state = 78},
  [2264] = {.lex_state = 14},
  [2265] = {.lex_state = 78},
  [2266] = {.lex_state = 78},
  [2267] = {.lex_state = 78},
  [2268] = {.lex_state = 78},
  [2269] = {.lex_state = 14},
  [2270] = {.lex_state = 78, .external_lex_state = 2},
  [2271] = {.lex_state = 78},
  [2272] = {.lex_state = 78, .external_lex_state = 2},
  [2273] = {.lex_state = 78, .external_lex_state = 2},
  [2274] = {.lex_state = 78},
  [2275] = {.lex_state = 78, .external_lex_state = 2},
  [2276] = {.lex_state = 78},
  [2277] = {.lex_state = 78, .external_lex_state = 2},
  [2278] = {.lex_state = 78},
  [2279] = {.lex_state = 78},
  [2280] = {.lex_state = 78, .external_lex_state = 2},
  [2281] = {.lex_state = 78, .external_lex_state = 2},
  [2282] = {.lex_state = 78, .external_lex_state = 2},
  [2283] = {.lex_state = 78},
  [2284] = {.lex_state = 78, .external_lex_state = 2},
  [2285] = {.lex_state = 78, .external_lex_state = 2},
  [2286] = {.lex_state = 78},
  [2287] = {.lex_state = 78},
  [2288] = {.lex_state = 78},
  [2289] = {.lex_state = 78, .external_lex_state = 2},
  [2290] = {.lex_state = 78},
  [2291] = {.lex_state = 78},
  [2292] = {.lex_state = 78},
  [2293] = {.lex_state = 78},
  [2294] = {.lex_state = 78},
  [2295] = {.lex_state = 78},
  [2296] = {.lex_state = 78},
  [2297] = {.lex_state = 78},
  [2298] = {.lex_state = 78, .external_lex_state = 2},
  [2299] = {.lex_state = 78, .external_lex_state = 2},
  [2300] = {.lex_state = 78},
  [2301] = {.lex_state = 78},
  [2302] = {.lex_state = 78},
  [2303] = {.lex_state = 78},
  [2304] = {.lex_state = 78},
  [2305] = {.lex_state = 78},
  [2306] = {.lex_state = 78},
  [2307] = {.lex_state = 78},
  [2308] = {.lex_state = 78},
  [2309] = {.lex_state = 78},
  [2310] = {.lex_state = 78},
  [2311] = {.lex_state = 78},
  [2312] = {.lex_state = 78},
  [2313] = {.lex_state = 78},
  [2314] = {.lex_state = 78, .external_lex_state = 2},
  [2315] = {.lex_state = 78},
  [2316] = {.lex_state = 78, .external_lex_state = 2},
  [2317] = {.lex_state = 78},
  [2318] = {.lex_state = 14},
  [2319] = {.lex_state = 78, .external_lex_state = 2},
  [2320] = {.lex_state = 78},
  [2321] = {.lex_state = 78},
  [2322] = {.lex_state = 78},
  [2323] = {.lex_state = 78},
  [2324] = {.lex_state = 78},
  [2325] = {.lex_state = 78},
  [2326] = {.lex_state = 78},
  [2327] = {.lex_state = 78},
  [2328] = {.lex_state = 78},
  [2329] = {.lex_state = 78},
  [2330] = {.lex_state = 78},
  [2331] = {.lex_state = 78},
  [2332] = {.lex_state = 78},
  [2333] = {.lex_state = 78},
  [2334] = {.lex_state = 78},
  [2335] = {.lex_state = 78},
  [2336] = {.lex_state = 78},
  [2337] = {.lex_state = 14},
  [2338] = {.lex_state = 78},
  [2339] = {.lex_state = 5, .external_lex_state = 13},
  [2340] = {.lex_state = 5, .external_lex_state = 13},
  [2341] = {.lex_state = 78, .external_lex_state = 2},
  [2342] = {.lex_state = 78},
  [2343] = {.lex_state = 78},
  [2344] = {.lex_state = 78},
  [2345] = {.lex_state = 14},
  [2346] = {.lex_state = 78},
  [2347] = {.lex_state = 14},
  [2348] = {.lex_state = 5, .external_lex_state = 13},
  [2349] = {.lex_state = 78},
  [2350] = {.lex_state = 78},
  [2351] = {.lex_state = 78, .external_lex_state = 2},
  [2352] = {.lex_state = 78, .external_lex_state = 2},
  [2353] = {.lex_state = 78},
  [2354] = {.lex_state = 78, .external_lex_state = 2},
  [2355] = {.lex_state = 78, .external_lex_state = 2},
  [2356] = {.lex_state = 78},
  [2357] = {.lex_state = 78},
  [2358] = {.lex_state = 78, .external_lex_state = 2},
  [2359] = {.lex_state = 78, .external_lex_state = 2},
  [2360] = {.lex_state = 78},
  [2361] = {.lex_state = 78, .external_lex_state = 2},
  [2362] = {.lex_state = 78, .external_lex_state = 2},
  [2363] = {.lex_state = 78},
  [2364] = {.lex_state = 78},
  [2365] = {.lex_state = 78, .external_lex_state = 2},
  [2366] = {.lex_state = 78},
  [2367] = {.lex_state = 78},
  [2368] = {.lex_state = 78, .external_lex_state = 2},
  [2369] = {.lex_state = 78, .external_lex_state = 2},
  [2370] = {.lex_state = 78},
  [2371] = {.lex_state = 78},
  [2372] = {.lex_state = 78},
  [2373] = {.lex_state = 14},
  [2374] = {.lex_state = 78},
  [2375] = {.lex_state = 78},
  [2376] = {.lex_state = 78},
  [2377] = {.lex_state = 14},
  [2378] = {.lex_state = 78},
  [2379] = {.lex_state = 78, .external_lex_state = 2},
  [2380] = {.lex_state = 78},
  [2381] = {.lex_state = 78},
  [2382] = {.lex_state = 78, .external_lex_state = 2},
  [2383] = {.lex_state = 78},
  [2384] = {.lex_state = 78, .external_lex_state = 2},
  [2385] = {.lex_state = 78, .external_lex_state = 2},
  [2386] = {.lex_state = 78},
  [2387] = {.lex_state = 78},
  [2388] = {.lex_state = 78},
  [2389] = {.lex_state = 78},
  [2390] = {.lex_state = 78},
  [2391] = {.lex_state = 78},
  [2392] = {.lex_state = 78, .external_lex_state = 2},
  [2393] = {.lex_state = 78},
  [2394] = {.lex_state = 78},
  [2395] = {.lex_state = 78},
  [2396] = {.lex_state = 78},
  [2397] = {.lex_state = 78},
  [2398] = {.lex_state = 78},
  [2399] = {.lex_state = 78},
  [2400] = {.lex_state = 78},
  [2401] = {.lex_state = 78},
  [2402] = {.lex_state = 78},
  [2403] = {.lex_state = 78},
  [2404] = {.lex_state = 78},
  [2405] = {.lex_state = 78},
  [2406] = {.lex_state = 78, .external_lex_state = 2},
  [2407] = {.lex_state = 78},
  [2408] = {.lex_state = 78},
  [2409] = {.lex_state = 78},
  [2410] = {.lex_state = 78},
  [2411] = {.lex_state = 78},
  [2412] = {.lex_state = 78},
  [2413] = {.lex_state = 78},
  [2414] = {.lex_state = 78, .external_lex_state = 2},
  [2415] = {.lex_state = 78},
  [2416] = {.lex_state = 78},
  [2417] = {.lex_state = 78, .external_lex_state = 2},
  [2418] = {.lex_state = 78},
  [2419] = {.lex_state = 78},
  [2420] = {.lex_state = 78, .external_lex_state = 2},
  [2421] = {.lex_state = 14},
  [2422] = {.lex_state = 78, .external_lex_state = 2},
  [2423] = {.lex_state = 78},
  [2424] = {.lex_state = 78},
  [2425] = {.lex_state = 78},
  [2426] = {.lex_state = 78},
  [2427] = {.lex_state = 78},
  [2428] = {.lex_state = 78, .external_lex_state = 2},
  [2429] = {.lex_state = 5, .external_lex_state = 13},
  [2430] = {.lex_state = 78},
  [2431] = {.lex_state = 78},
  [2432] = {.lex_state = 78},
  [2433] = {.lex_state = 14},
  [2434] = {.lex_state = 78},
  [2435] = {.lex_state = 78},
  [2436] = {.lex_state = 78},
  [2437] = {.lex_state = 78},
  [2438] = {.lex_state = 78},
  [2439] = {.lex_state = 78},
  [2440] = {.lex_state = 78},
  [2441] = {.lex_state = 78},
  [2442] = {.lex_state = 78},
  [2443] = {.lex_state = 78},
  [2444] = {.lex_state = 78},
  [2445] = {.lex_state = 78},
  [2446] = {.lex_state = 78},
  [2447] = {.lex_state = 78},
  [2448] = {.lex_state = 78},
  [2449] = {.lex_state = 5, .external_lex_state = 13},
  [2450] = {.lex_state = 5, .external_lex_state = 13},
  [2451] = {.lex_state = 78},
  [2452] = {.lex_state = 78},
  [2453] = {.lex_state = 78},
  [2454] = {.lex_state = 78, .external_lex_state = 2},
  [2455] = {.lex_state = 78, .external_lex_state = 2},
  [2456] = {.lex_state = 78, .external_lex_state = 2},
  [2457] = {.lex_state = 78},
  [2458] = {.lex_state = 78, .external_lex_state = 2},
  [2459] = {.lex_state = 78},
  [2460] = {.lex_state = 78},
  [2461] = {.lex_state = 78, .external_lex_state = 2},
  [2462] = {.lex_state = 78},
  [2463] = {.lex_state = 78},
  [2464] = {.lex_state = 78, .external_lex_state = 2},
  [2465] = {.lex_state = 78},
  [2466] = {.lex_state = 78},
  [2467] = {.lex_state = 78},
  [2468] = {.lex_state = 78},
  [2469] = {.lex_state = 78, .external_lex_state = 2},
  [2470] = {.lex_state = 78},
  [2471] = {.lex_state = 78},
  [2472] = {.lex_state = 78},
  [2473] = {.lex_state = 78},
  [2474] = {.lex_state = 78},
  [2475] = {.lex_state = 78, .external_lex_state = 2},
  [2476] = {.lex_state = 78},
  [2477] = {.lex_state = 78},
  [2478] = {.lex_state = 78},
  [2479] = {.lex_state = 78},
  [2480] = {.lex_state = 78},
  [2481] = {.lex_state = 78, .external_lex_state = 2},
  [2482] = {.lex_state = 78},
  [2483] = {.lex_state = 78},
  [2484] = {.lex_state = 78, .external_lex_state = 2},
  [2485] = {.lex_state = 78, .external_lex_state = 2},
  [2486] = {.lex_state = 78},
  [2487] = {.lex_state = 78},
  [2488] = {.lex_state = 78},
  [2489] = {.lex_state = 78},
  [2490] = {.lex_state = 78},
  [2491] = {.lex_state = 78, .external_lex_state = 2},
  [2492] = {.lex_state = 78},
  [2493] = {.lex_state = 78},
  [2494] = {.lex_state = 78},
  [2495] = {.lex_state = 14},
  [2496] = {.lex_state = 78},
  [2497] = {.lex_state = 14},
  [2498] = {.lex_state = 78},
  [2499] = {.lex_state = 78},
  [2500] = {.lex_state = 78},
  [2501] = {.lex_state = 78},
  [2502] = {.lex_state = 78},
  [2503] = {.lex_state = 78},
  [2504] = {.lex_state = 78},
  [2505] = {.lex_state = 78},
  [2506] = {.lex_state = 78},
  [2507] = {.lex_state = 78},
  [2508] = {.lex_state = 78},
  [2509] = {.lex_state = 78},
  [2510] = {.lex_state = 78},
  [2511] = {.lex_state = 78},
  [2512] = {.lex_state = 14},
  [2513] = {.lex_state = 78},
  [2514] = {.lex_state = 14},
  [2515] = {.lex_state = 78},
  [2516] = {.lex_state = 14},
  [2517] = {.lex_state = 78},
  [2518] = {.lex_state = 78},
  [2519] = {.lex_state = 78},
  [2520] = {.lex_state = 78},
  [2521] = {.lex_state = 14},
  [2522] = {.lex_state = 78},
  [2523] = {.lex_state = 78},
  [2524] = {.lex_state = 14},
  [2525] = {.lex_state = 78},
  [2526] = {.lex_state = 78},
  [2527] = {.lex_state = 78},
  [2528] = {.lex_state = 14},
  [2529] = {.lex_state = 14},
  [2530] = {.lex_state = 78, .external_lex_state = 13},
  [2531] = {.lex_state = 78, .external_lex_state = 13},
  [2532] = {.lex_state = 78},
  [2533] = {.lex_state = 78},
  [2534] = {.lex_state = 14},
  [2535] = {.lex_state = 14},
  [2536] = {.lex_state = 78},
  [2537] = {.lex_state = 78},
  [2538] = {.lex_state = 78},
  [2539] = {.lex_state = 14},
  [2540] = {.lex_state = 14},
  [2541] = {.lex_state = 78},
  [2542] = {.lex_state = 14},
  [2543] = {.lex_state = 14},
  [2544] = {.lex_state = 78, .external_lex_state = 13},
  [2545] = {.lex_state = 78, .external_lex_state = 13},
  [2546] = {.lex_state = 14},
  [2547] = {.lex_state = 78},
  [2548] = {.lex_state = 78},
  [2549] = {.lex_state = 78},
  [2550] = {.lex_state = 78},
  [2551] = {.lex_state = 78},
  [2552] = {.lex_state = 78},
  [2553] = {.lex_state = 14},
  [2554] = {.lex_state = 78},
  [2555] = {.lex_state = 14},
  [2556] = {.lex_state = 78},
  [2557] = {.lex_state = 14},
  [2558] = {.lex_state = 14},
  [2559] = {.lex_state = 78},
  [2560] = {.lex_state = 78},
  [2561] = {.lex_state = 78},
  [2562] = {.lex_state = 78},
  [2563] = {.lex_state = 78},
  [2564] = {.lex_state = 78},
  [2565] = {.lex_state = 78},
  [2566] = {.lex_state = 78},
  [2567] = {.lex_state = 14},
  [2568] = {.lex_state = 78},
  [2569] = {.lex_state = 78},
  [2570] = {.lex_state = 78},
  [2571] = {.lex_state = 78},
  [2572] = {.lex_state = 14},
  [2573] = {.lex_state = 78},
  [2574] = {.lex_state = 78},
  [2575] = {.lex_state = 78},
  [2576] = {.lex_state = 78},
  [2577] = {.lex_state = 78},
  [2578] = {.lex_state = 14},
  [2579] = {.lex_state = 78},
  [2580] = {.lex_state = 14},
  [2581] = {.lex_state = 78},
  [2582] = {.lex_state = 14},
  [2583] = {.lex_state = 14},
  [2584] = {.lex_state = 14},
  [2585] = {.lex_state = 78},
  [2586] = {.lex_state = 14},
  [2587] = {.lex_state = 14},
  [2588] = {.lex_state = 14},
  [2589] = {.lex_state = 78},
  [2590] = {.lex_state = 78},
  [2591] = {.lex_state = 14},
  [2592] = {.lex_state = 14},
  [2593] = {.lex_state = 78},
  [2594] = {.lex_state = 78},
  [2595] = {.lex_state = 78},
  [2596] = {.lex_state = 78},
  [2597] = {.lex_state = 78},
  [2598] = {.lex_state = 78},
  [2599] = {.lex_state = 14},
  [2600] = {.lex_state = 78},
  [2601] = {.lex_state = 78},
  [2602] = {.lex_state = 14},
  [2603] = {.lex_state = 14},
  [2604] = {.lex_state = 14},
  [2605] = {.lex_state = 14},
  [2606] = {.lex_state = 14},
  [2607] = {.lex_state = 14},
  [2608] = {.lex_state = 78},
  [2609] = {.lex_state = 14},
  [2610] = {.lex_state = 78},
  [2611] = {.lex_state = 78},
  [2612] = {.lex_state = 78},
  [2613] = {.lex_state = 14},
  [2614] = {.lex_state = 78, .external_lex_state = 12},
  [2615] = {.lex_state = 78, .external_lex_state = 12},
  [2616] = {.lex_state = 14},
  [2617] = {.lex_state = 14},
  [2618] = {.lex_state = 14},
  [2619] = {.lex_state = 14},
  [2620] = {.lex_state = 78},
  [2621] = {.lex_state = 78},
  [2622] = {.lex_state = 78},
  [2623] = {.lex_state = 78},
  [2624] = {.lex_state = 14},
  [2625] = {.lex_state = 78, .external_lex_state = 12},
  [2626] = {.lex_state = 78, .external_lex_state = 12},
  [2627] = {.lex_state = 14},
  [2628] = {.lex_state = 78},
  [2629] = {.lex_state = 78},
  [2630] = {.lex_state = 14},
  [2631] = {.lex_state = 78},
  [2632] = {.lex_state = 78},
  [2633] = {.lex_state = 78},
  [2634] = {.lex_state = 78},
  [2635] = {.lex_state = 78},
  [2636] = {.lex_state = 14},
  [2637] = {.lex_state = 78},
  [2638] = {.lex_state = 14},
  [2639] = {.lex_state = 14},
  [2640] = {.lex_state = 78},
  [2641] = {.lex_state = 14},
  [2642] = {.lex_state = 78},
  [2643] = {.lex_state = 14},
  [2644] = {.lex_state = 78},
  [2645] = {.lex_state = 14},
  [2646] = {.lex_state = 14},
  [2647] = {.lex_state = 14},
  [2648] = {.lex_state = 78},
  [2649] = {.lex_state = 78},
  [2650] = {.lex_state = 78},
  [2651] = {.lex_state = 78},
  [2652] = {.lex_state = 78},
  [2653] = {.lex_state = 78},
  [2654] = {.lex_state = 78},
  [2655] = {.lex_state = 78},
  [2656] = {.lex_state = 78},
  [2657] = {.lex_state = 78},
  [2658] = {.lex_state = 78},
  [2659] = {.lex_state = 78},
  [2660] = {.lex_state = 78},
  [2661] = {.lex_state = 78},
  [2662] = {.lex_state = 78},
  [2663] = {.lex_state = 78},
  [2664] = {.lex_state = 78},
  [2665] = {.lex_state = 78},
  [2666] = {.lex_state = 78},
  [2667] = {.lex_state = 14},
  [2668] = {.lex_state = 78},
  [2669] = {.lex_state = 14},
  [2670] = {.lex_state = 78},
  [2671] = {.lex_state = 14},
  [2672] = {.lex_state = 78},
  [2673] = {.lex_state = 78},
  [2674] = {.lex_state = 78},
  [2675] = {.lex_state = 78},
  [2676] = {.lex_state = 78},
  [2677] = {.lex_state = 78},
  [2678] = {.lex_state = 14},
  [2679] = {.lex_state = 78},
  [2680] = {.lex_state = 14},
  [2681] = {.lex_state = 14},
  [2682] = {.lex_state = 14},
  [2683] = {.lex_state = 78},
  [2684] = {.lex_state = 78},
  [2685] = {.lex_state = 14},
  [2686] = {.lex_state = 78},
  [2687] = {.lex_state = 78},
  [2688] = {.lex_state = 14},
  [2689] = {.lex_state = 78},
  [2690] = {.lex_state = 78, .external_lex_state = 13},
  [2691] = {.lex_state = 78},
  [2692] = {.lex_state = 78},
  [2693] = {.lex_state = 78},
  [2694] = {.lex_state = 78},
  [2695] = {.lex_state = 78, .external_lex_state = 13},
  [2696] = {.lex_state = 78},
  [2697] = {.lex_state = 14},
  [2698] = {.lex_state = 78},
  [2699] = {.lex_state = 78},
  [2700] = {.lex_state = 78},
  [2701] = {.lex_state = 78},
  [2702] = {.lex_state = 78},
  [2703] = {.lex_state = 78},
  [2704] = {.lex_state = 78},
  [2705] = {.lex_state = 78},
  [2706] = {.lex_state = 78},
  [2707] = {.lex_state = 14},
  [2708] = {.lex_state = 78},
  [2709] = {.lex_state = 78},
  [2710] = {.lex_state = 14},
  [2711] = {.lex_state = 78},
  [2712] = {.lex_state = 14},
  [2713] = {.lex_state = 78},
  [2714] = {.lex_state = 78},
  [2715] = {.lex_state = 14},
  [2716] = {.lex_state = 78},
  [2717] = {.lex_state = 78},
  [2718] = {.lex_state = 78},
  [2719] = {.lex_state = 78},
  [2720] = {.lex_state = 78},
  [2721] = {.lex_state = 78},
  [2722] = {.lex_state = 78},
  [2723] = {.lex_state = 78},
  [2724] = {.lex_state = 78},
  [2725] = {(TSStateId)(-1)},
  [2726] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_QMARK_GT2] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [sym_boolean] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2663),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(2229),
    [aux_sym_text_repeat1] = STATE(1787),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(11),
    [aux_sym_text_token2] = ACTIONS(11),
    [sym_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [ts_builtin_sym_end] = ACTIONS(13),
    [sym_name] = ACTIONS(15),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(20),
    [aux_sym_function_static_declaration_token1] = ACTIONS(23),
    [aux_sym_global_declaration_token1] = ACTIONS(26),
    [aux_sym_namespace_definition_token1] = ACTIONS(29),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(32),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(35),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(38),
    [anon_sym_BSLASH] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(44),
    [anon_sym_RBRACE] = ACTIONS(13),
    [aux_sym_trait_declaration_token1] = ACTIONS(47),
    [aux_sym_interface_declaration_token1] = ACTIONS(50),
    [aux_sym_enum_declaration_token1] = ACTIONS(53),
    [aux_sym_enum_case_token1] = ACTIONS(56),
    [aux_sym_class_declaration_token1] = ACTIONS(58),
    [aux_sym_final_modifier_token1] = ACTIONS(61),
    [aux_sym_abstract_modifier_token1] = ACTIONS(64),
    [aux_sym_readonly_modifier_token1] = ACTIONS(67),
    [aux_sym_visibility_modifier_token1] = ACTIONS(70),
    [aux_sym_visibility_modifier_token2] = ACTIONS(70),
    [aux_sym_visibility_modifier_token3] = ACTIONS(70),
    [aux_sym__arrow_function_header_token1] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(76),
    [aux_sym_cast_type_token1] = ACTIONS(79),
    [aux_sym_echo_statement_token1] = ACTIONS(82),
    [anon_sym_unset] = ACTIONS(85),
    [aux_sym_declare_statement_token1] = ACTIONS(88),
    [aux_sym_declare_statement_token2] = ACTIONS(56),
    [sym_float] = ACTIONS(91),
    [aux_sym_try_statement_token1] = ACTIONS(94),
    [aux_sym_goto_statement_token1] = ACTIONS(97),
    [aux_sym_continue_statement_token1] = ACTIONS(100),
    [aux_sym_break_statement_token1] = ACTIONS(103),
    [sym_integer] = ACTIONS(91),
    [aux_sym_return_statement_token1] = ACTIONS(106),
    [aux_sym_throw_expression_token1] = ACTIONS(109),
    [aux_sym_while_statement_token1] = ACTIONS(112),
    [aux_sym_while_statement_token2] = ACTIONS(56),
    [aux_sym_do_statement_token1] = ACTIONS(115),
    [aux_sym_for_statement_token1] = ACTIONS(118),
    [aux_sym_for_statement_token2] = ACTIONS(56),
    [aux_sym_foreach_statement_token1] = ACTIONS(121),
    [aux_sym_foreach_statement_token2] = ACTIONS(56),
    [aux_sym_if_statement_token1] = ACTIONS(124),
    [aux_sym_if_statement_token2] = ACTIONS(56),
    [aux_sym_match_expression_token1] = ACTIONS(127),
    [aux_sym_match_default_expression_token1] = ACTIONS(56),
    [aux_sym_switch_statement_token1] = ACTIONS(130),
    [aux_sym_switch_block_token1] = ACTIONS(56),
    [anon_sym_AT] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_TILDE] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(139),
    [aux_sym_clone_expression_token1] = ACTIONS(142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(145),
    [aux_sym_object_creation_expression_token1] = ACTIONS(148),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [aux_sym__list_destructing_token1] = ACTIONS(154),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_self] = ACTIONS(160),
    [anon_sym_parent] = ACTIONS(160),
    [anon_sym_POUND_LBRACK] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(166),
    [aux_sym_encapsed_string_token1] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_string_token1] = ACTIONS(166),
    [anon_sym_LT_LT_LT] = ACTIONS(172),
    [anon_sym_BQUOTE] = ACTIONS(175),
    [sym_boolean] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(178),
    [aux_sym_yield_expression_token1] = ACTIONS(181),
    [aux_sym_include_expression_token1] = ACTIONS(184),
    [aux_sym_include_once_expression_token1] = ACTIONS(187),
    [aux_sym_require_expression_token1] = ACTIONS(190),
    [aux_sym_require_once_expression_token1] = ACTIONS(193),
    [sym_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(216),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_enum_case_token1] = ACTIONS(224),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_match_default_expression_token1] = ACTIONS(224),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [aux_sym_switch_block_token1] = ACTIONS(224),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(318),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_enum_case_token1] = ACTIONS(320),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_match_default_expression_token1] = ACTIONS(320),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [aux_sym_switch_block_token1] = ACTIONS(320),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(322),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_enum_case_token1] = ACTIONS(324),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_match_default_expression_token1] = ACTIONS(324),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [aux_sym_switch_block_token1] = ACTIONS(324),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(326),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_enum_case_token1] = ACTIONS(328),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_match_default_expression_token1] = ACTIONS(328),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [aux_sym_switch_block_token1] = ACTIONS(328),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_while_statement_token2] = ACTIONS(330),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_foreach_statement_token2] = ACTIONS(330),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_if_statement_token2] = ACTIONS(330),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(332),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(334),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(336),
    [aux_sym_foreach_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token1] = ACTIONS(340),
    [aux_sym_if_statement_token2] = ACTIONS(342),
    [aux_sym_else_if_clause_token1] = ACTIONS(342),
    [aux_sym_else_clause_token1] = ACTIONS(342),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(332),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(334),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(336),
    [aux_sym_foreach_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token1] = ACTIONS(340),
    [aux_sym_if_statement_token2] = ACTIONS(330),
    [aux_sym_else_if_clause_token1] = ACTIONS(330),
    [aux_sym_else_clause_token1] = ACTIONS(330),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(15),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(20),
    [aux_sym_function_static_declaration_token1] = ACTIONS(23),
    [aux_sym_global_declaration_token1] = ACTIONS(26),
    [aux_sym_namespace_definition_token1] = ACTIONS(29),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(32),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(35),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(38),
    [anon_sym_BSLASH] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(44),
    [aux_sym_trait_declaration_token1] = ACTIONS(47),
    [aux_sym_interface_declaration_token1] = ACTIONS(50),
    [aux_sym_enum_declaration_token1] = ACTIONS(53),
    [aux_sym_class_declaration_token1] = ACTIONS(58),
    [aux_sym_final_modifier_token1] = ACTIONS(61),
    [aux_sym_abstract_modifier_token1] = ACTIONS(64),
    [aux_sym_readonly_modifier_token1] = ACTIONS(67),
    [aux_sym_visibility_modifier_token1] = ACTIONS(70),
    [aux_sym_visibility_modifier_token2] = ACTIONS(70),
    [aux_sym_visibility_modifier_token3] = ACTIONS(70),
    [aux_sym__arrow_function_header_token1] = ACTIONS(73),
    [anon_sym_LPAREN] = ACTIONS(76),
    [aux_sym_cast_type_token1] = ACTIONS(79),
    [aux_sym_echo_statement_token1] = ACTIONS(82),
    [anon_sym_unset] = ACTIONS(85),
    [aux_sym_declare_statement_token1] = ACTIONS(344),
    [sym_float] = ACTIONS(91),
    [aux_sym_try_statement_token1] = ACTIONS(94),
    [aux_sym_goto_statement_token1] = ACTIONS(97),
    [aux_sym_continue_statement_token1] = ACTIONS(100),
    [aux_sym_break_statement_token1] = ACTIONS(103),
    [sym_integer] = ACTIONS(91),
    [aux_sym_return_statement_token1] = ACTIONS(106),
    [aux_sym_throw_expression_token1] = ACTIONS(109),
    [aux_sym_while_statement_token1] = ACTIONS(347),
    [aux_sym_do_statement_token1] = ACTIONS(115),
    [aux_sym_for_statement_token1] = ACTIONS(350),
    [aux_sym_foreach_statement_token1] = ACTIONS(353),
    [aux_sym_if_statement_token1] = ACTIONS(356),
    [aux_sym_if_statement_token2] = ACTIONS(56),
    [aux_sym_else_if_clause_token1] = ACTIONS(56),
    [aux_sym_else_clause_token1] = ACTIONS(56),
    [aux_sym_match_expression_token1] = ACTIONS(127),
    [aux_sym_switch_statement_token1] = ACTIONS(130),
    [anon_sym_AT] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_TILDE] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(139),
    [aux_sym_clone_expression_token1] = ACTIONS(142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(145),
    [aux_sym_object_creation_expression_token1] = ACTIONS(148),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [aux_sym__list_destructing_token1] = ACTIONS(154),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_self] = ACTIONS(160),
    [anon_sym_parent] = ACTIONS(160),
    [anon_sym_POUND_LBRACK] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(166),
    [aux_sym_encapsed_string_token1] = ACTIONS(169),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_string_token1] = ACTIONS(166),
    [anon_sym_LT_LT_LT] = ACTIONS(172),
    [anon_sym_BQUOTE] = ACTIONS(175),
    [sym_boolean] = ACTIONS(91),
    [sym_null] = ACTIONS(91),
    [anon_sym_DOLLAR] = ACTIONS(178),
    [aux_sym_yield_expression_token1] = ACTIONS(181),
    [aux_sym_include_expression_token1] = ACTIONS(184),
    [aux_sym_include_once_expression_token1] = ACTIONS(187),
    [aux_sym_require_expression_token1] = ACTIONS(190),
    [aux_sym_require_once_expression_token1] = ACTIONS(193),
    [sym_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_while_statement_token2] = ACTIONS(342),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_foreach_statement_token2] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_if_statement_token2] = ACTIONS(342),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_empty_statement] = STATE(496),
    [sym_function_static_declaration] = STATE(496),
    [sym_global_declaration] = STATE(496),
    [sym_namespace_definition] = STATE(496),
    [sym_namespace_use_declaration] = STATE(496),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(496),
    [sym_interface_declaration] = STATE(496),
    [sym_enum_declaration] = STATE(496),
    [sym_class_declaration] = STATE(496),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(496),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(496),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(496),
    [sym_unset_statement] = STATE(496),
    [sym_declare_statement] = STATE(496),
    [sym_try_statement] = STATE(496),
    [sym_goto_statement] = STATE(496),
    [sym_continue_statement] = STATE(496),
    [sym_break_statement] = STATE(496),
    [sym_return_statement] = STATE(496),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(496),
    [sym_do_statement] = STATE(496),
    [sym_for_statement] = STATE(496),
    [sym_foreach_statement] = STATE(496),
    [sym_if_statement] = STATE(496),
    [sym_colon_block] = STATE(2688),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(496),
    [sym_compound_statement] = STATE(496),
    [sym_named_label_statement] = STATE(496),
    [sym_expression_statement] = STATE(496),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(359),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(332),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(334),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(336),
    [aux_sym_foreach_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token1] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(363),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_empty_statement] = STATE(496),
    [sym_function_static_declaration] = STATE(496),
    [sym_global_declaration] = STATE(496),
    [sym_namespace_definition] = STATE(496),
    [sym_namespace_use_declaration] = STATE(496),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(496),
    [sym_interface_declaration] = STATE(496),
    [sym_enum_declaration] = STATE(496),
    [sym_class_declaration] = STATE(496),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(496),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(496),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(496),
    [sym_unset_statement] = STATE(496),
    [sym_declare_statement] = STATE(496),
    [sym_try_statement] = STATE(496),
    [sym_goto_statement] = STATE(496),
    [sym_continue_statement] = STATE(496),
    [sym_break_statement] = STATE(496),
    [sym_return_statement] = STATE(496),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(496),
    [sym_do_statement] = STATE(496),
    [sym_for_statement] = STATE(496),
    [sym_foreach_statement] = STATE(496),
    [sym_if_statement] = STATE(496),
    [sym_colon_block] = STATE(2688),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(496),
    [sym_compound_statement] = STATE(496),
    [sym_named_label_statement] = STATE(496),
    [sym_expression_statement] = STATE(496),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(359),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(363),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_colon_block] = STATE(2546),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(367),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(417),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_empty_statement] = STATE(2075),
    [sym_function_static_declaration] = STATE(2075),
    [sym_global_declaration] = STATE(2075),
    [sym_namespace_definition] = STATE(2075),
    [sym_namespace_use_declaration] = STATE(2075),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2075),
    [sym_interface_declaration] = STATE(2075),
    [sym_enum_declaration] = STATE(2075),
    [sym_class_declaration] = STATE(2075),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2075),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2075),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2075),
    [sym_unset_statement] = STATE(2075),
    [sym_declare_statement] = STATE(2075),
    [sym_try_statement] = STATE(2075),
    [sym_goto_statement] = STATE(2075),
    [sym_continue_statement] = STATE(2075),
    [sym_break_statement] = STATE(2075),
    [sym_return_statement] = STATE(2075),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2075),
    [sym_do_statement] = STATE(2075),
    [sym_for_statement] = STATE(2075),
    [sym_foreach_statement] = STATE(2075),
    [sym_if_statement] = STATE(2075),
    [sym_colon_block] = STATE(2546),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2075),
    [sym_compound_statement] = STATE(2075),
    [sym_named_label_statement] = STATE(2075),
    [sym_expression_statement] = STATE(2075),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(367),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(417),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [ts_builtin_sym_end] = ACTIONS(431),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_empty_statement] = STATE(2135),
    [sym_function_static_declaration] = STATE(2135),
    [sym_global_declaration] = STATE(2135),
    [sym_namespace_definition] = STATE(2135),
    [sym_namespace_use_declaration] = STATE(2135),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2135),
    [sym_interface_declaration] = STATE(2135),
    [sym_enum_declaration] = STATE(2135),
    [sym_class_declaration] = STATE(2135),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2135),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2135),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2135),
    [sym_unset_statement] = STATE(2135),
    [sym_declare_statement] = STATE(2135),
    [sym_try_statement] = STATE(2135),
    [sym_goto_statement] = STATE(2135),
    [sym_continue_statement] = STATE(2135),
    [sym_break_statement] = STATE(2135),
    [sym_return_statement] = STATE(2135),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2135),
    [sym_do_statement] = STATE(2135),
    [sym_for_statement] = STATE(2135),
    [sym_foreach_statement] = STATE(2135),
    [sym_if_statement] = STATE(2135),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2135),
    [sym_compound_statement] = STATE(2135),
    [sym_named_label_statement] = STATE(2135),
    [sym_expression_statement] = STATE(2135),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(433),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(435),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(437),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(47),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(439),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_empty_statement] = STATE(1667),
    [sym_function_static_declaration] = STATE(1667),
    [sym_global_declaration] = STATE(1667),
    [sym_namespace_definition] = STATE(1667),
    [sym_namespace_use_declaration] = STATE(1667),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(1667),
    [sym_interface_declaration] = STATE(1667),
    [sym_enum_declaration] = STATE(1667),
    [sym_class_declaration] = STATE(1667),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(1667),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(1667),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(1667),
    [sym_unset_statement] = STATE(1667),
    [sym_declare_statement] = STATE(1667),
    [sym_try_statement] = STATE(1667),
    [sym_goto_statement] = STATE(1667),
    [sym_continue_statement] = STATE(1667),
    [sym_break_statement] = STATE(1667),
    [sym_return_statement] = STATE(1667),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(1667),
    [sym_do_statement] = STATE(1667),
    [sym_for_statement] = STATE(1667),
    [sym_foreach_statement] = STATE(1667),
    [sym_if_statement] = STATE(1667),
    [sym_colon_block] = STATE(1680),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(1667),
    [sym_compound_statement] = STATE(1667),
    [sym_named_label_statement] = STATE(1667),
    [sym_expression_statement] = STATE(1667),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(441),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(443),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(445),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_empty_statement] = STATE(565),
    [sym_function_static_declaration] = STATE(565),
    [sym_global_declaration] = STATE(565),
    [sym_namespace_definition] = STATE(565),
    [sym_namespace_use_declaration] = STATE(565),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(565),
    [sym_interface_declaration] = STATE(565),
    [sym_enum_declaration] = STATE(565),
    [sym_class_declaration] = STATE(565),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(565),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(565),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(565),
    [sym_unset_statement] = STATE(565),
    [sym_declare_statement] = STATE(565),
    [sym_try_statement] = STATE(565),
    [sym_goto_statement] = STATE(565),
    [sym_continue_statement] = STATE(565),
    [sym_break_statement] = STATE(565),
    [sym_return_statement] = STATE(565),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(565),
    [sym_do_statement] = STATE(565),
    [sym_for_statement] = STATE(565),
    [sym_foreach_statement] = STATE(565),
    [sym_if_statement] = STATE(565),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(565),
    [sym_compound_statement] = STATE(565),
    [sym_named_label_statement] = STATE(565),
    [sym_expression_statement] = STATE(565),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(447),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(449),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(332),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(334),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(336),
    [aux_sym_foreach_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token1] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(451),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_empty_statement] = STATE(565),
    [sym_function_static_declaration] = STATE(565),
    [sym_global_declaration] = STATE(565),
    [sym_namespace_definition] = STATE(565),
    [sym_namespace_use_declaration] = STATE(565),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(565),
    [sym_interface_declaration] = STATE(565),
    [sym_enum_declaration] = STATE(565),
    [sym_class_declaration] = STATE(565),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(565),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(565),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(565),
    [sym_unset_statement] = STATE(565),
    [sym_declare_statement] = STATE(565),
    [sym_try_statement] = STATE(565),
    [sym_goto_statement] = STATE(565),
    [sym_continue_statement] = STATE(565),
    [sym_break_statement] = STATE(565),
    [sym_return_statement] = STATE(565),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(565),
    [sym_do_statement] = STATE(565),
    [sym_for_statement] = STATE(565),
    [sym_foreach_statement] = STATE(565),
    [sym_if_statement] = STATE(565),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(565),
    [sym_compound_statement] = STATE(565),
    [sym_named_label_statement] = STATE(565),
    [sym_expression_statement] = STATE(565),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(447),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(449),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(451),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_empty_statement] = STATE(1650),
    [sym_function_static_declaration] = STATE(1650),
    [sym_global_declaration] = STATE(1650),
    [sym_namespace_definition] = STATE(1650),
    [sym_namespace_use_declaration] = STATE(1650),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(1650),
    [sym_interface_declaration] = STATE(1650),
    [sym_enum_declaration] = STATE(1650),
    [sym_class_declaration] = STATE(1650),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(1650),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(1650),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(1650),
    [sym_unset_statement] = STATE(1650),
    [sym_declare_statement] = STATE(1650),
    [sym_try_statement] = STATE(1650),
    [sym_goto_statement] = STATE(1650),
    [sym_continue_statement] = STATE(1650),
    [sym_break_statement] = STATE(1650),
    [sym_return_statement] = STATE(1650),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(1650),
    [sym_do_statement] = STATE(1650),
    [sym_for_statement] = STATE(1650),
    [sym_foreach_statement] = STATE(1650),
    [sym_if_statement] = STATE(1650),
    [sym_colon_block] = STATE(1680),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(1650),
    [sym_compound_statement] = STATE(1650),
    [sym_named_label_statement] = STATE(1650),
    [sym_expression_statement] = STATE(1650),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(441),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(443),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_empty_statement] = STATE(2168),
    [sym_function_static_declaration] = STATE(2168),
    [sym_global_declaration] = STATE(2168),
    [sym_namespace_definition] = STATE(2168),
    [sym_namespace_use_declaration] = STATE(2168),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2168),
    [sym_interface_declaration] = STATE(2168),
    [sym_enum_declaration] = STATE(2168),
    [sym_class_declaration] = STATE(2168),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2168),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2168),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2168),
    [sym_unset_statement] = STATE(2168),
    [sym_declare_statement] = STATE(2168),
    [sym_try_statement] = STATE(2168),
    [sym_goto_statement] = STATE(2168),
    [sym_continue_statement] = STATE(2168),
    [sym_break_statement] = STATE(2168),
    [sym_return_statement] = STATE(2168),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2168),
    [sym_do_statement] = STATE(2168),
    [sym_for_statement] = STATE(2168),
    [sym_foreach_statement] = STATE(2168),
    [sym_if_statement] = STATE(2168),
    [sym_colon_block] = STATE(2599),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2168),
    [sym_compound_statement] = STATE(2168),
    [sym_named_label_statement] = STATE(2168),
    [sym_expression_statement] = STATE(2168),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(441),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(453),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_empty_statement] = STATE(429),
    [sym_function_static_declaration] = STATE(429),
    [sym_global_declaration] = STATE(429),
    [sym_namespace_definition] = STATE(429),
    [sym_namespace_use_declaration] = STATE(429),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(429),
    [sym_interface_declaration] = STATE(429),
    [sym_enum_declaration] = STATE(429),
    [sym_class_declaration] = STATE(429),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(429),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(429),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(429),
    [sym_unset_statement] = STATE(429),
    [sym_declare_statement] = STATE(429),
    [sym_try_statement] = STATE(429),
    [sym_goto_statement] = STATE(429),
    [sym_continue_statement] = STATE(429),
    [sym_break_statement] = STATE(429),
    [sym_return_statement] = STATE(429),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(429),
    [sym_do_statement] = STATE(429),
    [sym_for_statement] = STATE(429),
    [sym_foreach_statement] = STATE(429),
    [sym_if_statement] = STATE(429),
    [sym_colon_block] = STATE(1628),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(429),
    [sym_compound_statement] = STATE(429),
    [sym_named_label_statement] = STATE(429),
    [sym_expression_statement] = STATE(429),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(443),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(332),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(334),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(336),
    [aux_sym_foreach_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token1] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(31),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(455),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [aux_sym_declare_statement_token2] = ACTIONS(457),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(459),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(461),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(40),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(461),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_empty_statement] = STATE(520),
    [sym_function_static_declaration] = STATE(520),
    [sym_global_declaration] = STATE(520),
    [sym_namespace_definition] = STATE(520),
    [sym_namespace_use_declaration] = STATE(520),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(520),
    [sym_interface_declaration] = STATE(520),
    [sym_enum_declaration] = STATE(520),
    [sym_class_declaration] = STATE(520),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(520),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(520),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(520),
    [sym_unset_statement] = STATE(520),
    [sym_declare_statement] = STATE(520),
    [sym_try_statement] = STATE(520),
    [sym_goto_statement] = STATE(520),
    [sym_continue_statement] = STATE(520),
    [sym_break_statement] = STATE(520),
    [sym_return_statement] = STATE(520),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(520),
    [sym_do_statement] = STATE(520),
    [sym_for_statement] = STATE(520),
    [sym_foreach_statement] = STATE(520),
    [sym_if_statement] = STATE(520),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(520),
    [sym_compound_statement] = STATE(520),
    [sym_named_label_statement] = STATE(520),
    [sym_expression_statement] = STATE(520),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(332),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(334),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(336),
    [aux_sym_foreach_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token1] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(467),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_empty_statement] = STATE(474),
    [sym_function_static_declaration] = STATE(474),
    [sym_global_declaration] = STATE(474),
    [sym_namespace_definition] = STATE(474),
    [sym_namespace_use_declaration] = STATE(474),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(474),
    [sym_interface_declaration] = STATE(474),
    [sym_enum_declaration] = STATE(474),
    [sym_class_declaration] = STATE(474),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(474),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(474),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(474),
    [sym_unset_statement] = STATE(474),
    [sym_declare_statement] = STATE(474),
    [sym_try_statement] = STATE(474),
    [sym_goto_statement] = STATE(474),
    [sym_continue_statement] = STATE(474),
    [sym_break_statement] = STATE(474),
    [sym_return_statement] = STATE(474),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(474),
    [sym_do_statement] = STATE(474),
    [sym_for_statement] = STATE(474),
    [sym_foreach_statement] = STATE(474),
    [sym_if_statement] = STATE(474),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(474),
    [sym_compound_statement] = STATE(474),
    [sym_named_label_statement] = STATE(474),
    [sym_expression_statement] = STATE(474),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(332),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(334),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(336),
    [aux_sym_foreach_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token1] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(29),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [aux_sym_declare_statement_token2] = ACTIONS(475),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(46),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [aux_sym_declare_statement_token2] = ACTIONS(477),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_empty_statement] = STATE(474),
    [sym_function_static_declaration] = STATE(474),
    [sym_global_declaration] = STATE(474),
    [sym_namespace_definition] = STATE(474),
    [sym_namespace_use_declaration] = STATE(474),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(474),
    [sym_interface_declaration] = STATE(474),
    [sym_enum_declaration] = STATE(474),
    [sym_class_declaration] = STATE(474),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(474),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(474),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(474),
    [sym_unset_statement] = STATE(474),
    [sym_declare_statement] = STATE(474),
    [sym_try_statement] = STATE(474),
    [sym_goto_statement] = STATE(474),
    [sym_continue_statement] = STATE(474),
    [sym_break_statement] = STATE(474),
    [sym_return_statement] = STATE(474),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(474),
    [sym_do_statement] = STATE(474),
    [sym_for_statement] = STATE(474),
    [sym_foreach_statement] = STATE(474),
    [sym_if_statement] = STATE(474),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(474),
    [sym_compound_statement] = STATE(474),
    [sym_named_label_statement] = STATE(474),
    [sym_expression_statement] = STATE(474),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(469),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(473),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_empty_statement] = STATE(2135),
    [sym_function_static_declaration] = STATE(2135),
    [sym_global_declaration] = STATE(2135),
    [sym_namespace_definition] = STATE(2135),
    [sym_namespace_use_declaration] = STATE(2135),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2135),
    [sym_interface_declaration] = STATE(2135),
    [sym_enum_declaration] = STATE(2135),
    [sym_class_declaration] = STATE(2135),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2135),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2135),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2135),
    [sym_unset_statement] = STATE(2135),
    [sym_declare_statement] = STATE(2135),
    [sym_try_statement] = STATE(2135),
    [sym_goto_statement] = STATE(2135),
    [sym_continue_statement] = STATE(2135),
    [sym_break_statement] = STATE(2135),
    [sym_return_statement] = STATE(2135),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2135),
    [sym_do_statement] = STATE(2135),
    [sym_for_statement] = STATE(2135),
    [sym_foreach_statement] = STATE(2135),
    [sym_if_statement] = STATE(2135),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2135),
    [sym_compound_statement] = STATE(2135),
    [sym_named_label_statement] = STATE(2135),
    [sym_expression_statement] = STATE(2135),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(433),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(435),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(437),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_empty_statement] = STATE(426),
    [sym_function_static_declaration] = STATE(426),
    [sym_global_declaration] = STATE(426),
    [sym_namespace_definition] = STATE(426),
    [sym_namespace_use_declaration] = STATE(426),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(426),
    [sym_interface_declaration] = STATE(426),
    [sym_enum_declaration] = STATE(426),
    [sym_class_declaration] = STATE(426),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(426),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(426),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(426),
    [sym_unset_statement] = STATE(426),
    [sym_declare_statement] = STATE(426),
    [sym_try_statement] = STATE(426),
    [sym_goto_statement] = STATE(426),
    [sym_continue_statement] = STATE(426),
    [sym_break_statement] = STATE(426),
    [sym_return_statement] = STATE(426),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(426),
    [sym_do_statement] = STATE(426),
    [sym_for_statement] = STATE(426),
    [sym_foreach_statement] = STATE(426),
    [sym_if_statement] = STATE(426),
    [sym_colon_block] = STATE(1628),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(426),
    [sym_compound_statement] = STATE(426),
    [sym_named_label_statement] = STATE(426),
    [sym_expression_statement] = STATE(426),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(443),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(332),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(334),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(336),
    [aux_sym_foreach_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token1] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(479),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_empty_statement] = STATE(2040),
    [sym_function_static_declaration] = STATE(2040),
    [sym_global_declaration] = STATE(2040),
    [sym_namespace_definition] = STATE(2040),
    [sym_namespace_use_declaration] = STATE(2040),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2040),
    [sym_interface_declaration] = STATE(2040),
    [sym_enum_declaration] = STATE(2040),
    [sym_class_declaration] = STATE(2040),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2040),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2040),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2040),
    [sym_unset_statement] = STATE(2040),
    [sym_declare_statement] = STATE(2040),
    [sym_try_statement] = STATE(2040),
    [sym_goto_statement] = STATE(2040),
    [sym_continue_statement] = STATE(2040),
    [sym_break_statement] = STATE(2040),
    [sym_return_statement] = STATE(2040),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2040),
    [sym_do_statement] = STATE(2040),
    [sym_for_statement] = STATE(2040),
    [sym_foreach_statement] = STATE(2040),
    [sym_if_statement] = STATE(2040),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2040),
    [sym_compound_statement] = STATE(2040),
    [sym_named_label_statement] = STATE(2040),
    [sym_expression_statement] = STATE(2040),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(479),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_empty_statement] = STATE(477),
    [sym_function_static_declaration] = STATE(477),
    [sym_global_declaration] = STATE(477),
    [sym_namespace_definition] = STATE(477),
    [sym_namespace_use_declaration] = STATE(477),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(477),
    [sym_interface_declaration] = STATE(477),
    [sym_enum_declaration] = STATE(477),
    [sym_class_declaration] = STATE(477),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(477),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(477),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(477),
    [sym_unset_statement] = STATE(477),
    [sym_declare_statement] = STATE(477),
    [sym_try_statement] = STATE(477),
    [sym_goto_statement] = STATE(477),
    [sym_continue_statement] = STATE(477),
    [sym_break_statement] = STATE(477),
    [sym_return_statement] = STATE(477),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(477),
    [sym_do_statement] = STATE(477),
    [sym_for_statement] = STATE(477),
    [sym_foreach_statement] = STATE(477),
    [sym_if_statement] = STATE(477),
    [sym_colon_block] = STATE(2558),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(477),
    [sym_compound_statement] = STATE(477),
    [sym_named_label_statement] = STATE(477),
    [sym_expression_statement] = STATE(477),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(487),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [aux_sym_declare_statement_token2] = ACTIONS(495),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(497),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(49),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [ts_builtin_sym_end] = ACTIONS(499),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [ts_builtin_sym_end] = ACTIONS(431),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_empty_statement] = STATE(541),
    [sym_function_static_declaration] = STATE(541),
    [sym_global_declaration] = STATE(541),
    [sym_namespace_definition] = STATE(541),
    [sym_namespace_use_declaration] = STATE(541),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(541),
    [sym_interface_declaration] = STATE(541),
    [sym_enum_declaration] = STATE(541),
    [sym_class_declaration] = STATE(541),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(541),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(541),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(541),
    [sym_unset_statement] = STATE(541),
    [sym_declare_statement] = STATE(541),
    [sym_try_statement] = STATE(541),
    [sym_goto_statement] = STATE(541),
    [sym_continue_statement] = STATE(541),
    [sym_break_statement] = STATE(541),
    [sym_return_statement] = STATE(541),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(541),
    [sym_do_statement] = STATE(541),
    [sym_for_statement] = STATE(541),
    [sym_foreach_statement] = STATE(541),
    [sym_if_statement] = STATE(541),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(541),
    [sym_compound_statement] = STATE(541),
    [sym_named_label_statement] = STATE(541),
    [sym_expression_statement] = STATE(541),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_empty_statement] = STATE(541),
    [sym_function_static_declaration] = STATE(541),
    [sym_global_declaration] = STATE(541),
    [sym_namespace_definition] = STATE(541),
    [sym_namespace_use_declaration] = STATE(541),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(541),
    [sym_interface_declaration] = STATE(541),
    [sym_enum_declaration] = STATE(541),
    [sym_class_declaration] = STATE(541),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(541),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(541),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(541),
    [sym_unset_statement] = STATE(541),
    [sym_declare_statement] = STATE(541),
    [sym_try_statement] = STATE(541),
    [sym_goto_statement] = STATE(541),
    [sym_continue_statement] = STATE(541),
    [sym_break_statement] = STATE(541),
    [sym_return_statement] = STATE(541),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(541),
    [sym_do_statement] = STATE(541),
    [sym_for_statement] = STATE(541),
    [sym_foreach_statement] = STATE(541),
    [sym_if_statement] = STATE(541),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(541),
    [sym_compound_statement] = STATE(541),
    [sym_named_label_statement] = STATE(541),
    [sym_expression_statement] = STATE(541),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(332),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(334),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(336),
    [aux_sym_foreach_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token1] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(507),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(509),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(332),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(334),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(336),
    [aux_sym_foreach_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token1] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(511),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(513),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [ts_builtin_sym_end] = ACTIONS(515),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(517),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(58),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(513),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(519),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(521),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(75),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(519),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(429),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_empty_statement] = STATE(2168),
    [sym_function_static_declaration] = STATE(2168),
    [sym_global_declaration] = STATE(2168),
    [sym_namespace_definition] = STATE(2168),
    [sym_namespace_use_declaration] = STATE(2168),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2168),
    [sym_interface_declaration] = STATE(2168),
    [sym_enum_declaration] = STATE(2168),
    [sym_class_declaration] = STATE(2168),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2168),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2168),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2168),
    [sym_unset_statement] = STATE(2168),
    [sym_declare_statement] = STATE(2168),
    [sym_try_statement] = STATE(2168),
    [sym_goto_statement] = STATE(2168),
    [sym_continue_statement] = STATE(2168),
    [sym_break_statement] = STATE(2168),
    [sym_return_statement] = STATE(2168),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2168),
    [sym_do_statement] = STATE(2168),
    [sym_for_statement] = STATE(2168),
    [sym_foreach_statement] = STATE(2168),
    [sym_if_statement] = STATE(2168),
    [sym_colon_block] = STATE(2599),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2168),
    [sym_compound_statement] = STATE(2168),
    [sym_named_label_statement] = STATE(2168),
    [sym_expression_statement] = STATE(2168),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(441),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(523),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_empty_statement] = STATE(520),
    [sym_function_static_declaration] = STATE(520),
    [sym_global_declaration] = STATE(520),
    [sym_namespace_definition] = STATE(520),
    [sym_namespace_use_declaration] = STATE(520),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(520),
    [sym_interface_declaration] = STATE(520),
    [sym_enum_declaration] = STATE(520),
    [sym_class_declaration] = STATE(520),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(520),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(520),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(520),
    [sym_unset_statement] = STATE(520),
    [sym_declare_statement] = STATE(520),
    [sym_try_statement] = STATE(520),
    [sym_goto_statement] = STATE(520),
    [sym_continue_statement] = STATE(520),
    [sym_break_statement] = STATE(520),
    [sym_return_statement] = STATE(520),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(520),
    [sym_do_statement] = STATE(520),
    [sym_for_statement] = STATE(520),
    [sym_foreach_statement] = STATE(520),
    [sym_if_statement] = STATE(520),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(520),
    [sym_compound_statement] = STATE(520),
    [sym_named_label_statement] = STATE(520),
    [sym_expression_statement] = STATE(520),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(463),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(467),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_empty_statement] = STATE(2095),
    [sym_function_static_declaration] = STATE(2095),
    [sym_global_declaration] = STATE(2095),
    [sym_namespace_definition] = STATE(2095),
    [sym_namespace_use_declaration] = STATE(2095),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2095),
    [sym_interface_declaration] = STATE(2095),
    [sym_enum_declaration] = STATE(2095),
    [sym_class_declaration] = STATE(2095),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2095),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2095),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2095),
    [sym_unset_statement] = STATE(2095),
    [sym_declare_statement] = STATE(2095),
    [sym_try_statement] = STATE(2095),
    [sym_goto_statement] = STATE(2095),
    [sym_continue_statement] = STATE(2095),
    [sym_break_statement] = STATE(2095),
    [sym_return_statement] = STATE(2095),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2095),
    [sym_do_statement] = STATE(2095),
    [sym_for_statement] = STATE(2095),
    [sym_foreach_statement] = STATE(2095),
    [sym_if_statement] = STATE(2095),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2095),
    [sym_compound_statement] = STATE(2095),
    [sym_named_label_statement] = STATE(2095),
    [sym_expression_statement] = STATE(2095),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(525),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(527),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(529),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(507),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(509),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(511),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(60),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(531),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_empty_statement] = STATE(2023),
    [sym_function_static_declaration] = STATE(2023),
    [sym_global_declaration] = STATE(2023),
    [sym_namespace_definition] = STATE(2023),
    [sym_namespace_use_declaration] = STATE(2023),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2023),
    [sym_interface_declaration] = STATE(2023),
    [sym_enum_declaration] = STATE(2023),
    [sym_class_declaration] = STATE(2023),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2023),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2023),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2023),
    [sym_unset_statement] = STATE(2023),
    [sym_declare_statement] = STATE(2023),
    [sym_try_statement] = STATE(2023),
    [sym_goto_statement] = STATE(2023),
    [sym_continue_statement] = STATE(2023),
    [sym_break_statement] = STATE(2023),
    [sym_return_statement] = STATE(2023),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2023),
    [sym_do_statement] = STATE(2023),
    [sym_for_statement] = STATE(2023),
    [sym_foreach_statement] = STATE(2023),
    [sym_if_statement] = STATE(2023),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2023),
    [sym_compound_statement] = STATE(2023),
    [sym_named_label_statement] = STATE(2023),
    [sym_expression_statement] = STATE(2023),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(533),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(535),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(537),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_empty_statement] = STATE(2023),
    [sym_function_static_declaration] = STATE(2023),
    [sym_global_declaration] = STATE(2023),
    [sym_namespace_definition] = STATE(2023),
    [sym_namespace_use_declaration] = STATE(2023),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2023),
    [sym_interface_declaration] = STATE(2023),
    [sym_enum_declaration] = STATE(2023),
    [sym_class_declaration] = STATE(2023),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2023),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2023),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2023),
    [sym_unset_statement] = STATE(2023),
    [sym_declare_statement] = STATE(2023),
    [sym_try_statement] = STATE(2023),
    [sym_goto_statement] = STATE(2023),
    [sym_continue_statement] = STATE(2023),
    [sym_break_statement] = STATE(2023),
    [sym_return_statement] = STATE(2023),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2023),
    [sym_do_statement] = STATE(2023),
    [sym_for_statement] = STATE(2023),
    [sym_foreach_statement] = STATE(2023),
    [sym_if_statement] = STATE(2023),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2023),
    [sym_compound_statement] = STATE(2023),
    [sym_named_label_statement] = STATE(2023),
    [sym_expression_statement] = STATE(2023),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(533),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(535),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(537),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(539),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_empty_statement] = STATE(2040),
    [sym_function_static_declaration] = STATE(2040),
    [sym_global_declaration] = STATE(2040),
    [sym_namespace_definition] = STATE(2040),
    [sym_namespace_use_declaration] = STATE(2040),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2040),
    [sym_interface_declaration] = STATE(2040),
    [sym_enum_declaration] = STATE(2040),
    [sym_class_declaration] = STATE(2040),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2040),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2040),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2040),
    [sym_unset_statement] = STATE(2040),
    [sym_declare_statement] = STATE(2040),
    [sym_try_statement] = STATE(2040),
    [sym_goto_statement] = STATE(2040),
    [sym_continue_statement] = STATE(2040),
    [sym_break_statement] = STATE(2040),
    [sym_return_statement] = STATE(2040),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2040),
    [sym_do_statement] = STATE(2040),
    [sym_for_statement] = STATE(2040),
    [sym_foreach_statement] = STATE(2040),
    [sym_if_statement] = STATE(2040),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2040),
    [sym_compound_statement] = STATE(2040),
    [sym_named_label_statement] = STATE(2040),
    [sym_expression_statement] = STATE(2040),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(481),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(485),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_empty_statement] = STATE(477),
    [sym_function_static_declaration] = STATE(477),
    [sym_global_declaration] = STATE(477),
    [sym_namespace_definition] = STATE(477),
    [sym_namespace_use_declaration] = STATE(477),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(477),
    [sym_interface_declaration] = STATE(477),
    [sym_enum_declaration] = STATE(477),
    [sym_class_declaration] = STATE(477),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(477),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(477),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(477),
    [sym_unset_statement] = STATE(477),
    [sym_declare_statement] = STATE(477),
    [sym_try_statement] = STATE(477),
    [sym_goto_statement] = STATE(477),
    [sym_continue_statement] = STATE(477),
    [sym_break_statement] = STATE(477),
    [sym_return_statement] = STATE(477),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(477),
    [sym_do_statement] = STATE(477),
    [sym_for_statement] = STATE(477),
    [sym_foreach_statement] = STATE(477),
    [sym_if_statement] = STATE(477),
    [sym_colon_block] = STATE(2558),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(477),
    [sym_compound_statement] = STATE(477),
    [sym_named_label_statement] = STATE(477),
    [sym_expression_statement] = STATE(477),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [anon_sym_COLON] = ACTIONS(361),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(332),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(334),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(336),
    [aux_sym_foreach_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token1] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_empty_statement] = STATE(2095),
    [sym_function_static_declaration] = STATE(2095),
    [sym_global_declaration] = STATE(2095),
    [sym_namespace_definition] = STATE(2095),
    [sym_namespace_use_declaration] = STATE(2095),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2095),
    [sym_interface_declaration] = STATE(2095),
    [sym_enum_declaration] = STATE(2095),
    [sym_class_declaration] = STATE(2095),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2095),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2095),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2095),
    [sym_unset_statement] = STATE(2095),
    [sym_declare_statement] = STATE(2095),
    [sym_try_statement] = STATE(2095),
    [sym_goto_statement] = STATE(2095),
    [sym_continue_statement] = STATE(2095),
    [sym_break_statement] = STATE(2095),
    [sym_return_statement] = STATE(2095),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2095),
    [sym_do_statement] = STATE(2095),
    [sym_for_statement] = STATE(2095),
    [sym_foreach_statement] = STATE(2095),
    [sym_if_statement] = STATE(2095),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2095),
    [sym_compound_statement] = STATE(2095),
    [sym_named_label_statement] = STATE(2095),
    [sym_expression_statement] = STATE(2095),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(525),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(527),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(529),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(541),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(44),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(543),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_for_statement_token2] = ACTIONS(531),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_empty_statement] = STATE(491),
    [sym_function_static_declaration] = STATE(491),
    [sym_global_declaration] = STATE(491),
    [sym_namespace_definition] = STATE(491),
    [sym_namespace_use_declaration] = STATE(491),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(491),
    [sym_interface_declaration] = STATE(491),
    [sym_enum_declaration] = STATE(491),
    [sym_class_declaration] = STATE(491),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(491),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(491),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(491),
    [sym_unset_statement] = STATE(491),
    [sym_declare_statement] = STATE(491),
    [sym_try_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_foreach_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(491),
    [sym_compound_statement] = STATE(491),
    [sym_named_label_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [anon_sym_RBRACE] = ACTIONS(545),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_empty_statement] = STATE(2114),
    [sym_function_static_declaration] = STATE(2114),
    [sym_global_declaration] = STATE(2114),
    [sym_namespace_definition] = STATE(2114),
    [sym_namespace_use_declaration] = STATE(2114),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2114),
    [sym_interface_declaration] = STATE(2114),
    [sym_enum_declaration] = STATE(2114),
    [sym_class_declaration] = STATE(2114),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2114),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2114),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2114),
    [sym_unset_statement] = STATE(2114),
    [sym_declare_statement] = STATE(2114),
    [sym_try_statement] = STATE(2114),
    [sym_goto_statement] = STATE(2114),
    [sym_continue_statement] = STATE(2114),
    [sym_break_statement] = STATE(2114),
    [sym_return_statement] = STATE(2114),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2114),
    [sym_do_statement] = STATE(2114),
    [sym_for_statement] = STATE(2114),
    [sym_foreach_statement] = STATE(2114),
    [sym_if_statement] = STATE(2114),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2114),
    [sym_compound_statement] = STATE(2114),
    [sym_named_label_statement] = STATE(2114),
    [sym_expression_statement] = STATE(2114),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(489),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [anon_sym_COLON] = ACTIONS(491),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(493),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_empty_statement] = STATE(2645),
    [sym_function_static_declaration] = STATE(2645),
    [sym_global_declaration] = STATE(2645),
    [sym_namespace_definition] = STATE(2645),
    [sym_namespace_use_declaration] = STATE(2645),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2645),
    [sym_interface_declaration] = STATE(2645),
    [sym_enum_declaration] = STATE(2645),
    [sym_class_declaration] = STATE(2645),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2645),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2645),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2645),
    [sym_unset_statement] = STATE(2645),
    [sym_declare_statement] = STATE(2645),
    [sym_try_statement] = STATE(2645),
    [sym_goto_statement] = STATE(2645),
    [sym_continue_statement] = STATE(2645),
    [sym_break_statement] = STATE(2645),
    [sym_return_statement] = STATE(2645),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2645),
    [sym_do_statement] = STATE(2645),
    [sym_for_statement] = STATE(2645),
    [sym_foreach_statement] = STATE(2645),
    [sym_if_statement] = STATE(2645),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2645),
    [sym_compound_statement] = STATE(2645),
    [sym_named_label_statement] = STATE(2645),
    [sym_expression_statement] = STATE(2645),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(441),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_empty_statement] = STATE(2112),
    [sym_function_static_declaration] = STATE(2112),
    [sym_global_declaration] = STATE(2112),
    [sym_namespace_definition] = STATE(2112),
    [sym_namespace_use_declaration] = STATE(2112),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2112),
    [sym_interface_declaration] = STATE(2112),
    [sym_enum_declaration] = STATE(2112),
    [sym_class_declaration] = STATE(2112),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2112),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2112),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2112),
    [sym_unset_statement] = STATE(2112),
    [sym_declare_statement] = STATE(2112),
    [sym_try_statement] = STATE(2112),
    [sym_goto_statement] = STATE(2112),
    [sym_continue_statement] = STATE(2112),
    [sym_break_statement] = STATE(2112),
    [sym_return_statement] = STATE(2112),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2112),
    [sym_do_statement] = STATE(2112),
    [sym_for_statement] = STATE(2112),
    [sym_foreach_statement] = STATE(2112),
    [sym_if_statement] = STATE(2112),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2112),
    [sym_compound_statement] = STATE(2112),
    [sym_named_label_statement] = STATE(2112),
    [sym_expression_statement] = STATE(2112),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(441),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_empty_statement] = STATE(2130),
    [sym_function_static_declaration] = STATE(2130),
    [sym_global_declaration] = STATE(2130),
    [sym_namespace_definition] = STATE(2130),
    [sym_namespace_use_declaration] = STATE(2130),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2130),
    [sym_interface_declaration] = STATE(2130),
    [sym_enum_declaration] = STATE(2130),
    [sym_class_declaration] = STATE(2130),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2130),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2130),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2130),
    [sym_unset_statement] = STATE(2130),
    [sym_declare_statement] = STATE(2130),
    [sym_try_statement] = STATE(2130),
    [sym_goto_statement] = STATE(2130),
    [sym_continue_statement] = STATE(2130),
    [sym_break_statement] = STATE(2130),
    [sym_return_statement] = STATE(2130),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2130),
    [sym_do_statement] = STATE(2130),
    [sym_for_statement] = STATE(2130),
    [sym_foreach_statement] = STATE(2130),
    [sym_if_statement] = STATE(2130),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2130),
    [sym_compound_statement] = STATE(2130),
    [sym_named_label_statement] = STATE(2130),
    [sym_expression_statement] = STATE(2130),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(441),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_empty_statement] = STATE(2624),
    [sym_function_static_declaration] = STATE(2624),
    [sym_global_declaration] = STATE(2624),
    [sym_namespace_definition] = STATE(2624),
    [sym_namespace_use_declaration] = STATE(2624),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2624),
    [sym_interface_declaration] = STATE(2624),
    [sym_enum_declaration] = STATE(2624),
    [sym_class_declaration] = STATE(2624),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2624),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2624),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2624),
    [sym_unset_statement] = STATE(2624),
    [sym_declare_statement] = STATE(2624),
    [sym_try_statement] = STATE(2624),
    [sym_goto_statement] = STATE(2624),
    [sym_continue_statement] = STATE(2624),
    [sym_break_statement] = STATE(2624),
    [sym_return_statement] = STATE(2624),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2624),
    [sym_do_statement] = STATE(2624),
    [sym_for_statement] = STATE(2624),
    [sym_foreach_statement] = STATE(2624),
    [sym_if_statement] = STATE(2624),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2624),
    [sym_compound_statement] = STATE(2624),
    [sym_named_label_statement] = STATE(2624),
    [sym_expression_statement] = STATE(2624),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(441),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(393),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(405),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(409),
    [aux_sym_foreach_statement_token1] = ACTIONS(411),
    [aux_sym_if_statement_token1] = ACTIONS(413),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_empty_statement] = STATE(554),
    [sym_function_static_declaration] = STATE(554),
    [sym_global_declaration] = STATE(554),
    [sym_namespace_definition] = STATE(554),
    [sym_namespace_use_declaration] = STATE(554),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(554),
    [sym_interface_declaration] = STATE(554),
    [sym_enum_declaration] = STATE(554),
    [sym_class_declaration] = STATE(554),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(554),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(554),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(554),
    [sym_unset_statement] = STATE(554),
    [sym_declare_statement] = STATE(554),
    [sym_try_statement] = STATE(554),
    [sym_goto_statement] = STATE(554),
    [sym_continue_statement] = STATE(554),
    [sym_break_statement] = STATE(554),
    [sym_return_statement] = STATE(554),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(554),
    [sym_do_statement] = STATE(554),
    [sym_for_statement] = STATE(554),
    [sym_foreach_statement] = STATE(554),
    [sym_if_statement] = STATE(554),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(554),
    [sym_compound_statement] = STATE(554),
    [sym_named_label_statement] = STATE(554),
    [sym_expression_statement] = STATE(554),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(332),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(334),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(336),
    [aux_sym_foreach_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token1] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_empty_statement] = STATE(503),
    [sym_function_static_declaration] = STATE(503),
    [sym_global_declaration] = STATE(503),
    [sym_namespace_definition] = STATE(503),
    [sym_namespace_use_declaration] = STATE(503),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(503),
    [sym_interface_declaration] = STATE(503),
    [sym_enum_declaration] = STATE(503),
    [sym_class_declaration] = STATE(503),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(503),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(503),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(503),
    [sym_unset_statement] = STATE(503),
    [sym_declare_statement] = STATE(503),
    [sym_try_statement] = STATE(503),
    [sym_goto_statement] = STATE(503),
    [sym_continue_statement] = STATE(503),
    [sym_break_statement] = STATE(503),
    [sym_return_statement] = STATE(503),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(503),
    [sym_do_statement] = STATE(503),
    [sym_for_statement] = STATE(503),
    [sym_foreach_statement] = STATE(503),
    [sym_if_statement] = STATE(503),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(503),
    [sym_compound_statement] = STATE(503),
    [sym_named_label_statement] = STATE(503),
    [sym_expression_statement] = STATE(503),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(332),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(334),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(336),
    [aux_sym_foreach_statement_token1] = ACTIONS(338),
    [aux_sym_if_statement_token1] = ACTIONS(340),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_empty_statement] = STATE(2130),
    [sym_function_static_declaration] = STATE(2130),
    [sym_global_declaration] = STATE(2130),
    [sym_namespace_definition] = STATE(2130),
    [sym_namespace_use_declaration] = STATE(2130),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(2130),
    [sym_interface_declaration] = STATE(2130),
    [sym_enum_declaration] = STATE(2130),
    [sym_class_declaration] = STATE(2130),
    [sym_final_modifier] = STATE(1978),
    [sym_abstract_modifier] = STATE(1978),
    [sym_readonly_modifier] = STATE(2618),
    [sym_const_declaration] = STATE(2130),
    [sym__const_declaration] = STATE(2196),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2619),
    [sym_function_definition] = STATE(2130),
    [sym__function_definition_header] = STATE(2468),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(2130),
    [sym_unset_statement] = STATE(2130),
    [sym_declare_statement] = STATE(2130),
    [sym_try_statement] = STATE(2130),
    [sym_goto_statement] = STATE(2130),
    [sym_continue_statement] = STATE(2130),
    [sym_break_statement] = STATE(2130),
    [sym_return_statement] = STATE(2130),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(2130),
    [sym_do_statement] = STATE(2130),
    [sym_for_statement] = STATE(2130),
    [sym_foreach_statement] = STATE(2130),
    [sym_if_statement] = STATE(2130),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(2130),
    [sym_compound_statement] = STATE(2130),
    [sym_named_label_statement] = STATE(2130),
    [sym_expression_statement] = STATE(2130),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1428),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(365),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(441),
    [aux_sym_function_static_declaration_token1] = ACTIONS(369),
    [aux_sym_global_declaration_token1] = ACTIONS(371),
    [aux_sym_namespace_definition_token1] = ACTIONS(373),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(375),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(377),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(379),
    [aux_sym_trait_declaration_token1] = ACTIONS(381),
    [aux_sym_interface_declaration_token1] = ACTIONS(383),
    [aux_sym_enum_declaration_token1] = ACTIONS(385),
    [aux_sym_class_declaration_token1] = ACTIONS(387),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(389),
    [anon_sym_unset] = ACTIONS(391),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(395),
    [aux_sym_goto_statement_token1] = ACTIONS(397),
    [aux_sym_continue_statement_token1] = ACTIONS(399),
    [aux_sym_break_statement_token1] = ACTIONS(401),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(403),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(407),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(415),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_empty_statement] = STATE(554),
    [sym_function_static_declaration] = STATE(554),
    [sym_global_declaration] = STATE(554),
    [sym_namespace_definition] = STATE(554),
    [sym_namespace_use_declaration] = STATE(554),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_trait_declaration] = STATE(554),
    [sym_interface_declaration] = STATE(554),
    [sym_enum_declaration] = STATE(554),
    [sym_class_declaration] = STATE(554),
    [sym_final_modifier] = STATE(1961),
    [sym_abstract_modifier] = STATE(1961),
    [sym_readonly_modifier] = STATE(2682),
    [sym_const_declaration] = STATE(554),
    [sym__const_declaration] = STATE(472),
    [sym_static_modifier] = STATE(2681),
    [sym_visibility_modifier] = STATE(2680),
    [sym_function_definition] = STATE(554),
    [sym__function_definition_header] = STATE(2259),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_echo_statement] = STATE(554),
    [sym_unset_statement] = STATE(554),
    [sym_declare_statement] = STATE(554),
    [sym_try_statement] = STATE(554),
    [sym_goto_statement] = STATE(554),
    [sym_continue_statement] = STATE(554),
    [sym_break_statement] = STATE(554),
    [sym_return_statement] = STATE(554),
    [sym_throw_expression] = STATE(1075),
    [sym_while_statement] = STATE(554),
    [sym_do_statement] = STATE(554),
    [sym_for_statement] = STATE(554),
    [sym_foreach_statement] = STATE(554),
    [sym_if_statement] = STATE(554),
    [sym_match_expression] = STATE(1074),
    [sym_switch_statement] = STATE(554),
    [sym_compound_statement] = STATE(554),
    [sym_named_label_statement] = STATE(554),
    [sym_expression_statement] = STATE(554),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1422),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(196),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(200),
    [aux_sym_global_declaration_token1] = ACTIONS(202),
    [aux_sym_namespace_definition_token1] = ACTIONS(204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(210),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_LBRACE] = ACTIONS(214),
    [aux_sym_trait_declaration_token1] = ACTIONS(218),
    [aux_sym_interface_declaration_token1] = ACTIONS(220),
    [aux_sym_enum_declaration_token1] = ACTIONS(222),
    [aux_sym_class_declaration_token1] = ACTIONS(226),
    [aux_sym_final_modifier_token1] = ACTIONS(228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [aux_sym_echo_statement_token1] = ACTIONS(242),
    [anon_sym_unset] = ACTIONS(244),
    [aux_sym_declare_statement_token1] = ACTIONS(246),
    [sym_float] = ACTIONS(248),
    [aux_sym_try_statement_token1] = ACTIONS(250),
    [aux_sym_goto_statement_token1] = ACTIONS(252),
    [aux_sym_continue_statement_token1] = ACTIONS(254),
    [aux_sym_break_statement_token1] = ACTIONS(256),
    [sym_integer] = ACTIONS(248),
    [aux_sym_return_statement_token1] = ACTIONS(258),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_while_statement_token1] = ACTIONS(262),
    [aux_sym_do_statement_token1] = ACTIONS(264),
    [aux_sym_for_statement_token1] = ACTIONS(266),
    [aux_sym_foreach_statement_token1] = ACTIONS(268),
    [aux_sym_if_statement_token1] = ACTIONS(270),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [aux_sym_switch_statement_token1] = ACTIONS(274),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1008),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(944),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(559),
    [anon_sym_RBRACE] = ACTIONS(549),
    [anon_sym_COLON] = ACTIONS(549),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(561),
    [anon_sym_RPAREN] = ACTIONS(549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(563),
    [anon_sym_QMARK] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_yield_expression_token2] = ACTIONS(601),
    [aux_sym_binary_expression_token1] = ACTIONS(559),
    [anon_sym_QMARK_QMARK] = ACTIONS(549),
    [aux_sym_binary_expression_token2] = ACTIONS(559),
    [aux_sym_binary_expression_token3] = ACTIONS(559),
    [aux_sym_binary_expression_token4] = ACTIONS(559),
    [anon_sym_PIPE_PIPE] = ACTIONS(549),
    [anon_sym_AMP_AMP] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(559),
    [anon_sym_LT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_STAR] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(549),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1046),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(944),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(549),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(549),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [anon_sym_QMARK] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(549),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_yield_expression_token2] = ACTIONS(631),
    [aux_sym_binary_expression_token1] = ACTIONS(559),
    [anon_sym_QMARK_QMARK] = ACTIONS(549),
    [aux_sym_binary_expression_token2] = ACTIONS(559),
    [aux_sym_binary_expression_token3] = ACTIONS(559),
    [aux_sym_binary_expression_token4] = ACTIONS(559),
    [anon_sym_PIPE_PIPE] = ACTIONS(549),
    [anon_sym_AMP_AMP] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(559),
    [anon_sym_LT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_STAR] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(549),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1053),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1113),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_by_ref] = STATE(1113),
    [sym_yield_expression] = STATE(1107),
    [sym_array_element_initializer] = STATE(1132),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(549),
    [anon_sym_AMP] = ACTIONS(643),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [anon_sym_COMMA] = ACTIONS(549),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(649),
    [anon_sym_QMARK] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_yield_expression_token2] = ACTIONS(651),
    [aux_sym_binary_expression_token1] = ACTIONS(559),
    [anon_sym_QMARK_QMARK] = ACTIONS(549),
    [aux_sym_binary_expression_token2] = ACTIONS(559),
    [aux_sym_binary_expression_token3] = ACTIONS(559),
    [aux_sym_binary_expression_token4] = ACTIONS(559),
    [anon_sym_PIPE_PIPE] = ACTIONS(549),
    [anon_sym_AMP_AMP] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(559),
    [anon_sym_LT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_STAR] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(549),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(549),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1165),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(944),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(551),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(549),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [anon_sym_QMARK] = ACTIONS(559),
    [anon_sym_PIPE] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(661),
    [anon_sym_STAR_STAR] = ACTIONS(549),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_yield_expression_token2] = ACTIONS(673),
    [aux_sym_binary_expression_token1] = ACTIONS(559),
    [anon_sym_QMARK_QMARK] = ACTIONS(549),
    [aux_sym_binary_expression_token2] = ACTIONS(559),
    [aux_sym_binary_expression_token3] = ACTIONS(559),
    [aux_sym_binary_expression_token4] = ACTIONS(559),
    [anon_sym_PIPE_PIPE] = ACTIONS(549),
    [anon_sym_AMP_AMP] = ACTIONS(549),
    [anon_sym_CARET] = ACTIONS(549),
    [anon_sym_EQ_EQ] = ACTIONS(559),
    [anon_sym_BANG_EQ] = ACTIONS(559),
    [anon_sym_LT_GT] = ACTIONS(549),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(549),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(559),
    [anon_sym_GT] = ACTIONS(559),
    [anon_sym_LT_EQ] = ACTIONS(559),
    [anon_sym_GT_EQ] = ACTIONS(549),
    [anon_sym_LT_EQ_GT] = ACTIONS(549),
    [anon_sym_LT_LT] = ACTIONS(559),
    [anon_sym_GT_GT] = ACTIONS(549),
    [anon_sym_DOT] = ACTIONS(559),
    [anon_sym_STAR] = ACTIONS(559),
    [anon_sym_SLASH] = ACTIONS(549),
    [anon_sym_PERCENT] = ACTIONS(549),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_cast_type] = STATE(2577),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_cast_type] = STATE(2596),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_cast_type] = STATE(2537),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_cast_type] = STATE(2653),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1281),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_cast_type] = STATE(2610),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_cast_type] = STATE(2527),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1281),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_cast_type] = STATE(2601),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_cast_type] = STATE(2593),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_cast_type] = STATE(2585),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_cast_type] = STATE(2527),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_cast_type] = STATE(2504),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(683),
    [aux_sym_cast_type_token2] = ACTIONS(685),
    [aux_sym_cast_type_token3] = ACTIONS(685),
    [aux_sym_cast_type_token4] = ACTIONS(685),
    [aux_sym_cast_type_token5] = ACTIONS(685),
    [aux_sym_cast_type_token6] = ACTIONS(685),
    [aux_sym_cast_type_token7] = ACTIONS(685),
    [aux_sym_cast_type_token8] = ACTIONS(685),
    [aux_sym_cast_type_token9] = ACTIONS(685),
    [aux_sym_cast_type_token10] = ACTIONS(685),
    [aux_sym_cast_type_token11] = ACTIONS(685),
    [aux_sym_cast_type_token12] = ACTIONS(685),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(649),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(649),
    [sym_scoped_property_access_expression] = STATE(649),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(1970),
    [sym__array_destructing_element] = STATE(1971),
    [sym_function_call_expression] = STATE(634),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(634),
    [sym_variable_name] = STATE(634),
    [sym_by_ref] = STATE(2306),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(1972),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym__array_destructing_repeat1] = STATE(1973),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(689),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(649),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(649),
    [sym_scoped_property_access_expression] = STATE(649),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(1970),
    [sym__array_destructing_element] = STATE(1971),
    [sym_function_call_expression] = STATE(634),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(634),
    [sym_variable_name] = STATE(634),
    [sym_by_ref] = STATE(2306),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2000),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym__array_destructing_repeat1] = STATE(1973),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(693),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(695),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(649),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(649),
    [sym_scoped_property_access_expression] = STATE(649),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(1970),
    [sym__array_destructing_element] = STATE(1971),
    [sym_function_call_expression] = STATE(634),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(634),
    [sym_variable_name] = STATE(634),
    [sym_by_ref] = STATE(2306),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2000),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym__array_destructing_repeat1] = STATE(1973),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(693),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(649),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(649),
    [sym_scoped_property_access_expression] = STATE(649),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(1970),
    [sym__array_destructing_element] = STATE(1971),
    [sym_function_call_expression] = STATE(634),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(634),
    [sym_variable_name] = STATE(634),
    [sym_by_ref] = STATE(2306),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2000),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym__array_destructing_repeat1] = STATE(1973),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(693),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(649),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(649),
    [sym_scoped_property_access_expression] = STATE(649),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(1970),
    [sym__array_destructing_element] = STATE(1971),
    [sym_function_call_expression] = STATE(634),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(634),
    [sym_variable_name] = STATE(634),
    [sym_by_ref] = STATE(2306),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2000),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym__array_destructing_repeat1] = STATE(1973),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(693),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(701),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_variadic_placeholder] = STATE(2674),
    [sym_argument] = STATE(2213),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(707),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(709),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_variadic_placeholder] = STATE(2664),
    [sym_argument] = STATE(2206),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(713),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_variadic_placeholder] = STATE(2696),
    [sym_argument] = STATE(2224),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(717),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_variadic_placeholder] = STATE(2686),
    [sym_argument] = STATE(1962),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(721),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_variadic_placeholder] = STATE(2538),
    [sym_argument] = STATE(2006),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(725),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_variadic_placeholder] = STATE(2719),
    [sym_argument] = STATE(2217),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(729),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_variadic_placeholder] = STATE(2622),
    [sym_argument] = STATE(2149),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_variadic_placeholder] = STATE(2654),
    [sym_argument] = STATE(2194),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(737),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(711),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(1972),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(743),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(1969),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(745),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(1994),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(749),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2000),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(753),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(755),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(757),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2047),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(763),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym_match_condition_list] = STATE(2518),
    [sym_match_conditional_expression] = STATE(2036),
    [sym_match_default_expression] = STATE(2036),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(765),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(767),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2047),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2047),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2047),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(777),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym_match_condition_list] = STATE(2518),
    [sym_match_conditional_expression] = STATE(1997),
    [sym_match_default_expression] = STATE(1997),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(781),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(783),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(791),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2047),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(795),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2047),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(799),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2047),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2047),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(811),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(813),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym_match_condition_list] = STATE(2518),
    [sym_match_conditional_expression] = STATE(2271),
    [sym_match_default_expression] = STATE(2271),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(815),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym_match_condition_list] = STATE(2518),
    [sym_match_conditional_expression] = STATE(2271),
    [sym_match_default_expression] = STATE(2271),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(817),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1326),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(652),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(652),
    [sym_nullsafe_member_access_expression] = STATE(652),
    [sym_scoped_property_access_expression] = STATE(652),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(1970),
    [sym__array_destructing_element] = STATE(2396),
    [sym_function_call_expression] = STATE(633),
    [sym_scoped_call_expression] = STATE(633),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(633),
    [sym_nullsafe_member_call_expression] = STATE(633),
    [sym_subscript_expression] = STATE(633),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(633),
    [sym_variable_name] = STATE(633),
    [sym_by_ref] = STATE(2400),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(819),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(821),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(823),
    [anon_sym_RBRACK] = ACTIONS(825),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1202),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2047),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(613),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym_match_condition_list] = STATE(2518),
    [sym_match_conditional_expression] = STATE(2271),
    [sym_match_default_expression] = STATE(2271),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(828),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1326),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(652),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(652),
    [sym_nullsafe_member_access_expression] = STATE(652),
    [sym_scoped_property_access_expression] = STATE(652),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(1970),
    [sym__array_destructing_element] = STATE(2396),
    [sym_function_call_expression] = STATE(633),
    [sym_scoped_call_expression] = STATE(633),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(633),
    [sym_nullsafe_member_call_expression] = STATE(633),
    [sym_subscript_expression] = STATE(633),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(633),
    [sym_variable_name] = STATE(633),
    [sym_by_ref] = STATE(2400),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(819),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(821),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(823),
    [anon_sym_RBRACK] = ACTIONS(830),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1326),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(652),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(652),
    [sym_nullsafe_member_access_expression] = STATE(652),
    [sym_scoped_property_access_expression] = STATE(652),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(1970),
    [sym__array_destructing_element] = STATE(2396),
    [sym_function_call_expression] = STATE(633),
    [sym_scoped_call_expression] = STATE(633),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(633),
    [sym_nullsafe_member_call_expression] = STATE(633),
    [sym_subscript_expression] = STATE(633),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(633),
    [sym_variable_name] = STATE(633),
    [sym_by_ref] = STATE(2400),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(819),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(821),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(823),
    [anon_sym_RBRACK] = ACTIONS(819),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1317),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(1954),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(607),
    [sym_scoped_call_expression] = STATE(607),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(607),
    [sym_nullsafe_member_call_expression] = STATE(607),
    [sym_subscript_expression] = STATE(607),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(607),
    [sym_variable_name] = STATE(607),
    [sym_by_ref] = STATE(1996),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym__list_destructing_repeat1] = STATE(1999),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(833),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(821),
    [anon_sym_RPAREN] = ACTIONS(835),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym_match_condition_list] = STATE(2518),
    [sym_match_conditional_expression] = STATE(2271),
    [sym_match_default_expression] = STATE(2271),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_RBRACE] = ACTIONS(837),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_reference_modifier] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_argument] = STATE(2336),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2436),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1551),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(703),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1194),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(938),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_by_ref] = STATE(938),
    [sym_yield_expression] = STATE(928),
    [sym_array_element_initializer] = STATE(2047),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_reference_modifier] = STATE(191),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1235),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2338),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1523),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(705),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1263),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(648),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(648),
    [sym_nullsafe_member_access_expression] = STATE(648),
    [sym_scoped_property_access_expression] = STATE(648),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2037),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(639),
    [sym_scoped_call_expression] = STATE(639),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(639),
    [sym_nullsafe_member_call_expression] = STATE(639),
    [sym_subscript_expression] = STATE(639),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(639),
    [sym_variable_name] = STATE(639),
    [sym_by_ref] = STATE(2457),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [anon_sym_COMMA] = ACTIONS(839),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(821),
    [anon_sym_RPAREN] = ACTIONS(839),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym_match_condition_list] = STATE(2518),
    [sym_match_conditional_expression] = STATE(2271),
    [sym_match_default_expression] = STATE(2271),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [aux_sym_match_default_expression_token1] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2649),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(841),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2724),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(843),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2651),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(845),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_foreach_pair] = STATE(2559),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1249),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2388),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_by_ref] = STATE(2559),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2547),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(847),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2611),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(849),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2644),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(851),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2711),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(853),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2655),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(855),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2570),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(857),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2569),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(859),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2657),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(861),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_foreach_pair] = STATE(2652),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1226),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2287),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_by_ref] = STATE(2652),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_foreach_pair] = STATE(2571),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1257),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2371),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_by_ref] = STATE(2571),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2550),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(863),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_foreach_pair] = STATE(2505),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1242),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2478),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_by_ref] = STATE(2505),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2679),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(865),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2503),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(867),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2508),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(869),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2510),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(871),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2718),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(873),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2703),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(875),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2705),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(877),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2556),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(879),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2708),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(881),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2675),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(883),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2563),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(885),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__expressions] = STATE(2661),
    [sym_sequence_expression] = STATE(2291),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1230),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(887),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1255),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(889),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(889),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym__expressions] = STATE(2428),
    [sym_sequence_expression] = STATE(2298),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1229),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2440),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1327),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2248),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_by_ref] = STATE(2716),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1120),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_by_ref] = STATE(1141),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(891),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1246),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_variadic_unpacking] = STATE(2252),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1553),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(655),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1190),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_by_ref] = STATE(974),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(893),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1220),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(895),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(895),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(897),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(897),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym__expressions] = STATE(2289),
    [sym_sequence_expression] = STATE(2298),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1029),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(653),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(653),
    [sym_nullsafe_member_access_expression] = STATE(653),
    [sym_scoped_property_access_expression] = STATE(653),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2046),
    [sym_function_call_expression] = STATE(644),
    [sym_scoped_call_expression] = STATE(644),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(644),
    [sym_nullsafe_member_call_expression] = STATE(644),
    [sym_subscript_expression] = STATE(644),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(644),
    [sym_variable_name] = STATE(644),
    [sym_by_ref] = STATE(2451),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(899),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(899),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1190),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_by_ref] = STATE(974),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1029),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_by_ref] = STATE(974),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(893),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1012),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_by_ref] = STATE(974),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(893),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1029),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_by_ref] = STATE(974),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(687),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1254),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(901),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(901),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1216),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(903),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(903),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_sequence_expression] = STATE(2485),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1319),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(905),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1270),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(907),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1287),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(909),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1179),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_RPAREN] = ACTIONS(911),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1330),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(913),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1265),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(915),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_sequence_expression] = STATE(2313),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1244),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1303),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(917),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1271),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(919),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_sequence_expression] = STATE(2313),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1215),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1300),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(921),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(999),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(923),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1164),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(925),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1038),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(927),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1222),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1258),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(931),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1110),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_AMP] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1222),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_EQ_GT] = ACTIONS(935),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1266),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [anon_sym_COLON] = ACTIONS(937),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1094),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1186),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1324),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1179),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1225),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1128),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1167),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1305),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1273),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1129),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1081),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1131),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1309),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1241),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1293),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(950),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1010),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1288),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1240),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1323),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1005),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1269),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1279),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(934),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1275),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1039),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1084),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(994),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1239),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1087),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1088),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1089),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1090),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1091),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1092),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1093),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(935),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1095),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1102),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1105),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1106),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1108),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1052),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1109),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1007),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1111),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1009),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1013),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1015),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1247),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1016),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1283),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1218),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1306),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1321),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1268),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1019),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1011),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(993),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1277),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1231),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1290),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1284),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1204),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1318),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1296),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1328),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1234),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1325),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1329),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1322),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1331),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1298),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1291),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1304),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1144),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1158),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(934),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(935),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1169),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1259),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1285),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1314),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1161),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1260),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1162),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1282),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1168),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1172),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1295),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1184),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1163),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(992),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1188),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1320),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1264),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1189),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1191),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(995),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1209),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1267),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1183),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(950),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1147),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1182),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(999),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1017),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(991),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1289),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1127),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1312),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1311),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1044),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1174),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1308),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1307),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1227),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1051),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1037),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1164),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1139),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1038),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(934),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1175),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(935),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(990),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1043),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1042),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1233),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1047),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1048),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1222),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1049),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1236),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1050),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1034),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1006),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1250),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1281),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(950),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1261),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(997),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1140),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1181),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1193),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1033),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1278),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1040),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1157),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1178),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1036),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1035),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1294),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1177),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1030),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1028),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1027),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1176),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1171),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1026),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1014),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1025),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1156),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1152),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(989),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1023),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1000),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1022),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1160),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1170),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_text_interpolation] = STATE(409),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1192),
    [sym__expression] = STATE(1238),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2575),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(632),
    [sym_scoped_call_expression] = STATE(632),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(632),
    [sym_nullsafe_member_call_expression] = STATE(632),
    [sym_subscript_expression] = STATE(632),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(632),
    [sym_variable_name] = STATE(632),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(671),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [aux_sym_require_expression_token1] = ACTIONS(679),
    [aux_sym_require_once_expression_token1] = ACTIONS(681),
    [sym_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_text_interpolation] = STATE(410),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1041),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_text_interpolation] = STATE(411),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(996),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_text_interpolation] = STATE(412),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1021),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_text_interpolation] = STATE(413),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1020),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_text_interpolation] = STATE(414),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1004),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_text_interpolation] = STATE(415),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1024),
    [sym__expression] = STATE(1018),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(620),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(620),
    [sym_nullsafe_member_access_expression] = STATE(620),
    [sym_scoped_property_access_expression] = STATE(620),
    [sym_list_literal] = STATE(2507),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(629),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [aux_sym_require_expression_token1] = ACTIONS(637),
    [aux_sym_require_once_expression_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_text_interpolation] = STATE(416),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(988),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_text_interpolation] = STATE(417),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(985),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_text_interpolation] = STATE(418),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(1001),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_text_interpolation] = STATE(419),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(986),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_text_interpolation] = STATE(420),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1062),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_text_interpolation] = STATE(421),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(998),
    [sym__expression] = STATE(987),
    [sym__unary_expression] = STATE(919),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(608),
    [sym_assignment_expression] = STATE(928),
    [sym_reference_assignment_expression] = STATE(928),
    [sym_conditional_expression] = STATE(928),
    [sym_augmented_assignment_expression] = STATE(928),
    [sym_member_access_expression] = STATE(608),
    [sym_nullsafe_member_access_expression] = STATE(608),
    [sym_scoped_property_access_expression] = STATE(608),
    [sym_list_literal] = STATE(2519),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym_yield_expression] = STATE(928),
    [sym_binary_expression] = STATE(928),
    [sym_include_expression] = STATE(928),
    [sym_include_once_expression] = STATE(928),
    [sym_require_expression] = STATE(928),
    [sym_require_once_expression] = STATE(928),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_yield_expression_token1] = ACTIONS(599),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [aux_sym_require_expression_token1] = ACTIONS(607),
    [aux_sym_require_once_expression_token1] = ACTIONS(609),
    [sym_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_text_interpolation] = STATE(422),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1074),
    [sym__expression] = STATE(1110),
    [sym__unary_expression] = STATE(1076),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(1107),
    [sym_reference_assignment_expression] = STATE(1107),
    [sym_conditional_expression] = STATE(1107),
    [sym_augmented_assignment_expression] = STATE(1107),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2676),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(614),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(614),
    [sym_variable_name] = STATE(614),
    [sym_yield_expression] = STATE(1107),
    [sym_binary_expression] = STATE(1107),
    [sym_include_expression] = STATE(1107),
    [sym_include_once_expression] = STATE(1107),
    [sym_require_expression] = STATE(1107),
    [sym_require_once_expression] = STATE(1107),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_yield_expression_token1] = ACTIONS(308),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [aux_sym_require_expression_token1] = ACTIONS(314),
    [aux_sym_require_once_expression_token1] = ACTIONS(316),
    [sym_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_text_interpolation] = STATE(423),
    [sym_catch_clause] = STATE(436),
    [sym_finally_clause] = STATE(436),
    [aux_sym_try_statement_repeat1] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(939),
    [sym_name] = ACTIONS(941),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(939),
    [aux_sym_function_static_declaration_token1] = ACTIONS(941),
    [aux_sym_global_declaration_token1] = ACTIONS(941),
    [aux_sym_namespace_definition_token1] = ACTIONS(941),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(941),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(941),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(941),
    [anon_sym_BSLASH] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [aux_sym_trait_declaration_token1] = ACTIONS(941),
    [aux_sym_interface_declaration_token1] = ACTIONS(941),
    [aux_sym_enum_declaration_token1] = ACTIONS(941),
    [aux_sym_enum_case_token1] = ACTIONS(941),
    [aux_sym_class_declaration_token1] = ACTIONS(941),
    [aux_sym_final_modifier_token1] = ACTIONS(941),
    [aux_sym_abstract_modifier_token1] = ACTIONS(941),
    [aux_sym_readonly_modifier_token1] = ACTIONS(941),
    [aux_sym_visibility_modifier_token1] = ACTIONS(941),
    [aux_sym_visibility_modifier_token2] = ACTIONS(941),
    [aux_sym_visibility_modifier_token3] = ACTIONS(941),
    [aux_sym__arrow_function_header_token1] = ACTIONS(941),
    [anon_sym_LPAREN] = ACTIONS(939),
    [aux_sym_cast_type_token1] = ACTIONS(941),
    [aux_sym_echo_statement_token1] = ACTIONS(941),
    [anon_sym_unset] = ACTIONS(941),
    [aux_sym_declare_statement_token1] = ACTIONS(941),
    [aux_sym_declare_statement_token2] = ACTIONS(941),
    [sym_float] = ACTIONS(941),
    [aux_sym_try_statement_token1] = ACTIONS(941),
    [aux_sym_catch_clause_token1] = ACTIONS(943),
    [aux_sym_finally_clause_token1] = ACTIONS(945),
    [aux_sym_goto_statement_token1] = ACTIONS(941),
    [aux_sym_continue_statement_token1] = ACTIONS(941),
    [aux_sym_break_statement_token1] = ACTIONS(941),
    [sym_integer] = ACTIONS(941),
    [aux_sym_return_statement_token1] = ACTIONS(941),
    [aux_sym_throw_expression_token1] = ACTIONS(941),
    [aux_sym_while_statement_token1] = ACTIONS(941),
    [aux_sym_while_statement_token2] = ACTIONS(941),
    [aux_sym_do_statement_token1] = ACTIONS(941),
    [aux_sym_for_statement_token1] = ACTIONS(941),
    [aux_sym_for_statement_token2] = ACTIONS(941),
    [aux_sym_foreach_statement_token1] = ACTIONS(941),
    [aux_sym_foreach_statement_token2] = ACTIONS(941),
    [aux_sym_if_statement_token1] = ACTIONS(941),
    [aux_sym_if_statement_token2] = ACTIONS(941),
    [aux_sym_else_if_clause_token1] = ACTIONS(941),
    [aux_sym_else_clause_token1] = ACTIONS(941),
    [aux_sym_match_expression_token1] = ACTIONS(941),
    [aux_sym_match_default_expression_token1] = ACTIONS(941),
    [aux_sym_switch_statement_token1] = ACTIONS(941),
    [aux_sym_switch_block_token1] = ACTIONS(941),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_TILDE] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(939),
    [aux_sym_clone_expression_token1] = ACTIONS(941),
    [aux_sym_print_intrinsic_token1] = ACTIONS(941),
    [aux_sym_object_creation_expression_token1] = ACTIONS(941),
    [anon_sym_PLUS_PLUS] = ACTIONS(939),
    [anon_sym_DASH_DASH] = ACTIONS(939),
    [aux_sym__list_destructing_token1] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(939),
    [anon_sym_self] = ACTIONS(941),
    [anon_sym_parent] = ACTIONS(941),
    [anon_sym_POUND_LBRACK] = ACTIONS(939),
    [anon_sym_SQUOTE] = ACTIONS(939),
    [aux_sym_encapsed_string_token1] = ACTIONS(939),
    [anon_sym_DQUOTE] = ACTIONS(939),
    [aux_sym_string_token1] = ACTIONS(939),
    [anon_sym_LT_LT_LT] = ACTIONS(939),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_boolean] = ACTIONS(941),
    [sym_null] = ACTIONS(941),
    [anon_sym_DOLLAR] = ACTIONS(939),
    [aux_sym_yield_expression_token1] = ACTIONS(941),
    [aux_sym_include_expression_token1] = ACTIONS(941),
    [aux_sym_include_once_expression_token1] = ACTIONS(941),
    [aux_sym_require_expression_token1] = ACTIONS(941),
    [aux_sym_require_once_expression_token1] = ACTIONS(941),
    [sym_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_text_interpolation] = STATE(424),
    [sym_catch_clause] = STATE(436),
    [sym_finally_clause] = STATE(436),
    [aux_sym_try_statement_repeat1] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(947),
    [sym_name] = ACTIONS(949),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_function_static_declaration_token1] = ACTIONS(949),
    [aux_sym_global_declaration_token1] = ACTIONS(949),
    [aux_sym_namespace_definition_token1] = ACTIONS(949),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(949),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(949),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(949),
    [anon_sym_BSLASH] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(947),
    [anon_sym_RBRACE] = ACTIONS(947),
    [aux_sym_trait_declaration_token1] = ACTIONS(949),
    [aux_sym_interface_declaration_token1] = ACTIONS(949),
    [aux_sym_enum_declaration_token1] = ACTIONS(949),
    [aux_sym_enum_case_token1] = ACTIONS(949),
    [aux_sym_class_declaration_token1] = ACTIONS(949),
    [aux_sym_final_modifier_token1] = ACTIONS(949),
    [aux_sym_abstract_modifier_token1] = ACTIONS(949),
    [aux_sym_readonly_modifier_token1] = ACTIONS(949),
    [aux_sym_visibility_modifier_token1] = ACTIONS(949),
    [aux_sym_visibility_modifier_token2] = ACTIONS(949),
    [aux_sym_visibility_modifier_token3] = ACTIONS(949),
    [aux_sym__arrow_function_header_token1] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_cast_type_token1] = ACTIONS(949),
    [aux_sym_echo_statement_token1] = ACTIONS(949),
    [anon_sym_unset] = ACTIONS(949),
    [aux_sym_declare_statement_token1] = ACTIONS(949),
    [aux_sym_declare_statement_token2] = ACTIONS(949),
    [sym_float] = ACTIONS(949),
    [aux_sym_try_statement_token1] = ACTIONS(949),
    [aux_sym_catch_clause_token1] = ACTIONS(951),
    [aux_sym_finally_clause_token1] = ACTIONS(954),
    [aux_sym_goto_statement_token1] = ACTIONS(949),
    [aux_sym_continue_statement_token1] = ACTIONS(949),
    [aux_sym_break_statement_token1] = ACTIONS(949),
    [sym_integer] = ACTIONS(949),
    [aux_sym_return_statement_token1] = ACTIONS(949),
    [aux_sym_throw_expression_token1] = ACTIONS(949),
    [aux_sym_while_statement_token1] = ACTIONS(949),
    [aux_sym_while_statement_token2] = ACTIONS(949),
    [aux_sym_do_statement_token1] = ACTIONS(949),
    [aux_sym_for_statement_token1] = ACTIONS(949),
    [aux_sym_for_statement_token2] = ACTIONS(949),
    [aux_sym_foreach_statement_token1] = ACTIONS(949),
    [aux_sym_foreach_statement_token2] = ACTIONS(949),
    [aux_sym_if_statement_token1] = ACTIONS(949),
    [aux_sym_if_statement_token2] = ACTIONS(949),
    [aux_sym_else_if_clause_token1] = ACTIONS(949),
    [aux_sym_else_clause_token1] = ACTIONS(949),
    [aux_sym_match_expression_token1] = ACTIONS(949),
    [aux_sym_match_default_expression_token1] = ACTIONS(949),
    [aux_sym_switch_statement_token1] = ACTIONS(949),
    [aux_sym_switch_block_token1] = ACTIONS(949),
    [anon_sym_AT] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(947),
    [anon_sym_BANG] = ACTIONS(947),
    [aux_sym_clone_expression_token1] = ACTIONS(949),
    [aux_sym_print_intrinsic_token1] = ACTIONS(949),
    [aux_sym_object_creation_expression_token1] = ACTIONS(949),
    [anon_sym_PLUS_PLUS] = ACTIONS(947),
    [anon_sym_DASH_DASH] = ACTIONS(947),
    [aux_sym__list_destructing_token1] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(947),
    [anon_sym_self] = ACTIONS(949),
    [anon_sym_parent] = ACTIONS(949),
    [anon_sym_POUND_LBRACK] = ACTIONS(947),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [aux_sym_encapsed_string_token1] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [aux_sym_string_token1] = ACTIONS(947),
    [anon_sym_LT_LT_LT] = ACTIONS(947),
    [anon_sym_BQUOTE] = ACTIONS(947),
    [sym_boolean] = ACTIONS(949),
    [sym_null] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(947),
    [aux_sym_yield_expression_token1] = ACTIONS(949),
    [aux_sym_include_expression_token1] = ACTIONS(949),
    [aux_sym_include_once_expression_token1] = ACTIONS(949),
    [aux_sym_require_expression_token1] = ACTIONS(949),
    [aux_sym_require_once_expression_token1] = ACTIONS(949),
    [sym_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_text_interpolation] = STATE(425),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1159),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1159),
    [sym__primary_expression] = STATE(1159),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(651),
    [sym_assignment_expression] = STATE(953),
    [sym_augmented_assignment_expression] = STATE(953),
    [sym_member_access_expression] = STATE(651),
    [sym_nullsafe_member_access_expression] = STATE(651),
    [sym_scoped_property_access_expression] = STATE(651),
    [sym_list_literal] = STATE(2579),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(625),
    [sym_scoped_call_expression] = STATE(625),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(625),
    [sym_nullsafe_member_call_expression] = STATE(625),
    [sym_subscript_expression] = STATE(625),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(625),
    [sym_variable_name] = STATE(625),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_text_interpolation] = STATE(426),
    [sym_else_if_clause] = STATE(500),
    [sym_else_clause] = STATE(498),
    [aux_sym_if_statement_repeat1] = STATE(428),
    [ts_builtin_sym_end] = ACTIONS(957),
    [sym_name] = ACTIONS(959),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(957),
    [aux_sym_function_static_declaration_token1] = ACTIONS(959),
    [aux_sym_global_declaration_token1] = ACTIONS(959),
    [aux_sym_namespace_definition_token1] = ACTIONS(959),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(959),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(959),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(959),
    [anon_sym_BSLASH] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_RBRACE] = ACTIONS(957),
    [aux_sym_trait_declaration_token1] = ACTIONS(959),
    [aux_sym_interface_declaration_token1] = ACTIONS(959),
    [aux_sym_enum_declaration_token1] = ACTIONS(959),
    [aux_sym_enum_case_token1] = ACTIONS(959),
    [aux_sym_class_declaration_token1] = ACTIONS(959),
    [aux_sym_final_modifier_token1] = ACTIONS(959),
    [aux_sym_abstract_modifier_token1] = ACTIONS(959),
    [aux_sym_readonly_modifier_token1] = ACTIONS(959),
    [aux_sym_visibility_modifier_token1] = ACTIONS(959),
    [aux_sym_visibility_modifier_token2] = ACTIONS(959),
    [aux_sym_visibility_modifier_token3] = ACTIONS(959),
    [aux_sym__arrow_function_header_token1] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(957),
    [aux_sym_cast_type_token1] = ACTIONS(959),
    [aux_sym_echo_statement_token1] = ACTIONS(959),
    [anon_sym_unset] = ACTIONS(959),
    [aux_sym_declare_statement_token1] = ACTIONS(959),
    [aux_sym_declare_statement_token2] = ACTIONS(959),
    [sym_float] = ACTIONS(959),
    [aux_sym_try_statement_token1] = ACTIONS(959),
    [aux_sym_goto_statement_token1] = ACTIONS(959),
    [aux_sym_continue_statement_token1] = ACTIONS(959),
    [aux_sym_break_statement_token1] = ACTIONS(959),
    [sym_integer] = ACTIONS(959),
    [aux_sym_return_statement_token1] = ACTIONS(959),
    [aux_sym_throw_expression_token1] = ACTIONS(959),
    [aux_sym_while_statement_token1] = ACTIONS(959),
    [aux_sym_while_statement_token2] = ACTIONS(959),
    [aux_sym_do_statement_token1] = ACTIONS(959),
    [aux_sym_for_statement_token1] = ACTIONS(959),
    [aux_sym_for_statement_token2] = ACTIONS(959),
    [aux_sym_foreach_statement_token1] = ACTIONS(959),
    [aux_sym_foreach_statement_token2] = ACTIONS(959),
    [aux_sym_if_statement_token1] = ACTIONS(959),
    [aux_sym_if_statement_token2] = ACTIONS(959),
    [aux_sym_else_if_clause_token1] = ACTIONS(961),
    [aux_sym_else_clause_token1] = ACTIONS(963),
    [aux_sym_match_expression_token1] = ACTIONS(959),
    [aux_sym_match_default_expression_token1] = ACTIONS(959),
    [aux_sym_switch_statement_token1] = ACTIONS(959),
    [aux_sym_switch_block_token1] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(957),
    [anon_sym_PLUS] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(959),
    [anon_sym_TILDE] = ACTIONS(957),
    [anon_sym_BANG] = ACTIONS(957),
    [aux_sym_clone_expression_token1] = ACTIONS(959),
    [aux_sym_print_intrinsic_token1] = ACTIONS(959),
    [aux_sym_object_creation_expression_token1] = ACTIONS(959),
    [anon_sym_PLUS_PLUS] = ACTIONS(957),
    [anon_sym_DASH_DASH] = ACTIONS(957),
    [aux_sym__list_destructing_token1] = ACTIONS(959),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_self] = ACTIONS(959),
    [anon_sym_parent] = ACTIONS(959),
    [anon_sym_POUND_LBRACK] = ACTIONS(957),
    [anon_sym_SQUOTE] = ACTIONS(957),
    [aux_sym_encapsed_string_token1] = ACTIONS(957),
    [anon_sym_DQUOTE] = ACTIONS(957),
    [aux_sym_string_token1] = ACTIONS(957),
    [anon_sym_LT_LT_LT] = ACTIONS(957),
    [anon_sym_BQUOTE] = ACTIONS(957),
    [sym_boolean] = ACTIONS(959),
    [sym_null] = ACTIONS(959),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [aux_sym_yield_expression_token1] = ACTIONS(959),
    [aux_sym_include_expression_token1] = ACTIONS(959),
    [aux_sym_include_once_expression_token1] = ACTIONS(959),
    [aux_sym_require_expression_token1] = ACTIONS(959),
    [aux_sym_require_once_expression_token1] = ACTIONS(959),
    [sym_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_text_interpolation] = STATE(427),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1032),
    [sym_unary_op_expression] = STATE(1032),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1032),
    [sym__primary_expression] = STATE(1032),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(623),
    [sym_assignment_expression] = STATE(953),
    [sym_augmented_assignment_expression] = STATE(953),
    [sym_member_access_expression] = STATE(623),
    [sym_nullsafe_member_access_expression] = STATE(623),
    [sym_scoped_property_access_expression] = STATE(623),
    [sym_list_literal] = STATE(2501),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(605),
    [sym_scoped_call_expression] = STATE(605),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(605),
    [sym_nullsafe_member_call_expression] = STATE(605),
    [sym_subscript_expression] = STATE(605),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(605),
    [sym_variable_name] = STATE(605),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_text_interpolation] = STATE(428),
    [sym_else_if_clause] = STATE(500),
    [sym_else_clause] = STATE(556),
    [aux_sym_if_statement_repeat1] = STATE(441),
    [ts_builtin_sym_end] = ACTIONS(965),
    [sym_name] = ACTIONS(967),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(965),
    [aux_sym_function_static_declaration_token1] = ACTIONS(967),
    [aux_sym_global_declaration_token1] = ACTIONS(967),
    [aux_sym_namespace_definition_token1] = ACTIONS(967),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(967),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(967),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(967),
    [anon_sym_BSLASH] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(965),
    [anon_sym_RBRACE] = ACTIONS(965),
    [aux_sym_trait_declaration_token1] = ACTIONS(967),
    [aux_sym_interface_declaration_token1] = ACTIONS(967),
    [aux_sym_enum_declaration_token1] = ACTIONS(967),
    [aux_sym_enum_case_token1] = ACTIONS(967),
    [aux_sym_class_declaration_token1] = ACTIONS(967),
    [aux_sym_final_modifier_token1] = ACTIONS(967),
    [aux_sym_abstract_modifier_token1] = ACTIONS(967),
    [aux_sym_readonly_modifier_token1] = ACTIONS(967),
    [aux_sym_visibility_modifier_token1] = ACTIONS(967),
    [aux_sym_visibility_modifier_token2] = ACTIONS(967),
    [aux_sym_visibility_modifier_token3] = ACTIONS(967),
    [aux_sym__arrow_function_header_token1] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(965),
    [aux_sym_cast_type_token1] = ACTIONS(967),
    [aux_sym_echo_statement_token1] = ACTIONS(967),
    [anon_sym_unset] = ACTIONS(967),
    [aux_sym_declare_statement_token1] = ACTIONS(967),
    [aux_sym_declare_statement_token2] = ACTIONS(967),
    [sym_float] = ACTIONS(967),
    [aux_sym_try_statement_token1] = ACTIONS(967),
    [aux_sym_goto_statement_token1] = ACTIONS(967),
    [aux_sym_continue_statement_token1] = ACTIONS(967),
    [aux_sym_break_statement_token1] = ACTIONS(967),
    [sym_integer] = ACTIONS(967),
    [aux_sym_return_statement_token1] = ACTIONS(967),
    [aux_sym_throw_expression_token1] = ACTIONS(967),
    [aux_sym_while_statement_token1] = ACTIONS(967),
    [aux_sym_while_statement_token2] = ACTIONS(967),
    [aux_sym_do_statement_token1] = ACTIONS(967),
    [aux_sym_for_statement_token1] = ACTIONS(967),
    [aux_sym_for_statement_token2] = ACTIONS(967),
    [aux_sym_foreach_statement_token1] = ACTIONS(967),
    [aux_sym_foreach_statement_token2] = ACTIONS(967),
    [aux_sym_if_statement_token1] = ACTIONS(967),
    [aux_sym_if_statement_token2] = ACTIONS(967),
    [aux_sym_else_if_clause_token1] = ACTIONS(961),
    [aux_sym_else_clause_token1] = ACTIONS(963),
    [aux_sym_match_expression_token1] = ACTIONS(967),
    [aux_sym_match_default_expression_token1] = ACTIONS(967),
    [aux_sym_switch_statement_token1] = ACTIONS(967),
    [aux_sym_switch_block_token1] = ACTIONS(967),
    [anon_sym_AT] = ACTIONS(965),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(965),
    [anon_sym_BANG] = ACTIONS(965),
    [aux_sym_clone_expression_token1] = ACTIONS(967),
    [aux_sym_print_intrinsic_token1] = ACTIONS(967),
    [aux_sym_object_creation_expression_token1] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(965),
    [aux_sym__list_destructing_token1] = ACTIONS(967),
    [anon_sym_LBRACK] = ACTIONS(965),
    [anon_sym_self] = ACTIONS(967),
    [anon_sym_parent] = ACTIONS(967),
    [anon_sym_POUND_LBRACK] = ACTIONS(965),
    [anon_sym_SQUOTE] = ACTIONS(965),
    [aux_sym_encapsed_string_token1] = ACTIONS(965),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [aux_sym_string_token1] = ACTIONS(965),
    [anon_sym_LT_LT_LT] = ACTIONS(965),
    [anon_sym_BQUOTE] = ACTIONS(965),
    [sym_boolean] = ACTIONS(967),
    [sym_null] = ACTIONS(967),
    [anon_sym_DOLLAR] = ACTIONS(965),
    [aux_sym_yield_expression_token1] = ACTIONS(967),
    [aux_sym_include_expression_token1] = ACTIONS(967),
    [aux_sym_include_once_expression_token1] = ACTIONS(967),
    [aux_sym_require_expression_token1] = ACTIONS(967),
    [aux_sym_require_once_expression_token1] = ACTIONS(967),
    [sym_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_text_interpolation] = STATE(429),
    [sym_else_if_clause] = STATE(500),
    [sym_else_clause] = STATE(498),
    [aux_sym_if_statement_repeat1] = STATE(431),
    [ts_builtin_sym_end] = ACTIONS(957),
    [sym_name] = ACTIONS(959),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(957),
    [aux_sym_function_static_declaration_token1] = ACTIONS(959),
    [aux_sym_global_declaration_token1] = ACTIONS(959),
    [aux_sym_namespace_definition_token1] = ACTIONS(959),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(959),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(959),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(959),
    [anon_sym_BSLASH] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_RBRACE] = ACTIONS(957),
    [aux_sym_trait_declaration_token1] = ACTIONS(959),
    [aux_sym_interface_declaration_token1] = ACTIONS(959),
    [aux_sym_enum_declaration_token1] = ACTIONS(959),
    [aux_sym_enum_case_token1] = ACTIONS(959),
    [aux_sym_class_declaration_token1] = ACTIONS(959),
    [aux_sym_final_modifier_token1] = ACTIONS(959),
    [aux_sym_abstract_modifier_token1] = ACTIONS(959),
    [aux_sym_readonly_modifier_token1] = ACTIONS(959),
    [aux_sym_visibility_modifier_token1] = ACTIONS(959),
    [aux_sym_visibility_modifier_token2] = ACTIONS(959),
    [aux_sym_visibility_modifier_token3] = ACTIONS(959),
    [aux_sym__arrow_function_header_token1] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(957),
    [aux_sym_cast_type_token1] = ACTIONS(959),
    [aux_sym_echo_statement_token1] = ACTIONS(959),
    [anon_sym_unset] = ACTIONS(959),
    [aux_sym_declare_statement_token1] = ACTIONS(959),
    [aux_sym_declare_statement_token2] = ACTIONS(959),
    [sym_float] = ACTIONS(959),
    [aux_sym_try_statement_token1] = ACTIONS(959),
    [aux_sym_goto_statement_token1] = ACTIONS(959),
    [aux_sym_continue_statement_token1] = ACTIONS(959),
    [aux_sym_break_statement_token1] = ACTIONS(959),
    [sym_integer] = ACTIONS(959),
    [aux_sym_return_statement_token1] = ACTIONS(959),
    [aux_sym_throw_expression_token1] = ACTIONS(959),
    [aux_sym_while_statement_token1] = ACTIONS(959),
    [aux_sym_while_statement_token2] = ACTIONS(959),
    [aux_sym_do_statement_token1] = ACTIONS(959),
    [aux_sym_for_statement_token1] = ACTIONS(959),
    [aux_sym_for_statement_token2] = ACTIONS(959),
    [aux_sym_foreach_statement_token1] = ACTIONS(959),
    [aux_sym_foreach_statement_token2] = ACTIONS(959),
    [aux_sym_if_statement_token1] = ACTIONS(959),
    [aux_sym_if_statement_token2] = ACTIONS(959),
    [aux_sym_else_if_clause_token1] = ACTIONS(969),
    [aux_sym_else_clause_token1] = ACTIONS(972),
    [aux_sym_match_expression_token1] = ACTIONS(959),
    [aux_sym_match_default_expression_token1] = ACTIONS(959),
    [aux_sym_switch_statement_token1] = ACTIONS(959),
    [aux_sym_switch_block_token1] = ACTIONS(959),
    [anon_sym_AT] = ACTIONS(957),
    [anon_sym_PLUS] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(959),
    [anon_sym_TILDE] = ACTIONS(957),
    [anon_sym_BANG] = ACTIONS(957),
    [aux_sym_clone_expression_token1] = ACTIONS(959),
    [aux_sym_print_intrinsic_token1] = ACTIONS(959),
    [aux_sym_object_creation_expression_token1] = ACTIONS(959),
    [anon_sym_PLUS_PLUS] = ACTIONS(957),
    [anon_sym_DASH_DASH] = ACTIONS(957),
    [aux_sym__list_destructing_token1] = ACTIONS(959),
    [anon_sym_LBRACK] = ACTIONS(957),
    [anon_sym_self] = ACTIONS(959),
    [anon_sym_parent] = ACTIONS(959),
    [anon_sym_POUND_LBRACK] = ACTIONS(957),
    [anon_sym_SQUOTE] = ACTIONS(957),
    [aux_sym_encapsed_string_token1] = ACTIONS(957),
    [anon_sym_DQUOTE] = ACTIONS(957),
    [aux_sym_string_token1] = ACTIONS(957),
    [anon_sym_LT_LT_LT] = ACTIONS(957),
    [anon_sym_BQUOTE] = ACTIONS(957),
    [sym_boolean] = ACTIONS(959),
    [sym_null] = ACTIONS(959),
    [anon_sym_DOLLAR] = ACTIONS(957),
    [aux_sym_yield_expression_token1] = ACTIONS(959),
    [aux_sym_include_expression_token1] = ACTIONS(959),
    [aux_sym_include_once_expression_token1] = ACTIONS(959),
    [aux_sym_require_expression_token1] = ACTIONS(959),
    [aux_sym_require_once_expression_token1] = ACTIONS(959),
    [sym_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_text_interpolation] = STATE(430),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(1003),
    [sym_unary_op_expression] = STATE(1003),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1003),
    [sym__primary_expression] = STATE(1003),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(609),
    [sym_assignment_expression] = STATE(953),
    [sym_augmented_assignment_expression] = STATE(953),
    [sym_member_access_expression] = STATE(609),
    [sym_nullsafe_member_access_expression] = STATE(609),
    [sym_scoped_property_access_expression] = STATE(609),
    [sym_list_literal] = STATE(2683),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [sym_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_text_interpolation] = STATE(431),
    [sym_else_if_clause] = STATE(500),
    [sym_else_clause] = STATE(556),
    [aux_sym_if_statement_repeat1] = STATE(441),
    [ts_builtin_sym_end] = ACTIONS(965),
    [sym_name] = ACTIONS(967),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(965),
    [aux_sym_function_static_declaration_token1] = ACTIONS(967),
    [aux_sym_global_declaration_token1] = ACTIONS(967),
    [aux_sym_namespace_definition_token1] = ACTIONS(967),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(967),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(967),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(967),
    [anon_sym_BSLASH] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(965),
    [anon_sym_RBRACE] = ACTIONS(965),
    [aux_sym_trait_declaration_token1] = ACTIONS(967),
    [aux_sym_interface_declaration_token1] = ACTIONS(967),
    [aux_sym_enum_declaration_token1] = ACTIONS(967),
    [aux_sym_enum_case_token1] = ACTIONS(967),
    [aux_sym_class_declaration_token1] = ACTIONS(967),
    [aux_sym_final_modifier_token1] = ACTIONS(967),
    [aux_sym_abstract_modifier_token1] = ACTIONS(967),
    [aux_sym_readonly_modifier_token1] = ACTIONS(967),
    [aux_sym_visibility_modifier_token1] = ACTIONS(967),
    [aux_sym_visibility_modifier_token2] = ACTIONS(967),
    [aux_sym_visibility_modifier_token3] = ACTIONS(967),
    [aux_sym__arrow_function_header_token1] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(965),
    [aux_sym_cast_type_token1] = ACTIONS(967),
    [aux_sym_echo_statement_token1] = ACTIONS(967),
    [anon_sym_unset] = ACTIONS(967),
    [aux_sym_declare_statement_token1] = ACTIONS(967),
    [aux_sym_declare_statement_token2] = ACTIONS(967),
    [sym_float] = ACTIONS(967),
    [aux_sym_try_statement_token1] = ACTIONS(967),
    [aux_sym_goto_statement_token1] = ACTIONS(967),
    [aux_sym_continue_statement_token1] = ACTIONS(967),
    [aux_sym_break_statement_token1] = ACTIONS(967),
    [sym_integer] = ACTIONS(967),
    [aux_sym_return_statement_token1] = ACTIONS(967),
    [aux_sym_throw_expression_token1] = ACTIONS(967),
    [aux_sym_while_statement_token1] = ACTIONS(967),
    [aux_sym_while_statement_token2] = ACTIONS(967),
    [aux_sym_do_statement_token1] = ACTIONS(967),
    [aux_sym_for_statement_token1] = ACTIONS(967),
    [aux_sym_for_statement_token2] = ACTIONS(967),
    [aux_sym_foreach_statement_token1] = ACTIONS(967),
    [aux_sym_foreach_statement_token2] = ACTIONS(967),
    [aux_sym_if_statement_token1] = ACTIONS(967),
    [aux_sym_if_statement_token2] = ACTIONS(967),
    [aux_sym_else_if_clause_token1] = ACTIONS(975),
    [aux_sym_else_clause_token1] = ACTIONS(978),
    [aux_sym_match_expression_token1] = ACTIONS(967),
    [aux_sym_match_default_expression_token1] = ACTIONS(967),
    [aux_sym_switch_statement_token1] = ACTIONS(967),
    [aux_sym_switch_block_token1] = ACTIONS(967),
    [anon_sym_AT] = ACTIONS(965),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(965),
    [anon_sym_BANG] = ACTIONS(965),
    [aux_sym_clone_expression_token1] = ACTIONS(967),
    [aux_sym_print_intrinsic_token1] = ACTIONS(967),
    [aux_sym_object_creation_expression_token1] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(965),
    [anon_sym_DASH_DASH] = ACTIONS(965),
    [aux_sym__list_destructing_token1] = ACTIONS(967),
    [anon_sym_LBRACK] = ACTIONS(965),
    [anon_sym_self] = ACTIONS(967),
    [anon_sym_parent] = ACTIONS(967),
    [anon_sym_POUND_LBRACK] = ACTIONS(965),
    [anon_sym_SQUOTE] = ACTIONS(965),
    [aux_sym_encapsed_string_token1] = ACTIONS(965),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [aux_sym_string_token1] = ACTIONS(965),
    [anon_sym_LT_LT_LT] = ACTIONS(965),
    [anon_sym_BQUOTE] = ACTIONS(965),
    [sym_boolean] = ACTIONS(967),
    [sym_null] = ACTIONS(967),
    [anon_sym_DOLLAR] = ACTIONS(965),
    [aux_sym_yield_expression_token1] = ACTIONS(967),
    [aux_sym_include_expression_token1] = ACTIONS(967),
    [aux_sym_include_once_expression_token1] = ACTIONS(967),
    [aux_sym_require_expression_token1] = ACTIONS(967),
    [aux_sym_require_once_expression_token1] = ACTIONS(967),
    [sym_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_text_interpolation] = STATE(432),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(1085),
    [sym_unary_op_expression] = STATE(1085),
    [sym_exponentiation_expression] = STATE(1086),
    [sym_clone_expression] = STATE(1085),
    [sym__primary_expression] = STATE(1085),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1086),
    [sym_cast_variable] = STATE(642),
    [sym_assignment_expression] = STATE(1086),
    [sym_augmented_assignment_expression] = STATE(1086),
    [sym_member_access_expression] = STATE(642),
    [sym_nullsafe_member_access_expression] = STATE(642),
    [sym_scoped_property_access_expression] = STATE(642),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2260),
    [sym__array_destructing] = STATE(2260),
    [sym_function_call_expression] = STATE(615),
    [sym_scoped_call_expression] = STATE(615),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(615),
    [sym_nullsafe_member_call_expression] = STATE(615),
    [sym_subscript_expression] = STATE(615),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(615),
    [sym_variable_name] = STATE(615),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(272),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [aux_sym__list_destructing_token1] = ACTIONS(290),
    [anon_sym_LBRACK] = ACTIONS(292),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_text_interpolation] = STATE(433),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(2568),
    [sym__unary_expression] = STATE(964),
    [sym_unary_op_expression] = STATE(1187),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1187),
    [sym__primary_expression] = STATE(1187),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_function_call_expression] = STATE(584),
    [sym_scoped_call_expression] = STATE(584),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(584),
    [sym_nullsafe_member_call_expression] = STATE(584),
    [sym_subscript_expression] = STATE(584),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(584),
    [sym_variable_name] = STATE(584),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_BANG] = ACTIONS(663),
    [aux_sym_clone_expression_token1] = ACTIONS(665),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(675),
    [aux_sym_include_once_expression_token1] = ACTIONS(677),
    [sym_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_text_interpolation] = STATE(434),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(2633),
    [sym__unary_expression] = STATE(964),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_function_call_expression] = STATE(584),
    [sym_scoped_call_expression] = STATE(584),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(584),
    [sym_nullsafe_member_call_expression] = STATE(584),
    [sym_subscript_expression] = STATE(584),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(584),
    [sym_variable_name] = STATE(584),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(561),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [sym_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_text_interpolation] = STATE(435),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(2513),
    [sym__unary_expression] = STATE(964),
    [sym_unary_op_expression] = STATE(1031),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1031),
    [sym__primary_expression] = STATE(1031),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(603),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_function_call_expression] = STATE(584),
    [sym_scoped_call_expression] = STATE(584),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(584),
    [sym_nullsafe_member_call_expression] = STATE(584),
    [sym_subscript_expression] = STATE(584),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(584),
    [sym_variable_name] = STATE(584),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(619),
    [anon_sym_DASH] = ACTIONS(619),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(633),
    [aux_sym_include_once_expression_token1] = ACTIONS(635),
    [sym_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_text_interpolation] = STATE(436),
    [ts_builtin_sym_end] = ACTIONS(983),
    [sym_name] = ACTIONS(985),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(983),
    [aux_sym_function_static_declaration_token1] = ACTIONS(985),
    [aux_sym_global_declaration_token1] = ACTIONS(985),
    [aux_sym_namespace_definition_token1] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_RBRACE] = ACTIONS(983),
    [aux_sym_trait_declaration_token1] = ACTIONS(985),
    [aux_sym_interface_declaration_token1] = ACTIONS(985),
    [aux_sym_enum_declaration_token1] = ACTIONS(985),
    [aux_sym_enum_case_token1] = ACTIONS(985),
    [aux_sym_class_declaration_token1] = ACTIONS(985),
    [aux_sym_final_modifier_token1] = ACTIONS(985),
    [aux_sym_abstract_modifier_token1] = ACTIONS(985),
    [aux_sym_readonly_modifier_token1] = ACTIONS(985),
    [aux_sym_visibility_modifier_token1] = ACTIONS(985),
    [aux_sym_visibility_modifier_token2] = ACTIONS(985),
    [aux_sym_visibility_modifier_token3] = ACTIONS(985),
    [aux_sym__arrow_function_header_token1] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(983),
    [aux_sym_cast_type_token1] = ACTIONS(985),
    [aux_sym_echo_statement_token1] = ACTIONS(985),
    [anon_sym_unset] = ACTIONS(985),
    [aux_sym_declare_statement_token1] = ACTIONS(985),
    [aux_sym_declare_statement_token2] = ACTIONS(985),
    [sym_float] = ACTIONS(985),
    [aux_sym_try_statement_token1] = ACTIONS(985),
    [aux_sym_catch_clause_token1] = ACTIONS(985),
    [aux_sym_finally_clause_token1] = ACTIONS(985),
    [aux_sym_goto_statement_token1] = ACTIONS(985),
    [aux_sym_continue_statement_token1] = ACTIONS(985),
    [aux_sym_break_statement_token1] = ACTIONS(985),
    [sym_integer] = ACTIONS(985),
    [aux_sym_return_statement_token1] = ACTIONS(985),
    [aux_sym_throw_expression_token1] = ACTIONS(985),
    [aux_sym_while_statement_token1] = ACTIONS(985),
    [aux_sym_while_statement_token2] = ACTIONS(985),
    [aux_sym_do_statement_token1] = ACTIONS(985),
    [aux_sym_for_statement_token1] = ACTIONS(985),
    [aux_sym_for_statement_token2] = ACTIONS(985),
    [aux_sym_foreach_statement_token1] = ACTIONS(985),
    [aux_sym_foreach_statement_token2] = ACTIONS(985),
    [aux_sym_if_statement_token1] = ACTIONS(985),
    [aux_sym_if_statement_token2] = ACTIONS(985),
    [aux_sym_else_if_clause_token1] = ACTIONS(985),
    [aux_sym_else_clause_token1] = ACTIONS(985),
    [aux_sym_match_expression_token1] = ACTIONS(985),
    [aux_sym_match_default_expression_token1] = ACTIONS(985),
    [aux_sym_switch_statement_token1] = ACTIONS(985),
    [aux_sym_switch_block_token1] = ACTIONS(985),
    [anon_sym_AT] = ACTIONS(983),
    [anon_sym_PLUS] = ACTIONS(985),
    [anon_sym_DASH] = ACTIONS(985),
    [anon_sym_TILDE] = ACTIONS(983),
    [anon_sym_BANG] = ACTIONS(983),
    [aux_sym_clone_expression_token1] = ACTIONS(985),
    [aux_sym_print_intrinsic_token1] = ACTIONS(985),
    [aux_sym_object_creation_expression_token1] = ACTIONS(985),
    [anon_sym_PLUS_PLUS] = ACTIONS(983),
    [anon_sym_DASH_DASH] = ACTIONS(983),
    [aux_sym__list_destructing_token1] = ACTIONS(985),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(985),
    [anon_sym_parent] = ACTIONS(985),
    [anon_sym_POUND_LBRACK] = ACTIONS(983),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [aux_sym_encapsed_string_token1] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(983),
    [aux_sym_string_token1] = ACTIONS(983),
    [anon_sym_LT_LT_LT] = ACTIONS(983),
    [anon_sym_BQUOTE] = ACTIONS(983),
    [sym_boolean] = ACTIONS(985),
    [sym_null] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(983),
    [aux_sym_yield_expression_token1] = ACTIONS(985),
    [aux_sym_include_expression_token1] = ACTIONS(985),
    [aux_sym_include_once_expression_token1] = ACTIONS(985),
    [aux_sym_require_expression_token1] = ACTIONS(985),
    [aux_sym_require_once_expression_token1] = ACTIONS(985),
    [sym_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_text_interpolation] = STATE(437),
    [sym_qualified_name] = STATE(850),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym_match_expression] = STATE(2499),
    [sym__unary_expression] = STATE(1145),
    [sym_unary_op_expression] = STATE(1082),
    [sym_exponentiation_expression] = STATE(1083),
    [sym_clone_expression] = STATE(1082),
    [sym__primary_expression] = STATE(1082),
    [sym_parenthesized_expression] = STATE(857),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_expression] = STATE(1083),
    [sym_cast_variable] = STATE(646),
    [sym_member_access_expression] = STATE(646),
    [sym_nullsafe_member_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(646),
    [sym_function_call_expression] = STATE(617),
    [sym_scoped_call_expression] = STATE(617),
    [sym__scope_resolution_qualifier] = STATE(2673),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(617),
    [sym_nullsafe_member_call_expression] = STATE(617),
    [sym_subscript_expression] = STATE(617),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(857),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(857),
    [sym_dynamic_variable_name] = STATE(617),
    [sym_variable_name] = STATE(617),
    [sym_include_expression] = STATE(1145),
    [sym_include_once_expression] = STATE(1145),
    [sym__reserved_identifier] = STATE(1621),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(641),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(238),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(276),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(280),
    [anon_sym_BANG] = ACTIONS(280),
    [aux_sym_clone_expression_token1] = ACTIONS(282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [aux_sym_include_expression_token1] = ACTIONS(310),
    [aux_sym_include_once_expression_token1] = ACTIONS(312),
    [sym_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_text_interpolation] = STATE(438),
    [sym_qualified_name] = STATE(720),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym_match_expression] = STATE(2633),
    [sym__unary_expression] = STATE(964),
    [sym_unary_op_expression] = STATE(1002),
    [sym_exponentiation_expression] = STATE(926),
    [sym_clone_expression] = STATE(1002),
    [sym__primary_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(733),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_expression] = STATE(926),
    [sym_cast_variable] = STATE(643),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_function_call_expression] = STATE(610),
    [sym_scoped_call_expression] = STATE(610),
    [sym__scope_resolution_qualifier] = STATE(2520),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(610),
    [sym_nullsafe_member_call_expression] = STATE(610),
    [sym_subscript_expression] = STATE(610),
    [sym__dereferencable_expression] = STATE(1716),
    [sym_array_creation_expression] = STATE(733),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(733),
    [sym_dynamic_variable_name] = STATE(610),
    [sym_variable_name] = STATE(610),
    [sym_include_expression] = STATE(964),
    [sym_include_once_expression] = STATE(964),
    [sym__reserved_identifier] = STATE(1619),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(547),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(821),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_match_expression_token1] = ACTIONS(571),
    [anon_sym_AT] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(575),
    [anon_sym_DASH] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [aux_sym_clone_expression_token1] = ACTIONS(579),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(603),
    [aux_sym_include_once_expression_token1] = ACTIONS(605),
    [sym_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_text_interpolation] = STATE(439),
    [ts_builtin_sym_end] = ACTIONS(989),
    [sym_name] = ACTIONS(991),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(989),
    [aux_sym_function_static_declaration_token1] = ACTIONS(991),
    [aux_sym_global_declaration_token1] = ACTIONS(991),
    [aux_sym_namespace_definition_token1] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(991),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(991),
    [anon_sym_BSLASH] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(989),
    [anon_sym_RBRACE] = ACTIONS(989),
    [aux_sym_trait_declaration_token1] = ACTIONS(991),
    [aux_sym_interface_declaration_token1] = ACTIONS(991),
    [aux_sym_enum_declaration_token1] = ACTIONS(991),
    [aux_sym_enum_case_token1] = ACTIONS(991),
    [aux_sym_class_declaration_token1] = ACTIONS(991),
    [aux_sym_final_modifier_token1] = ACTIONS(991),
    [aux_sym_abstract_modifier_token1] = ACTIONS(991),
    [aux_sym_readonly_modifier_token1] = ACTIONS(991),
    [aux_sym_visibility_modifier_token1] = ACTIONS(991),
    [aux_sym_visibility_modifier_token2] = ACTIONS(991),
    [aux_sym_visibility_modifier_token3] = ACTIONS(991),
    [aux_sym__arrow_function_header_token1] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(989),
    [aux_sym_cast_type_token1] = ACTIONS(991),
    [aux_sym_echo_statement_token1] = ACTIONS(991),
    [anon_sym_unset] = ACTIONS(991),
    [aux_sym_declare_statement_token1] = ACTIONS(991),
    [aux_sym_declare_statement_token2] = ACTIONS(991),
    [sym_float] = ACTIONS(991),
    [aux_sym_try_statement_token1] = ACTIONS(991),
    [aux_sym_catch_clause_token1] = ACTIONS(991),
    [aux_sym_finally_clause_token1] = ACTIONS(991),
    [aux_sym_goto_statement_token1] = ACTIONS(991),
    [aux_sym_continue_statement_token1] = ACTIONS(991),
    [aux_sym_break_statement_token1] = ACTIONS(991),
    [sym_integer] = ACTIONS(991),
    [aux_sym_return_statement_token1] = ACTIONS(991),
    [aux_sym_throw_expression_token1] = ACTIONS(991),
    [aux_sym_while_statement_token1] = ACTIONS(991),
    [aux_sym_while_statement_token2] = ACTIONS(991),
    [aux_sym_do_statement_token1] = ACTIONS(991),
    [aux_sym_for_statement_token1] = ACTIONS(991),
    [aux_sym_for_statement_token2] = ACTIONS(991),
    [aux_sym_foreach_statement_token1] = ACTIONS(991),
    [aux_sym_foreach_statement_token2] = ACTIONS(991),
    [aux_sym_if_statement_token1] = ACTIONS(991),
    [aux_sym_if_statement_token2] = ACTIONS(991),
    [aux_sym_else_if_clause_token1] = ACTIONS(991),
    [aux_sym_else_clause_token1] = ACTIONS(991),
    [aux_sym_match_expression_token1] = ACTIONS(991),
    [aux_sym_match_default_expression_token1] = ACTIONS(991),
    [aux_sym_switch_statement_token1] = ACTIONS(991),
    [aux_sym_switch_block_token1] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(991),
    [anon_sym_DASH] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(989),
    [aux_sym_clone_expression_token1] = ACTIONS(991),
    [aux_sym_print_intrinsic_token1] = ACTIONS(991),
    [aux_sym_object_creation_expression_token1] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(989),
    [anon_sym_DASH_DASH] = ACTIONS(989),
    [aux_sym__list_destructing_token1] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(989),
    [anon_sym_self] = ACTIONS(991),
    [anon_sym_parent] = ACTIONS(991),
    [anon_sym_POUND_LBRACK] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [aux_sym_encapsed_string_token1] = ACTIONS(989),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [aux_sym_string_token1] = ACTIONS(989),
    [anon_sym_LT_LT_LT] = ACTIONS(989),
    [anon_sym_BQUOTE] = ACTIONS(989),
    [sym_boolean] = ACTIONS(991),
    [sym_null] = ACTIONS(991),
    [anon_sym_DOLLAR] = ACTIONS(989),
    [aux_sym_yield_expression_token1] = ACTIONS(991),
    [aux_sym_include_expression_token1] = ACTIONS(991),
    [aux_sym_include_once_expression_token1] = ACTIONS(991),
    [aux_sym_require_expression_token1] = ACTIONS(991),
    [aux_sym_require_once_expression_token1] = ACTIONS(991),
    [sym_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_text_interpolation] = STATE(440),
    [ts_builtin_sym_end] = ACTIONS(993),
    [sym_name] = ACTIONS(995),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(993),
    [aux_sym_function_static_declaration_token1] = ACTIONS(995),
    [aux_sym_global_declaration_token1] = ACTIONS(995),
    [aux_sym_namespace_definition_token1] = ACTIONS(995),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(995),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(995),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(995),
    [anon_sym_BSLASH] = ACTIONS(993),
    [anon_sym_LBRACE] = ACTIONS(993),
    [anon_sym_RBRACE] = ACTIONS(993),
    [aux_sym_trait_declaration_token1] = ACTIONS(995),
    [aux_sym_interface_declaration_token1] = ACTIONS(995),
    [aux_sym_enum_declaration_token1] = ACTIONS(995),
    [aux_sym_enum_case_token1] = ACTIONS(995),
    [aux_sym_class_declaration_token1] = ACTIONS(995),
    [aux_sym_final_modifier_token1] = ACTIONS(995),
    [aux_sym_abstract_modifier_token1] = ACTIONS(995),
    [aux_sym_readonly_modifier_token1] = ACTIONS(995),
    [aux_sym_visibility_modifier_token1] = ACTIONS(995),
    [aux_sym_visibility_modifier_token2] = ACTIONS(995),
    [aux_sym_visibility_modifier_token3] = ACTIONS(995),
    [aux_sym__arrow_function_header_token1] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(993),
    [aux_sym_cast_type_token1] = ACTIONS(995),
    [aux_sym_echo_statement_token1] = ACTIONS(995),
    [anon_sym_unset] = ACTIONS(995),
    [aux_sym_declare_statement_token1] = ACTIONS(995),
    [aux_sym_declare_statement_token2] = ACTIONS(995),
    [sym_float] = ACTIONS(995),
    [aux_sym_try_statement_token1] = ACTIONS(995),
    [aux_sym_catch_clause_token1] = ACTIONS(995),
    [aux_sym_finally_clause_token1] = ACTIONS(995),
    [aux_sym_goto_statement_token1] = ACTIONS(995),
    [aux_sym_continue_statement_token1] = ACTIONS(995),
    [aux_sym_break_statement_token1] = ACTIONS(995),
    [sym_integer] = ACTIONS(995),
    [aux_sym_return_statement_token1] = ACTIONS(995),
    [aux_sym_throw_expression_token1] = ACTIONS(995),
    [aux_sym_while_statement_token1] = ACTIONS(995),
    [aux_sym_while_statement_token2] = ACTIONS(995),
    [aux_sym_do_statement_token1] = ACTIONS(995),
    [aux_sym_for_statement_token1] = ACTIONS(995),
    [aux_sym_for_statement_token2] = ACTIONS(995),
    [aux_sym_foreach_statement_token1] = ACTIONS(995),
    [aux_sym_foreach_statement_token2] = ACTIONS(995),
    [aux_sym_if_statement_token1] = ACTIONS(995),
    [aux_sym_if_statement_token2] = ACTIONS(995),
    [aux_sym_else_if_clause_token1] = ACTIONS(995),
    [aux_sym_else_clause_token1] = ACTIONS(995),
    [aux_sym_match_expression_token1] = ACTIONS(995),
    [aux_sym_match_default_expression_token1] = ACTIONS(995),
    [aux_sym_switch_statement_token1] = ACTIONS(995),
    [aux_sym_switch_block_token1] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(993),
    [anon_sym_PLUS] = ACTIONS(995),
    [anon_sym_DASH] = ACTIONS(995),
    [anon_sym_TILDE] = ACTIONS(993),
    [anon_sym_BANG] = ACTIONS(993),
    [aux_sym_clone_expression_token1] = ACTIONS(995),
    [aux_sym_print_intrinsic_token1] = ACTIONS(995),
    [aux_sym_object_creation_expression_token1] = ACTIONS(995),
    [anon_sym_PLUS_PLUS] = ACTIONS(993),
    [anon_sym_DASH_DASH] = ACTIONS(993),
    [aux_sym__list_destructing_token1] = ACTIONS(995),
    [anon_sym_LBRACK] = ACTIONS(993),
    [anon_sym_self] = ACTIONS(995),
    [anon_sym_parent] = ACTIONS(995),
    [anon_sym_POUND_LBRACK] = ACTIONS(993),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [aux_sym_encapsed_string_token1] = ACTIONS(993),
    [anon_sym_DQUOTE] = ACTIONS(993),
    [aux_sym_string_token1] = ACTIONS(993),
    [anon_sym_LT_LT_LT] = ACTIONS(993),
    [anon_sym_BQUOTE] = ACTIONS(993),
    [sym_boolean] = ACTIONS(995),
    [sym_null] = ACTIONS(995),
    [anon_sym_DOLLAR] = ACTIONS(993),
    [aux_sym_yield_expression_token1] = ACTIONS(995),
    [aux_sym_include_expression_token1] = ACTIONS(995),
    [aux_sym_include_once_expression_token1] = ACTIONS(995),
    [aux_sym_require_expression_token1] = ACTIONS(995),
    [aux_sym_require_once_expression_token1] = ACTIONS(995),
    [sym_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_text_interpolation] = STATE(441),
    [sym_else_if_clause] = STATE(500),
    [aux_sym_if_statement_repeat1] = STATE(441),
    [ts_builtin_sym_end] = ACTIONS(997),
    [sym_name] = ACTIONS(999),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(997),
    [aux_sym_function_static_declaration_token1] = ACTIONS(999),
    [aux_sym_global_declaration_token1] = ACTIONS(999),
    [aux_sym_namespace_definition_token1] = ACTIONS(999),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(999),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(999),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(999),
    [anon_sym_BSLASH] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(997),
    [aux_sym_trait_declaration_token1] = ACTIONS(999),
    [aux_sym_interface_declaration_token1] = ACTIONS(999),
    [aux_sym_enum_declaration_token1] = ACTIONS(999),
    [aux_sym_enum_case_token1] = ACTIONS(999),
    [aux_sym_class_declaration_token1] = ACTIONS(999),
    [aux_sym_final_modifier_token1] = ACTIONS(999),
    [aux_sym_abstract_modifier_token1] = ACTIONS(999),
    [aux_sym_readonly_modifier_token1] = ACTIONS(999),
    [aux_sym_visibility_modifier_token1] = ACTIONS(999),
    [aux_sym_visibility_modifier_token2] = ACTIONS(999),
    [aux_sym_visibility_modifier_token3] = ACTIONS(999),
    [aux_sym__arrow_function_header_token1] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(997),
    [aux_sym_cast_type_token1] = ACTIONS(999),
    [aux_sym_echo_statement_token1] = ACTIONS(999),
    [anon_sym_unset] = ACTIONS(999),
    [aux_sym_declare_statement_token1] = ACTIONS(999),
    [aux_sym_declare_statement_token2] = ACTIONS(999),
    [sym_float] = ACTIONS(999),
    [aux_sym_try_statement_token1] = ACTIONS(999),
    [aux_sym_goto_statement_token1] = ACTIONS(999),
    [aux_sym_continue_statement_token1] = ACTIONS(999),
    [aux_sym_break_statement_token1] = ACTIONS(999),
    [sym_integer] = ACTIONS(999),
    [aux_sym_return_statement_token1] = ACTIONS(999),
    [aux_sym_throw_expression_token1] = ACTIONS(999),
    [aux_sym_while_statement_token1] = ACTIONS(999),
    [aux_sym_while_statement_token2] = ACTIONS(999),
    [aux_sym_do_statement_token1] = ACTIONS(999),
    [aux_sym_for_statement_token1] = ACTIONS(999),
    [aux_sym_for_statement_token2] = ACTIONS(999),
    [aux_sym_foreach_statement_token1] = ACTIONS(999),
    [aux_sym_foreach_statement_token2] = ACTIONS(999),
    [aux_sym_if_statement_token1] = ACTIONS(999),
    [aux_sym_if_statement_token2] = ACTIONS(999),
    [aux_sym_else_if_clause_token1] = ACTIONS(1001),
    [aux_sym_else_clause_token1] = ACTIONS(999),
    [aux_sym_match_expression_token1] = ACTIONS(999),
    [aux_sym_match_default_expression_token1] = ACTIONS(999),
    [aux_sym_switch_statement_token1] = ACTIONS(999),
    [aux_sym_switch_block_token1] = ACTIONS(999),
    [anon_sym_AT] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_BANG] = ACTIONS(997),
    [aux_sym_clone_expression_token1] = ACTIONS(999),
    [aux_sym_print_intrinsic_token1] = ACTIONS(999),
    [aux_sym_object_creation_expression_token1] = ACTIONS(999),
    [anon_sym_PLUS_PLUS] = ACTIONS(997),
    [anon_sym_DASH_DASH] = ACTIONS(997),
    [aux_sym__list_destructing_token1] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(997),
    [anon_sym_self] = ACTIONS(999),
    [anon_sym_parent] = ACTIONS(999),
    [anon_sym_POUND_LBRACK] = ACTIONS(997),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [aux_sym_encapsed_string_token1] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(997),
    [aux_sym_string_token1] = ACTIONS(997),
    [anon_sym_LT_LT_LT] = ACTIONS(997),
    [anon_sym_BQUOTE] = ACTIONS(997),
    [sym_boolean] = ACTIONS(999),
    [sym_null] = ACTIONS(999),
    [anon_sym_DOLLAR] = ACTIONS(997),
    [aux_sym_yield_expression_token1] = ACTIONS(999),
    [aux_sym_include_expression_token1] = ACTIONS(999),
    [aux_sym_include_once_expression_token1] = ACTIONS(999),
    [aux_sym_require_expression_token1] = ACTIONS(999),
    [aux_sym_require_once_expression_token1] = ACTIONS(999),
    [sym_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_text_interpolation] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1004),
    [sym_name] = ACTIONS(1006),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1004),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1006),
    [aux_sym_global_declaration_token1] = ACTIONS(1006),
    [aux_sym_namespace_definition_token1] = ACTIONS(1006),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1006),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1006),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1006),
    [anon_sym_BSLASH] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1004),
    [anon_sym_RBRACE] = ACTIONS(1004),
    [aux_sym_trait_declaration_token1] = ACTIONS(1006),
    [aux_sym_interface_declaration_token1] = ACTIONS(1006),
    [aux_sym_enum_declaration_token1] = ACTIONS(1006),
    [aux_sym_enum_case_token1] = ACTIONS(1006),
    [aux_sym_class_declaration_token1] = ACTIONS(1006),
    [aux_sym_final_modifier_token1] = ACTIONS(1006),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1006),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1006),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1006),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1006),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1006),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1006),
    [anon_sym_LPAREN] = ACTIONS(1004),
    [aux_sym_cast_type_token1] = ACTIONS(1006),
    [aux_sym_echo_statement_token1] = ACTIONS(1006),
    [anon_sym_unset] = ACTIONS(1006),
    [aux_sym_declare_statement_token1] = ACTIONS(1006),
    [aux_sym_declare_statement_token2] = ACTIONS(1006),
    [sym_float] = ACTIONS(1006),
    [aux_sym_try_statement_token1] = ACTIONS(1006),
    [aux_sym_catch_clause_token1] = ACTIONS(1006),
    [aux_sym_finally_clause_token1] = ACTIONS(1006),
    [aux_sym_goto_statement_token1] = ACTIONS(1006),
    [aux_sym_continue_statement_token1] = ACTIONS(1006),
    [aux_sym_break_statement_token1] = ACTIONS(1006),
    [sym_integer] = ACTIONS(1006),
    [aux_sym_return_statement_token1] = ACTIONS(1006),
    [aux_sym_throw_expression_token1] = ACTIONS(1006),
    [aux_sym_while_statement_token1] = ACTIONS(1006),
    [aux_sym_while_statement_token2] = ACTIONS(1006),
    [aux_sym_do_statement_token1] = ACTIONS(1006),
    [aux_sym_for_statement_token1] = ACTIONS(1006),
    [aux_sym_for_statement_token2] = ACTIONS(1006),
    [aux_sym_foreach_statement_token1] = ACTIONS(1006),
    [aux_sym_foreach_statement_token2] = ACTIONS(1006),
    [aux_sym_if_statement_token1] = ACTIONS(1006),
    [aux_sym_if_statement_token2] = ACTIONS(1006),
    [aux_sym_else_if_clause_token1] = ACTIONS(1006),
    [aux_sym_else_clause_token1] = ACTIONS(1006),
    [aux_sym_match_expression_token1] = ACTIONS(1006),
    [aux_sym_match_default_expression_token1] = ACTIONS(1006),
    [aux_sym_switch_statement_token1] = ACTIONS(1006),
    [aux_sym_switch_block_token1] = ACTIONS(1006),
    [anon_sym_AT] = ACTIONS(1004),
    [anon_sym_PLUS] = ACTIONS(1006),
    [anon_sym_DASH] = ACTIONS(1006),
    [anon_sym_TILDE] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(1004),
    [aux_sym_clone_expression_token1] = ACTIONS(1006),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1006),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1006),
    [anon_sym_PLUS_PLUS] = ACTIONS(1004),
    [anon_sym_DASH_DASH] = ACTIONS(1004),
    [aux_sym__list_destructing_token1] = ACTIONS(1006),
    [anon_sym_LBRACK] = ACTIONS(1004),
    [anon_sym_self] = ACTIONS(1006),
    [anon_sym_parent] = ACTIONS(1006),
    [anon_sym_POUND_LBRACK] = ACTIONS(1004),
    [anon_sym_SQUOTE] = ACTIONS(1004),
    [aux_sym_encapsed_string_token1] = ACTIONS(1004),
    [anon_sym_DQUOTE] = ACTIONS(1004),
    [aux_sym_string_token1] = ACTIONS(1004),
    [anon_sym_LT_LT_LT] = ACTIONS(1004),
    [anon_sym_BQUOTE] = ACTIONS(1004),
    [sym_boolean] = ACTIONS(1006),
    [sym_null] = ACTIONS(1006),
    [anon_sym_DOLLAR] = ACTIONS(1004),
    [aux_sym_yield_expression_token1] = ACTIONS(1006),
    [aux_sym_include_expression_token1] = ACTIONS(1006),
    [aux_sym_include_once_expression_token1] = ACTIONS(1006),
    [aux_sym_require_expression_token1] = ACTIONS(1006),
    [aux_sym_require_once_expression_token1] = ACTIONS(1006),
    [sym_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_text_interpolation] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(1008),
    [sym_name] = ACTIONS(1010),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1008),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1010),
    [aux_sym_global_declaration_token1] = ACTIONS(1010),
    [aux_sym_namespace_definition_token1] = ACTIONS(1010),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1010),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1010),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1010),
    [anon_sym_BSLASH] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_RBRACE] = ACTIONS(1008),
    [aux_sym_trait_declaration_token1] = ACTIONS(1010),
    [aux_sym_interface_declaration_token1] = ACTIONS(1010),
    [aux_sym_enum_declaration_token1] = ACTIONS(1010),
    [aux_sym_enum_case_token1] = ACTIONS(1010),
    [aux_sym_class_declaration_token1] = ACTIONS(1010),
    [aux_sym_final_modifier_token1] = ACTIONS(1010),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1010),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1010),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1010),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1010),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1010),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(1008),
    [aux_sym_cast_type_token1] = ACTIONS(1010),
    [aux_sym_echo_statement_token1] = ACTIONS(1010),
    [anon_sym_unset] = ACTIONS(1010),
    [aux_sym_declare_statement_token1] = ACTIONS(1010),
    [aux_sym_declare_statement_token2] = ACTIONS(1010),
    [sym_float] = ACTIONS(1010),
    [aux_sym_try_statement_token1] = ACTIONS(1010),
    [aux_sym_catch_clause_token1] = ACTIONS(1010),
    [aux_sym_finally_clause_token1] = ACTIONS(1010),
    [aux_sym_goto_statement_token1] = ACTIONS(1010),
    [aux_sym_continue_statement_token1] = ACTIONS(1010),
    [aux_sym_break_statement_token1] = ACTIONS(1010),
    [sym_integer] = ACTIONS(1010),
    [aux_sym_return_statement_token1] = ACTIONS(1010),
    [aux_sym_throw_expression_token1] = ACTIONS(1010),
    [aux_sym_while_statement_token1] = ACTIONS(1010),
    [aux_sym_while_statement_token2] = ACTIONS(1010),
    [aux_sym_do_statement_token1] = ACTIONS(1010),
    [aux_sym_for_statement_token1] = ACTIONS(1010),
    [aux_sym_for_statement_token2] = ACTIONS(1010),
    [aux_sym_foreach_statement_token1] = ACTIONS(1010),
    [aux_sym_foreach_statement_token2] = ACTIONS(1010),
    [aux_sym_if_statement_token1] = ACTIONS(1010),
    [aux_sym_if_statement_token2] = ACTIONS(1010),
    [aux_sym_else_if_clause_token1] = ACTIONS(1010),
    [aux_sym_else_clause_token1] = ACTIONS(1010),
    [aux_sym_match_expression_token1] = ACTIONS(1010),
    [aux_sym_match_default_expression_token1] = ACTIONS(1010),
    [aux_sym_switch_statement_token1] = ACTIONS(1010),
    [aux_sym_switch_block_token1] = ACTIONS(1010),
    [anon_sym_AT] = ACTIONS(1008),
    [anon_sym_PLUS] = ACTIONS(1010),
    [anon_sym_DASH] = ACTIONS(1010),
    [anon_sym_TILDE] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(1008),
    [aux_sym_clone_expression_token1] = ACTIONS(1010),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1010),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1010),
    [anon_sym_PLUS_PLUS] = ACTIONS(1008),
    [anon_sym_DASH_DASH] = ACTIONS(1008),
    [aux_sym__list_destructing_token1] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(1008),
    [anon_sym_self] = ACTIONS(1010),
    [anon_sym_parent] = ACTIONS(1010),
    [anon_sym_POUND_LBRACK] = ACTIONS(1008),
    [anon_sym_SQUOTE] = ACTIONS(1008),
    [aux_sym_encapsed_string_token1] = ACTIONS(1008),
    [anon_sym_DQUOTE] = ACTIONS(1008),
    [aux_sym_string_token1] = ACTIONS(1008),
    [anon_sym_LT_LT_LT] = ACTIONS(1008),
    [anon_sym_BQUOTE] = ACTIONS(1008),
    [sym_boolean] = ACTIONS(1010),
    [sym_null] = ACTIONS(1010),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [aux_sym_yield_expression_token1] = ACTIONS(1010),
    [aux_sym_include_expression_token1] = ACTIONS(1010),
    [aux_sym_include_once_expression_token1] = ACTIONS(1010),
    [aux_sym_require_expression_token1] = ACTIONS(1010),
    [aux_sym_require_once_expression_token1] = ACTIONS(1010),
    [sym_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_text_interpolation] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1012),
    [sym_name] = ACTIONS(1014),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1012),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1014),
    [aux_sym_global_declaration_token1] = ACTIONS(1014),
    [aux_sym_namespace_definition_token1] = ACTIONS(1014),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1014),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1014),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1014),
    [anon_sym_BSLASH] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [aux_sym_trait_declaration_token1] = ACTIONS(1014),
    [aux_sym_interface_declaration_token1] = ACTIONS(1014),
    [aux_sym_enum_declaration_token1] = ACTIONS(1014),
    [aux_sym_enum_case_token1] = ACTIONS(1014),
    [aux_sym_class_declaration_token1] = ACTIONS(1014),
    [aux_sym_final_modifier_token1] = ACTIONS(1014),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1014),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1014),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1014),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1014),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1014),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [aux_sym_cast_type_token1] = ACTIONS(1014),
    [aux_sym_echo_statement_token1] = ACTIONS(1014),
    [anon_sym_unset] = ACTIONS(1014),
    [aux_sym_declare_statement_token1] = ACTIONS(1014),
    [aux_sym_declare_statement_token2] = ACTIONS(1014),
    [sym_float] = ACTIONS(1014),
    [aux_sym_try_statement_token1] = ACTIONS(1014),
    [aux_sym_catch_clause_token1] = ACTIONS(1014),
    [aux_sym_finally_clause_token1] = ACTIONS(1014),
    [aux_sym_goto_statement_token1] = ACTIONS(1014),
    [aux_sym_continue_statement_token1] = ACTIONS(1014),
    [aux_sym_break_statement_token1] = ACTIONS(1014),
    [sym_integer] = ACTIONS(1014),
    [aux_sym_return_statement_token1] = ACTIONS(1014),
    [aux_sym_throw_expression_token1] = ACTIONS(1014),
    [aux_sym_while_statement_token1] = ACTIONS(1014),
    [aux_sym_while_statement_token2] = ACTIONS(1014),
    [aux_sym_do_statement_token1] = ACTIONS(1014),
    [aux_sym_for_statement_token1] = ACTIONS(1014),
    [aux_sym_for_statement_token2] = ACTIONS(1014),
    [aux_sym_foreach_statement_token1] = ACTIONS(1014),
    [aux_sym_foreach_statement_token2] = ACTIONS(1014),
    [aux_sym_if_statement_token1] = ACTIONS(1014),
    [aux_sym_if_statement_token2] = ACTIONS(1014),
    [aux_sym_else_if_clause_token1] = ACTIONS(1014),
    [aux_sym_else_clause_token1] = ACTIONS(1014),
    [aux_sym_match_expression_token1] = ACTIONS(1014),
    [aux_sym_match_default_expression_token1] = ACTIONS(1014),
    [aux_sym_switch_statement_token1] = ACTIONS(1014),
    [aux_sym_switch_block_token1] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(1012),
    [aux_sym_clone_expression_token1] = ACTIONS(1014),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1014),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1014),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [aux_sym__list_destructing_token1] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_self] = ACTIONS(1014),
    [anon_sym_parent] = ACTIONS(1014),
    [anon_sym_POUND_LBRACK] = ACTIONS(1012),
    [anon_sym_SQUOTE] = ACTIONS(1012),
    [aux_sym_encapsed_string_token1] = ACTIONS(1012),
    [anon_sym_DQUOTE] = ACTIONS(1012),
    [aux_sym_string_token1] = ACTIONS(1012),
    [anon_sym_LT_LT_LT] = ACTIONS(1012),
    [anon_sym_BQUOTE] = ACTIONS(1012),
    [sym_boolean] = ACTIONS(1014),
    [sym_null] = ACTIONS(1014),
    [anon_sym_DOLLAR] = ACTIONS(1012),
    [aux_sym_yield_expression_token1] = ACTIONS(1014),
    [aux_sym_include_expression_token1] = ACTIONS(1014),
    [aux_sym_include_once_expression_token1] = ACTIONS(1014),
    [aux_sym_require_expression_token1] = ACTIONS(1014),
    [aux_sym_require_once_expression_token1] = ACTIONS(1014),
    [sym_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_text_interpolation] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1016),
    [sym_name] = ACTIONS(1018),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1020),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1018),
    [aux_sym_global_declaration_token1] = ACTIONS(1018),
    [aux_sym_namespace_definition_token1] = ACTIONS(1018),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1018),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1018),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1018),
    [anon_sym_BSLASH] = ACTIONS(1016),
    [anon_sym_LBRACE] = ACTIONS(1016),
    [anon_sym_RBRACE] = ACTIONS(1016),
    [aux_sym_trait_declaration_token1] = ACTIONS(1018),
    [aux_sym_interface_declaration_token1] = ACTIONS(1018),
    [aux_sym_enum_declaration_token1] = ACTIONS(1018),
    [aux_sym_enum_case_token1] = ACTIONS(1018),
    [aux_sym_class_declaration_token1] = ACTIONS(1018),
    [aux_sym_final_modifier_token1] = ACTIONS(1018),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1018),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1018),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1018),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1018),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1018),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1018),
    [anon_sym_LPAREN] = ACTIONS(1016),
    [aux_sym_cast_type_token1] = ACTIONS(1018),
    [aux_sym_echo_statement_token1] = ACTIONS(1018),
    [anon_sym_unset] = ACTIONS(1018),
    [aux_sym_declare_statement_token1] = ACTIONS(1018),
    [aux_sym_declare_statement_token2] = ACTIONS(1018),
    [sym_float] = ACTIONS(1018),
    [aux_sym_try_statement_token1] = ACTIONS(1018),
    [aux_sym_goto_statement_token1] = ACTIONS(1018),
    [aux_sym_continue_statement_token1] = ACTIONS(1018),
    [aux_sym_break_statement_token1] = ACTIONS(1018),
    [sym_integer] = ACTIONS(1018),
    [aux_sym_return_statement_token1] = ACTIONS(1018),
    [aux_sym_throw_expression_token1] = ACTIONS(1018),
    [aux_sym_while_statement_token1] = ACTIONS(1018),
    [aux_sym_while_statement_token2] = ACTIONS(1018),
    [aux_sym_do_statement_token1] = ACTIONS(1018),
    [aux_sym_for_statement_token1] = ACTIONS(1018),
    [aux_sym_for_statement_token2] = ACTIONS(1018),
    [aux_sym_foreach_statement_token1] = ACTIONS(1018),
    [aux_sym_foreach_statement_token2] = ACTIONS(1018),
    [aux_sym_if_statement_token1] = ACTIONS(1018),
    [aux_sym_if_statement_token2] = ACTIONS(1018),
    [aux_sym_else_if_clause_token1] = ACTIONS(1018),
    [aux_sym_else_clause_token1] = ACTIONS(1018),
    [aux_sym_match_expression_token1] = ACTIONS(1018),
    [aux_sym_match_default_expression_token1] = ACTIONS(1018),
    [aux_sym_switch_statement_token1] = ACTIONS(1018),
    [aux_sym_switch_block_token1] = ACTIONS(1018),
    [anon_sym_AT] = ACTIONS(1016),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1016),
    [anon_sym_BANG] = ACTIONS(1016),
    [aux_sym_clone_expression_token1] = ACTIONS(1018),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1018),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1016),
    [anon_sym_DASH_DASH] = ACTIONS(1016),
    [aux_sym__list_destructing_token1] = ACTIONS(1018),
    [anon_sym_LBRACK] = ACTIONS(1016),
    [anon_sym_self] = ACTIONS(1018),
    [anon_sym_parent] = ACTIONS(1018),
    [anon_sym_POUND_LBRACK] = ACTIONS(1016),
    [anon_sym_SQUOTE] = ACTIONS(1016),
    [aux_sym_encapsed_string_token1] = ACTIONS(1016),
    [anon_sym_DQUOTE] = ACTIONS(1016),
    [aux_sym_string_token1] = ACTIONS(1016),
    [anon_sym_LT_LT_LT] = ACTIONS(1016),
    [anon_sym_BQUOTE] = ACTIONS(1016),
    [sym_boolean] = ACTIONS(1018),
    [sym_null] = ACTIONS(1018),
    [anon_sym_DOLLAR] = ACTIONS(1016),
    [aux_sym_yield_expression_token1] = ACTIONS(1018),
    [aux_sym_include_expression_token1] = ACTIONS(1018),
    [aux_sym_include_once_expression_token1] = ACTIONS(1018),
    [aux_sym_require_expression_token1] = ACTIONS(1018),
    [aux_sym_require_once_expression_token1] = ACTIONS(1018),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1020),
  },
  [446] = {
    [sym_text_interpolation] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1022),
    [sym_name] = ACTIONS(1024),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1026),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1024),
    [aux_sym_global_declaration_token1] = ACTIONS(1024),
    [aux_sym_namespace_definition_token1] = ACTIONS(1024),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1024),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1024),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1024),
    [anon_sym_BSLASH] = ACTIONS(1022),
    [anon_sym_LBRACE] = ACTIONS(1022),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [aux_sym_trait_declaration_token1] = ACTIONS(1024),
    [aux_sym_interface_declaration_token1] = ACTIONS(1024),
    [aux_sym_enum_declaration_token1] = ACTIONS(1024),
    [aux_sym_enum_case_token1] = ACTIONS(1024),
    [aux_sym_class_declaration_token1] = ACTIONS(1024),
    [aux_sym_final_modifier_token1] = ACTIONS(1024),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1024),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1024),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1024),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1024),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1024),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1024),
    [anon_sym_LPAREN] = ACTIONS(1022),
    [aux_sym_cast_type_token1] = ACTIONS(1024),
    [aux_sym_echo_statement_token1] = ACTIONS(1024),
    [anon_sym_unset] = ACTIONS(1024),
    [aux_sym_declare_statement_token1] = ACTIONS(1024),
    [aux_sym_declare_statement_token2] = ACTIONS(1024),
    [sym_float] = ACTIONS(1024),
    [aux_sym_try_statement_token1] = ACTIONS(1024),
    [aux_sym_goto_statement_token1] = ACTIONS(1024),
    [aux_sym_continue_statement_token1] = ACTIONS(1024),
    [aux_sym_break_statement_token1] = ACTIONS(1024),
    [sym_integer] = ACTIONS(1024),
    [aux_sym_return_statement_token1] = ACTIONS(1024),
    [aux_sym_throw_expression_token1] = ACTIONS(1024),
    [aux_sym_while_statement_token1] = ACTIONS(1024),
    [aux_sym_while_statement_token2] = ACTIONS(1024),
    [aux_sym_do_statement_token1] = ACTIONS(1024),
    [aux_sym_for_statement_token1] = ACTIONS(1024),
    [aux_sym_for_statement_token2] = ACTIONS(1024),
    [aux_sym_foreach_statement_token1] = ACTIONS(1024),
    [aux_sym_foreach_statement_token2] = ACTIONS(1024),
    [aux_sym_if_statement_token1] = ACTIONS(1024),
    [aux_sym_if_statement_token2] = ACTIONS(1024),
    [aux_sym_else_if_clause_token1] = ACTIONS(1024),
    [aux_sym_else_clause_token1] = ACTIONS(1024),
    [aux_sym_match_expression_token1] = ACTIONS(1024),
    [aux_sym_match_default_expression_token1] = ACTIONS(1024),
    [aux_sym_switch_statement_token1] = ACTIONS(1024),
    [aux_sym_switch_block_token1] = ACTIONS(1024),
    [anon_sym_AT] = ACTIONS(1022),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1024),
    [anon_sym_TILDE] = ACTIONS(1022),
    [anon_sym_BANG] = ACTIONS(1022),
    [aux_sym_clone_expression_token1] = ACTIONS(1024),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1024),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1024),
    [anon_sym_PLUS_PLUS] = ACTIONS(1022),
    [anon_sym_DASH_DASH] = ACTIONS(1022),
    [aux_sym__list_destructing_token1] = ACTIONS(1024),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_self] = ACTIONS(1024),
    [anon_sym_parent] = ACTIONS(1024),
    [anon_sym_POUND_LBRACK] = ACTIONS(1022),
    [anon_sym_SQUOTE] = ACTIONS(1022),
    [aux_sym_encapsed_string_token1] = ACTIONS(1022),
    [anon_sym_DQUOTE] = ACTIONS(1022),
    [aux_sym_string_token1] = ACTIONS(1022),
    [anon_sym_LT_LT_LT] = ACTIONS(1022),
    [anon_sym_BQUOTE] = ACTIONS(1022),
    [sym_boolean] = ACTIONS(1024),
    [sym_null] = ACTIONS(1024),
    [anon_sym_DOLLAR] = ACTIONS(1022),
    [aux_sym_yield_expression_token1] = ACTIONS(1024),
    [aux_sym_include_expression_token1] = ACTIONS(1024),
    [aux_sym_include_once_expression_token1] = ACTIONS(1024),
    [aux_sym_require_expression_token1] = ACTIONS(1024),
    [aux_sym_require_once_expression_token1] = ACTIONS(1024),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1026),
  },
  [447] = {
    [sym_text_interpolation] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1028),
    [sym_name] = ACTIONS(1030),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1032),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1030),
    [aux_sym_global_declaration_token1] = ACTIONS(1030),
    [aux_sym_namespace_definition_token1] = ACTIONS(1030),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1030),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1030),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1030),
    [anon_sym_BSLASH] = ACTIONS(1028),
    [anon_sym_LBRACE] = ACTIONS(1028),
    [anon_sym_RBRACE] = ACTIONS(1028),
    [aux_sym_trait_declaration_token1] = ACTIONS(1030),
    [aux_sym_interface_declaration_token1] = ACTIONS(1030),
    [aux_sym_enum_declaration_token1] = ACTIONS(1030),
    [aux_sym_enum_case_token1] = ACTIONS(1030),
    [aux_sym_class_declaration_token1] = ACTIONS(1030),
    [aux_sym_final_modifier_token1] = ACTIONS(1030),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1030),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1030),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1030),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1030),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1030),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1030),
    [anon_sym_LPAREN] = ACTIONS(1028),
    [aux_sym_cast_type_token1] = ACTIONS(1030),
    [aux_sym_echo_statement_token1] = ACTIONS(1030),
    [anon_sym_unset] = ACTIONS(1030),
    [aux_sym_declare_statement_token1] = ACTIONS(1030),
    [aux_sym_declare_statement_token2] = ACTIONS(1030),
    [sym_float] = ACTIONS(1030),
    [aux_sym_try_statement_token1] = ACTIONS(1030),
    [aux_sym_goto_statement_token1] = ACTIONS(1030),
    [aux_sym_continue_statement_token1] = ACTIONS(1030),
    [aux_sym_break_statement_token1] = ACTIONS(1030),
    [sym_integer] = ACTIONS(1030),
    [aux_sym_return_statement_token1] = ACTIONS(1030),
    [aux_sym_throw_expression_token1] = ACTIONS(1030),
    [aux_sym_while_statement_token1] = ACTIONS(1030),
    [aux_sym_while_statement_token2] = ACTIONS(1030),
    [aux_sym_do_statement_token1] = ACTIONS(1030),
    [aux_sym_for_statement_token1] = ACTIONS(1030),
    [aux_sym_for_statement_token2] = ACTIONS(1030),
    [aux_sym_foreach_statement_token1] = ACTIONS(1030),
    [aux_sym_foreach_statement_token2] = ACTIONS(1030),
    [aux_sym_if_statement_token1] = ACTIONS(1030),
    [aux_sym_if_statement_token2] = ACTIONS(1030),
    [aux_sym_else_if_clause_token1] = ACTIONS(1030),
    [aux_sym_else_clause_token1] = ACTIONS(1030),
    [aux_sym_match_expression_token1] = ACTIONS(1030),
    [aux_sym_match_default_expression_token1] = ACTIONS(1030),
    [aux_sym_switch_statement_token1] = ACTIONS(1030),
    [aux_sym_switch_block_token1] = ACTIONS(1030),
    [anon_sym_AT] = ACTIONS(1028),
    [anon_sym_PLUS] = ACTIONS(1030),
    [anon_sym_DASH] = ACTIONS(1030),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_BANG] = ACTIONS(1028),
    [aux_sym_clone_expression_token1] = ACTIONS(1030),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1030),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1030),
    [anon_sym_PLUS_PLUS] = ACTIONS(1028),
    [anon_sym_DASH_DASH] = ACTIONS(1028),
    [aux_sym__list_destructing_token1] = ACTIONS(1030),
    [anon_sym_LBRACK] = ACTIONS(1028),
    [anon_sym_self] = ACTIONS(1030),
    [anon_sym_parent] = ACTIONS(1030),
    [anon_sym_POUND_LBRACK] = ACTIONS(1028),
    [anon_sym_SQUOTE] = ACTIONS(1028),
    [aux_sym_encapsed_string_token1] = ACTIONS(1028),
    [anon_sym_DQUOTE] = ACTIONS(1028),
    [aux_sym_string_token1] = ACTIONS(1028),
    [anon_sym_LT_LT_LT] = ACTIONS(1028),
    [anon_sym_BQUOTE] = ACTIONS(1028),
    [sym_boolean] = ACTIONS(1030),
    [sym_null] = ACTIONS(1030),
    [anon_sym_DOLLAR] = ACTIONS(1028),
    [aux_sym_yield_expression_token1] = ACTIONS(1030),
    [aux_sym_include_expression_token1] = ACTIONS(1030),
    [aux_sym_include_once_expression_token1] = ACTIONS(1030),
    [aux_sym_require_expression_token1] = ACTIONS(1030),
    [aux_sym_require_once_expression_token1] = ACTIONS(1030),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1032),
  },
  [448] = {
    [sym_text_interpolation] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1034),
    [sym_name] = ACTIONS(1036),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1038),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1036),
    [aux_sym_global_declaration_token1] = ACTIONS(1036),
    [aux_sym_namespace_definition_token1] = ACTIONS(1036),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1036),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1036),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1036),
    [anon_sym_BSLASH] = ACTIONS(1034),
    [anon_sym_LBRACE] = ACTIONS(1034),
    [anon_sym_RBRACE] = ACTIONS(1034),
    [aux_sym_trait_declaration_token1] = ACTIONS(1036),
    [aux_sym_interface_declaration_token1] = ACTIONS(1036),
    [aux_sym_enum_declaration_token1] = ACTIONS(1036),
    [aux_sym_enum_case_token1] = ACTIONS(1036),
    [aux_sym_class_declaration_token1] = ACTIONS(1036),
    [aux_sym_final_modifier_token1] = ACTIONS(1036),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1036),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1036),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1036),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1036),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1036),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1036),
    [anon_sym_LPAREN] = ACTIONS(1034),
    [aux_sym_cast_type_token1] = ACTIONS(1036),
    [aux_sym_echo_statement_token1] = ACTIONS(1036),
    [anon_sym_unset] = ACTIONS(1036),
    [aux_sym_declare_statement_token1] = ACTIONS(1036),
    [aux_sym_declare_statement_token2] = ACTIONS(1036),
    [sym_float] = ACTIONS(1036),
    [aux_sym_try_statement_token1] = ACTIONS(1036),
    [aux_sym_goto_statement_token1] = ACTIONS(1036),
    [aux_sym_continue_statement_token1] = ACTIONS(1036),
    [aux_sym_break_statement_token1] = ACTIONS(1036),
    [sym_integer] = ACTIONS(1036),
    [aux_sym_return_statement_token1] = ACTIONS(1036),
    [aux_sym_throw_expression_token1] = ACTIONS(1036),
    [aux_sym_while_statement_token1] = ACTIONS(1036),
    [aux_sym_while_statement_token2] = ACTIONS(1036),
    [aux_sym_do_statement_token1] = ACTIONS(1036),
    [aux_sym_for_statement_token1] = ACTIONS(1036),
    [aux_sym_for_statement_token2] = ACTIONS(1036),
    [aux_sym_foreach_statement_token1] = ACTIONS(1036),
    [aux_sym_foreach_statement_token2] = ACTIONS(1036),
    [aux_sym_if_statement_token1] = ACTIONS(1036),
    [aux_sym_if_statement_token2] = ACTIONS(1036),
    [aux_sym_else_if_clause_token1] = ACTIONS(1036),
    [aux_sym_else_clause_token1] = ACTIONS(1036),
    [aux_sym_match_expression_token1] = ACTIONS(1036),
    [aux_sym_match_default_expression_token1] = ACTIONS(1036),
    [aux_sym_switch_statement_token1] = ACTIONS(1036),
    [aux_sym_switch_block_token1] = ACTIONS(1036),
    [anon_sym_AT] = ACTIONS(1034),
    [anon_sym_PLUS] = ACTIONS(1036),
    [anon_sym_DASH] = ACTIONS(1036),
    [anon_sym_TILDE] = ACTIONS(1034),
    [anon_sym_BANG] = ACTIONS(1034),
    [aux_sym_clone_expression_token1] = ACTIONS(1036),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1036),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1036),
    [anon_sym_PLUS_PLUS] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(1034),
    [aux_sym__list_destructing_token1] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(1034),
    [anon_sym_self] = ACTIONS(1036),
    [anon_sym_parent] = ACTIONS(1036),
    [anon_sym_POUND_LBRACK] = ACTIONS(1034),
    [anon_sym_SQUOTE] = ACTIONS(1034),
    [aux_sym_encapsed_string_token1] = ACTIONS(1034),
    [anon_sym_DQUOTE] = ACTIONS(1034),
    [aux_sym_string_token1] = ACTIONS(1034),
    [anon_sym_LT_LT_LT] = ACTIONS(1034),
    [anon_sym_BQUOTE] = ACTIONS(1034),
    [sym_boolean] = ACTIONS(1036),
    [sym_null] = ACTIONS(1036),
    [anon_sym_DOLLAR] = ACTIONS(1034),
    [aux_sym_yield_expression_token1] = ACTIONS(1036),
    [aux_sym_include_expression_token1] = ACTIONS(1036),
    [aux_sym_include_once_expression_token1] = ACTIONS(1036),
    [aux_sym_require_expression_token1] = ACTIONS(1036),
    [aux_sym_require_once_expression_token1] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1038),
  },
  [449] = {
    [sym_text_interpolation] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1040),
    [sym_name] = ACTIONS(1042),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1040),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1042),
    [aux_sym_global_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_definition_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1042),
    [anon_sym_BSLASH] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [aux_sym_trait_declaration_token1] = ACTIONS(1042),
    [aux_sym_interface_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_case_token1] = ACTIONS(1042),
    [aux_sym_class_declaration_token1] = ACTIONS(1042),
    [aux_sym_final_modifier_token1] = ACTIONS(1042),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1042),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1042),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [aux_sym_cast_type_token1] = ACTIONS(1042),
    [aux_sym_echo_statement_token1] = ACTIONS(1042),
    [anon_sym_unset] = ACTIONS(1042),
    [aux_sym_declare_statement_token1] = ACTIONS(1042),
    [aux_sym_declare_statement_token2] = ACTIONS(1042),
    [sym_float] = ACTIONS(1042),
    [aux_sym_try_statement_token1] = ACTIONS(1042),
    [aux_sym_goto_statement_token1] = ACTIONS(1042),
    [aux_sym_continue_statement_token1] = ACTIONS(1042),
    [aux_sym_break_statement_token1] = ACTIONS(1042),
    [sym_integer] = ACTIONS(1042),
    [aux_sym_return_statement_token1] = ACTIONS(1042),
    [aux_sym_throw_expression_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token2] = ACTIONS(1042),
    [aux_sym_do_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token2] = ACTIONS(1042),
    [aux_sym_foreach_statement_token1] = ACTIONS(1042),
    [aux_sym_foreach_statement_token2] = ACTIONS(1042),
    [aux_sym_if_statement_token1] = ACTIONS(1042),
    [aux_sym_if_statement_token2] = ACTIONS(1042),
    [aux_sym_else_if_clause_token1] = ACTIONS(1042),
    [aux_sym_else_clause_token1] = ACTIONS(1042),
    [aux_sym_match_expression_token1] = ACTIONS(1042),
    [aux_sym_match_default_expression_token1] = ACTIONS(1042),
    [aux_sym_switch_statement_token1] = ACTIONS(1042),
    [aux_sym_switch_block_token1] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_TILDE] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1040),
    [aux_sym_clone_expression_token1] = ACTIONS(1042),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1042),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1042),
    [anon_sym_PLUS_PLUS] = ACTIONS(1040),
    [anon_sym_DASH_DASH] = ACTIONS(1040),
    [aux_sym__list_destructing_token1] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_self] = ACTIONS(1042),
    [anon_sym_parent] = ACTIONS(1042),
    [anon_sym_POUND_LBRACK] = ACTIONS(1040),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [aux_sym_encapsed_string_token1] = ACTIONS(1040),
    [anon_sym_DQUOTE] = ACTIONS(1040),
    [aux_sym_string_token1] = ACTIONS(1040),
    [anon_sym_LT_LT_LT] = ACTIONS(1040),
    [anon_sym_BQUOTE] = ACTIONS(1040),
    [sym_boolean] = ACTIONS(1042),
    [sym_null] = ACTIONS(1042),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [aux_sym_yield_expression_token1] = ACTIONS(1042),
    [aux_sym_include_expression_token1] = ACTIONS(1042),
    [aux_sym_include_once_expression_token1] = ACTIONS(1042),
    [aux_sym_require_expression_token1] = ACTIONS(1042),
    [aux_sym_require_once_expression_token1] = ACTIONS(1042),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1040),
  },
  [450] = {
    [sym_text_interpolation] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1044),
    [sym_name] = ACTIONS(1046),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1048),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1046),
    [aux_sym_global_declaration_token1] = ACTIONS(1046),
    [aux_sym_namespace_definition_token1] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1046),
    [anon_sym_BSLASH] = ACTIONS(1044),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [aux_sym_trait_declaration_token1] = ACTIONS(1046),
    [aux_sym_interface_declaration_token1] = ACTIONS(1046),
    [aux_sym_enum_declaration_token1] = ACTIONS(1046),
    [aux_sym_enum_case_token1] = ACTIONS(1046),
    [aux_sym_class_declaration_token1] = ACTIONS(1046),
    [aux_sym_final_modifier_token1] = ACTIONS(1046),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1046),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1046),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1046),
    [anon_sym_LPAREN] = ACTIONS(1044),
    [aux_sym_cast_type_token1] = ACTIONS(1046),
    [aux_sym_echo_statement_token1] = ACTIONS(1046),
    [anon_sym_unset] = ACTIONS(1046),
    [aux_sym_declare_statement_token1] = ACTIONS(1046),
    [aux_sym_declare_statement_token2] = ACTIONS(1046),
    [sym_float] = ACTIONS(1046),
    [aux_sym_try_statement_token1] = ACTIONS(1046),
    [aux_sym_goto_statement_token1] = ACTIONS(1046),
    [aux_sym_continue_statement_token1] = ACTIONS(1046),
    [aux_sym_break_statement_token1] = ACTIONS(1046),
    [sym_integer] = ACTIONS(1046),
    [aux_sym_return_statement_token1] = ACTIONS(1046),
    [aux_sym_throw_expression_token1] = ACTIONS(1046),
    [aux_sym_while_statement_token1] = ACTIONS(1046),
    [aux_sym_while_statement_token2] = ACTIONS(1046),
    [aux_sym_do_statement_token1] = ACTIONS(1046),
    [aux_sym_for_statement_token1] = ACTIONS(1046),
    [aux_sym_for_statement_token2] = ACTIONS(1046),
    [aux_sym_foreach_statement_token1] = ACTIONS(1046),
    [aux_sym_foreach_statement_token2] = ACTIONS(1046),
    [aux_sym_if_statement_token1] = ACTIONS(1046),
    [aux_sym_if_statement_token2] = ACTIONS(1046),
    [aux_sym_else_if_clause_token1] = ACTIONS(1046),
    [aux_sym_else_clause_token1] = ACTIONS(1046),
    [aux_sym_match_expression_token1] = ACTIONS(1046),
    [aux_sym_match_default_expression_token1] = ACTIONS(1046),
    [aux_sym_switch_statement_token1] = ACTIONS(1046),
    [aux_sym_switch_block_token1] = ACTIONS(1046),
    [anon_sym_AT] = ACTIONS(1044),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_TILDE] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(1044),
    [aux_sym_clone_expression_token1] = ACTIONS(1046),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1046),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1046),
    [anon_sym_PLUS_PLUS] = ACTIONS(1044),
    [anon_sym_DASH_DASH] = ACTIONS(1044),
    [aux_sym__list_destructing_token1] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_self] = ACTIONS(1046),
    [anon_sym_parent] = ACTIONS(1046),
    [anon_sym_POUND_LBRACK] = ACTIONS(1044),
    [anon_sym_SQUOTE] = ACTIONS(1044),
    [aux_sym_encapsed_string_token1] = ACTIONS(1044),
    [anon_sym_DQUOTE] = ACTIONS(1044),
    [aux_sym_string_token1] = ACTIONS(1044),
    [anon_sym_LT_LT_LT] = ACTIONS(1044),
    [anon_sym_BQUOTE] = ACTIONS(1044),
    [sym_boolean] = ACTIONS(1046),
    [sym_null] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1044),
    [aux_sym_yield_expression_token1] = ACTIONS(1046),
    [aux_sym_include_expression_token1] = ACTIONS(1046),
    [aux_sym_include_once_expression_token1] = ACTIONS(1046),
    [aux_sym_require_expression_token1] = ACTIONS(1046),
    [aux_sym_require_once_expression_token1] = ACTIONS(1046),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1048),
  },
  [451] = {
    [sym_text_interpolation] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1050),
    [sym_name] = ACTIONS(1052),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1054),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1052),
    [aux_sym_global_declaration_token1] = ACTIONS(1052),
    [aux_sym_namespace_definition_token1] = ACTIONS(1052),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1052),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1052),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1052),
    [anon_sym_BSLASH] = ACTIONS(1050),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_RBRACE] = ACTIONS(1050),
    [aux_sym_trait_declaration_token1] = ACTIONS(1052),
    [aux_sym_interface_declaration_token1] = ACTIONS(1052),
    [aux_sym_enum_declaration_token1] = ACTIONS(1052),
    [aux_sym_enum_case_token1] = ACTIONS(1052),
    [aux_sym_class_declaration_token1] = ACTIONS(1052),
    [aux_sym_final_modifier_token1] = ACTIONS(1052),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1052),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1052),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1052),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1052),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1052),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1052),
    [anon_sym_LPAREN] = ACTIONS(1050),
    [aux_sym_cast_type_token1] = ACTIONS(1052),
    [aux_sym_echo_statement_token1] = ACTIONS(1052),
    [anon_sym_unset] = ACTIONS(1052),
    [aux_sym_declare_statement_token1] = ACTIONS(1052),
    [aux_sym_declare_statement_token2] = ACTIONS(1052),
    [sym_float] = ACTIONS(1052),
    [aux_sym_try_statement_token1] = ACTIONS(1052),
    [aux_sym_goto_statement_token1] = ACTIONS(1052),
    [aux_sym_continue_statement_token1] = ACTIONS(1052),
    [aux_sym_break_statement_token1] = ACTIONS(1052),
    [sym_integer] = ACTIONS(1052),
    [aux_sym_return_statement_token1] = ACTIONS(1052),
    [aux_sym_throw_expression_token1] = ACTIONS(1052),
    [aux_sym_while_statement_token1] = ACTIONS(1052),
    [aux_sym_while_statement_token2] = ACTIONS(1052),
    [aux_sym_do_statement_token1] = ACTIONS(1052),
    [aux_sym_for_statement_token1] = ACTIONS(1052),
    [aux_sym_for_statement_token2] = ACTIONS(1052),
    [aux_sym_foreach_statement_token1] = ACTIONS(1052),
    [aux_sym_foreach_statement_token2] = ACTIONS(1052),
    [aux_sym_if_statement_token1] = ACTIONS(1052),
    [aux_sym_if_statement_token2] = ACTIONS(1052),
    [aux_sym_else_if_clause_token1] = ACTIONS(1052),
    [aux_sym_else_clause_token1] = ACTIONS(1052),
    [aux_sym_match_expression_token1] = ACTIONS(1052),
    [aux_sym_match_default_expression_token1] = ACTIONS(1052),
    [aux_sym_switch_statement_token1] = ACTIONS(1052),
    [aux_sym_switch_block_token1] = ACTIONS(1052),
    [anon_sym_AT] = ACTIONS(1050),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_TILDE] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(1050),
    [aux_sym_clone_expression_token1] = ACTIONS(1052),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1052),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1050),
    [aux_sym__list_destructing_token1] = ACTIONS(1052),
    [anon_sym_LBRACK] = ACTIONS(1050),
    [anon_sym_self] = ACTIONS(1052),
    [anon_sym_parent] = ACTIONS(1052),
    [anon_sym_POUND_LBRACK] = ACTIONS(1050),
    [anon_sym_SQUOTE] = ACTIONS(1050),
    [aux_sym_encapsed_string_token1] = ACTIONS(1050),
    [anon_sym_DQUOTE] = ACTIONS(1050),
    [aux_sym_string_token1] = ACTIONS(1050),
    [anon_sym_LT_LT_LT] = ACTIONS(1050),
    [anon_sym_BQUOTE] = ACTIONS(1050),
    [sym_boolean] = ACTIONS(1052),
    [sym_null] = ACTIONS(1052),
    [anon_sym_DOLLAR] = ACTIONS(1050),
    [aux_sym_yield_expression_token1] = ACTIONS(1052),
    [aux_sym_include_expression_token1] = ACTIONS(1052),
    [aux_sym_include_once_expression_token1] = ACTIONS(1052),
    [aux_sym_require_expression_token1] = ACTIONS(1052),
    [aux_sym_require_once_expression_token1] = ACTIONS(1052),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1054),
  },
  [452] = {
    [sym_text_interpolation] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1056),
    [sym_name] = ACTIONS(1058),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1060),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1058),
    [aux_sym_global_declaration_token1] = ACTIONS(1058),
    [aux_sym_namespace_definition_token1] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1058),
    [anon_sym_BSLASH] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [aux_sym_trait_declaration_token1] = ACTIONS(1058),
    [aux_sym_interface_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_case_token1] = ACTIONS(1058),
    [aux_sym_class_declaration_token1] = ACTIONS(1058),
    [aux_sym_final_modifier_token1] = ACTIONS(1058),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1058),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1058),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1058),
    [anon_sym_LPAREN] = ACTIONS(1056),
    [aux_sym_cast_type_token1] = ACTIONS(1058),
    [aux_sym_echo_statement_token1] = ACTIONS(1058),
    [anon_sym_unset] = ACTIONS(1058),
    [aux_sym_declare_statement_token1] = ACTIONS(1058),
    [aux_sym_declare_statement_token2] = ACTIONS(1058),
    [sym_float] = ACTIONS(1058),
    [aux_sym_try_statement_token1] = ACTIONS(1058),
    [aux_sym_goto_statement_token1] = ACTIONS(1058),
    [aux_sym_continue_statement_token1] = ACTIONS(1058),
    [aux_sym_break_statement_token1] = ACTIONS(1058),
    [sym_integer] = ACTIONS(1058),
    [aux_sym_return_statement_token1] = ACTIONS(1058),
    [aux_sym_throw_expression_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token2] = ACTIONS(1058),
    [aux_sym_do_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token2] = ACTIONS(1058),
    [aux_sym_foreach_statement_token1] = ACTIONS(1058),
    [aux_sym_foreach_statement_token2] = ACTIONS(1058),
    [aux_sym_if_statement_token1] = ACTIONS(1058),
    [aux_sym_if_statement_token2] = ACTIONS(1058),
    [aux_sym_else_if_clause_token1] = ACTIONS(1058),
    [aux_sym_else_clause_token1] = ACTIONS(1058),
    [aux_sym_match_expression_token1] = ACTIONS(1058),
    [aux_sym_match_default_expression_token1] = ACTIONS(1058),
    [aux_sym_switch_statement_token1] = ACTIONS(1058),
    [aux_sym_switch_block_token1] = ACTIONS(1058),
    [anon_sym_AT] = ACTIONS(1056),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1056),
    [aux_sym_clone_expression_token1] = ACTIONS(1058),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1058),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1058),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [aux_sym__list_destructing_token1] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(1058),
    [anon_sym_parent] = ACTIONS(1058),
    [anon_sym_POUND_LBRACK] = ACTIONS(1056),
    [anon_sym_SQUOTE] = ACTIONS(1056),
    [aux_sym_encapsed_string_token1] = ACTIONS(1056),
    [anon_sym_DQUOTE] = ACTIONS(1056),
    [aux_sym_string_token1] = ACTIONS(1056),
    [anon_sym_LT_LT_LT] = ACTIONS(1056),
    [anon_sym_BQUOTE] = ACTIONS(1056),
    [sym_boolean] = ACTIONS(1058),
    [sym_null] = ACTIONS(1058),
    [anon_sym_DOLLAR] = ACTIONS(1056),
    [aux_sym_yield_expression_token1] = ACTIONS(1058),
    [aux_sym_include_expression_token1] = ACTIONS(1058),
    [aux_sym_include_once_expression_token1] = ACTIONS(1058),
    [aux_sym_require_expression_token1] = ACTIONS(1058),
    [aux_sym_require_once_expression_token1] = ACTIONS(1058),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1060),
  },
  [453] = {
    [sym_text_interpolation] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1062),
    [sym_name] = ACTIONS(1064),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1066),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1064),
    [aux_sym_global_declaration_token1] = ACTIONS(1064),
    [aux_sym_namespace_definition_token1] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1064),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1064),
    [anon_sym_BSLASH] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1062),
    [anon_sym_RBRACE] = ACTIONS(1062),
    [aux_sym_trait_declaration_token1] = ACTIONS(1064),
    [aux_sym_interface_declaration_token1] = ACTIONS(1064),
    [aux_sym_enum_declaration_token1] = ACTIONS(1064),
    [aux_sym_enum_case_token1] = ACTIONS(1064),
    [aux_sym_class_declaration_token1] = ACTIONS(1064),
    [aux_sym_final_modifier_token1] = ACTIONS(1064),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1064),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1064),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1064),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1064),
    [anon_sym_LPAREN] = ACTIONS(1062),
    [aux_sym_cast_type_token1] = ACTIONS(1064),
    [aux_sym_echo_statement_token1] = ACTIONS(1064),
    [anon_sym_unset] = ACTIONS(1064),
    [aux_sym_declare_statement_token1] = ACTIONS(1064),
    [aux_sym_declare_statement_token2] = ACTIONS(1064),
    [sym_float] = ACTIONS(1064),
    [aux_sym_try_statement_token1] = ACTIONS(1064),
    [aux_sym_goto_statement_token1] = ACTIONS(1064),
    [aux_sym_continue_statement_token1] = ACTIONS(1064),
    [aux_sym_break_statement_token1] = ACTIONS(1064),
    [sym_integer] = ACTIONS(1064),
    [aux_sym_return_statement_token1] = ACTIONS(1064),
    [aux_sym_throw_expression_token1] = ACTIONS(1064),
    [aux_sym_while_statement_token1] = ACTIONS(1064),
    [aux_sym_while_statement_token2] = ACTIONS(1064),
    [aux_sym_do_statement_token1] = ACTIONS(1064),
    [aux_sym_for_statement_token1] = ACTIONS(1064),
    [aux_sym_for_statement_token2] = ACTIONS(1064),
    [aux_sym_foreach_statement_token1] = ACTIONS(1064),
    [aux_sym_foreach_statement_token2] = ACTIONS(1064),
    [aux_sym_if_statement_token1] = ACTIONS(1064),
    [aux_sym_if_statement_token2] = ACTIONS(1064),
    [aux_sym_else_if_clause_token1] = ACTIONS(1064),
    [aux_sym_else_clause_token1] = ACTIONS(1064),
    [aux_sym_match_expression_token1] = ACTIONS(1064),
    [aux_sym_match_default_expression_token1] = ACTIONS(1064),
    [aux_sym_switch_statement_token1] = ACTIONS(1064),
    [aux_sym_switch_block_token1] = ACTIONS(1064),
    [anon_sym_AT] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_TILDE] = ACTIONS(1062),
    [anon_sym_BANG] = ACTIONS(1062),
    [aux_sym_clone_expression_token1] = ACTIONS(1064),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1064),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1064),
    [anon_sym_PLUS_PLUS] = ACTIONS(1062),
    [anon_sym_DASH_DASH] = ACTIONS(1062),
    [aux_sym__list_destructing_token1] = ACTIONS(1064),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_self] = ACTIONS(1064),
    [anon_sym_parent] = ACTIONS(1064),
    [anon_sym_POUND_LBRACK] = ACTIONS(1062),
    [anon_sym_SQUOTE] = ACTIONS(1062),
    [aux_sym_encapsed_string_token1] = ACTIONS(1062),
    [anon_sym_DQUOTE] = ACTIONS(1062),
    [aux_sym_string_token1] = ACTIONS(1062),
    [anon_sym_LT_LT_LT] = ACTIONS(1062),
    [anon_sym_BQUOTE] = ACTIONS(1062),
    [sym_boolean] = ACTIONS(1064),
    [sym_null] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1062),
    [aux_sym_yield_expression_token1] = ACTIONS(1064),
    [aux_sym_include_expression_token1] = ACTIONS(1064),
    [aux_sym_include_once_expression_token1] = ACTIONS(1064),
    [aux_sym_require_expression_token1] = ACTIONS(1064),
    [aux_sym_require_once_expression_token1] = ACTIONS(1064),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1066),
  },
  [454] = {
    [sym_text_interpolation] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1068),
    [sym_name] = ACTIONS(1070),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1072),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1070),
    [aux_sym_global_declaration_token1] = ACTIONS(1070),
    [aux_sym_namespace_definition_token1] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1070),
    [anon_sym_BSLASH] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(1068),
    [anon_sym_RBRACE] = ACTIONS(1068),
    [aux_sym_trait_declaration_token1] = ACTIONS(1070),
    [aux_sym_interface_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_case_token1] = ACTIONS(1070),
    [aux_sym_class_declaration_token1] = ACTIONS(1070),
    [aux_sym_final_modifier_token1] = ACTIONS(1070),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1070),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1070),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1070),
    [anon_sym_LPAREN] = ACTIONS(1068),
    [aux_sym_cast_type_token1] = ACTIONS(1070),
    [aux_sym_echo_statement_token1] = ACTIONS(1070),
    [anon_sym_unset] = ACTIONS(1070),
    [aux_sym_declare_statement_token1] = ACTIONS(1070),
    [aux_sym_declare_statement_token2] = ACTIONS(1070),
    [sym_float] = ACTIONS(1070),
    [aux_sym_try_statement_token1] = ACTIONS(1070),
    [aux_sym_goto_statement_token1] = ACTIONS(1070),
    [aux_sym_continue_statement_token1] = ACTIONS(1070),
    [aux_sym_break_statement_token1] = ACTIONS(1070),
    [sym_integer] = ACTIONS(1070),
    [aux_sym_return_statement_token1] = ACTIONS(1070),
    [aux_sym_throw_expression_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token2] = ACTIONS(1070),
    [aux_sym_do_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token2] = ACTIONS(1070),
    [aux_sym_foreach_statement_token1] = ACTIONS(1070),
    [aux_sym_foreach_statement_token2] = ACTIONS(1070),
    [aux_sym_if_statement_token1] = ACTIONS(1070),
    [aux_sym_if_statement_token2] = ACTIONS(1070),
    [aux_sym_else_if_clause_token1] = ACTIONS(1070),
    [aux_sym_else_clause_token1] = ACTIONS(1070),
    [aux_sym_match_expression_token1] = ACTIONS(1070),
    [aux_sym_match_default_expression_token1] = ACTIONS(1070),
    [aux_sym_switch_statement_token1] = ACTIONS(1070),
    [aux_sym_switch_block_token1] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(1068),
    [anon_sym_PLUS] = ACTIONS(1070),
    [anon_sym_DASH] = ACTIONS(1070),
    [anon_sym_TILDE] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(1068),
    [aux_sym_clone_expression_token1] = ACTIONS(1070),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1070),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1070),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [aux_sym__list_destructing_token1] = ACTIONS(1070),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_self] = ACTIONS(1070),
    [anon_sym_parent] = ACTIONS(1070),
    [anon_sym_POUND_LBRACK] = ACTIONS(1068),
    [anon_sym_SQUOTE] = ACTIONS(1068),
    [aux_sym_encapsed_string_token1] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(1068),
    [aux_sym_string_token1] = ACTIONS(1068),
    [anon_sym_LT_LT_LT] = ACTIONS(1068),
    [anon_sym_BQUOTE] = ACTIONS(1068),
    [sym_boolean] = ACTIONS(1070),
    [sym_null] = ACTIONS(1070),
    [anon_sym_DOLLAR] = ACTIONS(1068),
    [aux_sym_yield_expression_token1] = ACTIONS(1070),
    [aux_sym_include_expression_token1] = ACTIONS(1070),
    [aux_sym_include_once_expression_token1] = ACTIONS(1070),
    [aux_sym_require_expression_token1] = ACTIONS(1070),
    [aux_sym_require_once_expression_token1] = ACTIONS(1070),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1072),
  },
  [455] = {
    [sym_text_interpolation] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1074),
    [sym_name] = ACTIONS(1076),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1078),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1076),
    [aux_sym_global_declaration_token1] = ACTIONS(1076),
    [aux_sym_namespace_definition_token1] = ACTIONS(1076),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1076),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1076),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1076),
    [anon_sym_BSLASH] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1074),
    [anon_sym_RBRACE] = ACTIONS(1074),
    [aux_sym_trait_declaration_token1] = ACTIONS(1076),
    [aux_sym_interface_declaration_token1] = ACTIONS(1076),
    [aux_sym_enum_declaration_token1] = ACTIONS(1076),
    [aux_sym_enum_case_token1] = ACTIONS(1076),
    [aux_sym_class_declaration_token1] = ACTIONS(1076),
    [aux_sym_final_modifier_token1] = ACTIONS(1076),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1076),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1076),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1076),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1076),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1076),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1074),
    [aux_sym_cast_type_token1] = ACTIONS(1076),
    [aux_sym_echo_statement_token1] = ACTIONS(1076),
    [anon_sym_unset] = ACTIONS(1076),
    [aux_sym_declare_statement_token1] = ACTIONS(1076),
    [aux_sym_declare_statement_token2] = ACTIONS(1076),
    [sym_float] = ACTIONS(1076),
    [aux_sym_try_statement_token1] = ACTIONS(1076),
    [aux_sym_goto_statement_token1] = ACTIONS(1076),
    [aux_sym_continue_statement_token1] = ACTIONS(1076),
    [aux_sym_break_statement_token1] = ACTIONS(1076),
    [sym_integer] = ACTIONS(1076),
    [aux_sym_return_statement_token1] = ACTIONS(1076),
    [aux_sym_throw_expression_token1] = ACTIONS(1076),
    [aux_sym_while_statement_token1] = ACTIONS(1076),
    [aux_sym_while_statement_token2] = ACTIONS(1076),
    [aux_sym_do_statement_token1] = ACTIONS(1076),
    [aux_sym_for_statement_token1] = ACTIONS(1076),
    [aux_sym_for_statement_token2] = ACTIONS(1076),
    [aux_sym_foreach_statement_token1] = ACTIONS(1076),
    [aux_sym_foreach_statement_token2] = ACTIONS(1076),
    [aux_sym_if_statement_token1] = ACTIONS(1076),
    [aux_sym_if_statement_token2] = ACTIONS(1076),
    [aux_sym_else_if_clause_token1] = ACTIONS(1076),
    [aux_sym_else_clause_token1] = ACTIONS(1076),
    [aux_sym_match_expression_token1] = ACTIONS(1076),
    [aux_sym_match_default_expression_token1] = ACTIONS(1076),
    [aux_sym_switch_statement_token1] = ACTIONS(1076),
    [aux_sym_switch_block_token1] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1076),
    [anon_sym_DASH] = ACTIONS(1076),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_BANG] = ACTIONS(1074),
    [aux_sym_clone_expression_token1] = ACTIONS(1076),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1076),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1076),
    [anon_sym_PLUS_PLUS] = ACTIONS(1074),
    [anon_sym_DASH_DASH] = ACTIONS(1074),
    [aux_sym__list_destructing_token1] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1074),
    [anon_sym_self] = ACTIONS(1076),
    [anon_sym_parent] = ACTIONS(1076),
    [anon_sym_POUND_LBRACK] = ACTIONS(1074),
    [anon_sym_SQUOTE] = ACTIONS(1074),
    [aux_sym_encapsed_string_token1] = ACTIONS(1074),
    [anon_sym_DQUOTE] = ACTIONS(1074),
    [aux_sym_string_token1] = ACTIONS(1074),
    [anon_sym_LT_LT_LT] = ACTIONS(1074),
    [anon_sym_BQUOTE] = ACTIONS(1074),
    [sym_boolean] = ACTIONS(1076),
    [sym_null] = ACTIONS(1076),
    [anon_sym_DOLLAR] = ACTIONS(1074),
    [aux_sym_yield_expression_token1] = ACTIONS(1076),
    [aux_sym_include_expression_token1] = ACTIONS(1076),
    [aux_sym_include_once_expression_token1] = ACTIONS(1076),
    [aux_sym_require_expression_token1] = ACTIONS(1076),
    [aux_sym_require_once_expression_token1] = ACTIONS(1076),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1078),
  },
  [456] = {
    [sym_text_interpolation] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1080),
    [sym_name] = ACTIONS(1082),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1084),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1082),
    [aux_sym_global_declaration_token1] = ACTIONS(1082),
    [aux_sym_namespace_definition_token1] = ACTIONS(1082),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1082),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1082),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1082),
    [anon_sym_BSLASH] = ACTIONS(1080),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [aux_sym_trait_declaration_token1] = ACTIONS(1082),
    [aux_sym_interface_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_case_token1] = ACTIONS(1082),
    [aux_sym_class_declaration_token1] = ACTIONS(1082),
    [aux_sym_final_modifier_token1] = ACTIONS(1082),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1082),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1082),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1082),
    [anon_sym_LPAREN] = ACTIONS(1080),
    [aux_sym_cast_type_token1] = ACTIONS(1082),
    [aux_sym_echo_statement_token1] = ACTIONS(1082),
    [anon_sym_unset] = ACTIONS(1082),
    [aux_sym_declare_statement_token1] = ACTIONS(1082),
    [aux_sym_declare_statement_token2] = ACTIONS(1082),
    [sym_float] = ACTIONS(1082),
    [aux_sym_try_statement_token1] = ACTIONS(1082),
    [aux_sym_goto_statement_token1] = ACTIONS(1082),
    [aux_sym_continue_statement_token1] = ACTIONS(1082),
    [aux_sym_break_statement_token1] = ACTIONS(1082),
    [sym_integer] = ACTIONS(1082),
    [aux_sym_return_statement_token1] = ACTIONS(1082),
    [aux_sym_throw_expression_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token2] = ACTIONS(1082),
    [aux_sym_do_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token2] = ACTIONS(1082),
    [aux_sym_foreach_statement_token1] = ACTIONS(1082),
    [aux_sym_foreach_statement_token2] = ACTIONS(1082),
    [aux_sym_if_statement_token1] = ACTIONS(1082),
    [aux_sym_if_statement_token2] = ACTIONS(1082),
    [aux_sym_else_if_clause_token1] = ACTIONS(1082),
    [aux_sym_else_clause_token1] = ACTIONS(1082),
    [aux_sym_match_expression_token1] = ACTIONS(1082),
    [aux_sym_match_default_expression_token1] = ACTIONS(1082),
    [aux_sym_switch_statement_token1] = ACTIONS(1082),
    [aux_sym_switch_block_token1] = ACTIONS(1082),
    [anon_sym_AT] = ACTIONS(1080),
    [anon_sym_PLUS] = ACTIONS(1082),
    [anon_sym_DASH] = ACTIONS(1082),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_BANG] = ACTIONS(1080),
    [aux_sym_clone_expression_token1] = ACTIONS(1082),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1082),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1082),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [aux_sym__list_destructing_token1] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_self] = ACTIONS(1082),
    [anon_sym_parent] = ACTIONS(1082),
    [anon_sym_POUND_LBRACK] = ACTIONS(1080),
    [anon_sym_SQUOTE] = ACTIONS(1080),
    [aux_sym_encapsed_string_token1] = ACTIONS(1080),
    [anon_sym_DQUOTE] = ACTIONS(1080),
    [aux_sym_string_token1] = ACTIONS(1080),
    [anon_sym_LT_LT_LT] = ACTIONS(1080),
    [anon_sym_BQUOTE] = ACTIONS(1080),
    [sym_boolean] = ACTIONS(1082),
    [sym_null] = ACTIONS(1082),
    [anon_sym_DOLLAR] = ACTIONS(1080),
    [aux_sym_yield_expression_token1] = ACTIONS(1082),
    [aux_sym_include_expression_token1] = ACTIONS(1082),
    [aux_sym_include_once_expression_token1] = ACTIONS(1082),
    [aux_sym_require_expression_token1] = ACTIONS(1082),
    [aux_sym_require_once_expression_token1] = ACTIONS(1082),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1084),
  },
  [457] = {
    [sym_text_interpolation] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1086),
    [sym_name] = ACTIONS(1088),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1090),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1088),
    [aux_sym_global_declaration_token1] = ACTIONS(1088),
    [aux_sym_namespace_definition_token1] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1088),
    [anon_sym_BSLASH] = ACTIONS(1086),
    [anon_sym_LBRACE] = ACTIONS(1086),
    [anon_sym_RBRACE] = ACTIONS(1086),
    [aux_sym_trait_declaration_token1] = ACTIONS(1088),
    [aux_sym_interface_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_case_token1] = ACTIONS(1088),
    [aux_sym_class_declaration_token1] = ACTIONS(1088),
    [aux_sym_final_modifier_token1] = ACTIONS(1088),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1088),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1088),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1088),
    [anon_sym_LPAREN] = ACTIONS(1086),
    [aux_sym_cast_type_token1] = ACTIONS(1088),
    [aux_sym_echo_statement_token1] = ACTIONS(1088),
    [anon_sym_unset] = ACTIONS(1088),
    [aux_sym_declare_statement_token1] = ACTIONS(1088),
    [aux_sym_declare_statement_token2] = ACTIONS(1088),
    [sym_float] = ACTIONS(1088),
    [aux_sym_try_statement_token1] = ACTIONS(1088),
    [aux_sym_goto_statement_token1] = ACTIONS(1088),
    [aux_sym_continue_statement_token1] = ACTIONS(1088),
    [aux_sym_break_statement_token1] = ACTIONS(1088),
    [sym_integer] = ACTIONS(1088),
    [aux_sym_return_statement_token1] = ACTIONS(1088),
    [aux_sym_throw_expression_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token2] = ACTIONS(1088),
    [aux_sym_do_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token2] = ACTIONS(1088),
    [aux_sym_foreach_statement_token1] = ACTIONS(1088),
    [aux_sym_foreach_statement_token2] = ACTIONS(1088),
    [aux_sym_if_statement_token1] = ACTIONS(1088),
    [aux_sym_if_statement_token2] = ACTIONS(1088),
    [aux_sym_else_if_clause_token1] = ACTIONS(1088),
    [aux_sym_else_clause_token1] = ACTIONS(1088),
    [aux_sym_match_expression_token1] = ACTIONS(1088),
    [aux_sym_match_default_expression_token1] = ACTIONS(1088),
    [aux_sym_switch_statement_token1] = ACTIONS(1088),
    [aux_sym_switch_block_token1] = ACTIONS(1088),
    [anon_sym_AT] = ACTIONS(1086),
    [anon_sym_PLUS] = ACTIONS(1088),
    [anon_sym_DASH] = ACTIONS(1088),
    [anon_sym_TILDE] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [aux_sym_clone_expression_token1] = ACTIONS(1088),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1088),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1088),
    [anon_sym_PLUS_PLUS] = ACTIONS(1086),
    [anon_sym_DASH_DASH] = ACTIONS(1086),
    [aux_sym__list_destructing_token1] = ACTIONS(1088),
    [anon_sym_LBRACK] = ACTIONS(1086),
    [anon_sym_self] = ACTIONS(1088),
    [anon_sym_parent] = ACTIONS(1088),
    [anon_sym_POUND_LBRACK] = ACTIONS(1086),
    [anon_sym_SQUOTE] = ACTIONS(1086),
    [aux_sym_encapsed_string_token1] = ACTIONS(1086),
    [anon_sym_DQUOTE] = ACTIONS(1086),
    [aux_sym_string_token1] = ACTIONS(1086),
    [anon_sym_LT_LT_LT] = ACTIONS(1086),
    [anon_sym_BQUOTE] = ACTIONS(1086),
    [sym_boolean] = ACTIONS(1088),
    [sym_null] = ACTIONS(1088),
    [anon_sym_DOLLAR] = ACTIONS(1086),
    [aux_sym_yield_expression_token1] = ACTIONS(1088),
    [aux_sym_include_expression_token1] = ACTIONS(1088),
    [aux_sym_include_once_expression_token1] = ACTIONS(1088),
    [aux_sym_require_expression_token1] = ACTIONS(1088),
    [aux_sym_require_once_expression_token1] = ACTIONS(1088),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1090),
  },
  [458] = {
    [sym_text_interpolation] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(1092),
    [sym_name] = ACTIONS(1094),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1096),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1094),
    [aux_sym_global_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_definition_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1094),
    [anon_sym_BSLASH] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1092),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [aux_sym_trait_declaration_token1] = ACTIONS(1094),
    [aux_sym_interface_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_case_token1] = ACTIONS(1094),
    [aux_sym_class_declaration_token1] = ACTIONS(1094),
    [aux_sym_final_modifier_token1] = ACTIONS(1094),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1094),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1094),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1094),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [aux_sym_cast_type_token1] = ACTIONS(1094),
    [aux_sym_echo_statement_token1] = ACTIONS(1094),
    [anon_sym_unset] = ACTIONS(1094),
    [aux_sym_declare_statement_token1] = ACTIONS(1094),
    [aux_sym_declare_statement_token2] = ACTIONS(1094),
    [sym_float] = ACTIONS(1094),
    [aux_sym_try_statement_token1] = ACTIONS(1094),
    [aux_sym_goto_statement_token1] = ACTIONS(1094),
    [aux_sym_continue_statement_token1] = ACTIONS(1094),
    [aux_sym_break_statement_token1] = ACTIONS(1094),
    [sym_integer] = ACTIONS(1094),
    [aux_sym_return_statement_token1] = ACTIONS(1094),
    [aux_sym_throw_expression_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token2] = ACTIONS(1094),
    [aux_sym_do_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token2] = ACTIONS(1094),
    [aux_sym_foreach_statement_token1] = ACTIONS(1094),
    [aux_sym_foreach_statement_token2] = ACTIONS(1094),
    [aux_sym_if_statement_token1] = ACTIONS(1094),
    [aux_sym_if_statement_token2] = ACTIONS(1094),
    [aux_sym_else_if_clause_token1] = ACTIONS(1094),
    [aux_sym_else_clause_token1] = ACTIONS(1094),
    [aux_sym_match_expression_token1] = ACTIONS(1094),
    [aux_sym_match_default_expression_token1] = ACTIONS(1094),
    [aux_sym_switch_statement_token1] = ACTIONS(1094),
    [aux_sym_switch_block_token1] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1092),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1092),
    [anon_sym_BANG] = ACTIONS(1092),
    [aux_sym_clone_expression_token1] = ACTIONS(1094),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1094),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1092),
    [aux_sym__list_destructing_token1] = ACTIONS(1094),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_self] = ACTIONS(1094),
    [anon_sym_parent] = ACTIONS(1094),
    [anon_sym_POUND_LBRACK] = ACTIONS(1092),
    [anon_sym_SQUOTE] = ACTIONS(1092),
    [aux_sym_encapsed_string_token1] = ACTIONS(1092),
    [anon_sym_DQUOTE] = ACTIONS(1092),
    [aux_sym_string_token1] = ACTIONS(1092),
    [anon_sym_LT_LT_LT] = ACTIONS(1092),
    [anon_sym_BQUOTE] = ACTIONS(1092),
    [sym_boolean] = ACTIONS(1094),
    [sym_null] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1092),
    [aux_sym_yield_expression_token1] = ACTIONS(1094),
    [aux_sym_include_expression_token1] = ACTIONS(1094),
    [aux_sym_include_once_expression_token1] = ACTIONS(1094),
    [aux_sym_require_expression_token1] = ACTIONS(1094),
    [aux_sym_require_once_expression_token1] = ACTIONS(1094),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1096),
  },
  [459] = {
    [sym_text_interpolation] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1098),
    [sym_name] = ACTIONS(1100),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1102),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1100),
    [aux_sym_global_declaration_token1] = ACTIONS(1100),
    [aux_sym_namespace_definition_token1] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1100),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1100),
    [anon_sym_BSLASH] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [aux_sym_trait_declaration_token1] = ACTIONS(1100),
    [aux_sym_interface_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_declaration_token1] = ACTIONS(1100),
    [aux_sym_enum_case_token1] = ACTIONS(1100),
    [aux_sym_class_declaration_token1] = ACTIONS(1100),
    [aux_sym_final_modifier_token1] = ACTIONS(1100),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1100),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1100),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1100),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1100),
    [anon_sym_LPAREN] = ACTIONS(1098),
    [aux_sym_cast_type_token1] = ACTIONS(1100),
    [aux_sym_echo_statement_token1] = ACTIONS(1100),
    [anon_sym_unset] = ACTIONS(1100),
    [aux_sym_declare_statement_token1] = ACTIONS(1100),
    [aux_sym_declare_statement_token2] = ACTIONS(1100),
    [sym_float] = ACTIONS(1100),
    [aux_sym_try_statement_token1] = ACTIONS(1100),
    [aux_sym_goto_statement_token1] = ACTIONS(1100),
    [aux_sym_continue_statement_token1] = ACTIONS(1100),
    [aux_sym_break_statement_token1] = ACTIONS(1100),
    [sym_integer] = ACTIONS(1100),
    [aux_sym_return_statement_token1] = ACTIONS(1100),
    [aux_sym_throw_expression_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token1] = ACTIONS(1100),
    [aux_sym_while_statement_token2] = ACTIONS(1100),
    [aux_sym_do_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token1] = ACTIONS(1100),
    [aux_sym_for_statement_token2] = ACTIONS(1100),
    [aux_sym_foreach_statement_token1] = ACTIONS(1100),
    [aux_sym_foreach_statement_token2] = ACTIONS(1100),
    [aux_sym_if_statement_token1] = ACTIONS(1100),
    [aux_sym_if_statement_token2] = ACTIONS(1100),
    [aux_sym_else_if_clause_token1] = ACTIONS(1100),
    [aux_sym_else_clause_token1] = ACTIONS(1100),
    [aux_sym_match_expression_token1] = ACTIONS(1100),
    [aux_sym_match_default_expression_token1] = ACTIONS(1100),
    [aux_sym_switch_statement_token1] = ACTIONS(1100),
    [aux_sym_switch_block_token1] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1098),
    [aux_sym_clone_expression_token1] = ACTIONS(1100),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1100),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1100),
    [anon_sym_PLUS_PLUS] = ACTIONS(1098),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [aux_sym__list_destructing_token1] = ACTIONS(1100),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_self] = ACTIONS(1100),
    [anon_sym_parent] = ACTIONS(1100),
    [anon_sym_POUND_LBRACK] = ACTIONS(1098),
    [anon_sym_SQUOTE] = ACTIONS(1098),
    [aux_sym_encapsed_string_token1] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [aux_sym_string_token1] = ACTIONS(1098),
    [anon_sym_LT_LT_LT] = ACTIONS(1098),
    [anon_sym_BQUOTE] = ACTIONS(1098),
    [sym_boolean] = ACTIONS(1100),
    [sym_null] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1098),
    [aux_sym_yield_expression_token1] = ACTIONS(1100),
    [aux_sym_include_expression_token1] = ACTIONS(1100),
    [aux_sym_include_once_expression_token1] = ACTIONS(1100),
    [aux_sym_require_expression_token1] = ACTIONS(1100),
    [aux_sym_require_once_expression_token1] = ACTIONS(1100),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1102),
  },
  [460] = {
    [sym_text_interpolation] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1104),
    [sym_name] = ACTIONS(1106),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1108),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1106),
    [aux_sym_global_declaration_token1] = ACTIONS(1106),
    [aux_sym_namespace_definition_token1] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1106),
    [anon_sym_BSLASH] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [aux_sym_trait_declaration_token1] = ACTIONS(1106),
    [aux_sym_interface_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_case_token1] = ACTIONS(1106),
    [aux_sym_class_declaration_token1] = ACTIONS(1106),
    [aux_sym_final_modifier_token1] = ACTIONS(1106),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1106),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1106),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1106),
    [anon_sym_LPAREN] = ACTIONS(1104),
    [aux_sym_cast_type_token1] = ACTIONS(1106),
    [aux_sym_echo_statement_token1] = ACTIONS(1106),
    [anon_sym_unset] = ACTIONS(1106),
    [aux_sym_declare_statement_token1] = ACTIONS(1106),
    [aux_sym_declare_statement_token2] = ACTIONS(1106),
    [sym_float] = ACTIONS(1106),
    [aux_sym_try_statement_token1] = ACTIONS(1106),
    [aux_sym_goto_statement_token1] = ACTIONS(1106),
    [aux_sym_continue_statement_token1] = ACTIONS(1106),
    [aux_sym_break_statement_token1] = ACTIONS(1106),
    [sym_integer] = ACTIONS(1106),
    [aux_sym_return_statement_token1] = ACTIONS(1106),
    [aux_sym_throw_expression_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token2] = ACTIONS(1106),
    [aux_sym_do_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token2] = ACTIONS(1106),
    [aux_sym_foreach_statement_token1] = ACTIONS(1106),
    [aux_sym_foreach_statement_token2] = ACTIONS(1106),
    [aux_sym_if_statement_token1] = ACTIONS(1106),
    [aux_sym_if_statement_token2] = ACTIONS(1106),
    [aux_sym_else_if_clause_token1] = ACTIONS(1106),
    [aux_sym_else_clause_token1] = ACTIONS(1106),
    [aux_sym_match_expression_token1] = ACTIONS(1106),
    [aux_sym_match_default_expression_token1] = ACTIONS(1106),
    [aux_sym_switch_statement_token1] = ACTIONS(1106),
    [aux_sym_switch_block_token1] = ACTIONS(1106),
    [anon_sym_AT] = ACTIONS(1104),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [aux_sym_clone_expression_token1] = ACTIONS(1106),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1106),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1106),
    [anon_sym_PLUS_PLUS] = ACTIONS(1104),
    [anon_sym_DASH_DASH] = ACTIONS(1104),
    [aux_sym__list_destructing_token1] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_self] = ACTIONS(1106),
    [anon_sym_parent] = ACTIONS(1106),
    [anon_sym_POUND_LBRACK] = ACTIONS(1104),
    [anon_sym_SQUOTE] = ACTIONS(1104),
    [aux_sym_encapsed_string_token1] = ACTIONS(1104),
    [anon_sym_DQUOTE] = ACTIONS(1104),
    [aux_sym_string_token1] = ACTIONS(1104),
    [anon_sym_LT_LT_LT] = ACTIONS(1104),
    [anon_sym_BQUOTE] = ACTIONS(1104),
    [sym_boolean] = ACTIONS(1106),
    [sym_null] = ACTIONS(1106),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [aux_sym_yield_expression_token1] = ACTIONS(1106),
    [aux_sym_include_expression_token1] = ACTIONS(1106),
    [aux_sym_include_once_expression_token1] = ACTIONS(1106),
    [aux_sym_require_expression_token1] = ACTIONS(1106),
    [aux_sym_require_once_expression_token1] = ACTIONS(1106),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1108),
  },
  [461] = {
    [sym_text_interpolation] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_name] = ACTIONS(1112),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1110),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1112),
    [aux_sym_global_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_definition_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [aux_sym_trait_declaration_token1] = ACTIONS(1112),
    [aux_sym_interface_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_case_token1] = ACTIONS(1112),
    [aux_sym_class_declaration_token1] = ACTIONS(1112),
    [aux_sym_final_modifier_token1] = ACTIONS(1112),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1112),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1112),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [aux_sym_cast_type_token1] = ACTIONS(1112),
    [aux_sym_echo_statement_token1] = ACTIONS(1112),
    [anon_sym_unset] = ACTIONS(1112),
    [aux_sym_declare_statement_token1] = ACTIONS(1112),
    [aux_sym_declare_statement_token2] = ACTIONS(1112),
    [sym_float] = ACTIONS(1112),
    [aux_sym_try_statement_token1] = ACTIONS(1112),
    [aux_sym_goto_statement_token1] = ACTIONS(1112),
    [aux_sym_continue_statement_token1] = ACTIONS(1112),
    [aux_sym_break_statement_token1] = ACTIONS(1112),
    [sym_integer] = ACTIONS(1112),
    [aux_sym_return_statement_token1] = ACTIONS(1112),
    [aux_sym_throw_expression_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token2] = ACTIONS(1112),
    [aux_sym_do_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token2] = ACTIONS(1112),
    [aux_sym_foreach_statement_token1] = ACTIONS(1112),
    [aux_sym_foreach_statement_token2] = ACTIONS(1112),
    [aux_sym_if_statement_token1] = ACTIONS(1112),
    [aux_sym_if_statement_token2] = ACTIONS(1112),
    [aux_sym_else_if_clause_token1] = ACTIONS(1112),
    [aux_sym_else_clause_token1] = ACTIONS(1112),
    [aux_sym_match_expression_token1] = ACTIONS(1112),
    [aux_sym_match_default_expression_token1] = ACTIONS(1112),
    [aux_sym_switch_statement_token1] = ACTIONS(1112),
    [aux_sym_switch_block_token1] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [aux_sym_clone_expression_token1] = ACTIONS(1112),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1112),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [aux_sym__list_destructing_token1] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_self] = ACTIONS(1112),
    [anon_sym_parent] = ACTIONS(1112),
    [anon_sym_POUND_LBRACK] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1110),
    [aux_sym_encapsed_string_token1] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [aux_sym_string_token1] = ACTIONS(1110),
    [anon_sym_LT_LT_LT] = ACTIONS(1110),
    [anon_sym_BQUOTE] = ACTIONS(1110),
    [sym_boolean] = ACTIONS(1112),
    [sym_null] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [aux_sym_yield_expression_token1] = ACTIONS(1112),
    [aux_sym_include_expression_token1] = ACTIONS(1112),
    [aux_sym_include_once_expression_token1] = ACTIONS(1112),
    [aux_sym_require_expression_token1] = ACTIONS(1112),
    [aux_sym_require_once_expression_token1] = ACTIONS(1112),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1110),
  },
  [462] = {
    [sym_text_interpolation] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_name] = ACTIONS(1116),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1118),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1116),
    [aux_sym_global_declaration_token1] = ACTIONS(1116),
    [aux_sym_namespace_definition_token1] = ACTIONS(1116),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1116),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1116),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1116),
    [anon_sym_BSLASH] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [aux_sym_trait_declaration_token1] = ACTIONS(1116),
    [aux_sym_interface_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_case_token1] = ACTIONS(1116),
    [aux_sym_class_declaration_token1] = ACTIONS(1116),
    [aux_sym_final_modifier_token1] = ACTIONS(1116),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1116),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1116),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1116),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [aux_sym_cast_type_token1] = ACTIONS(1116),
    [aux_sym_echo_statement_token1] = ACTIONS(1116),
    [anon_sym_unset] = ACTIONS(1116),
    [aux_sym_declare_statement_token1] = ACTIONS(1116),
    [aux_sym_declare_statement_token2] = ACTIONS(1116),
    [sym_float] = ACTIONS(1116),
    [aux_sym_try_statement_token1] = ACTIONS(1116),
    [aux_sym_goto_statement_token1] = ACTIONS(1116),
    [aux_sym_continue_statement_token1] = ACTIONS(1116),
    [aux_sym_break_statement_token1] = ACTIONS(1116),
    [sym_integer] = ACTIONS(1116),
    [aux_sym_return_statement_token1] = ACTIONS(1116),
    [aux_sym_throw_expression_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token2] = ACTIONS(1116),
    [aux_sym_do_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token2] = ACTIONS(1116),
    [aux_sym_foreach_statement_token1] = ACTIONS(1116),
    [aux_sym_foreach_statement_token2] = ACTIONS(1116),
    [aux_sym_if_statement_token1] = ACTIONS(1116),
    [aux_sym_if_statement_token2] = ACTIONS(1116),
    [aux_sym_else_if_clause_token1] = ACTIONS(1116),
    [aux_sym_else_clause_token1] = ACTIONS(1116),
    [aux_sym_match_expression_token1] = ACTIONS(1116),
    [aux_sym_match_default_expression_token1] = ACTIONS(1116),
    [aux_sym_switch_statement_token1] = ACTIONS(1116),
    [aux_sym_switch_block_token1] = ACTIONS(1116),
    [anon_sym_AT] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [aux_sym_clone_expression_token1] = ACTIONS(1116),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1116),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1116),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [aux_sym__list_destructing_token1] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1114),
    [anon_sym_self] = ACTIONS(1116),
    [anon_sym_parent] = ACTIONS(1116),
    [anon_sym_POUND_LBRACK] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [aux_sym_encapsed_string_token1] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [aux_sym_string_token1] = ACTIONS(1114),
    [anon_sym_LT_LT_LT] = ACTIONS(1114),
    [anon_sym_BQUOTE] = ACTIONS(1114),
    [sym_boolean] = ACTIONS(1116),
    [sym_null] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1114),
    [aux_sym_yield_expression_token1] = ACTIONS(1116),
    [aux_sym_include_expression_token1] = ACTIONS(1116),
    [aux_sym_include_once_expression_token1] = ACTIONS(1116),
    [aux_sym_require_expression_token1] = ACTIONS(1116),
    [aux_sym_require_once_expression_token1] = ACTIONS(1116),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1118),
  },
  [463] = {
    [sym_text_interpolation] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1120),
    [sym_name] = ACTIONS(1122),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1124),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1122),
    [aux_sym_global_declaration_token1] = ACTIONS(1122),
    [aux_sym_namespace_definition_token1] = ACTIONS(1122),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1122),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1122),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1122),
    [anon_sym_BSLASH] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [aux_sym_trait_declaration_token1] = ACTIONS(1122),
    [aux_sym_interface_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_case_token1] = ACTIONS(1122),
    [aux_sym_class_declaration_token1] = ACTIONS(1122),
    [aux_sym_final_modifier_token1] = ACTIONS(1122),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1122),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1122),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1120),
    [aux_sym_cast_type_token1] = ACTIONS(1122),
    [aux_sym_echo_statement_token1] = ACTIONS(1122),
    [anon_sym_unset] = ACTIONS(1122),
    [aux_sym_declare_statement_token1] = ACTIONS(1122),
    [aux_sym_declare_statement_token2] = ACTIONS(1122),
    [sym_float] = ACTIONS(1122),
    [aux_sym_try_statement_token1] = ACTIONS(1122),
    [aux_sym_goto_statement_token1] = ACTIONS(1122),
    [aux_sym_continue_statement_token1] = ACTIONS(1122),
    [aux_sym_break_statement_token1] = ACTIONS(1122),
    [sym_integer] = ACTIONS(1122),
    [aux_sym_return_statement_token1] = ACTIONS(1122),
    [aux_sym_throw_expression_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token2] = ACTIONS(1122),
    [aux_sym_do_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token2] = ACTIONS(1122),
    [aux_sym_foreach_statement_token1] = ACTIONS(1122),
    [aux_sym_foreach_statement_token2] = ACTIONS(1122),
    [aux_sym_if_statement_token1] = ACTIONS(1122),
    [aux_sym_if_statement_token2] = ACTIONS(1122),
    [aux_sym_else_if_clause_token1] = ACTIONS(1122),
    [aux_sym_else_clause_token1] = ACTIONS(1122),
    [aux_sym_match_expression_token1] = ACTIONS(1122),
    [aux_sym_match_default_expression_token1] = ACTIONS(1122),
    [aux_sym_switch_statement_token1] = ACTIONS(1122),
    [aux_sym_switch_block_token1] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1120),
    [aux_sym_clone_expression_token1] = ACTIONS(1122),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1122),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [aux_sym__list_destructing_token1] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1120),
    [anon_sym_self] = ACTIONS(1122),
    [anon_sym_parent] = ACTIONS(1122),
    [anon_sym_POUND_LBRACK] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [aux_sym_encapsed_string_token1] = ACTIONS(1120),
    [anon_sym_DQUOTE] = ACTIONS(1120),
    [aux_sym_string_token1] = ACTIONS(1120),
    [anon_sym_LT_LT_LT] = ACTIONS(1120),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_boolean] = ACTIONS(1122),
    [sym_null] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1120),
    [aux_sym_yield_expression_token1] = ACTIONS(1122),
    [aux_sym_include_expression_token1] = ACTIONS(1122),
    [aux_sym_include_once_expression_token1] = ACTIONS(1122),
    [aux_sym_require_expression_token1] = ACTIONS(1122),
    [aux_sym_require_once_expression_token1] = ACTIONS(1122),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1124),
  },
  [464] = {
    [sym_text_interpolation] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_name] = ACTIONS(1128),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1130),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1128),
    [aux_sym_global_declaration_token1] = ACTIONS(1128),
    [aux_sym_namespace_definition_token1] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1128),
    [anon_sym_BSLASH] = ACTIONS(1126),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [aux_sym_trait_declaration_token1] = ACTIONS(1128),
    [aux_sym_interface_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_case_token1] = ACTIONS(1128),
    [aux_sym_class_declaration_token1] = ACTIONS(1128),
    [aux_sym_final_modifier_token1] = ACTIONS(1128),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1128),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1128),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(1126),
    [aux_sym_cast_type_token1] = ACTIONS(1128),
    [aux_sym_echo_statement_token1] = ACTIONS(1128),
    [anon_sym_unset] = ACTIONS(1128),
    [aux_sym_declare_statement_token1] = ACTIONS(1128),
    [aux_sym_declare_statement_token2] = ACTIONS(1128),
    [sym_float] = ACTIONS(1128),
    [aux_sym_try_statement_token1] = ACTIONS(1128),
    [aux_sym_goto_statement_token1] = ACTIONS(1128),
    [aux_sym_continue_statement_token1] = ACTIONS(1128),
    [aux_sym_break_statement_token1] = ACTIONS(1128),
    [sym_integer] = ACTIONS(1128),
    [aux_sym_return_statement_token1] = ACTIONS(1128),
    [aux_sym_throw_expression_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token2] = ACTIONS(1128),
    [aux_sym_do_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token2] = ACTIONS(1128),
    [aux_sym_foreach_statement_token1] = ACTIONS(1128),
    [aux_sym_foreach_statement_token2] = ACTIONS(1128),
    [aux_sym_if_statement_token1] = ACTIONS(1128),
    [aux_sym_if_statement_token2] = ACTIONS(1128),
    [aux_sym_else_if_clause_token1] = ACTIONS(1128),
    [aux_sym_else_clause_token1] = ACTIONS(1128),
    [aux_sym_match_expression_token1] = ACTIONS(1128),
    [aux_sym_match_default_expression_token1] = ACTIONS(1128),
    [aux_sym_switch_statement_token1] = ACTIONS(1128),
    [aux_sym_switch_block_token1] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1126),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [aux_sym_clone_expression_token1] = ACTIONS(1128),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1128),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [aux_sym__list_destructing_token1] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_self] = ACTIONS(1128),
    [anon_sym_parent] = ACTIONS(1128),
    [anon_sym_POUND_LBRACK] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [aux_sym_encapsed_string_token1] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [aux_sym_string_token1] = ACTIONS(1126),
    [anon_sym_LT_LT_LT] = ACTIONS(1126),
    [anon_sym_BQUOTE] = ACTIONS(1126),
    [sym_boolean] = ACTIONS(1128),
    [sym_null] = ACTIONS(1128),
    [anon_sym_DOLLAR] = ACTIONS(1126),
    [aux_sym_yield_expression_token1] = ACTIONS(1128),
    [aux_sym_include_expression_token1] = ACTIONS(1128),
    [aux_sym_include_once_expression_token1] = ACTIONS(1128),
    [aux_sym_require_expression_token1] = ACTIONS(1128),
    [aux_sym_require_once_expression_token1] = ACTIONS(1128),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1130),
  },
  [465] = {
    [sym_text_interpolation] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_name] = ACTIONS(1134),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1132),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1134),
    [aux_sym_global_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_definition_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1134),
    [anon_sym_BSLASH] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [aux_sym_trait_declaration_token1] = ACTIONS(1134),
    [aux_sym_interface_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_case_token1] = ACTIONS(1134),
    [aux_sym_class_declaration_token1] = ACTIONS(1134),
    [aux_sym_final_modifier_token1] = ACTIONS(1134),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1134),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1134),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [aux_sym_cast_type_token1] = ACTIONS(1134),
    [aux_sym_echo_statement_token1] = ACTIONS(1134),
    [anon_sym_unset] = ACTIONS(1134),
    [aux_sym_declare_statement_token1] = ACTIONS(1134),
    [aux_sym_declare_statement_token2] = ACTIONS(1134),
    [sym_float] = ACTIONS(1134),
    [aux_sym_try_statement_token1] = ACTIONS(1134),
    [aux_sym_goto_statement_token1] = ACTIONS(1134),
    [aux_sym_continue_statement_token1] = ACTIONS(1134),
    [aux_sym_break_statement_token1] = ACTIONS(1134),
    [sym_integer] = ACTIONS(1134),
    [aux_sym_return_statement_token1] = ACTIONS(1134),
    [aux_sym_throw_expression_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token2] = ACTIONS(1134),
    [aux_sym_do_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token2] = ACTIONS(1134),
    [aux_sym_foreach_statement_token1] = ACTIONS(1134),
    [aux_sym_foreach_statement_token2] = ACTIONS(1134),
    [aux_sym_if_statement_token1] = ACTIONS(1134),
    [aux_sym_if_statement_token2] = ACTIONS(1134),
    [aux_sym_else_if_clause_token1] = ACTIONS(1134),
    [aux_sym_else_clause_token1] = ACTIONS(1134),
    [aux_sym_match_expression_token1] = ACTIONS(1134),
    [aux_sym_match_default_expression_token1] = ACTIONS(1134),
    [aux_sym_switch_statement_token1] = ACTIONS(1134),
    [aux_sym_switch_block_token1] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [aux_sym_clone_expression_token1] = ACTIONS(1134),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1134),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [aux_sym__list_destructing_token1] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_self] = ACTIONS(1134),
    [anon_sym_parent] = ACTIONS(1134),
    [anon_sym_POUND_LBRACK] = ACTIONS(1132),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [aux_sym_encapsed_string_token1] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1132),
    [aux_sym_string_token1] = ACTIONS(1132),
    [anon_sym_LT_LT_LT] = ACTIONS(1132),
    [anon_sym_BQUOTE] = ACTIONS(1132),
    [sym_boolean] = ACTIONS(1134),
    [sym_null] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [aux_sym_yield_expression_token1] = ACTIONS(1134),
    [aux_sym_include_expression_token1] = ACTIONS(1134),
    [aux_sym_include_once_expression_token1] = ACTIONS(1134),
    [aux_sym_require_expression_token1] = ACTIONS(1134),
    [aux_sym_require_once_expression_token1] = ACTIONS(1134),
    [sym_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_text_interpolation] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_name] = ACTIONS(1138),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1136),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1138),
    [aux_sym_global_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_definition_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1138),
    [anon_sym_BSLASH] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [aux_sym_trait_declaration_token1] = ACTIONS(1138),
    [aux_sym_interface_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_case_token1] = ACTIONS(1138),
    [aux_sym_class_declaration_token1] = ACTIONS(1138),
    [aux_sym_final_modifier_token1] = ACTIONS(1138),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1138),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1138),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [aux_sym_cast_type_token1] = ACTIONS(1138),
    [aux_sym_echo_statement_token1] = ACTIONS(1138),
    [anon_sym_unset] = ACTIONS(1138),
    [aux_sym_declare_statement_token1] = ACTIONS(1138),
    [aux_sym_declare_statement_token2] = ACTIONS(1138),
    [sym_float] = ACTIONS(1138),
    [aux_sym_try_statement_token1] = ACTIONS(1138),
    [aux_sym_goto_statement_token1] = ACTIONS(1138),
    [aux_sym_continue_statement_token1] = ACTIONS(1138),
    [aux_sym_break_statement_token1] = ACTIONS(1138),
    [sym_integer] = ACTIONS(1138),
    [aux_sym_return_statement_token1] = ACTIONS(1138),
    [aux_sym_throw_expression_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token2] = ACTIONS(1138),
    [aux_sym_do_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token2] = ACTIONS(1138),
    [aux_sym_foreach_statement_token1] = ACTIONS(1138),
    [aux_sym_foreach_statement_token2] = ACTIONS(1138),
    [aux_sym_if_statement_token1] = ACTIONS(1138),
    [aux_sym_if_statement_token2] = ACTIONS(1138),
    [aux_sym_else_if_clause_token1] = ACTIONS(1138),
    [aux_sym_else_clause_token1] = ACTIONS(1138),
    [aux_sym_match_expression_token1] = ACTIONS(1138),
    [aux_sym_match_default_expression_token1] = ACTIONS(1138),
    [aux_sym_switch_statement_token1] = ACTIONS(1138),
    [aux_sym_switch_block_token1] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [aux_sym_clone_expression_token1] = ACTIONS(1138),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1138),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [aux_sym__list_destructing_token1] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_self] = ACTIONS(1138),
    [anon_sym_parent] = ACTIONS(1138),
    [anon_sym_POUND_LBRACK] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [aux_sym_encapsed_string_token1] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [aux_sym_string_token1] = ACTIONS(1136),
    [anon_sym_LT_LT_LT] = ACTIONS(1136),
    [anon_sym_BQUOTE] = ACTIONS(1136),
    [sym_boolean] = ACTIONS(1138),
    [sym_null] = ACTIONS(1138),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [aux_sym_yield_expression_token1] = ACTIONS(1138),
    [aux_sym_include_expression_token1] = ACTIONS(1138),
    [aux_sym_include_once_expression_token1] = ACTIONS(1138),
    [aux_sym_require_expression_token1] = ACTIONS(1138),
    [aux_sym_require_once_expression_token1] = ACTIONS(1138),
    [sym_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_text_interpolation] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [sym_boolean] = ACTIONS(1142),
    [sym_null] = ACTIONS(1142),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_text_interpolation] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [sym_boolean] = ACTIONS(1146),
    [sym_null] = ACTIONS(1146),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_text_interpolation] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_name] = ACTIONS(1150),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1148),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1150),
    [aux_sym_global_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_definition_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1150),
    [anon_sym_BSLASH] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym_trait_declaration_token1] = ACTIONS(1150),
    [aux_sym_interface_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_case_token1] = ACTIONS(1150),
    [aux_sym_class_declaration_token1] = ACTIONS(1150),
    [aux_sym_final_modifier_token1] = ACTIONS(1150),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1150),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1150),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1150),
    [anon_sym_LPAREN] = ACTIONS(1148),
    [aux_sym_cast_type_token1] = ACTIONS(1150),
    [aux_sym_echo_statement_token1] = ACTIONS(1150),
    [anon_sym_unset] = ACTIONS(1150),
    [aux_sym_declare_statement_token1] = ACTIONS(1150),
    [aux_sym_declare_statement_token2] = ACTIONS(1150),
    [sym_float] = ACTIONS(1150),
    [aux_sym_try_statement_token1] = ACTIONS(1150),
    [aux_sym_goto_statement_token1] = ACTIONS(1150),
    [aux_sym_continue_statement_token1] = ACTIONS(1150),
    [aux_sym_break_statement_token1] = ACTIONS(1150),
    [sym_integer] = ACTIONS(1150),
    [aux_sym_return_statement_token1] = ACTIONS(1150),
    [aux_sym_throw_expression_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token2] = ACTIONS(1150),
    [aux_sym_do_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token2] = ACTIONS(1150),
    [aux_sym_foreach_statement_token1] = ACTIONS(1150),
    [aux_sym_foreach_statement_token2] = ACTIONS(1150),
    [aux_sym_if_statement_token1] = ACTIONS(1150),
    [aux_sym_if_statement_token2] = ACTIONS(1150),
    [aux_sym_else_if_clause_token1] = ACTIONS(1150),
    [aux_sym_else_clause_token1] = ACTIONS(1150),
    [aux_sym_match_expression_token1] = ACTIONS(1150),
    [aux_sym_match_default_expression_token1] = ACTIONS(1150),
    [aux_sym_switch_statement_token1] = ACTIONS(1150),
    [aux_sym_switch_block_token1] = ACTIONS(1150),
    [anon_sym_AT] = ACTIONS(1148),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [aux_sym_clone_expression_token1] = ACTIONS(1150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1150),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [aux_sym__list_destructing_token1] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_self] = ACTIONS(1150),
    [anon_sym_parent] = ACTIONS(1150),
    [anon_sym_POUND_LBRACK] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [aux_sym_encapsed_string_token1] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_string_token1] = ACTIONS(1148),
    [anon_sym_LT_LT_LT] = ACTIONS(1148),
    [anon_sym_BQUOTE] = ACTIONS(1148),
    [sym_boolean] = ACTIONS(1150),
    [sym_null] = ACTIONS(1150),
    [anon_sym_DOLLAR] = ACTIONS(1148),
    [aux_sym_yield_expression_token1] = ACTIONS(1150),
    [aux_sym_include_expression_token1] = ACTIONS(1150),
    [aux_sym_include_once_expression_token1] = ACTIONS(1150),
    [aux_sym_require_expression_token1] = ACTIONS(1150),
    [aux_sym_require_once_expression_token1] = ACTIONS(1150),
    [sym_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_text_interpolation] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_name] = ACTIONS(1154),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1154),
    [aux_sym_global_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_definition_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1154),
    [anon_sym_BSLASH] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym_trait_declaration_token1] = ACTIONS(1154),
    [aux_sym_interface_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_case_token1] = ACTIONS(1154),
    [aux_sym_class_declaration_token1] = ACTIONS(1154),
    [aux_sym_final_modifier_token1] = ACTIONS(1154),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1154),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1154),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1154),
    [anon_sym_LPAREN] = ACTIONS(1152),
    [aux_sym_cast_type_token1] = ACTIONS(1154),
    [aux_sym_echo_statement_token1] = ACTIONS(1154),
    [anon_sym_unset] = ACTIONS(1154),
    [aux_sym_declare_statement_token1] = ACTIONS(1154),
    [aux_sym_declare_statement_token2] = ACTIONS(1154),
    [sym_float] = ACTIONS(1154),
    [aux_sym_try_statement_token1] = ACTIONS(1154),
    [aux_sym_goto_statement_token1] = ACTIONS(1154),
    [aux_sym_continue_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1154),
    [sym_integer] = ACTIONS(1154),
    [aux_sym_return_statement_token1] = ACTIONS(1154),
    [aux_sym_throw_expression_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token2] = ACTIONS(1154),
    [aux_sym_do_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token2] = ACTIONS(1154),
    [aux_sym_foreach_statement_token1] = ACTIONS(1154),
    [aux_sym_foreach_statement_token2] = ACTIONS(1154),
    [aux_sym_if_statement_token1] = ACTIONS(1154),
    [aux_sym_if_statement_token2] = ACTIONS(1154),
    [aux_sym_else_if_clause_token1] = ACTIONS(1154),
    [aux_sym_else_clause_token1] = ACTIONS(1154),
    [aux_sym_match_expression_token1] = ACTIONS(1154),
    [aux_sym_match_default_expression_token1] = ACTIONS(1154),
    [aux_sym_switch_statement_token1] = ACTIONS(1154),
    [aux_sym_switch_block_token1] = ACTIONS(1154),
    [anon_sym_AT] = ACTIONS(1152),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [aux_sym_clone_expression_token1] = ACTIONS(1154),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1154),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [aux_sym__list_destructing_token1] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_self] = ACTIONS(1154),
    [anon_sym_parent] = ACTIONS(1154),
    [anon_sym_POUND_LBRACK] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [aux_sym_encapsed_string_token1] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [aux_sym_string_token1] = ACTIONS(1152),
    [anon_sym_LT_LT_LT] = ACTIONS(1152),
    [anon_sym_BQUOTE] = ACTIONS(1152),
    [sym_boolean] = ACTIONS(1154),
    [sym_null] = ACTIONS(1154),
    [anon_sym_DOLLAR] = ACTIONS(1152),
    [aux_sym_yield_expression_token1] = ACTIONS(1154),
    [aux_sym_include_expression_token1] = ACTIONS(1154),
    [aux_sym_include_once_expression_token1] = ACTIONS(1154),
    [aux_sym_require_expression_token1] = ACTIONS(1154),
    [aux_sym_require_once_expression_token1] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_text_interpolation] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_name] = ACTIONS(1158),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1156),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1158),
    [aux_sym_global_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_definition_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1158),
    [anon_sym_BSLASH] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym_trait_declaration_token1] = ACTIONS(1158),
    [aux_sym_interface_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_case_token1] = ACTIONS(1158),
    [aux_sym_class_declaration_token1] = ACTIONS(1158),
    [aux_sym_final_modifier_token1] = ACTIONS(1158),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1158),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1158),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1158),
    [anon_sym_LPAREN] = ACTIONS(1156),
    [aux_sym_cast_type_token1] = ACTIONS(1158),
    [aux_sym_echo_statement_token1] = ACTIONS(1158),
    [anon_sym_unset] = ACTIONS(1158),
    [aux_sym_declare_statement_token1] = ACTIONS(1158),
    [aux_sym_declare_statement_token2] = ACTIONS(1158),
    [sym_float] = ACTIONS(1158),
    [aux_sym_try_statement_token1] = ACTIONS(1158),
    [aux_sym_goto_statement_token1] = ACTIONS(1158),
    [aux_sym_continue_statement_token1] = ACTIONS(1158),
    [aux_sym_break_statement_token1] = ACTIONS(1158),
    [sym_integer] = ACTIONS(1158),
    [aux_sym_return_statement_token1] = ACTIONS(1158),
    [aux_sym_throw_expression_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token2] = ACTIONS(1158),
    [aux_sym_do_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token2] = ACTIONS(1158),
    [aux_sym_foreach_statement_token1] = ACTIONS(1158),
    [aux_sym_foreach_statement_token2] = ACTIONS(1158),
    [aux_sym_if_statement_token1] = ACTIONS(1158),
    [aux_sym_if_statement_token2] = ACTIONS(1158),
    [aux_sym_else_if_clause_token1] = ACTIONS(1158),
    [aux_sym_else_clause_token1] = ACTIONS(1158),
    [aux_sym_match_expression_token1] = ACTIONS(1158),
    [aux_sym_match_default_expression_token1] = ACTIONS(1158),
    [aux_sym_switch_statement_token1] = ACTIONS(1158),
    [aux_sym_switch_block_token1] = ACTIONS(1158),
    [anon_sym_AT] = ACTIONS(1156),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [aux_sym_clone_expression_token1] = ACTIONS(1158),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1158),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [aux_sym__list_destructing_token1] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(1158),
    [anon_sym_parent] = ACTIONS(1158),
    [anon_sym_POUND_LBRACK] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [aux_sym_encapsed_string_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_string_token1] = ACTIONS(1156),
    [anon_sym_LT_LT_LT] = ACTIONS(1156),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [sym_boolean] = ACTIONS(1158),
    [sym_null] = ACTIONS(1158),
    [anon_sym_DOLLAR] = ACTIONS(1156),
    [aux_sym_yield_expression_token1] = ACTIONS(1158),
    [aux_sym_include_expression_token1] = ACTIONS(1158),
    [aux_sym_include_once_expression_token1] = ACTIONS(1158),
    [aux_sym_require_expression_token1] = ACTIONS(1158),
    [aux_sym_require_once_expression_token1] = ACTIONS(1158),
    [sym_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_text_interpolation] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_name] = ACTIONS(1162),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1162),
    [aux_sym_global_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_definition_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1162),
    [anon_sym_BSLASH] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym_trait_declaration_token1] = ACTIONS(1162),
    [aux_sym_interface_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_case_token1] = ACTIONS(1162),
    [aux_sym_class_declaration_token1] = ACTIONS(1162),
    [aux_sym_final_modifier_token1] = ACTIONS(1162),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1162),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1162),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1162),
    [anon_sym_LPAREN] = ACTIONS(1160),
    [aux_sym_cast_type_token1] = ACTIONS(1162),
    [aux_sym_echo_statement_token1] = ACTIONS(1162),
    [anon_sym_unset] = ACTIONS(1162),
    [aux_sym_declare_statement_token1] = ACTIONS(1162),
    [aux_sym_declare_statement_token2] = ACTIONS(1162),
    [sym_float] = ACTIONS(1162),
    [aux_sym_try_statement_token1] = ACTIONS(1162),
    [aux_sym_goto_statement_token1] = ACTIONS(1162),
    [aux_sym_continue_statement_token1] = ACTIONS(1162),
    [aux_sym_break_statement_token1] = ACTIONS(1162),
    [sym_integer] = ACTIONS(1162),
    [aux_sym_return_statement_token1] = ACTIONS(1162),
    [aux_sym_throw_expression_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token2] = ACTIONS(1162),
    [aux_sym_do_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token2] = ACTIONS(1162),
    [aux_sym_foreach_statement_token1] = ACTIONS(1162),
    [aux_sym_foreach_statement_token2] = ACTIONS(1162),
    [aux_sym_if_statement_token1] = ACTIONS(1162),
    [aux_sym_if_statement_token2] = ACTIONS(1162),
    [aux_sym_else_if_clause_token1] = ACTIONS(1162),
    [aux_sym_else_clause_token1] = ACTIONS(1162),
    [aux_sym_match_expression_token1] = ACTIONS(1162),
    [aux_sym_match_default_expression_token1] = ACTIONS(1162),
    [aux_sym_switch_statement_token1] = ACTIONS(1162),
    [aux_sym_switch_block_token1] = ACTIONS(1162),
    [anon_sym_AT] = ACTIONS(1160),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [aux_sym_clone_expression_token1] = ACTIONS(1162),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1162),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [aux_sym__list_destructing_token1] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(1162),
    [anon_sym_parent] = ACTIONS(1162),
    [anon_sym_POUND_LBRACK] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [aux_sym_encapsed_string_token1] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_string_token1] = ACTIONS(1160),
    [anon_sym_LT_LT_LT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [sym_boolean] = ACTIONS(1162),
    [sym_null] = ACTIONS(1162),
    [anon_sym_DOLLAR] = ACTIONS(1160),
    [aux_sym_yield_expression_token1] = ACTIONS(1162),
    [aux_sym_include_expression_token1] = ACTIONS(1162),
    [aux_sym_include_once_expression_token1] = ACTIONS(1162),
    [aux_sym_require_expression_token1] = ACTIONS(1162),
    [aux_sym_require_once_expression_token1] = ACTIONS(1162),
    [sym_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_text_interpolation] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [anon_sym_LPAREN] = ACTIONS(1164),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(1164),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [sym_boolean] = ACTIONS(1166),
    [sym_null] = ACTIONS(1166),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_text_interpolation] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [sym_boolean] = ACTIONS(1170),
    [sym_null] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_text_interpolation] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1168),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [sym_boolean] = ACTIONS(1170),
    [sym_null] = ACTIONS(1170),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_text_interpolation] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_name] = ACTIONS(1174),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1172),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1174),
    [aux_sym_global_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_definition_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1174),
    [anon_sym_BSLASH] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [aux_sym_trait_declaration_token1] = ACTIONS(1174),
    [aux_sym_interface_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_case_token1] = ACTIONS(1174),
    [aux_sym_class_declaration_token1] = ACTIONS(1174),
    [aux_sym_final_modifier_token1] = ACTIONS(1174),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1174),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1174),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1174),
    [anon_sym_LPAREN] = ACTIONS(1172),
    [aux_sym_cast_type_token1] = ACTIONS(1174),
    [aux_sym_echo_statement_token1] = ACTIONS(1174),
    [anon_sym_unset] = ACTIONS(1174),
    [aux_sym_declare_statement_token1] = ACTIONS(1174),
    [aux_sym_declare_statement_token2] = ACTIONS(1174),
    [sym_float] = ACTIONS(1174),
    [aux_sym_try_statement_token1] = ACTIONS(1174),
    [aux_sym_goto_statement_token1] = ACTIONS(1174),
    [aux_sym_continue_statement_token1] = ACTIONS(1174),
    [aux_sym_break_statement_token1] = ACTIONS(1174),
    [sym_integer] = ACTIONS(1174),
    [aux_sym_return_statement_token1] = ACTIONS(1174),
    [aux_sym_throw_expression_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token2] = ACTIONS(1174),
    [aux_sym_do_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token2] = ACTIONS(1174),
    [aux_sym_foreach_statement_token1] = ACTIONS(1174),
    [aux_sym_foreach_statement_token2] = ACTIONS(1174),
    [aux_sym_if_statement_token1] = ACTIONS(1174),
    [aux_sym_if_statement_token2] = ACTIONS(1174),
    [aux_sym_else_if_clause_token1] = ACTIONS(1174),
    [aux_sym_else_clause_token1] = ACTIONS(1174),
    [aux_sym_match_expression_token1] = ACTIONS(1174),
    [aux_sym_match_default_expression_token1] = ACTIONS(1174),
    [aux_sym_switch_statement_token1] = ACTIONS(1174),
    [aux_sym_switch_block_token1] = ACTIONS(1174),
    [anon_sym_AT] = ACTIONS(1172),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [aux_sym_clone_expression_token1] = ACTIONS(1174),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1174),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [aux_sym__list_destructing_token1] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(1174),
    [anon_sym_parent] = ACTIONS(1174),
    [anon_sym_POUND_LBRACK] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [aux_sym_encapsed_string_token1] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [aux_sym_string_token1] = ACTIONS(1172),
    [anon_sym_LT_LT_LT] = ACTIONS(1172),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [sym_boolean] = ACTIONS(1174),
    [sym_null] = ACTIONS(1174),
    [anon_sym_DOLLAR] = ACTIONS(1172),
    [aux_sym_yield_expression_token1] = ACTIONS(1174),
    [aux_sym_include_expression_token1] = ACTIONS(1174),
    [aux_sym_include_once_expression_token1] = ACTIONS(1174),
    [aux_sym_require_expression_token1] = ACTIONS(1174),
    [aux_sym_require_once_expression_token1] = ACTIONS(1174),
    [sym_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_text_interpolation] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_AT] = ACTIONS(1176),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [sym_boolean] = ACTIONS(1178),
    [sym_null] = ACTIONS(1178),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_text_interpolation] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [anon_sym_LPAREN] = ACTIONS(1180),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_AT] = ACTIONS(1180),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [sym_boolean] = ACTIONS(1182),
    [sym_null] = ACTIONS(1182),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_text_interpolation] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1184),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1184),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_AT] = ACTIONS(1184),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [sym_boolean] = ACTIONS(1186),
    [sym_null] = ACTIONS(1186),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_text_interpolation] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1188),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_AT] = ACTIONS(1188),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [sym_boolean] = ACTIONS(1190),
    [sym_null] = ACTIONS(1190),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_text_interpolation] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [sym_boolean] = ACTIONS(1194),
    [sym_null] = ACTIONS(1194),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_text_interpolation] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [sym_boolean] = ACTIONS(1198),
    [sym_null] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_text_interpolation] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_name] = ACTIONS(1202),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1202),
    [aux_sym_global_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_definition_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [aux_sym_trait_declaration_token1] = ACTIONS(1202),
    [aux_sym_interface_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_case_token1] = ACTIONS(1202),
    [aux_sym_class_declaration_token1] = ACTIONS(1202),
    [aux_sym_final_modifier_token1] = ACTIONS(1202),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1202),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1202),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [aux_sym_cast_type_token1] = ACTIONS(1202),
    [aux_sym_echo_statement_token1] = ACTIONS(1202),
    [anon_sym_unset] = ACTIONS(1202),
    [aux_sym_declare_statement_token1] = ACTIONS(1202),
    [aux_sym_declare_statement_token2] = ACTIONS(1202),
    [sym_float] = ACTIONS(1202),
    [aux_sym_try_statement_token1] = ACTIONS(1202),
    [aux_sym_goto_statement_token1] = ACTIONS(1202),
    [aux_sym_continue_statement_token1] = ACTIONS(1202),
    [aux_sym_break_statement_token1] = ACTIONS(1202),
    [sym_integer] = ACTIONS(1202),
    [aux_sym_return_statement_token1] = ACTIONS(1202),
    [aux_sym_throw_expression_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token2] = ACTIONS(1202),
    [aux_sym_do_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token2] = ACTIONS(1202),
    [aux_sym_foreach_statement_token1] = ACTIONS(1202),
    [aux_sym_foreach_statement_token2] = ACTIONS(1202),
    [aux_sym_if_statement_token1] = ACTIONS(1202),
    [aux_sym_if_statement_token2] = ACTIONS(1202),
    [aux_sym_else_if_clause_token1] = ACTIONS(1202),
    [aux_sym_else_clause_token1] = ACTIONS(1202),
    [aux_sym_match_expression_token1] = ACTIONS(1202),
    [aux_sym_match_default_expression_token1] = ACTIONS(1202),
    [aux_sym_switch_statement_token1] = ACTIONS(1202),
    [aux_sym_switch_block_token1] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [aux_sym_clone_expression_token1] = ACTIONS(1202),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1202),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [aux_sym__list_destructing_token1] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_self] = ACTIONS(1202),
    [anon_sym_parent] = ACTIONS(1202),
    [anon_sym_POUND_LBRACK] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [aux_sym_encapsed_string_token1] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_string_token1] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [sym_boolean] = ACTIONS(1202),
    [sym_null] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1200),
    [aux_sym_yield_expression_token1] = ACTIONS(1202),
    [aux_sym_include_expression_token1] = ACTIONS(1202),
    [aux_sym_include_once_expression_token1] = ACTIONS(1202),
    [aux_sym_require_expression_token1] = ACTIONS(1202),
    [aux_sym_require_once_expression_token1] = ACTIONS(1202),
    [sym_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_text_interpolation] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_name] = ACTIONS(1206),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1206),
    [aux_sym_global_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_definition_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1206),
    [anon_sym_BSLASH] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [aux_sym_trait_declaration_token1] = ACTIONS(1206),
    [aux_sym_interface_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_case_token1] = ACTIONS(1206),
    [aux_sym_class_declaration_token1] = ACTIONS(1206),
    [aux_sym_final_modifier_token1] = ACTIONS(1206),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1206),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1206),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [aux_sym_cast_type_token1] = ACTIONS(1206),
    [aux_sym_echo_statement_token1] = ACTIONS(1206),
    [anon_sym_unset] = ACTIONS(1206),
    [aux_sym_declare_statement_token1] = ACTIONS(1206),
    [aux_sym_declare_statement_token2] = ACTIONS(1206),
    [sym_float] = ACTIONS(1206),
    [aux_sym_try_statement_token1] = ACTIONS(1206),
    [aux_sym_goto_statement_token1] = ACTIONS(1206),
    [aux_sym_continue_statement_token1] = ACTIONS(1206),
    [aux_sym_break_statement_token1] = ACTIONS(1206),
    [sym_integer] = ACTIONS(1206),
    [aux_sym_return_statement_token1] = ACTIONS(1206),
    [aux_sym_throw_expression_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token2] = ACTIONS(1206),
    [aux_sym_do_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token2] = ACTIONS(1206),
    [aux_sym_foreach_statement_token1] = ACTIONS(1206),
    [aux_sym_foreach_statement_token2] = ACTIONS(1206),
    [aux_sym_if_statement_token1] = ACTIONS(1206),
    [aux_sym_if_statement_token2] = ACTIONS(1206),
    [aux_sym_else_if_clause_token1] = ACTIONS(1206),
    [aux_sym_else_clause_token1] = ACTIONS(1206),
    [aux_sym_match_expression_token1] = ACTIONS(1206),
    [aux_sym_match_default_expression_token1] = ACTIONS(1206),
    [aux_sym_switch_statement_token1] = ACTIONS(1206),
    [aux_sym_switch_block_token1] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [aux_sym_clone_expression_token1] = ACTIONS(1206),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1206),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1206),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [aux_sym__list_destructing_token1] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_self] = ACTIONS(1206),
    [anon_sym_parent] = ACTIONS(1206),
    [anon_sym_POUND_LBRACK] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [aux_sym_encapsed_string_token1] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_string_token1] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_BQUOTE] = ACTIONS(1204),
    [sym_boolean] = ACTIONS(1206),
    [sym_null] = ACTIONS(1206),
    [anon_sym_DOLLAR] = ACTIONS(1204),
    [aux_sym_yield_expression_token1] = ACTIONS(1206),
    [aux_sym_include_expression_token1] = ACTIONS(1206),
    [aux_sym_include_once_expression_token1] = ACTIONS(1206),
    [aux_sym_require_expression_token1] = ACTIONS(1206),
    [aux_sym_require_once_expression_token1] = ACTIONS(1206),
    [sym_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_text_interpolation] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1210),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [sym_boolean] = ACTIONS(1210),
    [sym_null] = ACTIONS(1210),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_text_interpolation] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1212),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_AT] = ACTIONS(1212),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [sym_boolean] = ACTIONS(1214),
    [sym_null] = ACTIONS(1214),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_text_interpolation] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1218),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [sym_boolean] = ACTIONS(1218),
    [sym_null] = ACTIONS(1218),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_text_interpolation] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1222),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [sym_boolean] = ACTIONS(1222),
    [sym_null] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_text_interpolation] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1226),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [sym_boolean] = ACTIONS(1226),
    [sym_null] = ACTIONS(1226),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_text_interpolation] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_AT] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [sym_boolean] = ACTIONS(1230),
    [sym_null] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_text_interpolation] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_AT] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [sym_boolean] = ACTIONS(1234),
    [sym_null] = ACTIONS(1234),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_text_interpolation] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [sym_boolean] = ACTIONS(1238),
    [sym_null] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_text_interpolation] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [sym_boolean] = ACTIONS(1242),
    [sym_null] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_text_interpolation] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1246),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [sym_boolean] = ACTIONS(1246),
    [sym_null] = ACTIONS(1246),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_text_interpolation] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [sym_boolean] = ACTIONS(1242),
    [sym_null] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_text_interpolation] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_AT] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1250),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [sym_boolean] = ACTIONS(1250),
    [sym_null] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_text_interpolation] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [sym_boolean] = ACTIONS(1254),
    [sym_null] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_text_interpolation] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_AT] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1258),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [sym_boolean] = ACTIONS(1258),
    [sym_null] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_text_interpolation] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_AT] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1262),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [sym_boolean] = ACTIONS(1262),
    [sym_null] = ACTIONS(1262),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_text_interpolation] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1266),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [sym_boolean] = ACTIONS(1266),
    [sym_null] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_text_interpolation] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_AT] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [sym_boolean] = ACTIONS(1270),
    [sym_null] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_text_interpolation] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1274),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [sym_boolean] = ACTIONS(1274),
    [sym_null] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_text_interpolation] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_AT] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1278),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [sym_boolean] = ACTIONS(1278),
    [sym_null] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_text_interpolation] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_AT] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1270),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [sym_boolean] = ACTIONS(1270),
    [sym_null] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_text_interpolation] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_AT] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [sym_boolean] = ACTIONS(1282),
    [sym_null] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_text_interpolation] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_AT] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1286),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [sym_boolean] = ACTIONS(1286),
    [sym_null] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_text_interpolation] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_AT] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1290),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [sym_boolean] = ACTIONS(1290),
    [sym_null] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_text_interpolation] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1012),
    [sym_name] = ACTIONS(1014),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1012),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1014),
    [aux_sym_global_declaration_token1] = ACTIONS(1014),
    [aux_sym_namespace_definition_token1] = ACTIONS(1014),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1014),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1014),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1014),
    [anon_sym_BSLASH] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1012),
    [anon_sym_RBRACE] = ACTIONS(1012),
    [aux_sym_trait_declaration_token1] = ACTIONS(1014),
    [aux_sym_interface_declaration_token1] = ACTIONS(1014),
    [aux_sym_enum_declaration_token1] = ACTIONS(1014),
    [aux_sym_enum_case_token1] = ACTIONS(1014),
    [aux_sym_class_declaration_token1] = ACTIONS(1014),
    [aux_sym_final_modifier_token1] = ACTIONS(1014),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1014),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1014),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1014),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1014),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1014),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1014),
    [anon_sym_LPAREN] = ACTIONS(1012),
    [aux_sym_cast_type_token1] = ACTIONS(1014),
    [aux_sym_echo_statement_token1] = ACTIONS(1014),
    [anon_sym_unset] = ACTIONS(1014),
    [aux_sym_declare_statement_token1] = ACTIONS(1014),
    [aux_sym_declare_statement_token2] = ACTIONS(1014),
    [sym_float] = ACTIONS(1014),
    [aux_sym_try_statement_token1] = ACTIONS(1014),
    [aux_sym_goto_statement_token1] = ACTIONS(1014),
    [aux_sym_continue_statement_token1] = ACTIONS(1014),
    [aux_sym_break_statement_token1] = ACTIONS(1014),
    [sym_integer] = ACTIONS(1014),
    [aux_sym_return_statement_token1] = ACTIONS(1014),
    [aux_sym_throw_expression_token1] = ACTIONS(1014),
    [aux_sym_while_statement_token1] = ACTIONS(1014),
    [aux_sym_while_statement_token2] = ACTIONS(1014),
    [aux_sym_do_statement_token1] = ACTIONS(1014),
    [aux_sym_for_statement_token1] = ACTIONS(1014),
    [aux_sym_for_statement_token2] = ACTIONS(1014),
    [aux_sym_foreach_statement_token1] = ACTIONS(1014),
    [aux_sym_foreach_statement_token2] = ACTIONS(1014),
    [aux_sym_if_statement_token1] = ACTIONS(1014),
    [aux_sym_if_statement_token2] = ACTIONS(1014),
    [aux_sym_else_if_clause_token1] = ACTIONS(1014),
    [aux_sym_else_clause_token1] = ACTIONS(1014),
    [aux_sym_match_expression_token1] = ACTIONS(1014),
    [aux_sym_match_default_expression_token1] = ACTIONS(1014),
    [aux_sym_switch_statement_token1] = ACTIONS(1014),
    [aux_sym_switch_block_token1] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(1014),
    [anon_sym_DASH] = ACTIONS(1014),
    [anon_sym_TILDE] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(1012),
    [aux_sym_clone_expression_token1] = ACTIONS(1014),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1014),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1014),
    [anon_sym_PLUS_PLUS] = ACTIONS(1012),
    [anon_sym_DASH_DASH] = ACTIONS(1012),
    [aux_sym__list_destructing_token1] = ACTIONS(1014),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_self] = ACTIONS(1014),
    [anon_sym_parent] = ACTIONS(1014),
    [anon_sym_POUND_LBRACK] = ACTIONS(1012),
    [anon_sym_SQUOTE] = ACTIONS(1012),
    [aux_sym_encapsed_string_token1] = ACTIONS(1012),
    [anon_sym_DQUOTE] = ACTIONS(1012),
    [aux_sym_string_token1] = ACTIONS(1012),
    [anon_sym_LT_LT_LT] = ACTIONS(1012),
    [anon_sym_BQUOTE] = ACTIONS(1012),
    [sym_boolean] = ACTIONS(1014),
    [sym_null] = ACTIONS(1014),
    [anon_sym_DOLLAR] = ACTIONS(1012),
    [aux_sym_yield_expression_token1] = ACTIONS(1014),
    [aux_sym_include_expression_token1] = ACTIONS(1014),
    [aux_sym_include_once_expression_token1] = ACTIONS(1014),
    [aux_sym_require_expression_token1] = ACTIONS(1014),
    [aux_sym_require_once_expression_token1] = ACTIONS(1014),
    [sym_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_text_interpolation] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_AT] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [sym_boolean] = ACTIONS(1294),
    [sym_null] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_text_interpolation] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_AT] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1298),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [sym_boolean] = ACTIONS(1298),
    [sym_null] = ACTIONS(1298),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_text_interpolation] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1302),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [sym_boolean] = ACTIONS(1302),
    [sym_null] = ACTIONS(1302),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_text_interpolation] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [anon_sym_LPAREN] = ACTIONS(1304),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_AT] = ACTIONS(1304),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1306),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [sym_boolean] = ACTIONS(1306),
    [sym_null] = ACTIONS(1306),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_text_interpolation] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [anon_sym_LPAREN] = ACTIONS(1308),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1308),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [sym_boolean] = ACTIONS(1310),
    [sym_null] = ACTIONS(1310),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_text_interpolation] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [anon_sym_LPAREN] = ACTIONS(1312),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_AT] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [sym_boolean] = ACTIONS(1314),
    [sym_null] = ACTIONS(1314),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_text_interpolation] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(1316),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_AT] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [sym_boolean] = ACTIONS(1318),
    [sym_null] = ACTIONS(1318),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_text_interpolation] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_name] = ACTIONS(1112),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1110),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1112),
    [aux_sym_global_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_definition_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1112),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [aux_sym_trait_declaration_token1] = ACTIONS(1112),
    [aux_sym_interface_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_declaration_token1] = ACTIONS(1112),
    [aux_sym_enum_case_token1] = ACTIONS(1112),
    [aux_sym_class_declaration_token1] = ACTIONS(1112),
    [aux_sym_final_modifier_token1] = ACTIONS(1112),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1112),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1112),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1112),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [aux_sym_cast_type_token1] = ACTIONS(1112),
    [aux_sym_echo_statement_token1] = ACTIONS(1112),
    [anon_sym_unset] = ACTIONS(1112),
    [aux_sym_declare_statement_token1] = ACTIONS(1112),
    [aux_sym_declare_statement_token2] = ACTIONS(1112),
    [sym_float] = ACTIONS(1112),
    [aux_sym_try_statement_token1] = ACTIONS(1112),
    [aux_sym_goto_statement_token1] = ACTIONS(1112),
    [aux_sym_continue_statement_token1] = ACTIONS(1112),
    [aux_sym_break_statement_token1] = ACTIONS(1112),
    [sym_integer] = ACTIONS(1112),
    [aux_sym_return_statement_token1] = ACTIONS(1112),
    [aux_sym_throw_expression_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token1] = ACTIONS(1112),
    [aux_sym_while_statement_token2] = ACTIONS(1112),
    [aux_sym_do_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token1] = ACTIONS(1112),
    [aux_sym_for_statement_token2] = ACTIONS(1112),
    [aux_sym_foreach_statement_token1] = ACTIONS(1112),
    [aux_sym_foreach_statement_token2] = ACTIONS(1112),
    [aux_sym_if_statement_token1] = ACTIONS(1112),
    [aux_sym_if_statement_token2] = ACTIONS(1112),
    [aux_sym_else_if_clause_token1] = ACTIONS(1112),
    [aux_sym_else_clause_token1] = ACTIONS(1112),
    [aux_sym_match_expression_token1] = ACTIONS(1112),
    [aux_sym_match_default_expression_token1] = ACTIONS(1112),
    [aux_sym_switch_statement_token1] = ACTIONS(1112),
    [aux_sym_switch_block_token1] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [aux_sym_clone_expression_token1] = ACTIONS(1112),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1112),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [aux_sym__list_destructing_token1] = ACTIONS(1112),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_self] = ACTIONS(1112),
    [anon_sym_parent] = ACTIONS(1112),
    [anon_sym_POUND_LBRACK] = ACTIONS(1110),
    [anon_sym_SQUOTE] = ACTIONS(1110),
    [aux_sym_encapsed_string_token1] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [aux_sym_string_token1] = ACTIONS(1110),
    [anon_sym_LT_LT_LT] = ACTIONS(1110),
    [anon_sym_BQUOTE] = ACTIONS(1110),
    [sym_boolean] = ACTIONS(1112),
    [sym_null] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1110),
    [aux_sym_yield_expression_token1] = ACTIONS(1112),
    [aux_sym_include_expression_token1] = ACTIONS(1112),
    [aux_sym_include_once_expression_token1] = ACTIONS(1112),
    [aux_sym_require_expression_token1] = ACTIONS(1112),
    [aux_sym_require_once_expression_token1] = ACTIONS(1112),
    [sym_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_text_interpolation] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_AT] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1254),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [sym_boolean] = ACTIONS(1254),
    [sym_null] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_text_interpolation] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_AT] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1322),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [sym_boolean] = ACTIONS(1322),
    [sym_null] = ACTIONS(1322),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_text_interpolation] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [anon_sym_LPAREN] = ACTIONS(1324),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_AT] = ACTIONS(1324),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [sym_boolean] = ACTIONS(1326),
    [sym_null] = ACTIONS(1326),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_text_interpolation] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_AT] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [sym_boolean] = ACTIONS(1330),
    [sym_null] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_text_interpolation] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [anon_sym_LPAREN] = ACTIONS(1332),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_AT] = ACTIONS(1332),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1334),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [sym_boolean] = ACTIONS(1334),
    [sym_null] = ACTIONS(1334),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_text_interpolation] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [anon_sym_LPAREN] = ACTIONS(1336),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_AT] = ACTIONS(1336),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1338),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [sym_boolean] = ACTIONS(1338),
    [sym_null] = ACTIONS(1338),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_text_interpolation] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [anon_sym_LPAREN] = ACTIONS(1340),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_AT] = ACTIONS(1340),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1342),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [sym_boolean] = ACTIONS(1342),
    [sym_null] = ACTIONS(1342),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_text_interpolation] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [anon_sym_LPAREN] = ACTIONS(1344),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_AT] = ACTIONS(1344),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1346),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [sym_boolean] = ACTIONS(1346),
    [sym_null] = ACTIONS(1346),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_text_interpolation] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1348),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_AT] = ACTIONS(1348),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1350),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [sym_boolean] = ACTIONS(1350),
    [sym_null] = ACTIONS(1350),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_text_interpolation] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_name] = ACTIONS(1354),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1352),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1354),
    [aux_sym_global_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_definition_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [aux_sym_trait_declaration_token1] = ACTIONS(1354),
    [aux_sym_interface_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_case_token1] = ACTIONS(1354),
    [aux_sym_class_declaration_token1] = ACTIONS(1354),
    [aux_sym_final_modifier_token1] = ACTIONS(1354),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1354),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1354),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1352),
    [aux_sym_cast_type_token1] = ACTIONS(1354),
    [aux_sym_echo_statement_token1] = ACTIONS(1354),
    [anon_sym_unset] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_declare_statement_token2] = ACTIONS(1354),
    [sym_float] = ACTIONS(1354),
    [aux_sym_try_statement_token1] = ACTIONS(1354),
    [aux_sym_goto_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [sym_integer] = ACTIONS(1354),
    [aux_sym_return_statement_token1] = ACTIONS(1354),
    [aux_sym_throw_expression_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token2] = ACTIONS(1354),
    [aux_sym_do_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token2] = ACTIONS(1354),
    [aux_sym_foreach_statement_token1] = ACTIONS(1354),
    [aux_sym_foreach_statement_token2] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token2] = ACTIONS(1354),
    [aux_sym_else_if_clause_token1] = ACTIONS(1354),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_match_expression_token1] = ACTIONS(1354),
    [aux_sym_match_default_expression_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1354),
    [aux_sym_switch_block_token1] = ACTIONS(1354),
    [anon_sym_AT] = ACTIONS(1352),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [aux_sym_clone_expression_token1] = ACTIONS(1354),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1354),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1354),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [aux_sym__list_destructing_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_self] = ACTIONS(1354),
    [anon_sym_parent] = ACTIONS(1354),
    [anon_sym_POUND_LBRACK] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [aux_sym_encapsed_string_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [aux_sym_string_token1] = ACTIONS(1352),
    [anon_sym_LT_LT_LT] = ACTIONS(1352),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [sym_boolean] = ACTIONS(1354),
    [sym_null] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [aux_sym_yield_expression_token1] = ACTIONS(1354),
    [aux_sym_include_expression_token1] = ACTIONS(1354),
    [aux_sym_include_once_expression_token1] = ACTIONS(1354),
    [aux_sym_require_expression_token1] = ACTIONS(1354),
    [aux_sym_require_once_expression_token1] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_text_interpolation] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_name] = ACTIONS(1358),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1358),
    [aux_sym_global_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_definition_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1358),
    [anon_sym_BSLASH] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [aux_sym_trait_declaration_token1] = ACTIONS(1358),
    [aux_sym_interface_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_case_token1] = ACTIONS(1358),
    [aux_sym_class_declaration_token1] = ACTIONS(1358),
    [aux_sym_final_modifier_token1] = ACTIONS(1358),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1358),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1358),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1358),
    [anon_sym_LPAREN] = ACTIONS(1356),
    [aux_sym_cast_type_token1] = ACTIONS(1358),
    [aux_sym_echo_statement_token1] = ACTIONS(1358),
    [anon_sym_unset] = ACTIONS(1358),
    [aux_sym_declare_statement_token1] = ACTIONS(1358),
    [aux_sym_declare_statement_token2] = ACTIONS(1358),
    [sym_float] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_goto_statement_token1] = ACTIONS(1358),
    [aux_sym_continue_statement_token1] = ACTIONS(1358),
    [aux_sym_break_statement_token1] = ACTIONS(1358),
    [sym_integer] = ACTIONS(1358),
    [aux_sym_return_statement_token1] = ACTIONS(1358),
    [aux_sym_throw_expression_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token2] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token2] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token2] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_if_statement_token2] = ACTIONS(1358),
    [aux_sym_else_if_clause_token1] = ACTIONS(1358),
    [aux_sym_else_clause_token1] = ACTIONS(1358),
    [aux_sym_match_expression_token1] = ACTIONS(1358),
    [aux_sym_match_default_expression_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_block_token1] = ACTIONS(1358),
    [anon_sym_AT] = ACTIONS(1356),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [aux_sym_clone_expression_token1] = ACTIONS(1358),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1358),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1358),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [aux_sym__list_destructing_token1] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(1358),
    [anon_sym_parent] = ACTIONS(1358),
    [anon_sym_POUND_LBRACK] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [aux_sym_encapsed_string_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [aux_sym_string_token1] = ACTIONS(1356),
    [anon_sym_LT_LT_LT] = ACTIONS(1356),
    [anon_sym_BQUOTE] = ACTIONS(1356),
    [sym_boolean] = ACTIONS(1358),
    [sym_null] = ACTIONS(1358),
    [anon_sym_DOLLAR] = ACTIONS(1356),
    [aux_sym_yield_expression_token1] = ACTIONS(1358),
    [aux_sym_include_expression_token1] = ACTIONS(1358),
    [aux_sym_include_once_expression_token1] = ACTIONS(1358),
    [aux_sym_require_expression_token1] = ACTIONS(1358),
    [aux_sym_require_once_expression_token1] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_text_interpolation] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1360),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(1360),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1362),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [sym_boolean] = ACTIONS(1362),
    [sym_null] = ACTIONS(1362),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_text_interpolation] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1364),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_AT] = ACTIONS(1364),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1366),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [sym_boolean] = ACTIONS(1366),
    [sym_null] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_text_interpolation] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_name] = ACTIONS(1370),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1368),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1370),
    [aux_sym_global_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_definition_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1370),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [aux_sym_trait_declaration_token1] = ACTIONS(1370),
    [aux_sym_interface_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_case_token1] = ACTIONS(1370),
    [aux_sym_class_declaration_token1] = ACTIONS(1370),
    [aux_sym_final_modifier_token1] = ACTIONS(1370),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1370),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1370),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1368),
    [aux_sym_cast_type_token1] = ACTIONS(1370),
    [aux_sym_echo_statement_token1] = ACTIONS(1370),
    [anon_sym_unset] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_declare_statement_token2] = ACTIONS(1370),
    [sym_float] = ACTIONS(1370),
    [aux_sym_try_statement_token1] = ACTIONS(1370),
    [aux_sym_goto_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [sym_integer] = ACTIONS(1370),
    [aux_sym_return_statement_token1] = ACTIONS(1370),
    [aux_sym_throw_expression_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token2] = ACTIONS(1370),
    [aux_sym_do_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token2] = ACTIONS(1370),
    [aux_sym_foreach_statement_token1] = ACTIONS(1370),
    [aux_sym_foreach_statement_token2] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token2] = ACTIONS(1370),
    [aux_sym_else_if_clause_token1] = ACTIONS(1370),
    [aux_sym_else_clause_token1] = ACTIONS(1370),
    [aux_sym_match_expression_token1] = ACTIONS(1370),
    [aux_sym_match_default_expression_token1] = ACTIONS(1370),
    [aux_sym_switch_statement_token1] = ACTIONS(1370),
    [aux_sym_switch_block_token1] = ACTIONS(1370),
    [anon_sym_AT] = ACTIONS(1368),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [aux_sym_clone_expression_token1] = ACTIONS(1370),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1370),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1370),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [aux_sym__list_destructing_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_self] = ACTIONS(1370),
    [anon_sym_parent] = ACTIONS(1370),
    [anon_sym_POUND_LBRACK] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [aux_sym_encapsed_string_token1] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_string_token1] = ACTIONS(1368),
    [anon_sym_LT_LT_LT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [sym_boolean] = ACTIONS(1370),
    [sym_null] = ACTIONS(1370),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [aux_sym_yield_expression_token1] = ACTIONS(1370),
    [aux_sym_include_expression_token1] = ACTIONS(1370),
    [aux_sym_include_once_expression_token1] = ACTIONS(1370),
    [aux_sym_require_expression_token1] = ACTIONS(1370),
    [aux_sym_require_once_expression_token1] = ACTIONS(1370),
    [sym_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_text_interpolation] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1372),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_AT] = ACTIONS(1372),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1374),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [sym_boolean] = ACTIONS(1374),
    [sym_null] = ACTIONS(1374),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_text_interpolation] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_name] = ACTIONS(1378),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1378),
    [aux_sym_global_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_definition_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [aux_sym_trait_declaration_token1] = ACTIONS(1378),
    [aux_sym_interface_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_case_token1] = ACTIONS(1378),
    [aux_sym_class_declaration_token1] = ACTIONS(1378),
    [aux_sym_final_modifier_token1] = ACTIONS(1378),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1378),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1378),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1376),
    [aux_sym_cast_type_token1] = ACTIONS(1378),
    [aux_sym_echo_statement_token1] = ACTIONS(1378),
    [anon_sym_unset] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_declare_statement_token2] = ACTIONS(1378),
    [sym_float] = ACTIONS(1378),
    [aux_sym_try_statement_token1] = ACTIONS(1378),
    [aux_sym_goto_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [sym_integer] = ACTIONS(1378),
    [aux_sym_return_statement_token1] = ACTIONS(1378),
    [aux_sym_throw_expression_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token2] = ACTIONS(1378),
    [aux_sym_do_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token2] = ACTIONS(1378),
    [aux_sym_foreach_statement_token1] = ACTIONS(1378),
    [aux_sym_foreach_statement_token2] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token2] = ACTIONS(1378),
    [aux_sym_else_if_clause_token1] = ACTIONS(1378),
    [aux_sym_else_clause_token1] = ACTIONS(1378),
    [aux_sym_match_expression_token1] = ACTIONS(1378),
    [aux_sym_match_default_expression_token1] = ACTIONS(1378),
    [aux_sym_switch_statement_token1] = ACTIONS(1378),
    [aux_sym_switch_block_token1] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1376),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [aux_sym_clone_expression_token1] = ACTIONS(1378),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1378),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1378),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [aux_sym__list_destructing_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_self] = ACTIONS(1378),
    [anon_sym_parent] = ACTIONS(1378),
    [anon_sym_POUND_LBRACK] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [aux_sym_encapsed_string_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [aux_sym_string_token1] = ACTIONS(1376),
    [anon_sym_LT_LT_LT] = ACTIONS(1376),
    [anon_sym_BQUOTE] = ACTIONS(1376),
    [sym_boolean] = ACTIONS(1378),
    [sym_null] = ACTIONS(1378),
    [anon_sym_DOLLAR] = ACTIONS(1376),
    [aux_sym_yield_expression_token1] = ACTIONS(1378),
    [aux_sym_include_expression_token1] = ACTIONS(1378),
    [aux_sym_include_once_expression_token1] = ACTIONS(1378),
    [aux_sym_require_expression_token1] = ACTIONS(1378),
    [aux_sym_require_once_expression_token1] = ACTIONS(1378),
    [sym_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_text_interpolation] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_name] = ACTIONS(1382),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1382),
    [aux_sym_global_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_definition_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1382),
    [anon_sym_BSLASH] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_trait_declaration_token1] = ACTIONS(1382),
    [aux_sym_interface_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_case_token1] = ACTIONS(1382),
    [aux_sym_class_declaration_token1] = ACTIONS(1382),
    [aux_sym_final_modifier_token1] = ACTIONS(1382),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1382),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1382),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [aux_sym_cast_type_token1] = ACTIONS(1382),
    [aux_sym_echo_statement_token1] = ACTIONS(1382),
    [anon_sym_unset] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_declare_statement_token2] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [aux_sym_try_statement_token1] = ACTIONS(1382),
    [aux_sym_goto_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [sym_integer] = ACTIONS(1382),
    [aux_sym_return_statement_token1] = ACTIONS(1382),
    [aux_sym_throw_expression_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token2] = ACTIONS(1382),
    [aux_sym_do_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token2] = ACTIONS(1382),
    [aux_sym_foreach_statement_token1] = ACTIONS(1382),
    [aux_sym_foreach_statement_token2] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token2] = ACTIONS(1382),
    [aux_sym_else_if_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1382),
    [aux_sym_match_expression_token1] = ACTIONS(1382),
    [aux_sym_match_default_expression_token1] = ACTIONS(1382),
    [aux_sym_switch_statement_token1] = ACTIONS(1382),
    [aux_sym_switch_block_token1] = ACTIONS(1382),
    [anon_sym_AT] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [aux_sym_clone_expression_token1] = ACTIONS(1382),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1382),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1382),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [aux_sym__list_destructing_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_self] = ACTIONS(1382),
    [anon_sym_parent] = ACTIONS(1382),
    [anon_sym_POUND_LBRACK] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [aux_sym_encapsed_string_token1] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_string_token1] = ACTIONS(1380),
    [anon_sym_LT_LT_LT] = ACTIONS(1380),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [sym_boolean] = ACTIONS(1382),
    [sym_null] = ACTIONS(1382),
    [anon_sym_DOLLAR] = ACTIONS(1380),
    [aux_sym_yield_expression_token1] = ACTIONS(1382),
    [aux_sym_include_expression_token1] = ACTIONS(1382),
    [aux_sym_include_once_expression_token1] = ACTIONS(1382),
    [aux_sym_require_expression_token1] = ACTIONS(1382),
    [aux_sym_require_once_expression_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_text_interpolation] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_AT] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1386),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [sym_boolean] = ACTIONS(1386),
    [sym_null] = ACTIONS(1386),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_text_interpolation] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_name] = ACTIONS(1134),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1132),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1134),
    [aux_sym_global_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_definition_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1134),
    [anon_sym_BSLASH] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [aux_sym_trait_declaration_token1] = ACTIONS(1134),
    [aux_sym_interface_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_case_token1] = ACTIONS(1134),
    [aux_sym_class_declaration_token1] = ACTIONS(1134),
    [aux_sym_final_modifier_token1] = ACTIONS(1134),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1134),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1134),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [aux_sym_cast_type_token1] = ACTIONS(1134),
    [aux_sym_echo_statement_token1] = ACTIONS(1134),
    [anon_sym_unset] = ACTIONS(1134),
    [aux_sym_declare_statement_token1] = ACTIONS(1134),
    [aux_sym_declare_statement_token2] = ACTIONS(1134),
    [sym_float] = ACTIONS(1134),
    [aux_sym_try_statement_token1] = ACTIONS(1134),
    [aux_sym_goto_statement_token1] = ACTIONS(1134),
    [aux_sym_continue_statement_token1] = ACTIONS(1134),
    [aux_sym_break_statement_token1] = ACTIONS(1134),
    [sym_integer] = ACTIONS(1134),
    [aux_sym_return_statement_token1] = ACTIONS(1134),
    [aux_sym_throw_expression_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token2] = ACTIONS(1134),
    [aux_sym_do_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token2] = ACTIONS(1134),
    [aux_sym_foreach_statement_token1] = ACTIONS(1134),
    [aux_sym_foreach_statement_token2] = ACTIONS(1134),
    [aux_sym_if_statement_token1] = ACTIONS(1134),
    [aux_sym_if_statement_token2] = ACTIONS(1134),
    [aux_sym_else_if_clause_token1] = ACTIONS(1134),
    [aux_sym_else_clause_token1] = ACTIONS(1134),
    [aux_sym_match_expression_token1] = ACTIONS(1134),
    [aux_sym_match_default_expression_token1] = ACTIONS(1134),
    [aux_sym_switch_statement_token1] = ACTIONS(1134),
    [aux_sym_switch_block_token1] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [aux_sym_clone_expression_token1] = ACTIONS(1134),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1134),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [aux_sym__list_destructing_token1] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_self] = ACTIONS(1134),
    [anon_sym_parent] = ACTIONS(1134),
    [anon_sym_POUND_LBRACK] = ACTIONS(1132),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [aux_sym_encapsed_string_token1] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1132),
    [aux_sym_string_token1] = ACTIONS(1132),
    [anon_sym_LT_LT_LT] = ACTIONS(1132),
    [anon_sym_BQUOTE] = ACTIONS(1132),
    [sym_boolean] = ACTIONS(1134),
    [sym_null] = ACTIONS(1134),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [aux_sym_yield_expression_token1] = ACTIONS(1134),
    [aux_sym_include_expression_token1] = ACTIONS(1134),
    [aux_sym_include_once_expression_token1] = ACTIONS(1134),
    [aux_sym_require_expression_token1] = ACTIONS(1134),
    [aux_sym_require_once_expression_token1] = ACTIONS(1134),
    [sym_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_text_interpolation] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_name] = ACTIONS(1390),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1388),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1390),
    [aux_sym_global_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_definition_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [aux_sym_trait_declaration_token1] = ACTIONS(1390),
    [aux_sym_interface_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_case_token1] = ACTIONS(1390),
    [aux_sym_class_declaration_token1] = ACTIONS(1390),
    [aux_sym_final_modifier_token1] = ACTIONS(1390),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1390),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1390),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1388),
    [aux_sym_cast_type_token1] = ACTIONS(1390),
    [aux_sym_echo_statement_token1] = ACTIONS(1390),
    [anon_sym_unset] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_declare_statement_token2] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [aux_sym_try_statement_token1] = ACTIONS(1390),
    [aux_sym_goto_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [sym_integer] = ACTIONS(1390),
    [aux_sym_return_statement_token1] = ACTIONS(1390),
    [aux_sym_throw_expression_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token2] = ACTIONS(1390),
    [aux_sym_do_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token2] = ACTIONS(1390),
    [aux_sym_foreach_statement_token1] = ACTIONS(1390),
    [aux_sym_foreach_statement_token2] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token2] = ACTIONS(1390),
    [aux_sym_else_if_clause_token1] = ACTIONS(1390),
    [aux_sym_else_clause_token1] = ACTIONS(1390),
    [aux_sym_match_expression_token1] = ACTIONS(1390),
    [aux_sym_match_default_expression_token1] = ACTIONS(1390),
    [aux_sym_switch_statement_token1] = ACTIONS(1390),
    [aux_sym_switch_block_token1] = ACTIONS(1390),
    [anon_sym_AT] = ACTIONS(1388),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [aux_sym_clone_expression_token1] = ACTIONS(1390),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1390),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1390),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [aux_sym__list_destructing_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_self] = ACTIONS(1390),
    [anon_sym_parent] = ACTIONS(1390),
    [anon_sym_POUND_LBRACK] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [aux_sym_encapsed_string_token1] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_string_token1] = ACTIONS(1388),
    [anon_sym_LT_LT_LT] = ACTIONS(1388),
    [anon_sym_BQUOTE] = ACTIONS(1388),
    [sym_boolean] = ACTIONS(1390),
    [sym_null] = ACTIONS(1390),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [aux_sym_yield_expression_token1] = ACTIONS(1390),
    [aux_sym_include_expression_token1] = ACTIONS(1390),
    [aux_sym_include_once_expression_token1] = ACTIONS(1390),
    [aux_sym_require_expression_token1] = ACTIONS(1390),
    [aux_sym_require_once_expression_token1] = ACTIONS(1390),
    [sym_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_text_interpolation] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1008),
    [sym_name] = ACTIONS(1010),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1008),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1010),
    [aux_sym_global_declaration_token1] = ACTIONS(1010),
    [aux_sym_namespace_definition_token1] = ACTIONS(1010),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1010),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1010),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1010),
    [anon_sym_BSLASH] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1008),
    [anon_sym_RBRACE] = ACTIONS(1008),
    [aux_sym_trait_declaration_token1] = ACTIONS(1010),
    [aux_sym_interface_declaration_token1] = ACTIONS(1010),
    [aux_sym_enum_declaration_token1] = ACTIONS(1010),
    [aux_sym_enum_case_token1] = ACTIONS(1010),
    [aux_sym_class_declaration_token1] = ACTIONS(1010),
    [aux_sym_final_modifier_token1] = ACTIONS(1010),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1010),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1010),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1010),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1010),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1010),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1010),
    [anon_sym_LPAREN] = ACTIONS(1008),
    [aux_sym_cast_type_token1] = ACTIONS(1010),
    [aux_sym_echo_statement_token1] = ACTIONS(1010),
    [anon_sym_unset] = ACTIONS(1010),
    [aux_sym_declare_statement_token1] = ACTIONS(1010),
    [aux_sym_declare_statement_token2] = ACTIONS(1010),
    [sym_float] = ACTIONS(1010),
    [aux_sym_try_statement_token1] = ACTIONS(1010),
    [aux_sym_goto_statement_token1] = ACTIONS(1010),
    [aux_sym_continue_statement_token1] = ACTIONS(1010),
    [aux_sym_break_statement_token1] = ACTIONS(1010),
    [sym_integer] = ACTIONS(1010),
    [aux_sym_return_statement_token1] = ACTIONS(1010),
    [aux_sym_throw_expression_token1] = ACTIONS(1010),
    [aux_sym_while_statement_token1] = ACTIONS(1010),
    [aux_sym_while_statement_token2] = ACTIONS(1010),
    [aux_sym_do_statement_token1] = ACTIONS(1010),
    [aux_sym_for_statement_token1] = ACTIONS(1010),
    [aux_sym_for_statement_token2] = ACTIONS(1010),
    [aux_sym_foreach_statement_token1] = ACTIONS(1010),
    [aux_sym_foreach_statement_token2] = ACTIONS(1010),
    [aux_sym_if_statement_token1] = ACTIONS(1010),
    [aux_sym_if_statement_token2] = ACTIONS(1010),
    [aux_sym_else_if_clause_token1] = ACTIONS(1010),
    [aux_sym_else_clause_token1] = ACTIONS(1010),
    [aux_sym_match_expression_token1] = ACTIONS(1010),
    [aux_sym_match_default_expression_token1] = ACTIONS(1010),
    [aux_sym_switch_statement_token1] = ACTIONS(1010),
    [aux_sym_switch_block_token1] = ACTIONS(1010),
    [anon_sym_AT] = ACTIONS(1008),
    [anon_sym_PLUS] = ACTIONS(1010),
    [anon_sym_DASH] = ACTIONS(1010),
    [anon_sym_TILDE] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(1008),
    [aux_sym_clone_expression_token1] = ACTIONS(1010),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1010),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1010),
    [anon_sym_PLUS_PLUS] = ACTIONS(1008),
    [anon_sym_DASH_DASH] = ACTIONS(1008),
    [aux_sym__list_destructing_token1] = ACTIONS(1010),
    [anon_sym_LBRACK] = ACTIONS(1008),
    [anon_sym_self] = ACTIONS(1010),
    [anon_sym_parent] = ACTIONS(1010),
    [anon_sym_POUND_LBRACK] = ACTIONS(1008),
    [anon_sym_SQUOTE] = ACTIONS(1008),
    [aux_sym_encapsed_string_token1] = ACTIONS(1008),
    [anon_sym_DQUOTE] = ACTIONS(1008),
    [aux_sym_string_token1] = ACTIONS(1008),
    [anon_sym_LT_LT_LT] = ACTIONS(1008),
    [anon_sym_BQUOTE] = ACTIONS(1008),
    [sym_boolean] = ACTIONS(1010),
    [sym_null] = ACTIONS(1010),
    [anon_sym_DOLLAR] = ACTIONS(1008),
    [aux_sym_yield_expression_token1] = ACTIONS(1010),
    [aux_sym_include_expression_token1] = ACTIONS(1010),
    [aux_sym_include_once_expression_token1] = ACTIONS(1010),
    [aux_sym_require_expression_token1] = ACTIONS(1010),
    [aux_sym_require_once_expression_token1] = ACTIONS(1010),
    [sym_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_text_interpolation] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_name] = ACTIONS(1394),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1392),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1394),
    [aux_sym_global_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_definition_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1394),
    [anon_sym_BSLASH] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [aux_sym_trait_declaration_token1] = ACTIONS(1394),
    [aux_sym_interface_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_case_token1] = ACTIONS(1394),
    [aux_sym_class_declaration_token1] = ACTIONS(1394),
    [aux_sym_final_modifier_token1] = ACTIONS(1394),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1394),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1394),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1392),
    [aux_sym_cast_type_token1] = ACTIONS(1394),
    [aux_sym_echo_statement_token1] = ACTIONS(1394),
    [anon_sym_unset] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_declare_statement_token2] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [aux_sym_try_statement_token1] = ACTIONS(1394),
    [aux_sym_goto_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [sym_integer] = ACTIONS(1394),
    [aux_sym_return_statement_token1] = ACTIONS(1394),
    [aux_sym_throw_expression_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token2] = ACTIONS(1394),
    [aux_sym_do_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token2] = ACTIONS(1394),
    [aux_sym_foreach_statement_token1] = ACTIONS(1394),
    [aux_sym_foreach_statement_token2] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token2] = ACTIONS(1394),
    [aux_sym_else_if_clause_token1] = ACTIONS(1394),
    [aux_sym_else_clause_token1] = ACTIONS(1394),
    [aux_sym_match_expression_token1] = ACTIONS(1394),
    [aux_sym_match_default_expression_token1] = ACTIONS(1394),
    [aux_sym_switch_statement_token1] = ACTIONS(1394),
    [aux_sym_switch_block_token1] = ACTIONS(1394),
    [anon_sym_AT] = ACTIONS(1392),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [aux_sym_clone_expression_token1] = ACTIONS(1394),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1394),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1394),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [aux_sym__list_destructing_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_self] = ACTIONS(1394),
    [anon_sym_parent] = ACTIONS(1394),
    [anon_sym_POUND_LBRACK] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [aux_sym_encapsed_string_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [aux_sym_string_token1] = ACTIONS(1392),
    [anon_sym_LT_LT_LT] = ACTIONS(1392),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [sym_boolean] = ACTIONS(1394),
    [sym_null] = ACTIONS(1394),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [aux_sym_yield_expression_token1] = ACTIONS(1394),
    [aux_sym_include_expression_token1] = ACTIONS(1394),
    [aux_sym_include_once_expression_token1] = ACTIONS(1394),
    [aux_sym_require_expression_token1] = ACTIONS(1394),
    [aux_sym_require_once_expression_token1] = ACTIONS(1394),
    [sym_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_text_interpolation] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_name] = ACTIONS(1398),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1396),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1398),
    [aux_sym_global_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_definition_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [aux_sym_trait_declaration_token1] = ACTIONS(1398),
    [aux_sym_interface_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_case_token1] = ACTIONS(1398),
    [aux_sym_class_declaration_token1] = ACTIONS(1398),
    [aux_sym_final_modifier_token1] = ACTIONS(1398),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1398),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1398),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [aux_sym_cast_type_token1] = ACTIONS(1398),
    [aux_sym_echo_statement_token1] = ACTIONS(1398),
    [anon_sym_unset] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_declare_statement_token2] = ACTIONS(1398),
    [sym_float] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_goto_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1398),
    [aux_sym_return_statement_token1] = ACTIONS(1398),
    [aux_sym_throw_expression_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token2] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token2] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token2] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token2] = ACTIONS(1398),
    [aux_sym_else_if_clause_token1] = ACTIONS(1398),
    [aux_sym_else_clause_token1] = ACTIONS(1398),
    [aux_sym_match_expression_token1] = ACTIONS(1398),
    [aux_sym_match_default_expression_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_block_token1] = ACTIONS(1398),
    [anon_sym_AT] = ACTIONS(1396),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [aux_sym_clone_expression_token1] = ACTIONS(1398),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1398),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1398),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [aux_sym__list_destructing_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_self] = ACTIONS(1398),
    [anon_sym_parent] = ACTIONS(1398),
    [anon_sym_POUND_LBRACK] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [aux_sym_encapsed_string_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [aux_sym_string_token1] = ACTIONS(1396),
    [anon_sym_LT_LT_LT] = ACTIONS(1396),
    [anon_sym_BQUOTE] = ACTIONS(1396),
    [sym_boolean] = ACTIONS(1398),
    [sym_null] = ACTIONS(1398),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [aux_sym_yield_expression_token1] = ACTIONS(1398),
    [aux_sym_include_expression_token1] = ACTIONS(1398),
    [aux_sym_include_once_expression_token1] = ACTIONS(1398),
    [aux_sym_require_expression_token1] = ACTIONS(1398),
    [aux_sym_require_once_expression_token1] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_text_interpolation] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1400),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_AT] = ACTIONS(1400),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1402),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [sym_boolean] = ACTIONS(1402),
    [sym_null] = ACTIONS(1402),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_text_interpolation] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [sym_boolean] = ACTIONS(1406),
    [sym_null] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_text_interpolation] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1406),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [sym_boolean] = ACTIONS(1406),
    [sym_null] = ACTIONS(1406),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_text_interpolation] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_name] = ACTIONS(1410),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1410),
    [aux_sym_global_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_definition_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1410),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [aux_sym_trait_declaration_token1] = ACTIONS(1410),
    [aux_sym_interface_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_case_token1] = ACTIONS(1410),
    [aux_sym_class_declaration_token1] = ACTIONS(1410),
    [aux_sym_final_modifier_token1] = ACTIONS(1410),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1410),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1410),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1410),
    [anon_sym_LPAREN] = ACTIONS(1408),
    [aux_sym_cast_type_token1] = ACTIONS(1410),
    [aux_sym_echo_statement_token1] = ACTIONS(1410),
    [anon_sym_unset] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_declare_statement_token2] = ACTIONS(1410),
    [sym_float] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_goto_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [sym_integer] = ACTIONS(1410),
    [aux_sym_return_statement_token1] = ACTIONS(1410),
    [aux_sym_throw_expression_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token2] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token2] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token2] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token2] = ACTIONS(1410),
    [aux_sym_else_if_clause_token1] = ACTIONS(1410),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_match_expression_token1] = ACTIONS(1410),
    [aux_sym_match_default_expression_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_switch_block_token1] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(1408),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [aux_sym_clone_expression_token1] = ACTIONS(1410),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1410),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1410),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [aux_sym__list_destructing_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_self] = ACTIONS(1410),
    [anon_sym_parent] = ACTIONS(1410),
    [anon_sym_POUND_LBRACK] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [aux_sym_encapsed_string_token1] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_string_token1] = ACTIONS(1408),
    [anon_sym_LT_LT_LT] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [sym_boolean] = ACTIONS(1410),
    [sym_null] = ACTIONS(1410),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [aux_sym_yield_expression_token1] = ACTIONS(1410),
    [aux_sym_include_expression_token1] = ACTIONS(1410),
    [aux_sym_include_once_expression_token1] = ACTIONS(1410),
    [aux_sym_require_expression_token1] = ACTIONS(1410),
    [aux_sym_require_once_expression_token1] = ACTIONS(1410),
    [sym_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_text_interpolation] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_name] = ACTIONS(1414),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1414),
    [aux_sym_global_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_definition_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [aux_sym_trait_declaration_token1] = ACTIONS(1414),
    [aux_sym_interface_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_case_token1] = ACTIONS(1414),
    [aux_sym_class_declaration_token1] = ACTIONS(1414),
    [aux_sym_final_modifier_token1] = ACTIONS(1414),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1414),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1414),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1414),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [aux_sym_cast_type_token1] = ACTIONS(1414),
    [aux_sym_echo_statement_token1] = ACTIONS(1414),
    [anon_sym_unset] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_declare_statement_token2] = ACTIONS(1414),
    [sym_float] = ACTIONS(1414),
    [aux_sym_try_statement_token1] = ACTIONS(1414),
    [aux_sym_goto_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [sym_integer] = ACTIONS(1414),
    [aux_sym_return_statement_token1] = ACTIONS(1414),
    [aux_sym_throw_expression_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token2] = ACTIONS(1414),
    [aux_sym_do_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token2] = ACTIONS(1414),
    [aux_sym_foreach_statement_token1] = ACTIONS(1414),
    [aux_sym_foreach_statement_token2] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token2] = ACTIONS(1414),
    [aux_sym_else_if_clause_token1] = ACTIONS(1414),
    [aux_sym_else_clause_token1] = ACTIONS(1414),
    [aux_sym_match_expression_token1] = ACTIONS(1414),
    [aux_sym_match_default_expression_token1] = ACTIONS(1414),
    [aux_sym_switch_statement_token1] = ACTIONS(1414),
    [aux_sym_switch_block_token1] = ACTIONS(1414),
    [anon_sym_AT] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [aux_sym_clone_expression_token1] = ACTIONS(1414),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1414),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1414),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [aux_sym__list_destructing_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_self] = ACTIONS(1414),
    [anon_sym_parent] = ACTIONS(1414),
    [anon_sym_POUND_LBRACK] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [aux_sym_encapsed_string_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [aux_sym_string_token1] = ACTIONS(1412),
    [anon_sym_LT_LT_LT] = ACTIONS(1412),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [sym_boolean] = ACTIONS(1414),
    [sym_null] = ACTIONS(1414),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [aux_sym_yield_expression_token1] = ACTIONS(1414),
    [aux_sym_include_expression_token1] = ACTIONS(1414),
    [aux_sym_include_once_expression_token1] = ACTIONS(1414),
    [aux_sym_require_expression_token1] = ACTIONS(1414),
    [aux_sym_require_once_expression_token1] = ACTIONS(1414),
    [sym_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_text_interpolation] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_name] = ACTIONS(1418),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1418),
    [aux_sym_global_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_definition_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [aux_sym_trait_declaration_token1] = ACTIONS(1418),
    [aux_sym_interface_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_case_token1] = ACTIONS(1418),
    [aux_sym_class_declaration_token1] = ACTIONS(1418),
    [aux_sym_final_modifier_token1] = ACTIONS(1418),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1418),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1418),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1418),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [aux_sym_cast_type_token1] = ACTIONS(1418),
    [aux_sym_echo_statement_token1] = ACTIONS(1418),
    [anon_sym_unset] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_declare_statement_token2] = ACTIONS(1418),
    [sym_float] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_goto_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [sym_integer] = ACTIONS(1418),
    [aux_sym_return_statement_token1] = ACTIONS(1418),
    [aux_sym_throw_expression_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token2] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token2] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token2] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token2] = ACTIONS(1418),
    [aux_sym_else_if_clause_token1] = ACTIONS(1418),
    [aux_sym_else_clause_token1] = ACTIONS(1418),
    [aux_sym_match_expression_token1] = ACTIONS(1418),
    [aux_sym_match_default_expression_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_block_token1] = ACTIONS(1418),
    [anon_sym_AT] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [aux_sym_clone_expression_token1] = ACTIONS(1418),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1418),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [aux_sym__list_destructing_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_self] = ACTIONS(1418),
    [anon_sym_parent] = ACTIONS(1418),
    [anon_sym_POUND_LBRACK] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [aux_sym_encapsed_string_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [aux_sym_string_token1] = ACTIONS(1416),
    [anon_sym_LT_LT_LT] = ACTIONS(1416),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [sym_boolean] = ACTIONS(1418),
    [sym_null] = ACTIONS(1418),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [aux_sym_yield_expression_token1] = ACTIONS(1418),
    [aux_sym_include_expression_token1] = ACTIONS(1418),
    [aux_sym_include_once_expression_token1] = ACTIONS(1418),
    [aux_sym_require_expression_token1] = ACTIONS(1418),
    [aux_sym_require_once_expression_token1] = ACTIONS(1418),
    [sym_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_text_interpolation] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_name] = ACTIONS(1422),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1422),
    [aux_sym_global_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_definition_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1422),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [aux_sym_trait_declaration_token1] = ACTIONS(1422),
    [aux_sym_interface_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_case_token1] = ACTIONS(1422),
    [aux_sym_class_declaration_token1] = ACTIONS(1422),
    [aux_sym_final_modifier_token1] = ACTIONS(1422),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1422),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1422),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [aux_sym_cast_type_token1] = ACTIONS(1422),
    [aux_sym_echo_statement_token1] = ACTIONS(1422),
    [anon_sym_unset] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_declare_statement_token2] = ACTIONS(1422),
    [sym_float] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_goto_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [sym_integer] = ACTIONS(1422),
    [aux_sym_return_statement_token1] = ACTIONS(1422),
    [aux_sym_throw_expression_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token2] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token2] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token2] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token2] = ACTIONS(1422),
    [aux_sym_else_if_clause_token1] = ACTIONS(1422),
    [aux_sym_else_clause_token1] = ACTIONS(1422),
    [aux_sym_match_expression_token1] = ACTIONS(1422),
    [aux_sym_match_default_expression_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_block_token1] = ACTIONS(1422),
    [anon_sym_AT] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [aux_sym_clone_expression_token1] = ACTIONS(1422),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1422),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [aux_sym__list_destructing_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_self] = ACTIONS(1422),
    [anon_sym_parent] = ACTIONS(1422),
    [anon_sym_POUND_LBRACK] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [aux_sym_encapsed_string_token1] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_string_token1] = ACTIONS(1420),
    [anon_sym_LT_LT_LT] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1420),
    [sym_boolean] = ACTIONS(1422),
    [sym_null] = ACTIONS(1422),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [aux_sym_yield_expression_token1] = ACTIONS(1422),
    [aux_sym_include_expression_token1] = ACTIONS(1422),
    [aux_sym_include_once_expression_token1] = ACTIONS(1422),
    [aux_sym_require_expression_token1] = ACTIONS(1422),
    [aux_sym_require_once_expression_token1] = ACTIONS(1422),
    [sym_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_text_interpolation] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_name] = ACTIONS(1426),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1426),
    [aux_sym_global_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_definition_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1426),
    [anon_sym_BSLASH] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [aux_sym_trait_declaration_token1] = ACTIONS(1426),
    [aux_sym_interface_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_case_token1] = ACTIONS(1426),
    [aux_sym_class_declaration_token1] = ACTIONS(1426),
    [aux_sym_final_modifier_token1] = ACTIONS(1426),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1426),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1426),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [aux_sym_cast_type_token1] = ACTIONS(1426),
    [aux_sym_echo_statement_token1] = ACTIONS(1426),
    [anon_sym_unset] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_declare_statement_token2] = ACTIONS(1426),
    [sym_float] = ACTIONS(1426),
    [aux_sym_try_statement_token1] = ACTIONS(1426),
    [aux_sym_goto_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [sym_integer] = ACTIONS(1426),
    [aux_sym_return_statement_token1] = ACTIONS(1426),
    [aux_sym_throw_expression_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token2] = ACTIONS(1426),
    [aux_sym_do_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token2] = ACTIONS(1426),
    [aux_sym_foreach_statement_token1] = ACTIONS(1426),
    [aux_sym_foreach_statement_token2] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token2] = ACTIONS(1426),
    [aux_sym_else_if_clause_token1] = ACTIONS(1426),
    [aux_sym_else_clause_token1] = ACTIONS(1426),
    [aux_sym_match_expression_token1] = ACTIONS(1426),
    [aux_sym_match_default_expression_token1] = ACTIONS(1426),
    [aux_sym_switch_statement_token1] = ACTIONS(1426),
    [aux_sym_switch_block_token1] = ACTIONS(1426),
    [anon_sym_AT] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [aux_sym_clone_expression_token1] = ACTIONS(1426),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1426),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [aux_sym__list_destructing_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_self] = ACTIONS(1426),
    [anon_sym_parent] = ACTIONS(1426),
    [anon_sym_POUND_LBRACK] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [aux_sym_encapsed_string_token1] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [aux_sym_string_token1] = ACTIONS(1424),
    [anon_sym_LT_LT_LT] = ACTIONS(1424),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [sym_boolean] = ACTIONS(1426),
    [sym_null] = ACTIONS(1426),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [aux_sym_yield_expression_token1] = ACTIONS(1426),
    [aux_sym_include_expression_token1] = ACTIONS(1426),
    [aux_sym_include_once_expression_token1] = ACTIONS(1426),
    [aux_sym_require_expression_token1] = ACTIONS(1426),
    [aux_sym_require_once_expression_token1] = ACTIONS(1426),
    [sym_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_text_interpolation] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_name] = ACTIONS(1430),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1430),
    [aux_sym_global_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_definition_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1430),
    [anon_sym_BSLASH] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [aux_sym_trait_declaration_token1] = ACTIONS(1430),
    [aux_sym_interface_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_case_token1] = ACTIONS(1430),
    [aux_sym_class_declaration_token1] = ACTIONS(1430),
    [aux_sym_final_modifier_token1] = ACTIONS(1430),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1430),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1430),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [aux_sym_cast_type_token1] = ACTIONS(1430),
    [aux_sym_echo_statement_token1] = ACTIONS(1430),
    [anon_sym_unset] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_declare_statement_token2] = ACTIONS(1430),
    [sym_float] = ACTIONS(1430),
    [aux_sym_try_statement_token1] = ACTIONS(1430),
    [aux_sym_goto_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [sym_integer] = ACTIONS(1430),
    [aux_sym_return_statement_token1] = ACTIONS(1430),
    [aux_sym_throw_expression_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token2] = ACTIONS(1430),
    [aux_sym_do_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token2] = ACTIONS(1430),
    [aux_sym_foreach_statement_token1] = ACTIONS(1430),
    [aux_sym_foreach_statement_token2] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token2] = ACTIONS(1430),
    [aux_sym_else_if_clause_token1] = ACTIONS(1430),
    [aux_sym_else_clause_token1] = ACTIONS(1430),
    [aux_sym_match_expression_token1] = ACTIONS(1430),
    [aux_sym_match_default_expression_token1] = ACTIONS(1430),
    [aux_sym_switch_statement_token1] = ACTIONS(1430),
    [aux_sym_switch_block_token1] = ACTIONS(1430),
    [anon_sym_AT] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [aux_sym_clone_expression_token1] = ACTIONS(1430),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1430),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [aux_sym__list_destructing_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_self] = ACTIONS(1430),
    [anon_sym_parent] = ACTIONS(1430),
    [anon_sym_POUND_LBRACK] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [aux_sym_encapsed_string_token1] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_string_token1] = ACTIONS(1428),
    [anon_sym_LT_LT_LT] = ACTIONS(1428),
    [anon_sym_BQUOTE] = ACTIONS(1428),
    [sym_boolean] = ACTIONS(1430),
    [sym_null] = ACTIONS(1430),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [aux_sym_yield_expression_token1] = ACTIONS(1430),
    [aux_sym_include_expression_token1] = ACTIONS(1430),
    [aux_sym_include_once_expression_token1] = ACTIONS(1430),
    [aux_sym_require_expression_token1] = ACTIONS(1430),
    [aux_sym_require_once_expression_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_text_interpolation] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1432),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [sym_boolean] = ACTIONS(1434),
    [sym_null] = ACTIONS(1434),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_text_interpolation] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [anon_sym_LPAREN] = ACTIONS(1328),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_AT] = ACTIONS(1328),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1330),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [sym_boolean] = ACTIONS(1330),
    [sym_null] = ACTIONS(1330),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_text_interpolation] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [sym_boolean] = ACTIONS(1438),
    [sym_null] = ACTIONS(1438),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_text_interpolation] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_name] = ACTIONS(1442),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1440),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1442),
    [aux_sym_global_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_definition_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1442),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [aux_sym_trait_declaration_token1] = ACTIONS(1442),
    [aux_sym_interface_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_case_token1] = ACTIONS(1442),
    [aux_sym_class_declaration_token1] = ACTIONS(1442),
    [aux_sym_final_modifier_token1] = ACTIONS(1442),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1442),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1442),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [aux_sym_cast_type_token1] = ACTIONS(1442),
    [aux_sym_echo_statement_token1] = ACTIONS(1442),
    [anon_sym_unset] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_declare_statement_token2] = ACTIONS(1442),
    [sym_float] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_goto_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [sym_integer] = ACTIONS(1442),
    [aux_sym_return_statement_token1] = ACTIONS(1442),
    [aux_sym_throw_expression_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token2] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token2] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token2] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token2] = ACTIONS(1442),
    [aux_sym_else_if_clause_token1] = ACTIONS(1442),
    [aux_sym_else_clause_token1] = ACTIONS(1442),
    [aux_sym_match_expression_token1] = ACTIONS(1442),
    [aux_sym_match_default_expression_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_block_token1] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [aux_sym_clone_expression_token1] = ACTIONS(1442),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1442),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [aux_sym__list_destructing_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_self] = ACTIONS(1442),
    [anon_sym_parent] = ACTIONS(1442),
    [anon_sym_POUND_LBRACK] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [aux_sym_encapsed_string_token1] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_string_token1] = ACTIONS(1440),
    [anon_sym_LT_LT_LT] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [sym_boolean] = ACTIONS(1442),
    [sym_null] = ACTIONS(1442),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [aux_sym_yield_expression_token1] = ACTIONS(1442),
    [aux_sym_include_expression_token1] = ACTIONS(1442),
    [aux_sym_include_once_expression_token1] = ACTIONS(1442),
    [aux_sym_require_expression_token1] = ACTIONS(1442),
    [aux_sym_require_once_expression_token1] = ACTIONS(1442),
    [sym_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_text_interpolation] = STATE(553),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_name] = ACTIONS(1446),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1446),
    [aux_sym_global_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_definition_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1446),
    [anon_sym_BSLASH] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [aux_sym_trait_declaration_token1] = ACTIONS(1446),
    [aux_sym_interface_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_case_token1] = ACTIONS(1446),
    [aux_sym_class_declaration_token1] = ACTIONS(1446),
    [aux_sym_final_modifier_token1] = ACTIONS(1446),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1446),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1446),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [aux_sym_cast_type_token1] = ACTIONS(1446),
    [aux_sym_echo_statement_token1] = ACTIONS(1446),
    [anon_sym_unset] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_declare_statement_token2] = ACTIONS(1446),
    [sym_float] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_goto_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [sym_integer] = ACTIONS(1446),
    [aux_sym_return_statement_token1] = ACTIONS(1446),
    [aux_sym_throw_expression_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token2] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token2] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token2] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token2] = ACTIONS(1446),
    [aux_sym_else_if_clause_token1] = ACTIONS(1446),
    [aux_sym_else_clause_token1] = ACTIONS(1446),
    [aux_sym_match_expression_token1] = ACTIONS(1446),
    [aux_sym_match_default_expression_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_block_token1] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [aux_sym_clone_expression_token1] = ACTIONS(1446),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1446),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [aux_sym__list_destructing_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_self] = ACTIONS(1446),
    [anon_sym_parent] = ACTIONS(1446),
    [anon_sym_POUND_LBRACK] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [aux_sym_encapsed_string_token1] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [aux_sym_string_token1] = ACTIONS(1444),
    [anon_sym_LT_LT_LT] = ACTIONS(1444),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [sym_boolean] = ACTIONS(1446),
    [sym_null] = ACTIONS(1446),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [aux_sym_yield_expression_token1] = ACTIONS(1446),
    [aux_sym_include_expression_token1] = ACTIONS(1446),
    [aux_sym_include_once_expression_token1] = ACTIONS(1446),
    [aux_sym_require_expression_token1] = ACTIONS(1446),
    [aux_sym_require_once_expression_token1] = ACTIONS(1446),
    [sym_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_text_interpolation] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_name] = ACTIONS(1450),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1450),
    [aux_sym_global_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_definition_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1450),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [aux_sym_trait_declaration_token1] = ACTIONS(1450),
    [aux_sym_interface_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_case_token1] = ACTIONS(1450),
    [aux_sym_class_declaration_token1] = ACTIONS(1450),
    [aux_sym_final_modifier_token1] = ACTIONS(1450),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1450),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1450),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [aux_sym_cast_type_token1] = ACTIONS(1450),
    [aux_sym_echo_statement_token1] = ACTIONS(1450),
    [anon_sym_unset] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_declare_statement_token2] = ACTIONS(1450),
    [sym_float] = ACTIONS(1450),
    [aux_sym_try_statement_token1] = ACTIONS(1450),
    [aux_sym_goto_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [sym_integer] = ACTIONS(1450),
    [aux_sym_return_statement_token1] = ACTIONS(1450),
    [aux_sym_throw_expression_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token2] = ACTIONS(1450),
    [aux_sym_do_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token2] = ACTIONS(1450),
    [aux_sym_foreach_statement_token1] = ACTIONS(1450),
    [aux_sym_foreach_statement_token2] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token2] = ACTIONS(1450),
    [aux_sym_else_if_clause_token1] = ACTIONS(1450),
    [aux_sym_else_clause_token1] = ACTIONS(1450),
    [aux_sym_match_expression_token1] = ACTIONS(1450),
    [aux_sym_match_default_expression_token1] = ACTIONS(1450),
    [aux_sym_switch_statement_token1] = ACTIONS(1450),
    [aux_sym_switch_block_token1] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [aux_sym_clone_expression_token1] = ACTIONS(1450),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1450),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [aux_sym__list_destructing_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_self] = ACTIONS(1450),
    [anon_sym_parent] = ACTIONS(1450),
    [anon_sym_POUND_LBRACK] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [aux_sym_encapsed_string_token1] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_string_token1] = ACTIONS(1448),
    [anon_sym_LT_LT_LT] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [sym_boolean] = ACTIONS(1450),
    [sym_null] = ACTIONS(1450),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [aux_sym_yield_expression_token1] = ACTIONS(1450),
    [aux_sym_include_expression_token1] = ACTIONS(1450),
    [aux_sym_include_once_expression_token1] = ACTIONS(1450),
    [aux_sym_require_expression_token1] = ACTIONS(1450),
    [aux_sym_require_once_expression_token1] = ACTIONS(1450),
    [sym_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_text_interpolation] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_name] = ACTIONS(1454),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1452),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1454),
    [aux_sym_global_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_definition_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_trait_declaration_token1] = ACTIONS(1454),
    [aux_sym_interface_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_case_token1] = ACTIONS(1454),
    [aux_sym_class_declaration_token1] = ACTIONS(1454),
    [aux_sym_final_modifier_token1] = ACTIONS(1454),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1454),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1454),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [aux_sym_cast_type_token1] = ACTIONS(1454),
    [aux_sym_echo_statement_token1] = ACTIONS(1454),
    [anon_sym_unset] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_declare_statement_token2] = ACTIONS(1454),
    [sym_float] = ACTIONS(1454),
    [aux_sym_try_statement_token1] = ACTIONS(1454),
    [aux_sym_goto_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [sym_integer] = ACTIONS(1454),
    [aux_sym_return_statement_token1] = ACTIONS(1454),
    [aux_sym_throw_expression_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token2] = ACTIONS(1454),
    [aux_sym_do_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token2] = ACTIONS(1454),
    [aux_sym_foreach_statement_token1] = ACTIONS(1454),
    [aux_sym_foreach_statement_token2] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token2] = ACTIONS(1454),
    [aux_sym_else_if_clause_token1] = ACTIONS(1454),
    [aux_sym_else_clause_token1] = ACTIONS(1454),
    [aux_sym_match_expression_token1] = ACTIONS(1454),
    [aux_sym_match_default_expression_token1] = ACTIONS(1454),
    [aux_sym_switch_statement_token1] = ACTIONS(1454),
    [aux_sym_switch_block_token1] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [aux_sym_clone_expression_token1] = ACTIONS(1454),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1454),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [aux_sym__list_destructing_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_self] = ACTIONS(1454),
    [anon_sym_parent] = ACTIONS(1454),
    [anon_sym_POUND_LBRACK] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [aux_sym_encapsed_string_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [aux_sym_string_token1] = ACTIONS(1452),
    [anon_sym_LT_LT_LT] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [sym_boolean] = ACTIONS(1454),
    [sym_null] = ACTIONS(1454),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [aux_sym_yield_expression_token1] = ACTIONS(1454),
    [aux_sym_include_expression_token1] = ACTIONS(1454),
    [aux_sym_include_once_expression_token1] = ACTIONS(1454),
    [aux_sym_require_expression_token1] = ACTIONS(1454),
    [aux_sym_require_once_expression_token1] = ACTIONS(1454),
    [sym_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_text_interpolation] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_name] = ACTIONS(1458),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1456),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1458),
    [aux_sym_global_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_definition_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [aux_sym_trait_declaration_token1] = ACTIONS(1458),
    [aux_sym_interface_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_case_token1] = ACTIONS(1458),
    [aux_sym_class_declaration_token1] = ACTIONS(1458),
    [aux_sym_final_modifier_token1] = ACTIONS(1458),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1458),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1458),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [aux_sym_cast_type_token1] = ACTIONS(1458),
    [aux_sym_echo_statement_token1] = ACTIONS(1458),
    [anon_sym_unset] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_declare_statement_token2] = ACTIONS(1458),
    [sym_float] = ACTIONS(1458),
    [aux_sym_try_statement_token1] = ACTIONS(1458),
    [aux_sym_goto_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [sym_integer] = ACTIONS(1458),
    [aux_sym_return_statement_token1] = ACTIONS(1458),
    [aux_sym_throw_expression_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token2] = ACTIONS(1458),
    [aux_sym_do_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token2] = ACTIONS(1458),
    [aux_sym_foreach_statement_token1] = ACTIONS(1458),
    [aux_sym_foreach_statement_token2] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token2] = ACTIONS(1458),
    [aux_sym_else_if_clause_token1] = ACTIONS(1458),
    [aux_sym_else_clause_token1] = ACTIONS(1458),
    [aux_sym_match_expression_token1] = ACTIONS(1458),
    [aux_sym_match_default_expression_token1] = ACTIONS(1458),
    [aux_sym_switch_statement_token1] = ACTIONS(1458),
    [aux_sym_switch_block_token1] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [aux_sym_clone_expression_token1] = ACTIONS(1458),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1458),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [aux_sym__list_destructing_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_self] = ACTIONS(1458),
    [anon_sym_parent] = ACTIONS(1458),
    [anon_sym_POUND_LBRACK] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [aux_sym_encapsed_string_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [aux_sym_string_token1] = ACTIONS(1456),
    [anon_sym_LT_LT_LT] = ACTIONS(1456),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [sym_boolean] = ACTIONS(1458),
    [sym_null] = ACTIONS(1458),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [aux_sym_yield_expression_token1] = ACTIONS(1458),
    [aux_sym_include_expression_token1] = ACTIONS(1458),
    [aux_sym_include_once_expression_token1] = ACTIONS(1458),
    [aux_sym_require_expression_token1] = ACTIONS(1458),
    [aux_sym_require_once_expression_token1] = ACTIONS(1458),
    [sym_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_text_interpolation] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_name] = ACTIONS(1462),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1460),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1462),
    [aux_sym_global_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_definition_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [aux_sym_trait_declaration_token1] = ACTIONS(1462),
    [aux_sym_interface_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_case_token1] = ACTIONS(1462),
    [aux_sym_class_declaration_token1] = ACTIONS(1462),
    [aux_sym_final_modifier_token1] = ACTIONS(1462),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1462),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1462),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [aux_sym_cast_type_token1] = ACTIONS(1462),
    [aux_sym_echo_statement_token1] = ACTIONS(1462),
    [anon_sym_unset] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_declare_statement_token2] = ACTIONS(1462),
    [sym_float] = ACTIONS(1462),
    [aux_sym_try_statement_token1] = ACTIONS(1462),
    [aux_sym_goto_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [sym_integer] = ACTIONS(1462),
    [aux_sym_return_statement_token1] = ACTIONS(1462),
    [aux_sym_throw_expression_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token2] = ACTIONS(1462),
    [aux_sym_do_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token2] = ACTIONS(1462),
    [aux_sym_foreach_statement_token1] = ACTIONS(1462),
    [aux_sym_foreach_statement_token2] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token2] = ACTIONS(1462),
    [aux_sym_else_if_clause_token1] = ACTIONS(1462),
    [aux_sym_else_clause_token1] = ACTIONS(1462),
    [aux_sym_match_expression_token1] = ACTIONS(1462),
    [aux_sym_match_default_expression_token1] = ACTIONS(1462),
    [aux_sym_switch_statement_token1] = ACTIONS(1462),
    [aux_sym_switch_block_token1] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [aux_sym_clone_expression_token1] = ACTIONS(1462),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1462),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [aux_sym__list_destructing_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_self] = ACTIONS(1462),
    [anon_sym_parent] = ACTIONS(1462),
    [anon_sym_POUND_LBRACK] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [aux_sym_encapsed_string_token1] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_string_token1] = ACTIONS(1460),
    [anon_sym_LT_LT_LT] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [sym_boolean] = ACTIONS(1462),
    [sym_null] = ACTIONS(1462),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [aux_sym_yield_expression_token1] = ACTIONS(1462),
    [aux_sym_include_expression_token1] = ACTIONS(1462),
    [aux_sym_include_once_expression_token1] = ACTIONS(1462),
    [aux_sym_require_expression_token1] = ACTIONS(1462),
    [aux_sym_require_once_expression_token1] = ACTIONS(1462),
    [sym_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_text_interpolation] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_name] = ACTIONS(1466),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1464),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1466),
    [aux_sym_global_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_definition_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [aux_sym_trait_declaration_token1] = ACTIONS(1466),
    [aux_sym_interface_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_case_token1] = ACTIONS(1466),
    [aux_sym_class_declaration_token1] = ACTIONS(1466),
    [aux_sym_final_modifier_token1] = ACTIONS(1466),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1466),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1466),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [aux_sym_cast_type_token1] = ACTIONS(1466),
    [aux_sym_echo_statement_token1] = ACTIONS(1466),
    [anon_sym_unset] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_declare_statement_token2] = ACTIONS(1466),
    [sym_float] = ACTIONS(1466),
    [aux_sym_try_statement_token1] = ACTIONS(1466),
    [aux_sym_goto_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [sym_integer] = ACTIONS(1466),
    [aux_sym_return_statement_token1] = ACTIONS(1466),
    [aux_sym_throw_expression_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token2] = ACTIONS(1466),
    [aux_sym_do_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token2] = ACTIONS(1466),
    [aux_sym_foreach_statement_token1] = ACTIONS(1466),
    [aux_sym_foreach_statement_token2] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token2] = ACTIONS(1466),
    [aux_sym_else_if_clause_token1] = ACTIONS(1466),
    [aux_sym_else_clause_token1] = ACTIONS(1466),
    [aux_sym_match_expression_token1] = ACTIONS(1466),
    [aux_sym_match_default_expression_token1] = ACTIONS(1466),
    [aux_sym_switch_statement_token1] = ACTIONS(1466),
    [aux_sym_switch_block_token1] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [aux_sym_clone_expression_token1] = ACTIONS(1466),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1466),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [aux_sym__list_destructing_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_self] = ACTIONS(1466),
    [anon_sym_parent] = ACTIONS(1466),
    [anon_sym_POUND_LBRACK] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [aux_sym_encapsed_string_token1] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [aux_sym_string_token1] = ACTIONS(1464),
    [anon_sym_LT_LT_LT] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [sym_boolean] = ACTIONS(1466),
    [sym_null] = ACTIONS(1466),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [aux_sym_yield_expression_token1] = ACTIONS(1466),
    [aux_sym_include_expression_token1] = ACTIONS(1466),
    [aux_sym_include_once_expression_token1] = ACTIONS(1466),
    [aux_sym_require_expression_token1] = ACTIONS(1466),
    [aux_sym_require_once_expression_token1] = ACTIONS(1466),
    [sym_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_text_interpolation] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_name] = ACTIONS(1470),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1468),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1470),
    [aux_sym_global_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_definition_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [aux_sym_trait_declaration_token1] = ACTIONS(1470),
    [aux_sym_interface_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_case_token1] = ACTIONS(1470),
    [aux_sym_class_declaration_token1] = ACTIONS(1470),
    [aux_sym_final_modifier_token1] = ACTIONS(1470),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1470),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1470),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [aux_sym_cast_type_token1] = ACTIONS(1470),
    [aux_sym_echo_statement_token1] = ACTIONS(1470),
    [anon_sym_unset] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_declare_statement_token2] = ACTIONS(1470),
    [sym_float] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_goto_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [sym_integer] = ACTIONS(1470),
    [aux_sym_return_statement_token1] = ACTIONS(1470),
    [aux_sym_throw_expression_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token2] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token2] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token2] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token2] = ACTIONS(1470),
    [aux_sym_else_if_clause_token1] = ACTIONS(1470),
    [aux_sym_else_clause_token1] = ACTIONS(1470),
    [aux_sym_match_expression_token1] = ACTIONS(1470),
    [aux_sym_match_default_expression_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_block_token1] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [aux_sym_clone_expression_token1] = ACTIONS(1470),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1470),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [aux_sym__list_destructing_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_self] = ACTIONS(1470),
    [anon_sym_parent] = ACTIONS(1470),
    [anon_sym_POUND_LBRACK] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [aux_sym_encapsed_string_token1] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_string_token1] = ACTIONS(1468),
    [anon_sym_LT_LT_LT] = ACTIONS(1468),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [sym_boolean] = ACTIONS(1470),
    [sym_null] = ACTIONS(1470),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [aux_sym_yield_expression_token1] = ACTIONS(1470),
    [aux_sym_include_expression_token1] = ACTIONS(1470),
    [aux_sym_include_once_expression_token1] = ACTIONS(1470),
    [aux_sym_require_expression_token1] = ACTIONS(1470),
    [aux_sym_require_once_expression_token1] = ACTIONS(1470),
    [sym_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_text_interpolation] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_name] = ACTIONS(1474),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1474),
    [aux_sym_global_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_definition_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [aux_sym_trait_declaration_token1] = ACTIONS(1474),
    [aux_sym_interface_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_case_token1] = ACTIONS(1474),
    [aux_sym_class_declaration_token1] = ACTIONS(1474),
    [aux_sym_final_modifier_token1] = ACTIONS(1474),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1474),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1474),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [aux_sym_cast_type_token1] = ACTIONS(1474),
    [aux_sym_echo_statement_token1] = ACTIONS(1474),
    [anon_sym_unset] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_declare_statement_token2] = ACTIONS(1474),
    [sym_float] = ACTIONS(1474),
    [aux_sym_try_statement_token1] = ACTIONS(1474),
    [aux_sym_goto_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [sym_integer] = ACTIONS(1474),
    [aux_sym_return_statement_token1] = ACTIONS(1474),
    [aux_sym_throw_expression_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token2] = ACTIONS(1474),
    [aux_sym_do_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token2] = ACTIONS(1474),
    [aux_sym_foreach_statement_token1] = ACTIONS(1474),
    [aux_sym_foreach_statement_token2] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token2] = ACTIONS(1474),
    [aux_sym_else_if_clause_token1] = ACTIONS(1474),
    [aux_sym_else_clause_token1] = ACTIONS(1474),
    [aux_sym_match_expression_token1] = ACTIONS(1474),
    [aux_sym_match_default_expression_token1] = ACTIONS(1474),
    [aux_sym_switch_statement_token1] = ACTIONS(1474),
    [aux_sym_switch_block_token1] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [aux_sym_clone_expression_token1] = ACTIONS(1474),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1474),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [aux_sym__list_destructing_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_self] = ACTIONS(1474),
    [anon_sym_parent] = ACTIONS(1474),
    [anon_sym_POUND_LBRACK] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [aux_sym_encapsed_string_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [aux_sym_string_token1] = ACTIONS(1472),
    [anon_sym_LT_LT_LT] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [sym_boolean] = ACTIONS(1474),
    [sym_null] = ACTIONS(1474),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [aux_sym_yield_expression_token1] = ACTIONS(1474),
    [aux_sym_include_expression_token1] = ACTIONS(1474),
    [aux_sym_include_once_expression_token1] = ACTIONS(1474),
    [aux_sym_require_expression_token1] = ACTIONS(1474),
    [aux_sym_require_once_expression_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_text_interpolation] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1040),
    [sym_name] = ACTIONS(1042),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1040),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1042),
    [aux_sym_global_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_definition_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1042),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1042),
    [anon_sym_BSLASH] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [aux_sym_trait_declaration_token1] = ACTIONS(1042),
    [aux_sym_interface_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_declaration_token1] = ACTIONS(1042),
    [aux_sym_enum_case_token1] = ACTIONS(1042),
    [aux_sym_class_declaration_token1] = ACTIONS(1042),
    [aux_sym_final_modifier_token1] = ACTIONS(1042),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1042),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1042),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1042),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [aux_sym_cast_type_token1] = ACTIONS(1042),
    [aux_sym_echo_statement_token1] = ACTIONS(1042),
    [anon_sym_unset] = ACTIONS(1042),
    [aux_sym_declare_statement_token1] = ACTIONS(1042),
    [aux_sym_declare_statement_token2] = ACTIONS(1042),
    [sym_float] = ACTIONS(1042),
    [aux_sym_try_statement_token1] = ACTIONS(1042),
    [aux_sym_goto_statement_token1] = ACTIONS(1042),
    [aux_sym_continue_statement_token1] = ACTIONS(1042),
    [aux_sym_break_statement_token1] = ACTIONS(1042),
    [sym_integer] = ACTIONS(1042),
    [aux_sym_return_statement_token1] = ACTIONS(1042),
    [aux_sym_throw_expression_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token1] = ACTIONS(1042),
    [aux_sym_while_statement_token2] = ACTIONS(1042),
    [aux_sym_do_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token1] = ACTIONS(1042),
    [aux_sym_for_statement_token2] = ACTIONS(1042),
    [aux_sym_foreach_statement_token1] = ACTIONS(1042),
    [aux_sym_foreach_statement_token2] = ACTIONS(1042),
    [aux_sym_if_statement_token1] = ACTIONS(1042),
    [aux_sym_if_statement_token2] = ACTIONS(1042),
    [aux_sym_else_if_clause_token1] = ACTIONS(1042),
    [aux_sym_else_clause_token1] = ACTIONS(1042),
    [aux_sym_match_expression_token1] = ACTIONS(1042),
    [aux_sym_match_default_expression_token1] = ACTIONS(1042),
    [aux_sym_switch_statement_token1] = ACTIONS(1042),
    [aux_sym_switch_block_token1] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_TILDE] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1040),
    [aux_sym_clone_expression_token1] = ACTIONS(1042),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1042),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1042),
    [anon_sym_PLUS_PLUS] = ACTIONS(1040),
    [anon_sym_DASH_DASH] = ACTIONS(1040),
    [aux_sym__list_destructing_token1] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_self] = ACTIONS(1042),
    [anon_sym_parent] = ACTIONS(1042),
    [anon_sym_POUND_LBRACK] = ACTIONS(1040),
    [anon_sym_SQUOTE] = ACTIONS(1040),
    [aux_sym_encapsed_string_token1] = ACTIONS(1040),
    [anon_sym_DQUOTE] = ACTIONS(1040),
    [aux_sym_string_token1] = ACTIONS(1040),
    [anon_sym_LT_LT_LT] = ACTIONS(1040),
    [anon_sym_BQUOTE] = ACTIONS(1040),
    [sym_boolean] = ACTIONS(1042),
    [sym_null] = ACTIONS(1042),
    [anon_sym_DOLLAR] = ACTIONS(1040),
    [aux_sym_yield_expression_token1] = ACTIONS(1042),
    [aux_sym_include_expression_token1] = ACTIONS(1042),
    [aux_sym_include_once_expression_token1] = ACTIONS(1042),
    [aux_sym_require_expression_token1] = ACTIONS(1042),
    [aux_sym_require_once_expression_token1] = ACTIONS(1042),
    [sym_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_text_interpolation] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [sym_boolean] = ACTIONS(1478),
    [sym_null] = ACTIONS(1478),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_text_interpolation] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [sym_boolean] = ACTIONS(1482),
    [sym_null] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_text_interpolation] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_name] = ACTIONS(1486),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1486),
    [aux_sym_global_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_definition_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [aux_sym_trait_declaration_token1] = ACTIONS(1486),
    [aux_sym_interface_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_case_token1] = ACTIONS(1486),
    [aux_sym_class_declaration_token1] = ACTIONS(1486),
    [aux_sym_final_modifier_token1] = ACTIONS(1486),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1486),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1486),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1486),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [aux_sym_cast_type_token1] = ACTIONS(1486),
    [aux_sym_echo_statement_token1] = ACTIONS(1486),
    [anon_sym_unset] = ACTIONS(1486),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [aux_sym_declare_statement_token2] = ACTIONS(1486),
    [sym_float] = ACTIONS(1486),
    [aux_sym_try_statement_token1] = ACTIONS(1486),
    [aux_sym_goto_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [sym_integer] = ACTIONS(1486),
    [aux_sym_return_statement_token1] = ACTIONS(1486),
    [aux_sym_throw_expression_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token2] = ACTIONS(1486),
    [aux_sym_do_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token2] = ACTIONS(1486),
    [aux_sym_foreach_statement_token1] = ACTIONS(1486),
    [aux_sym_foreach_statement_token2] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token2] = ACTIONS(1486),
    [aux_sym_else_if_clause_token1] = ACTIONS(1486),
    [aux_sym_else_clause_token1] = ACTIONS(1486),
    [aux_sym_match_expression_token1] = ACTIONS(1486),
    [aux_sym_match_default_expression_token1] = ACTIONS(1486),
    [aux_sym_switch_statement_token1] = ACTIONS(1486),
    [aux_sym_switch_block_token1] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [aux_sym_clone_expression_token1] = ACTIONS(1486),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1486),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [aux_sym__list_destructing_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_self] = ACTIONS(1486),
    [anon_sym_parent] = ACTIONS(1486),
    [anon_sym_POUND_LBRACK] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [aux_sym_encapsed_string_token1] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [aux_sym_string_token1] = ACTIONS(1484),
    [anon_sym_LT_LT_LT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [sym_boolean] = ACTIONS(1486),
    [sym_null] = ACTIONS(1486),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [aux_sym_yield_expression_token1] = ACTIONS(1486),
    [aux_sym_include_expression_token1] = ACTIONS(1486),
    [aux_sym_include_once_expression_token1] = ACTIONS(1486),
    [aux_sym_require_expression_token1] = ACTIONS(1486),
    [aux_sym_require_once_expression_token1] = ACTIONS(1486),
    [sym_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_text_interpolation] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [sym_boolean] = ACTIONS(1490),
    [sym_null] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_text_interpolation] = STATE(566),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_name] = ACTIONS(1494),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1494),
    [aux_sym_global_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_definition_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1494),
    [anon_sym_BSLASH] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [aux_sym_trait_declaration_token1] = ACTIONS(1494),
    [aux_sym_interface_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_case_token1] = ACTIONS(1494),
    [aux_sym_class_declaration_token1] = ACTIONS(1494),
    [aux_sym_final_modifier_token1] = ACTIONS(1494),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1494),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1494),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1494),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [aux_sym_cast_type_token1] = ACTIONS(1494),
    [aux_sym_echo_statement_token1] = ACTIONS(1494),
    [anon_sym_unset] = ACTIONS(1494),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [aux_sym_declare_statement_token2] = ACTIONS(1494),
    [sym_float] = ACTIONS(1494),
    [aux_sym_try_statement_token1] = ACTIONS(1494),
    [aux_sym_goto_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [sym_integer] = ACTIONS(1494),
    [aux_sym_return_statement_token1] = ACTIONS(1494),
    [aux_sym_throw_expression_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token2] = ACTIONS(1494),
    [aux_sym_do_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token2] = ACTIONS(1494),
    [aux_sym_foreach_statement_token1] = ACTIONS(1494),
    [aux_sym_foreach_statement_token2] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token2] = ACTIONS(1494),
    [aux_sym_else_if_clause_token1] = ACTIONS(1494),
    [aux_sym_else_clause_token1] = ACTIONS(1494),
    [aux_sym_match_expression_token1] = ACTIONS(1494),
    [aux_sym_match_default_expression_token1] = ACTIONS(1494),
    [aux_sym_switch_statement_token1] = ACTIONS(1494),
    [aux_sym_switch_block_token1] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [aux_sym_clone_expression_token1] = ACTIONS(1494),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1494),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [aux_sym__list_destructing_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_self] = ACTIONS(1494),
    [anon_sym_parent] = ACTIONS(1494),
    [anon_sym_POUND_LBRACK] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [aux_sym_encapsed_string_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [aux_sym_string_token1] = ACTIONS(1492),
    [anon_sym_LT_LT_LT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [sym_boolean] = ACTIONS(1494),
    [sym_null] = ACTIONS(1494),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [aux_sym_yield_expression_token1] = ACTIONS(1494),
    [aux_sym_include_expression_token1] = ACTIONS(1494),
    [aux_sym_include_once_expression_token1] = ACTIONS(1494),
    [aux_sym_require_expression_token1] = ACTIONS(1494),
    [aux_sym_require_once_expression_token1] = ACTIONS(1494),
    [sym_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_text_interpolation] = STATE(567),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_AT] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [sym_boolean] = ACTIONS(1490),
    [sym_null] = ACTIONS(1490),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_text_interpolation] = STATE(568),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym_name] = ACTIONS(1498),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1498),
    [aux_sym_global_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_definition_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1498),
    [anon_sym_BSLASH] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [aux_sym_trait_declaration_token1] = ACTIONS(1498),
    [aux_sym_interface_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_case_token1] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1498),
    [aux_sym_final_modifier_token1] = ACTIONS(1498),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1498),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1498),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1498),
    [anon_sym_LPAREN] = ACTIONS(1496),
    [aux_sym_cast_type_token1] = ACTIONS(1498),
    [aux_sym_echo_statement_token1] = ACTIONS(1498),
    [anon_sym_unset] = ACTIONS(1498),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [aux_sym_declare_statement_token2] = ACTIONS(1498),
    [sym_float] = ACTIONS(1498),
    [aux_sym_try_statement_token1] = ACTIONS(1498),
    [aux_sym_goto_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [sym_integer] = ACTIONS(1498),
    [aux_sym_return_statement_token1] = ACTIONS(1498),
    [aux_sym_throw_expression_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token2] = ACTIONS(1498),
    [aux_sym_do_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token2] = ACTIONS(1498),
    [aux_sym_foreach_statement_token1] = ACTIONS(1498),
    [aux_sym_foreach_statement_token2] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token2] = ACTIONS(1498),
    [aux_sym_else_if_clause_token1] = ACTIONS(1498),
    [aux_sym_else_clause_token1] = ACTIONS(1498),
    [aux_sym_match_expression_token1] = ACTIONS(1498),
    [aux_sym_match_default_expression_token1] = ACTIONS(1498),
    [aux_sym_switch_statement_token1] = ACTIONS(1498),
    [aux_sym_switch_block_token1] = ACTIONS(1498),
    [anon_sym_AT] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1496),
    [aux_sym_clone_expression_token1] = ACTIONS(1498),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1498),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [aux_sym__list_destructing_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_self] = ACTIONS(1498),
    [anon_sym_parent] = ACTIONS(1498),
    [anon_sym_POUND_LBRACK] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1496),
    [aux_sym_encapsed_string_token1] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [aux_sym_string_token1] = ACTIONS(1496),
    [anon_sym_LT_LT_LT] = ACTIONS(1496),
    [anon_sym_BQUOTE] = ACTIONS(1496),
    [sym_boolean] = ACTIONS(1498),
    [sym_null] = ACTIONS(1498),
    [anon_sym_DOLLAR] = ACTIONS(1496),
    [aux_sym_yield_expression_token1] = ACTIONS(1498),
    [aux_sym_include_expression_token1] = ACTIONS(1498),
    [aux_sym_include_once_expression_token1] = ACTIONS(1498),
    [aux_sym_require_expression_token1] = ACTIONS(1498),
    [aux_sym_require_once_expression_token1] = ACTIONS(1498),
    [sym_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_text_interpolation] = STATE(569),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_name] = ACTIONS(1502),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1502),
    [aux_sym_global_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_definition_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1502),
    [anon_sym_BSLASH] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [aux_sym_trait_declaration_token1] = ACTIONS(1502),
    [aux_sym_interface_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_case_token1] = ACTIONS(1502),
    [aux_sym_class_declaration_token1] = ACTIONS(1502),
    [aux_sym_final_modifier_token1] = ACTIONS(1502),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1502),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1502),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [aux_sym_cast_type_token1] = ACTIONS(1502),
    [aux_sym_echo_statement_token1] = ACTIONS(1502),
    [anon_sym_unset] = ACTIONS(1502),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [aux_sym_declare_statement_token2] = ACTIONS(1502),
    [sym_float] = ACTIONS(1502),
    [aux_sym_try_statement_token1] = ACTIONS(1502),
    [aux_sym_goto_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [sym_integer] = ACTIONS(1502),
    [aux_sym_return_statement_token1] = ACTIONS(1502),
    [aux_sym_throw_expression_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token2] = ACTIONS(1502),
    [aux_sym_do_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token2] = ACTIONS(1502),
    [aux_sym_foreach_statement_token1] = ACTIONS(1502),
    [aux_sym_foreach_statement_token2] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token2] = ACTIONS(1502),
    [aux_sym_else_if_clause_token1] = ACTIONS(1502),
    [aux_sym_else_clause_token1] = ACTIONS(1502),
    [aux_sym_match_expression_token1] = ACTIONS(1502),
    [aux_sym_match_default_expression_token1] = ACTIONS(1502),
    [aux_sym_switch_statement_token1] = ACTIONS(1502),
    [aux_sym_switch_block_token1] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [aux_sym_clone_expression_token1] = ACTIONS(1502),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1502),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [aux_sym__list_destructing_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_self] = ACTIONS(1502),
    [anon_sym_parent] = ACTIONS(1502),
    [anon_sym_POUND_LBRACK] = ACTIONS(1500),
    [anon_sym_SQUOTE] = ACTIONS(1500),
    [aux_sym_encapsed_string_token1] = ACTIONS(1500),
    [anon_sym_DQUOTE] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1500),
    [anon_sym_LT_LT_LT] = ACTIONS(1500),
    [anon_sym_BQUOTE] = ACTIONS(1500),
    [sym_boolean] = ACTIONS(1502),
    [sym_null] = ACTIONS(1502),
    [anon_sym_DOLLAR] = ACTIONS(1500),
    [aux_sym_yield_expression_token1] = ACTIONS(1502),
    [aux_sym_include_expression_token1] = ACTIONS(1502),
    [aux_sym_include_once_expression_token1] = ACTIONS(1502),
    [aux_sym_require_expression_token1] = ACTIONS(1502),
    [aux_sym_require_once_expression_token1] = ACTIONS(1502),
    [sym_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_text_interpolation] = STATE(570),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [sym_boolean] = ACTIONS(1506),
    [sym_null] = ACTIONS(1506),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_text_interpolation] = STATE(571),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_name] = ACTIONS(1510),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_case_token1] = ACTIONS(1510),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [aux_sym_declare_statement_token2] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token2] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token2] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token2] = ACTIONS(1510),
    [aux_sym_else_if_clause_token1] = ACTIONS(1510),
    [aux_sym_else_clause_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_match_default_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [aux_sym_switch_block_token1] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1510),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [sym_boolean] = ACTIONS(1510),
    [sym_null] = ACTIONS(1510),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_text_interpolation] = STATE(572),
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_name] = ACTIONS(1514),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1514),
    [aux_sym_global_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_definition_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1514),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1514),
    [aux_sym_interface_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_case_token1] = ACTIONS(1514),
    [aux_sym_class_declaration_token1] = ACTIONS(1514),
    [aux_sym_final_modifier_token1] = ACTIONS(1514),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1514),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1514),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1514),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(1514),
    [aux_sym_echo_statement_token1] = ACTIONS(1514),
    [anon_sym_unset] = ACTIONS(1514),
    [aux_sym_declare_statement_token1] = ACTIONS(1514),
    [aux_sym_declare_statement_token2] = ACTIONS(1514),
    [sym_float] = ACTIONS(1514),
    [aux_sym_try_statement_token1] = ACTIONS(1514),
    [aux_sym_goto_statement_token1] = ACTIONS(1514),
    [aux_sym_continue_statement_token1] = ACTIONS(1514),
    [aux_sym_break_statement_token1] = ACTIONS(1514),
    [sym_integer] = ACTIONS(1514),
    [aux_sym_return_statement_token1] = ACTIONS(1514),
    [aux_sym_throw_expression_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token2] = ACTIONS(1514),
    [aux_sym_do_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token2] = ACTIONS(1514),
    [aux_sym_foreach_statement_token1] = ACTIONS(1514),
    [aux_sym_foreach_statement_token2] = ACTIONS(1514),
    [aux_sym_if_statement_token1] = ACTIONS(1514),
    [aux_sym_if_statement_token2] = ACTIONS(1514),
    [aux_sym_else_if_clause_token1] = ACTIONS(1514),
    [aux_sym_else_clause_token1] = ACTIONS(1514),
    [aux_sym_match_expression_token1] = ACTIONS(1514),
    [aux_sym_match_default_expression_token1] = ACTIONS(1514),
    [aux_sym_switch_statement_token1] = ACTIONS(1514),
    [aux_sym_switch_block_token1] = ACTIONS(1514),
    [anon_sym_AT] = ACTIONS(1512),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1514),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1514),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1514),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1514),
    [anon_sym_parent] = ACTIONS(1514),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [sym_boolean] = ACTIONS(1514),
    [sym_null] = ACTIONS(1514),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1514),
    [aux_sym_include_expression_token1] = ACTIONS(1514),
    [aux_sym_include_once_expression_token1] = ACTIONS(1514),
    [aux_sym_require_expression_token1] = ACTIONS(1514),
    [aux_sym_require_once_expression_token1] = ACTIONS(1514),
    [sym_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_text_interpolation] = STATE(573),
    [sym_name] = ACTIONS(1516),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1518),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1516),
    [aux_sym_global_declaration_token1] = ACTIONS(1516),
    [aux_sym_namespace_definition_token1] = ACTIONS(1516),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1516),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1516),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1516),
    [anon_sym_BSLASH] = ACTIONS(1518),
    [anon_sym_LBRACE] = ACTIONS(1518),
    [aux_sym_trait_declaration_token1] = ACTIONS(1516),
    [aux_sym_interface_declaration_token1] = ACTIONS(1516),
    [aux_sym_enum_declaration_token1] = ACTIONS(1516),
    [anon_sym_COLON] = ACTIONS(1518),
    [aux_sym_class_declaration_token1] = ACTIONS(1516),
    [aux_sym_final_modifier_token1] = ACTIONS(1516),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1516),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1516),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1516),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1516),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [aux_sym_cast_type_token1] = ACTIONS(1516),
    [aux_sym_echo_statement_token1] = ACTIONS(1516),
    [anon_sym_unset] = ACTIONS(1516),
    [aux_sym_declare_statement_token1] = ACTIONS(1516),
    [sym_float] = ACTIONS(1516),
    [aux_sym_try_statement_token1] = ACTIONS(1516),
    [aux_sym_goto_statement_token1] = ACTIONS(1516),
    [aux_sym_continue_statement_token1] = ACTIONS(1516),
    [aux_sym_break_statement_token1] = ACTIONS(1516),
    [sym_integer] = ACTIONS(1516),
    [aux_sym_return_statement_token1] = ACTIONS(1516),
    [aux_sym_throw_expression_token1] = ACTIONS(1516),
    [aux_sym_while_statement_token1] = ACTIONS(1516),
    [aux_sym_do_statement_token1] = ACTIONS(1516),
    [aux_sym_for_statement_token1] = ACTIONS(1516),
    [aux_sym_foreach_statement_token1] = ACTIONS(1516),
    [aux_sym_if_statement_token1] = ACTIONS(1516),
    [aux_sym_match_expression_token1] = ACTIONS(1516),
    [aux_sym_switch_statement_token1] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_TILDE] = ACTIONS(1518),
    [anon_sym_BANG] = ACTIONS(1518),
    [aux_sym_clone_expression_token1] = ACTIONS(1516),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1516),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1518),
    [aux_sym__list_destructing_token1] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_self] = ACTIONS(1516),
    [anon_sym_parent] = ACTIONS(1516),
    [anon_sym_POUND_LBRACK] = ACTIONS(1518),
    [anon_sym_SQUOTE] = ACTIONS(1518),
    [aux_sym_encapsed_string_token1] = ACTIONS(1518),
    [anon_sym_DQUOTE] = ACTIONS(1518),
    [aux_sym_string_token1] = ACTIONS(1518),
    [anon_sym_LT_LT_LT] = ACTIONS(1518),
    [anon_sym_BQUOTE] = ACTIONS(1518),
    [sym_boolean] = ACTIONS(1516),
    [sym_null] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1518),
    [aux_sym_yield_expression_token1] = ACTIONS(1516),
    [aux_sym_include_expression_token1] = ACTIONS(1516),
    [aux_sym_include_once_expression_token1] = ACTIONS(1516),
    [aux_sym_require_expression_token1] = ACTIONS(1516),
    [aux_sym_require_once_expression_token1] = ACTIONS(1516),
    [sym_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_text_interpolation] = STATE(574),
    [sym_qualified_name] = STATE(727),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2515),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__primary_expression] = STATE(936),
    [sym_parenthesized_expression] = STATE(700),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_variable] = STATE(706),
    [sym_member_access_expression] = STATE(706),
    [sym_nullsafe_member_access_expression] = STATE(706),
    [sym_scoped_property_access_expression] = STATE(706),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2668),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1707),
    [sym_array_creation_expression] = STATE(700),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(700),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym__reserved_identifier] = STATE(1601),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(1520),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(569),
    [aux_sym_print_intrinsic_token1] = ACTIONS(581),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [sym_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_text_interpolation] = STATE(575),
    [sym_qualified_name] = STATE(727),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__primary_expression] = STATE(936),
    [sym_parenthesized_expression] = STATE(700),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_variable] = STATE(706),
    [sym_member_access_expression] = STATE(706),
    [sym_nullsafe_member_access_expression] = STATE(706),
    [sym_scoped_property_access_expression] = STATE(706),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2668),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1707),
    [sym_array_creation_expression] = STATE(700),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(700),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym__reserved_identifier] = STATE(1601),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(1520),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(657),
    [aux_sym_print_intrinsic_token1] = ACTIONS(667),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [sym_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_text_interpolation] = STATE(576),
    [sym_qualified_name] = STATE(837),
    [sym_namespace_name_as_prefix] = STATE(2685),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2677),
    [sym_arrow_function] = STATE(1075),
    [sym_throw_expression] = STATE(1075),
    [sym__primary_expression] = STATE(1149),
    [sym_parenthesized_expression] = STATE(827),
    [sym_class_constant_access_expression] = STATE(913),
    [sym_print_intrinsic] = STATE(1075),
    [sym_anonymous_function_creation_expression] = STATE(1075),
    [sym_object_creation_expression] = STATE(1075),
    [sym_update_expression] = STATE(1075),
    [sym_cast_variable] = STATE(855),
    [sym_member_access_expression] = STATE(855),
    [sym_nullsafe_member_access_expression] = STATE(855),
    [sym_scoped_property_access_expression] = STATE(855),
    [sym_function_call_expression] = STATE(781),
    [sym_scoped_call_expression] = STATE(781),
    [sym__scope_resolution_qualifier] = STATE(2629),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(781),
    [sym_nullsafe_member_call_expression] = STATE(781),
    [sym_subscript_expression] = STATE(781),
    [sym__dereferencable_expression] = STATE(1765),
    [sym_array_creation_expression] = STATE(827),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1827),
    [sym_encapsed_string] = STATE(870),
    [sym_string] = STATE(870),
    [sym_heredoc] = STATE(870),
    [sym_nowdoc] = STATE(870),
    [sym_shell_command_expression] = STATE(1075),
    [sym__string] = STATE(827),
    [sym_dynamic_variable_name] = STATE(781),
    [sym_variable_name] = STATE(781),
    [sym__reserved_identifier] = STATE(1598),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(1526),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(645),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(647),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(1528),
    [aux_sym_cast_type_token1] = ACTIONS(240),
    [sym_float] = ACTIONS(248),
    [sym_integer] = ACTIONS(248),
    [aux_sym_throw_expression_token1] = ACTIONS(260),
    [aux_sym_print_intrinsic_token1] = ACTIONS(284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(286),
    [anon_sym_PLUS_PLUS] = ACTIONS(288),
    [anon_sym_DASH_DASH] = ACTIONS(288),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(298),
    [aux_sym_encapsed_string_token1] = ACTIONS(300),
    [anon_sym_DQUOTE] = ACTIONS(300),
    [aux_sym_string_token1] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(302),
    [anon_sym_BQUOTE] = ACTIONS(304),
    [sym_boolean] = ACTIONS(248),
    [sym_null] = ACTIONS(248),
    [anon_sym_DOLLAR] = ACTIONS(1530),
    [sym_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_text_interpolation] = STATE(577),
    [sym_qualified_name] = STATE(727),
    [sym_namespace_name_as_prefix] = STATE(2512),
    [sym_namespace_name] = STATE(2684),
    [sym_static_modifier] = STATE(2681),
    [sym__arrow_function_header] = STATE(2509),
    [sym_arrow_function] = STATE(921),
    [sym_throw_expression] = STATE(921),
    [sym__primary_expression] = STATE(936),
    [sym_parenthesized_expression] = STATE(700),
    [sym_class_constant_access_expression] = STATE(794),
    [sym_print_intrinsic] = STATE(921),
    [sym_anonymous_function_creation_expression] = STATE(921),
    [sym_object_creation_expression] = STATE(921),
    [sym_update_expression] = STATE(921),
    [sym_cast_variable] = STATE(706),
    [sym_member_access_expression] = STATE(706),
    [sym_nullsafe_member_access_expression] = STATE(706),
    [sym_scoped_property_access_expression] = STATE(706),
    [sym_function_call_expression] = STATE(665),
    [sym_scoped_call_expression] = STATE(665),
    [sym__scope_resolution_qualifier] = STATE(2668),
    [sym_relative_scope] = STATE(2672),
    [sym_member_call_expression] = STATE(665),
    [sym_nullsafe_member_call_expression] = STATE(665),
    [sym_subscript_expression] = STATE(665),
    [sym__dereferencable_expression] = STATE(1707),
    [sym_array_creation_expression] = STATE(700),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1796),
    [sym_encapsed_string] = STATE(762),
    [sym_string] = STATE(762),
    [sym_heredoc] = STATE(762),
    [sym_nowdoc] = STATE(762),
    [sym_shell_command_expression] = STATE(921),
    [sym__string] = STATE(700),
    [sym_dynamic_variable_name] = STATE(665),
    [sym_variable_name] = STATE(665),
    [sym__reserved_identifier] = STATE(1601),
    [aux_sym_attribute_list_repeat1] = STATE(1368),
    [sym_name] = ACTIONS(1520),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [aux_sym_function_static_declaration_token1] = ACTIONS(553),
    [aux_sym_namespace_definition_token1] = ACTIONS(555),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(557),
    [anon_sym_BSLASH] = ACTIONS(212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(236),
    [anon_sym_LPAREN] = ACTIONS(1522),
    [aux_sym_cast_type_token1] = ACTIONS(565),
    [sym_float] = ACTIONS(567),
    [sym_integer] = ACTIONS(567),
    [aux_sym_throw_expression_token1] = ACTIONS(615),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym_object_creation_expression_token1] = ACTIONS(583),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_self] = ACTIONS(294),
    [anon_sym_parent] = ACTIONS(294),
    [anon_sym_POUND_LBRACK] = ACTIONS(296),
    [anon_sym_SQUOTE] = ACTIONS(589),
    [aux_sym_encapsed_string_token1] = ACTIONS(591),
    [anon_sym_DQUOTE] = ACTIONS(591),
    [aux_sym_string_token1] = ACTIONS(589),
    [anon_sym_LT_LT_LT] = ACTIONS(593),
    [anon_sym_BQUOTE] = ACTIONS(595),
    [sym_boolean] = ACTIONS(567),
    [sym_null] = ACTIONS(567),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [sym_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_text_interpolation] = STATE(578),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1532),
    [anon_sym_AMP] = ACTIONS(1534),
    [anon_sym_COMMA] = ACTIONS(1532),
    [anon_sym_EQ] = ACTIONS(1534),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [aux_sym_base_clause_token1] = ACTIONS(1532),
    [anon_sym_COLON] = ACTIONS(1534),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1532),
    [anon_sym_EQ_GT] = ACTIONS(1532),
    [anon_sym_LPAREN] = ACTIONS(1532),
    [anon_sym_RPAREN] = ACTIONS(1532),
    [anon_sym_QMARK] = ACTIONS(1534),
    [anon_sym_PIPE] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_STAR_STAR] = ACTIONS(1534),
    [anon_sym_COLON_COLON] = ACTIONS(1532),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1532),
    [anon_sym_STAR_EQ] = ACTIONS(1532),
    [anon_sym_SLASH_EQ] = ACTIONS(1532),
    [anon_sym_PERCENT_EQ] = ACTIONS(1532),
    [anon_sym_PLUS_EQ] = ACTIONS(1532),
    [anon_sym_DASH_EQ] = ACTIONS(1532),
    [anon_sym_DOT_EQ] = ACTIONS(1532),
    [anon_sym_LT_LT_EQ] = ACTIONS(1532),
    [anon_sym_GT_GT_EQ] = ACTIONS(1532),
    [anon_sym_AMP_EQ] = ACTIONS(1532),
    [anon_sym_CARET_EQ] = ACTIONS(1532),
    [anon_sym_PIPE_EQ] = ACTIONS(1532),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1532),
    [anon_sym_DASH_GT] = ACTIONS(1532),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1532),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_RBRACK] = ACTIONS(1532),
    [aux_sym_binary_expression_token1] = ACTIONS(1532),
    [anon_sym_QMARK_QMARK] = ACTIONS(1534),
    [aux_sym_binary_expression_token2] = ACTIONS(1532),
    [aux_sym_binary_expression_token3] = ACTIONS(1532),
    [aux_sym_binary_expression_token4] = ACTIONS(1532),
    [anon_sym_PIPE_PIPE] = ACTIONS(1532),
    [anon_sym_AMP_AMP] = ACTIONS(1532),
    [anon_sym_CARET] = ACTIONS(1534),
    [anon_sym_EQ_EQ] = ACTIONS(1534),
    [anon_sym_BANG_EQ] = ACTIONS(1534),
    [anon_sym_LT_GT] = ACTIONS(1532),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1532),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1532),
    [anon_sym_LT] = ACTIONS(1534),
    [anon_sym_GT] = ACTIONS(1534),
    [anon_sym_LT_EQ] = ACTIONS(1534),
    [anon_sym_GT_EQ] = ACTIONS(1532),
    [anon_sym_LT_EQ_GT] = ACTIONS(1532),
    [anon_sym_LT_LT] = ACTIONS(1534),
    [anon_sym_GT_GT] = ACTIONS(1534),
    [anon_sym_DOT] = ACTIONS(1534),
    [anon_sym_STAR] = ACTIONS(1534),
    [anon_sym_SLASH] = ACTIONS(1534),
    [anon_sym_PERCENT] = ACTIONS(1534),
    [sym_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_text_interpolation] = STATE(579),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1536),
    [anon_sym_AMP] = ACTIONS(1538),
    [anon_sym_COMMA] = ACTIONS(1536),
    [anon_sym_EQ] = ACTIONS(1538),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [aux_sym_base_clause_token1] = ACTIONS(1536),
    [anon_sym_COLON] = ACTIONS(1538),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1536),
    [anon_sym_EQ_GT] = ACTIONS(1536),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [anon_sym_RPAREN] = ACTIONS(1536),
    [anon_sym_QMARK] = ACTIONS(1538),
    [anon_sym_PIPE] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_STAR_STAR] = ACTIONS(1538),
    [anon_sym_COLON_COLON] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1536),
    [anon_sym_STAR_EQ] = ACTIONS(1536),
    [anon_sym_SLASH_EQ] = ACTIONS(1536),
    [anon_sym_PERCENT_EQ] = ACTIONS(1536),
    [anon_sym_PLUS_EQ] = ACTIONS(1536),
    [anon_sym_DASH_EQ] = ACTIONS(1536),
    [anon_sym_DOT_EQ] = ACTIONS(1536),
    [anon_sym_LT_LT_EQ] = ACTIONS(1536),
    [anon_sym_GT_GT_EQ] = ACTIONS(1536),
    [anon_sym_AMP_EQ] = ACTIONS(1536),
    [anon_sym_CARET_EQ] = ACTIONS(1536),
    [anon_sym_PIPE_EQ] = ACTIONS(1536),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1536),
    [anon_sym_DASH_GT] = ACTIONS(1536),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1536),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_RBRACK] = ACTIONS(1536),
    [aux_sym_binary_expression_token1] = ACTIONS(1536),
    [anon_sym_QMARK_QMARK] = ACTIONS(1538),
    [aux_sym_binary_expression_token2] = ACTIONS(1536),
    [aux_sym_binary_expression_token3] = ACTIONS(1536),
    [aux_sym_binary_expression_token4] = ACTIONS(1536),
    [anon_sym_PIPE_PIPE] = ACTIONS(1536),
    [anon_sym_AMP_AMP] = ACTIONS(1536),
    [anon_sym_CARET] = ACTIONS(1538),
    [anon_sym_EQ_EQ] = ACTIONS(1538),
    [anon_sym_BANG_EQ] = ACTIONS(1538),
    [anon_sym_LT_GT] = ACTIONS(1536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1536),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1536),
    [anon_sym_LT] = ACTIONS(1538),
    [anon_sym_GT] = ACTIONS(1538),
    [anon_sym_LT_EQ] = ACTIONS(1538),
    [anon_sym_GT_EQ] = ACTIONS(1536),
    [anon_sym_LT_EQ_GT] = ACTIONS(1536),
    [anon_sym_LT_LT] = ACTIONS(1538),
    [anon_sym_GT_GT] = ACTIONS(1538),
    [anon_sym_DOT] = ACTIONS(1538),
    [anon_sym_STAR] = ACTIONS(1538),
    [anon_sym_SLASH] = ACTIONS(1538),
    [anon_sym_PERCENT] = ACTIONS(1538),
    [sym_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_text_interpolation] = STATE(580),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1542),
    [anon_sym_COMMA] = ACTIONS(1540),
    [anon_sym_EQ] = ACTIONS(1542),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [aux_sym_base_clause_token1] = ACTIONS(1540),
    [anon_sym_COLON] = ACTIONS(1542),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1540),
    [anon_sym_EQ_GT] = ACTIONS(1540),
    [anon_sym_LPAREN] = ACTIONS(1540),
    [anon_sym_RPAREN] = ACTIONS(1540),
    [anon_sym_QMARK] = ACTIONS(1542),
    [anon_sym_PIPE] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_STAR_STAR] = ACTIONS(1542),
    [anon_sym_COLON_COLON] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1540),
    [anon_sym_STAR_EQ] = ACTIONS(1540),
    [anon_sym_SLASH_EQ] = ACTIONS(1540),
    [anon_sym_PERCENT_EQ] = ACTIONS(1540),
    [anon_sym_PLUS_EQ] = ACTIONS(1540),
    [anon_sym_DASH_EQ] = ACTIONS(1540),
    [anon_sym_DOT_EQ] = ACTIONS(1540),
    [anon_sym_LT_LT_EQ] = ACTIONS(1540),
    [anon_sym_GT_GT_EQ] = ACTIONS(1540),
    [anon_sym_AMP_EQ] = ACTIONS(1540),
    [anon_sym_CARET_EQ] = ACTIONS(1540),
    [anon_sym_PIPE_EQ] = ACTIONS(1540),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1540),
    [anon_sym_DASH_GT] = ACTIONS(1540),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1540),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_RBRACK] = ACTIONS(1540),
    [aux_sym_binary_expression_token1] = ACTIONS(1540),
    [anon_sym_QMARK_QMARK] = ACTIONS(1542),
    [aux_sym_binary_expression_token2] = ACTIONS(1540),
    [aux_sym_binary_expression_token3] = ACTIONS(1540),
    [aux_sym_binary_expression_token4] = ACTIONS(1540),
    [anon_sym_PIPE_PIPE] = ACTIONS(1540),
    [anon_sym_AMP_AMP] = ACTIONS(1540),
    [anon_sym_CARET] = ACTIONS(1542),
    [anon_sym_EQ_EQ] = ACTIONS(1542),
    [anon_sym_BANG_EQ] = ACTIONS(1542),
    [anon_sym_LT_GT] = ACTIONS(1540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1540),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1542),
    [anon_sym_LT_EQ] = ACTIONS(1542),
    [anon_sym_GT_EQ] = ACTIONS(1540),
    [anon_sym_LT_EQ_GT] = ACTIONS(1540),
    [anon_sym_LT_LT] = ACTIONS(1542),
    [anon_sym_GT_GT] = ACTIONS(1542),
    [anon_sym_DOT] = ACTIONS(1542),
    [anon_sym_STAR] = ACTIONS(1542),
    [anon_sym_SLASH] = ACTIONS(1542),
    [anon_sym_PERCENT] = ACTIONS(1542),
    [sym_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_text_interpolation] = STATE(581),
    [anon_sym_QMARK_GT] = ACTIONS(18),
    [anon_sym_SEMI] = ACTIONS(1544),
    [anon_sym_AMP] = ACTIONS(1546),
    [anon_sym_COMMA] = ACTIONS(1544),
    [anon_sym_EQ] = ACTIONS(1546),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [aux_sym_base_clause_token1] = ACTIONS(1544),
    [anon_sym_COLON] = ACTIONS(1546),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1544),
    [anon_sym_EQ_GT] = ACTIONS(1544),
    [anon_sym_LPAREN] = ACTIONS(1544),
    [anon_sym_RPAREN] = ACTIONS(1544),
    [anon_sym_QMARK] = ACTIONS(1546),
    [anon_sym_PIPE] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_STAR_STAR] = ACTIONS(1546),
    [anon_sym_COLON_COLON] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1544),
    [anon_sym_STAR_EQ] = ACTIONS(1544),
    [anon_sym_SLASH_EQ] = ACTIONS(1544),
    [anon_sym_PERCENT_EQ] = ACTIONS(1544),
    [anon_sym_PLUS_EQ] = ACTIONS(1544),
    [anon_sym_DASH_EQ] = ACTIONS(1544),
    [anon_sym_DOT_EQ] = ACTIONS(1544),
    [anon_sym_LT_LT_EQ] = ACTIONS(1544),
    [anon_sym_GT_GT_EQ] = ACTIONS(1544),
    [anon_sym_AMP_EQ] = ACTIONS(1544),
    [anon_sym_CARET_EQ] = ACTIONS(1544),
    [anon_sym_PIPE_EQ] = ACTIONS(1544),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1544),
    [anon_sym_DASH_GT] = ACTIONS(1544),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1544),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_RBRACK] = ACTIONS(1544),
    [aux_sym_binary_expression_token1] = ACTIONS(1544),
    [anon_sym_QMARK_QMARK] = ACTIONS(1546),
    [aux_sym_binary_expression_token2] = ACTIONS(1544),
    [aux_sym_binary_expression_token3] = ACTIONS(1544),
    [aux_sym_binary_expression_token4] = ACTIONS(1544),
    [anon_sym_PIPE_PIPE] = ACTIONS(1544),
    [anon_sym_AMP_AMP] = ACTIONS(1544),
    [anon_sym_CARET] = ACTIONS(1546),
    [anon_sym_EQ_EQ] = ACTIONS(1546),
    [anon_sym_BANG_EQ] = ACTIONS(1546),
    [anon_sym_LT_GT] = ACTIONS(1544),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1544),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1544),
    [anon_sym_LT] = ACTIONS(1546),
    [anon_sym_GT] = ACTIONS(1546),
    [anon_sym_LT_EQ] = ACTIONS(1546),
    [anon_sym_GT_EQ] = ACTIONS(1544),
    [anon_sym_LT_EQ_GT] = ACTIONS(1544),
    [anon_sym_LT_LT] = ACTIONS(1546),
    [anon_sym_GT_GT] = ACTIONS(1546),
    [anon_sym_DOT] = ACTIONS(1546),
    [anon_sym_STAR] = ACTIONS(1546),
    [anon_sym_SLASH] = ACTIONS(1546),
    [anon_sym_PERCENT] = ACTIONS(1546),
    [sym_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(582), 1,
      sym_text_interpolation,
    STATE(596), 1,
      sym_arguments,
    ACTIONS(1550), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1548), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [79] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(583), 1,
      sym_text_interpolation,
    STATE(590), 1,
      sym_arguments,
    ACTIONS(1556), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1554), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [158] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1562), 1,
      anon_sym_EQ,
    STATE(584), 1,
      sym_text_interpolation,
    STATE(599), 1,
      sym_arguments,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [245] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(585), 1,
      sym_text_interpolation,
    STATE(589), 1,
      sym_arguments,
    ACTIONS(1572), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1570), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [324] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_text_interpolation,
    STATE(597), 1,
      sym_arguments,
    ACTIONS(1576), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1574), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [403] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(587), 1,
      sym_text_interpolation,
    STATE(598), 1,
      sym_arguments,
    ACTIONS(1580), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1578), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [482] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(588), 1,
      sym_text_interpolation,
    ACTIONS(1584), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1582), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [556] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(589), 1,
      sym_text_interpolation,
    ACTIONS(1588), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [630] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(590), 1,
      sym_text_interpolation,
    ACTIONS(1592), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1590), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [704] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(591), 1,
      sym_text_interpolation,
    ACTIONS(1596), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1594), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [778] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(592), 1,
      sym_text_interpolation,
    ACTIONS(1600), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [852] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(593), 1,
      sym_text_interpolation,
    ACTIONS(1604), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1602), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [926] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(594), 1,
      sym_text_interpolation,
    ACTIONS(1608), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1606), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1000] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(595), 1,
      sym_text_interpolation,
    ACTIONS(1612), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1610), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1074] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(596), 1,
      sym_text_interpolation,
    ACTIONS(1616), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1614), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1148] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(597), 1,
      sym_text_interpolation,
    ACTIONS(1620), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1618), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1222] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(598), 1,
      sym_text_interpolation,
    ACTIONS(1624), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1296] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(599), 1,
      sym_text_interpolation,
    ACTIONS(1628), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1370] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(600), 1,
      sym_text_interpolation,
    ACTIONS(1632), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1444] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(599), 1,
      sym_arguments,
    STATE(601), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1529] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    STATE(599), 1,
      sym_arguments,
    STATE(602), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1614] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_EQ,
    STATE(603), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1695] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(599), 1,
      sym_arguments,
    STATE(604), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1779] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(599), 1,
      sym_arguments,
    STATE(605), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1863] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    STATE(606), 1,
      sym_text_interpolation,
    STATE(618), 1,
      sym_arguments,
    ACTIONS(1556), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1554), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1938] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    STATE(599), 1,
      sym_arguments,
    STATE(607), 1,
      sym_text_interpolation,
    STATE(2039), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2027] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(608), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2106] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1638), 1,
      anon_sym_EQ,
    STATE(609), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2185] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1562), 1,
      anon_sym_EQ,
    STATE(599), 1,
      sym_arguments,
    STATE(610), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1568), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2268] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    STATE(611), 1,
      sym_text_interpolation,
    STATE(637), 1,
      sym_arguments,
    ACTIONS(1550), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1548), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2343] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    STATE(612), 1,
      sym_text_interpolation,
    STATE(630), 1,
      sym_arguments,
    ACTIONS(1572), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1570), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2418] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    STATE(613), 1,
      sym_text_interpolation,
    STATE(626), 1,
      sym_arguments,
    ACTIONS(1576), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1574), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2493] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    ACTIONS(1650), 1,
      anon_sym_EQ,
    STATE(614), 1,
      sym_text_interpolation,
    STATE(621), 1,
      sym_arguments,
    ACTIONS(1652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1654), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2576] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    ACTIONS(1656), 1,
      anon_sym_EQ,
    STATE(615), 1,
      sym_text_interpolation,
    STATE(621), 1,
      sym_arguments,
    ACTIONS(1652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1654), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2659] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    STATE(616), 1,
      sym_text_interpolation,
    STATE(624), 1,
      sym_arguments,
    ACTIONS(1580), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1578), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2734] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_EQ,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    STATE(617), 1,
      sym_text_interpolation,
    STATE(621), 1,
      sym_arguments,
    ACTIONS(1652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2817] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(618), 1,
      sym_text_interpolation,
    ACTIONS(1592), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1590), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2887] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(619), 1,
      sym_text_interpolation,
    ACTIONS(1604), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1602), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2957] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(620), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3035] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(621), 1,
      sym_text_interpolation,
    ACTIONS(1628), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3105] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(622), 1,
      sym_text_interpolation,
    ACTIONS(1608), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1606), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3175] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(623), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3253] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(624), 1,
      sym_text_interpolation,
    ACTIONS(1624), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3323] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1658), 1,
      anon_sym_EQ,
    STATE(599), 1,
      sym_arguments,
    STATE(625), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3405] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(626), 1,
      sym_text_interpolation,
    ACTIONS(1620), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1618), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3475] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(627), 1,
      sym_text_interpolation,
    ACTIONS(1584), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1582), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3545] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(628), 1,
      sym_text_interpolation,
    ACTIONS(1596), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1594), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3615] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(629), 1,
      sym_text_interpolation,
    ACTIONS(1534), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1532), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3685] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(630), 1,
      sym_text_interpolation,
    ACTIONS(1588), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3755] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(631), 1,
      sym_text_interpolation,
    ACTIONS(1546), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1544), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3825] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_EQ,
    STATE(599), 1,
      sym_arguments,
    STATE(632), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3907] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(599), 1,
      sym_arguments,
    STATE(633), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1664), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3991] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(599), 1,
      sym_arguments,
    STATE(634), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1666), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4075] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(635), 1,
      sym_text_interpolation,
    ACTIONS(1600), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1598), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4145] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(636), 1,
      sym_text_interpolation,
    ACTIONS(1538), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1536), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4215] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(637), 1,
      sym_text_interpolation,
    ACTIONS(1616), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1614), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4285] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(638), 1,
      sym_text_interpolation,
    ACTIONS(1612), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1610), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4355] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(599), 1,
      sym_arguments,
    STATE(639), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1669), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4439] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(640), 1,
      sym_text_interpolation,
    ACTIONS(1542), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1540), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4509] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(641), 1,
      sym_text_interpolation,
    ACTIONS(1632), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4579] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1656), 1,
      anon_sym_EQ,
    STATE(642), 1,
      sym_text_interpolation,
    ACTIONS(1652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1654), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4656] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_EQ,
    STATE(643), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1568), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4733] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(599), 1,
      sym_arguments,
    STATE(644), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1671), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4816] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1650), 1,
      anon_sym_EQ,
    STATE(645), 1,
      sym_text_interpolation,
    ACTIONS(1652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1654), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4893] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_EQ,
    STATE(646), 1,
      sym_text_interpolation,
    ACTIONS(1652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1568), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4970] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    STATE(647), 1,
      sym_text_interpolation,
    STATE(2039), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5053] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(648), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1669), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5131] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(649), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1666), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5209] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1662), 1,
      anon_sym_EQ,
    STATE(650), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5285] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1658), 1,
      anon_sym_EQ,
    STATE(651), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1660), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5361] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(652), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1664), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1636), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5439] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1640), 1,
      anon_sym_EQ,
    STATE(653), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1671), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1560), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5516] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(654), 1,
      sym_text_interpolation,
    ACTIONS(1674), 21,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      sym_name,
    ACTIONS(1676), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5580] = 30,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(228), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(230), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1680), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1682), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1686), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(1688), 1,
      sym_var_modifier,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1696), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(655), 1,
      sym_text_interpolation,
    STATE(1045), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1450), 1,
      sym__types,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1750), 1,
      sym_variable_name,
    STATE(1924), 1,
      sym_property_element,
    STATE(1935), 1,
      sym__function_definition_header,
    STATE(2193), 1,
      sym__type,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(1690), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5693] = 30,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(228), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(230), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1680), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1682), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1686), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(1688), 1,
      sym_var_modifier,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1696), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(656), 1,
      sym_text_interpolation,
    STATE(1045), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1450), 1,
      sym__types,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1750), 1,
      sym_variable_name,
    STATE(1829), 1,
      sym_property_element,
    STATE(1833), 1,
      sym__function_definition_header,
    STATE(2082), 1,
      sym__type,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(1690), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5806] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    STATE(657), 1,
      sym_text_interpolation,
    STATE(692), 1,
      sym_arguments,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1578), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5871] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    STATE(658), 1,
      sym_text_interpolation,
    STATE(684), 1,
      sym_arguments,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1574), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5936] = 30,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(1704), 1,
      anon_sym_COMMA,
    ACTIONS(1706), 1,
      anon_sym_LPAREN,
    ACTIONS(1708), 1,
      anon_sym_RPAREN,
    ACTIONS(1710), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1712), 1,
      anon_sym_QMARK,
    ACTIONS(1714), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(659), 1,
      sym_text_interpolation,
    STATE(924), 1,
      sym_attribute_list,
    STATE(1173), 1,
      sym_visibility_modifier,
    STATE(1336), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1349), 1,
      sym_attribute_group,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1604), 1,
      sym__types,
    STATE(1708), 1,
      sym__type,
    STATE(1986), 1,
      sym_reference_modifier,
    STATE(1988), 1,
      sym_variable_name,
    STATE(2583), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1983), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6047] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    STATE(660), 1,
      sym_text_interpolation,
    STATE(682), 1,
      sym_arguments,
    ACTIONS(1556), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1554), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6112] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    STATE(599), 1,
      sym_arguments,
    STATE(661), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1720), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1718), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6183] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    STATE(662), 1,
      sym_text_interpolation,
    STATE(685), 1,
      sym_arguments,
    ACTIONS(1550), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6248] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    STATE(599), 1,
      sym_arguments,
    STATE(663), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6319] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    STATE(664), 1,
      sym_text_interpolation,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6386] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    STATE(665), 1,
      sym_text_interpolation,
    STATE(689), 1,
      sym_arguments,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6455] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(666), 1,
      sym_text_interpolation,
    STATE(741), 1,
      sym_arguments,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1727), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1725), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6526] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    STATE(667), 1,
      sym_text_interpolation,
    STATE(689), 1,
      sym_arguments,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6597] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    STATE(668), 1,
      sym_text_interpolation,
    STATE(671), 1,
      sym_arguments,
    ACTIONS(1572), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1570), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6662] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(669), 1,
      sym_text_interpolation,
    ACTIONS(1596), 12,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6723] = 30,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(1706), 1,
      anon_sym_LPAREN,
    ACTIONS(1710), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1712), 1,
      anon_sym_QMARK,
    ACTIONS(1714), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(1731), 1,
      anon_sym_COMMA,
    ACTIONS(1733), 1,
      anon_sym_RPAREN,
    STATE(670), 1,
      sym_text_interpolation,
    STATE(924), 1,
      sym_attribute_list,
    STATE(1173), 1,
      sym_visibility_modifier,
    STATE(1336), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1349), 1,
      sym_attribute_group,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1604), 1,
      sym__types,
    STATE(1708), 1,
      sym__type,
    STATE(1986), 1,
      sym_reference_modifier,
    STATE(1988), 1,
      sym_variable_name,
    STATE(2583), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1987), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6834] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(671), 1,
      sym_text_interpolation,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1586), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6894] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(672), 1,
      sym_text_interpolation,
    ACTIONS(1600), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1598), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6954] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(673), 1,
      sym_text_interpolation,
    ACTIONS(1612), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1610), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7014] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(674), 1,
      sym_text_interpolation,
    ACTIONS(1538), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1536), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7074] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(1706), 1,
      anon_sym_LPAREN,
    ACTIONS(1710), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1712), 1,
      anon_sym_QMARK,
    ACTIONS(1714), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(1735), 1,
      anon_sym_RPAREN,
    STATE(675), 1,
      sym_text_interpolation,
    STATE(924), 1,
      sym_attribute_list,
    STATE(1173), 1,
      sym_visibility_modifier,
    STATE(1336), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1349), 1,
      sym_attribute_group,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1604), 1,
      sym__types,
    STATE(1708), 1,
      sym__type,
    STATE(1986), 1,
      sym_reference_modifier,
    STATE(1988), 1,
      sym_variable_name,
    STATE(2583), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2415), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7182] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(594), 1,
      sym_arguments,
    STATE(676), 1,
      sym_text_interpolation,
    ACTIONS(1739), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1737), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7246] = 30,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1741), 1,
      sym_name,
    ACTIONS(1745), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    STATE(677), 1,
      sym_text_interpolation,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1711), 1,
      sym__dereferencable_expression,
    STATE(2590), 1,
      sym__scope_resolution_qualifier,
    STATE(2641), 1,
      sym_attribute_list,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(836), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1762), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1743), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(831), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(832), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1597), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [7356] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(678), 1,
      sym_text_interpolation,
    ACTIONS(1608), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1606), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7416] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(679), 1,
      sym_text_interpolation,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1582), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7476] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(1706), 1,
      anon_sym_LPAREN,
    ACTIONS(1710), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1712), 1,
      anon_sym_QMARK,
    ACTIONS(1714), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(1751), 1,
      anon_sym_RPAREN,
    STATE(680), 1,
      sym_text_interpolation,
    STATE(924), 1,
      sym_attribute_list,
    STATE(1173), 1,
      sym_visibility_modifier,
    STATE(1336), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1349), 1,
      sym_attribute_group,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1604), 1,
      sym__types,
    STATE(1708), 1,
      sym__type,
    STATE(1986), 1,
      sym_reference_modifier,
    STATE(1988), 1,
      sym_variable_name,
    STATE(2583), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2415), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7584] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(681), 1,
      sym_text_interpolation,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1630), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7644] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(682), 1,
      sym_text_interpolation,
    ACTIONS(1592), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1590), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7704] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(683), 1,
      sym_text_interpolation,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7764] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(684), 1,
      sym_text_interpolation,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1618), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7824] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(685), 1,
      sym_text_interpolation,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1614), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7884] = 30,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1753), 1,
      sym_name,
    ACTIONS(1755), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    STATE(686), 1,
      sym_text_interpolation,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1715), 1,
      sym__dereferencable_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2617), 1,
      sym_attribute_list,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2699), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(717), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1762), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(722), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(724), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1597), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [7994] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(687), 1,
      sym_text_interpolation,
    ACTIONS(1542), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1540), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8054] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(688), 1,
      sym_text_interpolation,
    ACTIONS(1604), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1602), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8114] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(689), 1,
      sym_text_interpolation,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1626), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8174] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(690), 1,
      sym_text_interpolation,
    ACTIONS(1534), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1532), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8234] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(1706), 1,
      anon_sym_LPAREN,
    ACTIONS(1710), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1712), 1,
      anon_sym_QMARK,
    ACTIONS(1714), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(1759), 1,
      anon_sym_RPAREN,
    STATE(691), 1,
      sym_text_interpolation,
    STATE(924), 1,
      sym_attribute_list,
    STATE(1173), 1,
      sym_visibility_modifier,
    STATE(1336), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1349), 1,
      sym_attribute_group,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1604), 1,
      sym__types,
    STATE(1708), 1,
      sym__type,
    STATE(1986), 1,
      sym_reference_modifier,
    STATE(1988), 1,
      sym_variable_name,
    STATE(2583), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2415), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8342] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(692), 1,
      sym_text_interpolation,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1622), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8402] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(693), 1,
      sym_text_interpolation,
    ACTIONS(1596), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8462] = 29,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(1706), 1,
      anon_sym_LPAREN,
    ACTIONS(1710), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1712), 1,
      anon_sym_QMARK,
    ACTIONS(1714), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(1761), 1,
      anon_sym_RPAREN,
    STATE(694), 1,
      sym_text_interpolation,
    STATE(924), 1,
      sym_attribute_list,
    STATE(1173), 1,
      sym_visibility_modifier,
    STATE(1336), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1349), 1,
      sym_attribute_group,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1604), 1,
      sym__types,
    STATE(1708), 1,
      sym__type,
    STATE(1986), 1,
      sym_reference_modifier,
    STATE(1988), 1,
      sym_variable_name,
    STATE(2583), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2415), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8570] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(596), 1,
      sym_arguments,
    STATE(695), 1,
      sym_text_interpolation,
    ACTIONS(1765), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1763), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8634] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(696), 1,
      sym_text_interpolation,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1554), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8697] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    STATE(678), 1,
      sym_arguments,
    STATE(697), 1,
      sym_text_interpolation,
    ACTIONS(1739), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1737), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8760] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(597), 1,
      sym_arguments,
    STATE(698), 1,
      sym_text_interpolation,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1574), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8823] = 27,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      sym_name,
    ACTIONS(1769), 1,
      anon_sym_RBRACE,
    STATE(699), 1,
      sym_text_interpolation,
    STATE(711), 1,
      aux_sym_use_list_repeat1,
    STATE(1609), 1,
      sym_class_constant_access_expression,
    STATE(1723), 1,
      sym__dereferencable_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1619), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2230), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1762), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1597), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8926] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    STATE(689), 1,
      sym_arguments,
    STATE(700), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8991] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(701), 1,
      sym_text_interpolation,
    STATE(747), 1,
      sym_arguments,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1570), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9054] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(702), 1,
      sym_text_interpolation,
    STATE(735), 1,
      sym_arguments,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1554), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9117] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(703), 1,
      sym_text_interpolation,
    STATE(737), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9182] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(1706), 1,
      anon_sym_LPAREN,
    ACTIONS(1710), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1712), 1,
      anon_sym_QMARK,
    ACTIONS(1714), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(704), 1,
      sym_text_interpolation,
    STATE(924), 1,
      sym_attribute_list,
    STATE(1173), 1,
      sym_visibility_modifier,
    STATE(1336), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1349), 1,
      sym_attribute_group,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1604), 1,
      sym__types,
    STATE(1708), 1,
      sym__type,
    STATE(1986), 1,
      sym_reference_modifier,
    STATE(1988), 1,
      sym_variable_name,
    STATE(2583), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2415), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [9287] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(705), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9348] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(706), 1,
      sym_text_interpolation,
    ACTIONS(1566), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9411] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(707), 1,
      sym_text_interpolation,
    STATE(759), 1,
      sym_arguments,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9474] = 29,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(290), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(687), 1,
      anon_sym_AMP,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1771), 1,
      sym_name,
    STATE(708), 1,
      sym_text_interpolation,
    STATE(1723), 1,
      sym__dereferencable_expression,
    STATE(1762), 1,
      sym_class_constant_access_expression,
    STATE(2097), 1,
      sym__list_destructing,
    STATE(2098), 1,
      sym_by_ref,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1619), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1597), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1568), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1482), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9581] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(598), 1,
      sym_arguments,
    STATE(709), 1,
      sym_text_interpolation,
    ACTIONS(1580), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1578), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9644] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(589), 1,
      sym_arguments,
    STATE(710), 1,
      sym_text_interpolation,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1570), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9707] = 27,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1767), 1,
      sym_name,
    ACTIONS(1773), 1,
      anon_sym_RBRACE,
    STATE(711), 1,
      sym_text_interpolation,
    STATE(715), 1,
      aux_sym_use_list_repeat1,
    STATE(1609), 1,
      sym_class_constant_access_expression,
    STATE(1723), 1,
      sym__dereferencable_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1619), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2230), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1762), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1597), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9810] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(712), 1,
      sym_text_interpolation,
    STATE(774), 1,
      sym_arguments,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1574), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9873] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(599), 1,
      sym_arguments,
    STATE(713), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1720), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1718), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9938] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    STATE(685), 1,
      sym_arguments,
    STATE(714), 1,
      sym_text_interpolation,
    ACTIONS(1765), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1763), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10001] = 26,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1775), 1,
      sym_name,
    ACTIONS(1781), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1784), 1,
      anon_sym_BSLASH,
    ACTIONS(1787), 1,
      anon_sym_RBRACE,
    ACTIONS(1789), 1,
      anon_sym_LPAREN,
    ACTIONS(1792), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1795), 1,
      anon_sym_LBRACK,
    ACTIONS(1804), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1807), 1,
      anon_sym_DOLLAR,
    STATE(1609), 1,
      sym_class_constant_access_expression,
    STATE(1723), 1,
      sym__dereferencable_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(1798), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(1801), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(715), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1619), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2230), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1778), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1762), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1597), 10,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [10102] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(596), 1,
      sym_arguments,
    STATE(716), 1,
      sym_text_interpolation,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10163] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(717), 1,
      sym_text_interpolation,
    STATE(741), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1727), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1725), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10228] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(599), 1,
      sym_arguments,
    STATE(718), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1720), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1718), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10293] = 29,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(290), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(687), 1,
      anon_sym_AMP,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1771), 1,
      sym_name,
    STATE(719), 1,
      sym_text_interpolation,
    STATE(1723), 1,
      sym__dereferencable_expression,
    STATE(1762), 1,
      sym_class_constant_access_expression,
    STATE(2265), 1,
      sym_by_ref,
    STATE(2266), 1,
      sym__list_destructing,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1619), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1597), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1611), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1516), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [10400] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(599), 1,
      sym_arguments,
    STATE(720), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10465] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(590), 1,
      sym_arguments,
    STATE(721), 1,
      sym_text_interpolation,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1554), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10526] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1810), 1,
      anon_sym_LPAREN,
    STATE(722), 1,
      sym_text_interpolation,
    STATE(978), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1727), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1725), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10591] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(589), 1,
      sym_arguments,
    STATE(723), 1,
      sym_text_interpolation,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1570), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10652] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(724), 1,
      sym_text_interpolation,
    STATE(741), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1727), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1725), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10717] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(725), 1,
      sym_text_interpolation,
    STATE(737), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1814), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1812), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10782] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(1820), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1818), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1816), 31,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10845] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    STATE(689), 1,
      sym_arguments,
    STATE(727), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10910] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(596), 1,
      sym_arguments,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10973] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(729), 1,
      sym_text_interpolation,
    STATE(748), 1,
      sym_arguments,
    ACTIONS(1580), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1578), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11036] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(597), 1,
      sym_arguments,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1574), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11097] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(598), 1,
      sym_arguments,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1580), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1578), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11158] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(732), 1,
      sym_text_interpolation,
    STATE(737), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1827), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1825), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11223] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(599), 1,
      sym_arguments,
    STATE(733), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11288] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1608), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1606), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11346] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(735), 1,
      sym_text_interpolation,
    ACTIONS(1592), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1590), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11404] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(736), 1,
      sym_text_interpolation,
    ACTIONS(1831), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1829), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11462] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(737), 1,
      sym_text_interpolation,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1626), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11520] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(738), 1,
      sym_text_interpolation,
    ACTIONS(1835), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1833), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11578] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(739), 1,
      sym_text_interpolation,
    ACTIONS(1542), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1540), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11636] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(740), 1,
      sym_text_interpolation,
    ACTIONS(1839), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1837), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11694] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(741), 1,
      sym_text_interpolation,
    ACTIONS(1626), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1843), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1841), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11754] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(742), 1,
      sym_text_interpolation,
    ACTIONS(1847), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1845), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11812] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(743), 1,
      sym_text_interpolation,
    ACTIONS(1851), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1849), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11870] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(744), 1,
      sym_text_interpolation,
    ACTIONS(1538), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1536), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11928] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(745), 1,
      sym_text_interpolation,
    ACTIONS(1818), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1816), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11986] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(746), 1,
      sym_text_interpolation,
    ACTIONS(1604), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1602), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12044] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(747), 1,
      sym_text_interpolation,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1586), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12102] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(748), 1,
      sym_text_interpolation,
    ACTIONS(1624), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1622), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12160] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12218] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1632), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1630), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12276] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(751), 1,
      sym_text_interpolation,
    ACTIONS(1855), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1853), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12334] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(752), 1,
      sym_text_interpolation,
    ACTIONS(1859), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1857), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12392] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(753), 1,
      sym_text_interpolation,
    ACTIONS(1584), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1582), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12450] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(754), 1,
      sym_text_interpolation,
    ACTIONS(1863), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1861), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12508] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(755), 1,
      sym_text_interpolation,
    ACTIONS(1867), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1865), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12566] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(756), 1,
      sym_text_interpolation,
    ACTIONS(1600), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1598), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12624] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(757), 1,
      sym_text_interpolation,
    ACTIONS(1871), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1869), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12682] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(758), 1,
      sym_text_interpolation,
    ACTIONS(1875), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1873), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12740] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(759), 1,
      sym_text_interpolation,
    ACTIONS(1616), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1614), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12798] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(760), 1,
      sym_text_interpolation,
    ACTIONS(1879), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1877), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12856] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(761), 1,
      sym_text_interpolation,
    ACTIONS(1883), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1881), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12914] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(762), 1,
      sym_text_interpolation,
    ACTIONS(1887), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1885), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12972] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1891), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1889), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13030] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(764), 1,
      sym_text_interpolation,
    ACTIONS(1516), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1518), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13088] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(765), 1,
      sym_text_interpolation,
    ACTIONS(1612), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1610), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13146] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(766), 1,
      sym_text_interpolation,
    ACTIONS(1895), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1893), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13204] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(767), 1,
      sym_text_interpolation,
    ACTIONS(1534), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1532), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13262] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(768), 1,
      sym_text_interpolation,
    ACTIONS(1899), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1897), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13320] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(769), 1,
      sym_text_interpolation,
    ACTIONS(1903), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1901), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13378] = 28,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(687), 1,
      anon_sym_AMP,
    ACTIONS(823), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1771), 1,
      sym_name,
    STATE(770), 1,
      sym_text_interpolation,
    STATE(1723), 1,
      sym__dereferencable_expression,
    STATE(1762), 1,
      sym_class_constant_access_expression,
    STATE(2342), 1,
      sym__array_destructing,
    STATE(2346), 1,
      sym_by_ref,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1619), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1597), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1615), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1548), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [13482] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(771), 1,
      sym_text_interpolation,
    ACTIONS(1907), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1905), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13540] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1909), 1,
      anon_sym_COLON_COLON,
    STATE(772), 1,
      sym_text_interpolation,
    ACTIONS(1596), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13600] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(773), 1,
      sym_text_interpolation,
    ACTIONS(1913), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1911), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13658] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(774), 1,
      sym_text_interpolation,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1618), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13716] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(775), 1,
      sym_text_interpolation,
    ACTIONS(1917), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1915), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13774] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(776), 1,
      sym_text_interpolation,
    ACTIONS(1010), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1008), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13831] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(777), 1,
      sym_text_interpolation,
    STATE(800), 1,
      sym_arguments,
    ACTIONS(1556), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1554), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13892] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(778), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1720), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1718), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13951] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(779), 1,
      sym_text_interpolation,
    STATE(814), 1,
      sym_arguments,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14018] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(780), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1814), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1812), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14077] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(781), 1,
      sym_text_interpolation,
    STATE(814), 1,
      sym_arguments,
    ACTIONS(1652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14142] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(782), 1,
      sym_text_interpolation,
    STATE(881), 1,
      sym_arguments,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1727), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1725), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14209] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(783), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14268] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    STATE(621), 1,
      sym_arguments,
    STATE(784), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14335] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1820), 1,
      anon_sym_RPAREN,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(785), 1,
      sym_text_interpolation,
    ACTIONS(1818), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1816), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14396] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(786), 1,
      sym_text_interpolation,
    STATE(814), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14459] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(787), 1,
      sym_text_interpolation,
    STATE(795), 1,
      sym_arguments,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14520] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(788), 1,
      sym_text_interpolation,
    STATE(809), 1,
      sym_arguments,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1574), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14581] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(789), 1,
      sym_text_interpolation,
    STATE(808), 1,
      sym_arguments,
    ACTIONS(1580), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1578), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14642] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(790), 1,
      sym_text_interpolation,
    ACTIONS(1014), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1012), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14699] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_text_interpolation,
    STATE(802), 1,
      sym_arguments,
    ACTIONS(1572), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1570), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14760] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    STATE(599), 1,
      sym_arguments,
    STATE(792), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1720), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1718), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14827] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(793), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1827), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1825), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14886] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(794), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14945] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(795), 1,
      sym_text_interpolation,
    ACTIONS(1616), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1614), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15001] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(796), 1,
      sym_text_interpolation,
    ACTIONS(1538), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1536), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15057] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(1923), 1,
      anon_sym_COLON,
    STATE(621), 1,
      sym_arguments,
    STATE(797), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15125] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(798), 1,
      sym_text_interpolation,
    ACTIONS(1600), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1598), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15181] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(799), 1,
      sym_text_interpolation,
    ACTIONS(1612), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1610), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15237] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(800), 1,
      sym_text_interpolation,
    ACTIONS(1592), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1590), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15293] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(801), 1,
      sym_text_interpolation,
    ACTIONS(1604), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1602), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15349] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(802), 1,
      sym_text_interpolation,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1586), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15405] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(803), 1,
      sym_text_interpolation,
    ACTIONS(1542), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1540), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15461] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(804), 1,
      sym_text_interpolation,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15517] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(805), 1,
      sym_text_interpolation,
    ACTIONS(1608), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1606), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15573] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(806), 1,
      sym_text_interpolation,
    ACTIONS(1534), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1532), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15629] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(807), 1,
      sym_text_interpolation,
    ACTIONS(1632), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1630), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15685] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(808), 1,
      sym_text_interpolation,
    ACTIONS(1624), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1622), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15741] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(809), 1,
      sym_text_interpolation,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1618), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15797] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(1925), 1,
      anon_sym_COLON,
    STATE(599), 1,
      sym_arguments,
    STATE(810), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15865] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(811), 1,
      sym_text_interpolation,
    ACTIONS(1596), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15921] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(812), 1,
      sym_text_interpolation,
    ACTIONS(1584), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1582), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15977] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(813), 1,
      sym_text_interpolation,
    ACTIONS(1929), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      anon_sym_SQUOTE,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1927), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_boolean,
      sym_null,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [16033] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(814), 1,
      sym_text_interpolation,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1626), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16089] = 11,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(1931), 1,
      anon_sym_COLON,
    STATE(621), 1,
      sym_arguments,
    STATE(815), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16157] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1530), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1933), 1,
      sym_name,
    ACTIONS(1935), 1,
      anon_sym_LPAREN,
    STATE(816), 1,
      sym_text_interpolation,
    STATE(1762), 1,
      sym_class_constant_access_expression,
    STATE(1765), 1,
      sym__dereferencable_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2650), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1598), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1610), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(844), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(786), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16252] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(817), 1,
      sym_text_interpolation,
    STATE(888), 1,
      sym_arguments,
    ACTIONS(1572), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1570), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16311] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(596), 1,
      sym_arguments,
    STATE(818), 1,
      sym_text_interpolation,
    ACTIONS(1550), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16368] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(795), 1,
      sym_arguments,
    STATE(819), 1,
      sym_text_interpolation,
    ACTIONS(1765), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1763), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16427] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(805), 1,
      sym_arguments,
    STATE(820), 1,
      sym_text_interpolation,
    ACTIONS(1739), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1737), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16486] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(821), 1,
      sym_text_interpolation,
    STATE(902), 1,
      sym_arguments,
    ACTIONS(1556), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1554), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16545] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(1937), 1,
      sym_name,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(822), 1,
      sym_text_interpolation,
    STATE(1717), 1,
      sym__dereferencable_expression,
    STATE(1762), 1,
      sym_class_constant_access_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2689), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1618), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1596), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(783), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(703), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16640] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(1937), 1,
      sym_name,
    ACTIONS(1939), 1,
      anon_sym_LPAREN,
    STATE(823), 1,
      sym_text_interpolation,
    STATE(1717), 1,
      sym__dereferencable_expression,
    STATE(1762), 1,
      sym_class_constant_access_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2689), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1618), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1596), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(780), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(725), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16735] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(824), 1,
      sym_text_interpolation,
    STATE(895), 1,
      sym_arguments,
    ACTIONS(1550), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16794] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(1941), 1,
      sym_name,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(825), 1,
      sym_text_interpolation,
    STATE(1722), 1,
      sym__dereferencable_expression,
    STATE(1762), 1,
      sym_class_constant_access_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1591), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1614), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(915), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(856), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16889] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(1941), 1,
      sym_name,
    STATE(826), 1,
      sym_text_interpolation,
    STATE(1722), 1,
      sym__dereferencable_expression,
    STATE(2506), 1,
      sym__scope_resolution_qualifier,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(916), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1591), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1614), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1762), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(849), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16984] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(814), 1,
      sym_arguments,
    STATE(827), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17045] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(1945), 1,
      sym_name,
    STATE(828), 1,
      sym_text_interpolation,
    STATE(1729), 1,
      sym__dereferencable_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2658), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(718), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1762), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(713), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(778), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1597), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [17140] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1522), 1,
      anon_sym_LPAREN,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1947), 1,
      sym_name,
    STATE(829), 1,
      sym_text_interpolation,
    STATE(1707), 1,
      sym__dereferencable_expression,
    STATE(1762), 1,
      sym_class_constant_access_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2668), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1601), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1603), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(705), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(664), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17235] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(830), 1,
      sym_text_interpolation,
    ACTIONS(1674), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1676), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17290] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(831), 1,
      sym_text_interpolation,
    STATE(881), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1727), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1725), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17351] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1949), 1,
      anon_sym_LPAREN,
    STATE(832), 1,
      sym_text_interpolation,
    STATE(1073), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1727), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1725), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17412] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(833), 1,
      sym_text_interpolation,
    ACTIONS(1112), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1110), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17467] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(597), 1,
      sym_arguments,
    STATE(834), 1,
      sym_text_interpolation,
    ACTIONS(1576), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1574), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17526] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(835), 1,
      sym_text_interpolation,
    ACTIONS(1042), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1040), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17581] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(836), 1,
      sym_text_interpolation,
    STATE(881), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1727), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1725), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17642] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(814), 1,
      sym_arguments,
    STATE(837), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17703] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(838), 1,
      sym_text_interpolation,
    ACTIONS(1596), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17758] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(1951), 1,
      sym_name,
    STATE(839), 1,
      sym_text_interpolation,
    STATE(1782), 1,
      sym__dereferencable_expression,
    STATE(2666), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(853), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1762), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(1743), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(859), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(914), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1597), 7,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [17853] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1771), 1,
      sym_name,
    STATE(840), 1,
      sym_text_interpolation,
    STATE(1723), 1,
      sym__dereferencable_expression,
    STATE(1762), 1,
      sym_class_constant_access_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1619), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1597), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(705), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1467), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [17948] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(589), 1,
      sym_arguments,
    STATE(841), 1,
      sym_text_interpolation,
    ACTIONS(1572), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1570), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18005] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1771), 1,
      sym_name,
    STATE(842), 1,
      sym_text_interpolation,
    STATE(1723), 1,
      sym__dereferencable_expression,
    STATE(1762), 1,
      sym_class_constant_access_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1619), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1597), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1574), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1476), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18100] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(1937), 1,
      sym_name,
    STATE(843), 1,
      sym_text_interpolation,
    STATE(1717), 1,
      sym__dereferencable_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2576), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(793), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1618), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1596), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1762), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(732), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18195] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(844), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18252] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(845), 1,
      sym_text_interpolation,
    STATE(906), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1814), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1812), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18313] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(597), 1,
      sym_arguments,
    STATE(846), 1,
      sym_text_interpolation,
    ACTIONS(1576), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1574), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18370] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(598), 1,
      sym_arguments,
    STATE(847), 1,
      sym_text_interpolation,
    ACTIONS(1580), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1578), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18429] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(598), 1,
      sym_arguments,
    STATE(848), 1,
      sym_text_interpolation,
    ACTIONS(1580), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1578), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18486] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(849), 1,
      sym_text_interpolation,
    STATE(906), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1827), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1825), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18547] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    STATE(621), 1,
      sym_arguments,
    STATE(850), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18608] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(851), 1,
      sym_text_interpolation,
    ACTIONS(1818), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1816), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18665] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1771), 1,
      sym_name,
    STATE(852), 1,
      sym_text_interpolation,
    STATE(1723), 1,
      sym__dereferencable_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(793), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1619), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1597), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(1762), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1475), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [18760] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(599), 1,
      sym_arguments,
    STATE(853), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1720), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1718), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18821] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(854), 1,
      sym_text_interpolation,
    STATE(882), 1,
      sym_arguments,
    ACTIONS(1576), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1574), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18880] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(855), 1,
      sym_text_interpolation,
    ACTIONS(1652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18939] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(856), 1,
      sym_text_interpolation,
    STATE(906), 1,
      sym_arguments,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19000] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    STATE(621), 1,
      sym_arguments,
    STATE(857), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19061] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(589), 1,
      sym_arguments,
    STATE(858), 1,
      sym_text_interpolation,
    ACTIONS(1572), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1570), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19120] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(599), 1,
      sym_arguments,
    STATE(859), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1720), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1718), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19181] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(1941), 1,
      sym_name,
    ACTIONS(1943), 1,
      anon_sym_LPAREN,
    STATE(860), 1,
      sym_text_interpolation,
    STATE(1722), 1,
      sym__dereferencable_expression,
    STATE(1762), 1,
      sym_class_constant_access_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2648), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1591), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1614), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(912), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(845), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19276] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(590), 1,
      sym_arguments,
    STATE(861), 1,
      sym_text_interpolation,
    ACTIONS(1556), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1554), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19333] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    STATE(637), 1,
      sym_arguments,
    STATE(862), 1,
      sym_text_interpolation,
    ACTIONS(1765), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1763), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19392] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(863), 1,
      sym_text_interpolation,
    STATE(876), 1,
      sym_arguments,
    ACTIONS(1580), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1578), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19451] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    STATE(622), 1,
      sym_arguments,
    STATE(864), 1,
      sym_text_interpolation,
    ACTIONS(1739), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1737), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19510] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(596), 1,
      sym_arguments,
    STATE(865), 1,
      sym_text_interpolation,
    ACTIONS(1550), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19569] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    STATE(866), 1,
      sym_text_interpolation,
    ACTIONS(1556), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1554), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19628] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1771), 1,
      sym_name,
    STATE(867), 1,
      sym_text_interpolation,
    STATE(1723), 1,
      sym__dereferencable_expression,
    STATE(1762), 1,
      sym_class_constant_access_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1619), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1597), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1579), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1533), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19723] = 25,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(565), 1,
      aux_sym_cast_type_token1,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_LPAREN,
    ACTIONS(1771), 1,
      sym_name,
    STATE(868), 1,
      sym_text_interpolation,
    STATE(1723), 1,
      sym__dereferencable_expression,
    STATE(1762), 1,
      sym_class_constant_access_expression,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2520), 1,
      sym__scope_resolution_qualifier,
    STATE(2672), 1,
      sym_relative_scope,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1619), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(294), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1597), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1571), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1470), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19818] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(1546), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19872] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(870), 1,
      sym_text_interpolation,
    ACTIONS(1887), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1885), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19926] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(871), 1,
      sym_text_interpolation,
    ACTIONS(1855), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1853), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19980] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(872), 1,
      sym_text_interpolation,
    ACTIONS(1847), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1845), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20034] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(873), 1,
      sym_text_interpolation,
    ACTIONS(1859), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1857), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20088] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(874), 1,
      sym_text_interpolation,
    ACTIONS(1907), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1905), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20142] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1913), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1911), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20196] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1624), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1622), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20250] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(877), 1,
      sym_text_interpolation,
    ACTIONS(1831), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1829), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20304] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(878), 1,
      sym_text_interpolation,
    ACTIONS(1612), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1610), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20358] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(879), 1,
      sym_text_interpolation,
    ACTIONS(1516), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1518), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20412] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(880), 1,
      sym_text_interpolation,
    ACTIONS(1871), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1869), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20466] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(881), 1,
      sym_text_interpolation,
    ACTIONS(1626), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1843), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1841), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20522] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(882), 1,
      sym_text_interpolation,
    ACTIONS(1620), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1618), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20576] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(883), 1,
      sym_text_interpolation,
    ACTIONS(1818), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1816), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20630] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(884), 1,
      sym_text_interpolation,
    ACTIONS(1903), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1901), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20684] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1909), 1,
      anon_sym_COLON_COLON,
    STATE(885), 1,
      sym_text_interpolation,
    ACTIONS(1596), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1594), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20740] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(886), 1,
      sym_text_interpolation,
    ACTIONS(1835), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1833), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20794] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(887), 1,
      sym_text_interpolation,
    ACTIONS(1534), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1532), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20848] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(888), 1,
      sym_text_interpolation,
    ACTIONS(1588), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1586), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20902] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(889), 1,
      sym_text_interpolation,
    ACTIONS(1895), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1893), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20956] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(890), 1,
      sym_text_interpolation,
    ACTIONS(1538), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1536), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21010] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(891), 1,
      sym_text_interpolation,
    ACTIONS(1899), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1897), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21064] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(892), 1,
      sym_text_interpolation,
    ACTIONS(1608), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1606), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21118] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(893), 1,
      sym_text_interpolation,
    ACTIONS(1604), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1602), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21172] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(894), 1,
      sym_text_interpolation,
    ACTIONS(1851), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1849), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21226] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(895), 1,
      sym_text_interpolation,
    ACTIONS(1616), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1614), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21280] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(896), 1,
      sym_text_interpolation,
    ACTIONS(1891), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1889), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21334] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(897), 1,
      sym_text_interpolation,
    ACTIONS(1542), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1540), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21388] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(898), 1,
      sym_text_interpolation,
    ACTIONS(1818), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1816), 29,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21444] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(899), 1,
      sym_text_interpolation,
    ACTIONS(1600), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1598), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21498] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(900), 1,
      sym_text_interpolation,
    ACTIONS(1632), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1630), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21552] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(901), 1,
      sym_text_interpolation,
    ACTIONS(1839), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1837), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21606] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(902), 1,
      sym_text_interpolation,
    ACTIONS(1592), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1590), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21660] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(903), 1,
      sym_text_interpolation,
    ACTIONS(1584), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1582), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21714] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(904), 1,
      sym_text_interpolation,
    ACTIONS(1917), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1915), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21768] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(905), 1,
      sym_text_interpolation,
    ACTIONS(1883), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1881), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21822] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(906), 1,
      sym_text_interpolation,
    ACTIONS(1628), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1626), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21876] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(907), 1,
      sym_text_interpolation,
    ACTIONS(1879), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1877), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21930] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1823), 1,
      anon_sym_EQ,
    STATE(908), 1,
      sym_text_interpolation,
    ACTIONS(1953), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1818), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1816), 27,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21988] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(909), 1,
      sym_text_interpolation,
    ACTIONS(1875), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1873), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22042] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(910), 1,
      sym_text_interpolation,
    ACTIONS(1863), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1861), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22096] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(911), 1,
      sym_text_interpolation,
    ACTIONS(1867), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1865), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22150] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(912), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1814), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1812), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22205] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22260] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(914), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1720), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1718), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22315] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(915), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1562), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22370] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(916), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1827), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1825), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22425] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(1957), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1955), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22477] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(918), 1,
      sym_text_interpolation,
    ACTIONS(1961), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1959), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22529] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1967), 1,
      aux_sym_binary_expression_token1,
    STATE(919), 1,
      sym_text_interpolation,
    ACTIONS(1965), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1963), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22583] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(920), 1,
      sym_text_interpolation,
    ACTIONS(1971), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1969), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22635] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(1560), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22687] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(922), 1,
      sym_text_interpolation,
    ACTIONS(1534), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1532), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22739] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(923), 1,
      sym_text_interpolation,
    ACTIONS(1538), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1536), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22791] = 23,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(1706), 1,
      anon_sym_LPAREN,
    ACTIONS(1712), 1,
      anon_sym_QMARK,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(1973), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(924), 1,
      sym_text_interpolation,
    STATE(1166), 1,
      sym_visibility_modifier,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1604), 1,
      sym__types,
    STATE(1732), 1,
      sym__type,
    STATE(2024), 1,
      sym_reference_modifier,
    STATE(2026), 1,
      sym_variable_name,
    STATE(2583), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [22879] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(925), 1,
      sym_text_interpolation,
    ACTIONS(1977), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1975), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22931] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(926), 1,
      sym_text_interpolation,
    ACTIONS(1981), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1979), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22983] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(927), 1,
      sym_text_interpolation,
    ACTIONS(1985), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1983), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23035] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(928), 1,
      sym_text_interpolation,
    ACTIONS(1965), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1963), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23087] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(929), 1,
      sym_text_interpolation,
    ACTIONS(1989), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1987), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23139] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(930), 1,
      sym_text_interpolation,
    ACTIONS(1993), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1991), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23191] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(931), 1,
      sym_text_interpolation,
    ACTIONS(1997), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1995), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23243] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(932), 1,
      sym_text_interpolation,
    ACTIONS(2001), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1999), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23295] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(933), 1,
      sym_text_interpolation,
    ACTIONS(2005), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2003), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23347] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(2009), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2007), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23399] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(935), 1,
      sym_text_interpolation,
    ACTIONS(2009), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2007), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23451] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(2013), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2011), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23503] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(937), 1,
      sym_text_interpolation,
    ACTIONS(2017), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2015), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23555] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(938), 1,
      sym_text_interpolation,
    ACTIONS(2021), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2019), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23607] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(939), 1,
      sym_text_interpolation,
    ACTIONS(2025), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2023), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23659] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(940), 1,
      sym_text_interpolation,
    ACTIONS(1542), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1540), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23711] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(941), 1,
      sym_text_interpolation,
    ACTIONS(2029), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2027), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23763] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(942), 1,
      sym_text_interpolation,
    ACTIONS(1546), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23815] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(2033), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2031), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23867] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(944), 1,
      sym_text_interpolation,
    ACTIONS(2037), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2035), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23919] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(945), 1,
      sym_text_interpolation,
    ACTIONS(2041), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2039), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23971] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(946), 1,
      sym_text_interpolation,
    ACTIONS(2045), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2043), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24023] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(947), 1,
      sym_text_interpolation,
    ACTIONS(2049), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2047), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24075] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(2053), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2051), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24127] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(1814), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1812), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24179] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(950), 1,
      sym_text_interpolation,
    ACTIONS(1720), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1718), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24231] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(951), 1,
      sym_text_interpolation,
    ACTIONS(2057), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2055), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24283] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(952), 1,
      sym_text_interpolation,
    ACTIONS(2061), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2059), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24335] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(953), 1,
      sym_text_interpolation,
    ACTIONS(2065), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2063), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24387] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(2069), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2067), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24439] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(955), 1,
      sym_text_interpolation,
    ACTIONS(2073), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2071), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24491] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(956), 1,
      sym_text_interpolation,
    ACTIONS(2077), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2075), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24543] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(957), 1,
      sym_text_interpolation,
    ACTIONS(2081), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2079), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24595] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(2085), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2083), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24647] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(959), 1,
      sym_text_interpolation,
    ACTIONS(2089), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2087), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24699] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(960), 1,
      sym_text_interpolation,
    ACTIONS(2093), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2091), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24751] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(961), 1,
      sym_text_interpolation,
    ACTIONS(2097), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2095), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24803] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(2101), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2099), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24855] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(963), 1,
      sym_text_interpolation,
    ACTIONS(2105), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2103), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24907] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(964), 1,
      sym_text_interpolation,
    ACTIONS(2109), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2107), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [24959] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(2113), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2111), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25011] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(966), 1,
      sym_text_interpolation,
    ACTIONS(2117), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2115), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25063] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(967), 1,
      sym_text_interpolation,
    ACTIONS(2121), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2119), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25115] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(968), 1,
      sym_text_interpolation,
    ACTIONS(2125), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2123), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25167] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(2129), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2127), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25219] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(970), 1,
      sym_text_interpolation,
    ACTIONS(2133), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2131), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25271] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(971), 1,
      sym_text_interpolation,
    ACTIONS(2137), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2135), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25323] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(2141), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2139), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25375] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(973), 1,
      sym_text_interpolation,
    ACTIONS(2145), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2143), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25427] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(974), 1,
      sym_text_interpolation,
    ACTIONS(2149), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2147), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25479] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(975), 1,
      sym_text_interpolation,
    ACTIONS(2153), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2151), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25531] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(976), 1,
      sym_text_interpolation,
    ACTIONS(2157), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2155), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25583] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(977), 1,
      sym_text_interpolation,
    ACTIONS(2161), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2159), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25635] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(978), 1,
      sym_text_interpolation,
    ACTIONS(1843), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1841), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25687] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(979), 1,
      sym_text_interpolation,
    ACTIONS(2165), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2163), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25739] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(980), 1,
      sym_text_interpolation,
    ACTIONS(2169), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2167), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25791] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(2173), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2171), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25843] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(982), 1,
      sym_text_interpolation,
    ACTIONS(2177), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2175), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25895] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(983), 1,
      sym_text_interpolation,
    ACTIONS(1112), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1110), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25946] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(1042), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1040), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25997] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    STATE(985), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 15,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [26065] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    STATE(986), 1,
      sym_text_interpolation,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [26119] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_QMARK,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26199] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    STATE(988), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26279] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    STATE(989), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [26363] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    STATE(990), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26445] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_QMARK,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    STATE(991), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [26521] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_QMARK,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    STATE(992), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26595] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    STATE(993), 1,
      sym_text_interpolation,
    ACTIONS(1720), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 15,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [26665] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    STATE(994), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1720), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1718), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [26729] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    STATE(995), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [26789] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 23,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [26845] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    STATE(997), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 21,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [26903] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2215), 1,
      anon_sym_STAR_STAR,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(1965), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1963), 26,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [26955] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    STATE(999), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2217), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27035] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    STATE(1000), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27115] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    STATE(1001), 1,
      sym_text_interpolation,
    ACTIONS(1720), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [27187] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2215), 1,
      anon_sym_STAR_STAR,
    STATE(1002), 1,
      sym_text_interpolation,
    ACTIONS(1981), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1979), 26,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [27239] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2215), 1,
      anon_sym_STAR_STAR,
    STATE(1003), 1,
      sym_text_interpolation,
    ACTIONS(2065), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2063), 26,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [27291] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    STATE(1004), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2221), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27377] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    STATE(1005), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2225), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27463] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    STATE(1006), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2227), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27549] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    STATE(1007), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2229), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27635] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2231), 1,
      anon_sym_EQ_GT,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2019), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27723] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    STATE(1009), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2233), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [27809] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    STATE(1010), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2235), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27889] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    STATE(1011), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2239), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27969] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    STATE(1012), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2147), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [28055] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    STATE(1013), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2241), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [28141] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    STATE(1014), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2243), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [28227] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    STATE(1015), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2245), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [28313] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    STATE(1016), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2247), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [28399] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2193), 1,
      anon_sym_STAR,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2251), 1,
      anon_sym_QMARK,
    STATE(1017), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2249), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28479] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    STATE(1018), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1720), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1718), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28542] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1019), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2243), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [28627] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(1720), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [28696] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_QMARK,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1021), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [28769] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1022), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28850] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1023), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [28933] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2291), 1,
      anon_sym_STAR_STAR,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(1965), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1963), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [28984] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1025), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29063] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_QMARK,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29142] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    STATE(1027), 1,
      sym_text_interpolation,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29195] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1028), 1,
      sym_text_interpolation,
    ACTIONS(1720), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [29266] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2147), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29351] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1720), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [29418] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2291), 1,
      anon_sym_STAR_STAR,
    STATE(1031), 1,
      sym_text_interpolation,
    ACTIONS(1981), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1979), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29469] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2291), 1,
      anon_sym_STAR_STAR,
    STATE(1032), 1,
      sym_text_interpolation,
    ACTIONS(2065), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2063), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29520] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1033), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2221), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29605] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1034), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2227), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [29690] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    STATE(1035), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [29749] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    STATE(1036), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [29804] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [29861] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1038), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2217), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29940] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30019] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1040), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2235), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30098] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_QMARK,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1041), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [30173] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1042), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2229), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30258] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1043), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2239), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30337] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2251), 1,
      anon_sym_QMARK,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1044), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2249), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30416] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2295), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2300), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2303), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2306), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2309), 1,
      sym_var_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1045), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(2298), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2312), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2293), 17,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [30481] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    ACTIONS(2315), 1,
      anon_sym_EQ_GT,
    STATE(1046), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2019), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30568] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1047), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2233), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30653] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1048), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2241), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30738] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2245), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30823] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1050), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2247), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30908] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2263), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1051), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2265), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2225), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [30993] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1052), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [31049] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2327), 1,
      anon_sym_EQ_GT,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2019), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [31135] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1054), 1,
      sym_text_interpolation,
    ACTIONS(2061), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2059), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31183] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1055), 1,
      sym_text_interpolation,
    ACTIONS(2057), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2055), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31231] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1056), 1,
      sym_text_interpolation,
    ACTIONS(1961), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1959), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31279] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(2069), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2067), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31327] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1058), 1,
      sym_text_interpolation,
    ACTIONS(2137), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2135), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31375] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1059), 1,
      sym_text_interpolation,
    ACTIONS(2093), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2091), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31423] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1060), 1,
      sym_text_interpolation,
    ACTIONS(2097), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2095), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31471] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2357), 1,
      sym_name,
    STATE(1061), 1,
      sym_text_interpolation,
    STATE(1450), 1,
      sym__types,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1686), 1,
      sym__type,
    STATE(1949), 1,
      sym_const_element,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym__reserved_identifier,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [31547] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2251), 1,
      anon_sym_QMARK,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1062), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2249), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31625] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1063), 1,
      sym_text_interpolation,
    ACTIONS(2089), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2087), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31673] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1064), 1,
      sym_text_interpolation,
    ACTIONS(2085), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2083), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31721] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1065), 1,
      sym_text_interpolation,
    ACTIONS(2101), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2099), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31769] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1066), 1,
      sym_text_interpolation,
    ACTIONS(2105), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2103), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31817] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(1985), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1983), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31865] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(1989), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1987), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31913] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1069), 1,
      sym_text_interpolation,
    ACTIONS(1993), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1991), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31961] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1070), 1,
      sym_text_interpolation,
    ACTIONS(1997), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1995), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32009] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(2113), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2111), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32057] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1072), 1,
      sym_text_interpolation,
    ACTIONS(2081), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2079), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32105] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(1843), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1841), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32153] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2361), 1,
      anon_sym_STAR_STAR,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(1965), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1963), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32203] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1075), 1,
      sym_text_interpolation,
    ACTIONS(1560), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1558), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32251] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2363), 1,
      aux_sym_binary_expression_token1,
    STATE(1076), 1,
      sym_text_interpolation,
    ACTIONS(1965), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1963), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32301] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(1957), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1955), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32349] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1078), 1,
      sym_text_interpolation,
    ACTIONS(2001), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1999), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32397] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1079), 1,
      sym_text_interpolation,
    ACTIONS(2077), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2075), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32445] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(2165), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2163), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32493] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2227), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [32577] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2361), 1,
      anon_sym_STAR_STAR,
    STATE(1082), 1,
      sym_text_interpolation,
    ACTIONS(1981), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1979), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32627] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1083), 1,
      sym_text_interpolation,
    ACTIONS(1981), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1979), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32675] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2221), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [32759] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2361), 1,
      anon_sym_STAR_STAR,
    STATE(1085), 1,
      sym_text_interpolation,
    ACTIONS(2065), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2063), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32809] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1086), 1,
      sym_text_interpolation,
    ACTIONS(2065), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2063), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32857] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1720), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [32923] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(1720), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [32993] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1089), 1,
      sym_text_interpolation,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [33045] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_QMARK,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33123] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1091), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33201] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1092), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [33283] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33363] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_QMARK,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1094), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [33437] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_QMARK,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1095), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [33509] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2053), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2051), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33557] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(2005), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2003), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33605] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(2049), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2047), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33653] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(1010), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1008), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33701] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2045), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2043), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33749] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(2041), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2039), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33797] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1102), 1,
      sym_text_interpolation,
    ACTIONS(1720), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [33865] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1103), 1,
      sym_text_interpolation,
    ACTIONS(2033), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2031), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33913] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1104), 1,
      sym_text_interpolation,
    ACTIONS(2025), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2023), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33961] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1720), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1718), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34023] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1106), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [34081] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1107), 1,
      sym_text_interpolation,
    ACTIONS(1965), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1963), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34129] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    STATE(1108), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34183] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(1720), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1718), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34231] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1110), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2217), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34309] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34387] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(2117), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2115), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34435] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1113), 1,
      sym_text_interpolation,
    ACTIONS(2021), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2019), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34483] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1114), 1,
      sym_text_interpolation,
    ACTIONS(1014), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1012), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34531] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1115), 1,
      sym_text_interpolation,
    ACTIONS(1814), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1812), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34579] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1116), 1,
      sym_text_interpolation,
    ACTIONS(2017), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2015), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34627] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(1971), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1969), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34675] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1118), 1,
      sym_text_interpolation,
    ACTIONS(2121), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2119), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34723] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2125), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2123), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34771] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1120), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2147), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [34855] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(2129), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2127), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [34903] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2357), 1,
      sym_name,
    STATE(1122), 1,
      sym_text_interpolation,
    STATE(1450), 1,
      sym__types,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1688), 1,
      sym__type,
    STATE(1878), 1,
      sym_const_element,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym__reserved_identifier,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [34979] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(2133), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2131), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35027] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(2141), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2139), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35075] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1125), 1,
      sym_text_interpolation,
    ACTIONS(2145), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2143), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35123] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2357), 1,
      sym_name,
    STATE(1126), 1,
      sym_text_interpolation,
    STATE(1450), 1,
      sym__types,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1672), 1,
      sym__type,
    STATE(1906), 1,
      sym_const_element,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym__reserved_identifier,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35199] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1127), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2247), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [35283] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1128), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2245), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [35367] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1129), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2241), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [35451] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1130), 1,
      sym_text_interpolation,
    ACTIONS(2177), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2175), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35499] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1131), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2233), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [35583] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1132), 1,
      sym_text_interpolation,
    ACTIONS(2037), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2035), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35631] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1133), 1,
      sym_text_interpolation,
    ACTIONS(1977), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1975), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35679] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1134), 1,
      sym_text_interpolation,
    ACTIONS(2029), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2027), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35727] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(2173), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2171), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35775] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2357), 1,
      sym_name,
    STATE(1136), 1,
      sym_text_interpolation,
    STATE(1450), 1,
      sym__types,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1675), 1,
      sym__type,
    STATE(1801), 1,
      sym_const_element,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym__reserved_identifier,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35851] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2357), 1,
      sym_name,
    STATE(1137), 1,
      sym_text_interpolation,
    STATE(1450), 1,
      sym__types,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1668), 1,
      sym__type,
    STATE(1848), 1,
      sym_const_element,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym__reserved_identifier,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35927] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1138), 1,
      sym_text_interpolation,
    ACTIONS(2169), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2167), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35975] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2239), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36053] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1140), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2235), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36131] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1141), 1,
      sym_text_interpolation,
    ACTIONS(2149), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2147), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36179] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1142), 1,
      sym_text_interpolation,
    ACTIONS(2073), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2071), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36227] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1143), 1,
      sym_text_interpolation,
    ACTIONS(1546), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36275] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1144), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2229), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [36359] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1145), 1,
      sym_text_interpolation,
    ACTIONS(2109), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2107), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36407] = 19,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2357), 1,
      sym_name,
    STATE(1146), 1,
      sym_text_interpolation,
    STATE(1450), 1,
      sym__types,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1653), 1,
      sym__type,
    STATE(1901), 1,
      sym_const_element,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2608), 1,
      sym__reserved_identifier,
    STATE(2684), 1,
      sym_namespace_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36483] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2243), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [36567] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(1542), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1540), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36615] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1149), 1,
      sym_text_interpolation,
    ACTIONS(2013), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2011), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36663] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(2161), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2159), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36711] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1151), 1,
      sym_text_interpolation,
    ACTIONS(1538), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1536), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36759] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(2009), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2007), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36807] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1153), 1,
      sym_text_interpolation,
    ACTIONS(1534), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1532), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36855] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(2157), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2155), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36903] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1155), 1,
      sym_text_interpolation,
    ACTIONS(2153), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2151), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36951] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1156), 1,
      sym_text_interpolation,
    ACTIONS(2009), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2007), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [36999] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1157), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2323), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2225), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [37083] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1158), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2225), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [37166] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2403), 1,
      anon_sym_STAR_STAR,
    STATE(1159), 1,
      sym_text_interpolation,
    ACTIONS(2065), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2063), 23,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [37215] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1160), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2235), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37292] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2233), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [37375] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1162), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2241), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [37458] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1163), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37535] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1164), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2217), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37612] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    ACTIONS(2405), 1,
      anon_sym_EQ_GT,
    STATE(1165), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2019), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37697] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(232), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(1166), 1,
      sym_text_interpolation,
    STATE(1200), 1,
      sym_readonly_modifier,
    STATE(1450), 1,
      sym__types,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(2077), 1,
      sym_variable_name,
    STATE(2407), 1,
      sym__type,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37774] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1167), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 18,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [37829] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1168), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2245), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [37912] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1169), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2229), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [37995] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 20,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [38048] = 10,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1171), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 17,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [38105] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2247), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [38188] = 20,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(232), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(1173), 1,
      sym_text_interpolation,
    STATE(1207), 1,
      sym_readonly_modifier,
    STATE(1450), 1,
      sym__types,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(2019), 1,
      sym_variable_name,
    STATE(2467), 1,
      sym__type,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [38265] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2251), 1,
      anon_sym_QMARK,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1174), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2249), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38342] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1175), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2239), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38419] = 12,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1176), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1720), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1718), 16,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38480] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1177), 1,
      sym_text_interpolation,
    ACTIONS(1720), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 12,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [38547] = 17,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_QMARK,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [38618] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1179), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2243), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [38701] = 18,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_QMARK,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1180), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [38774] = 21,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1181), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38853] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1182), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [38934] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1183), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39011] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1184), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2227), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [39094] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1185), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2221), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [39177] = 20,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1720), 1,
      anon_sym_QMARK,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1186), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39254] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2403), 1,
      anon_sym_STAR_STAR,
    STATE(1187), 1,
      sym_text_interpolation,
    ACTIONS(1981), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1979), 23,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [39303] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1188), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 12,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [39368] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1189), 1,
      sym_text_interpolation,
    ACTIONS(1720), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1718), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [39437] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1190), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2147), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [39520] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    STATE(1191), 1,
      sym_text_interpolation,
    ACTIONS(2401), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1720), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1718), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [39571] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2403), 1,
      anon_sym_STAR_STAR,
    STATE(1192), 1,
      sym_text_interpolation,
    ACTIONS(1965), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1963), 23,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [39620] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1193), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2323), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2407), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39699] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2409), 1,
      anon_sym_EQ_GT,
    STATE(1194), 1,
      sym_text_interpolation,
    ACTIONS(2019), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39780] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2411), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2413), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2417), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2419), 1,
      anon_sym_RBRACE,
    ACTIONS(2421), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2423), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2425), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2427), 1,
      sym_var_modifier,
    STATE(656), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1195), 1,
      sym_text_interpolation,
    STATE(1199), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1210), 1,
      sym_final_modifier,
    STATE(1316), 1,
      sym_visibility_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1364), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1441), 1,
      sym__class_const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    ACTIONS(2429), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1439), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [39871] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2411), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2413), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2417), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2421), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2423), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2425), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2427), 1,
      sym_var_modifier,
    ACTIONS(2431), 1,
      anon_sym_RBRACE,
    STATE(656), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1196), 1,
      sym_text_interpolation,
    STATE(1197), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1210), 1,
      sym_final_modifier,
    STATE(1316), 1,
      sym_visibility_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1364), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1441), 1,
      sym__class_const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    ACTIONS(2429), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1439), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [39962] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2411), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2413), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2417), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2421), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2423), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2425), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2427), 1,
      sym_var_modifier,
    ACTIONS(2433), 1,
      anon_sym_RBRACE,
    STATE(656), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1197), 1,
      sym_text_interpolation,
    STATE(1198), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1210), 1,
      sym_final_modifier,
    STATE(1316), 1,
      sym_visibility_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1364), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1441), 1,
      sym__class_const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    ACTIONS(2429), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1439), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [40053] = 27,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2435), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2438), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2441), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2444), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2447), 1,
      anon_sym_RBRACE,
    ACTIONS(2449), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2452), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2455), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2458), 1,
      sym_var_modifier,
    ACTIONS(2464), 1,
      anon_sym_POUND_LBRACK,
    STATE(656), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1210), 1,
      sym_final_modifier,
    STATE(1316), 1,
      sym_visibility_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1364), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1441), 1,
      sym__class_const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1198), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(2461), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1439), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [40142] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2411), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2413), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2417), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2421), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2423), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2425), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2427), 1,
      sym_var_modifier,
    ACTIONS(2467), 1,
      anon_sym_RBRACE,
    STATE(656), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1198), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1199), 1,
      sym_text_interpolation,
    STATE(1210), 1,
      sym_final_modifier,
    STATE(1316), 1,
      sym_visibility_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1364), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1441), 1,
      sym__class_const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    ACTIONS(2429), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1439), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [40233] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(1200), 1,
      sym_text_interpolation,
    STATE(1450), 1,
      sym__types,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(2157), 1,
      sym_variable_name,
    STATE(2297), 1,
      sym__type,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40304] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2471), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1201), 1,
      sym_text_interpolation,
    STATE(1438), 1,
      sym__const_declaration,
    STATE(2671), 1,
      sym_visibility_modifier,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2473), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2469), 22,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [40357] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    ACTIONS(2475), 1,
      anon_sym_EQ_GT,
    STATE(1202), 1,
      sym_text_interpolation,
    ACTIONS(2019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40438] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2411), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2413), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2417), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2421), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2423), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2425), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2427), 1,
      sym_var_modifier,
    ACTIONS(2477), 1,
      anon_sym_RBRACE,
    STATE(656), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1203), 1,
      sym_text_interpolation,
    STATE(1210), 1,
      sym_final_modifier,
    STATE(1211), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1316), 1,
      sym_visibility_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1364), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1441), 1,
      sym__class_const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    ACTIONS(2429), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1439), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [40529] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1204), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2323), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2479), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40608] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    ACTIONS(2481), 1,
      anon_sym_COMMA,
    ACTIONS(2483), 1,
      anon_sym_EQ_GT,
    STATE(1205), 1,
      sym_text_interpolation,
    STATE(2093), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40691] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2411), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2413), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2417), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2421), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2423), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2425), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2427), 1,
      sym_var_modifier,
    ACTIONS(2485), 1,
      anon_sym_RBRACE,
    STATE(656), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1206), 1,
      sym_text_interpolation,
    STATE(1208), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1210), 1,
      sym_final_modifier,
    STATE(1316), 1,
      sym_visibility_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1364), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1441), 1,
      sym__class_const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    ACTIONS(2429), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1439), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [40782] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(1207), 1,
      sym_text_interpolation,
    STATE(1450), 1,
      sym__types,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(2069), 1,
      sym_variable_name,
    STATE(2418), 1,
      sym__type,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40853] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2411), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2413), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2417), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2421), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2423), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2425), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2427), 1,
      sym_var_modifier,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    STATE(656), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1198), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1208), 1,
      sym_text_interpolation,
    STATE(1210), 1,
      sym_final_modifier,
    STATE(1316), 1,
      sym_visibility_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1364), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1441), 1,
      sym__class_const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    ACTIONS(2429), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1439), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [40944] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1209), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2323), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2489), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41023] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2471), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1210), 1,
      sym_text_interpolation,
    STATE(1413), 1,
      sym__const_declaration,
    STATE(2671), 1,
      sym_visibility_modifier,
    ACTIONS(234), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2473), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2469), 22,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [41076] = 28,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2411), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2413), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2417), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2421), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2423), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2425), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2427), 1,
      sym_var_modifier,
    ACTIONS(2491), 1,
      anon_sym_RBRACE,
    STATE(656), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1198), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1210), 1,
      sym_final_modifier,
    STATE(1211), 1,
      sym_text_interpolation,
    STATE(1316), 1,
      sym_visibility_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1364), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1420), 1,
      sym__member_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1441), 1,
      sym__class_const_declaration,
    STATE(1830), 1,
      sym__function_definition_header,
    ACTIONS(2429), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
    STATE(1439), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [41167] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    ACTIONS(2493), 1,
      anon_sym_EQ_GT,
    STATE(1212), 1,
      sym_text_interpolation,
    ACTIONS(2019), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41248] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    ACTIONS(2497), 1,
      anon_sym_COMMA,
    STATE(1213), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2323), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41329] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    ACTIONS(2497), 1,
      anon_sym_COMMA,
    STATE(1214), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2323), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41410] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2499), 1,
      anon_sym_RPAREN,
    ACTIONS(2501), 1,
      anon_sym_COMMA,
    STATE(1215), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41490] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1216), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2503), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2323), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41568] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1217), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2505), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41646] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1218), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2507), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41724] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1219), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2323), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41802] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1220), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2511), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2323), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41880] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1221), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2513), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2323), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41958] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1222), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2515), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42036] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1223), 1,
      sym_text_interpolation,
    ACTIONS(2519), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2517), 27,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [42080] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2521), 1,
      sym_name,
    ACTIONS(2525), 1,
      anon_sym_LPAREN,
    ACTIONS(2527), 1,
      anon_sym_QMARK,
    ACTIONS(2529), 1,
      sym_bottom_type,
    STATE(1224), 1,
      sym_text_interpolation,
    STATE(1576), 1,
      sym__types,
    STATE(1747), 1,
      sym_qualified_name,
    STATE(2160), 1,
      sym__type,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    STATE(1749), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2191), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(2523), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [42148] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1225), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2531), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42226] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2533), 1,
      anon_sym_EQ_GT,
    ACTIONS(2535), 1,
      anon_sym_RPAREN,
    STATE(1226), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42306] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1227), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2537), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42384] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1228), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2539), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2323), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42462] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1229), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2541), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42540] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    ACTIONS(2495), 1,
      anon_sym_RPAREN,
    ACTIONS(2501), 1,
      anon_sym_COMMA,
    STATE(1230), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42620] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1231), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2543), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42698] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1232), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2545), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42776] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1233), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2547), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42854] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1234), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42932] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1235), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2551), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43010] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1236), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2553), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43088] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1237), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2555), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43166] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1238), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2557), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43244] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1239), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2559), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43322] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1240), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2561), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43400] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1241), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2563), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43478] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2533), 1,
      anon_sym_EQ_GT,
    ACTIONS(2565), 1,
      anon_sym_RPAREN,
    STATE(1242), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43558] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1243), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2567), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43636] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    ACTIONS(2499), 1,
      anon_sym_SEMI,
    ACTIONS(2569), 1,
      anon_sym_COMMA,
    STATE(1244), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43716] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1245), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2571), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43794] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1246), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2573), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43872] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    STATE(1247), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2575), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43950] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    ACTIONS(2495), 1,
      anon_sym_SEMI,
    ACTIONS(2569), 1,
      anon_sym_COMMA,
    STATE(1248), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44030] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2533), 1,
      anon_sym_EQ_GT,
    ACTIONS(2577), 1,
      anon_sym_RPAREN,
    STATE(1249), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44110] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    STATE(1250), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2579), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44188] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1251), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2581), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44266] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1252), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2583), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2323), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44344] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2365), 1,
      anon_sym_AMP,
    ACTIONS(2367), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_PIPE,
    ACTIONS(2373), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2375), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2377), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2379), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2381), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2383), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2385), 1,
      anon_sym_CARET,
    ACTIONS(2393), 1,
      anon_sym_GT_EQ,
    ACTIONS(2397), 1,
      anon_sym_DOT,
    STATE(1253), 1,
      sym_text_interpolation,
    ACTIONS(2371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2387), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2395), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2585), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2391), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2401), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2389), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44422] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2587), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2323), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44500] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2325), 1,
      anon_sym_AMP,
    ACTIONS(2329), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_PIPE,
    ACTIONS(2333), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2335), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2337), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2339), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2341), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2345), 1,
      anon_sym_CARET,
    ACTIONS(2353), 1,
      anon_sym_GT_EQ,
    ACTIONS(2355), 1,
      anon_sym_DOT,
    STATE(1255), 1,
      sym_text_interpolation,
    ACTIONS(2317), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2319), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2347), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2589), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2323), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2351), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2349), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44578] = 17,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1692), 1,
      anon_sym_LPAREN,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym_bottom_type,
    STATE(1256), 1,
      sym_text_interpolation,
    STATE(1450), 1,
      sym__types,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(2492), 1,
      sym__type,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1558), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44646] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2533), 1,
      anon_sym_EQ_GT,
    ACTIONS(2593), 1,
      anon_sym_RPAREN,
    STATE(1257), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44726] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    ACTIONS(2595), 1,
      anon_sym_RBRACK,
    STATE(1258), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44803] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2597), 1,
      anon_sym_RBRACE,
    STATE(1259), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44880] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2599), 1,
      anon_sym_RBRACE,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44957] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2601), 1,
      anon_sym_RBRACE,
    STATE(1261), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45034] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2603), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1262), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45111] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2605), 1,
      anon_sym_EQ_GT,
    STATE(1263), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45188] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2607), 1,
      anon_sym_RBRACE,
    STATE(1264), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45265] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    ACTIONS(2607), 1,
      anon_sym_RBRACK,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45342] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2609), 1,
      anon_sym_COLON,
    STATE(1266), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45419] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    STATE(1267), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45496] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2613), 1,
      anon_sym_RBRACE,
    STATE(1268), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45573] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2615), 1,
      anon_sym_RBRACE,
    STATE(1269), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45650] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    ACTIONS(2617), 1,
      anon_sym_RBRACK,
    STATE(1270), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45727] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    ACTIONS(2619), 1,
      anon_sym_RBRACK,
    STATE(1271), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45804] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2621), 1,
      anon_sym_RBRACE,
    STATE(1272), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45881] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2623), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45958] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2413), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2625), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2627), 1,
      anon_sym_RBRACE,
    ACTIONS(2629), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2631), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2633), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2635), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2637), 1,
      sym_var_modifier,
    STATE(1274), 1,
      sym_text_interpolation,
    STATE(1292), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1367), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1431), 1,
      sym__enum_member_declaration,
    STATE(1560), 1,
      sym__modifier,
    STATE(1830), 1,
      sym__function_definition_header,
    ACTIONS(2639), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1408), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1501), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46039] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2641), 1,
      anon_sym_RBRACE,
    STATE(1275), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46116] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46193] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
    STATE(1277), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46270] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2647), 1,
      anon_sym_RPAREN,
    STATE(1278), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46347] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2649), 1,
      anon_sym_RBRACE,
    STATE(1279), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46424] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2651), 1,
      anon_sym_RBRACE,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46501] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2653), 1,
      anon_sym_RPAREN,
    STATE(1281), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46578] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2619), 1,
      anon_sym_RBRACE,
    STATE(1282), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46655] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2655), 1,
      anon_sym_RBRACE,
    STATE(1283), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46732] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2657), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1284), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46809] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2659), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1285), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46886] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1286), 1,
      sym_text_interpolation,
    ACTIONS(2663), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2661), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46929] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    ACTIONS(2665), 1,
      anon_sym_RBRACK,
    STATE(1287), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47006] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    STATE(1288), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47083] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2669), 1,
      anon_sym_RBRACE,
    STATE(1289), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47160] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2665), 1,
      anon_sym_RBRACE,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47237] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2617), 1,
      anon_sym_RBRACE,
    STATE(1291), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47314] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2413), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2625), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2629), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2631), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2633), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2635), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2637), 1,
      sym_var_modifier,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      sym_text_interpolation,
    STATE(1302), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1367), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1431), 1,
      sym__enum_member_declaration,
    STATE(1560), 1,
      sym__modifier,
    STATE(1830), 1,
      sym__function_definition_header,
    ACTIONS(2639), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1408), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1501), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [47395] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2673), 1,
      anon_sym_RBRACE,
    STATE(1293), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47472] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47549] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2677), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47626] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47703] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2595), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47780] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2681), 1,
      anon_sym_RBRACE,
    STATE(1298), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47857] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    STATE(1299), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47934] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2685), 1,
      anon_sym_COLON,
    STATE(1300), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48011] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2413), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2625), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2629), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2631), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2633), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2635), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2637), 1,
      sym_var_modifier,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    STATE(1301), 1,
      sym_text_interpolation,
    STATE(1313), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1367), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1431), 1,
      sym__enum_member_declaration,
    STATE(1560), 1,
      sym__modifier,
    STATE(1830), 1,
      sym__function_definition_header,
    ACTIONS(2639), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1408), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1501), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [48092] = 23,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2689), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2692), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2695), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2698), 1,
      anon_sym_RBRACE,
    ACTIONS(2700), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2703), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2706), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2709), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2712), 1,
      sym_var_modifier,
    ACTIONS(2718), 1,
      anon_sym_POUND_LBRACK,
    STATE(1367), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1431), 1,
      sym__enum_member_declaration,
    STATE(1560), 1,
      sym__modifier,
    STATE(1830), 1,
      sym__function_definition_header,
    STATE(1302), 2,
      sym_text_interpolation,
      aux_sym_enum_declaration_list_repeat1,
    ACTIONS(2715), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1408), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1501), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [48171] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2721), 1,
      anon_sym_COLON,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48248] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48325] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2725), 1,
      anon_sym_RBRACE,
    STATE(1305), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48402] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2727), 1,
      anon_sym_RBRACE,
    STATE(1306), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48479] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2729), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1307), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48556] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2731), 1,
      anon_sym_RBRACE,
    STATE(1308), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48633] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
    STATE(1309), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48710] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1310), 1,
      sym_text_interpolation,
    ACTIONS(2737), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2735), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [48753] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2739), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48830] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2741), 1,
      anon_sym_RBRACE,
    STATE(1312), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48907] = 24,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2413), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2625), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2629), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2631), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2633), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2635), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2637), 1,
      sym_var_modifier,
    ACTIONS(2743), 1,
      anon_sym_RBRACE,
    STATE(1302), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1313), 1,
      sym_text_interpolation,
    STATE(1367), 1,
      sym_attribute_list,
    STATE(1368), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1370), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1431), 1,
      sym__enum_member_declaration,
    STATE(1560), 1,
      sym__modifier,
    STATE(1830), 1,
      sym__function_definition_header,
    ACTIONS(2639), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1408), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1501), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [48988] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2745), 1,
      anon_sym_RBRACE,
    STATE(1314), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49065] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    STATE(1315), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49142] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2749), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1316), 1,
      sym_text_interpolation,
    ACTIONS(2473), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2469), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49187] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2751), 1,
      anon_sym_EQ_GT,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49264] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2753), 1,
      anon_sym_RBRACE,
    STATE(1318), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49341] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2257), 1,
      anon_sym_GT_EQ,
    ACTIONS(2261), 1,
      anon_sym_DOT,
    ACTIONS(2267), 1,
      anon_sym_AMP,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2271), 1,
      anon_sym_PIPE,
    ACTIONS(2273), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2277), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2279), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2281), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2283), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2285), 1,
      anon_sym_CARET,
    ACTIONS(2753), 1,
      anon_sym_RBRACK,
    STATE(1319), 1,
      sym_text_interpolation,
    ACTIONS(2253), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2259), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2287), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2265), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2289), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49418] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2755), 1,
      anon_sym_RBRACE,
    STATE(1320), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49495] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2757), 1,
      anon_sym_RBRACE,
    STATE(1321), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49572] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2759), 1,
      anon_sym_RBRACE,
    STATE(1322), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49649] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2761), 1,
      anon_sym_RBRACE,
    STATE(1323), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49726] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2763), 1,
      anon_sym_RBRACE,
    STATE(1324), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49803] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2765), 1,
      anon_sym_RBRACE,
    STATE(1325), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49880] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2767), 1,
      anon_sym_EQ_GT,
    STATE(1326), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49957] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2769), 1,
      anon_sym_RPAREN,
    STATE(1327), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50034] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    STATE(1328), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50111] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2773), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50188] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2775), 1,
      anon_sym_COLON,
    STATE(1330), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50265] = 22,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2187), 1,
      anon_sym_GT_EQ,
    ACTIONS(2191), 1,
      anon_sym_DOT,
    ACTIONS(2197), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_PIPE,
    ACTIONS(2201), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2203), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2207), 1,
      anon_sym_CARET,
    ACTIONS(2209), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2213), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2223), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2777), 1,
      anon_sym_RBRACE,
    STATE(1331), 1,
      sym_text_interpolation,
    ACTIONS(2179), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2181), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2189), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2185), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2195), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2183), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50342] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1332), 1,
      sym_text_interpolation,
    ACTIONS(2473), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2469), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50384] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1333), 1,
      sym_text_interpolation,
    ACTIONS(2781), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2779), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50426] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1334), 1,
      sym_text_interpolation,
    ACTIONS(2785), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2783), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50468] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1335), 1,
      sym_text_interpolation,
    ACTIONS(2789), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2787), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50510] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1714), 1,
      anon_sym_POUND_LBRACK,
    STATE(1336), 1,
      sym_text_interpolation,
    STATE(1337), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1349), 1,
      sym_attribute_group,
    ACTIONS(2793), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2791), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50557] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2799), 1,
      anon_sym_POUND_LBRACK,
    STATE(1349), 1,
      sym_attribute_group,
    STATE(1337), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2797), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2795), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50602] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1338), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1471), 1,
      sym__types,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50659] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1339), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1992), 1,
      sym__types,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2549), 1,
      sym_intersection_type,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50716] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1340), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1490), 1,
      sym__types,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50773] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1341), 1,
      sym_text_interpolation,
    ACTIONS(2806), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2804), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [50812] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1342), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1992), 1,
      sym__types,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2573), 1,
      sym_intersection_type,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50869] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1343), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1992), 1,
      sym__types,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2700), 1,
      sym_intersection_type,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50926] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2521), 1,
      sym_name,
    ACTIONS(2527), 1,
      anon_sym_QMARK,
    ACTIONS(2808), 1,
      anon_sym_LPAREN,
    STATE(1344), 1,
      sym_text_interpolation,
    STATE(1747), 1,
      sym_qualified_name,
    STATE(1844), 1,
      sym__types,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    STATE(1749), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2523), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [50983] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1345), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1992), 1,
      sym__types,
    STATE(2502), 1,
      sym_intersection_type,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51040] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2521), 1,
      sym_name,
    ACTIONS(2527), 1,
      anon_sym_QMARK,
    ACTIONS(2808), 1,
      anon_sym_LPAREN,
    STATE(1346), 1,
      sym_text_interpolation,
    STATE(1747), 1,
      sym_qualified_name,
    STATE(1895), 1,
      sym__types,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    STATE(1749), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2523), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51097] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1347), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1992), 1,
      sym__types,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2623), 1,
      sym_intersection_type,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51154] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_QMARK,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1348), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1490), 1,
      sym__types,
    STATE(2583), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51211] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1349), 1,
      sym_text_interpolation,
    ACTIONS(2812), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2810), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51250] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1350), 1,
      sym_text_interpolation,
    ACTIONS(2816), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2814), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51289] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1351), 1,
      sym_text_interpolation,
    ACTIONS(2820), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2818), 19,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51328] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_QMARK,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1352), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1471), 1,
      sym__types,
    STATE(2583), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51385] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1353), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1488), 1,
      sym__types,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51439] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2521), 1,
      sym_name,
    ACTIONS(2527), 1,
      anon_sym_QMARK,
    STATE(1354), 1,
      sym_text_interpolation,
    STATE(1747), 1,
      sym_qualified_name,
    STATE(1894), 1,
      sym__types,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    STATE(1749), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2523), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51493] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2521), 1,
      sym_name,
    ACTIONS(2527), 1,
      anon_sym_QMARK,
    STATE(1355), 1,
      sym_text_interpolation,
    STATE(1747), 1,
      sym_qualified_name,
    STATE(1843), 1,
      sym__types,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    STATE(1749), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2523), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51547] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1694), 1,
      anon_sym_QMARK,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1356), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1473), 1,
      sym__types,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51601] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_QMARK,
    STATE(1357), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1488), 1,
      sym__types,
    STATE(2583), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51655] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_QMARK,
    STATE(1358), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1473), 1,
      sym__types,
    STATE(2583), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1461), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51709] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1359), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1458), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51756] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1360), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(2583), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1458), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1684), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51803] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1361), 1,
      sym_text_interpolation,
    ACTIONS(2663), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2661), 18,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_readonly_modifier_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51838] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2521), 1,
      sym_name,
    STATE(1362), 1,
      sym_text_interpolation,
    STATE(1747), 1,
      sym_qualified_name,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    STATE(1777), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2523), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51885] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1363), 1,
      sym_text_interpolation,
    ACTIONS(2781), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
    ACTIONS(2779), 17,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51919] = 18,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2411), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2417), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2421), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2423), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2425), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2427), 1,
      sym_var_modifier,
    STATE(655), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1201), 1,
      sym_final_modifier,
    STATE(1316), 1,
      sym_visibility_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1364), 1,
      sym_text_interpolation,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1854), 1,
      sym__function_definition_header,
    ACTIONS(2429), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1332), 3,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
  [51978] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2822), 1,
      anon_sym_LBRACE,
    ACTIONS(2825), 1,
      sym_escape_sequence,
    ACTIONS(2831), 1,
      sym__new_line,
    ACTIONS(2834), 1,
      anon_sym_DOLLAR,
    ACTIONS(2837), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2840), 1,
      sym_heredoc_end,
    STATE(1372), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1415), 1,
      sym_variable_name,
    STATE(1487), 1,
      sym__simple_string_member_access_expression,
    STATE(1365), 2,
      sym_text_interpolation,
      aux_sym_heredoc_body_repeat1,
    STATE(1477), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1489), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2828), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52030] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      sym_escape_sequence,
    ACTIONS(2848), 1,
      sym__new_line,
    ACTIONS(2851), 1,
      anon_sym_DOLLAR,
    ACTIONS(2853), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2855), 1,
      sym_heredoc_end,
    STATE(1365), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1366), 1,
      sym_text_interpolation,
    STATE(1372), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1415), 1,
      sym_variable_name,
    STATE(1487), 1,
      sym__simple_string_member_access_expression,
    STATE(1477), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1489), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2846), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52084] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2625), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2631), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2633), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2635), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2637), 1,
      sym_var_modifier,
    ACTIONS(2857), 1,
      aux_sym_enum_case_token1,
    STATE(1367), 1,
      sym_text_interpolation,
    STATE(1375), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1560), 1,
      sym__modifier,
    STATE(1854), 1,
      sym__function_definition_header,
    ACTIONS(2639), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52136] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(296), 1,
      anon_sym_POUND_LBRACK,
    STATE(1368), 1,
      sym_text_interpolation,
    STATE(1369), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    ACTIONS(2793), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [52171] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2859), 1,
      anon_sym_POUND_LBRACK,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1369), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2797), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [52204] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2625), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2631), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2633), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2635), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2637), 1,
      sym_var_modifier,
    STATE(1370), 1,
      sym_text_interpolation,
    STATE(1376), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1560), 1,
      sym__modifier,
    STATE(1833), 1,
      sym__function_definition_header,
    ACTIONS(2639), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52253] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      sym_escape_sequence,
    ACTIONS(2851), 1,
      anon_sym_DOLLAR,
    ACTIONS(2853), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2862), 1,
      sym__new_line,
    STATE(1366), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1371), 1,
      sym_text_interpolation,
    STATE(1372), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1415), 1,
      sym_variable_name,
    STATE(1487), 1,
      sym__simple_string_member_access_expression,
    STATE(1477), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1489), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2846), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52304] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      sym_escape_sequence,
    ACTIONS(2851), 1,
      anon_sym_DOLLAR,
    ACTIONS(2853), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2864), 1,
      sym__new_line,
    ACTIONS(2866), 1,
      sym_heredoc_end,
    STATE(1372), 1,
      sym_text_interpolation,
    STATE(1373), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1415), 1,
      sym_variable_name,
    STATE(1487), 1,
      sym__simple_string_member_access_expression,
    STATE(1477), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1489), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2846), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52355] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2868), 1,
      anon_sym_LBRACE,
    ACTIONS(2871), 1,
      sym_escape_sequence,
    ACTIONS(2877), 1,
      sym__new_line,
    ACTIONS(2879), 1,
      anon_sym_DOLLAR,
    ACTIONS(2882), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2885), 1,
      sym_heredoc_end,
    STATE(1415), 1,
      sym_variable_name,
    STATE(1487), 1,
      sym__simple_string_member_access_expression,
    STATE(1373), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1477), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1489), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2874), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52404] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2840), 1,
      sym_heredoc_end,
    ACTIONS(2842), 1,
      anon_sym_LBRACE,
    ACTIONS(2844), 1,
      sym_escape_sequence,
    ACTIONS(2851), 1,
      anon_sym_DOLLAR,
    ACTIONS(2853), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2887), 1,
      sym__new_line,
    STATE(1373), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1374), 1,
      sym_text_interpolation,
    STATE(1415), 1,
      sym_variable_name,
    STATE(1487), 1,
      sym__simple_string_member_access_expression,
    STATE(1477), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1489), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2846), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52455] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2415), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2625), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2631), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2633), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2635), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2637), 1,
      sym_var_modifier,
    STATE(1375), 1,
      sym_text_interpolation,
    STATE(1376), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1560), 1,
      sym__modifier,
    STATE(1935), 1,
      sym__function_definition_header,
    ACTIONS(2639), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52504] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2298), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2889), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2892), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2895), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2898), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2901), 1,
      sym_var_modifier,
    STATE(1560), 1,
      sym__modifier,
    STATE(1376), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(2904), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [52548] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1377), 1,
      sym_text_interpolation,
    ACTIONS(2907), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1787), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [52578] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1378), 1,
      sym_text_interpolation,
    ACTIONS(2812), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [52605] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1379), 1,
      sym_text_interpolation,
    ACTIONS(2816), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [52632] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2844), 1,
      sym_escape_sequence,
    ACTIONS(2846), 1,
      anon_sym_BSLASHu,
    ACTIONS(2909), 1,
      anon_sym_LBRACE,
    ACTIONS(2911), 1,
      anon_sym_DOLLAR,
    STATE(1374), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1380), 1,
      sym_text_interpolation,
    STATE(1415), 1,
      sym_variable_name,
    STATE(1487), 1,
      sym__simple_string_member_access_expression,
    STATE(1477), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1489), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    ACTIONS(2853), 4,
      sym_encapsed_string_chars_heredoc,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
  [52677] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1381), 1,
      sym_text_interpolation,
    ACTIONS(2820), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [52704] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1382), 1,
      sym_text_interpolation,
    ACTIONS(2806), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [52731] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1383), 1,
      sym_text_interpolation,
    ACTIONS(2913), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52757] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_LBRACE,
    ACTIONS(2917), 1,
      sym_escape_sequence,
    ACTIONS(2919), 1,
      anon_sym_BSLASHu,
    ACTIONS(2923), 1,
      anon_sym_DQUOTE,
    ACTIONS(2925), 1,
      anon_sym_DOLLAR,
    STATE(1384), 1,
      sym_text_interpolation,
    STATE(1390), 1,
      aux_sym__interpolated_string_body,
    STATE(1474), 1,
      sym_variable_name,
    STATE(1602), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2921), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1607), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [52803] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1385), 1,
      sym_text_interpolation,
    ACTIONS(2927), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52829] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1386), 1,
      sym_text_interpolation,
    ACTIONS(2929), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52855] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1387), 1,
      sym_text_interpolation,
    ACTIONS(2931), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52881] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1388), 1,
      sym_text_interpolation,
    ACTIONS(2933), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52907] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1389), 1,
      sym_text_interpolation,
    ACTIONS(2933), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [52933] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_LBRACE,
    ACTIONS(2917), 1,
      sym_escape_sequence,
    ACTIONS(2919), 1,
      anon_sym_BSLASHu,
    ACTIONS(2925), 1,
      anon_sym_DOLLAR,
    ACTIONS(2935), 1,
      anon_sym_DQUOTE,
    STATE(1390), 1,
      sym_text_interpolation,
    STATE(1399), 1,
      aux_sym__interpolated_string_body,
    STATE(1474), 1,
      sym_variable_name,
    STATE(1602), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2921), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1607), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [52979] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1391), 1,
      sym_text_interpolation,
    ACTIONS(2937), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53005] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1392), 1,
      sym_text_interpolation,
    ACTIONS(2939), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53031] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1393), 1,
      sym_text_interpolation,
    ACTIONS(2941), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53057] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1394), 1,
      sym_text_interpolation,
    ACTIONS(2939), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53083] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1395), 1,
      sym_text_interpolation,
    ACTIONS(2943), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53109] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1396), 1,
      sym_text_interpolation,
    ACTIONS(2945), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53135] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_LBRACE,
    ACTIONS(2917), 1,
      sym_escape_sequence,
    ACTIONS(2919), 1,
      anon_sym_BSLASHu,
    ACTIONS(2925), 1,
      anon_sym_DOLLAR,
    ACTIONS(2947), 1,
      anon_sym_DQUOTE,
    STATE(1397), 1,
      sym_text_interpolation,
    STATE(1399), 1,
      aux_sym__interpolated_string_body,
    STATE(1474), 1,
      sym_variable_name,
    STATE(1602), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2921), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1607), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [53181] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1398), 1,
      sym_text_interpolation,
    ACTIONS(2949), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53207] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_LBRACE,
    ACTIONS(2954), 1,
      sym_escape_sequence,
    ACTIONS(2957), 1,
      anon_sym_BSLASHu,
    ACTIONS(2963), 1,
      anon_sym_DQUOTE,
    ACTIONS(2965), 1,
      anon_sym_DOLLAR,
    STATE(1474), 1,
      sym_variable_name,
    STATE(1602), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2960), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1399), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body,
    STATE(1600), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1607), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [53251] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1400), 1,
      sym_text_interpolation,
    ACTIONS(2913), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53277] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1401), 1,
      sym_text_interpolation,
    ACTIONS(2949), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53303] = 14,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_LBRACE,
    ACTIONS(2917), 1,
      sym_escape_sequence,
    ACTIONS(2919), 1,
      anon_sym_BSLASHu,
    ACTIONS(2925), 1,
      anon_sym_DOLLAR,
    ACTIONS(2968), 1,
      anon_sym_DQUOTE,
    STATE(1397), 1,
      aux_sym__interpolated_string_body,
    STATE(1402), 1,
      sym_text_interpolation,
    STATE(1474), 1,
      sym_variable_name,
    STATE(1602), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2921), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1600), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1607), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
  [53349] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(593), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2972), 1,
      sym_integer,
    STATE(1403), 1,
      sym_text_interpolation,
    STATE(2565), 1,
      sym__string,
    ACTIONS(589), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(591), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(2970), 3,
      sym_float,
      sym_boolean,
      sym_null,
    STATE(762), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [53387] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1404), 1,
      sym_text_interpolation,
    ACTIONS(2974), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53413] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1405), 1,
      sym_text_interpolation,
    ACTIONS(1012), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53439] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1406), 1,
      sym_text_interpolation,
    ACTIONS(1008), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53465] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1407), 1,
      sym_text_interpolation,
    ACTIONS(2976), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53490] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1408), 1,
      sym_text_interpolation,
    ACTIONS(2978), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53515] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1409), 1,
      sym_text_interpolation,
    ACTIONS(2980), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53540] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1410), 1,
      sym_text_interpolation,
    ACTIONS(1312), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53565] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2982), 1,
      anon_sym_LBRACE,
    ACTIONS(2988), 1,
      anon_sym_BSLASHu,
    ACTIONS(2991), 1,
      anon_sym_BQUOTE,
    ACTIONS(2993), 1,
      anon_sym_DOLLAR,
    STATE(1502), 1,
      sym_variable_name,
    STATE(1659), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2985), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1411), 2,
      sym_text_interpolation,
      aux_sym__interpolated_execution_operator_body,
    STATE(1627), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1666), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53606] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1412), 1,
      sym_text_interpolation,
    ACTIONS(2996), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53631] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1413), 1,
      sym_text_interpolation,
    ACTIONS(2998), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53656] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1414), 1,
      sym_text_interpolation,
    ACTIONS(3000), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53681] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3004), 1,
      anon_sym_DASH_GT,
    ACTIONS(3006), 1,
      anon_sym_LBRACK,
    ACTIONS(3010), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    STATE(1415), 1,
      sym_text_interpolation,
    ACTIONS(3008), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3002), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [53714] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1416), 1,
      sym_text_interpolation,
    ACTIONS(3012), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53739] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3014), 1,
      anon_sym_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_BSLASHu,
    ACTIONS(3020), 1,
      anon_sym_BQUOTE,
    ACTIONS(3022), 1,
      anon_sym_DOLLAR,
    STATE(1417), 1,
      sym_text_interpolation,
    STATE(1423), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1502), 1,
      sym_variable_name,
    STATE(1659), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3016), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1627), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1666), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53782] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1418), 1,
      sym_text_interpolation,
    ACTIONS(3024), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53807] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1419), 1,
      sym_text_interpolation,
    ACTIONS(3026), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53832] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1420), 1,
      sym_text_interpolation,
    ACTIONS(3028), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [53857] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3014), 1,
      anon_sym_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_BSLASHu,
    ACTIONS(3022), 1,
      anon_sym_DOLLAR,
    ACTIONS(3030), 1,
      anon_sym_BQUOTE,
    STATE(1421), 1,
      sym_text_interpolation,
    STATE(1424), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1502), 1,
      sym_variable_name,
    STATE(1659), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3016), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1627), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1666), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53900] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2421), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2423), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(3032), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3034), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3036), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3038), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(3040), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3042), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1422), 1,
      sym_text_interpolation,
    STATE(2331), 1,
      sym__function_definition_header,
    STATE(2603), 1,
      sym_static_modifier,
    STATE(2604), 1,
      sym_readonly_modifier,
    STATE(1980), 2,
      sym_final_modifier,
      sym_abstract_modifier,
  [53947] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3014), 1,
      anon_sym_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_BSLASHu,
    ACTIONS(3022), 1,
      anon_sym_DOLLAR,
    ACTIONS(3044), 1,
      anon_sym_BQUOTE,
    STATE(1411), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1423), 1,
      sym_text_interpolation,
    STATE(1502), 1,
      sym_variable_name,
    STATE(1659), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3016), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1627), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1666), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [53990] = 13,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3014), 1,
      anon_sym_LBRACE,
    ACTIONS(3018), 1,
      anon_sym_BSLASHu,
    ACTIONS(3022), 1,
      anon_sym_DOLLAR,
    ACTIONS(3046), 1,
      anon_sym_BQUOTE,
    STATE(1411), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1424), 1,
      sym_text_interpolation,
    STATE(1502), 1,
      sym_variable_name,
    STATE(1659), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3016), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1627), 2,
      sym__simple_string_subscript_expression,
      sym_dynamic_variable_name,
    STATE(1666), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1425), 1,
      sym_text_interpolation,
    ACTIONS(1630), 4,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1632), 9,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [54060] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1426), 1,
      sym_text_interpolation,
    ACTIONS(3048), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54085] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1427), 1,
      sym_text_interpolation,
    ACTIONS(3050), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54110] = 15,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2421), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2423), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(3032), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3034), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3040), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3042), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3052), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3054), 1,
      aux_sym_class_declaration_token1,
    STATE(1428), 1,
      sym_text_interpolation,
    STATE(2463), 1,
      sym__function_definition_header,
    STATE(2603), 1,
      sym_static_modifier,
    STATE(2630), 1,
      sym_readonly_modifier,
    STATE(1974), 2,
      sym_final_modifier,
      sym_abstract_modifier,
  [54157] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1429), 1,
      sym_text_interpolation,
    ACTIONS(1224), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54182] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1430), 1,
      sym_text_interpolation,
    ACTIONS(1316), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54207] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1431), 1,
      sym_text_interpolation,
    ACTIONS(3056), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54232] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1432), 1,
      sym_text_interpolation,
    ACTIONS(3058), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54257] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1433), 1,
      sym_text_interpolation,
    ACTIONS(3060), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54282] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1434), 1,
      sym_text_interpolation,
    ACTIONS(3062), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54307] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3064), 1,
      sym_name,
    ACTIONS(3070), 1,
      anon_sym_BSLASH,
    STATE(1435), 1,
      sym_text_interpolation,
    STATE(1816), 1,
      sym_namespace_use_clause,
    STATE(2665), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3068), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1792), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54348] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1436), 1,
      sym_text_interpolation,
    ACTIONS(3072), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54373] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1437), 1,
      sym_text_interpolation,
    ACTIONS(1300), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54398] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1438), 1,
      sym_text_interpolation,
    ACTIONS(3074), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54423] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1439), 1,
      sym_text_interpolation,
    ACTIONS(3076), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54448] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1440), 1,
      sym_text_interpolation,
    ACTIONS(3078), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54473] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1441), 1,
      sym_text_interpolation,
    ACTIONS(3080), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54498] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1442), 1,
      sym_text_interpolation,
    ACTIONS(1308), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54523] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3064), 1,
      sym_name,
    ACTIONS(3084), 1,
      anon_sym_BSLASH,
    STATE(1443), 1,
      sym_text_interpolation,
    STATE(1874), 1,
      sym_namespace_use_clause,
    STATE(2620), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3082), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1792), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54564] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1444), 1,
      sym_text_interpolation,
    ACTIONS(1444), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54589] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    STATE(1445), 1,
      sym_text_interpolation,
    ACTIONS(1468), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54614] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    STATE(1446), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3086), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3088), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [54645] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3090), 1,
      sym_name,
    ACTIONS(3092), 1,
      anon_sym_RBRACK,
    STATE(1447), 1,
      sym_text_interpolation,
    STATE(2448), 1,
      sym_attribute,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1807), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54685] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3090), 1,
      sym_name,
    ACTIONS(3094), 1,
      anon_sym_RBRACK,
    STATE(1448), 1,
      sym_text_interpolation,
    STATE(2448), 1,
      sym_attribute,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1807), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54725] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3090), 1,
      sym_name,
    ACTIONS(3096), 1,
      anon_sym_RBRACK,
    STATE(1449), 1,
      sym_text_interpolation,
    STATE(2448), 1,
      sym_attribute,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1807), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54765] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3103), 1,
      anon_sym_AMP,
    ACTIONS(3110), 1,
      anon_sym_PIPE,
    STATE(1450), 1,
      sym_text_interpolation,
    STATE(1481), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1556), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1559), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3105), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3098), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [54801] = 12,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3090), 1,
      sym_name,
    ACTIONS(3112), 1,
      anon_sym_RBRACK,
    STATE(1451), 1,
      sym_text_interpolation,
    STATE(2448), 1,
      sym_attribute,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1807), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54841] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(302), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3114), 1,
      sym_integer,
    STATE(1452), 1,
      sym_text_interpolation,
    STATE(2341), 1,
      sym__string,
    ACTIONS(298), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(300), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(870), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [54874] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1453), 1,
      sym_text_interpolation,
    ACTIONS(3116), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3118), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [54899] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3090), 1,
      sym_name,
    STATE(1454), 1,
      sym_text_interpolation,
    STATE(1975), 1,
      sym_attribute,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1807), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54936] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3064), 1,
      sym_name,
    STATE(1455), 1,
      sym_text_interpolation,
    STATE(2017), 1,
      sym_namespace_use_clause,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    STATE(1792), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54973] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(302), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_integer,
    STATE(1456), 1,
      sym_text_interpolation,
    STATE(2270), 1,
      sym__string,
    ACTIONS(298), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(300), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(870), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [55006] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1457), 1,
      sym_text_interpolation,
    ACTIONS(3086), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3088), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55031] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1458), 1,
      sym_text_interpolation,
    ACTIONS(3122), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3124), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55056] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3064), 1,
      sym_name,
    ACTIONS(3126), 1,
      anon_sym_BSLASH,
    STATE(1459), 1,
      sym_text_interpolation,
    STATE(1923), 1,
      sym_namespace_use_clause,
    STATE(2631), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    STATE(1792), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55093] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(3128), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3130), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(599), 1,
      sym_arguments,
    STATE(1460), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55128] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1461), 1,
      sym_text_interpolation,
    ACTIONS(3132), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3134), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55153] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1696), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2789), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3136), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1462), 1,
      sym_text_interpolation,
    STATE(1822), 1,
      sym_variable_name,
    STATE(1823), 1,
      sym_static_variable_declaration,
    ACTIONS(1594), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55188] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1696), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2789), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3136), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1463), 1,
      sym_text_interpolation,
    STATE(1822), 1,
      sym_variable_name,
    STATE(1871), 1,
      sym_static_variable_declaration,
    ACTIONS(1594), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55223] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3064), 1,
      sym_name,
    ACTIONS(3138), 1,
      anon_sym_BSLASH,
    STATE(1464), 1,
      sym_text_interpolation,
    STATE(1861), 1,
      sym_namespace_use_clause,
    STATE(2595), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    STATE(1792), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55260] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3090), 1,
      sym_name,
    STATE(1465), 1,
      sym_text_interpolation,
    STATE(1998), 1,
      sym_attribute,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1807), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55297] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3090), 1,
      sym_name,
    STATE(1466), 1,
      sym_text_interpolation,
    STATE(2448), 1,
      sym_attribute,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1807), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55334] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(599), 1,
      sym_arguments,
    STATE(1467), 1,
      sym_text_interpolation,
    ACTIONS(1568), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55362] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3140), 1,
      sym_name,
    STATE(1468), 1,
      sym_text_interpolation,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    STATE(1940), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55396] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3142), 1,
      sym_name,
    STATE(1469), 1,
      sym_text_interpolation,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2032), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55430] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3144), 1,
      anon_sym_COMMA,
    ACTIONS(3146), 1,
      anon_sym_RPAREN,
    STATE(599), 1,
      sym_arguments,
    STATE(1470), 1,
      sym_text_interpolation,
    STATE(2035), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55462] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1471), 1,
      sym_text_interpolation,
    ACTIONS(3148), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3151), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55486] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3154), 1,
      sym_name,
    STATE(1472), 1,
      sym_text_interpolation,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(1802), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55520] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1473), 1,
      sym_text_interpolation,
    ACTIONS(3156), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3158), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55544] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_BSLASHu,
    ACTIONS(3160), 1,
      anon_sym_DASH_GT,
    ACTIONS(3162), 1,
      anon_sym_LBRACK,
    ACTIONS(3164), 1,
      sym_encapsed_string_chars_after_variable,
    STATE(1474), 1,
      sym_text_interpolation,
    ACTIONS(3008), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [55574] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(599), 1,
      sym_arguments,
    STATE(1475), 1,
      sym_text_interpolation,
    ACTIONS(1825), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55602] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3144), 1,
      anon_sym_COMMA,
    ACTIONS(3166), 1,
      anon_sym_RPAREN,
    STATE(599), 1,
      sym_arguments,
    STATE(1476), 1,
      sym_text_interpolation,
    STATE(2090), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55634] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1477), 1,
      sym_text_interpolation,
    ACTIONS(3170), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3168), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55658] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1478), 1,
      sym_text_interpolation,
    ACTIONS(2885), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(2877), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55682] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1632), 1,
      anon_sym_BSLASHu,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1479), 1,
      sym_text_interpolation,
    ACTIONS(1630), 9,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [55706] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2789), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3172), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1480), 1,
      sym_text_interpolation,
    ACTIONS(1594), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55734] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3103), 1,
      anon_sym_AMP,
    STATE(1481), 1,
      sym_text_interpolation,
    STATE(1483), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3174), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3176), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [55762] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym_RPAREN,
    STATE(599), 1,
      sym_arguments,
    STATE(1482), 1,
      sym_text_interpolation,
    STATE(2212), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [55794] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3180), 1,
      anon_sym_AMP,
    STATE(1483), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3156), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3158), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [55820] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1484), 1,
      sym_text_interpolation,
    ACTIONS(1630), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1632), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55844] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1485), 1,
      sym_text_interpolation,
    ACTIONS(1610), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1612), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55868] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1486), 1,
      sym_text_interpolation,
    ACTIONS(1582), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1584), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55892] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1487), 1,
      sym_text_interpolation,
    ACTIONS(3185), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3183), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55916] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1488), 1,
      sym_text_interpolation,
    ACTIONS(3187), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3189), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55940] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1489), 1,
      sym_text_interpolation,
    ACTIONS(3008), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3002), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [55964] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1490), 1,
      sym_text_interpolation,
    ACTIONS(3191), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3193), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [55988] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3195), 1,
      sym_name,
    STATE(1491), 1,
      sym_text_interpolation,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2685), 1,
      sym_namespace_name_as_prefix,
    STATE(1664), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56022] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1492), 1,
      sym_text_interpolation,
    ACTIONS(3199), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3197), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [56046] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1493), 1,
      sym_text_interpolation,
    ACTIONS(3201), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3203), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56070] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1494), 1,
      sym_text_interpolation,
    ACTIONS(3207), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3205), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [56094] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1495), 1,
      sym_text_interpolation,
    ACTIONS(3211), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3209), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [56118] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3213), 1,
      sym_name,
    STATE(1496), 1,
      sym_text_interpolation,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
    STATE(2201), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56152] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1497), 1,
      sym_text_interpolation,
    ACTIONS(3217), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3215), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [56176] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(3219), 1,
      sym_name,
    ACTIONS(3221), 1,
      anon_sym_LBRACE,
    STATE(695), 1,
      sym__reserved_identifier,
    STATE(1498), 1,
      sym_text_interpolation,
    STATE(716), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56207] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(3223), 1,
      sym_name,
    ACTIONS(3225), 1,
      anon_sym_LBRACE,
    STATE(1499), 1,
      sym_text_interpolation,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(721), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56236] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3227), 1,
      sym_name,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1500), 1,
      sym_text_interpolation,
    STATE(1606), 1,
      sym_reference_modifier,
    STATE(1690), 1,
      sym_formal_parameters,
    STATE(2274), 1,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56269] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1501), 1,
      sym_text_interpolation,
    ACTIONS(2473), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [56290] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_BSLASHu,
    ACTIONS(3231), 1,
      anon_sym_DASH_GT,
    ACTIONS(3233), 1,
      anon_sym_LBRACK,
    ACTIONS(3235), 1,
      sym_execution_string_chars_after_variable,
    STATE(1502), 1,
      sym_text_interpolation,
    ACTIONS(3008), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [56319] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_PIPE,
    STATE(1503), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3189), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3187), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [56344] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3219), 1,
      sym_name,
    ACTIONS(3221), 1,
      anon_sym_LBRACE,
    STATE(695), 1,
      sym__reserved_identifier,
    STATE(1504), 1,
      sym_text_interpolation,
    STATE(582), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56375] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(814), 1,
      sym_arguments,
    STATE(1505), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56404] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1506), 1,
      sym_text_interpolation,
    ACTIONS(2789), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [56425] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3240), 1,
      sym_name,
    ACTIONS(3244), 1,
      anon_sym_LBRACE,
    STATE(1507), 1,
      sym_text_interpolation,
    ACTIONS(3242), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(606), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56454] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3219), 1,
      sym_name,
    ACTIONS(3221), 1,
      anon_sym_LBRACE,
    STATE(695), 1,
      sym__reserved_identifier,
    STATE(1508), 1,
      sym_text_interpolation,
    STATE(865), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56485] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3246), 1,
      sym_name,
    ACTIONS(3248), 1,
      anon_sym_LBRACE,
    STATE(862), 1,
      sym__reserved_identifier,
    STATE(1509), 1,
      sym_text_interpolation,
    STATE(611), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56516] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3250), 1,
      sym_name,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1510), 1,
      sym_text_interpolation,
    ACTIONS(3252), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(583), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56545] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(3256), 1,
      sym_name,
    ACTIONS(3258), 1,
      anon_sym_LBRACE,
    STATE(1511), 1,
      sym_text_interpolation,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(696), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56574] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3260), 1,
      sym_name,
    ACTIONS(3264), 1,
      anon_sym_LBRACE,
    STATE(1512), 1,
      sym_text_interpolation,
    ACTIONS(3262), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(660), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56603] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3266), 1,
      anon_sym_PIPE,
    STATE(1513), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3193), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3191), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [56628] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(3269), 1,
      sym_name,
    ACTIONS(3271), 1,
      anon_sym_LBRACE,
    STATE(1514), 1,
      sym_text_interpolation,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(710), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56657] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3273), 1,
      sym_name,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    STATE(1515), 1,
      sym_text_interpolation,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(861), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56686] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(599), 1,
      sym_arguments,
    STATE(1516), 1,
      sym_text_interpolation,
    ACTIONS(3277), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56713] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(3279), 1,
      sym_name,
    ACTIONS(3281), 1,
      anon_sym_LBRACE,
    STATE(1517), 1,
      sym_text_interpolation,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(702), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56742] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3283), 1,
      sym_name,
    ACTIONS(3285), 1,
      anon_sym_LBRACE,
    STATE(1518), 1,
      sym_text_interpolation,
    ACTIONS(3262), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(668), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56771] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    STATE(689), 1,
      sym_arguments,
    STATE(1519), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56800] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3287), 1,
      sym_name,
    ACTIONS(3289), 1,
      anon_sym_LBRACE,
    STATE(1520), 1,
      sym_text_interpolation,
    ACTIONS(3252), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(585), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56829] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(3291), 1,
      sym_name,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    STATE(1521), 1,
      sym_text_interpolation,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(701), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56858] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3295), 1,
      sym_name,
    ACTIONS(3297), 1,
      anon_sym_LBRACE,
    STATE(1522), 1,
      sym_text_interpolation,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(858), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56887] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(599), 1,
      sym_arguments,
    STATE(1523), 1,
      sym_text_interpolation,
    ACTIONS(2551), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [56914] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3287), 1,
      sym_name,
    ACTIONS(3289), 1,
      anon_sym_LBRACE,
    STATE(1524), 1,
      sym_text_interpolation,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(585), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [56943] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(3299), 1,
      anon_sym_EQ,
    STATE(1525), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3088), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3086), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [56972] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3219), 1,
      sym_name,
    ACTIONS(3221), 1,
      anon_sym_LBRACE,
    STATE(695), 1,
      sym__reserved_identifier,
    STATE(1526), 1,
      sym_text_interpolation,
    STATE(818), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57003] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3301), 1,
      sym_name,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1527), 1,
      sym_text_interpolation,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(821), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57032] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3305), 1,
      sym_name,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    STATE(1528), 1,
      sym_text_interpolation,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(817), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57061] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1529), 1,
      sym_text_interpolation,
    ACTIONS(2663), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [57082] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1530), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3309), 1,
      sym_name,
    ACTIONS(3311), 1,
      anon_sym_LBRACE,
    STATE(1530), 1,
      sym_text_interpolation,
    STATE(1586), 1,
      sym__reserved_identifier,
    STATE(787), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57113] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1632), 1,
      anon_sym_BSLASHu,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1531), 1,
      sym_text_interpolation,
    ACTIONS(1630), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [57136] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3250), 1,
      sym_name,
    ACTIONS(3254), 1,
      anon_sym_LBRACE,
    STATE(1532), 1,
      sym_text_interpolation,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(583), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57165] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(599), 1,
      sym_arguments,
    STATE(1533), 1,
      sym_text_interpolation,
    ACTIONS(3313), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57192] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3315), 1,
      sym_name,
    ACTIONS(3317), 1,
      anon_sym_LBRACE,
    STATE(714), 1,
      sym__reserved_identifier,
    STATE(1534), 1,
      sym_text_interpolation,
    STATE(662), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57223] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_PIPE,
    STATE(1535), 1,
      sym_text_interpolation,
    STATE(1539), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3321), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3319), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57250] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1530), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3325), 1,
      sym_name,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(1536), 1,
      sym_text_interpolation,
    ACTIONS(3327), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(791), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57279] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(3331), 1,
      sym_name,
    ACTIONS(3333), 1,
      anon_sym_LBRACE,
    STATE(1537), 1,
      sym_text_interpolation,
    STATE(1605), 1,
      sym__reserved_identifier,
    STATE(707), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57310] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3335), 1,
      sym_name,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    STATE(1538), 1,
      sym_text_interpolation,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(866), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57339] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_PIPE,
    STATE(1513), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1539), 1,
      sym_text_interpolation,
    ACTIONS(3341), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3339), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57366] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3343), 1,
      sym_name,
    ACTIONS(3345), 1,
      anon_sym_LBRACE,
    STATE(1540), 1,
      sym_text_interpolation,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(841), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57395] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1530), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3347), 1,
      sym_name,
    ACTIONS(3349), 1,
      anon_sym_LBRACE,
    STATE(1541), 1,
      sym_text_interpolation,
    ACTIONS(3327), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(777), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57424] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3331), 1,
      sym_name,
    ACTIONS(3333), 1,
      anon_sym_LBRACE,
    STATE(1542), 1,
      sym_text_interpolation,
    STATE(1605), 1,
      sym__reserved_identifier,
    STATE(1613), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57455] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(737), 1,
      sym_arguments,
    STATE(1543), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57484] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(906), 1,
      sym_arguments,
    STATE(1544), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57513] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3351), 1,
      sym_name,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(1545), 1,
      sym_text_interpolation,
    STATE(1595), 1,
      sym__reserved_identifier,
    STATE(824), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57544] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1530), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3355), 1,
      sym_name,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    STATE(819), 1,
      sym__reserved_identifier,
    STATE(1546), 1,
      sym_text_interpolation,
    STATE(787), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3066), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57575] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3227), 1,
      sym_name,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1547), 1,
      sym_text_interpolation,
    STATE(1592), 1,
      sym_reference_modifier,
    STATE(1629), 1,
      sym_formal_parameters,
    STATE(2274), 1,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57608] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(599), 1,
      sym_arguments,
    STATE(1548), 1,
      sym_text_interpolation,
    ACTIONS(3359), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57635] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    STATE(599), 1,
      sym_arguments,
    STATE(1549), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57664] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1550), 1,
      sym_text_interpolation,
    ACTIONS(2781), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [57685] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(599), 1,
      sym_arguments,
    STATE(1551), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57712] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1552), 1,
      sym_text_interpolation,
    ACTIONS(2737), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [57733] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(599), 1,
      sym_arguments,
    STATE(1553), 1,
      sym_text_interpolation,
    ACTIONS(2573), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [57760] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3351), 1,
      sym_name,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(1554), 1,
      sym_text_interpolation,
    STATE(1595), 1,
      sym__reserved_identifier,
    STATE(1594), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57791] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(3361), 1,
      sym_name,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(1555), 1,
      sym_text_interpolation,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(723), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57820] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_PIPE,
    STATE(1513), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1556), 1,
      sym_text_interpolation,
    ACTIONS(3367), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3365), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57847] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(3219), 1,
      sym_name,
    ACTIONS(3221), 1,
      anon_sym_LBRACE,
    STATE(695), 1,
      sym__reserved_identifier,
    STATE(1557), 1,
      sym_text_interpolation,
    STATE(728), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57878] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1558), 1,
      sym_text_interpolation,
    ACTIONS(3369), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3371), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [57901] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3377), 1,
      anon_sym_PIPE,
    STATE(1503), 1,
      aux_sym_union_type_repeat1,
    STATE(1559), 1,
      sym_text_interpolation,
    ACTIONS(3375), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3373), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57928] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1560), 1,
      sym_text_interpolation,
    ACTIONS(2785), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [57949] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3379), 1,
      sym_name,
    ACTIONS(3381), 1,
      anon_sym_LBRACE,
    STATE(1561), 1,
      sym_text_interpolation,
    ACTIONS(3242), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [57978] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1562), 1,
      sym_text_interpolation,
    ACTIONS(2519), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [57999] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(599), 1,
      sym_arguments,
    STATE(1563), 1,
      sym_text_interpolation,
    ACTIONS(2541), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58026] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    STATE(978), 1,
      sym_declaration_list,
    STATE(1564), 1,
      sym_text_interpolation,
    STATE(1637), 1,
      sym_arguments,
    STATE(1948), 1,
      sym_base_clause,
    STATE(2268), 1,
      sym_class_interface_clause,
  [58060] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1565), 1,
      sym_text_interpolation,
    STATE(1841), 1,
      sym_named_type,
    STATE(2088), 1,
      sym_type_list,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
  [58094] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(949), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3389), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3392), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(947), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1566), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1771), 2,
      sym_catch_clause,
      sym_finally_clause,
  [58122] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1073), 1,
      sym_declaration_list,
    STATE(1567), 1,
      sym_text_interpolation,
    STATE(1640), 1,
      sym_arguments,
    STATE(1944), 1,
      sym_base_clause,
    STATE(2391), 1,
      sym_class_interface_clause,
  [58156] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym_RPAREN,
    STATE(1568), 1,
      sym_text_interpolation,
    STATE(2212), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58182] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2789), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3136), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1569), 1,
      sym_text_interpolation,
    ACTIONS(1594), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58208] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(3399), 1,
      anon_sym_COMMA,
    ACTIONS(3401), 1,
      anon_sym_LBRACE,
    STATE(1391), 1,
      sym_use_list,
    STATE(1570), 1,
      sym_text_interpolation,
    STATE(1661), 1,
      aux_sym_base_clause_repeat1,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3397), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58240] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3144), 1,
      anon_sym_COMMA,
    ACTIONS(3146), 1,
      anon_sym_RPAREN,
    STATE(1571), 1,
      sym_text_interpolation,
    STATE(2035), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58266] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    STATE(975), 1,
      sym_declaration_list,
    STATE(1572), 1,
      sym_text_interpolation,
    STATE(1692), 1,
      sym_arguments,
    STATE(1891), 1,
      sym_base_clause,
    STATE(2402), 1,
      sym_class_interface_clause,
  [58300] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1155), 1,
      sym_declaration_list,
    STATE(1573), 1,
      sym_text_interpolation,
    STATE(1644), 1,
      sym_arguments,
    STATE(1819), 1,
      sym_base_clause,
    STATE(2459), 1,
      sym_class_interface_clause,
  [58334] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3144), 1,
      anon_sym_COMMA,
    ACTIONS(3166), 1,
      anon_sym_RPAREN,
    STATE(1574), 1,
      sym_text_interpolation,
    STATE(2090), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58360] = 11,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1575), 1,
      sym_text_interpolation,
    STATE(1841), 1,
      sym_named_type,
    STATE(2087), 1,
      sym_type_list,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
  [58394] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3405), 1,
      anon_sym_PIPE,
    STATE(1576), 1,
      sym_text_interpolation,
    STATE(1703), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1774), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1776), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3105), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58424] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(941), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3407), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3409), 1,
      aux_sym_finally_clause_token1,
    STATE(1566), 1,
      aux_sym_try_statement_repeat1,
    STATE(1577), 1,
      sym_text_interpolation,
    ACTIONS(939), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1771), 2,
      sym_catch_clause,
      sym_finally_clause,
  [58454] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3413), 1,
      anon_sym_BSLASHu,
    STATE(1578), 1,
      sym_text_interpolation,
    ACTIONS(3411), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [58475] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1579), 1,
      sym_text_interpolation,
    ACTIONS(3313), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58496] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_BSLASHu,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1580), 1,
      sym_text_interpolation,
    ACTIONS(1582), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [58517] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3215), 1,
      anon_sym_BSLASHu,
    STATE(1581), 1,
      sym_text_interpolation,
    ACTIONS(3217), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [58538] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(3417), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1582), 1,
      sym_text_interpolation,
    STATE(1984), 1,
      sym_namespace_aliasing_clause,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3415), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58565] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(3421), 1,
      anon_sym_DASH,
    STATE(1583), 1,
      sym_text_interpolation,
    STATE(2526), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3419), 2,
      sym_integer,
      sym_name,
    STATE(2522), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [58592] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_BSLASHu,
    STATE(1584), 1,
      sym_text_interpolation,
    ACTIONS(2963), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [58613] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3427), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3430), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3425), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1585), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1798), 2,
      sym_case_statement,
      sym_default_statement,
  [58638] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(795), 1,
      sym_arguments,
    STATE(1586), 1,
      sym_text_interpolation,
    ACTIONS(1763), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58661] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1587), 1,
      sym_text_interpolation,
    ACTIONS(1929), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(1927), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [58682] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1612), 1,
      anon_sym_BSLASHu,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1588), 1,
      sym_text_interpolation,
    ACTIONS(1610), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [58703] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(3421), 1,
      anon_sym_DASH,
    STATE(1589), 1,
      sym_text_interpolation,
    STATE(2634), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3419), 2,
      sym_integer,
      sym_name,
    STATE(2522), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [58730] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1632), 1,
      anon_sym_BSLASHu,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1590), 1,
      sym_text_interpolation,
    ACTIONS(1630), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [58751] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(906), 1,
      sym_arguments,
    STATE(1591), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58774] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    ACTIONS(3433), 1,
      sym_name,
    STATE(1592), 1,
      sym_text_interpolation,
    STATE(1689), 1,
      sym_formal_parameters,
    STATE(2357), 1,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58801] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(892), 1,
      sym_arguments,
    STATE(1593), 1,
      sym_text_interpolation,
    ACTIONS(1737), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58824] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(895), 1,
      sym_arguments,
    STATE(1594), 1,
      sym_text_interpolation,
    ACTIONS(1548), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58847] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(895), 1,
      sym_arguments,
    STATE(1595), 1,
      sym_text_interpolation,
    ACTIONS(1763), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58870] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(737), 1,
      sym_arguments,
    STATE(1596), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58893] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(599), 1,
      sym_arguments,
    STATE(1597), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58916] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(814), 1,
      sym_arguments,
    STATE(1598), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58939] = 10,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(212), 1,
      anon_sym_BSLASH,
    ACTIONS(555), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1678), 1,
      sym_name,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1457), 1,
      sym_qualified_name,
    STATE(1599), 1,
      sym_text_interpolation,
    STATE(2218), 1,
      sym_named_type,
    STATE(2512), 1,
      sym_namespace_name_as_prefix,
    STATE(2684), 1,
      sym_namespace_name,
  [58970] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_BSLASHu,
    STATE(1600), 1,
      sym_text_interpolation,
    ACTIONS(3435), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [58991] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    STATE(689), 1,
      sym_arguments,
    STATE(1601), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59014] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3183), 1,
      anon_sym_BSLASHu,
    STATE(1602), 1,
      sym_text_interpolation,
    ACTIONS(3185), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59035] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1700), 1,
      anon_sym_LPAREN,
    STATE(689), 1,
      sym_arguments,
    STATE(1603), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59058] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym_AMP,
    ACTIONS(3445), 1,
      anon_sym_PIPE,
    STATE(1604), 1,
      sym_text_interpolation,
    STATE(1759), 1,
      aux_sym_union_type_repeat1,
    STATE(1760), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1803), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3105), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [59087] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(759), 1,
      sym_arguments,
    STATE(1605), 1,
      sym_text_interpolation,
    ACTIONS(1763), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59110] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    ACTIONS(3433), 1,
      sym_name,
    STATE(1606), 1,
      sym_text_interpolation,
    STATE(1631), 1,
      sym_formal_parameters,
    STATE(2357), 1,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59137] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_BSLASHu,
    STATE(1607), 1,
      sym_text_interpolation,
    ACTIONS(3008), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59158] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(734), 1,
      sym_arguments,
    STATE(1608), 1,
      sym_text_interpolation,
    ACTIONS(1737), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59181] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3128), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3130), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(1609), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59204] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(814), 1,
      sym_arguments,
    STATE(1610), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59227] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1611), 1,
      sym_text_interpolation,
    ACTIONS(3277), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59248] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    STATE(1612), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3088), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [59271] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(759), 1,
      sym_arguments,
    STATE(1613), 1,
      sym_text_interpolation,
    ACTIONS(1548), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59294] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LPAREN,
    STATE(906), 1,
      sym_arguments,
    STATE(1614), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59317] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1615), 1,
      sym_text_interpolation,
    ACTIONS(3359), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59338] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3447), 1,
      sym_name,
    STATE(1616), 1,
      sym_text_interpolation,
    STATE(1753), 1,
      sym_reference_modifier,
    STATE(2445), 1,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59365] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_LPAREN,
    STATE(805), 1,
      sym_arguments,
    STATE(1617), 1,
      sym_text_interpolation,
    ACTIONS(1737), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59388] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_LPAREN,
    STATE(737), 1,
      sym_arguments,
    STATE(1618), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59411] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(599), 1,
      sym_arguments,
    STATE(1619), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59434] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(3421), 1,
      anon_sym_DASH,
    STATE(1620), 1,
      sym_text_interpolation,
    STATE(2533), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3419), 2,
      sym_integer,
      sym_name,
    STATE(2522), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [59461] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1646), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(621), 1,
      sym_arguments,
    STATE(1621), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59484] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_BSLASHu,
    STATE(1622), 1,
      sym_text_interpolation,
    ACTIONS(3207), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59505] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_BSLASHu,
    STATE(1623), 1,
      sym_text_interpolation,
    ACTIONS(3211), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59526] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(965), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3451), 1,
      aux_sym_else_clause_token1,
    STATE(1624), 1,
      sym_text_interpolation,
    STATE(1738), 1,
      aux_sym_if_statement_repeat1,
    STATE(2129), 1,
      sym_else_clause,
    STATE(2147), 1,
      sym_else_if_clause,
  [59554] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3209), 1,
      anon_sym_BSLASHu,
    STATE(1625), 1,
      sym_text_interpolation,
    ACTIONS(3211), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59574] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_RBRACE,
    ACTIONS(3455), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3457), 1,
      aux_sym_match_default_expression_token1,
    STATE(1626), 1,
      sym_text_interpolation,
    STATE(1647), 1,
      aux_sym_switch_block_repeat1,
    STATE(1798), 2,
      sym_case_statement,
      sym_default_statement,
  [59600] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_BSLASHu,
    STATE(1627), 1,
      sym_text_interpolation,
    ACTIONS(3008), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59620] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3459), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3461), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3463), 1,
      aux_sym_else_clause_token1,
    STATE(1628), 1,
      sym_text_interpolation,
    STATE(1651), 1,
      aux_sym_if_statement_repeat2,
    STATE(2068), 1,
      sym_else_if_clause_2,
    STATE(2514), 1,
      sym_else_clause_2,
  [59648] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1057), 1,
      sym_compound_statement,
    STATE(1629), 1,
      sym_text_interpolation,
    STATE(1885), 1,
      sym_anonymous_function_use_clause,
    STATE(2364), 1,
      sym__return_type,
  [59676] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(457), 1,
      sym_declaration_list,
    STATE(1630), 1,
      sym_text_interpolation,
    STATE(1892), 1,
      sym_base_clause,
    STATE(2320), 1,
      sym_class_interface_clause,
  [59704] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1059), 1,
      sym_compound_statement,
    STATE(1631), 1,
      sym_text_interpolation,
    STATE(1886), 1,
      sym_anonymous_function_use_clause,
    STATE(2325), 1,
      sym__return_type,
  [59732] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1632), 1,
      sym_text_interpolation,
    STATE(1706), 1,
      sym_declaration_list,
    STATE(1870), 1,
      sym_base_clause,
    STATE(2446), 1,
      sym_class_interface_clause,
  [59760] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1060), 1,
      sym_compound_statement,
    STATE(1633), 1,
      sym_text_interpolation,
    STATE(1876), 1,
      sym_anonymous_function_use_clause,
    STATE(2326), 1,
      sym__return_type,
  [59788] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_declaration_list,
    STATE(1634), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      sym_base_clause,
    STATE(2329), 1,
      sym_class_interface_clause,
  [59816] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1612), 1,
      anon_sym_BSLASHu,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1635), 1,
      sym_text_interpolation,
    ACTIONS(1610), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59836] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(446), 1,
      sym_declaration_list,
    STATE(1636), 1,
      sym_text_interpolation,
    STATE(1938), 1,
      sym_base_clause,
    STATE(2375), 1,
      sym_class_interface_clause,
  [59864] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    STATE(976), 1,
      sym_declaration_list,
    STATE(1637), 1,
      sym_text_interpolation,
    STATE(1897), 1,
      sym_base_clause,
    STATE(2395), 1,
      sym_class_interface_clause,
  [59892] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1584), 1,
      anon_sym_BSLASHu,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1638), 1,
      sym_text_interpolation,
    ACTIONS(1582), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59912] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(464), 1,
      sym_declaration_list,
    STATE(1639), 1,
      sym_text_interpolation,
    STATE(1800), 1,
      sym_base_clause,
    STATE(2438), 1,
      sym_class_interface_clause,
  [59940] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1154), 1,
      sym_declaration_list,
    STATE(1640), 1,
      sym_text_interpolation,
    STATE(1812), 1,
      sym_base_clause,
    STATE(2460), 1,
      sym_class_interface_clause,
  [59968] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3455), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3457), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3473), 1,
      anon_sym_RBRACE,
    STATE(1641), 1,
      sym_text_interpolation,
    STATE(1671), 1,
      aux_sym_switch_block_repeat1,
    STATE(1798), 2,
      sym_case_statement,
      sym_default_statement,
  [59994] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3455), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3457), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3475), 1,
      aux_sym_switch_block_token1,
    STATE(1642), 1,
      sym_text_interpolation,
    STATE(1645), 1,
      aux_sym_switch_block_repeat1,
    STATE(1798), 2,
      sym_case_statement,
      sym_default_statement,
  [60020] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    STATE(1643), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3477), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [60042] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1065), 1,
      sym_declaration_list,
    STATE(1644), 1,
      sym_text_interpolation,
    STATE(1853), 1,
      sym_base_clause,
    STATE(2356), 1,
      sym_class_interface_clause,
  [60070] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3455), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3457), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3479), 1,
      aux_sym_switch_block_token1,
    STATE(1585), 1,
      aux_sym_switch_block_repeat1,
    STATE(1645), 1,
      sym_text_interpolation,
    STATE(1798), 2,
      sym_case_statement,
      sym_default_statement,
  [60096] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(973), 1,
      sym_compound_statement,
    STATE(1646), 1,
      sym_text_interpolation,
    STATE(1902), 1,
      sym_anonymous_function_use_clause,
    STATE(2479), 1,
      sym__return_type,
  [60124] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3455), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3457), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3481), 1,
      anon_sym_RBRACE,
    STATE(1585), 1,
      aux_sym_switch_block_repeat1,
    STATE(1647), 1,
      sym_text_interpolation,
    STATE(1798), 2,
      sym_case_statement,
      sym_default_statement,
  [60150] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1648), 1,
      sym_text_interpolation,
    STATE(1699), 1,
      sym_declaration_list,
    STATE(1904), 1,
      sym_base_clause,
    STATE(2483), 1,
      sym_class_interface_clause,
  [60178] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1649), 1,
      sym_text_interpolation,
    STATE(1783), 1,
      sym_declaration_list,
    STATE(1946), 1,
      sym_base_clause,
    STATE(2334), 1,
      sym_class_interface_clause,
  [60206] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(957), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3451), 1,
      aux_sym_else_clause_token1,
    STATE(1624), 1,
      aux_sym_if_statement_repeat1,
    STATE(1650), 1,
      sym_text_interpolation,
    STATE(2145), 1,
      sym_else_clause,
    STATE(2147), 1,
      sym_else_if_clause,
  [60234] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3461), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3463), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3483), 1,
      aux_sym_if_statement_token2,
    STATE(1651), 1,
      sym_text_interpolation,
    STATE(1727), 1,
      aux_sym_if_statement_repeat2,
    STATE(2068), 1,
      sym_else_if_clause_2,
    STATE(2580), 1,
      sym_else_clause_2,
  [60262] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(972), 1,
      sym_compound_statement,
    STATE(1652), 1,
      sym_text_interpolation,
    STATE(1905), 1,
      sym_anonymous_function_use_clause,
    STATE(2488), 1,
      sym__return_type,
  [60290] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3485), 1,
      sym_name,
    STATE(1653), 1,
      sym_text_interpolation,
    STATE(1890), 1,
      sym_const_element,
    STATE(2608), 1,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60314] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(982), 1,
      sym_compound_statement,
    STATE(1654), 1,
      sym_text_interpolation,
    STATE(1927), 1,
      sym_anonymous_function_use_clause,
    STATE(2323), 1,
      sym__return_type,
  [60342] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    STATE(1655), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2408), 1,
      sym_arguments,
    ACTIONS(3487), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60368] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3489), 1,
      sym_php_tag,
    ACTIONS(3493), 1,
      sym__eof,
    STATE(1656), 1,
      sym_text_interpolation,
    STATE(1719), 1,
      aux_sym_text_repeat1,
    STATE(2231), 1,
      sym_text,
    ACTIONS(3491), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [60394] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3495), 1,
      anon_sym_BSLASHu,
    STATE(1657), 1,
      sym_text_interpolation,
    ACTIONS(2991), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60414] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(920), 1,
      sym_compound_statement,
    STATE(1658), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym_anonymous_function_use_clause,
    STATE(2311), 1,
      sym__return_type,
  [60442] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3183), 1,
      anon_sym_BSLASHu,
    STATE(1659), 1,
      sym_text_interpolation,
    ACTIONS(3185), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60462] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3215), 1,
      anon_sym_BSLASHu,
    STATE(1660), 1,
      sym_text_interpolation,
    ACTIONS(3217), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60482] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3399), 1,
      anon_sym_COMMA,
    ACTIONS(3401), 1,
      anon_sym_LBRACE,
    STATE(1393), 1,
      sym_use_list,
    STATE(1661), 1,
      sym_text_interpolation,
    STATE(1768), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3497), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60508] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(3499), 1,
      anon_sym_COMMA,
    STATE(1662), 1,
      sym_text_interpolation,
    STATE(1835), 1,
      aux_sym_base_clause_repeat1,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3501), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [60534] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(948), 1,
      sym_compound_statement,
    STATE(1663), 1,
      sym_text_interpolation,
    STATE(1945), 1,
      sym_anonymous_function_use_clause,
    STATE(2403), 1,
      sym__return_type,
  [60562] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3399), 1,
      anon_sym_COMMA,
    ACTIONS(3401), 1,
      anon_sym_LBRACE,
    STATE(1391), 1,
      sym_use_list,
    STATE(1661), 1,
      aux_sym_base_clause_repeat1,
    STATE(1664), 1,
      sym_text_interpolation,
    ACTIONS(3397), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60588] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(965), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3503), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3506), 1,
      aux_sym_else_clause_token1,
    STATE(1665), 1,
      sym_text_interpolation,
    STATE(1738), 1,
      aux_sym_if_statement_repeat1,
    STATE(2129), 1,
      sym_else_clause,
    STATE(2147), 1,
      sym_else_if_clause,
  [60616] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_BSLASHu,
    STATE(1666), 1,
      sym_text_interpolation,
    ACTIONS(3509), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60636] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(957), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3513), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3516), 1,
      aux_sym_else_clause_token1,
    STATE(1665), 1,
      aux_sym_if_statement_repeat1,
    STATE(1667), 1,
      sym_text_interpolation,
    STATE(2145), 1,
      sym_else_clause,
    STATE(2147), 1,
      sym_else_if_clause,
  [60664] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3485), 1,
      sym_name,
    STATE(1668), 1,
      sym_text_interpolation,
    STATE(1839), 1,
      sym_const_element,
    STATE(2608), 1,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60688] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1632), 1,
      anon_sym_BSLASHu,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1669), 1,
      sym_text_interpolation,
    ACTIONS(1630), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [60708] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3485), 1,
      sym_name,
    STATE(1670), 1,
      sym_text_interpolation,
    STATE(2030), 1,
      sym_const_element,
    STATE(2608), 1,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60732] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3455), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3457), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3519), 1,
      anon_sym_RBRACE,
    STATE(1585), 1,
      aux_sym_switch_block_repeat1,
    STATE(1671), 1,
      sym_text_interpolation,
    STATE(1798), 2,
      sym_case_statement,
      sym_default_statement,
  [60758] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3485), 1,
      sym_name,
    STATE(1672), 1,
      sym_text_interpolation,
    STATE(1804), 1,
      sym_const_element,
    STATE(2608), 1,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60782] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3455), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3457), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3521), 1,
      aux_sym_switch_block_token1,
    STATE(1585), 1,
      aux_sym_switch_block_repeat1,
    STATE(1673), 1,
      sym_text_interpolation,
    STATE(1798), 2,
      sym_case_statement,
      sym_default_statement,
  [60808] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3461), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3463), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3523), 1,
      aux_sym_if_statement_token2,
    STATE(1674), 1,
      sym_text_interpolation,
    STATE(1727), 1,
      aux_sym_if_statement_repeat2,
    STATE(2068), 1,
      sym_else_if_clause_2,
    STATE(2557), 1,
      sym_else_clause_2,
  [60836] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3485), 1,
      sym_name,
    STATE(1675), 1,
      sym_text_interpolation,
    STATE(1896), 1,
      sym_const_element,
    STATE(2608), 1,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60860] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(961), 1,
      sym_compound_statement,
    STATE(1676), 1,
      sym_text_interpolation,
    STATE(1918), 1,
      sym_anonymous_function_use_clause,
    STATE(2441), 1,
      sym__return_type,
  [60888] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1117), 1,
      sym_compound_statement,
    STATE(1677), 1,
      sym_text_interpolation,
    STATE(1879), 1,
      sym_anonymous_function_use_clause,
    STATE(2472), 1,
      sym__return_type,
  [60916] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3455), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3457), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3525), 1,
      aux_sym_switch_block_token1,
    STATE(1673), 1,
      aux_sym_switch_block_repeat1,
    STATE(1678), 1,
      sym_text_interpolation,
    STATE(1798), 2,
      sym_case_statement,
      sym_default_statement,
  [60942] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1679), 1,
      sym_text_interpolation,
    STATE(1793), 1,
      sym_declaration_list,
    STATE(1936), 1,
      sym_base_clause,
    STATE(2426), 1,
      sym_class_interface_clause,
  [60970] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3461), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3463), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3527), 1,
      aux_sym_if_statement_token2,
    STATE(1674), 1,
      aux_sym_if_statement_repeat2,
    STATE(1680), 1,
      sym_text_interpolation,
    STATE(2068), 1,
      sym_else_if_clause_2,
    STATE(2572), 1,
      sym_else_clause_2,
  [60998] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1681), 1,
      sym_text_interpolation,
    STATE(1710), 1,
      sym_declaration_list,
    STATE(1915), 1,
      sym_base_clause,
    STATE(2442), 1,
      sym_class_interface_clause,
  [61026] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(960), 1,
      sym_compound_statement,
    STATE(1682), 1,
      sym_text_interpolation,
    STATE(1920), 1,
      sym_anonymous_function_use_clause,
    STATE(2439), 1,
      sym__return_type,
  [61054] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3205), 1,
      anon_sym_BSLASHu,
    STATE(1683), 1,
      sym_text_interpolation,
    ACTIONS(3207), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61074] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1096), 1,
      sym_compound_statement,
    STATE(1684), 1,
      sym_text_interpolation,
    STATE(1937), 1,
      sym_anonymous_function_use_clause,
    STATE(2250), 1,
      sym__return_type,
  [61102] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1124), 1,
      sym_compound_statement,
    STATE(1685), 1,
      sym_text_interpolation,
    STATE(1813), 1,
      sym_anonymous_function_use_clause,
    STATE(2425), 1,
      sym__return_type,
  [61130] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3485), 1,
      sym_name,
    STATE(1686), 1,
      sym_text_interpolation,
    STATE(1866), 1,
      sym_const_element,
    STATE(2608), 1,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61154] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_declaration_list,
    STATE(1687), 1,
      sym_text_interpolation,
    STATE(1919), 1,
      sym_base_clause,
    STATE(2242), 1,
      sym_class_interface_clause,
  [61182] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3485), 1,
      sym_name,
    STATE(1688), 1,
      sym_text_interpolation,
    STATE(1933), 1,
      sym_const_element,
    STATE(2608), 1,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61206] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1130), 1,
      sym_compound_statement,
    STATE(1689), 1,
      sym_text_interpolation,
    STATE(1842), 1,
      sym_anonymous_function_use_clause,
    STATE(2489), 1,
      sym__return_type,
  [61234] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_compound_statement,
    STATE(1690), 1,
      sym_text_interpolation,
    STATE(1808), 1,
      sym_anonymous_function_use_clause,
    STATE(2434), 1,
      sym__return_type,
  [61262] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3465), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(954), 1,
      sym_compound_statement,
    STATE(1691), 1,
      sym_text_interpolation,
    STATE(1931), 1,
      sym_anonymous_function_use_clause,
    STATE(2321), 1,
      sym__return_type,
  [61290] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    STATE(962), 1,
      sym_declaration_list,
    STATE(1692), 1,
      sym_text_interpolation,
    STATE(1914), 1,
      sym_base_clause,
    STATE(2452), 1,
      sym_class_interface_clause,
  [61318] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(455), 1,
      sym_declaration_list,
    STATE(1693), 1,
      sym_text_interpolation,
    STATE(1810), 1,
      sym_base_clause,
    STATE(2431), 1,
      sym_class_interface_clause,
  [61346] = 9,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1694), 1,
      sym_text_interpolation,
    STATE(1773), 1,
      sym_declaration_list,
    STATE(1939), 1,
      sym_base_clause,
    STATE(2303), 1,
      sym_class_interface_clause,
  [61374] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3529), 1,
      sym_name,
    ACTIONS(3531), 1,
      anon_sym_LBRACE,
    ACTIONS(3533), 1,
      anon_sym_DOLLAR,
    STATE(1695), 1,
      sym_text_interpolation,
    STATE(1638), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61397] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1696), 1,
      sym_text_interpolation,
    ACTIONS(3118), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [61414] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    STATE(1697), 1,
      sym_text_interpolation,
    STATE(1733), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3341), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61435] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3407), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3409), 1,
      aux_sym_finally_clause_token1,
    STATE(1577), 1,
      aux_sym_try_statement_repeat1,
    STATE(1698), 1,
      sym_text_interpolation,
    STATE(1771), 2,
      sym_catch_clause,
      sym_finally_clause,
  [61458] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1076), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1699), 1,
      sym_text_interpolation,
    ACTIONS(1074), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3537), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61479] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3539), 1,
      sym_name,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    ACTIONS(3543), 1,
      anon_sym_DOLLAR,
    STATE(1700), 1,
      sym_text_interpolation,
    STATE(1580), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61502] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_BSLASH,
    STATE(1701), 1,
      sym_text_interpolation,
    STATE(1790), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3545), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [61523] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3549), 1,
      anon_sym_LBRACE,
    ACTIONS(3551), 1,
      anon_sym_COLON,
    STATE(1702), 1,
      sym_text_interpolation,
    STATE(2174), 1,
      sym_enum_declaration_list,
    STATE(2310), 1,
      sym_class_interface_clause,
  [61548] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    STATE(1703), 1,
      sym_text_interpolation,
    STATE(1735), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3176), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [61569] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3553), 1,
      anon_sym_LBRACE,
    ACTIONS(3555), 1,
      anon_sym_COLON,
    STATE(519), 1,
      sym_enum_declaration_list,
    STATE(1704), 1,
      sym_text_interpolation,
    STATE(2432), 1,
      sym_class_interface_clause,
  [61594] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3557), 1,
      sym_name,
    STATE(1705), 1,
      sym_text_interpolation,
    STATE(2205), 1,
      sym_visibility_modifier,
    ACTIONS(3559), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [61615] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1128), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1706), 1,
      sym_text_interpolation,
    ACTIONS(1126), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3561), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61636] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3563), 1,
      anon_sym_LBRACE,
    ACTIONS(3565), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3567), 1,
      anon_sym_DASH_GT,
    ACTIONS(3569), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3571), 1,
      anon_sym_LBRACK,
    STATE(1707), 1,
      sym_text_interpolation,
  [61661] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(3573), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1708), 1,
      sym_text_interpolation,
    STATE(2021), 1,
      sym_reference_modifier,
    STATE(2022), 1,
      sym_variable_name,
  [61686] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3577), 1,
      anon_sym_BSLASH,
    STATE(1709), 1,
      sym_text_interpolation,
    STATE(2179), 1,
      sym_compound_statement,
    ACTIONS(3575), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61709] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1064), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1710), 1,
      sym_text_interpolation,
    ACTIONS(1062), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3579), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61730] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3581), 1,
      anon_sym_LBRACE,
    ACTIONS(3583), 1,
      anon_sym_DASH_GT,
    ACTIONS(3585), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3587), 1,
      anon_sym_LBRACK,
    STATE(1711), 1,
      sym_text_interpolation,
  [61755] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1046), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1712), 1,
      sym_text_interpolation,
    ACTIONS(1044), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3589), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61776] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_DOLLAR,
    ACTIONS(3591), 1,
      sym_name,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
    STATE(1713), 1,
      sym_text_interpolation,
    STATE(753), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61799] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3595), 1,
      sym_name,
    STATE(1714), 1,
      sym_text_interpolation,
    STATE(1814), 1,
      sym_namespace_name,
    STATE(2239), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3597), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [61822] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3599), 1,
      anon_sym_LBRACE,
    ACTIONS(3601), 1,
      anon_sym_DASH_GT,
    ACTIONS(3603), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3605), 1,
      anon_sym_LBRACK,
    STATE(1715), 1,
      sym_text_interpolation,
  [61847] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    ACTIONS(3609), 1,
      anon_sym_DASH_GT,
    ACTIONS(3611), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    STATE(1716), 1,
      sym_text_interpolation,
  [61872] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3599), 1,
      anon_sym_LBRACE,
    ACTIONS(3605), 1,
      anon_sym_LBRACK,
    ACTIONS(3615), 1,
      anon_sym_DASH_GT,
    ACTIONS(3617), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1717), 1,
      sym_text_interpolation,
  [61897] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(597), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_name,
    ACTIONS(3621), 1,
      anon_sym_LBRACE,
    STATE(1718), 1,
      sym_text_interpolation,
    STATE(588), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61920] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3623), 1,
      sym_php_tag,
    ACTIONS(3625), 1,
      sym__eof,
    STATE(1719), 1,
      sym_text_interpolation,
    STATE(1743), 1,
      aux_sym_text_repeat1,
    ACTIONS(3491), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [61943] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3627), 1,
      sym_name,
    ACTIONS(3629), 1,
      anon_sym_LBRACE,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR,
    STATE(1720), 1,
      sym_text_interpolation,
    STATE(1486), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61966] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3633), 1,
      sym_name,
    ACTIONS(3635), 1,
      anon_sym_LBRACE,
    STATE(1721), 1,
      sym_text_interpolation,
    STATE(627), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61989] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3581), 1,
      anon_sym_LBRACE,
    ACTIONS(3587), 1,
      anon_sym_LBRACK,
    ACTIONS(3637), 1,
      anon_sym_DASH_GT,
    ACTIONS(3639), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1722), 1,
      sym_text_interpolation,
  [62014] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3607), 1,
      anon_sym_LBRACE,
    ACTIONS(3613), 1,
      anon_sym_LBRACK,
    ACTIONS(3641), 1,
      anon_sym_DASH_GT,
    ACTIONS(3643), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1723), 1,
      sym_text_interpolation,
  [62039] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3645), 1,
      anon_sym_PIPE,
    STATE(1724), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3189), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62058] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(991), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1725), 1,
      sym_text_interpolation,
    ACTIONS(989), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62077] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3595), 1,
      sym_name,
    STATE(1726), 1,
      sym_text_interpolation,
    STATE(1814), 1,
      sym_namespace_name,
    STATE(2127), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3597), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [62100] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3648), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3650), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3653), 1,
      aux_sym_else_clause_token1,
    STATE(2068), 1,
      sym_else_if_clause_2,
    STATE(1727), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [62123] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3655), 1,
      anon_sym_PIPE,
    STATE(1728), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3193), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62142] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3599), 1,
      anon_sym_LBRACE,
    ACTIONS(3605), 1,
      anon_sym_LBRACK,
    ACTIONS(3658), 1,
      anon_sym_DASH_GT,
    ACTIONS(3660), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1729), 1,
      sym_text_interpolation,
  [62167] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1036), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1730), 1,
      sym_text_interpolation,
    ACTIONS(1034), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3662), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62188] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3664), 1,
      sym_name,
    ACTIONS(3666), 1,
      anon_sym_BSLASH,
    STATE(1709), 1,
      sym_namespace_name,
    STATE(1731), 1,
      sym_text_interpolation,
    STATE(2192), 1,
      sym_compound_statement,
  [62213] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(3668), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1732), 1,
      sym_text_interpolation,
    STATE(2078), 1,
      sym_reference_modifier,
    STATE(2079), 1,
      sym_variable_name,
  [62238] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3670), 1,
      anon_sym_PIPE,
    STATE(1733), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3193), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62257] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1530), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3673), 1,
      sym_name,
    ACTIONS(3675), 1,
      anon_sym_LBRACE,
    STATE(1734), 1,
      sym_text_interpolation,
    STATE(812), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62280] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_AMP,
    STATE(1735), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3158), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62299] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_PIPE,
    STATE(1736), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3189), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62318] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1094), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1737), 1,
      sym_text_interpolation,
    ACTIONS(1092), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3683), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62339] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(997), 1,
      aux_sym_while_statement_token1,
    ACTIONS(999), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3685), 1,
      aux_sym_else_if_clause_token1,
    STATE(2147), 1,
      sym_else_if_clause,
    STATE(1738), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [62362] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3629), 1,
      anon_sym_LBRACE,
    ACTIONS(3631), 1,
      anon_sym_DOLLAR,
    ACTIONS(3688), 1,
      sym_name,
    STATE(1739), 1,
      sym_text_interpolation,
    STATE(1486), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62385] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(3690), 1,
      anon_sym_AMP,
    ACTIONS(3692), 1,
      anon_sym_RPAREN,
    STATE(1740), 1,
      sym_text_interpolation,
    STATE(2232), 2,
      sym_variable_name,
      sym_variable_reference,
  [62408] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    STATE(1697), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1741), 1,
      sym_text_interpolation,
    ACTIONS(3321), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62429] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_PIPE,
    STATE(1728), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1742), 1,
      sym_text_interpolation,
    ACTIONS(3341), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62450] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3696), 1,
      sym_php_tag,
    ACTIONS(3701), 1,
      sym__eof,
    ACTIONS(3698), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
    STATE(1743), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [62471] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(995), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1744), 1,
      sym_text_interpolation,
    ACTIONS(993), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [62490] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3705), 1,
      anon_sym_COLON,
    STATE(1745), 1,
      sym_text_interpolation,
    STATE(2141), 1,
      sym__return_type,
    ACTIONS(3703), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62511] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_BSLASH,
    STATE(1701), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1746), 1,
      sym_text_interpolation,
    ACTIONS(3707), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [62532] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1747), 1,
      sym_text_interpolation,
    ACTIONS(3088), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [62549] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3696), 1,
      sym_php_tag,
    ACTIONS(3701), 1,
      ts_builtin_sym_end,
    ACTIONS(3709), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
    STATE(1748), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [62570] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1749), 1,
      sym_text_interpolation,
    ACTIONS(3134), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [62587] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_EQ,
    STATE(1750), 1,
      sym_text_interpolation,
    STATE(2199), 1,
      sym_property_initializer,
    ACTIONS(3712), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [62608] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(3690), 1,
      anon_sym_AMP,
    ACTIONS(3716), 1,
      anon_sym_RPAREN,
    STATE(1751), 1,
      sym_text_interpolation,
    STATE(2232), 2,
      sym_variable_name,
      sym_variable_reference,
  [62631] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3718), 1,
      anon_sym_LBRACE,
    ACTIONS(3720), 1,
      anon_sym_DASH_GT,
    ACTIONS(3722), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3724), 1,
      anon_sym_LBRACK,
    STATE(1752), 1,
      sym_text_interpolation,
  [62656] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3726), 1,
      sym_name,
    STATE(1753), 1,
      sym_text_interpolation,
    STATE(2330), 1,
      sym__reserved_identifier,
    ACTIONS(2359), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [62677] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1030), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1754), 1,
      sym_text_interpolation,
    ACTIONS(1028), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3728), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62698] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1082), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1755), 1,
      sym_text_interpolation,
    ACTIONS(1080), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3730), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62719] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3531), 1,
      anon_sym_LBRACE,
    ACTIONS(3533), 1,
      anon_sym_DOLLAR,
    ACTIONS(3732), 1,
      sym_name,
    STATE(1756), 1,
      sym_text_interpolation,
    STATE(1638), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62742] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1116), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1757), 1,
      sym_text_interpolation,
    ACTIONS(1114), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3734), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62763] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1106), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1758), 1,
      sym_text_interpolation,
    ACTIONS(1104), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3736), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62784] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_PIPE,
    STATE(1724), 1,
      aux_sym_union_type_repeat1,
    STATE(1759), 1,
      sym_text_interpolation,
    ACTIONS(3375), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62805] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_PIPE,
    STATE(1728), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1760), 1,
      sym_text_interpolation,
    ACTIONS(3367), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [62826] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_BSLASH,
    STATE(1761), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3740), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62845] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1762), 1,
      sym_text_interpolation,
    ACTIONS(1564), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62862] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    ACTIONS(3499), 1,
      anon_sym_COMMA,
    ACTIONS(3745), 1,
      anon_sym_LBRACE,
    STATE(1763), 1,
      sym_text_interpolation,
    STATE(2084), 1,
      aux_sym_base_clause_repeat1,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
  [62887] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(214), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3664), 1,
      sym_name,
    ACTIONS(3666), 1,
      anon_sym_BSLASH,
    STATE(534), 1,
      sym_compound_statement,
    STATE(1764), 1,
      sym_text_interpolation,
    STATE(1794), 1,
      sym_namespace_name,
  [62912] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3747), 1,
      anon_sym_LBRACE,
    ACTIONS(3749), 1,
      anon_sym_DASH_GT,
    ACTIONS(3751), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3753), 1,
      anon_sym_LBRACK,
    STATE(1765), 1,
      sym_text_interpolation,
  [62937] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1122), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1766), 1,
      sym_text_interpolation,
    ACTIONS(1120), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3755), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62958] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1100), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1767), 1,
      sym_text_interpolation,
    ACTIONS(1098), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3757), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62979] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_COMMA,
    STATE(1768), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(3477), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [62998] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3549), 1,
      anon_sym_LBRACE,
    ACTIONS(3762), 1,
      anon_sym_COLON,
    STATE(1769), 1,
      sym_text_interpolation,
    STATE(2143), 1,
      sym_enum_declaration_list,
    STATE(2482), 1,
      sym_class_interface_clause,
  [63023] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_PIPE,
    STATE(1742), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1770), 1,
      sym_text_interpolation,
    ACTIONS(3321), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63044] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(985), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1771), 1,
      sym_text_interpolation,
    ACTIONS(983), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [63063] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3541), 1,
      anon_sym_LBRACE,
    ACTIONS(3543), 1,
      anon_sym_DOLLAR,
    ACTIONS(3764), 1,
      sym_name,
    STATE(1772), 1,
      sym_text_interpolation,
    STATE(1580), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63086] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1024), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1773), 1,
      sym_text_interpolation,
    ACTIONS(1022), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3766), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63107] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3535), 1,
      anon_sym_PIPE,
    STATE(1733), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1774), 1,
      sym_text_interpolation,
    ACTIONS(3367), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63128] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3768), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3770), 1,
      aux_sym_finally_clause_token1,
    STATE(423), 1,
      aux_sym_try_statement_repeat1,
    STATE(1775), 1,
      sym_text_interpolation,
    STATE(436), 2,
      sym_catch_clause,
      sym_finally_clause,
  [63151] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3772), 1,
      anon_sym_PIPE,
    STATE(1736), 1,
      aux_sym_union_type_repeat1,
    STATE(1776), 1,
      sym_text_interpolation,
    ACTIONS(3375), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63172] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1777), 1,
      sym_text_interpolation,
    ACTIONS(3124), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [63189] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    STATE(1778), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3477), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [63210] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3705), 1,
      anon_sym_COLON,
    STATE(1779), 1,
      sym_text_interpolation,
    STATE(2161), 1,
      sym__return_type,
    ACTIONS(3774), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63231] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_DOLLAR,
    ACTIONS(3776), 1,
      sym_name,
    ACTIONS(3778), 1,
      anon_sym_LBRACE,
    STATE(1780), 1,
      sym_text_interpolation,
    STATE(903), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63254] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1006), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1781), 1,
      sym_text_interpolation,
    ACTIONS(1004), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [63273] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3581), 1,
      anon_sym_LBRACE,
    ACTIONS(3587), 1,
      anon_sym_LBRACK,
    ACTIONS(3780), 1,
      anon_sym_DASH_GT,
    ACTIONS(3782), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1782), 1,
      sym_text_interpolation,
  [63298] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1052), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1783), 1,
      sym_text_interpolation,
    ACTIONS(1050), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3784), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63319] = 8,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3553), 1,
      anon_sym_LBRACE,
    ACTIONS(3786), 1,
      anon_sym_COLON,
    STATE(499), 1,
      sym_enum_declaration_list,
    STATE(1784), 1,
      sym_text_interpolation,
    STATE(2374), 1,
      sym_class_interface_clause,
  [63344] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1058), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1785), 1,
      sym_text_interpolation,
    ACTIONS(1056), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3788), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63365] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1070), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1786), 1,
      sym_text_interpolation,
    ACTIONS(1068), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3790), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63386] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3623), 1,
      sym_php_tag,
    ACTIONS(3625), 1,
      ts_builtin_sym_end,
    STATE(1748), 1,
      aux_sym_text_repeat1,
    STATE(1787), 1,
      sym_text_interpolation,
    ACTIONS(11), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [63409] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1018), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1788), 1,
      sym_text_interpolation,
    ACTIONS(1016), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3792), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63430] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_BSLASH,
    STATE(1761), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1789), 1,
      sym_text_interpolation,
    ACTIONS(3545), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63451] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_BSLASH,
    STATE(1790), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3740), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [63470] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1524), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3800), 1,
      sym_name,
    ACTIONS(3802), 1,
      anon_sym_LBRACE,
    STATE(1791), 1,
      sym_text_interpolation,
    STATE(679), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63493] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3417), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1792), 1,
      sym_text_interpolation,
    STATE(1984), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3415), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [63514] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1088), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1793), 1,
      sym_text_interpolation,
    ACTIONS(1086), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3804), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63535] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(214), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3577), 1,
      anon_sym_BSLASH,
    STATE(546), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_text_interpolation,
    ACTIONS(3806), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63558] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3808), 1,
      anon_sym_BSLASH,
    STATE(1789), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1795), 1,
      sym_text_interpolation,
    ACTIONS(3707), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63579] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3042), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3811), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3813), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1796), 1,
      sym_text_interpolation,
    STATE(2603), 1,
      sym_static_modifier,
  [63601] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1797), 1,
      sym_text_interpolation,
    ACTIONS(3815), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [63617] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1798), 1,
      sym_text_interpolation,
    ACTIONS(3817), 4,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_match_default_expression_token1,
      aux_sym_switch_block_token1,
  [63633] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3819), 1,
      anon_sym_LBRACE,
    STATE(502), 1,
      sym_declaration_list,
    STATE(1799), 1,
      sym_text_interpolation,
    STATE(2372), 1,
      sym_base_clause,
  [63655] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_declaration_list,
    STATE(1800), 1,
      sym_text_interpolation,
    STATE(2332), 1,
      sym_class_interface_clause,
  [63677] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1801), 1,
      sym_text_interpolation,
    STATE(1917), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3821), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63697] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      sym_text_interpolation,
    STATE(1835), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3501), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [63717] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_AMP,
    STATE(1803), 1,
      sym_text_interpolation,
    STATE(1847), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3176), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63737] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1804), 1,
      sym_text_interpolation,
    STATE(1865), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3828), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63757] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1805), 1,
      sym_text_interpolation,
    STATE(1834), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3830), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63777] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1806), 1,
      sym_text_interpolation,
    STATE(2561), 1,
      sym_declare_directive,
    ACTIONS(3832), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [63795] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1552), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1807), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      sym_arguments,
    ACTIONS(3487), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [63815] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1064), 1,
      sym_compound_statement,
    STATE(1808), 1,
      sym_text_interpolation,
    STATE(2324), 1,
      sym__return_type,
  [63837] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1809), 1,
      sym_text_interpolation,
    STATE(2600), 1,
      sym_declare_directive,
    ACTIONS(3832), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [63855] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_declaration_list,
    STATE(1810), 1,
      sym_text_interpolation,
    STATE(2322), 1,
      sym_class_interface_clause,
  [63877] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1811), 1,
      sym_text_interpolation,
    ACTIONS(3740), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [63893] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1066), 1,
      sym_declaration_list,
    STATE(1812), 1,
      sym_text_interpolation,
    STATE(2360), 1,
      sym_class_interface_clause,
  [63915] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1077), 1,
      sym_compound_statement,
    STATE(1813), 1,
      sym_text_interpolation,
    STATE(2317), 1,
      sym__return_type,
  [63937] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3836), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1814), 1,
      sym_text_interpolation,
    STATE(2315), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3834), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [63957] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1815), 1,
      sym_text_interpolation,
    ACTIONS(3838), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [63973] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_COMMA,
    STATE(1816), 1,
      sym_text_interpolation,
    STATE(1869), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3840), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63993] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1817), 1,
      sym_text_interpolation,
    ACTIONS(3844), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64009] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1691), 1,
      sym_formal_parameters,
    STATE(1818), 1,
      sym_text_interpolation,
    STATE(2381), 1,
      sym_reference_modifier,
  [64031] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1065), 1,
      sym_declaration_list,
    STATE(1819), 1,
      sym_text_interpolation,
    STATE(2356), 1,
      sym_class_interface_clause,
  [64053] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3553), 1,
      anon_sym_LBRACE,
    STATE(533), 1,
      sym_enum_declaration_list,
    STATE(1820), 1,
      sym_text_interpolation,
    STATE(2390), 1,
      sym_class_interface_clause,
  [64075] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3848), 1,
      anon_sym_COMMA,
    STATE(1821), 1,
      sym_text_interpolation,
    STATE(1859), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3846), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64095] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3852), 1,
      anon_sym_EQ,
    STATE(1822), 1,
      sym_text_interpolation,
    ACTIONS(3850), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [64113] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_COMMA,
    STATE(1823), 1,
      sym_text_interpolation,
    STATE(1858), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3854), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64133] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1677), 1,
      sym_formal_parameters,
    STATE(1824), 1,
      sym_text_interpolation,
    STATE(2335), 1,
      sym_reference_modifier,
  [64155] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1825), 1,
      sym_text_interpolation,
    STATE(1834), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3858), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64175] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3860), 1,
      anon_sym_SQUOTE,
    STATE(1826), 1,
      sym_text_interpolation,
    STATE(1828), 1,
      aux_sym_string_repeat1,
    ACTIONS(3862), 2,
      aux_sym_string_token2,
      sym_string_value,
  [64195] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3032), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3042), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3864), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1827), 1,
      sym_text_interpolation,
    STATE(2603), 1,
      sym_static_modifier,
  [64217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3866), 1,
      anon_sym_SQUOTE,
    ACTIONS(3868), 2,
      aux_sym_string_token2,
      sym_string_value,
    STATE(1828), 2,
      sym_text_interpolation,
      aux_sym_string_repeat1,
  [64235] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    STATE(1829), 1,
      sym_text_interpolation,
    STATE(1942), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3871), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64255] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3875), 1,
      anon_sym_SEMI,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    ACTIONS(3879), 1,
      sym__automatic_semicolon,
    STATE(1387), 1,
      sym_compound_statement,
    STATE(1830), 1,
      sym_text_interpolation,
  [64277] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1831), 1,
      sym_text_interpolation,
    STATE(2511), 1,
      sym_declare_directive,
    ACTIONS(3832), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [64295] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3883), 1,
      sym_nowdoc_string,
    ACTIONS(3881), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1832), 2,
      sym_text_interpolation,
      aux_sym_nowdoc_body_repeat1,
  [64313] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    ACTIONS(3886), 1,
      anon_sym_SEMI,
    ACTIONS(3888), 1,
      sym__automatic_semicolon,
    STATE(1404), 1,
      sym_compound_statement,
    STATE(1833), 1,
      sym_text_interpolation,
  [64335] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3892), 1,
      anon_sym_COMMA,
    ACTIONS(3890), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1834), 2,
      sym_text_interpolation,
      aux_sym__const_declaration_repeat1,
  [64353] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_COMMA,
    STATE(1835), 1,
      sym_text_interpolation,
    STATE(1947), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3895), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [64373] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1836), 1,
      sym_text_interpolation,
    ACTIONS(3897), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64393] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1837), 1,
      sym_text_interpolation,
    ACTIONS(3899), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64413] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1838), 1,
      sym_text_interpolation,
    ACTIONS(3901), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [64429] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1825), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1839), 1,
      sym_text_interpolation,
    ACTIONS(3903), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64449] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(3690), 1,
      anon_sym_AMP,
    STATE(1840), 1,
      sym_text_interpolation,
    STATE(2080), 2,
      sym_variable_name,
      sym_variable_reference,
  [64469] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3907), 1,
      anon_sym_PIPE,
    STATE(1841), 1,
      sym_text_interpolation,
    STATE(1956), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3905), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [64489] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1118), 1,
      sym_compound_statement,
    STATE(1842), 1,
      sym_text_interpolation,
    STATE(2399), 1,
      sym__return_type,
  [64511] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1843), 1,
      sym_text_interpolation,
    ACTIONS(3158), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [64527] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1844), 1,
      sym_text_interpolation,
    ACTIONS(3151), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [64543] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1845), 1,
      sym_text_interpolation,
    STATE(2007), 1,
      sym_formal_parameters,
    STATE(2227), 1,
      sym_reference_modifier,
  [64565] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1846), 1,
      sym_text_interpolation,
    ACTIONS(3909), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64585] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3911), 1,
      anon_sym_AMP,
    ACTIONS(3158), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    STATE(1847), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
  [64603] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1837), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1848), 1,
      sym_text_interpolation,
    ACTIONS(3914), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64623] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1849), 1,
      sym_text_interpolation,
    ACTIONS(3901), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64639] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1850), 1,
      sym_text_interpolation,
    STATE(2008), 1,
      sym_formal_parameters,
    STATE(2443), 1,
      sym_reference_modifier,
  [64661] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1676), 1,
      sym_formal_parameters,
    STATE(1851), 1,
      sym_text_interpolation,
    STATE(2376), 1,
      sym_reference_modifier,
  [64683] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3918), 1,
      anon_sym_COMMA,
    ACTIONS(3916), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1852), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [64701] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1056), 1,
      sym_declaration_list,
    STATE(1853), 1,
      sym_text_interpolation,
    STATE(2267), 1,
      sym_class_interface_clause,
  [64723] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    ACTIONS(3921), 1,
      anon_sym_SEMI,
    ACTIONS(3923), 1,
      sym__automatic_semicolon,
    STATE(1395), 1,
      sym_compound_statement,
    STATE(1854), 1,
      sym_text_interpolation,
  [64745] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3925), 1,
      anon_sym_SQUOTE,
    STATE(1855), 1,
      sym_text_interpolation,
    STATE(1908), 1,
      aux_sym_string_repeat1,
    ACTIONS(3862), 2,
      aux_sym_string_token2,
      sym_string_value,
  [64765] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1856), 1,
      sym_text_interpolation,
    ACTIONS(3927), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64785] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3931), 1,
      sym__eof,
    STATE(1857), 1,
      sym_text_interpolation,
    ACTIONS(3929), 3,
      sym_php_tag,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [64803] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_COMMA,
    STATE(1858), 1,
      sym_text_interpolation,
    STATE(1877), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3933), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64823] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3848), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      sym_text_interpolation,
    STATE(1868), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3935), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64843] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3937), 1,
      anon_sym_SQUOTE,
    STATE(1826), 1,
      aux_sym_string_repeat1,
    STATE(1860), 1,
      sym_text_interpolation,
    ACTIONS(3862), 2,
      aux_sym_string_token2,
      sym_string_value,
  [64863] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_COMMA,
    STATE(1856), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1861), 1,
      sym_text_interpolation,
    ACTIONS(3939), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64883] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1690), 1,
      sym_formal_parameters,
    STATE(1862), 1,
      sym_text_interpolation,
    STATE(2366), 1,
      sym_reference_modifier,
  [64905] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1863), 1,
      sym_text_interpolation,
    ACTIONS(3941), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64925] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_declaration_list,
    STATE(1864), 1,
      sym_text_interpolation,
    STATE(2251), 1,
      sym_class_interface_clause,
  [64947] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1865), 1,
      sym_text_interpolation,
    ACTIONS(3943), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64967] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1866), 1,
      sym_text_interpolation,
    STATE(1916), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3945), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64987] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1867), 1,
      sym_text_interpolation,
    ACTIONS(3914), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65007] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3949), 1,
      anon_sym_COMMA,
    ACTIONS(3947), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1868), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [65025] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1869), 1,
      sym_text_interpolation,
    ACTIONS(3939), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65045] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1788), 1,
      sym_declaration_list,
    STATE(1870), 1,
      sym_text_interpolation,
    STATE(2447), 1,
      sym_class_interface_clause,
  [65067] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_COMMA,
    STATE(1871), 1,
      sym_text_interpolation,
    STATE(1921), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3952), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65087] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3848), 1,
      anon_sym_COMMA,
    STATE(1872), 1,
      sym_text_interpolation,
    STATE(1922), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3954), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65107] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1873), 1,
      sym_text_interpolation,
    ACTIONS(3838), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [65123] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_COMMA,
    STATE(1874), 1,
      sym_text_interpolation,
    STATE(1925), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3956), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65143] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    STATE(1875), 1,
      sym_text_interpolation,
    STATE(1910), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3958), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65163] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1100), 1,
      sym_compound_statement,
    STATE(1876), 1,
      sym_text_interpolation,
    STATE(2249), 1,
      sym__return_type,
  [65185] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3962), 1,
      anon_sym_COMMA,
    ACTIONS(3960), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1877), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [65203] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1878), 1,
      sym_text_interpolation,
    STATE(1934), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3965), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65223] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1121), 1,
      sym_compound_statement,
    STATE(1879), 1,
      sym_text_interpolation,
    STATE(2424), 1,
      sym__return_type,
  [65245] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(3690), 1,
      anon_sym_AMP,
    STATE(1880), 1,
      sym_text_interpolation,
    STATE(2232), 2,
      sym_variable_name,
      sym_variable_reference,
  [65265] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      aux_sym_base_clause_token1,
    STATE(1881), 1,
      sym_text_interpolation,
    STATE(2175), 1,
      sym_declaration_list,
    STATE(2312), 1,
      sym_base_clause,
  [65287] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1882), 1,
      sym_text_interpolation,
    STATE(2064), 1,
      sym_formal_parameters,
    STATE(2427), 1,
      sym_reference_modifier,
  [65309] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1883), 1,
      sym_text_interpolation,
    ACTIONS(1676), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [65325] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1629), 1,
      sym_formal_parameters,
    STATE(1884), 1,
      sym_text_interpolation,
    STATE(2301), 1,
      sym_reference_modifier,
  [65347] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1138), 1,
      sym_compound_statement,
    STATE(1885), 1,
      sym_text_interpolation,
    STATE(2494), 1,
      sym__return_type,
  [65369] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1103), 1,
      sym_compound_statement,
    STATE(1886), 1,
      sym_text_interpolation,
    STATE(2247), 1,
      sym__return_type,
  [65391] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3553), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_enum_declaration_list,
    STATE(1887), 1,
      sym_text_interpolation,
    STATE(2246), 1,
      sym_class_interface_clause,
  [65413] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1888), 1,
      sym_text_interpolation,
    STATE(2635), 1,
      sym_declare_directive,
    ACTIONS(3832), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [65431] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1633), 1,
      sym_formal_parameters,
    STATE(1889), 1,
      sym_text_interpolation,
    STATE(2435), 1,
      sym_reference_modifier,
  [65453] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1890), 1,
      sym_text_interpolation,
    ACTIONS(3967), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65473] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    STATE(962), 1,
      sym_declaration_list,
    STATE(1891), 1,
      sym_text_interpolation,
    STATE(2452), 1,
      sym_class_interface_clause,
  [65495] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_declaration_list,
    STATE(1892), 1,
      sym_text_interpolation,
    STATE(2245), 1,
      sym_class_interface_clause,
  [65517] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1893), 1,
      sym_text_interpolation,
    ACTIONS(3844), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [65533] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1894), 1,
      sym_text_interpolation,
    ACTIONS(3189), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [65549] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1895), 1,
      sym_text_interpolation,
    ACTIONS(3193), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [65565] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1836), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1896), 1,
      sym_text_interpolation,
    ACTIONS(3969), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65585] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    STATE(963), 1,
      sym_declaration_list,
    STATE(1897), 1,
      sym_text_interpolation,
    STATE(2453), 1,
      sym_class_interface_clause,
  [65607] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_text_interpolation,
    STATE(1966), 1,
      sym_formal_parameters,
    STATE(2278), 1,
      sym_reference_modifier,
  [65629] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1658), 1,
      sym_formal_parameters,
    STATE(1899), 1,
      sym_text_interpolation,
    STATE(2333), 1,
      sym_reference_modifier,
  [65651] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3836), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1900), 1,
      sym_text_interpolation,
    STATE(2240), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [65671] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1901), 1,
      sym_text_interpolation,
    ACTIONS(3973), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65691] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(958), 1,
      sym_compound_statement,
    STATE(1902), 1,
      sym_text_interpolation,
    STATE(2437), 1,
      sym__return_type,
  [65713] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1903), 1,
      sym_text_interpolation,
    ACTIONS(3975), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [65729] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1757), 1,
      sym_declaration_list,
    STATE(1904), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      sym_class_interface_clause,
  [65751] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(917), 1,
      sym_compound_statement,
    STATE(1905), 1,
      sym_text_interpolation,
    STATE(2423), 1,
      sym__return_type,
  [65773] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1805), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1906), 1,
      sym_text_interpolation,
    ACTIONS(3977), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65793] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3981), 1,
      anon_sym_PIPE,
    ACTIONS(3979), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
    STATE(1907), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [65811] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_SQUOTE,
    STATE(1828), 1,
      aux_sym_string_repeat1,
    STATE(1908), 1,
      sym_text_interpolation,
    ACTIONS(3862), 2,
      aux_sym_string_token2,
      sym_string_value,
  [65831] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    STATE(1909), 1,
      sym_text_interpolation,
    STATE(1910), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3986), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65851] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3990), 1,
      anon_sym_COMMA,
    ACTIONS(3988), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1910), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat2,
  [65869] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    STATE(1875), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1911), 1,
      sym_text_interpolation,
    ACTIONS(3993), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65889] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3549), 1,
      anon_sym_LBRACE,
    STATE(1912), 1,
      sym_text_interpolation,
    STATE(2138), 1,
      sym_enum_declaration_list,
    STATE(2383), 1,
      sym_class_interface_clause,
  [65911] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    STATE(1910), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1913), 1,
      sym_text_interpolation,
    ACTIONS(3995), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65931] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    STATE(918), 1,
      sym_declaration_list,
    STATE(1914), 1,
      sym_text_interpolation,
    STATE(2411), 1,
      sym_class_interface_clause,
  [65953] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1766), 1,
      sym_declaration_list,
    STATE(1915), 1,
      sym_text_interpolation,
    STATE(2404), 1,
      sym_class_interface_clause,
  [65975] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1916), 1,
      sym_text_interpolation,
    ACTIONS(3997), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65995] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1917), 1,
      sym_text_interpolation,
    ACTIONS(3977), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66015] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(946), 1,
      sym_compound_statement,
    STATE(1918), 1,
      sym_text_interpolation,
    STATE(2397), 1,
      sym__return_type,
  [66037] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_declaration_list,
    STATE(1919), 1,
      sym_text_interpolation,
    STATE(2286), 1,
      sym_class_interface_clause,
  [66059] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(943), 1,
      sym_compound_statement,
    STATE(1920), 1,
      sym_text_interpolation,
    STATE(2394), 1,
      sym__return_type,
  [66081] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_COMMA,
    STATE(1877), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1921), 1,
      sym_text_interpolation,
    ACTIONS(3999), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66101] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3848), 1,
      anon_sym_COMMA,
    STATE(1868), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1922), 1,
      sym_text_interpolation,
    ACTIONS(4001), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66121] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_COMMA,
    STATE(1923), 1,
      sym_text_interpolation,
    STATE(1930), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4003), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66141] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    STATE(1913), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1924), 1,
      sym_text_interpolation,
    ACTIONS(4005), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66161] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1925), 1,
      sym_text_interpolation,
    ACTIONS(4003), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66181] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1926), 1,
      sym_text_interpolation,
    ACTIONS(4007), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66201] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(967), 1,
      sym_compound_statement,
    STATE(1927), 1,
      sym_text_interpolation,
    STATE(2486), 1,
      sym__return_type,
  [66223] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1928), 1,
      sym_text_interpolation,
    ACTIONS(4009), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [66239] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3549), 1,
      anon_sym_LBRACE,
    STATE(1929), 1,
      sym_text_interpolation,
    STATE(2104), 1,
      sym_enum_declaration_list,
    STATE(2393), 1,
      sym_class_interface_clause,
  [66261] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1930), 1,
      sym_text_interpolation,
    ACTIONS(4011), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66281] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(980), 1,
      sym_compound_statement,
    STATE(1931), 1,
      sym_text_interpolation,
    STATE(2228), 1,
      sym__return_type,
  [66303] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(969), 1,
      sym_compound_statement,
    STATE(1932), 1,
      sym_text_interpolation,
    STATE(2493), 1,
      sym__return_type,
  [66325] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1926), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1933), 1,
      sym_text_interpolation,
    ACTIONS(4013), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66345] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1834), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1934), 1,
      sym_text_interpolation,
    ACTIONS(4015), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66365] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3877), 1,
      anon_sym_LBRACE,
    ACTIONS(4017), 1,
      anon_sym_SEMI,
    ACTIONS(4019), 1,
      sym__automatic_semicolon,
    STATE(1396), 1,
      sym_compound_statement,
    STATE(1935), 1,
      sym_text_interpolation,
  [66387] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1785), 1,
      sym_declaration_list,
    STATE(1936), 1,
      sym_text_interpolation,
    STATE(2387), 1,
      sym_class_interface_clause,
  [66409] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(1069), 1,
      sym_compound_statement,
    STATE(1937), 1,
      sym_text_interpolation,
    STATE(2261), 1,
      sym__return_type,
  [66431] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_declaration_list,
    STATE(1938), 1,
      sym_text_interpolation,
    STATE(2490), 1,
      sym_class_interface_clause,
  [66453] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1730), 1,
      sym_declaration_list,
    STATE(1939), 1,
      sym_text_interpolation,
    STATE(2350), 1,
      sym_class_interface_clause,
  [66475] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1940), 1,
      sym_text_interpolation,
    ACTIONS(3477), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [66491] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_AMP,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1646), 1,
      sym_formal_parameters,
    STATE(1941), 1,
      sym_text_interpolation,
    STATE(2487), 1,
      sym_reference_modifier,
  [66513] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    STATE(1910), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1942), 1,
      sym_text_interpolation,
    ACTIONS(4021), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66533] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    STATE(1909), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1943), 1,
      sym_text_interpolation,
    ACTIONS(4023), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66553] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1154), 1,
      sym_declaration_list,
    STATE(1944), 1,
      sym_text_interpolation,
    STATE(2460), 1,
      sym_class_interface_clause,
  [66575] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    STATE(930), 1,
      sym_compound_statement,
    STATE(1945), 1,
      sym_text_interpolation,
    STATE(2367), 1,
      sym__return_type,
  [66597] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1754), 1,
      sym_declaration_list,
    STATE(1946), 1,
      sym_text_interpolation,
    STATE(2363), 1,
      sym_class_interface_clause,
  [66619] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4025), 1,
      anon_sym_COMMA,
    ACTIONS(3477), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1947), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [66637] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3387), 1,
      aux_sym_class_interface_clause_token1,
    STATE(976), 1,
      sym_declaration_list,
    STATE(1948), 1,
      sym_text_interpolation,
    STATE(2395), 1,
      sym_class_interface_clause,
  [66659] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3823), 1,
      anon_sym_COMMA,
    STATE(1863), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1949), 1,
      sym_text_interpolation,
    ACTIONS(4015), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66679] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1950), 1,
      sym_text_interpolation,
    ACTIONS(3203), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66695] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4030), 1,
      sym_nowdoc_string,
    STATE(1832), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(1951), 1,
      sym_text_interpolation,
    ACTIONS(4028), 2,
      sym_heredoc_end,
      sym__new_line,
  [66715] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1952), 1,
      sym_text_interpolation,
    ACTIONS(3975), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [66731] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3931), 1,
      ts_builtin_sym_end,
    STATE(1953), 1,
      sym_text_interpolation,
    ACTIONS(3929), 3,
      sym_php_tag,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [66749] = 7,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_EQ,
    ACTIONS(4034), 1,
      anon_sym_RPAREN,
    STATE(1954), 1,
      sym_text_interpolation,
    STATE(2042), 1,
      aux_sym__list_destructing_repeat1,
  [66771] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1955), 1,
      sym_text_interpolation,
    ACTIONS(3740), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [66787] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3907), 1,
      anon_sym_PIPE,
    STATE(1907), 1,
      aux_sym_type_list_repeat1,
    STATE(1956), 1,
      sym_text_interpolation,
    ACTIONS(4036), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [66807] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1957), 1,
      sym_text_interpolation,
    ACTIONS(4038), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [66822] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4040), 1,
      anon_sym_RPAREN,
    STATE(1958), 1,
      sym_text_interpolation,
    STATE(2045), 1,
      aux_sym__list_destructing_repeat1,
  [66841] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1959), 1,
      sym_text_interpolation,
    STATE(1821), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [66858] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_SQUOTE,
    ACTIONS(4044), 1,
      anon_sym_DQUOTE,
    ACTIONS(4046), 1,
      sym_heredoc_start,
    STATE(1960), 1,
      sym_text_interpolation,
  [66877] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3040), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(4048), 1,
      aux_sym_class_declaration_token1,
    STATE(1961), 1,
      sym_text_interpolation,
    STATE(2534), 1,
      sym_readonly_modifier,
  [66896] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_COMMA,
    ACTIONS(4052), 1,
      anon_sym_RPAREN,
    STATE(1962), 1,
      sym_text_interpolation,
    STATE(2013), 1,
      aux_sym_arguments_repeat1,
  [66915] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3092), 1,
      anon_sym_RBRACK,
    ACTIONS(4054), 1,
      anon_sym_COMMA,
    STATE(1963), 1,
      sym_text_interpolation,
    STATE(2050), 1,
      aux_sym_attribute_group_repeat1,
  [66934] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(763), 1,
      anon_sym_RBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4056), 1,
      anon_sym_COMMA,
    STATE(1964), 1,
      sym_text_interpolation,
    STATE(2049), 1,
      aux_sym_array_creation_expression_repeat1,
  [66953] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3666), 1,
      anon_sym_BSLASH,
    ACTIONS(4058), 1,
      sym_name,
    STATE(1965), 1,
      sym_text_interpolation,
    STATE(2662), 1,
      sym_namespace_name,
  [66972] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    ACTIONS(4060), 1,
      anon_sym_EQ_GT,
    STATE(1966), 1,
      sym_text_interpolation,
    STATE(2566), 1,
      sym__return_type,
  [66991] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4062), 1,
      anon_sym_COMMA,
    ACTIONS(4065), 1,
      anon_sym_RPAREN,
    STATE(1967), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [67008] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4067), 1,
      anon_sym_LBRACE,
    ACTIONS(4069), 1,
      anon_sym_COLON,
    STATE(471), 1,
      sym_switch_block,
    STATE(1968), 1,
      sym_text_interpolation,
  [67027] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4071), 1,
      anon_sym_COMMA,
    ACTIONS(4073), 1,
      anon_sym_RPAREN,
    STATE(1969), 1,
      sym_text_interpolation,
    STATE(1989), 1,
      aux_sym_array_creation_expression_repeat1,
  [67046] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_EQ,
    STATE(1970), 1,
      sym_text_interpolation,
    ACTIONS(4075), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [67063] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    ACTIONS(4079), 1,
      anon_sym_RBRACK,
    STATE(1971), 1,
      sym_text_interpolation,
    STATE(2001), 1,
      aux_sym__array_destructing_repeat1,
  [67082] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4081), 1,
      anon_sym_COMMA,
    ACTIONS(4083), 1,
      anon_sym_RBRACK,
    STATE(1972), 1,
      sym_text_interpolation,
    STATE(2003), 1,
      aux_sym_array_creation_expression_repeat1,
  [67101] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    ACTIONS(4079), 1,
      anon_sym_RBRACK,
    STATE(1973), 1,
      sym_text_interpolation,
    STATE(2004), 1,
      aux_sym__array_destructing_repeat1,
  [67120] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3040), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(4085), 1,
      aux_sym_class_declaration_token1,
    STATE(1974), 1,
      sym_text_interpolation,
    STATE(2639), 1,
      sym_readonly_modifier,
  [67139] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4087), 1,
      anon_sym_COMMA,
    ACTIONS(4089), 1,
      anon_sym_RBRACK,
    STATE(1975), 1,
      sym_text_interpolation,
    STATE(2005), 1,
      aux_sym_attribute_group_repeat1,
  [67158] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1976), 1,
      sym_text_interpolation,
    ACTIONS(4091), 3,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
      sym_string_value,
  [67173] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4093), 1,
      sym__new_line,
    ACTIONS(4095), 1,
      sym_heredoc_end,
    STATE(1977), 1,
      sym_text_interpolation,
    STATE(2429), 1,
      sym_heredoc_body,
  [67192] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3040), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(4097), 1,
      aux_sym_class_declaration_token1,
    STATE(1978), 1,
      sym_text_interpolation,
    STATE(2627), 1,
      sym_readonly_modifier,
  [67211] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_RPAREN,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    STATE(1979), 1,
      sym_text_interpolation,
    STATE(2071), 1,
      aux_sym_formal_parameters_repeat1,
  [67230] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3040), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(4101), 1,
      aux_sym_class_declaration_token1,
    STATE(1980), 1,
      sym_text_interpolation,
    STATE(2528), 1,
      sym_readonly_modifier,
  [67249] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1696), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1822), 1,
      sym_variable_name,
    STATE(1981), 1,
      sym_text_interpolation,
    STATE(2009), 1,
      sym_static_variable_declaration,
  [67268] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1982), 1,
      sym_text_interpolation,
    STATE(2012), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67285] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4103), 1,
      anon_sym_COMMA,
    ACTIONS(4105), 1,
      anon_sym_RPAREN,
    STATE(1979), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(1983), 1,
      sym_text_interpolation,
  [67304] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1984), 1,
      sym_text_interpolation,
    ACTIONS(4107), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [67319] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4109), 1,
      sym_name,
    ACTIONS(4111), 1,
      anon_sym_LBRACE,
    STATE(1985), 1,
      sym_text_interpolation,
    STATE(2464), 1,
      sym_namespace_use_group,
  [67338] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(4113), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1986), 1,
      sym_text_interpolation,
    STATE(2018), 1,
      sym_variable_name,
  [67357] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4115), 1,
      anon_sym_COMMA,
    ACTIONS(4117), 1,
      anon_sym_RPAREN,
    STATE(1987), 1,
      sym_text_interpolation,
    STATE(2020), 1,
      aux_sym_formal_parameters_repeat1,
  [67376] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4121), 1,
      anon_sym_EQ,
    STATE(1988), 1,
      sym_text_interpolation,
    ACTIONS(4119), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67393] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(803), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4123), 1,
      anon_sym_COMMA,
    STATE(1967), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1989), 1,
      sym_text_interpolation,
  [67412] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    ACTIONS(3774), 1,
      anon_sym_LBRACE,
    STATE(1990), 1,
      sym_text_interpolation,
    STATE(2500), 1,
      sym__return_type,
  [67431] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4093), 1,
      sym__new_line,
    ACTIONS(4125), 1,
      sym_heredoc_end,
    STATE(1991), 1,
      sym_text_interpolation,
    STATE(2348), 1,
      sym_heredoc_body,
  [67450] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3103), 1,
      anon_sym_AMP,
    ACTIONS(4127), 1,
      anon_sym_RPAREN,
    STATE(1481), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1992), 1,
      sym_text_interpolation,
  [67469] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    ACTIONS(4129), 1,
      anon_sym_EQ_GT,
    STATE(1993), 1,
      sym_text_interpolation,
    STATE(2498), 1,
      sym__return_type,
  [67488] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4131), 1,
      anon_sym_COMMA,
    ACTIONS(4133), 1,
      anon_sym_RPAREN,
    STATE(1994), 1,
      sym_text_interpolation,
    STATE(2033), 1,
      aux_sym_array_creation_expression_repeat1,
  [67507] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1995), 1,
      sym_text_interpolation,
    ACTIONS(4135), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [67522] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1996), 1,
      sym_text_interpolation,
    STATE(2039), 1,
      aux_sym__list_destructing_repeat1,
  [67541] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4137), 1,
      anon_sym_COMMA,
    ACTIONS(4139), 1,
      anon_sym_RBRACE,
    STATE(1997), 1,
      sym_text_interpolation,
    STATE(2044), 1,
      aux_sym_match_block_repeat1,
  [67560] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4141), 1,
      anon_sym_COMMA,
    ACTIONS(4143), 1,
      anon_sym_RBRACK,
    STATE(1963), 1,
      aux_sym_attribute_group_repeat1,
    STATE(1998), 1,
      sym_text_interpolation,
  [67579] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1999), 1,
      sym_text_interpolation,
    STATE(2045), 1,
      aux_sym__list_destructing_repeat1,
  [67598] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4145), 1,
      anon_sym_COMMA,
    ACTIONS(4147), 1,
      anon_sym_RBRACK,
    STATE(1964), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2000), 1,
      sym_text_interpolation,
  [67617] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    ACTIONS(4149), 1,
      anon_sym_RBRACK,
    STATE(2001), 1,
      sym_text_interpolation,
    STATE(2004), 1,
      aux_sym__array_destructing_repeat1,
  [67636] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4151), 1,
      anon_sym_LBRACE,
    ACTIONS(4153), 1,
      anon_sym_COLON,
    STATE(2002), 1,
      sym_text_interpolation,
    STATE(2167), 1,
      sym_switch_block,
  [67655] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(777), 1,
      anon_sym_RBRACK,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4155), 1,
      anon_sym_COMMA,
    STATE(2003), 1,
      sym_text_interpolation,
    STATE(2049), 1,
      aux_sym_array_creation_expression_repeat1,
  [67674] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4157), 1,
      anon_sym_COMMA,
    ACTIONS(4160), 1,
      anon_sym_RBRACK,
    STATE(2004), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [67691] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3094), 1,
      anon_sym_RBRACK,
    ACTIONS(4162), 1,
      anon_sym_COMMA,
    STATE(2005), 1,
      sym_text_interpolation,
    STATE(2050), 1,
      aux_sym_attribute_group_repeat1,
  [67710] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4164), 1,
      anon_sym_COMMA,
    ACTIONS(4166), 1,
      anon_sym_RPAREN,
    STATE(2006), 1,
      sym_text_interpolation,
    STATE(2058), 1,
      aux_sym_arguments_repeat1,
  [67729] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    ACTIONS(4168), 1,
      anon_sym_EQ_GT,
    STATE(2007), 1,
      sym_text_interpolation,
    STATE(2536), 1,
      sym__return_type,
  [67748] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    ACTIONS(4170), 1,
      anon_sym_EQ_GT,
    STATE(2008), 1,
      sym_text_interpolation,
    STATE(2541), 1,
      sym__return_type,
  [67767] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2009), 1,
      sym_text_interpolation,
    ACTIONS(3960), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [67782] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4172), 1,
      sym__new_line,
    ACTIONS(4174), 1,
      sym_heredoc_end,
    STATE(2010), 1,
      sym_text_interpolation,
    STATE(2450), 1,
      sym_nowdoc_body,
  [67801] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4093), 1,
      sym__new_line,
    ACTIONS(4176), 1,
      sym_heredoc_end,
    STATE(2011), 1,
      sym_text_interpolation,
    STATE(2449), 1,
      sym_heredoc_body,
  [67820] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2012), 1,
      sym_text_interpolation,
    ACTIONS(3947), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [67835] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(797), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4178), 1,
      anon_sym_COMMA,
    STATE(2013), 1,
      sym_text_interpolation,
    STATE(2128), 1,
      aux_sym_arguments_repeat1,
  [67854] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4109), 1,
      sym_name,
    ACTIONS(4111), 1,
      anon_sym_LBRACE,
    STATE(2014), 1,
      sym_text_interpolation,
    STATE(2422), 1,
      sym_namespace_use_group,
  [67873] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4111), 1,
      anon_sym_LBRACE,
    ACTIONS(4180), 1,
      sym_name,
    STATE(2015), 1,
      sym_text_interpolation,
    STATE(2422), 1,
      sym_namespace_use_group,
  [67892] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2016), 1,
      sym_text_interpolation,
    ACTIONS(4182), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [67907] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2017), 1,
      sym_text_interpolation,
    ACTIONS(3916), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [67922] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4186), 1,
      anon_sym_EQ,
    STATE(2018), 1,
      sym_text_interpolation,
    ACTIONS(4184), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67939] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_EQ,
    STATE(2019), 1,
      sym_text_interpolation,
    ACTIONS(4188), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [67956] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_RPAREN,
    ACTIONS(4192), 1,
      anon_sym_COMMA,
    STATE(2020), 1,
      sym_text_interpolation,
    STATE(2071), 1,
      aux_sym_formal_parameters_repeat1,
  [67975] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(4194), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2021), 1,
      sym_text_interpolation,
    STATE(2074), 1,
      sym_variable_name,
  [67994] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4198), 1,
      anon_sym_EQ,
    STATE(2022), 1,
      sym_text_interpolation,
    ACTIONS(4196), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68011] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2023), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68028] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(4200), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2024), 1,
      sym_text_interpolation,
    STATE(2076), 1,
      sym_variable_name,
  [68047] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1514), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2025), 1,
      sym_text_interpolation,
    ACTIONS(1512), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68064] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4204), 1,
      anon_sym_EQ,
    STATE(2026), 1,
      sym_text_interpolation,
    ACTIONS(4202), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68081] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2027), 1,
      sym_text_interpolation,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68098] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    ACTIONS(3703), 1,
      anon_sym_LBRACE,
    STATE(2028), 1,
      sym_text_interpolation,
    STATE(2548), 1,
      sym__return_type,
  [68117] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1398), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2029), 1,
      sym_text_interpolation,
    ACTIONS(1396), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68134] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2030), 1,
      sym_text_interpolation,
    ACTIONS(3890), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68149] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1358), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2031), 1,
      sym_text_interpolation,
    ACTIONS(1356), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68166] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_COMMA,
    ACTIONS(3745), 1,
      anon_sym_LBRACE,
    STATE(2032), 1,
      sym_text_interpolation,
    STATE(2084), 1,
      aux_sym_base_clause_repeat1,
  [68185] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(775), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_COMMA,
    STATE(1967), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2033), 1,
      sym_text_interpolation,
  [68204] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2034), 1,
      sym_text_interpolation,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68221] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3144), 1,
      anon_sym_COMMA,
    ACTIONS(4208), 1,
      anon_sym_RPAREN,
    STATE(2035), 1,
      sym_text_interpolation,
    STATE(2085), 1,
      aux_sym_unset_statement_repeat1,
  [68240] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4210), 1,
      anon_sym_COMMA,
    ACTIONS(4212), 1,
      anon_sym_RBRACE,
    STATE(2036), 1,
      sym_text_interpolation,
    STATE(2092), 1,
      aux_sym_match_block_repeat1,
  [68259] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_EQ,
    STATE(2037), 1,
      sym_text_interpolation,
    ACTIONS(4214), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68276] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2038), 1,
      sym_text_interpolation,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68293] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4216), 1,
      anon_sym_RPAREN,
    STATE(2039), 1,
      sym_text_interpolation,
    STATE(2045), 1,
      aux_sym__list_destructing_repeat1,
  [68312] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2040), 1,
      sym_text_interpolation,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68329] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2041), 1,
      sym_text_interpolation,
    ACTIONS(4218), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [68344] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4220), 1,
      anon_sym_RPAREN,
    STATE(2042), 1,
      sym_text_interpolation,
    STATE(2045), 1,
      aux_sym__list_destructing_repeat1,
  [68363] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1442), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2043), 1,
      sym_text_interpolation,
    ACTIONS(1440), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68380] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4222), 1,
      anon_sym_COMMA,
    STATE(2044), 1,
      sym_text_interpolation,
    STATE(2208), 1,
      aux_sym_match_block_repeat1,
  [68399] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1669), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4224), 1,
      anon_sym_COMMA,
    STATE(2045), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [68416] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_EQ,
    STATE(2046), 1,
      sym_text_interpolation,
    ACTIONS(4227), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [68433] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2047), 1,
      sym_text_interpolation,
    ACTIONS(4065), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [68448] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1466), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2048), 1,
      sym_text_interpolation,
    ACTIONS(1464), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68465] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4065), 1,
      anon_sym_RBRACK,
    ACTIONS(4229), 1,
      anon_sym_COMMA,
    STATE(2049), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [68482] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4232), 1,
      anon_sym_COMMA,
    ACTIONS(4235), 1,
      anon_sym_RBRACK,
    STATE(2050), 2,
      sym_text_interpolation,
      aux_sym_attribute_group_repeat1,
  [68499] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1502), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2051), 1,
      sym_text_interpolation,
    ACTIONS(1500), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68516] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4172), 1,
      sym__new_line,
    ACTIONS(4237), 1,
      sym_heredoc_end,
    STATE(2052), 1,
      sym_text_interpolation,
    STATE(2340), 1,
      sym_nowdoc_body,
  [68535] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2053), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68552] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4093), 1,
      sym__new_line,
    ACTIONS(4239), 1,
      sym_heredoc_end,
    STATE(2054), 1,
      sym_text_interpolation,
    STATE(2339), 1,
      sym_heredoc_body,
  [68571] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2055), 1,
      sym_text_interpolation,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68588] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2056), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68605] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2057), 1,
      sym_text_interpolation,
    ACTIONS(1352), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68622] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(793), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4241), 1,
      anon_sym_COMMA,
    STATE(2058), 1,
      sym_text_interpolation,
    STATE(2128), 1,
      aux_sym_arguments_repeat1,
  [68641] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2059), 1,
      sym_text_interpolation,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68658] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    ACTIONS(4243), 1,
      anon_sym_EQ_GT,
    STATE(2060), 1,
      sym_text_interpolation,
    STATE(2612), 1,
      sym__return_type,
  [68677] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2061), 1,
      sym_text_interpolation,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68694] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    ACTIONS(4245), 1,
      anon_sym_EQ_GT,
    STATE(2062), 1,
      sym_text_interpolation,
    STATE(2621), 1,
      sym__return_type,
  [68713] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1194), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2063), 1,
      sym_text_interpolation,
    ACTIONS(1192), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68730] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    ACTIONS(4247), 1,
      anon_sym_EQ_GT,
    STATE(2064), 1,
      sym_text_interpolation,
    STATE(2628), 1,
      sym__return_type,
  [68749] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1202), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2065), 1,
      sym_text_interpolation,
    ACTIONS(1200), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68766] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4111), 1,
      anon_sym_LBRACE,
    ACTIONS(4180), 1,
      sym_name,
    STATE(2066), 1,
      sym_text_interpolation,
    STATE(2316), 1,
      sym_namespace_use_group,
  [68785] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1206), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2067), 1,
      sym_text_interpolation,
    ACTIONS(1204), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68802] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4251), 1,
      aux_sym_else_clause_token1,
    STATE(2068), 1,
      sym_text_interpolation,
    ACTIONS(4249), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [68819] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4255), 1,
      anon_sym_EQ,
    STATE(2069), 1,
      sym_text_interpolation,
    ACTIONS(4253), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68836] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_EQ,
    STATE(2070), 1,
      sym_text_interpolation,
    ACTIONS(4257), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68853] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4261), 1,
      anon_sym_COMMA,
    ACTIONS(4264), 1,
      anon_sym_RPAREN,
    STATE(2071), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [68870] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2072), 1,
      sym_text_interpolation,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68887] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2073), 1,
      sym_text_interpolation,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68904] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_EQ,
    STATE(2074), 1,
      sym_text_interpolation,
    ACTIONS(4266), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68921] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2075), 1,
      sym_text_interpolation,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68938] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4272), 1,
      anon_sym_EQ,
    STATE(2076), 1,
      sym_text_interpolation,
    ACTIONS(4270), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68955] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    STATE(2077), 1,
      sym_text_interpolation,
    ACTIONS(4274), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [68972] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(4278), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2078), 1,
      sym_text_interpolation,
    STATE(2181), 1,
      sym_variable_name,
  [68991] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4282), 1,
      anon_sym_EQ,
    STATE(2079), 1,
      sym_text_interpolation,
    ACTIONS(4280), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [69008] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4284), 1,
      anon_sym_COMMA,
    ACTIONS(4286), 1,
      anon_sym_RPAREN,
    STATE(2080), 1,
      sym_text_interpolation,
    STATE(2190), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [69027] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2081), 1,
      sym_text_interpolation,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69044] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1696), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1750), 1,
      sym_variable_name,
    STATE(1943), 1,
      sym_property_element,
    STATE(2082), 1,
      sym_text_interpolation,
  [69063] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4290), 1,
      anon_sym_EQ,
    STATE(2083), 1,
      sym_text_interpolation,
    ACTIONS(4288), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69080] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_COMMA,
    ACTIONS(4292), 1,
      anon_sym_LBRACE,
    STATE(1947), 1,
      aux_sym_base_clause_repeat1,
    STATE(2084), 1,
      sym_text_interpolation,
  [69099] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_RPAREN,
    ACTIONS(4294), 1,
      anon_sym_COMMA,
    STATE(2085), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [69116] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2086), 1,
      sym_text_interpolation,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69133] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(4297), 1,
      anon_sym_RPAREN,
    STATE(2087), 1,
      sym_text_interpolation,
    STATE(2551), 1,
      sym_variable_name,
  [69152] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    ACTIONS(4299), 1,
      anon_sym_RPAREN,
    STATE(2088), 1,
      sym_text_interpolation,
    STATE(2660), 1,
      sym_variable_name,
  [69171] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4111), 1,
      anon_sym_LBRACE,
    ACTIONS(4180), 1,
      sym_name,
    STATE(2089), 1,
      sym_text_interpolation,
    STATE(2420), 1,
      sym_namespace_use_group,
  [69190] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3144), 1,
      anon_sym_COMMA,
    ACTIONS(4301), 1,
      anon_sym_RPAREN,
    STATE(2085), 1,
      aux_sym_unset_statement_repeat1,
    STATE(2090), 1,
      sym_text_interpolation,
  [69209] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2091), 1,
      sym_text_interpolation,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69226] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(828), 1,
      anon_sym_RBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4303), 1,
      anon_sym_COMMA,
    STATE(2092), 1,
      sym_text_interpolation,
    STATE(2208), 1,
      aux_sym_match_block_repeat1,
  [69245] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(935), 1,
      anon_sym_EQ_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_COMMA,
    STATE(2093), 1,
      sym_text_interpolation,
    STATE(2209), 1,
      aux_sym_match_condition_list_repeat1,
  [69264] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4111), 1,
      anon_sym_LBRACE,
    ACTIONS(4180), 1,
      sym_name,
    STATE(2094), 1,
      sym_text_interpolation,
    STATE(2491), 1,
      sym_namespace_use_group,
  [69283] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2095), 1,
      sym_text_interpolation,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69300] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4109), 1,
      sym_name,
    ACTIONS(4111), 1,
      anon_sym_LBRACE,
    STATE(2096), 1,
      sym_text_interpolation,
    STATE(2491), 1,
      sym_namespace_use_group,
  [69319] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4307), 1,
      anon_sym_RPAREN,
    STATE(1958), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2097), 1,
      sym_text_interpolation,
  [69338] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym_RPAREN,
    STATE(2098), 1,
      sym_text_interpolation,
    STATE(2212), 1,
      aux_sym__list_destructing_repeat1,
  [69357] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2099), 1,
      sym_text_interpolation,
    ACTIONS(4309), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [69372] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1478), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2100), 1,
      sym_text_interpolation,
    ACTIONS(1476), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69389] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1430), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2101), 1,
      sym_text_interpolation,
    ACTIONS(1428), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69406] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2102), 1,
      sym_text_interpolation,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69423] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2103), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69440] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2104), 1,
      sym_text_interpolation,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69457] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2105), 1,
      sym_text_interpolation,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69474] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2106), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69491] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1174), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2107), 1,
      sym_text_interpolation,
    ACTIONS(1172), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69508] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2108), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69525] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1134), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2109), 1,
      sym_text_interpolation,
    ACTIONS(1132), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69542] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1134), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2110), 1,
      sym_text_interpolation,
    ACTIONS(1132), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69559] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2111), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69576] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1278), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2112), 1,
      sym_text_interpolation,
    ACTIONS(1276), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69593] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2113), 1,
      sym_text_interpolation,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69610] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2114), 1,
      sym_text_interpolation,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69627] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2115), 1,
      sym_text_interpolation,
    ACTIONS(1140), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69644] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1146), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2116), 1,
      sym_text_interpolation,
    ACTIONS(1144), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69661] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2117), 1,
      sym_text_interpolation,
    ACTIONS(1408), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69678] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1238), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2118), 1,
      sym_text_interpolation,
    ACTIONS(1236), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69695] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1182), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2119), 1,
      sym_text_interpolation,
    ACTIONS(1180), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69712] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1154), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2120), 1,
      sym_text_interpolation,
    ACTIONS(1152), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69729] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1314), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2121), 1,
      sym_text_interpolation,
    ACTIONS(1312), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69746] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2122), 1,
      sym_text_interpolation,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69763] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2123), 1,
      sym_text_interpolation,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69780] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2124), 1,
      sym_text_interpolation,
    ACTIONS(4311), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [69795] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1474), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2125), 1,
      sym_text_interpolation,
    ACTIONS(1472), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69812] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2126), 1,
      sym_text_interpolation,
    ACTIONS(1460), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69829] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_COMMA,
    ACTIONS(4315), 1,
      anon_sym_RBRACE,
    STATE(2127), 1,
      sym_text_interpolation,
    STATE(2148), 1,
      aux_sym_namespace_use_group_repeat1,
  [69848] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4317), 1,
      anon_sym_COMMA,
    ACTIONS(4320), 1,
      anon_sym_RPAREN,
    STATE(2128), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [69865] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1458), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2129), 1,
      sym_text_interpolation,
    ACTIONS(1456), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69882] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1450), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2130), 1,
      sym_text_interpolation,
    ACTIONS(1448), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69899] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2131), 1,
      sym_text_interpolation,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69916] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1418), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2132), 1,
      sym_text_interpolation,
    ACTIONS(1416), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69933] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4109), 1,
      sym_name,
    ACTIONS(4111), 1,
      anon_sym_LBRACE,
    STATE(2133), 1,
      sym_text_interpolation,
    STATE(2319), 1,
      sym_namespace_use_group,
  [69952] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2134), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69969] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2135), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69986] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1394), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2136), 1,
      sym_text_interpolation,
    ACTIONS(1392), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70003] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1390), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2137), 1,
      sym_text_interpolation,
    ACTIONS(1388), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70020] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1382), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2138), 1,
      sym_text_interpolation,
    ACTIONS(1380), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70037] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1370), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2139), 1,
      sym_text_interpolation,
    ACTIONS(1368), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70054] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2140), 1,
      sym_text_interpolation,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70071] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2141), 1,
      sym_text_interpolation,
    ACTIONS(4322), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [70086] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2142), 1,
      sym_text_interpolation,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70103] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1326), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2143), 1,
      sym_text_interpolation,
    ACTIONS(1324), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70120] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2144), 1,
      sym_text_interpolation,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70137] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2145), 1,
      sym_text_interpolation,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70154] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COLON,
    ACTIONS(4324), 1,
      anon_sym_EQ_GT,
    STATE(2146), 1,
      sym_text_interpolation,
    STATE(2698), 1,
      sym__return_type,
  [70173] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2147), 1,
      sym_text_interpolation,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70190] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_COMMA,
    ACTIONS(4326), 1,
      anon_sym_RBRACE,
    STATE(2148), 1,
      sym_text_interpolation,
    STATE(2223), 1,
      aux_sym_namespace_use_group_repeat1,
  [70209] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4328), 1,
      anon_sym_COMMA,
    ACTIONS(4330), 1,
      anon_sym_RPAREN,
    STATE(2149), 1,
      sym_text_interpolation,
    STATE(2159), 1,
      aux_sym_arguments_repeat1,
  [70228] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4332), 1,
      anon_sym_SQUOTE,
    ACTIONS(4334), 1,
      anon_sym_DQUOTE,
    ACTIONS(4336), 1,
      sym_heredoc_start,
    STATE(2150), 1,
      sym_text_interpolation,
  [70247] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4340), 1,
      anon_sym_EQ,
    STATE(2151), 1,
      sym_text_interpolation,
    ACTIONS(4338), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70264] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1402), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2152), 1,
      sym_text_interpolation,
    ACTIONS(1400), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70281] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1150), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2153), 1,
      sym_text_interpolation,
    ACTIONS(1148), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70298] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2154), 1,
      sym_text_interpolation,
    ACTIONS(1508), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70315] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2155), 1,
      sym_text_interpolation,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70332] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1470), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2156), 1,
      sym_text_interpolation,
    ACTIONS(1468), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70349] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4344), 1,
      anon_sym_EQ,
    STATE(2157), 1,
      sym_text_interpolation,
    ACTIONS(4342), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70366] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1446), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2158), 1,
      sym_text_interpolation,
    ACTIONS(1444), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70383] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(813), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4346), 1,
      anon_sym_COMMA,
    STATE(2128), 1,
      aux_sym_arguments_repeat1,
    STATE(2159), 1,
      sym_text_interpolation,
  [70402] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2160), 1,
      sym_text_interpolation,
    ACTIONS(4348), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [70417] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2161), 1,
      sym_text_interpolation,
    ACTIONS(4350), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [70432] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2162), 1,
      sym_text_interpolation,
    STATE(1872), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [70449] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1378), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2163), 1,
      sym_text_interpolation,
    ACTIONS(1376), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70466] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2164), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70483] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1138), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2165), 1,
      sym_text_interpolation,
    ACTIONS(1136), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70500] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4354), 1,
      anon_sym_EQ,
    STATE(2166), 1,
      sym_text_interpolation,
    ACTIONS(4352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70517] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1158), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2167), 1,
      sym_text_interpolation,
    ACTIONS(1156), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70534] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2168), 1,
      sym_text_interpolation,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70551] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1190), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2169), 1,
      sym_text_interpolation,
    ACTIONS(1188), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70568] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2170), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70585] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2171), 1,
      sym_text_interpolation,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70602] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2172), 1,
      sym_text_interpolation,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70619] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2173), 1,
      sym_text_interpolation,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70636] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2174), 1,
      sym_text_interpolation,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70653] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2175), 1,
      sym_text_interpolation,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70670] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2176), 1,
      sym_text_interpolation,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70687] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2177), 1,
      sym_text_interpolation,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70704] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1414), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2178), 1,
      sym_text_interpolation,
    ACTIONS(1412), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70721] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1422), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2179), 1,
      sym_text_interpolation,
    ACTIONS(1420), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70738] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1426), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2180), 1,
      sym_text_interpolation,
    ACTIONS(1424), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70755] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4358), 1,
      anon_sym_EQ,
    STATE(2181), 1,
      sym_text_interpolation,
    ACTIONS(4356), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70772] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2182), 1,
      sym_text_interpolation,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70789] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1454), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2183), 1,
      sym_text_interpolation,
    ACTIONS(1452), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70806] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1486), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2184), 1,
      sym_text_interpolation,
    ACTIONS(1484), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70823] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2185), 1,
      sym_text_interpolation,
    ACTIONS(1492), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70840] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1498), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2186), 1,
      sym_text_interpolation,
    ACTIONS(1496), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70857] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2187), 1,
      sym_text_interpolation,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70874] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2188), 1,
      sym_text_interpolation,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70891] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2189), 1,
      sym_text_interpolation,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70908] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3716), 1,
      anon_sym_RPAREN,
    ACTIONS(4360), 1,
      anon_sym_COMMA,
    STATE(2190), 1,
      sym_text_interpolation,
    STATE(2221), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [70927] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2191), 1,
      sym_text_interpolation,
    ACTIONS(3371), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [70942] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2192), 1,
      sym_text_interpolation,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70959] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1696), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1750), 1,
      sym_variable_name,
    STATE(1911), 1,
      sym_property_element,
    STATE(2193), 1,
      sym_text_interpolation,
  [70978] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_COMMA,
    ACTIONS(4364), 1,
      anon_sym_RPAREN,
    STATE(2194), 1,
      sym_text_interpolation,
    STATE(2200), 1,
      aux_sym_arguments_repeat1,
  [70997] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1696), 1,
      anon_sym_DOLLAR,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1750), 1,
      sym_variable_name,
    STATE(2195), 1,
      sym_text_interpolation,
    STATE(2220), 1,
      sym_property_element,
  [71016] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1162), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2196), 1,
      sym_text_interpolation,
    ACTIONS(1160), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71033] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2197), 1,
      sym_text_interpolation,
    ACTIONS(2663), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [71048] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2198), 1,
      sym_text_interpolation,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71065] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2199), 1,
      sym_text_interpolation,
    ACTIONS(4366), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [71080] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(785), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4368), 1,
      anon_sym_COMMA,
    STATE(2128), 1,
      aux_sym_arguments_repeat1,
    STATE(2200), 1,
      sym_text_interpolation,
  [71099] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2201), 1,
      sym_text_interpolation,
    ACTIONS(3477), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [71114] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_EQ,
    STATE(2202), 1,
      sym_text_interpolation,
    ACTIONS(4370), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71131] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4030), 1,
      sym_nowdoc_string,
    ACTIONS(4374), 1,
      anon_sym_,
    STATE(1951), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(2203), 1,
      sym_text_interpolation,
  [71150] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(787), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4376), 1,
      anon_sym_COMMA,
    STATE(2128), 1,
      aux_sym_arguments_repeat1,
    STATE(2204), 1,
      sym_text_interpolation,
  [71169] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4378), 1,
      sym_name,
    STATE(2205), 1,
      sym_text_interpolation,
    ACTIONS(4380), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71186] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4382), 1,
      anon_sym_COMMA,
    ACTIONS(4384), 1,
      anon_sym_RPAREN,
    STATE(2204), 1,
      aux_sym_arguments_repeat1,
    STATE(2206), 1,
      sym_text_interpolation,
  [71205] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4388), 1,
      aux_sym_else_clause_token1,
    STATE(2207), 1,
      sym_text_interpolation,
    ACTIONS(4386), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [71222] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    ACTIONS(4393), 1,
      anon_sym_RBRACE,
    STATE(2208), 2,
      sym_text_interpolation,
      aux_sym_match_block_repeat1,
  [71239] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2515), 1,
      anon_sym_EQ_GT,
    ACTIONS(4395), 1,
      anon_sym_COMMA,
    STATE(2209), 2,
      sym_text_interpolation,
      aux_sym_match_condition_list_repeat1,
  [71256] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2210), 1,
      sym_text_interpolation,
    ACTIONS(4398), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71271] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(809), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_COMMA,
    STATE(2128), 1,
      aux_sym_arguments_repeat1,
    STATE(2211), 1,
      sym_text_interpolation,
  [71290] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(833), 1,
      anon_sym_COMMA,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4402), 1,
      anon_sym_RPAREN,
    STATE(2045), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2212), 1,
      sym_text_interpolation,
  [71309] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(4406), 1,
      anon_sym_RPAREN,
    STATE(2211), 1,
      aux_sym_arguments_repeat1,
    STATE(2213), 1,
      sym_text_interpolation,
  [71328] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2214), 1,
      sym_text_interpolation,
    ACTIONS(4408), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71343] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2215), 1,
      sym_text_interpolation,
    ACTIONS(4410), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71358] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2216), 1,
      sym_text_interpolation,
    ACTIONS(4412), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [71373] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym_COMMA,
    ACTIONS(4416), 1,
      anon_sym_RPAREN,
    STATE(2217), 1,
      sym_text_interpolation,
    STATE(2219), 1,
      aux_sym_arguments_repeat1,
  [71392] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2218), 1,
      sym_text_interpolation,
    ACTIONS(3979), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [71407] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(761), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_COMMA,
    STATE(2128), 1,
      aux_sym_arguments_repeat1,
    STATE(2219), 1,
      sym_text_interpolation,
  [71426] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2220), 1,
      sym_text_interpolation,
    ACTIONS(3988), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [71441] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4420), 1,
      anon_sym_COMMA,
    ACTIONS(4423), 1,
      anon_sym_RPAREN,
    STATE(2221), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [71458] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4427), 1,
      anon_sym_EQ,
    STATE(2222), 1,
      sym_text_interpolation,
    ACTIONS(4425), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71475] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4429), 1,
      anon_sym_COMMA,
    ACTIONS(4432), 1,
      anon_sym_RBRACE,
    STATE(2223), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_group_repeat1,
  [71492] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4434), 1,
      anon_sym_COMMA,
    ACTIONS(4436), 1,
      anon_sym_RPAREN,
    STATE(2224), 1,
      sym_text_interpolation,
    STATE(2225), 1,
      aux_sym_arguments_repeat1,
  [71511] = 6,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(801), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4438), 1,
      anon_sym_COMMA,
    STATE(2128), 1,
      aux_sym_arguments_repeat1,
    STATE(2225), 1,
      sym_text_interpolation,
  [71530] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2226), 1,
      sym_text_interpolation,
    ACTIONS(4440), 3,
      sym_heredoc_end,
      sym_nowdoc_string,
      sym__new_line,
  [71545] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(2060), 1,
      sym_formal_parameters,
    STATE(2227), 1,
      sym_text_interpolation,
  [71561] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(966), 1,
      sym_compound_statement,
    STATE(2228), 1,
      sym_text_interpolation,
  [71577] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(499), 1,
      ts_builtin_sym_end,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4442), 1,
      sym_php_tag,
    STATE(2229), 1,
      sym_text_interpolation,
  [71593] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2230), 1,
      sym_text_interpolation,
    ACTIONS(4444), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71607] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2231), 1,
      sym_text_interpolation,
    ACTIONS(4446), 2,
      sym__eof,
      sym_php_tag,
  [71621] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2232), 1,
      sym_text_interpolation,
    ACTIONS(4423), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71635] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2233), 1,
      sym_text_interpolation,
    ACTIONS(4448), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [71649] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2234), 1,
      sym_text_interpolation,
    ACTIONS(4450), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71663] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4452), 1,
      sym_name,
    STATE(2235), 1,
      sym_text_interpolation,
    STATE(2662), 1,
      sym_namespace_name,
  [71679] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4452), 1,
      sym_name,
    STATE(2236), 1,
      sym_text_interpolation,
    STATE(2640), 1,
      sym_namespace_name,
  [71695] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2237), 1,
      sym_text_interpolation,
    ACTIONS(467), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71709] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2238), 1,
      sym_text_interpolation,
    ACTIONS(4455), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71723] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2239), 1,
      sym_text_interpolation,
    ACTIONS(4432), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [71737] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2240), 1,
      sym_text_interpolation,
    ACTIONS(4457), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [71751] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1775), 1,
      sym_compound_statement,
    STATE(2241), 1,
      sym_text_interpolation,
  [71767] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_declaration_list,
    STATE(2242), 1,
      sym_text_interpolation,
  [71783] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4452), 1,
      sym_name,
    STATE(2243), 1,
      sym_text_interpolation,
    STATE(2632), 1,
      sym_namespace_name,
  [71799] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4459), 1,
      anon_sym_LBRACE,
    STATE(440), 1,
      sym_compound_statement,
    STATE(2244), 1,
      sym_text_interpolation,
  [71815] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(456), 1,
      sym_declaration_list,
    STATE(2245), 1,
      sym_text_interpolation,
  [71831] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_LBRACE,
    STATE(481), 1,
      sym_enum_declaration_list,
    STATE(2246), 1,
      sym_text_interpolation,
  [71847] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1067), 1,
      sym_compound_statement,
    STATE(2247), 1,
      sym_text_interpolation,
  [71863] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_RPAREN,
    ACTIONS(4461), 1,
      anon_sym_EQ,
    STATE(2248), 1,
      sym_text_interpolation,
  [71879] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1068), 1,
      sym_compound_statement,
    STATE(2249), 1,
      sym_text_interpolation,
  [71895] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1070), 1,
      sym_compound_statement,
    STATE(2250), 1,
      sym_text_interpolation,
  [71911] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(460), 1,
      sym_declaration_list,
    STATE(2251), 1,
      sym_text_interpolation,
  [71927] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2252), 1,
      sym_text_interpolation,
    ACTIONS(2573), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [71941] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    STATE(43), 1,
      sym_parenthesized_expression,
    STATE(2253), 1,
      sym_text_interpolation,
  [71957] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    STATE(39), 1,
      sym_parenthesized_expression,
    STATE(2254), 1,
      sym_text_interpolation,
  [71973] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN,
    STATE(2255), 1,
      sym_text_interpolation,
    STATE(2300), 1,
      sym_parenthesized_expression,
  [71989] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(2256), 1,
      sym_text_interpolation,
    ACTIONS(4028), 2,
      sym_heredoc_end,
      sym__new_line,
  [72003] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2257), 1,
      sym_text_interpolation,
    ACTIONS(4467), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72017] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN,
    STATE(1968), 1,
      sym_parenthesized_expression,
    STATE(2258), 1,
      sym_text_interpolation,
  [72033] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(214), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(566), 1,
      sym_compound_statement,
    STATE(2259), 1,
      sym_text_interpolation,
  [72049] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2260), 1,
      sym_text_interpolation,
    ACTIONS(4032), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [72063] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1133), 1,
      sym_compound_statement,
    STATE(2261), 1,
      sym_text_interpolation,
  [72079] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2262), 1,
      sym_text_interpolation,
    ACTIONS(4469), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72093] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2263), 1,
      sym_text_interpolation,
    ACTIONS(4471), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [72107] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4473), 1,
      sym_name,
    STATE(2264), 1,
      sym_text_interpolation,
    STATE(2598), 1,
      sym_namespace_name,
  [72123] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2265), 1,
      sym_text_interpolation,
    ACTIONS(3277), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72137] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2266), 1,
      sym_text_interpolation,
    ACTIONS(4476), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72151] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1078), 1,
      sym_declaration_list,
    STATE(2267), 1,
      sym_text_interpolation,
  [72167] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    STATE(976), 1,
      sym_declaration_list,
    STATE(2268), 1,
      sym_text_interpolation,
  [72183] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4452), 1,
      sym_name,
    STATE(2269), 1,
      sym_text_interpolation,
    STATE(2594), 1,
      sym_namespace_name,
  [72199] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2270), 1,
      sym_text_interpolation,
    ACTIONS(4478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72213] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2271), 1,
      sym_text_interpolation,
    ACTIONS(4393), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [72227] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_SEMI,
    ACTIONS(4482), 1,
      sym__automatic_semicolon,
    STATE(2272), 1,
      sym_text_interpolation,
  [72243] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2273), 1,
      sym_text_interpolation,
    ACTIONS(511), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72257] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1990), 1,
      sym_formal_parameters,
    STATE(2274), 1,
      sym_text_interpolation,
  [72273] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2275), 1,
      sym_text_interpolation,
    ACTIONS(4484), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72287] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_declaration_list,
    STATE(2276), 1,
      sym_text_interpolation,
  [72303] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2277), 1,
      sym_text_interpolation,
    ACTIONS(4380), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72317] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1993), 1,
      sym_formal_parameters,
    STATE(2278), 1,
      sym_text_interpolation,
  [72333] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4459), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_compound_statement,
    STATE(2279), 1,
      sym_text_interpolation,
  [72349] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2280), 1,
      sym_text_interpolation,
    ACTIONS(4486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72363] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2281), 1,
      sym_text_interpolation,
    ACTIONS(4488), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72377] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2282), 1,
      sym_text_interpolation,
    ACTIONS(4490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72391] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_LPAREN,
    ACTIONS(4494), 1,
      anon_sym_RPAREN,
    STATE(2283), 1,
      sym_text_interpolation,
  [72407] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2284), 1,
      sym_text_interpolation,
    ACTIONS(4496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72421] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2285), 1,
      sym_text_interpolation,
    ACTIONS(4498), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72435] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(458), 1,
      sym_declaration_list,
    STATE(2286), 1,
      sym_text_interpolation,
  [72451] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2535), 1,
      anon_sym_RPAREN,
    ACTIONS(4461), 1,
      anon_sym_EQ,
    STATE(2287), 1,
      sym_text_interpolation,
  [72467] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2288), 1,
      sym_text_interpolation,
    ACTIONS(4500), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [72481] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2289), 1,
      sym_text_interpolation,
    ACTIONS(4502), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72495] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2290), 1,
      sym_text_interpolation,
    ACTIONS(4504), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72509] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2291), 1,
      sym_text_interpolation,
    ACTIONS(2495), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [72523] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(2234), 1,
      sym_variable_name,
    STATE(2292), 1,
      sym_text_interpolation,
  [72539] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2293), 1,
      sym_text_interpolation,
    ACTIONS(4506), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72553] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1725), 1,
      sym_compound_statement,
    STATE(2294), 1,
      sym_text_interpolation,
  [72569] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_BSLASH,
    STATE(2295), 1,
      sym_text_interpolation,
    STATE(2328), 1,
      aux_sym_namespace_name_repeat1,
  [72585] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2296), 1,
      sym_text_interpolation,
    ACTIONS(4182), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [72599] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(2222), 1,
      sym_variable_name,
    STATE(2297), 1,
      sym_text_interpolation,
  [72615] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2298), 1,
      sym_text_interpolation,
    ACTIONS(2495), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72629] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2299), 1,
      sym_text_interpolation,
    ACTIONS(4508), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72643] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_LBRACE,
    STATE(1058), 1,
      sym_match_block,
    STATE(2300), 1,
      sym_text_interpolation,
  [72659] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1689), 1,
      sym_formal_parameters,
    STATE(2301), 1,
      sym_text_interpolation,
  [72675] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2302), 1,
      sym_text_interpolation,
    ACTIONS(4512), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72689] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1730), 1,
      sym_declaration_list,
    STATE(2303), 1,
      sym_text_interpolation,
  [72705] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2304), 1,
      sym_text_interpolation,
    ACTIONS(4514), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72719] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1698), 1,
      sym_compound_statement,
    STATE(2305), 1,
      sym_text_interpolation,
  [72735] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2306), 1,
      sym_text_interpolation,
    ACTIONS(4516), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [72749] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym_parenthesized_expression,
    STATE(2307), 1,
      sym_text_interpolation,
  [72765] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN,
    STATE(2308), 1,
      sym_text_interpolation,
    STATE(2401), 1,
      sym_parenthesized_expression,
  [72781] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN,
    STATE(2002), 1,
      sym_parenthesized_expression,
    STATE(2309), 1,
      sym_text_interpolation,
  [72797] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3549), 1,
      anon_sym_LBRACE,
    STATE(2153), 1,
      sym_enum_declaration_list,
    STATE(2310), 1,
      sym_text_interpolation,
  [72813] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(970), 1,
      sym_compound_statement,
    STATE(2311), 1,
      sym_text_interpolation,
  [72829] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    STATE(2155), 1,
      sym_declaration_list,
    STATE(2312), 1,
      sym_text_interpolation,
  [72845] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2313), 1,
      sym_text_interpolation,
    ACTIONS(2499), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [72859] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2314), 1,
      sym_text_interpolation,
    ACTIONS(4519), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72873] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2315), 1,
      sym_text_interpolation,
    ACTIONS(3971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [72887] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2316), 1,
      sym_text_interpolation,
    ACTIONS(4521), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72901] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1116), 1,
      sym_compound_statement,
    STATE(2317), 1,
      sym_text_interpolation,
  [72917] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2789), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4523), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2318), 1,
      sym_text_interpolation,
  [72933] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2319), 1,
      sym_text_interpolation,
    ACTIONS(4011), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72947] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_declaration_list,
    STATE(2320), 1,
      sym_text_interpolation,
  [72963] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(981), 1,
      sym_compound_statement,
    STATE(2321), 1,
      sym_text_interpolation,
  [72979] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_declaration_list,
    STATE(2322), 1,
      sym_text_interpolation,
  [72995] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(968), 1,
      sym_compound_statement,
    STATE(2323), 1,
      sym_text_interpolation,
  [73011] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1104), 1,
      sym_compound_statement,
    STATE(2324), 1,
      sym_text_interpolation,
  [73027] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1101), 1,
      sym_compound_statement,
    STATE(2325), 1,
      sym_text_interpolation,
  [73043] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1098), 1,
      sym_compound_statement,
    STATE(2326), 1,
      sym_text_interpolation,
  [73059] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    STATE(71), 1,
      sym_parenthesized_expression,
    STATE(2327), 1,
      sym_text_interpolation,
  [73075] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_BSLASH,
    STATE(1790), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2328), 1,
      sym_text_interpolation,
  [73091] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_declaration_list,
    STATE(2329), 1,
      sym_text_interpolation,
  [73107] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    STATE(1745), 1,
      sym_formal_parameters,
    STATE(2330), 1,
      sym_text_interpolation,
  [73123] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(214), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(518), 1,
      sym_compound_statement,
    STATE(2331), 1,
      sym_text_interpolation,
  [73139] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_declaration_list,
    STATE(2332), 1,
      sym_text_interpolation,
  [73155] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1652), 1,
      sym_formal_parameters,
    STATE(2333), 1,
      sym_text_interpolation,
  [73171] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1754), 1,
      sym_declaration_list,
    STATE(2334), 1,
      sym_text_interpolation,
  [73187] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1685), 1,
      sym_formal_parameters,
    STATE(2335), 1,
      sym_text_interpolation,
  [73203] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2336), 1,
      sym_text_interpolation,
    ACTIONS(4320), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73217] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2337), 1,
      sym_text_interpolation,
    ACTIONS(4530), 2,
      anon_sym_string,
      anon_sym_int,
  [73231] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2338), 1,
      sym_text_interpolation,
    ACTIONS(2551), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [73245] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4532), 1,
      sym__new_line,
    ACTIONS(4534), 1,
      sym_heredoc_end,
    STATE(2339), 1,
      sym_text_interpolation,
  [73261] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4536), 1,
      sym__new_line,
    ACTIONS(4538), 1,
      sym_heredoc_end,
    STATE(2340), 1,
      sym_text_interpolation,
  [73277] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2341), 1,
      sym_text_interpolation,
    ACTIONS(4540), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73291] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2342), 1,
      sym_text_interpolation,
    ACTIONS(4227), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73305] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    STATE(25), 1,
      sym_parenthesized_expression,
    STATE(2343), 1,
      sym_text_interpolation,
  [73321] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_LPAREN,
    STATE(2344), 1,
      sym_text_interpolation,
    STATE(2369), 1,
      sym_parenthesized_expression,
  [73337] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2789), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4544), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2345), 1,
      sym_text_interpolation,
  [73353] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2346), 1,
      sym_text_interpolation,
    ACTIONS(3359), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73367] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4452), 1,
      sym_name,
    STATE(2347), 1,
      sym_text_interpolation,
    STATE(2523), 1,
      sym_namespace_name,
  [73383] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4546), 1,
      sym__new_line,
    ACTIONS(4548), 1,
      sym_heredoc_end,
    STATE(2348), 1,
      sym_text_interpolation,
  [73399] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(2349), 1,
      sym_text_interpolation,
    STATE(2465), 1,
      sym_variable_name,
  [73415] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1712), 1,
      sym_declaration_list,
    STATE(2350), 1,
      sym_text_interpolation,
  [73431] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2351), 1,
      sym_text_interpolation,
    ACTIONS(4550), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73445] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2352), 1,
      sym_text_interpolation,
    ACTIONS(4552), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73459] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    STATE(20), 1,
      sym_parenthesized_expression,
    STATE(2353), 1,
      sym_text_interpolation,
  [73475] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2354), 1,
      sym_text_interpolation,
    ACTIONS(4554), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73489] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2355), 1,
      sym_text_interpolation,
    ACTIONS(4556), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73503] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1056), 1,
      sym_declaration_list,
    STATE(2356), 1,
      sym_text_interpolation,
  [73519] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(2028), 1,
      sym_formal_parameters,
    STATE(2357), 1,
      sym_text_interpolation,
  [73535] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2358), 1,
      sym_text_interpolation,
    ACTIONS(4558), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73549] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2359), 1,
      sym_text_interpolation,
    ACTIONS(4560), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73563] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1055), 1,
      sym_declaration_list,
    STATE(2360), 1,
      sym_text_interpolation,
  [73579] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2361), 1,
      sym_text_interpolation,
    ACTIONS(4562), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73593] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2362), 1,
      sym_text_interpolation,
    ACTIONS(485), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73607] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1737), 1,
      sym_declaration_list,
    STATE(2363), 1,
      sym_text_interpolation,
  [73623] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1135), 1,
      sym_compound_statement,
    STATE(2364), 1,
      sym_text_interpolation,
  [73639] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_SEMI,
    ACTIONS(4566), 1,
      sym__automatic_semicolon,
    STATE(2365), 1,
      sym_text_interpolation,
  [73655] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1631), 1,
      sym_formal_parameters,
    STATE(2366), 1,
      sym_text_interpolation,
  [73671] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(925), 1,
      sym_compound_statement,
    STATE(2367), 1,
      sym_text_interpolation,
  [73687] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2368), 1,
      sym_text_interpolation,
    ACTIONS(4568), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73701] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2369), 1,
      sym_text_interpolation,
    ACTIONS(4570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73715] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(443), 1,
      anon_sym_COLON,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2207), 1,
      sym_colon_block,
    STATE(2370), 1,
      sym_text_interpolation,
  [73731] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2593), 1,
      anon_sym_RPAREN,
    ACTIONS(4461), 1,
      anon_sym_EQ,
    STATE(2371), 1,
      sym_text_interpolation,
  [73747] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3819), 1,
      anon_sym_LBRACE,
    STATE(570), 1,
      sym_declaration_list,
    STATE(2372), 1,
      sym_text_interpolation,
  [73763] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2373), 1,
      sym_text_interpolation,
    ACTIONS(4572), 2,
      anon_sym_string,
      anon_sym_int,
  [73777] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_LBRACE,
    STATE(469), 1,
      sym_enum_declaration_list,
    STATE(2374), 1,
      sym_text_interpolation,
  [73793] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_declaration_list,
    STATE(2375), 1,
      sym_text_interpolation,
  [73809] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1663), 1,
      sym_formal_parameters,
    STATE(2376), 1,
      sym_text_interpolation,
  [73825] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2377), 1,
      sym_text_interpolation,
    ACTIONS(4574), 2,
      anon_sym_string,
      anon_sym_int,
  [73839] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    STATE(79), 1,
      sym_parenthesized_expression,
    STATE(2378), 1,
      sym_text_interpolation,
  [73855] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2379), 1,
      sym_text_interpolation,
    ACTIONS(537), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73869] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1744), 1,
      sym_compound_statement,
    STATE(2380), 1,
      sym_text_interpolation,
  [73885] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1654), 1,
      sym_formal_parameters,
    STATE(2381), 1,
      sym_text_interpolation,
  [73901] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2382), 1,
      sym_text_interpolation,
    ACTIONS(4576), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73915] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3549), 1,
      anon_sym_LBRACE,
    STATE(2117), 1,
      sym_enum_declaration_list,
    STATE(2383), 1,
      sym_text_interpolation,
  [73931] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2384), 1,
      sym_text_interpolation,
    ACTIONS(4578), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73945] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2385), 1,
      sym_text_interpolation,
    ACTIONS(4580), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73959] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4459), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_compound_statement,
    STATE(2386), 1,
      sym_text_interpolation,
  [73975] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1755), 1,
      sym_declaration_list,
    STATE(2387), 1,
      sym_text_interpolation,
  [73991] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_RPAREN,
    ACTIONS(4461), 1,
      anon_sym_EQ,
    STATE(2388), 1,
      sym_text_interpolation,
  [74007] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_LPAREN,
    STATE(2389), 1,
      sym_text_interpolation,
    STATE(2475), 1,
      sym_parenthesized_expression,
  [74023] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_enum_declaration_list,
    STATE(2390), 1,
      sym_text_interpolation,
  [74039] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1154), 1,
      sym_declaration_list,
    STATE(2391), 1,
      sym_text_interpolation,
  [74055] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2392), 1,
      sym_text_interpolation,
    ACTIONS(3519), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74069] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3549), 1,
      anon_sym_LBRACE,
    STATE(2063), 1,
      sym_enum_declaration_list,
    STATE(2393), 1,
      sym_text_interpolation,
  [74085] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(927), 1,
      sym_compound_statement,
    STATE(2394), 1,
      sym_text_interpolation,
  [74101] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    STATE(963), 1,
      sym_declaration_list,
    STATE(2395), 1,
      sym_text_interpolation,
  [74117] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2396), 1,
      sym_text_interpolation,
    ACTIONS(4160), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74131] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(929), 1,
      sym_compound_statement,
    STATE(2397), 1,
      sym_text_interpolation,
  [74147] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(2290), 1,
      sym_variable_name,
    STATE(2398), 1,
      sym_text_interpolation,
  [74163] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1142), 1,
      sym_compound_statement,
    STATE(2399), 1,
      sym_text_interpolation,
  [74179] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2400), 1,
      sym_text_interpolation,
    ACTIONS(1664), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74193] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_LBRACE,
    STATE(971), 1,
      sym_match_block,
    STATE(2401), 1,
      sym_text_interpolation,
  [74209] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    STATE(962), 1,
      sym_declaration_list,
    STATE(2402), 1,
      sym_text_interpolation,
  [74225] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(931), 1,
      sym_compound_statement,
    STATE(2403), 1,
      sym_text_interpolation,
  [74241] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1758), 1,
      sym_declaration_list,
    STATE(2404), 1,
      sym_text_interpolation,
  [74257] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(2293), 1,
      sym_variable_name,
    STATE(2405), 1,
      sym_text_interpolation,
  [74273] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2406), 1,
      sym_text_interpolation,
    ACTIONS(4584), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74287] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(2166), 1,
      sym_variable_name,
    STATE(2407), 1,
      sym_text_interpolation,
  [74303] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2408), 1,
      sym_text_interpolation,
    ACTIONS(4586), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74317] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(2302), 1,
      sym_variable_name,
    STATE(2409), 1,
      sym_text_interpolation,
  [74333] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2410), 1,
      sym_text_interpolation,
    ACTIONS(4588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74347] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    STATE(932), 1,
      sym_declaration_list,
    STATE(2411), 1,
      sym_text_interpolation,
  [74363] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(2304), 1,
      sym_variable_name,
    STATE(2412), 1,
      sym_text_interpolation,
  [74379] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2413), 1,
      sym_text_interpolation,
    ACTIONS(4590), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74393] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4592), 1,
      anon_sym_SEMI,
    ACTIONS(4594), 1,
      sym__automatic_semicolon,
    STATE(2414), 1,
      sym_text_interpolation,
  [74409] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2415), 1,
      sym_text_interpolation,
    ACTIONS(4264), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74423] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(1781), 1,
      sym_compound_statement,
    STATE(2416), 1,
      sym_text_interpolation,
  [74439] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2417), 1,
      sym_text_interpolation,
    ACTIONS(4596), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74453] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(2151), 1,
      sym_variable_name,
    STATE(2418), 1,
      sym_text_interpolation,
  [74469] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2419), 1,
      sym_text_interpolation,
    ACTIONS(4598), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74483] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2420), 1,
      sym_text_interpolation,
    ACTIONS(4600), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74497] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4602), 1,
      sym_name,
    STATE(1900), 1,
      sym_namespace_name,
    STATE(2421), 1,
      sym_text_interpolation,
  [74513] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2422), 1,
      sym_text_interpolation,
    ACTIONS(4604), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74527] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(937), 1,
      sym_compound_statement,
    STATE(2423), 1,
      sym_text_interpolation,
  [74543] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1079), 1,
      sym_compound_statement,
    STATE(2424), 1,
      sym_text_interpolation,
  [74559] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1072), 1,
      sym_compound_statement,
    STATE(2425), 1,
      sym_text_interpolation,
  [74575] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1785), 1,
      sym_declaration_list,
    STATE(2426), 1,
      sym_text_interpolation,
  [74591] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(2146), 1,
      sym_formal_parameters,
    STATE(2427), 1,
      sym_text_interpolation,
  [74607] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2428), 1,
      sym_text_interpolation,
    ACTIONS(4606), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74621] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4608), 1,
      sym__new_line,
    ACTIONS(4610), 1,
      sym_heredoc_end,
    STATE(2429), 1,
      sym_text_interpolation,
  [74637] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1786), 1,
      sym_declaration_list,
    STATE(2430), 1,
      sym_text_interpolation,
  [74653] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_declaration_list,
    STATE(2431), 1,
      sym_text_interpolation,
  [74669] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3553), 1,
      anon_sym_LBRACE,
    STATE(470), 1,
      sym_enum_declaration_list,
    STATE(2432), 1,
      sym_text_interpolation,
  [74685] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2433), 1,
      sym_text_interpolation,
    ACTIONS(4612), 2,
      anon_sym_string,
      anon_sym_int,
  [74699] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1063), 1,
      sym_compound_statement,
    STATE(2434), 1,
      sym_text_interpolation,
  [74715] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1684), 1,
      sym_formal_parameters,
    STATE(2435), 1,
      sym_text_interpolation,
  [74731] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2436), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74745] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(939), 1,
      sym_compound_statement,
    STATE(2437), 1,
      sym_text_interpolation,
  [74761] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_declaration_list,
    STATE(2438), 1,
      sym_text_interpolation,
  [74777] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(945), 1,
      sym_compound_statement,
    STATE(2439), 1,
      sym_text_interpolation,
  [74793] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2440), 1,
      sym_text_interpolation,
    ACTIONS(2541), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [74807] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(947), 1,
      sym_compound_statement,
    STATE(2441), 1,
      sym_text_interpolation,
  [74823] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1766), 1,
      sym_declaration_list,
    STATE(2442), 1,
      sym_text_interpolation,
  [74839] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(2062), 1,
      sym_formal_parameters,
    STATE(2443), 1,
      sym_text_interpolation,
  [74855] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    STATE(2176), 1,
      sym_declaration_list,
    STATE(2444), 1,
      sym_text_interpolation,
  [74871] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_LPAREN,
    STATE(1779), 1,
      sym_formal_parameters,
    STATE(2445), 1,
      sym_text_interpolation,
  [74887] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1788), 1,
      sym_declaration_list,
    STATE(2446), 1,
      sym_text_interpolation,
  [74903] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1767), 1,
      sym_declaration_list,
    STATE(2447), 1,
      sym_text_interpolation,
  [74919] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2448), 1,
      sym_text_interpolation,
    ACTIONS(4235), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74933] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4614), 1,
      sym__new_line,
    ACTIONS(4616), 1,
      sym_heredoc_end,
    STATE(2449), 1,
      sym_text_interpolation,
  [74949] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(4618), 1,
      sym__new_line,
    ACTIONS(4620), 1,
      sym_heredoc_end,
    STATE(2450), 1,
      sym_text_interpolation,
  [74965] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2451), 1,
      sym_text_interpolation,
    ACTIONS(4622), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74979] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    STATE(918), 1,
      sym_declaration_list,
    STATE(2452), 1,
      sym_text_interpolation,
  [74995] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    STATE(951), 1,
      sym_declaration_list,
    STATE(2453), 1,
      sym_text_interpolation,
  [75011] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2454), 1,
      sym_text_interpolation,
    ACTIONS(4625), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75025] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4627), 1,
      anon_sym_SEMI,
    ACTIONS(4629), 1,
      sym__automatic_semicolon,
    STATE(2455), 1,
      sym_text_interpolation,
  [75041] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2456), 1,
      sym_text_interpolation,
    ACTIONS(4631), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75055] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2457), 1,
      sym_text_interpolation,
    ACTIONS(1669), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75069] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2458), 1,
      sym_text_interpolation,
    ACTIONS(4633), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75083] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1065), 1,
      sym_declaration_list,
    STATE(2459), 1,
      sym_text_interpolation,
  [75099] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1066), 1,
      sym_declaration_list,
    STATE(2460), 1,
      sym_text_interpolation,
  [75115] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2461), 1,
      sym_text_interpolation,
    ACTIONS(3481), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75129] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2462), 1,
      sym_text_interpolation,
    ACTIONS(4635), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [75143] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2140), 1,
      sym_compound_statement,
    STATE(2463), 1,
      sym_text_interpolation,
  [75159] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2464), 1,
      sym_text_interpolation,
    ACTIONS(3927), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75173] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2465), 1,
      sym_text_interpolation,
    ACTIONS(4637), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75187] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(2419), 1,
      sym_variable_name,
    STATE(2466), 1,
      sym_text_interpolation,
  [75203] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(2070), 1,
      sym_variable_name,
    STATE(2467), 1,
      sym_text_interpolation,
  [75219] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2185), 1,
      sym_compound_statement,
    STATE(2468), 1,
      sym_text_interpolation,
  [75235] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2469), 1,
      sym_text_interpolation,
    ACTIONS(4639), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75249] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(361), 1,
      anon_sym_COLON,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2470), 1,
      sym_text_interpolation,
    STATE(2578), 1,
      sym_colon_block,
  [75265] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4465), 1,
      anon_sym_LPAREN,
    STATE(2370), 1,
      sym_parenthesized_expression,
    STATE(2471), 1,
      sym_text_interpolation,
  [75281] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1123), 1,
      sym_compound_statement,
    STATE(2472), 1,
      sym_text_interpolation,
  [75297] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    STATE(83), 1,
      sym_parenthesized_expression,
    STATE(2473), 1,
      sym_text_interpolation,
  [75313] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(2413), 1,
      sym_variable_name,
    STATE(2474), 1,
      sym_text_interpolation,
  [75329] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2475), 1,
      sym_text_interpolation,
    ACTIONS(4641), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75343] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    STATE(61), 1,
      sym_parenthesized_expression,
    STATE(2476), 1,
      sym_text_interpolation,
  [75359] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4463), 1,
      anon_sym_LPAREN,
    STATE(24), 1,
      sym_parenthesized_expression,
    STATE(2477), 1,
      sym_text_interpolation,
  [75375] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2565), 1,
      anon_sym_RPAREN,
    ACTIONS(4461), 1,
      anon_sym_EQ,
    STATE(2478), 1,
      sym_text_interpolation,
  [75391] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(959), 1,
      sym_compound_statement,
    STATE(2479), 1,
      sym_text_interpolation,
  [75407] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_DOLLAR,
    STATE(2410), 1,
      sym_variable_name,
    STATE(2480), 1,
      sym_text_interpolation,
  [75423] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2481), 1,
      sym_text_interpolation,
    ACTIONS(4643), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75437] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3549), 1,
      anon_sym_LBRACE,
    STATE(2120), 1,
      sym_enum_declaration_list,
    STATE(2482), 1,
      sym_text_interpolation,
  [75453] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_LBRACE,
    STATE(1757), 1,
      sym_declaration_list,
    STATE(2483), 1,
      sym_text_interpolation,
  [75469] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2484), 1,
      sym_text_interpolation,
    ACTIONS(4645), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75483] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2485), 1,
      sym_text_interpolation,
    ACTIONS(2499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75497] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(955), 1,
      sym_compound_statement,
    STATE(2486), 1,
      sym_text_interpolation,
  [75513] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_LPAREN,
    STATE(1682), 1,
      sym_formal_parameters,
    STATE(2487), 1,
      sym_text_interpolation,
  [75529] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(957), 1,
      sym_compound_statement,
    STATE(2488), 1,
      sym_text_interpolation,
  [75545] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1119), 1,
      sym_compound_statement,
    STATE(2489), 1,
      sym_text_interpolation,
  [75561] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3471), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_declaration_list,
    STATE(2490), 1,
      sym_text_interpolation,
  [75577] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2491), 1,
      sym_text_interpolation,
    ACTIONS(4647), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75591] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2492), 1,
      sym_text_interpolation,
    ACTIONS(4348), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [75605] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(956), 1,
      sym_compound_statement,
    STATE(2493), 1,
      sym_text_interpolation,
  [75621] = 5,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3467), 1,
      anon_sym_LBRACE,
    STATE(1112), 1,
      sym_compound_statement,
    STATE(2494), 1,
      sym_text_interpolation,
  [75637] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4109), 1,
      sym_name,
    STATE(2495), 1,
      sym_text_interpolation,
  [75650] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4212), 1,
      anon_sym_RBRACE,
    STATE(2496), 1,
      sym_text_interpolation,
  [75663] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4649), 1,
      sym_name,
    STATE(2497), 1,
      sym_text_interpolation,
  [75676] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4651), 1,
      anon_sym_EQ_GT,
    STATE(2498), 1,
      sym_text_interpolation,
  [75689] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2361), 1,
      anon_sym_STAR_STAR,
    STATE(2499), 1,
      sym_text_interpolation,
  [75702] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4350), 1,
      anon_sym_LBRACE,
    STATE(2500), 1,
      sym_text_interpolation,
  [75715] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4653), 1,
      anon_sym_EQ,
    STATE(2501), 1,
      sym_text_interpolation,
  [75728] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4655), 1,
      anon_sym_RPAREN,
    STATE(2502), 1,
      sym_text_interpolation,
  [75741] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(869), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2503), 1,
      sym_text_interpolation,
  [75754] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4657), 1,
      anon_sym_RPAREN,
    STATE(2504), 1,
      sym_text_interpolation,
  [75767] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2565), 1,
      anon_sym_RPAREN,
    STATE(2505), 1,
      sym_text_interpolation,
  [75780] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4659), 1,
      anon_sym_COLON_COLON,
    STATE(2506), 1,
      sym_text_interpolation,
  [75793] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4661), 1,
      anon_sym_EQ,
    STATE(2507), 1,
      sym_text_interpolation,
  [75806] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2508), 1,
      sym_text_interpolation,
  [75819] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4663), 1,
      anon_sym_EQ_GT,
    STATE(2509), 1,
      sym_text_interpolation,
  [75832] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4665), 1,
      anon_sym_RPAREN,
    STATE(2510), 1,
      sym_text_interpolation,
  [75845] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4667), 1,
      anon_sym_RPAREN,
    STATE(2511), 1,
      sym_text_interpolation,
  [75858] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4669), 1,
      sym_name,
    STATE(2512), 1,
      sym_text_interpolation,
  [75871] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2291), 1,
      anon_sym_STAR_STAR,
    STATE(2513), 1,
      sym_text_interpolation,
  [75884] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4671), 1,
      aux_sym_if_statement_token2,
    STATE(2514), 1,
      sym_text_interpolation,
  [75897] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4673), 1,
      anon_sym_EQ_GT,
    STATE(2515), 1,
      sym_text_interpolation,
  [75910] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4675), 1,
      sym_name,
    STATE(2516), 1,
      sym_text_interpolation,
  [75923] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4677), 1,
      anon_sym_EQ_GT,
    STATE(2517), 1,
      sym_text_interpolation,
  [75936] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4679), 1,
      anon_sym_EQ_GT,
    STATE(2518), 1,
      sym_text_interpolation,
  [75949] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4461), 1,
      anon_sym_EQ,
    STATE(2519), 1,
      sym_text_interpolation,
  [75962] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4681), 1,
      anon_sym_COLON_COLON,
    STATE(2520), 1,
      sym_text_interpolation,
  [75975] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3619), 1,
      sym_name,
    STATE(2521), 1,
      sym_text_interpolation,
  [75988] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4683), 1,
      anon_sym_RBRACK,
    STATE(2522), 1,
      sym_text_interpolation,
  [76001] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4685), 1,
      anon_sym_BSLASH,
    STATE(2523), 1,
      sym_text_interpolation,
  [76014] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4687), 1,
      sym_name,
    STATE(2524), 1,
      sym_text_interpolation,
  [76027] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4689), 1,
      sym_integer,
    STATE(2525), 1,
      sym_text_interpolation,
  [76040] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4691), 1,
      anon_sym_RBRACK,
    STATE(2526), 1,
      sym_text_interpolation,
  [76053] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4693), 1,
      anon_sym_RPAREN,
    STATE(2527), 1,
      sym_text_interpolation,
  [76066] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4695), 1,
      aux_sym_class_declaration_token1,
    STATE(2528), 1,
      sym_text_interpolation,
  [76079] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4697), 1,
      sym_name,
    STATE(2529), 1,
      sym_text_interpolation,
  [76092] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4699), 1,
      sym_heredoc_end,
    STATE(2530), 1,
      sym_text_interpolation,
  [76105] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4701), 1,
      sym_heredoc_end,
    STATE(2531), 1,
      sym_text_interpolation,
  [76118] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4703), 1,
      anon_sym_EQ,
    STATE(2532), 1,
      sym_text_interpolation,
  [76131] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4705), 1,
      anon_sym_RBRACK,
    STATE(2533), 1,
      sym_text_interpolation,
  [76144] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4707), 1,
      aux_sym_class_declaration_token1,
    STATE(2534), 1,
      sym_text_interpolation,
  [76157] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4709), 1,
      sym_name,
    STATE(2535), 1,
      sym_text_interpolation,
  [76170] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4711), 1,
      anon_sym_EQ_GT,
    STATE(2536), 1,
      sym_text_interpolation,
  [76183] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4713), 1,
      anon_sym_RPAREN,
    STATE(2537), 1,
      sym_text_interpolation,
  [76196] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4166), 1,
      anon_sym_RPAREN,
    STATE(2538), 1,
      sym_text_interpolation,
  [76209] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4715), 1,
      anon_sym_DQUOTE2,
    STATE(2539), 1,
      sym_text_interpolation,
  [76222] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4717), 1,
      anon_sym_SQUOTE2,
    STATE(2540), 1,
      sym_text_interpolation,
  [76235] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4719), 1,
      anon_sym_EQ_GT,
    STATE(2541), 1,
      sym_text_interpolation,
  [76248] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4721), 1,
      sym_name,
    STATE(2542), 1,
      sym_text_interpolation,
  [76261] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4723), 1,
      sym_name,
    STATE(2543), 1,
      sym_text_interpolation,
  [76274] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4725), 1,
      sym_heredoc_end,
    STATE(2544), 1,
      sym_text_interpolation,
  [76287] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4727), 1,
      sym_heredoc_end,
    STATE(2545), 1,
      sym_text_interpolation,
  [76300] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4729), 1,
      aux_sym_foreach_statement_token2,
    STATE(2546), 1,
      sym_text_interpolation,
  [76313] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4731), 1,
      anon_sym_RPAREN,
    STATE(2547), 1,
      sym_text_interpolation,
  [76326] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_LBRACE,
    STATE(2548), 1,
      sym_text_interpolation,
  [76339] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4733), 1,
      anon_sym_RPAREN,
    STATE(2549), 1,
      sym_text_interpolation,
  [76352] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(847), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2550), 1,
      sym_text_interpolation,
  [76365] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4735), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      sym_text_interpolation,
  [76378] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4139), 1,
      anon_sym_RBRACE,
    STATE(2552), 1,
      sym_text_interpolation,
  [76391] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4737), 1,
      sym_name,
    STATE(2553), 1,
      sym_text_interpolation,
  [76404] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4083), 1,
      anon_sym_RBRACK,
    STATE(2554), 1,
      sym_text_interpolation,
  [76417] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4180), 1,
      sym_name,
    STATE(2555), 1,
      sym_text_interpolation,
  [76430] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4739), 1,
      anon_sym_SEMI,
    STATE(2556), 1,
      sym_text_interpolation,
  [76443] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4741), 1,
      aux_sym_if_statement_token2,
    STATE(2557), 1,
      sym_text_interpolation,
  [76456] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4743), 1,
      aux_sym_while_statement_token2,
    STATE(2558), 1,
      sym_text_interpolation,
  [76469] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_RPAREN,
    STATE(2559), 1,
      sym_text_interpolation,
  [76482] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4745), 1,
      anon_sym_LPAREN,
    STATE(2560), 1,
      sym_text_interpolation,
  [76495] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_RPAREN,
    STATE(2561), 1,
      sym_text_interpolation,
  [76508] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4749), 1,
      anon_sym_EQ,
    STATE(2562), 1,
      sym_text_interpolation,
  [76521] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(863), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2563), 1,
      sym_text_interpolation,
  [76534] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4133), 1,
      anon_sym_RPAREN,
    STATE(2564), 1,
      sym_text_interpolation,
  [76547] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4751), 1,
      anon_sym_RPAREN,
    STATE(2565), 1,
      sym_text_interpolation,
  [76560] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4753), 1,
      anon_sym_EQ_GT,
    STATE(2566), 1,
      sym_text_interpolation,
  [76573] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4755), 1,
      sym_name,
    STATE(2567), 1,
      sym_text_interpolation,
  [76586] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_STAR_STAR,
    STATE(2568), 1,
      sym_text_interpolation,
  [76599] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(887), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2569), 1,
      sym_text_interpolation,
  [76612] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4757), 1,
      anon_sym_SEMI,
    STATE(2570), 1,
      sym_text_interpolation,
  [76625] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2593), 1,
      anon_sym_RPAREN,
    STATE(2571), 1,
      sym_text_interpolation,
  [76638] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4759), 1,
      aux_sym_if_statement_token2,
    STATE(2572), 1,
      sym_text_interpolation,
  [76651] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4761), 1,
      anon_sym_RPAREN,
    STATE(2573), 1,
      sym_text_interpolation,
  [76664] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4763), 1,
      anon_sym_EQ_GT,
    STATE(2574), 1,
      sym_text_interpolation,
  [76677] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4765), 1,
      anon_sym_EQ,
    STATE(2575), 1,
      sym_text_interpolation,
  [76690] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4767), 1,
      anon_sym_COLON_COLON,
    STATE(2576), 1,
      sym_text_interpolation,
  [76703] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4769), 1,
      anon_sym_RPAREN,
    STATE(2577), 1,
      sym_text_interpolation,
  [76716] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4771), 1,
      aux_sym_if_statement_token2,
    STATE(2578), 1,
      sym_text_interpolation,
  [76729] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4773), 1,
      anon_sym_EQ,
    STATE(2579), 1,
      sym_text_interpolation,
  [76742] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4775), 1,
      aux_sym_if_statement_token2,
    STATE(2580), 1,
      sym_text_interpolation,
  [76755] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4777), 1,
      anon_sym_LPAREN,
    STATE(2581), 1,
      sym_text_interpolation,
  [76768] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4779), 1,
      sym_name,
    STATE(2582), 1,
      sym_text_interpolation,
  [76781] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4781), 1,
      sym_name,
    STATE(2583), 1,
      sym_text_interpolation,
  [76794] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4783), 1,
      sym_name,
    STATE(2584), 1,
      sym_text_interpolation,
  [76807] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4785), 1,
      anon_sym_RPAREN,
    STATE(2585), 1,
      sym_text_interpolation,
  [76820] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4787), 1,
      sym_name,
    STATE(2586), 1,
      sym_text_interpolation,
  [76833] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4789), 1,
      anon_sym_DQUOTE2,
    STATE(2587), 1,
      sym_text_interpolation,
  [76846] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4791), 1,
      anon_sym_SQUOTE2,
    STATE(2588), 1,
      sym_text_interpolation,
  [76859] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4117), 1,
      anon_sym_RPAREN,
    STATE(2589), 1,
      sym_text_interpolation,
  [76872] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4793), 1,
      anon_sym_COLON_COLON,
    STATE(2590), 1,
      sym_text_interpolation,
  [76885] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4795), 1,
      sym_name,
    STATE(2591), 1,
      sym_text_interpolation,
  [76898] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4797), 1,
      sym_name,
    STATE(2592), 1,
      sym_text_interpolation,
  [76911] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4799), 1,
      anon_sym_RPAREN,
    STATE(2593), 1,
      sym_text_interpolation,
  [76924] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4801), 1,
      anon_sym_BSLASH,
    STATE(2594), 1,
      sym_text_interpolation,
  [76937] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4803), 1,
      anon_sym_BSLASH,
    STATE(2595), 1,
      sym_text_interpolation,
  [76950] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4805), 1,
      anon_sym_RPAREN,
    STATE(2596), 1,
      sym_text_interpolation,
  [76963] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4807), 1,
      anon_sym_RBRACK,
    STATE(2597), 1,
      sym_text_interpolation,
  [76976] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4809), 1,
      anon_sym_BSLASH,
    STATE(2598), 1,
      sym_text_interpolation,
  [76989] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4811), 1,
      aux_sym_while_statement_token2,
    STATE(2599), 1,
      sym_text_interpolation,
  [77002] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4813), 1,
      anon_sym_RPAREN,
    STATE(2600), 1,
      sym_text_interpolation,
  [77015] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4815), 1,
      anon_sym_RPAREN,
    STATE(2601), 1,
      sym_text_interpolation,
  [77028] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4817), 1,
      sym_name,
    STATE(2602), 1,
      sym_text_interpolation,
  [77041] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4819), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2603), 1,
      sym_text_interpolation,
  [77054] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4101), 1,
      aux_sym_class_declaration_token1,
    STATE(2604), 1,
      sym_text_interpolation,
  [77067] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4821), 1,
      sym_name,
    STATE(2605), 1,
      sym_text_interpolation,
  [77080] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4823), 1,
      sym_name,
    STATE(2606), 1,
      sym_text_interpolation,
  [77093] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4825), 1,
      sym_name,
    STATE(2607), 1,
      sym_text_interpolation,
  [77106] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3299), 1,
      anon_sym_EQ,
    STATE(2608), 1,
      sym_text_interpolation,
  [77119] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4827), 1,
      sym_name,
    STATE(2609), 1,
      sym_text_interpolation,
  [77132] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4829), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      sym_text_interpolation,
  [77145] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(857), 1,
      anon_sym_SEMI,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2611), 1,
      sym_text_interpolation,
  [77158] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4831), 1,
      anon_sym_EQ_GT,
    STATE(2612), 1,
      sym_text_interpolation,
  [77171] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4833), 1,
      sym_name,
    STATE(2613), 1,
      sym_text_interpolation,
  [77184] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4835), 1,
      sym_heredoc_start,
    STATE(2614), 1,
      sym_text_interpolation,
  [77197] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4837), 1,
      sym_heredoc_start,
    STATE(2615), 1,
      sym_text_interpolation,
  [77210] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4839), 1,
      sym_name,
    STATE(2616), 1,
      sym_text_interpolation,
  [77223] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4841), 1,
      aux_sym_class_declaration_token1,
    STATE(2617), 1,
      sym_text_interpolation,
  [77236] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4097), 1,
      aux_sym_class_declaration_token1,
    STATE(2618), 1,
      sym_text_interpolation,
  [77249] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4843), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(2619), 1,
      sym_text_interpolation,
  [77262] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4845), 1,
      anon_sym_BSLASH,
    STATE(2620), 1,
      sym_text_interpolation,
  [77275] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4847), 1,
      anon_sym_EQ_GT,
    STATE(2621), 1,
      sym_text_interpolation,
  [77288] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_RPAREN,
    STATE(2622), 1,
      sym_text_interpolation,
  [77301] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4849), 1,
      anon_sym_RPAREN,
    STATE(2623), 1,
      sym_text_interpolation,
  [77314] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4851), 1,
      aux_sym_while_statement_token1,
    STATE(2624), 1,
      sym_text_interpolation,
  [77327] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4853), 1,
      sym_heredoc_start,
    STATE(2625), 1,
      sym_text_interpolation,
  [77340] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym_heredoc_start,
    STATE(2626), 1,
      sym_text_interpolation,
  [77353] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4857), 1,
      aux_sym_class_declaration_token1,
    STATE(2627), 1,
      sym_text_interpolation,
  [77366] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4859), 1,
      anon_sym_EQ_GT,
    STATE(2628), 1,
      sym_text_interpolation,
  [77379] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4861), 1,
      anon_sym_COLON_COLON,
    STATE(2629), 1,
      sym_text_interpolation,
  [77392] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4085), 1,
      aux_sym_class_declaration_token1,
    STATE(2630), 1,
      sym_text_interpolation,
  [77405] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4863), 1,
      anon_sym_BSLASH,
    STATE(2631), 1,
      sym_text_interpolation,
  [77418] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4865), 1,
      anon_sym_BSLASH,
    STATE(2632), 1,
      sym_text_interpolation,
  [77431] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2215), 1,
      anon_sym_STAR_STAR,
    STATE(2633), 1,
      sym_text_interpolation,
  [77444] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4867), 1,
      anon_sym_RBRACK,
    STATE(2634), 1,
      sym_text_interpolation,
  [77457] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4869), 1,
      anon_sym_RPAREN,
    STATE(2635), 1,
      sym_text_interpolation,
  [77470] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4871), 1,
      sym_name,
    STATE(2636), 1,
      sym_text_interpolation,
  [77483] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_LPAREN,
    STATE(2637), 1,
      sym_text_interpolation,
  [77496] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4873), 1,
      sym_name,
    STATE(2638), 1,
      sym_text_interpolation,
  [77509] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4875), 1,
      aux_sym_class_declaration_token1,
    STATE(2639), 1,
      sym_text_interpolation,
  [77522] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4877), 1,
      anon_sym_BSLASH,
    STATE(2640), 1,
      sym_text_interpolation,
  [77535] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4879), 1,
      aux_sym_class_declaration_token1,
    STATE(2641), 1,
      sym_text_interpolation,
  [77548] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4073), 1,
      anon_sym_RPAREN,
    STATE(2642), 1,
      sym_text_interpolation,
  [77561] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4881), 1,
      sym_name,
    STATE(2643), 1,
      sym_text_interpolation,
  [77574] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(845), 1,
      anon_sym_SEMI,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2644), 1,
      sym_text_interpolation,
  [77587] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4883), 1,
      aux_sym_while_statement_token1,
    STATE(2645), 1,
      sym_text_interpolation,
  [77600] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4885), 1,
      sym_name,
    STATE(2646), 1,
      sym_text_interpolation,
  [77613] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4887), 1,
      sym_name,
    STATE(2647), 1,
      sym_text_interpolation,
  [77626] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4889), 1,
      anon_sym_COLON_COLON,
    STATE(2648), 1,
      sym_text_interpolation,
  [77639] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(855), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2649), 1,
      sym_text_interpolation,
  [77652] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4891), 1,
      anon_sym_COLON_COLON,
    STATE(2650), 1,
      sym_text_interpolation,
  [77665] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4893), 1,
      anon_sym_SEMI,
    STATE(2651), 1,
      sym_text_interpolation,
  [77678] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2535), 1,
      anon_sym_RPAREN,
    STATE(2652), 1,
      sym_text_interpolation,
  [77691] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4895), 1,
      anon_sym_RPAREN,
    STATE(2653), 1,
      sym_text_interpolation,
  [77704] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4364), 1,
      anon_sym_RPAREN,
    STATE(2654), 1,
      sym_text_interpolation,
  [77717] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(861), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2655), 1,
      sym_text_interpolation,
  [77730] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_RPAREN,
    STATE(2656), 1,
      sym_text_interpolation,
  [77743] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4897), 1,
      anon_sym_RPAREN,
    STATE(2657), 1,
      sym_text_interpolation,
  [77756] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4899), 1,
      anon_sym_COLON_COLON,
    STATE(2658), 1,
      sym_text_interpolation,
  [77769] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4147), 1,
      anon_sym_RBRACK,
    STATE(2659), 1,
      sym_text_interpolation,
  [77782] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4901), 1,
      anon_sym_RPAREN,
    STATE(2660), 1,
      sym_text_interpolation,
  [77795] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(843), 1,
      anon_sym_RPAREN,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2661), 1,
      sym_text_interpolation,
  [77808] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3577), 1,
      anon_sym_BSLASH,
    STATE(2662), 1,
      sym_text_interpolation,
  [77821] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4903), 1,
      ts_builtin_sym_end,
    STATE(2663), 1,
      sym_text_interpolation,
  [77834] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4384), 1,
      anon_sym_RPAREN,
    STATE(2664), 1,
      sym_text_interpolation,
  [77847] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4905), 1,
      anon_sym_BSLASH,
    STATE(2665), 1,
      sym_text_interpolation,
  [77860] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4907), 1,
      anon_sym_COLON_COLON,
    STATE(2666), 1,
      sym_text_interpolation,
  [77873] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4909), 1,
      sym_name,
    STATE(2667), 1,
      sym_text_interpolation,
  [77886] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4911), 1,
      anon_sym_COLON_COLON,
    STATE(2668), 1,
      sym_text_interpolation,
  [77899] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3633), 1,
      sym_name,
    STATE(2669), 1,
      sym_text_interpolation,
  [77912] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4913), 1,
      anon_sym_LPAREN,
    STATE(2670), 1,
      sym_text_interpolation,
  [77925] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4915), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(2671), 1,
      sym_text_interpolation,
  [77938] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(3565), 1,
      anon_sym_COLON_COLON,
    STATE(2672), 1,
      sym_text_interpolation,
  [77951] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4917), 1,
      anon_sym_COLON_COLON,
    STATE(2673), 1,
      sym_text_interpolation,
  [77964] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4406), 1,
      anon_sym_RPAREN,
    STATE(2674), 1,
      sym_text_interpolation,
  [77977] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_SEMI,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2675), 1,
      sym_text_interpolation,
  [77990] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4919), 1,
      anon_sym_EQ,
    STATE(2676), 1,
      sym_text_interpolation,
  [78003] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_EQ_GT,
    STATE(2677), 1,
      sym_text_interpolation,
  [78016] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4923), 1,
      sym_name,
    STATE(2678), 1,
      sym_text_interpolation,
  [78029] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4925), 1,
      anon_sym_SEMI,
    STATE(2679), 1,
      sym_text_interpolation,
  [78042] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4927), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(2680), 1,
      sym_text_interpolation,
  [78055] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4929), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2681), 1,
      sym_text_interpolation,
  [78068] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4048), 1,
      aux_sym_class_declaration_token1,
    STATE(2682), 1,
      sym_text_interpolation,
  [78081] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4931), 1,
      anon_sym_EQ,
    STATE(2683), 1,
      sym_text_interpolation,
  [78094] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4933), 1,
      anon_sym_BSLASH,
    STATE(2684), 1,
      sym_text_interpolation,
  [78107] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4935), 1,
      sym_name,
    STATE(2685), 1,
      sym_text_interpolation,
  [78120] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4052), 1,
      anon_sym_RPAREN,
    STATE(2686), 1,
      sym_text_interpolation,
  [78133] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4937), 1,
      anon_sym_LPAREN,
    STATE(2687), 1,
      sym_text_interpolation,
  [78146] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4939), 1,
      aux_sym_foreach_statement_token2,
    STATE(2688), 1,
      sym_text_interpolation,
  [78159] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4941), 1,
      anon_sym_COLON_COLON,
    STATE(2689), 1,
      sym_text_interpolation,
  [78172] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4943), 1,
      sym_heredoc_end,
    STATE(2690), 1,
      sym_text_interpolation,
  [78185] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_LPAREN,
    STATE(2691), 1,
      sym_text_interpolation,
  [78198] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4947), 1,
      anon_sym_LPAREN,
    STATE(2692), 1,
      sym_text_interpolation,
  [78211] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4949), 1,
      anon_sym_LPAREN,
    STATE(2693), 1,
      sym_text_interpolation,
  [78224] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4951), 1,
      anon_sym_LPAREN,
    STATE(2694), 1,
      sym_text_interpolation,
  [78237] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4953), 1,
      sym_heredoc_end,
    STATE(2695), 1,
      sym_text_interpolation,
  [78250] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_RPAREN,
    STATE(2696), 1,
      sym_text_interpolation,
  [78263] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4955), 1,
      sym_name,
    STATE(2697), 1,
      sym_text_interpolation,
  [78276] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4957), 1,
      anon_sym_EQ_GT,
    STATE(2698), 1,
      sym_text_interpolation,
  [78289] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4959), 1,
      anon_sym_COLON_COLON,
    STATE(2699), 1,
      sym_text_interpolation,
  [78302] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4961), 1,
      anon_sym_RPAREN,
    STATE(2700), 1,
      sym_text_interpolation,
  [78315] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4963), 1,
      anon_sym_LPAREN,
    STATE(2701), 1,
      sym_text_interpolation,
  [78328] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4965), 1,
      anon_sym_LPAREN,
    STATE(2702), 1,
      sym_text_interpolation,
  [78341] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4967), 1,
      anon_sym_SEMI,
    STATE(2703), 1,
      sym_text_interpolation,
  [78354] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4969), 1,
      anon_sym_LPAREN,
    STATE(2704), 1,
      sym_text_interpolation,
  [78367] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(881), 1,
      anon_sym_SEMI,
    ACTIONS(1698), 1,
      sym_comment,
    STATE(2705), 1,
      sym_text_interpolation,
  [78380] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4971), 1,
      anon_sym_LPAREN,
    STATE(2706), 1,
      sym_text_interpolation,
  [78393] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4973), 1,
      sym_name,
    STATE(2707), 1,
      sym_text_interpolation,
  [78406] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4975), 1,
      anon_sym_SEMI,
    STATE(2708), 1,
      sym_text_interpolation,
  [78419] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4977), 1,
      anon_sym_LPAREN,
    STATE(2709), 1,
      sym_text_interpolation,
  [78432] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4979), 1,
      sym_name,
    STATE(2710), 1,
      sym_text_interpolation,
  [78445] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4981), 1,
      anon_sym_SEMI,
    STATE(2711), 1,
      sym_text_interpolation,
  [78458] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4983), 1,
      sym_name,
    STATE(2712), 1,
      sym_text_interpolation,
  [78471] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4985), 1,
      anon_sym_LPAREN,
    STATE(2713), 1,
      sym_text_interpolation,
  [78484] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_LPAREN,
    STATE(2714), 1,
      sym_text_interpolation,
  [78497] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4989), 1,
      sym_name,
    STATE(2715), 1,
      sym_text_interpolation,
  [78510] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_RPAREN,
    STATE(2716), 1,
      sym_text_interpolation,
  [78523] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4105), 1,
      anon_sym_RPAREN,
    STATE(2717), 1,
      sym_text_interpolation,
  [78536] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4991), 1,
      anon_sym_SEMI,
    STATE(2718), 1,
      sym_text_interpolation,
  [78549] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4416), 1,
      anon_sym_RPAREN,
    STATE(2719), 1,
      sym_text_interpolation,
  [78562] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4993), 1,
      anon_sym_LPAREN,
    STATE(2720), 1,
      sym_text_interpolation,
  [78575] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4995), 1,
      anon_sym_LPAREN,
    STATE(2721), 1,
      sym_text_interpolation,
  [78588] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4997), 1,
      anon_sym_LPAREN,
    STATE(2722), 1,
      sym_text_interpolation,
  [78601] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(4999), 1,
      anon_sym_LPAREN,
    STATE(2723), 1,
      sym_text_interpolation,
  [78614] = 4,
    ACTIONS(18), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1698), 1,
      sym_comment,
    ACTIONS(5001), 1,
      anon_sym_RPAREN,
    STATE(2724), 1,
      sym_text_interpolation,
  [78627] = 1,
    ACTIONS(5003), 1,
      ts_builtin_sym_end,
  [78631] = 1,
    ACTIONS(5005), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(582)] = 0,
  [SMALL_STATE(583)] = 79,
  [SMALL_STATE(584)] = 158,
  [SMALL_STATE(585)] = 245,
  [SMALL_STATE(586)] = 324,
  [SMALL_STATE(587)] = 403,
  [SMALL_STATE(588)] = 482,
  [SMALL_STATE(589)] = 556,
  [SMALL_STATE(590)] = 630,
  [SMALL_STATE(591)] = 704,
  [SMALL_STATE(592)] = 778,
  [SMALL_STATE(593)] = 852,
  [SMALL_STATE(594)] = 926,
  [SMALL_STATE(595)] = 1000,
  [SMALL_STATE(596)] = 1074,
  [SMALL_STATE(597)] = 1148,
  [SMALL_STATE(598)] = 1222,
  [SMALL_STATE(599)] = 1296,
  [SMALL_STATE(600)] = 1370,
  [SMALL_STATE(601)] = 1444,
  [SMALL_STATE(602)] = 1529,
  [SMALL_STATE(603)] = 1614,
  [SMALL_STATE(604)] = 1695,
  [SMALL_STATE(605)] = 1779,
  [SMALL_STATE(606)] = 1863,
  [SMALL_STATE(607)] = 1938,
  [SMALL_STATE(608)] = 2027,
  [SMALL_STATE(609)] = 2106,
  [SMALL_STATE(610)] = 2185,
  [SMALL_STATE(611)] = 2268,
  [SMALL_STATE(612)] = 2343,
  [SMALL_STATE(613)] = 2418,
  [SMALL_STATE(614)] = 2493,
  [SMALL_STATE(615)] = 2576,
  [SMALL_STATE(616)] = 2659,
  [SMALL_STATE(617)] = 2734,
  [SMALL_STATE(618)] = 2817,
  [SMALL_STATE(619)] = 2887,
  [SMALL_STATE(620)] = 2957,
  [SMALL_STATE(621)] = 3035,
  [SMALL_STATE(622)] = 3105,
  [SMALL_STATE(623)] = 3175,
  [SMALL_STATE(624)] = 3253,
  [SMALL_STATE(625)] = 3323,
  [SMALL_STATE(626)] = 3405,
  [SMALL_STATE(627)] = 3475,
  [SMALL_STATE(628)] = 3545,
  [SMALL_STATE(629)] = 3615,
  [SMALL_STATE(630)] = 3685,
  [SMALL_STATE(631)] = 3755,
  [SMALL_STATE(632)] = 3825,
  [SMALL_STATE(633)] = 3907,
  [SMALL_STATE(634)] = 3991,
  [SMALL_STATE(635)] = 4075,
  [SMALL_STATE(636)] = 4145,
  [SMALL_STATE(637)] = 4215,
  [SMALL_STATE(638)] = 4285,
  [SMALL_STATE(639)] = 4355,
  [SMALL_STATE(640)] = 4439,
  [SMALL_STATE(641)] = 4509,
  [SMALL_STATE(642)] = 4579,
  [SMALL_STATE(643)] = 4656,
  [SMALL_STATE(644)] = 4733,
  [SMALL_STATE(645)] = 4816,
  [SMALL_STATE(646)] = 4893,
  [SMALL_STATE(647)] = 4970,
  [SMALL_STATE(648)] = 5053,
  [SMALL_STATE(649)] = 5131,
  [SMALL_STATE(650)] = 5209,
  [SMALL_STATE(651)] = 5285,
  [SMALL_STATE(652)] = 5361,
  [SMALL_STATE(653)] = 5439,
  [SMALL_STATE(654)] = 5516,
  [SMALL_STATE(655)] = 5580,
  [SMALL_STATE(656)] = 5693,
  [SMALL_STATE(657)] = 5806,
  [SMALL_STATE(658)] = 5871,
  [SMALL_STATE(659)] = 5936,
  [SMALL_STATE(660)] = 6047,
  [SMALL_STATE(661)] = 6112,
  [SMALL_STATE(662)] = 6183,
  [SMALL_STATE(663)] = 6248,
  [SMALL_STATE(664)] = 6319,
  [SMALL_STATE(665)] = 6386,
  [SMALL_STATE(666)] = 6455,
  [SMALL_STATE(667)] = 6526,
  [SMALL_STATE(668)] = 6597,
  [SMALL_STATE(669)] = 6662,
  [SMALL_STATE(670)] = 6723,
  [SMALL_STATE(671)] = 6834,
  [SMALL_STATE(672)] = 6894,
  [SMALL_STATE(673)] = 6954,
  [SMALL_STATE(674)] = 7014,
  [SMALL_STATE(675)] = 7074,
  [SMALL_STATE(676)] = 7182,
  [SMALL_STATE(677)] = 7246,
  [SMALL_STATE(678)] = 7356,
  [SMALL_STATE(679)] = 7416,
  [SMALL_STATE(680)] = 7476,
  [SMALL_STATE(681)] = 7584,
  [SMALL_STATE(682)] = 7644,
  [SMALL_STATE(683)] = 7704,
  [SMALL_STATE(684)] = 7764,
  [SMALL_STATE(685)] = 7824,
  [SMALL_STATE(686)] = 7884,
  [SMALL_STATE(687)] = 7994,
  [SMALL_STATE(688)] = 8054,
  [SMALL_STATE(689)] = 8114,
  [SMALL_STATE(690)] = 8174,
  [SMALL_STATE(691)] = 8234,
  [SMALL_STATE(692)] = 8342,
  [SMALL_STATE(693)] = 8402,
  [SMALL_STATE(694)] = 8462,
  [SMALL_STATE(695)] = 8570,
  [SMALL_STATE(696)] = 8634,
  [SMALL_STATE(697)] = 8697,
  [SMALL_STATE(698)] = 8760,
  [SMALL_STATE(699)] = 8823,
  [SMALL_STATE(700)] = 8926,
  [SMALL_STATE(701)] = 8991,
  [SMALL_STATE(702)] = 9054,
  [SMALL_STATE(703)] = 9117,
  [SMALL_STATE(704)] = 9182,
  [SMALL_STATE(705)] = 9287,
  [SMALL_STATE(706)] = 9348,
  [SMALL_STATE(707)] = 9411,
  [SMALL_STATE(708)] = 9474,
  [SMALL_STATE(709)] = 9581,
  [SMALL_STATE(710)] = 9644,
  [SMALL_STATE(711)] = 9707,
  [SMALL_STATE(712)] = 9810,
  [SMALL_STATE(713)] = 9873,
  [SMALL_STATE(714)] = 9938,
  [SMALL_STATE(715)] = 10001,
  [SMALL_STATE(716)] = 10102,
  [SMALL_STATE(717)] = 10163,
  [SMALL_STATE(718)] = 10228,
  [SMALL_STATE(719)] = 10293,
  [SMALL_STATE(720)] = 10400,
  [SMALL_STATE(721)] = 10465,
  [SMALL_STATE(722)] = 10526,
  [SMALL_STATE(723)] = 10591,
  [SMALL_STATE(724)] = 10652,
  [SMALL_STATE(725)] = 10717,
  [SMALL_STATE(726)] = 10782,
  [SMALL_STATE(727)] = 10845,
  [SMALL_STATE(728)] = 10910,
  [SMALL_STATE(729)] = 10973,
  [SMALL_STATE(730)] = 11036,
  [SMALL_STATE(731)] = 11097,
  [SMALL_STATE(732)] = 11158,
  [SMALL_STATE(733)] = 11223,
  [SMALL_STATE(734)] = 11288,
  [SMALL_STATE(735)] = 11346,
  [SMALL_STATE(736)] = 11404,
  [SMALL_STATE(737)] = 11462,
  [SMALL_STATE(738)] = 11520,
  [SMALL_STATE(739)] = 11578,
  [SMALL_STATE(740)] = 11636,
  [SMALL_STATE(741)] = 11694,
  [SMALL_STATE(742)] = 11754,
  [SMALL_STATE(743)] = 11812,
  [SMALL_STATE(744)] = 11870,
  [SMALL_STATE(745)] = 11928,
  [SMALL_STATE(746)] = 11986,
  [SMALL_STATE(747)] = 12044,
  [SMALL_STATE(748)] = 12102,
  [SMALL_STATE(749)] = 12160,
  [SMALL_STATE(750)] = 12218,
  [SMALL_STATE(751)] = 12276,
  [SMALL_STATE(752)] = 12334,
  [SMALL_STATE(753)] = 12392,
  [SMALL_STATE(754)] = 12450,
  [SMALL_STATE(755)] = 12508,
  [SMALL_STATE(756)] = 12566,
  [SMALL_STATE(757)] = 12624,
  [SMALL_STATE(758)] = 12682,
  [SMALL_STATE(759)] = 12740,
  [SMALL_STATE(760)] = 12798,
  [SMALL_STATE(761)] = 12856,
  [SMALL_STATE(762)] = 12914,
  [SMALL_STATE(763)] = 12972,
  [SMALL_STATE(764)] = 13030,
  [SMALL_STATE(765)] = 13088,
  [SMALL_STATE(766)] = 13146,
  [SMALL_STATE(767)] = 13204,
  [SMALL_STATE(768)] = 13262,
  [SMALL_STATE(769)] = 13320,
  [SMALL_STATE(770)] = 13378,
  [SMALL_STATE(771)] = 13482,
  [SMALL_STATE(772)] = 13540,
  [SMALL_STATE(773)] = 13600,
  [SMALL_STATE(774)] = 13658,
  [SMALL_STATE(775)] = 13716,
  [SMALL_STATE(776)] = 13774,
  [SMALL_STATE(777)] = 13831,
  [SMALL_STATE(778)] = 13892,
  [SMALL_STATE(779)] = 13951,
  [SMALL_STATE(780)] = 14018,
  [SMALL_STATE(781)] = 14077,
  [SMALL_STATE(782)] = 14142,
  [SMALL_STATE(783)] = 14209,
  [SMALL_STATE(784)] = 14268,
  [SMALL_STATE(785)] = 14335,
  [SMALL_STATE(786)] = 14396,
  [SMALL_STATE(787)] = 14459,
  [SMALL_STATE(788)] = 14520,
  [SMALL_STATE(789)] = 14581,
  [SMALL_STATE(790)] = 14642,
  [SMALL_STATE(791)] = 14699,
  [SMALL_STATE(792)] = 14760,
  [SMALL_STATE(793)] = 14827,
  [SMALL_STATE(794)] = 14886,
  [SMALL_STATE(795)] = 14945,
  [SMALL_STATE(796)] = 15001,
  [SMALL_STATE(797)] = 15057,
  [SMALL_STATE(798)] = 15125,
  [SMALL_STATE(799)] = 15181,
  [SMALL_STATE(800)] = 15237,
  [SMALL_STATE(801)] = 15293,
  [SMALL_STATE(802)] = 15349,
  [SMALL_STATE(803)] = 15405,
  [SMALL_STATE(804)] = 15461,
  [SMALL_STATE(805)] = 15517,
  [SMALL_STATE(806)] = 15573,
  [SMALL_STATE(807)] = 15629,
  [SMALL_STATE(808)] = 15685,
  [SMALL_STATE(809)] = 15741,
  [SMALL_STATE(810)] = 15797,
  [SMALL_STATE(811)] = 15865,
  [SMALL_STATE(812)] = 15921,
  [SMALL_STATE(813)] = 15977,
  [SMALL_STATE(814)] = 16033,
  [SMALL_STATE(815)] = 16089,
  [SMALL_STATE(816)] = 16157,
  [SMALL_STATE(817)] = 16252,
  [SMALL_STATE(818)] = 16311,
  [SMALL_STATE(819)] = 16368,
  [SMALL_STATE(820)] = 16427,
  [SMALL_STATE(821)] = 16486,
  [SMALL_STATE(822)] = 16545,
  [SMALL_STATE(823)] = 16640,
  [SMALL_STATE(824)] = 16735,
  [SMALL_STATE(825)] = 16794,
  [SMALL_STATE(826)] = 16889,
  [SMALL_STATE(827)] = 16984,
  [SMALL_STATE(828)] = 17045,
  [SMALL_STATE(829)] = 17140,
  [SMALL_STATE(830)] = 17235,
  [SMALL_STATE(831)] = 17290,
  [SMALL_STATE(832)] = 17351,
  [SMALL_STATE(833)] = 17412,
  [SMALL_STATE(834)] = 17467,
  [SMALL_STATE(835)] = 17526,
  [SMALL_STATE(836)] = 17581,
  [SMALL_STATE(837)] = 17642,
  [SMALL_STATE(838)] = 17703,
  [SMALL_STATE(839)] = 17758,
  [SMALL_STATE(840)] = 17853,
  [SMALL_STATE(841)] = 17948,
  [SMALL_STATE(842)] = 18005,
  [SMALL_STATE(843)] = 18100,
  [SMALL_STATE(844)] = 18195,
  [SMALL_STATE(845)] = 18252,
  [SMALL_STATE(846)] = 18313,
  [SMALL_STATE(847)] = 18370,
  [SMALL_STATE(848)] = 18429,
  [SMALL_STATE(849)] = 18486,
  [SMALL_STATE(850)] = 18547,
  [SMALL_STATE(851)] = 18608,
  [SMALL_STATE(852)] = 18665,
  [SMALL_STATE(853)] = 18760,
  [SMALL_STATE(854)] = 18821,
  [SMALL_STATE(855)] = 18880,
  [SMALL_STATE(856)] = 18939,
  [SMALL_STATE(857)] = 19000,
  [SMALL_STATE(858)] = 19061,
  [SMALL_STATE(859)] = 19120,
  [SMALL_STATE(860)] = 19181,
  [SMALL_STATE(861)] = 19276,
  [SMALL_STATE(862)] = 19333,
  [SMALL_STATE(863)] = 19392,
  [SMALL_STATE(864)] = 19451,
  [SMALL_STATE(865)] = 19510,
  [SMALL_STATE(866)] = 19569,
  [SMALL_STATE(867)] = 19628,
  [SMALL_STATE(868)] = 19723,
  [SMALL_STATE(869)] = 19818,
  [SMALL_STATE(870)] = 19872,
  [SMALL_STATE(871)] = 19926,
  [SMALL_STATE(872)] = 19980,
  [SMALL_STATE(873)] = 20034,
  [SMALL_STATE(874)] = 20088,
  [SMALL_STATE(875)] = 20142,
  [SMALL_STATE(876)] = 20196,
  [SMALL_STATE(877)] = 20250,
  [SMALL_STATE(878)] = 20304,
  [SMALL_STATE(879)] = 20358,
  [SMALL_STATE(880)] = 20412,
  [SMALL_STATE(881)] = 20466,
  [SMALL_STATE(882)] = 20522,
  [SMALL_STATE(883)] = 20576,
  [SMALL_STATE(884)] = 20630,
  [SMALL_STATE(885)] = 20684,
  [SMALL_STATE(886)] = 20740,
  [SMALL_STATE(887)] = 20794,
  [SMALL_STATE(888)] = 20848,
  [SMALL_STATE(889)] = 20902,
  [SMALL_STATE(890)] = 20956,
  [SMALL_STATE(891)] = 21010,
  [SMALL_STATE(892)] = 21064,
  [SMALL_STATE(893)] = 21118,
  [SMALL_STATE(894)] = 21172,
  [SMALL_STATE(895)] = 21226,
  [SMALL_STATE(896)] = 21280,
  [SMALL_STATE(897)] = 21334,
  [SMALL_STATE(898)] = 21388,
  [SMALL_STATE(899)] = 21444,
  [SMALL_STATE(900)] = 21498,
  [SMALL_STATE(901)] = 21552,
  [SMALL_STATE(902)] = 21606,
  [SMALL_STATE(903)] = 21660,
  [SMALL_STATE(904)] = 21714,
  [SMALL_STATE(905)] = 21768,
  [SMALL_STATE(906)] = 21822,
  [SMALL_STATE(907)] = 21876,
  [SMALL_STATE(908)] = 21930,
  [SMALL_STATE(909)] = 21988,
  [SMALL_STATE(910)] = 22042,
  [SMALL_STATE(911)] = 22096,
  [SMALL_STATE(912)] = 22150,
  [SMALL_STATE(913)] = 22205,
  [SMALL_STATE(914)] = 22260,
  [SMALL_STATE(915)] = 22315,
  [SMALL_STATE(916)] = 22370,
  [SMALL_STATE(917)] = 22425,
  [SMALL_STATE(918)] = 22477,
  [SMALL_STATE(919)] = 22529,
  [SMALL_STATE(920)] = 22583,
  [SMALL_STATE(921)] = 22635,
  [SMALL_STATE(922)] = 22687,
  [SMALL_STATE(923)] = 22739,
  [SMALL_STATE(924)] = 22791,
  [SMALL_STATE(925)] = 22879,
  [SMALL_STATE(926)] = 22931,
  [SMALL_STATE(927)] = 22983,
  [SMALL_STATE(928)] = 23035,
  [SMALL_STATE(929)] = 23087,
  [SMALL_STATE(930)] = 23139,
  [SMALL_STATE(931)] = 23191,
  [SMALL_STATE(932)] = 23243,
  [SMALL_STATE(933)] = 23295,
  [SMALL_STATE(934)] = 23347,
  [SMALL_STATE(935)] = 23399,
  [SMALL_STATE(936)] = 23451,
  [SMALL_STATE(937)] = 23503,
  [SMALL_STATE(938)] = 23555,
  [SMALL_STATE(939)] = 23607,
  [SMALL_STATE(940)] = 23659,
  [SMALL_STATE(941)] = 23711,
  [SMALL_STATE(942)] = 23763,
  [SMALL_STATE(943)] = 23815,
  [SMALL_STATE(944)] = 23867,
  [SMALL_STATE(945)] = 23919,
  [SMALL_STATE(946)] = 23971,
  [SMALL_STATE(947)] = 24023,
  [SMALL_STATE(948)] = 24075,
  [SMALL_STATE(949)] = 24127,
  [SMALL_STATE(950)] = 24179,
  [SMALL_STATE(951)] = 24231,
  [SMALL_STATE(952)] = 24283,
  [SMALL_STATE(953)] = 24335,
  [SMALL_STATE(954)] = 24387,
  [SMALL_STATE(955)] = 24439,
  [SMALL_STATE(956)] = 24491,
  [SMALL_STATE(957)] = 24543,
  [SMALL_STATE(958)] = 24595,
  [SMALL_STATE(959)] = 24647,
  [SMALL_STATE(960)] = 24699,
  [SMALL_STATE(961)] = 24751,
  [SMALL_STATE(962)] = 24803,
  [SMALL_STATE(963)] = 24855,
  [SMALL_STATE(964)] = 24907,
  [SMALL_STATE(965)] = 24959,
  [SMALL_STATE(966)] = 25011,
  [SMALL_STATE(967)] = 25063,
  [SMALL_STATE(968)] = 25115,
  [SMALL_STATE(969)] = 25167,
  [SMALL_STATE(970)] = 25219,
  [SMALL_STATE(971)] = 25271,
  [SMALL_STATE(972)] = 25323,
  [SMALL_STATE(973)] = 25375,
  [SMALL_STATE(974)] = 25427,
  [SMALL_STATE(975)] = 25479,
  [SMALL_STATE(976)] = 25531,
  [SMALL_STATE(977)] = 25583,
  [SMALL_STATE(978)] = 25635,
  [SMALL_STATE(979)] = 25687,
  [SMALL_STATE(980)] = 25739,
  [SMALL_STATE(981)] = 25791,
  [SMALL_STATE(982)] = 25843,
  [SMALL_STATE(983)] = 25895,
  [SMALL_STATE(984)] = 25946,
  [SMALL_STATE(985)] = 25997,
  [SMALL_STATE(986)] = 26065,
  [SMALL_STATE(987)] = 26119,
  [SMALL_STATE(988)] = 26199,
  [SMALL_STATE(989)] = 26279,
  [SMALL_STATE(990)] = 26363,
  [SMALL_STATE(991)] = 26445,
  [SMALL_STATE(992)] = 26521,
  [SMALL_STATE(993)] = 26595,
  [SMALL_STATE(994)] = 26665,
  [SMALL_STATE(995)] = 26729,
  [SMALL_STATE(996)] = 26789,
  [SMALL_STATE(997)] = 26845,
  [SMALL_STATE(998)] = 26903,
  [SMALL_STATE(999)] = 26955,
  [SMALL_STATE(1000)] = 27035,
  [SMALL_STATE(1001)] = 27115,
  [SMALL_STATE(1002)] = 27187,
  [SMALL_STATE(1003)] = 27239,
  [SMALL_STATE(1004)] = 27291,
  [SMALL_STATE(1005)] = 27377,
  [SMALL_STATE(1006)] = 27463,
  [SMALL_STATE(1007)] = 27549,
  [SMALL_STATE(1008)] = 27635,
  [SMALL_STATE(1009)] = 27723,
  [SMALL_STATE(1010)] = 27809,
  [SMALL_STATE(1011)] = 27889,
  [SMALL_STATE(1012)] = 27969,
  [SMALL_STATE(1013)] = 28055,
  [SMALL_STATE(1014)] = 28141,
  [SMALL_STATE(1015)] = 28227,
  [SMALL_STATE(1016)] = 28313,
  [SMALL_STATE(1017)] = 28399,
  [SMALL_STATE(1018)] = 28479,
  [SMALL_STATE(1019)] = 28542,
  [SMALL_STATE(1020)] = 28627,
  [SMALL_STATE(1021)] = 28696,
  [SMALL_STATE(1022)] = 28769,
  [SMALL_STATE(1023)] = 28850,
  [SMALL_STATE(1024)] = 28933,
  [SMALL_STATE(1025)] = 28984,
  [SMALL_STATE(1026)] = 29063,
  [SMALL_STATE(1027)] = 29142,
  [SMALL_STATE(1028)] = 29195,
  [SMALL_STATE(1029)] = 29266,
  [SMALL_STATE(1030)] = 29351,
  [SMALL_STATE(1031)] = 29418,
  [SMALL_STATE(1032)] = 29469,
  [SMALL_STATE(1033)] = 29520,
  [SMALL_STATE(1034)] = 29605,
  [SMALL_STATE(1035)] = 29690,
  [SMALL_STATE(1036)] = 29749,
  [SMALL_STATE(1037)] = 29804,
  [SMALL_STATE(1038)] = 29861,
  [SMALL_STATE(1039)] = 29940,
  [SMALL_STATE(1040)] = 30019,
  [SMALL_STATE(1041)] = 30098,
  [SMALL_STATE(1042)] = 30173,
  [SMALL_STATE(1043)] = 30258,
  [SMALL_STATE(1044)] = 30337,
  [SMALL_STATE(1045)] = 30416,
  [SMALL_STATE(1046)] = 30481,
  [SMALL_STATE(1047)] = 30568,
  [SMALL_STATE(1048)] = 30653,
  [SMALL_STATE(1049)] = 30738,
  [SMALL_STATE(1050)] = 30823,
  [SMALL_STATE(1051)] = 30908,
  [SMALL_STATE(1052)] = 30993,
  [SMALL_STATE(1053)] = 31049,
  [SMALL_STATE(1054)] = 31135,
  [SMALL_STATE(1055)] = 31183,
  [SMALL_STATE(1056)] = 31231,
  [SMALL_STATE(1057)] = 31279,
  [SMALL_STATE(1058)] = 31327,
  [SMALL_STATE(1059)] = 31375,
  [SMALL_STATE(1060)] = 31423,
  [SMALL_STATE(1061)] = 31471,
  [SMALL_STATE(1062)] = 31547,
  [SMALL_STATE(1063)] = 31625,
  [SMALL_STATE(1064)] = 31673,
  [SMALL_STATE(1065)] = 31721,
  [SMALL_STATE(1066)] = 31769,
  [SMALL_STATE(1067)] = 31817,
  [SMALL_STATE(1068)] = 31865,
  [SMALL_STATE(1069)] = 31913,
  [SMALL_STATE(1070)] = 31961,
  [SMALL_STATE(1071)] = 32009,
  [SMALL_STATE(1072)] = 32057,
  [SMALL_STATE(1073)] = 32105,
  [SMALL_STATE(1074)] = 32153,
  [SMALL_STATE(1075)] = 32203,
  [SMALL_STATE(1076)] = 32251,
  [SMALL_STATE(1077)] = 32301,
  [SMALL_STATE(1078)] = 32349,
  [SMALL_STATE(1079)] = 32397,
  [SMALL_STATE(1080)] = 32445,
  [SMALL_STATE(1081)] = 32493,
  [SMALL_STATE(1082)] = 32577,
  [SMALL_STATE(1083)] = 32627,
  [SMALL_STATE(1084)] = 32675,
  [SMALL_STATE(1085)] = 32759,
  [SMALL_STATE(1086)] = 32809,
  [SMALL_STATE(1087)] = 32857,
  [SMALL_STATE(1088)] = 32923,
  [SMALL_STATE(1089)] = 32993,
  [SMALL_STATE(1090)] = 33045,
  [SMALL_STATE(1091)] = 33123,
  [SMALL_STATE(1092)] = 33201,
  [SMALL_STATE(1093)] = 33283,
  [SMALL_STATE(1094)] = 33363,
  [SMALL_STATE(1095)] = 33437,
  [SMALL_STATE(1096)] = 33509,
  [SMALL_STATE(1097)] = 33557,
  [SMALL_STATE(1098)] = 33605,
  [SMALL_STATE(1099)] = 33653,
  [SMALL_STATE(1100)] = 33701,
  [SMALL_STATE(1101)] = 33749,
  [SMALL_STATE(1102)] = 33797,
  [SMALL_STATE(1103)] = 33865,
  [SMALL_STATE(1104)] = 33913,
  [SMALL_STATE(1105)] = 33961,
  [SMALL_STATE(1106)] = 34023,
  [SMALL_STATE(1107)] = 34081,
  [SMALL_STATE(1108)] = 34129,
  [SMALL_STATE(1109)] = 34183,
  [SMALL_STATE(1110)] = 34231,
  [SMALL_STATE(1111)] = 34309,
  [SMALL_STATE(1112)] = 34387,
  [SMALL_STATE(1113)] = 34435,
  [SMALL_STATE(1114)] = 34483,
  [SMALL_STATE(1115)] = 34531,
  [SMALL_STATE(1116)] = 34579,
  [SMALL_STATE(1117)] = 34627,
  [SMALL_STATE(1118)] = 34675,
  [SMALL_STATE(1119)] = 34723,
  [SMALL_STATE(1120)] = 34771,
  [SMALL_STATE(1121)] = 34855,
  [SMALL_STATE(1122)] = 34903,
  [SMALL_STATE(1123)] = 34979,
  [SMALL_STATE(1124)] = 35027,
  [SMALL_STATE(1125)] = 35075,
  [SMALL_STATE(1126)] = 35123,
  [SMALL_STATE(1127)] = 35199,
  [SMALL_STATE(1128)] = 35283,
  [SMALL_STATE(1129)] = 35367,
  [SMALL_STATE(1130)] = 35451,
  [SMALL_STATE(1131)] = 35499,
  [SMALL_STATE(1132)] = 35583,
  [SMALL_STATE(1133)] = 35631,
  [SMALL_STATE(1134)] = 35679,
  [SMALL_STATE(1135)] = 35727,
  [SMALL_STATE(1136)] = 35775,
  [SMALL_STATE(1137)] = 35851,
  [SMALL_STATE(1138)] = 35927,
  [SMALL_STATE(1139)] = 35975,
  [SMALL_STATE(1140)] = 36053,
  [SMALL_STATE(1141)] = 36131,
  [SMALL_STATE(1142)] = 36179,
  [SMALL_STATE(1143)] = 36227,
  [SMALL_STATE(1144)] = 36275,
  [SMALL_STATE(1145)] = 36359,
  [SMALL_STATE(1146)] = 36407,
  [SMALL_STATE(1147)] = 36483,
  [SMALL_STATE(1148)] = 36567,
  [SMALL_STATE(1149)] = 36615,
  [SMALL_STATE(1150)] = 36663,
  [SMALL_STATE(1151)] = 36711,
  [SMALL_STATE(1152)] = 36759,
  [SMALL_STATE(1153)] = 36807,
  [SMALL_STATE(1154)] = 36855,
  [SMALL_STATE(1155)] = 36903,
  [SMALL_STATE(1156)] = 36951,
  [SMALL_STATE(1157)] = 36999,
  [SMALL_STATE(1158)] = 37083,
  [SMALL_STATE(1159)] = 37166,
  [SMALL_STATE(1160)] = 37215,
  [SMALL_STATE(1161)] = 37292,
  [SMALL_STATE(1162)] = 37375,
  [SMALL_STATE(1163)] = 37458,
  [SMALL_STATE(1164)] = 37535,
  [SMALL_STATE(1165)] = 37612,
  [SMALL_STATE(1166)] = 37697,
  [SMALL_STATE(1167)] = 37774,
  [SMALL_STATE(1168)] = 37829,
  [SMALL_STATE(1169)] = 37912,
  [SMALL_STATE(1170)] = 37995,
  [SMALL_STATE(1171)] = 38048,
  [SMALL_STATE(1172)] = 38105,
  [SMALL_STATE(1173)] = 38188,
  [SMALL_STATE(1174)] = 38265,
  [SMALL_STATE(1175)] = 38342,
  [SMALL_STATE(1176)] = 38419,
  [SMALL_STATE(1177)] = 38480,
  [SMALL_STATE(1178)] = 38547,
  [SMALL_STATE(1179)] = 38618,
  [SMALL_STATE(1180)] = 38701,
  [SMALL_STATE(1181)] = 38774,
  [SMALL_STATE(1182)] = 38853,
  [SMALL_STATE(1183)] = 38934,
  [SMALL_STATE(1184)] = 39011,
  [SMALL_STATE(1185)] = 39094,
  [SMALL_STATE(1186)] = 39177,
  [SMALL_STATE(1187)] = 39254,
  [SMALL_STATE(1188)] = 39303,
  [SMALL_STATE(1189)] = 39368,
  [SMALL_STATE(1190)] = 39437,
  [SMALL_STATE(1191)] = 39520,
  [SMALL_STATE(1192)] = 39571,
  [SMALL_STATE(1193)] = 39620,
  [SMALL_STATE(1194)] = 39699,
  [SMALL_STATE(1195)] = 39780,
  [SMALL_STATE(1196)] = 39871,
  [SMALL_STATE(1197)] = 39962,
  [SMALL_STATE(1198)] = 40053,
  [SMALL_STATE(1199)] = 40142,
  [SMALL_STATE(1200)] = 40233,
  [SMALL_STATE(1201)] = 40304,
  [SMALL_STATE(1202)] = 40357,
  [SMALL_STATE(1203)] = 40438,
  [SMALL_STATE(1204)] = 40529,
  [SMALL_STATE(1205)] = 40608,
  [SMALL_STATE(1206)] = 40691,
  [SMALL_STATE(1207)] = 40782,
  [SMALL_STATE(1208)] = 40853,
  [SMALL_STATE(1209)] = 40944,
  [SMALL_STATE(1210)] = 41023,
  [SMALL_STATE(1211)] = 41076,
  [SMALL_STATE(1212)] = 41167,
  [SMALL_STATE(1213)] = 41248,
  [SMALL_STATE(1214)] = 41329,
  [SMALL_STATE(1215)] = 41410,
  [SMALL_STATE(1216)] = 41490,
  [SMALL_STATE(1217)] = 41568,
  [SMALL_STATE(1218)] = 41646,
  [SMALL_STATE(1219)] = 41724,
  [SMALL_STATE(1220)] = 41802,
  [SMALL_STATE(1221)] = 41880,
  [SMALL_STATE(1222)] = 41958,
  [SMALL_STATE(1223)] = 42036,
  [SMALL_STATE(1224)] = 42080,
  [SMALL_STATE(1225)] = 42148,
  [SMALL_STATE(1226)] = 42226,
  [SMALL_STATE(1227)] = 42306,
  [SMALL_STATE(1228)] = 42384,
  [SMALL_STATE(1229)] = 42462,
  [SMALL_STATE(1230)] = 42540,
  [SMALL_STATE(1231)] = 42620,
  [SMALL_STATE(1232)] = 42698,
  [SMALL_STATE(1233)] = 42776,
  [SMALL_STATE(1234)] = 42854,
  [SMALL_STATE(1235)] = 42932,
  [SMALL_STATE(1236)] = 43010,
  [SMALL_STATE(1237)] = 43088,
  [SMALL_STATE(1238)] = 43166,
  [SMALL_STATE(1239)] = 43244,
  [SMALL_STATE(1240)] = 43322,
  [SMALL_STATE(1241)] = 43400,
  [SMALL_STATE(1242)] = 43478,
  [SMALL_STATE(1243)] = 43558,
  [SMALL_STATE(1244)] = 43636,
  [SMALL_STATE(1245)] = 43716,
  [SMALL_STATE(1246)] = 43794,
  [SMALL_STATE(1247)] = 43872,
  [SMALL_STATE(1248)] = 43950,
  [SMALL_STATE(1249)] = 44030,
  [SMALL_STATE(1250)] = 44110,
  [SMALL_STATE(1251)] = 44188,
  [SMALL_STATE(1252)] = 44266,
  [SMALL_STATE(1253)] = 44344,
  [SMALL_STATE(1254)] = 44422,
  [SMALL_STATE(1255)] = 44500,
  [SMALL_STATE(1256)] = 44578,
  [SMALL_STATE(1257)] = 44646,
  [SMALL_STATE(1258)] = 44726,
  [SMALL_STATE(1259)] = 44803,
  [SMALL_STATE(1260)] = 44880,
  [SMALL_STATE(1261)] = 44957,
  [SMALL_STATE(1262)] = 45034,
  [SMALL_STATE(1263)] = 45111,
  [SMALL_STATE(1264)] = 45188,
  [SMALL_STATE(1265)] = 45265,
  [SMALL_STATE(1266)] = 45342,
  [SMALL_STATE(1267)] = 45419,
  [SMALL_STATE(1268)] = 45496,
  [SMALL_STATE(1269)] = 45573,
  [SMALL_STATE(1270)] = 45650,
  [SMALL_STATE(1271)] = 45727,
  [SMALL_STATE(1272)] = 45804,
  [SMALL_STATE(1273)] = 45881,
  [SMALL_STATE(1274)] = 45958,
  [SMALL_STATE(1275)] = 46039,
  [SMALL_STATE(1276)] = 46116,
  [SMALL_STATE(1277)] = 46193,
  [SMALL_STATE(1278)] = 46270,
  [SMALL_STATE(1279)] = 46347,
  [SMALL_STATE(1280)] = 46424,
  [SMALL_STATE(1281)] = 46501,
  [SMALL_STATE(1282)] = 46578,
  [SMALL_STATE(1283)] = 46655,
  [SMALL_STATE(1284)] = 46732,
  [SMALL_STATE(1285)] = 46809,
  [SMALL_STATE(1286)] = 46886,
  [SMALL_STATE(1287)] = 46929,
  [SMALL_STATE(1288)] = 47006,
  [SMALL_STATE(1289)] = 47083,
  [SMALL_STATE(1290)] = 47160,
  [SMALL_STATE(1291)] = 47237,
  [SMALL_STATE(1292)] = 47314,
  [SMALL_STATE(1293)] = 47395,
  [SMALL_STATE(1294)] = 47472,
  [SMALL_STATE(1295)] = 47549,
  [SMALL_STATE(1296)] = 47626,
  [SMALL_STATE(1297)] = 47703,
  [SMALL_STATE(1298)] = 47780,
  [SMALL_STATE(1299)] = 47857,
  [SMALL_STATE(1300)] = 47934,
  [SMALL_STATE(1301)] = 48011,
  [SMALL_STATE(1302)] = 48092,
  [SMALL_STATE(1303)] = 48171,
  [SMALL_STATE(1304)] = 48248,
  [SMALL_STATE(1305)] = 48325,
  [SMALL_STATE(1306)] = 48402,
  [SMALL_STATE(1307)] = 48479,
  [SMALL_STATE(1308)] = 48556,
  [SMALL_STATE(1309)] = 48633,
  [SMALL_STATE(1310)] = 48710,
  [SMALL_STATE(1311)] = 48753,
  [SMALL_STATE(1312)] = 48830,
  [SMALL_STATE(1313)] = 48907,
  [SMALL_STATE(1314)] = 48988,
  [SMALL_STATE(1315)] = 49065,
  [SMALL_STATE(1316)] = 49142,
  [SMALL_STATE(1317)] = 49187,
  [SMALL_STATE(1318)] = 49264,
  [SMALL_STATE(1319)] = 49341,
  [SMALL_STATE(1320)] = 49418,
  [SMALL_STATE(1321)] = 49495,
  [SMALL_STATE(1322)] = 49572,
  [SMALL_STATE(1323)] = 49649,
  [SMALL_STATE(1324)] = 49726,
  [SMALL_STATE(1325)] = 49803,
  [SMALL_STATE(1326)] = 49880,
  [SMALL_STATE(1327)] = 49957,
  [SMALL_STATE(1328)] = 50034,
  [SMALL_STATE(1329)] = 50111,
  [SMALL_STATE(1330)] = 50188,
  [SMALL_STATE(1331)] = 50265,
  [SMALL_STATE(1332)] = 50342,
  [SMALL_STATE(1333)] = 50384,
  [SMALL_STATE(1334)] = 50426,
  [SMALL_STATE(1335)] = 50468,
  [SMALL_STATE(1336)] = 50510,
  [SMALL_STATE(1337)] = 50557,
  [SMALL_STATE(1338)] = 50602,
  [SMALL_STATE(1339)] = 50659,
  [SMALL_STATE(1340)] = 50716,
  [SMALL_STATE(1341)] = 50773,
  [SMALL_STATE(1342)] = 50812,
  [SMALL_STATE(1343)] = 50869,
  [SMALL_STATE(1344)] = 50926,
  [SMALL_STATE(1345)] = 50983,
  [SMALL_STATE(1346)] = 51040,
  [SMALL_STATE(1347)] = 51097,
  [SMALL_STATE(1348)] = 51154,
  [SMALL_STATE(1349)] = 51211,
  [SMALL_STATE(1350)] = 51250,
  [SMALL_STATE(1351)] = 51289,
  [SMALL_STATE(1352)] = 51328,
  [SMALL_STATE(1353)] = 51385,
  [SMALL_STATE(1354)] = 51439,
  [SMALL_STATE(1355)] = 51493,
  [SMALL_STATE(1356)] = 51547,
  [SMALL_STATE(1357)] = 51601,
  [SMALL_STATE(1358)] = 51655,
  [SMALL_STATE(1359)] = 51709,
  [SMALL_STATE(1360)] = 51756,
  [SMALL_STATE(1361)] = 51803,
  [SMALL_STATE(1362)] = 51838,
  [SMALL_STATE(1363)] = 51885,
  [SMALL_STATE(1364)] = 51919,
  [SMALL_STATE(1365)] = 51978,
  [SMALL_STATE(1366)] = 52030,
  [SMALL_STATE(1367)] = 52084,
  [SMALL_STATE(1368)] = 52136,
  [SMALL_STATE(1369)] = 52171,
  [SMALL_STATE(1370)] = 52204,
  [SMALL_STATE(1371)] = 52253,
  [SMALL_STATE(1372)] = 52304,
  [SMALL_STATE(1373)] = 52355,
  [SMALL_STATE(1374)] = 52404,
  [SMALL_STATE(1375)] = 52455,
  [SMALL_STATE(1376)] = 52504,
  [SMALL_STATE(1377)] = 52548,
  [SMALL_STATE(1378)] = 52578,
  [SMALL_STATE(1379)] = 52605,
  [SMALL_STATE(1380)] = 52632,
  [SMALL_STATE(1381)] = 52677,
  [SMALL_STATE(1382)] = 52704,
  [SMALL_STATE(1383)] = 52731,
  [SMALL_STATE(1384)] = 52757,
  [SMALL_STATE(1385)] = 52803,
  [SMALL_STATE(1386)] = 52829,
  [SMALL_STATE(1387)] = 52855,
  [SMALL_STATE(1388)] = 52881,
  [SMALL_STATE(1389)] = 52907,
  [SMALL_STATE(1390)] = 52933,
  [SMALL_STATE(1391)] = 52979,
  [SMALL_STATE(1392)] = 53005,
  [SMALL_STATE(1393)] = 53031,
  [SMALL_STATE(1394)] = 53057,
  [SMALL_STATE(1395)] = 53083,
  [SMALL_STATE(1396)] = 53109,
  [SMALL_STATE(1397)] = 53135,
  [SMALL_STATE(1398)] = 53181,
  [SMALL_STATE(1399)] = 53207,
  [SMALL_STATE(1400)] = 53251,
  [SMALL_STATE(1401)] = 53277,
  [SMALL_STATE(1402)] = 53303,
  [SMALL_STATE(1403)] = 53349,
  [SMALL_STATE(1404)] = 53387,
  [SMALL_STATE(1405)] = 53413,
  [SMALL_STATE(1406)] = 53439,
  [SMALL_STATE(1407)] = 53465,
  [SMALL_STATE(1408)] = 53490,
  [SMALL_STATE(1409)] = 53515,
  [SMALL_STATE(1410)] = 53540,
  [SMALL_STATE(1411)] = 53565,
  [SMALL_STATE(1412)] = 53606,
  [SMALL_STATE(1413)] = 53631,
  [SMALL_STATE(1414)] = 53656,
  [SMALL_STATE(1415)] = 53681,
  [SMALL_STATE(1416)] = 53714,
  [SMALL_STATE(1417)] = 53739,
  [SMALL_STATE(1418)] = 53782,
  [SMALL_STATE(1419)] = 53807,
  [SMALL_STATE(1420)] = 53832,
  [SMALL_STATE(1421)] = 53857,
  [SMALL_STATE(1422)] = 53900,
  [SMALL_STATE(1423)] = 53947,
  [SMALL_STATE(1424)] = 53990,
  [SMALL_STATE(1425)] = 54033,
  [SMALL_STATE(1426)] = 54060,
  [SMALL_STATE(1427)] = 54085,
  [SMALL_STATE(1428)] = 54110,
  [SMALL_STATE(1429)] = 54157,
  [SMALL_STATE(1430)] = 54182,
  [SMALL_STATE(1431)] = 54207,
  [SMALL_STATE(1432)] = 54232,
  [SMALL_STATE(1433)] = 54257,
  [SMALL_STATE(1434)] = 54282,
  [SMALL_STATE(1435)] = 54307,
  [SMALL_STATE(1436)] = 54348,
  [SMALL_STATE(1437)] = 54373,
  [SMALL_STATE(1438)] = 54398,
  [SMALL_STATE(1439)] = 54423,
  [SMALL_STATE(1440)] = 54448,
  [SMALL_STATE(1441)] = 54473,
  [SMALL_STATE(1442)] = 54498,
  [SMALL_STATE(1443)] = 54523,
  [SMALL_STATE(1444)] = 54564,
  [SMALL_STATE(1445)] = 54589,
  [SMALL_STATE(1446)] = 54614,
  [SMALL_STATE(1447)] = 54645,
  [SMALL_STATE(1448)] = 54685,
  [SMALL_STATE(1449)] = 54725,
  [SMALL_STATE(1450)] = 54765,
  [SMALL_STATE(1451)] = 54801,
  [SMALL_STATE(1452)] = 54841,
  [SMALL_STATE(1453)] = 54874,
  [SMALL_STATE(1454)] = 54899,
  [SMALL_STATE(1455)] = 54936,
  [SMALL_STATE(1456)] = 54973,
  [SMALL_STATE(1457)] = 55006,
  [SMALL_STATE(1458)] = 55031,
  [SMALL_STATE(1459)] = 55056,
  [SMALL_STATE(1460)] = 55093,
  [SMALL_STATE(1461)] = 55128,
  [SMALL_STATE(1462)] = 55153,
  [SMALL_STATE(1463)] = 55188,
  [SMALL_STATE(1464)] = 55223,
  [SMALL_STATE(1465)] = 55260,
  [SMALL_STATE(1466)] = 55297,
  [SMALL_STATE(1467)] = 55334,
  [SMALL_STATE(1468)] = 55362,
  [SMALL_STATE(1469)] = 55396,
  [SMALL_STATE(1470)] = 55430,
  [SMALL_STATE(1471)] = 55462,
  [SMALL_STATE(1472)] = 55486,
  [SMALL_STATE(1473)] = 55520,
  [SMALL_STATE(1474)] = 55544,
  [SMALL_STATE(1475)] = 55574,
  [SMALL_STATE(1476)] = 55602,
  [SMALL_STATE(1477)] = 55634,
  [SMALL_STATE(1478)] = 55658,
  [SMALL_STATE(1479)] = 55682,
  [SMALL_STATE(1480)] = 55706,
  [SMALL_STATE(1481)] = 55734,
  [SMALL_STATE(1482)] = 55762,
  [SMALL_STATE(1483)] = 55794,
  [SMALL_STATE(1484)] = 55820,
  [SMALL_STATE(1485)] = 55844,
  [SMALL_STATE(1486)] = 55868,
  [SMALL_STATE(1487)] = 55892,
  [SMALL_STATE(1488)] = 55916,
  [SMALL_STATE(1489)] = 55940,
  [SMALL_STATE(1490)] = 55964,
  [SMALL_STATE(1491)] = 55988,
  [SMALL_STATE(1492)] = 56022,
  [SMALL_STATE(1493)] = 56046,
  [SMALL_STATE(1494)] = 56070,
  [SMALL_STATE(1495)] = 56094,
  [SMALL_STATE(1496)] = 56118,
  [SMALL_STATE(1497)] = 56152,
  [SMALL_STATE(1498)] = 56176,
  [SMALL_STATE(1499)] = 56207,
  [SMALL_STATE(1500)] = 56236,
  [SMALL_STATE(1501)] = 56269,
  [SMALL_STATE(1502)] = 56290,
  [SMALL_STATE(1503)] = 56319,
  [SMALL_STATE(1504)] = 56344,
  [SMALL_STATE(1505)] = 56375,
  [SMALL_STATE(1506)] = 56404,
  [SMALL_STATE(1507)] = 56425,
  [SMALL_STATE(1508)] = 56454,
  [SMALL_STATE(1509)] = 56485,
  [SMALL_STATE(1510)] = 56516,
  [SMALL_STATE(1511)] = 56545,
  [SMALL_STATE(1512)] = 56574,
  [SMALL_STATE(1513)] = 56603,
  [SMALL_STATE(1514)] = 56628,
  [SMALL_STATE(1515)] = 56657,
  [SMALL_STATE(1516)] = 56686,
  [SMALL_STATE(1517)] = 56713,
  [SMALL_STATE(1518)] = 56742,
  [SMALL_STATE(1519)] = 56771,
  [SMALL_STATE(1520)] = 56800,
  [SMALL_STATE(1521)] = 56829,
  [SMALL_STATE(1522)] = 56858,
  [SMALL_STATE(1523)] = 56887,
  [SMALL_STATE(1524)] = 56914,
  [SMALL_STATE(1525)] = 56943,
  [SMALL_STATE(1526)] = 56972,
  [SMALL_STATE(1527)] = 57003,
  [SMALL_STATE(1528)] = 57032,
  [SMALL_STATE(1529)] = 57061,
  [SMALL_STATE(1530)] = 57082,
  [SMALL_STATE(1531)] = 57113,
  [SMALL_STATE(1532)] = 57136,
  [SMALL_STATE(1533)] = 57165,
  [SMALL_STATE(1534)] = 57192,
  [SMALL_STATE(1535)] = 57223,
  [SMALL_STATE(1536)] = 57250,
  [SMALL_STATE(1537)] = 57279,
  [SMALL_STATE(1538)] = 57310,
  [SMALL_STATE(1539)] = 57339,
  [SMALL_STATE(1540)] = 57366,
  [SMALL_STATE(1541)] = 57395,
  [SMALL_STATE(1542)] = 57424,
  [SMALL_STATE(1543)] = 57455,
  [SMALL_STATE(1544)] = 57484,
  [SMALL_STATE(1545)] = 57513,
  [SMALL_STATE(1546)] = 57544,
  [SMALL_STATE(1547)] = 57575,
  [SMALL_STATE(1548)] = 57608,
  [SMALL_STATE(1549)] = 57635,
  [SMALL_STATE(1550)] = 57664,
  [SMALL_STATE(1551)] = 57685,
  [SMALL_STATE(1552)] = 57712,
  [SMALL_STATE(1553)] = 57733,
  [SMALL_STATE(1554)] = 57760,
  [SMALL_STATE(1555)] = 57791,
  [SMALL_STATE(1556)] = 57820,
  [SMALL_STATE(1557)] = 57847,
  [SMALL_STATE(1558)] = 57878,
  [SMALL_STATE(1559)] = 57901,
  [SMALL_STATE(1560)] = 57928,
  [SMALL_STATE(1561)] = 57949,
  [SMALL_STATE(1562)] = 57978,
  [SMALL_STATE(1563)] = 57999,
  [SMALL_STATE(1564)] = 58026,
  [SMALL_STATE(1565)] = 58060,
  [SMALL_STATE(1566)] = 58094,
  [SMALL_STATE(1567)] = 58122,
  [SMALL_STATE(1568)] = 58156,
  [SMALL_STATE(1569)] = 58182,
  [SMALL_STATE(1570)] = 58208,
  [SMALL_STATE(1571)] = 58240,
  [SMALL_STATE(1572)] = 58266,
  [SMALL_STATE(1573)] = 58300,
  [SMALL_STATE(1574)] = 58334,
  [SMALL_STATE(1575)] = 58360,
  [SMALL_STATE(1576)] = 58394,
  [SMALL_STATE(1577)] = 58424,
  [SMALL_STATE(1578)] = 58454,
  [SMALL_STATE(1579)] = 58475,
  [SMALL_STATE(1580)] = 58496,
  [SMALL_STATE(1581)] = 58517,
  [SMALL_STATE(1582)] = 58538,
  [SMALL_STATE(1583)] = 58565,
  [SMALL_STATE(1584)] = 58592,
  [SMALL_STATE(1585)] = 58613,
  [SMALL_STATE(1586)] = 58638,
  [SMALL_STATE(1587)] = 58661,
  [SMALL_STATE(1588)] = 58682,
  [SMALL_STATE(1589)] = 58703,
  [SMALL_STATE(1590)] = 58730,
  [SMALL_STATE(1591)] = 58751,
  [SMALL_STATE(1592)] = 58774,
  [SMALL_STATE(1593)] = 58801,
  [SMALL_STATE(1594)] = 58824,
  [SMALL_STATE(1595)] = 58847,
  [SMALL_STATE(1596)] = 58870,
  [SMALL_STATE(1597)] = 58893,
  [SMALL_STATE(1598)] = 58916,
  [SMALL_STATE(1599)] = 58939,
  [SMALL_STATE(1600)] = 58970,
  [SMALL_STATE(1601)] = 58991,
  [SMALL_STATE(1602)] = 59014,
  [SMALL_STATE(1603)] = 59035,
  [SMALL_STATE(1604)] = 59058,
  [SMALL_STATE(1605)] = 59087,
  [SMALL_STATE(1606)] = 59110,
  [SMALL_STATE(1607)] = 59137,
  [SMALL_STATE(1608)] = 59158,
  [SMALL_STATE(1609)] = 59181,
  [SMALL_STATE(1610)] = 59204,
  [SMALL_STATE(1611)] = 59227,
  [SMALL_STATE(1612)] = 59248,
  [SMALL_STATE(1613)] = 59271,
  [SMALL_STATE(1614)] = 59294,
  [SMALL_STATE(1615)] = 59317,
  [SMALL_STATE(1616)] = 59338,
  [SMALL_STATE(1617)] = 59365,
  [SMALL_STATE(1618)] = 59388,
  [SMALL_STATE(1619)] = 59411,
  [SMALL_STATE(1620)] = 59434,
  [SMALL_STATE(1621)] = 59461,
  [SMALL_STATE(1622)] = 59484,
  [SMALL_STATE(1623)] = 59505,
  [SMALL_STATE(1624)] = 59526,
  [SMALL_STATE(1625)] = 59554,
  [SMALL_STATE(1626)] = 59574,
  [SMALL_STATE(1627)] = 59600,
  [SMALL_STATE(1628)] = 59620,
  [SMALL_STATE(1629)] = 59648,
  [SMALL_STATE(1630)] = 59676,
  [SMALL_STATE(1631)] = 59704,
  [SMALL_STATE(1632)] = 59732,
  [SMALL_STATE(1633)] = 59760,
  [SMALL_STATE(1634)] = 59788,
  [SMALL_STATE(1635)] = 59816,
  [SMALL_STATE(1636)] = 59836,
  [SMALL_STATE(1637)] = 59864,
  [SMALL_STATE(1638)] = 59892,
  [SMALL_STATE(1639)] = 59912,
  [SMALL_STATE(1640)] = 59940,
  [SMALL_STATE(1641)] = 59968,
  [SMALL_STATE(1642)] = 59994,
  [SMALL_STATE(1643)] = 60020,
  [SMALL_STATE(1644)] = 60042,
  [SMALL_STATE(1645)] = 60070,
  [SMALL_STATE(1646)] = 60096,
  [SMALL_STATE(1647)] = 60124,
  [SMALL_STATE(1648)] = 60150,
  [SMALL_STATE(1649)] = 60178,
  [SMALL_STATE(1650)] = 60206,
  [SMALL_STATE(1651)] = 60234,
  [SMALL_STATE(1652)] = 60262,
  [SMALL_STATE(1653)] = 60290,
  [SMALL_STATE(1654)] = 60314,
  [SMALL_STATE(1655)] = 60342,
  [SMALL_STATE(1656)] = 60368,
  [SMALL_STATE(1657)] = 60394,
  [SMALL_STATE(1658)] = 60414,
  [SMALL_STATE(1659)] = 60442,
  [SMALL_STATE(1660)] = 60462,
  [SMALL_STATE(1661)] = 60482,
  [SMALL_STATE(1662)] = 60508,
  [SMALL_STATE(1663)] = 60534,
  [SMALL_STATE(1664)] = 60562,
  [SMALL_STATE(1665)] = 60588,
  [SMALL_STATE(1666)] = 60616,
  [SMALL_STATE(1667)] = 60636,
  [SMALL_STATE(1668)] = 60664,
  [SMALL_STATE(1669)] = 60688,
  [SMALL_STATE(1670)] = 60708,
  [SMALL_STATE(1671)] = 60732,
  [SMALL_STATE(1672)] = 60758,
  [SMALL_STATE(1673)] = 60782,
  [SMALL_STATE(1674)] = 60808,
  [SMALL_STATE(1675)] = 60836,
  [SMALL_STATE(1676)] = 60860,
  [SMALL_STATE(1677)] = 60888,
  [SMALL_STATE(1678)] = 60916,
  [SMALL_STATE(1679)] = 60942,
  [SMALL_STATE(1680)] = 60970,
  [SMALL_STATE(1681)] = 60998,
  [SMALL_STATE(1682)] = 61026,
  [SMALL_STATE(1683)] = 61054,
  [SMALL_STATE(1684)] = 61074,
  [SMALL_STATE(1685)] = 61102,
  [SMALL_STATE(1686)] = 61130,
  [SMALL_STATE(1687)] = 61154,
  [SMALL_STATE(1688)] = 61182,
  [SMALL_STATE(1689)] = 61206,
  [SMALL_STATE(1690)] = 61234,
  [SMALL_STATE(1691)] = 61262,
  [SMALL_STATE(1692)] = 61290,
  [SMALL_STATE(1693)] = 61318,
  [SMALL_STATE(1694)] = 61346,
  [SMALL_STATE(1695)] = 61374,
  [SMALL_STATE(1696)] = 61397,
  [SMALL_STATE(1697)] = 61414,
  [SMALL_STATE(1698)] = 61435,
  [SMALL_STATE(1699)] = 61458,
  [SMALL_STATE(1700)] = 61479,
  [SMALL_STATE(1701)] = 61502,
  [SMALL_STATE(1702)] = 61523,
  [SMALL_STATE(1703)] = 61548,
  [SMALL_STATE(1704)] = 61569,
  [SMALL_STATE(1705)] = 61594,
  [SMALL_STATE(1706)] = 61615,
  [SMALL_STATE(1707)] = 61636,
  [SMALL_STATE(1708)] = 61661,
  [SMALL_STATE(1709)] = 61686,
  [SMALL_STATE(1710)] = 61709,
  [SMALL_STATE(1711)] = 61730,
  [SMALL_STATE(1712)] = 61755,
  [SMALL_STATE(1713)] = 61776,
  [SMALL_STATE(1714)] = 61799,
  [SMALL_STATE(1715)] = 61822,
  [SMALL_STATE(1716)] = 61847,
  [SMALL_STATE(1717)] = 61872,
  [SMALL_STATE(1718)] = 61897,
  [SMALL_STATE(1719)] = 61920,
  [SMALL_STATE(1720)] = 61943,
  [SMALL_STATE(1721)] = 61966,
  [SMALL_STATE(1722)] = 61989,
  [SMALL_STATE(1723)] = 62014,
  [SMALL_STATE(1724)] = 62039,
  [SMALL_STATE(1725)] = 62058,
  [SMALL_STATE(1726)] = 62077,
  [SMALL_STATE(1727)] = 62100,
  [SMALL_STATE(1728)] = 62123,
  [SMALL_STATE(1729)] = 62142,
  [SMALL_STATE(1730)] = 62167,
  [SMALL_STATE(1731)] = 62188,
  [SMALL_STATE(1732)] = 62213,
  [SMALL_STATE(1733)] = 62238,
  [SMALL_STATE(1734)] = 62257,
  [SMALL_STATE(1735)] = 62280,
  [SMALL_STATE(1736)] = 62299,
  [SMALL_STATE(1737)] = 62318,
  [SMALL_STATE(1738)] = 62339,
  [SMALL_STATE(1739)] = 62362,
  [SMALL_STATE(1740)] = 62385,
  [SMALL_STATE(1741)] = 62408,
  [SMALL_STATE(1742)] = 62429,
  [SMALL_STATE(1743)] = 62450,
  [SMALL_STATE(1744)] = 62471,
  [SMALL_STATE(1745)] = 62490,
  [SMALL_STATE(1746)] = 62511,
  [SMALL_STATE(1747)] = 62532,
  [SMALL_STATE(1748)] = 62549,
  [SMALL_STATE(1749)] = 62570,
  [SMALL_STATE(1750)] = 62587,
  [SMALL_STATE(1751)] = 62608,
  [SMALL_STATE(1752)] = 62631,
  [SMALL_STATE(1753)] = 62656,
  [SMALL_STATE(1754)] = 62677,
  [SMALL_STATE(1755)] = 62698,
  [SMALL_STATE(1756)] = 62719,
  [SMALL_STATE(1757)] = 62742,
  [SMALL_STATE(1758)] = 62763,
  [SMALL_STATE(1759)] = 62784,
  [SMALL_STATE(1760)] = 62805,
  [SMALL_STATE(1761)] = 62826,
  [SMALL_STATE(1762)] = 62845,
  [SMALL_STATE(1763)] = 62862,
  [SMALL_STATE(1764)] = 62887,
  [SMALL_STATE(1765)] = 62912,
  [SMALL_STATE(1766)] = 62937,
  [SMALL_STATE(1767)] = 62958,
  [SMALL_STATE(1768)] = 62979,
  [SMALL_STATE(1769)] = 62998,
  [SMALL_STATE(1770)] = 63023,
  [SMALL_STATE(1771)] = 63044,
  [SMALL_STATE(1772)] = 63063,
  [SMALL_STATE(1773)] = 63086,
  [SMALL_STATE(1774)] = 63107,
  [SMALL_STATE(1775)] = 63128,
  [SMALL_STATE(1776)] = 63151,
  [SMALL_STATE(1777)] = 63172,
  [SMALL_STATE(1778)] = 63189,
  [SMALL_STATE(1779)] = 63210,
  [SMALL_STATE(1780)] = 63231,
  [SMALL_STATE(1781)] = 63254,
  [SMALL_STATE(1782)] = 63273,
  [SMALL_STATE(1783)] = 63298,
  [SMALL_STATE(1784)] = 63319,
  [SMALL_STATE(1785)] = 63344,
  [SMALL_STATE(1786)] = 63365,
  [SMALL_STATE(1787)] = 63386,
  [SMALL_STATE(1788)] = 63409,
  [SMALL_STATE(1789)] = 63430,
  [SMALL_STATE(1790)] = 63451,
  [SMALL_STATE(1791)] = 63470,
  [SMALL_STATE(1792)] = 63493,
  [SMALL_STATE(1793)] = 63514,
  [SMALL_STATE(1794)] = 63535,
  [SMALL_STATE(1795)] = 63558,
  [SMALL_STATE(1796)] = 63579,
  [SMALL_STATE(1797)] = 63601,
  [SMALL_STATE(1798)] = 63617,
  [SMALL_STATE(1799)] = 63633,
  [SMALL_STATE(1800)] = 63655,
  [SMALL_STATE(1801)] = 63677,
  [SMALL_STATE(1802)] = 63697,
  [SMALL_STATE(1803)] = 63717,
  [SMALL_STATE(1804)] = 63737,
  [SMALL_STATE(1805)] = 63757,
  [SMALL_STATE(1806)] = 63777,
  [SMALL_STATE(1807)] = 63795,
  [SMALL_STATE(1808)] = 63815,
  [SMALL_STATE(1809)] = 63837,
  [SMALL_STATE(1810)] = 63855,
  [SMALL_STATE(1811)] = 63877,
  [SMALL_STATE(1812)] = 63893,
  [SMALL_STATE(1813)] = 63915,
  [SMALL_STATE(1814)] = 63937,
  [SMALL_STATE(1815)] = 63957,
  [SMALL_STATE(1816)] = 63973,
  [SMALL_STATE(1817)] = 63993,
  [SMALL_STATE(1818)] = 64009,
  [SMALL_STATE(1819)] = 64031,
  [SMALL_STATE(1820)] = 64053,
  [SMALL_STATE(1821)] = 64075,
  [SMALL_STATE(1822)] = 64095,
  [SMALL_STATE(1823)] = 64113,
  [SMALL_STATE(1824)] = 64133,
  [SMALL_STATE(1825)] = 64155,
  [SMALL_STATE(1826)] = 64175,
  [SMALL_STATE(1827)] = 64195,
  [SMALL_STATE(1828)] = 64217,
  [SMALL_STATE(1829)] = 64235,
  [SMALL_STATE(1830)] = 64255,
  [SMALL_STATE(1831)] = 64277,
  [SMALL_STATE(1832)] = 64295,
  [SMALL_STATE(1833)] = 64313,
  [SMALL_STATE(1834)] = 64335,
  [SMALL_STATE(1835)] = 64353,
  [SMALL_STATE(1836)] = 64373,
  [SMALL_STATE(1837)] = 64393,
  [SMALL_STATE(1838)] = 64413,
  [SMALL_STATE(1839)] = 64429,
  [SMALL_STATE(1840)] = 64449,
  [SMALL_STATE(1841)] = 64469,
  [SMALL_STATE(1842)] = 64489,
  [SMALL_STATE(1843)] = 64511,
  [SMALL_STATE(1844)] = 64527,
  [SMALL_STATE(1845)] = 64543,
  [SMALL_STATE(1846)] = 64565,
  [SMALL_STATE(1847)] = 64585,
  [SMALL_STATE(1848)] = 64603,
  [SMALL_STATE(1849)] = 64623,
  [SMALL_STATE(1850)] = 64639,
  [SMALL_STATE(1851)] = 64661,
  [SMALL_STATE(1852)] = 64683,
  [SMALL_STATE(1853)] = 64701,
  [SMALL_STATE(1854)] = 64723,
  [SMALL_STATE(1855)] = 64745,
  [SMALL_STATE(1856)] = 64765,
  [SMALL_STATE(1857)] = 64785,
  [SMALL_STATE(1858)] = 64803,
  [SMALL_STATE(1859)] = 64823,
  [SMALL_STATE(1860)] = 64843,
  [SMALL_STATE(1861)] = 64863,
  [SMALL_STATE(1862)] = 64883,
  [SMALL_STATE(1863)] = 64905,
  [SMALL_STATE(1864)] = 64925,
  [SMALL_STATE(1865)] = 64947,
  [SMALL_STATE(1866)] = 64967,
  [SMALL_STATE(1867)] = 64987,
  [SMALL_STATE(1868)] = 65007,
  [SMALL_STATE(1869)] = 65025,
  [SMALL_STATE(1870)] = 65045,
  [SMALL_STATE(1871)] = 65067,
  [SMALL_STATE(1872)] = 65087,
  [SMALL_STATE(1873)] = 65107,
  [SMALL_STATE(1874)] = 65123,
  [SMALL_STATE(1875)] = 65143,
  [SMALL_STATE(1876)] = 65163,
  [SMALL_STATE(1877)] = 65185,
  [SMALL_STATE(1878)] = 65203,
  [SMALL_STATE(1879)] = 65223,
  [SMALL_STATE(1880)] = 65245,
  [SMALL_STATE(1881)] = 65265,
  [SMALL_STATE(1882)] = 65287,
  [SMALL_STATE(1883)] = 65309,
  [SMALL_STATE(1884)] = 65325,
  [SMALL_STATE(1885)] = 65347,
  [SMALL_STATE(1886)] = 65369,
  [SMALL_STATE(1887)] = 65391,
  [SMALL_STATE(1888)] = 65413,
  [SMALL_STATE(1889)] = 65431,
  [SMALL_STATE(1890)] = 65453,
  [SMALL_STATE(1891)] = 65473,
  [SMALL_STATE(1892)] = 65495,
  [SMALL_STATE(1893)] = 65517,
  [SMALL_STATE(1894)] = 65533,
  [SMALL_STATE(1895)] = 65549,
  [SMALL_STATE(1896)] = 65565,
  [SMALL_STATE(1897)] = 65585,
  [SMALL_STATE(1898)] = 65607,
  [SMALL_STATE(1899)] = 65629,
  [SMALL_STATE(1900)] = 65651,
  [SMALL_STATE(1901)] = 65671,
  [SMALL_STATE(1902)] = 65691,
  [SMALL_STATE(1903)] = 65713,
  [SMALL_STATE(1904)] = 65729,
  [SMALL_STATE(1905)] = 65751,
  [SMALL_STATE(1906)] = 65773,
  [SMALL_STATE(1907)] = 65793,
  [SMALL_STATE(1908)] = 65811,
  [SMALL_STATE(1909)] = 65831,
  [SMALL_STATE(1910)] = 65851,
  [SMALL_STATE(1911)] = 65869,
  [SMALL_STATE(1912)] = 65889,
  [SMALL_STATE(1913)] = 65911,
  [SMALL_STATE(1914)] = 65931,
  [SMALL_STATE(1915)] = 65953,
  [SMALL_STATE(1916)] = 65975,
  [SMALL_STATE(1917)] = 65995,
  [SMALL_STATE(1918)] = 66015,
  [SMALL_STATE(1919)] = 66037,
  [SMALL_STATE(1920)] = 66059,
  [SMALL_STATE(1921)] = 66081,
  [SMALL_STATE(1922)] = 66101,
  [SMALL_STATE(1923)] = 66121,
  [SMALL_STATE(1924)] = 66141,
  [SMALL_STATE(1925)] = 66161,
  [SMALL_STATE(1926)] = 66181,
  [SMALL_STATE(1927)] = 66201,
  [SMALL_STATE(1928)] = 66223,
  [SMALL_STATE(1929)] = 66239,
  [SMALL_STATE(1930)] = 66261,
  [SMALL_STATE(1931)] = 66281,
  [SMALL_STATE(1932)] = 66303,
  [SMALL_STATE(1933)] = 66325,
  [SMALL_STATE(1934)] = 66345,
  [SMALL_STATE(1935)] = 66365,
  [SMALL_STATE(1936)] = 66387,
  [SMALL_STATE(1937)] = 66409,
  [SMALL_STATE(1938)] = 66431,
  [SMALL_STATE(1939)] = 66453,
  [SMALL_STATE(1940)] = 66475,
  [SMALL_STATE(1941)] = 66491,
  [SMALL_STATE(1942)] = 66513,
  [SMALL_STATE(1943)] = 66533,
  [SMALL_STATE(1944)] = 66553,
  [SMALL_STATE(1945)] = 66575,
  [SMALL_STATE(1946)] = 66597,
  [SMALL_STATE(1947)] = 66619,
  [SMALL_STATE(1948)] = 66637,
  [SMALL_STATE(1949)] = 66659,
  [SMALL_STATE(1950)] = 66679,
  [SMALL_STATE(1951)] = 66695,
  [SMALL_STATE(1952)] = 66715,
  [SMALL_STATE(1953)] = 66731,
  [SMALL_STATE(1954)] = 66749,
  [SMALL_STATE(1955)] = 66771,
  [SMALL_STATE(1956)] = 66787,
  [SMALL_STATE(1957)] = 66807,
  [SMALL_STATE(1958)] = 66822,
  [SMALL_STATE(1959)] = 66841,
  [SMALL_STATE(1960)] = 66858,
  [SMALL_STATE(1961)] = 66877,
  [SMALL_STATE(1962)] = 66896,
  [SMALL_STATE(1963)] = 66915,
  [SMALL_STATE(1964)] = 66934,
  [SMALL_STATE(1965)] = 66953,
  [SMALL_STATE(1966)] = 66972,
  [SMALL_STATE(1967)] = 66991,
  [SMALL_STATE(1968)] = 67008,
  [SMALL_STATE(1969)] = 67027,
  [SMALL_STATE(1970)] = 67046,
  [SMALL_STATE(1971)] = 67063,
  [SMALL_STATE(1972)] = 67082,
  [SMALL_STATE(1973)] = 67101,
  [SMALL_STATE(1974)] = 67120,
  [SMALL_STATE(1975)] = 67139,
  [SMALL_STATE(1976)] = 67158,
  [SMALL_STATE(1977)] = 67173,
  [SMALL_STATE(1978)] = 67192,
  [SMALL_STATE(1979)] = 67211,
  [SMALL_STATE(1980)] = 67230,
  [SMALL_STATE(1981)] = 67249,
  [SMALL_STATE(1982)] = 67268,
  [SMALL_STATE(1983)] = 67285,
  [SMALL_STATE(1984)] = 67304,
  [SMALL_STATE(1985)] = 67319,
  [SMALL_STATE(1986)] = 67338,
  [SMALL_STATE(1987)] = 67357,
  [SMALL_STATE(1988)] = 67376,
  [SMALL_STATE(1989)] = 67393,
  [SMALL_STATE(1990)] = 67412,
  [SMALL_STATE(1991)] = 67431,
  [SMALL_STATE(1992)] = 67450,
  [SMALL_STATE(1993)] = 67469,
  [SMALL_STATE(1994)] = 67488,
  [SMALL_STATE(1995)] = 67507,
  [SMALL_STATE(1996)] = 67522,
  [SMALL_STATE(1997)] = 67541,
  [SMALL_STATE(1998)] = 67560,
  [SMALL_STATE(1999)] = 67579,
  [SMALL_STATE(2000)] = 67598,
  [SMALL_STATE(2001)] = 67617,
  [SMALL_STATE(2002)] = 67636,
  [SMALL_STATE(2003)] = 67655,
  [SMALL_STATE(2004)] = 67674,
  [SMALL_STATE(2005)] = 67691,
  [SMALL_STATE(2006)] = 67710,
  [SMALL_STATE(2007)] = 67729,
  [SMALL_STATE(2008)] = 67748,
  [SMALL_STATE(2009)] = 67767,
  [SMALL_STATE(2010)] = 67782,
  [SMALL_STATE(2011)] = 67801,
  [SMALL_STATE(2012)] = 67820,
  [SMALL_STATE(2013)] = 67835,
  [SMALL_STATE(2014)] = 67854,
  [SMALL_STATE(2015)] = 67873,
  [SMALL_STATE(2016)] = 67892,
  [SMALL_STATE(2017)] = 67907,
  [SMALL_STATE(2018)] = 67922,
  [SMALL_STATE(2019)] = 67939,
  [SMALL_STATE(2020)] = 67956,
  [SMALL_STATE(2021)] = 67975,
  [SMALL_STATE(2022)] = 67994,
  [SMALL_STATE(2023)] = 68011,
  [SMALL_STATE(2024)] = 68028,
  [SMALL_STATE(2025)] = 68047,
  [SMALL_STATE(2026)] = 68064,
  [SMALL_STATE(2027)] = 68081,
  [SMALL_STATE(2028)] = 68098,
  [SMALL_STATE(2029)] = 68117,
  [SMALL_STATE(2030)] = 68134,
  [SMALL_STATE(2031)] = 68149,
  [SMALL_STATE(2032)] = 68166,
  [SMALL_STATE(2033)] = 68185,
  [SMALL_STATE(2034)] = 68204,
  [SMALL_STATE(2035)] = 68221,
  [SMALL_STATE(2036)] = 68240,
  [SMALL_STATE(2037)] = 68259,
  [SMALL_STATE(2038)] = 68276,
  [SMALL_STATE(2039)] = 68293,
  [SMALL_STATE(2040)] = 68312,
  [SMALL_STATE(2041)] = 68329,
  [SMALL_STATE(2042)] = 68344,
  [SMALL_STATE(2043)] = 68363,
  [SMALL_STATE(2044)] = 68380,
  [SMALL_STATE(2045)] = 68399,
  [SMALL_STATE(2046)] = 68416,
  [SMALL_STATE(2047)] = 68433,
  [SMALL_STATE(2048)] = 68448,
  [SMALL_STATE(2049)] = 68465,
  [SMALL_STATE(2050)] = 68482,
  [SMALL_STATE(2051)] = 68499,
  [SMALL_STATE(2052)] = 68516,
  [SMALL_STATE(2053)] = 68535,
  [SMALL_STATE(2054)] = 68552,
  [SMALL_STATE(2055)] = 68571,
  [SMALL_STATE(2056)] = 68588,
  [SMALL_STATE(2057)] = 68605,
  [SMALL_STATE(2058)] = 68622,
  [SMALL_STATE(2059)] = 68641,
  [SMALL_STATE(2060)] = 68658,
  [SMALL_STATE(2061)] = 68677,
  [SMALL_STATE(2062)] = 68694,
  [SMALL_STATE(2063)] = 68713,
  [SMALL_STATE(2064)] = 68730,
  [SMALL_STATE(2065)] = 68749,
  [SMALL_STATE(2066)] = 68766,
  [SMALL_STATE(2067)] = 68785,
  [SMALL_STATE(2068)] = 68802,
  [SMALL_STATE(2069)] = 68819,
  [SMALL_STATE(2070)] = 68836,
  [SMALL_STATE(2071)] = 68853,
  [SMALL_STATE(2072)] = 68870,
  [SMALL_STATE(2073)] = 68887,
  [SMALL_STATE(2074)] = 68904,
  [SMALL_STATE(2075)] = 68921,
  [SMALL_STATE(2076)] = 68938,
  [SMALL_STATE(2077)] = 68955,
  [SMALL_STATE(2078)] = 68972,
  [SMALL_STATE(2079)] = 68991,
  [SMALL_STATE(2080)] = 69008,
  [SMALL_STATE(2081)] = 69027,
  [SMALL_STATE(2082)] = 69044,
  [SMALL_STATE(2083)] = 69063,
  [SMALL_STATE(2084)] = 69080,
  [SMALL_STATE(2085)] = 69099,
  [SMALL_STATE(2086)] = 69116,
  [SMALL_STATE(2087)] = 69133,
  [SMALL_STATE(2088)] = 69152,
  [SMALL_STATE(2089)] = 69171,
  [SMALL_STATE(2090)] = 69190,
  [SMALL_STATE(2091)] = 69209,
  [SMALL_STATE(2092)] = 69226,
  [SMALL_STATE(2093)] = 69245,
  [SMALL_STATE(2094)] = 69264,
  [SMALL_STATE(2095)] = 69283,
  [SMALL_STATE(2096)] = 69300,
  [SMALL_STATE(2097)] = 69319,
  [SMALL_STATE(2098)] = 69338,
  [SMALL_STATE(2099)] = 69357,
  [SMALL_STATE(2100)] = 69372,
  [SMALL_STATE(2101)] = 69389,
  [SMALL_STATE(2102)] = 69406,
  [SMALL_STATE(2103)] = 69423,
  [SMALL_STATE(2104)] = 69440,
  [SMALL_STATE(2105)] = 69457,
  [SMALL_STATE(2106)] = 69474,
  [SMALL_STATE(2107)] = 69491,
  [SMALL_STATE(2108)] = 69508,
  [SMALL_STATE(2109)] = 69525,
  [SMALL_STATE(2110)] = 69542,
  [SMALL_STATE(2111)] = 69559,
  [SMALL_STATE(2112)] = 69576,
  [SMALL_STATE(2113)] = 69593,
  [SMALL_STATE(2114)] = 69610,
  [SMALL_STATE(2115)] = 69627,
  [SMALL_STATE(2116)] = 69644,
  [SMALL_STATE(2117)] = 69661,
  [SMALL_STATE(2118)] = 69678,
  [SMALL_STATE(2119)] = 69695,
  [SMALL_STATE(2120)] = 69712,
  [SMALL_STATE(2121)] = 69729,
  [SMALL_STATE(2122)] = 69746,
  [SMALL_STATE(2123)] = 69763,
  [SMALL_STATE(2124)] = 69780,
  [SMALL_STATE(2125)] = 69795,
  [SMALL_STATE(2126)] = 69812,
  [SMALL_STATE(2127)] = 69829,
  [SMALL_STATE(2128)] = 69848,
  [SMALL_STATE(2129)] = 69865,
  [SMALL_STATE(2130)] = 69882,
  [SMALL_STATE(2131)] = 69899,
  [SMALL_STATE(2132)] = 69916,
  [SMALL_STATE(2133)] = 69933,
  [SMALL_STATE(2134)] = 69952,
  [SMALL_STATE(2135)] = 69969,
  [SMALL_STATE(2136)] = 69986,
  [SMALL_STATE(2137)] = 70003,
  [SMALL_STATE(2138)] = 70020,
  [SMALL_STATE(2139)] = 70037,
  [SMALL_STATE(2140)] = 70054,
  [SMALL_STATE(2141)] = 70071,
  [SMALL_STATE(2142)] = 70086,
  [SMALL_STATE(2143)] = 70103,
  [SMALL_STATE(2144)] = 70120,
  [SMALL_STATE(2145)] = 70137,
  [SMALL_STATE(2146)] = 70154,
  [SMALL_STATE(2147)] = 70173,
  [SMALL_STATE(2148)] = 70190,
  [SMALL_STATE(2149)] = 70209,
  [SMALL_STATE(2150)] = 70228,
  [SMALL_STATE(2151)] = 70247,
  [SMALL_STATE(2152)] = 70264,
  [SMALL_STATE(2153)] = 70281,
  [SMALL_STATE(2154)] = 70298,
  [SMALL_STATE(2155)] = 70315,
  [SMALL_STATE(2156)] = 70332,
  [SMALL_STATE(2157)] = 70349,
  [SMALL_STATE(2158)] = 70366,
  [SMALL_STATE(2159)] = 70383,
  [SMALL_STATE(2160)] = 70402,
  [SMALL_STATE(2161)] = 70417,
  [SMALL_STATE(2162)] = 70432,
  [SMALL_STATE(2163)] = 70449,
  [SMALL_STATE(2164)] = 70466,
  [SMALL_STATE(2165)] = 70483,
  [SMALL_STATE(2166)] = 70500,
  [SMALL_STATE(2167)] = 70517,
  [SMALL_STATE(2168)] = 70534,
  [SMALL_STATE(2169)] = 70551,
  [SMALL_STATE(2170)] = 70568,
  [SMALL_STATE(2171)] = 70585,
  [SMALL_STATE(2172)] = 70602,
  [SMALL_STATE(2173)] = 70619,
  [SMALL_STATE(2174)] = 70636,
  [SMALL_STATE(2175)] = 70653,
  [SMALL_STATE(2176)] = 70670,
  [SMALL_STATE(2177)] = 70687,
  [SMALL_STATE(2178)] = 70704,
  [SMALL_STATE(2179)] = 70721,
  [SMALL_STATE(2180)] = 70738,
  [SMALL_STATE(2181)] = 70755,
  [SMALL_STATE(2182)] = 70772,
  [SMALL_STATE(2183)] = 70789,
  [SMALL_STATE(2184)] = 70806,
  [SMALL_STATE(2185)] = 70823,
  [SMALL_STATE(2186)] = 70840,
  [SMALL_STATE(2187)] = 70857,
  [SMALL_STATE(2188)] = 70874,
  [SMALL_STATE(2189)] = 70891,
  [SMALL_STATE(2190)] = 70908,
  [SMALL_STATE(2191)] = 70927,
  [SMALL_STATE(2192)] = 70942,
  [SMALL_STATE(2193)] = 70959,
  [SMALL_STATE(2194)] = 70978,
  [SMALL_STATE(2195)] = 70997,
  [SMALL_STATE(2196)] = 71016,
  [SMALL_STATE(2197)] = 71033,
  [SMALL_STATE(2198)] = 71048,
  [SMALL_STATE(2199)] = 71065,
  [SMALL_STATE(2200)] = 71080,
  [SMALL_STATE(2201)] = 71099,
  [SMALL_STATE(2202)] = 71114,
  [SMALL_STATE(2203)] = 71131,
  [SMALL_STATE(2204)] = 71150,
  [SMALL_STATE(2205)] = 71169,
  [SMALL_STATE(2206)] = 71186,
  [SMALL_STATE(2207)] = 71205,
  [SMALL_STATE(2208)] = 71222,
  [SMALL_STATE(2209)] = 71239,
  [SMALL_STATE(2210)] = 71256,
  [SMALL_STATE(2211)] = 71271,
  [SMALL_STATE(2212)] = 71290,
  [SMALL_STATE(2213)] = 71309,
  [SMALL_STATE(2214)] = 71328,
  [SMALL_STATE(2215)] = 71343,
  [SMALL_STATE(2216)] = 71358,
  [SMALL_STATE(2217)] = 71373,
  [SMALL_STATE(2218)] = 71392,
  [SMALL_STATE(2219)] = 71407,
  [SMALL_STATE(2220)] = 71426,
  [SMALL_STATE(2221)] = 71441,
  [SMALL_STATE(2222)] = 71458,
  [SMALL_STATE(2223)] = 71475,
  [SMALL_STATE(2224)] = 71492,
  [SMALL_STATE(2225)] = 71511,
  [SMALL_STATE(2226)] = 71530,
  [SMALL_STATE(2227)] = 71545,
  [SMALL_STATE(2228)] = 71561,
  [SMALL_STATE(2229)] = 71577,
  [SMALL_STATE(2230)] = 71593,
  [SMALL_STATE(2231)] = 71607,
  [SMALL_STATE(2232)] = 71621,
  [SMALL_STATE(2233)] = 71635,
  [SMALL_STATE(2234)] = 71649,
  [SMALL_STATE(2235)] = 71663,
  [SMALL_STATE(2236)] = 71679,
  [SMALL_STATE(2237)] = 71695,
  [SMALL_STATE(2238)] = 71709,
  [SMALL_STATE(2239)] = 71723,
  [SMALL_STATE(2240)] = 71737,
  [SMALL_STATE(2241)] = 71751,
  [SMALL_STATE(2242)] = 71767,
  [SMALL_STATE(2243)] = 71783,
  [SMALL_STATE(2244)] = 71799,
  [SMALL_STATE(2245)] = 71815,
  [SMALL_STATE(2246)] = 71831,
  [SMALL_STATE(2247)] = 71847,
  [SMALL_STATE(2248)] = 71863,
  [SMALL_STATE(2249)] = 71879,
  [SMALL_STATE(2250)] = 71895,
  [SMALL_STATE(2251)] = 71911,
  [SMALL_STATE(2252)] = 71927,
  [SMALL_STATE(2253)] = 71941,
  [SMALL_STATE(2254)] = 71957,
  [SMALL_STATE(2255)] = 71973,
  [SMALL_STATE(2256)] = 71989,
  [SMALL_STATE(2257)] = 72003,
  [SMALL_STATE(2258)] = 72017,
  [SMALL_STATE(2259)] = 72033,
  [SMALL_STATE(2260)] = 72049,
  [SMALL_STATE(2261)] = 72063,
  [SMALL_STATE(2262)] = 72079,
  [SMALL_STATE(2263)] = 72093,
  [SMALL_STATE(2264)] = 72107,
  [SMALL_STATE(2265)] = 72123,
  [SMALL_STATE(2266)] = 72137,
  [SMALL_STATE(2267)] = 72151,
  [SMALL_STATE(2268)] = 72167,
  [SMALL_STATE(2269)] = 72183,
  [SMALL_STATE(2270)] = 72199,
  [SMALL_STATE(2271)] = 72213,
  [SMALL_STATE(2272)] = 72227,
  [SMALL_STATE(2273)] = 72243,
  [SMALL_STATE(2274)] = 72257,
  [SMALL_STATE(2275)] = 72273,
  [SMALL_STATE(2276)] = 72287,
  [SMALL_STATE(2277)] = 72303,
  [SMALL_STATE(2278)] = 72317,
  [SMALL_STATE(2279)] = 72333,
  [SMALL_STATE(2280)] = 72349,
  [SMALL_STATE(2281)] = 72363,
  [SMALL_STATE(2282)] = 72377,
  [SMALL_STATE(2283)] = 72391,
  [SMALL_STATE(2284)] = 72407,
  [SMALL_STATE(2285)] = 72421,
  [SMALL_STATE(2286)] = 72435,
  [SMALL_STATE(2287)] = 72451,
  [SMALL_STATE(2288)] = 72467,
  [SMALL_STATE(2289)] = 72481,
  [SMALL_STATE(2290)] = 72495,
  [SMALL_STATE(2291)] = 72509,
  [SMALL_STATE(2292)] = 72523,
  [SMALL_STATE(2293)] = 72539,
  [SMALL_STATE(2294)] = 72553,
  [SMALL_STATE(2295)] = 72569,
  [SMALL_STATE(2296)] = 72585,
  [SMALL_STATE(2297)] = 72599,
  [SMALL_STATE(2298)] = 72615,
  [SMALL_STATE(2299)] = 72629,
  [SMALL_STATE(2300)] = 72643,
  [SMALL_STATE(2301)] = 72659,
  [SMALL_STATE(2302)] = 72675,
  [SMALL_STATE(2303)] = 72689,
  [SMALL_STATE(2304)] = 72705,
  [SMALL_STATE(2305)] = 72719,
  [SMALL_STATE(2306)] = 72735,
  [SMALL_STATE(2307)] = 72749,
  [SMALL_STATE(2308)] = 72765,
  [SMALL_STATE(2309)] = 72781,
  [SMALL_STATE(2310)] = 72797,
  [SMALL_STATE(2311)] = 72813,
  [SMALL_STATE(2312)] = 72829,
  [SMALL_STATE(2313)] = 72845,
  [SMALL_STATE(2314)] = 72859,
  [SMALL_STATE(2315)] = 72873,
  [SMALL_STATE(2316)] = 72887,
  [SMALL_STATE(2317)] = 72901,
  [SMALL_STATE(2318)] = 72917,
  [SMALL_STATE(2319)] = 72933,
  [SMALL_STATE(2320)] = 72947,
  [SMALL_STATE(2321)] = 72963,
  [SMALL_STATE(2322)] = 72979,
  [SMALL_STATE(2323)] = 72995,
  [SMALL_STATE(2324)] = 73011,
  [SMALL_STATE(2325)] = 73027,
  [SMALL_STATE(2326)] = 73043,
  [SMALL_STATE(2327)] = 73059,
  [SMALL_STATE(2328)] = 73075,
  [SMALL_STATE(2329)] = 73091,
  [SMALL_STATE(2330)] = 73107,
  [SMALL_STATE(2331)] = 73123,
  [SMALL_STATE(2332)] = 73139,
  [SMALL_STATE(2333)] = 73155,
  [SMALL_STATE(2334)] = 73171,
  [SMALL_STATE(2335)] = 73187,
  [SMALL_STATE(2336)] = 73203,
  [SMALL_STATE(2337)] = 73217,
  [SMALL_STATE(2338)] = 73231,
  [SMALL_STATE(2339)] = 73245,
  [SMALL_STATE(2340)] = 73261,
  [SMALL_STATE(2341)] = 73277,
  [SMALL_STATE(2342)] = 73291,
  [SMALL_STATE(2343)] = 73305,
  [SMALL_STATE(2344)] = 73321,
  [SMALL_STATE(2345)] = 73337,
  [SMALL_STATE(2346)] = 73353,
  [SMALL_STATE(2347)] = 73367,
  [SMALL_STATE(2348)] = 73383,
  [SMALL_STATE(2349)] = 73399,
  [SMALL_STATE(2350)] = 73415,
  [SMALL_STATE(2351)] = 73431,
  [SMALL_STATE(2352)] = 73445,
  [SMALL_STATE(2353)] = 73459,
  [SMALL_STATE(2354)] = 73475,
  [SMALL_STATE(2355)] = 73489,
  [SMALL_STATE(2356)] = 73503,
  [SMALL_STATE(2357)] = 73519,
  [SMALL_STATE(2358)] = 73535,
  [SMALL_STATE(2359)] = 73549,
  [SMALL_STATE(2360)] = 73563,
  [SMALL_STATE(2361)] = 73579,
  [SMALL_STATE(2362)] = 73593,
  [SMALL_STATE(2363)] = 73607,
  [SMALL_STATE(2364)] = 73623,
  [SMALL_STATE(2365)] = 73639,
  [SMALL_STATE(2366)] = 73655,
  [SMALL_STATE(2367)] = 73671,
  [SMALL_STATE(2368)] = 73687,
  [SMALL_STATE(2369)] = 73701,
  [SMALL_STATE(2370)] = 73715,
  [SMALL_STATE(2371)] = 73731,
  [SMALL_STATE(2372)] = 73747,
  [SMALL_STATE(2373)] = 73763,
  [SMALL_STATE(2374)] = 73777,
  [SMALL_STATE(2375)] = 73793,
  [SMALL_STATE(2376)] = 73809,
  [SMALL_STATE(2377)] = 73825,
  [SMALL_STATE(2378)] = 73839,
  [SMALL_STATE(2379)] = 73855,
  [SMALL_STATE(2380)] = 73869,
  [SMALL_STATE(2381)] = 73885,
  [SMALL_STATE(2382)] = 73901,
  [SMALL_STATE(2383)] = 73915,
  [SMALL_STATE(2384)] = 73931,
  [SMALL_STATE(2385)] = 73945,
  [SMALL_STATE(2386)] = 73959,
  [SMALL_STATE(2387)] = 73975,
  [SMALL_STATE(2388)] = 73991,
  [SMALL_STATE(2389)] = 74007,
  [SMALL_STATE(2390)] = 74023,
  [SMALL_STATE(2391)] = 74039,
  [SMALL_STATE(2392)] = 74055,
  [SMALL_STATE(2393)] = 74069,
  [SMALL_STATE(2394)] = 74085,
  [SMALL_STATE(2395)] = 74101,
  [SMALL_STATE(2396)] = 74117,
  [SMALL_STATE(2397)] = 74131,
  [SMALL_STATE(2398)] = 74147,
  [SMALL_STATE(2399)] = 74163,
  [SMALL_STATE(2400)] = 74179,
  [SMALL_STATE(2401)] = 74193,
  [SMALL_STATE(2402)] = 74209,
  [SMALL_STATE(2403)] = 74225,
  [SMALL_STATE(2404)] = 74241,
  [SMALL_STATE(2405)] = 74257,
  [SMALL_STATE(2406)] = 74273,
  [SMALL_STATE(2407)] = 74287,
  [SMALL_STATE(2408)] = 74303,
  [SMALL_STATE(2409)] = 74317,
  [SMALL_STATE(2410)] = 74333,
  [SMALL_STATE(2411)] = 74347,
  [SMALL_STATE(2412)] = 74363,
  [SMALL_STATE(2413)] = 74379,
  [SMALL_STATE(2414)] = 74393,
  [SMALL_STATE(2415)] = 74409,
  [SMALL_STATE(2416)] = 74423,
  [SMALL_STATE(2417)] = 74439,
  [SMALL_STATE(2418)] = 74453,
  [SMALL_STATE(2419)] = 74469,
  [SMALL_STATE(2420)] = 74483,
  [SMALL_STATE(2421)] = 74497,
  [SMALL_STATE(2422)] = 74513,
  [SMALL_STATE(2423)] = 74527,
  [SMALL_STATE(2424)] = 74543,
  [SMALL_STATE(2425)] = 74559,
  [SMALL_STATE(2426)] = 74575,
  [SMALL_STATE(2427)] = 74591,
  [SMALL_STATE(2428)] = 74607,
  [SMALL_STATE(2429)] = 74621,
  [SMALL_STATE(2430)] = 74637,
  [SMALL_STATE(2431)] = 74653,
  [SMALL_STATE(2432)] = 74669,
  [SMALL_STATE(2433)] = 74685,
  [SMALL_STATE(2434)] = 74699,
  [SMALL_STATE(2435)] = 74715,
  [SMALL_STATE(2436)] = 74731,
  [SMALL_STATE(2437)] = 74745,
  [SMALL_STATE(2438)] = 74761,
  [SMALL_STATE(2439)] = 74777,
  [SMALL_STATE(2440)] = 74793,
  [SMALL_STATE(2441)] = 74807,
  [SMALL_STATE(2442)] = 74823,
  [SMALL_STATE(2443)] = 74839,
  [SMALL_STATE(2444)] = 74855,
  [SMALL_STATE(2445)] = 74871,
  [SMALL_STATE(2446)] = 74887,
  [SMALL_STATE(2447)] = 74903,
  [SMALL_STATE(2448)] = 74919,
  [SMALL_STATE(2449)] = 74933,
  [SMALL_STATE(2450)] = 74949,
  [SMALL_STATE(2451)] = 74965,
  [SMALL_STATE(2452)] = 74979,
  [SMALL_STATE(2453)] = 74995,
  [SMALL_STATE(2454)] = 75011,
  [SMALL_STATE(2455)] = 75025,
  [SMALL_STATE(2456)] = 75041,
  [SMALL_STATE(2457)] = 75055,
  [SMALL_STATE(2458)] = 75069,
  [SMALL_STATE(2459)] = 75083,
  [SMALL_STATE(2460)] = 75099,
  [SMALL_STATE(2461)] = 75115,
  [SMALL_STATE(2462)] = 75129,
  [SMALL_STATE(2463)] = 75143,
  [SMALL_STATE(2464)] = 75159,
  [SMALL_STATE(2465)] = 75173,
  [SMALL_STATE(2466)] = 75187,
  [SMALL_STATE(2467)] = 75203,
  [SMALL_STATE(2468)] = 75219,
  [SMALL_STATE(2469)] = 75235,
  [SMALL_STATE(2470)] = 75249,
  [SMALL_STATE(2471)] = 75265,
  [SMALL_STATE(2472)] = 75281,
  [SMALL_STATE(2473)] = 75297,
  [SMALL_STATE(2474)] = 75313,
  [SMALL_STATE(2475)] = 75329,
  [SMALL_STATE(2476)] = 75343,
  [SMALL_STATE(2477)] = 75359,
  [SMALL_STATE(2478)] = 75375,
  [SMALL_STATE(2479)] = 75391,
  [SMALL_STATE(2480)] = 75407,
  [SMALL_STATE(2481)] = 75423,
  [SMALL_STATE(2482)] = 75437,
  [SMALL_STATE(2483)] = 75453,
  [SMALL_STATE(2484)] = 75469,
  [SMALL_STATE(2485)] = 75483,
  [SMALL_STATE(2486)] = 75497,
  [SMALL_STATE(2487)] = 75513,
  [SMALL_STATE(2488)] = 75529,
  [SMALL_STATE(2489)] = 75545,
  [SMALL_STATE(2490)] = 75561,
  [SMALL_STATE(2491)] = 75577,
  [SMALL_STATE(2492)] = 75591,
  [SMALL_STATE(2493)] = 75605,
  [SMALL_STATE(2494)] = 75621,
  [SMALL_STATE(2495)] = 75637,
  [SMALL_STATE(2496)] = 75650,
  [SMALL_STATE(2497)] = 75663,
  [SMALL_STATE(2498)] = 75676,
  [SMALL_STATE(2499)] = 75689,
  [SMALL_STATE(2500)] = 75702,
  [SMALL_STATE(2501)] = 75715,
  [SMALL_STATE(2502)] = 75728,
  [SMALL_STATE(2503)] = 75741,
  [SMALL_STATE(2504)] = 75754,
  [SMALL_STATE(2505)] = 75767,
  [SMALL_STATE(2506)] = 75780,
  [SMALL_STATE(2507)] = 75793,
  [SMALL_STATE(2508)] = 75806,
  [SMALL_STATE(2509)] = 75819,
  [SMALL_STATE(2510)] = 75832,
  [SMALL_STATE(2511)] = 75845,
  [SMALL_STATE(2512)] = 75858,
  [SMALL_STATE(2513)] = 75871,
  [SMALL_STATE(2514)] = 75884,
  [SMALL_STATE(2515)] = 75897,
  [SMALL_STATE(2516)] = 75910,
  [SMALL_STATE(2517)] = 75923,
  [SMALL_STATE(2518)] = 75936,
  [SMALL_STATE(2519)] = 75949,
  [SMALL_STATE(2520)] = 75962,
  [SMALL_STATE(2521)] = 75975,
  [SMALL_STATE(2522)] = 75988,
  [SMALL_STATE(2523)] = 76001,
  [SMALL_STATE(2524)] = 76014,
  [SMALL_STATE(2525)] = 76027,
  [SMALL_STATE(2526)] = 76040,
  [SMALL_STATE(2527)] = 76053,
  [SMALL_STATE(2528)] = 76066,
  [SMALL_STATE(2529)] = 76079,
  [SMALL_STATE(2530)] = 76092,
  [SMALL_STATE(2531)] = 76105,
  [SMALL_STATE(2532)] = 76118,
  [SMALL_STATE(2533)] = 76131,
  [SMALL_STATE(2534)] = 76144,
  [SMALL_STATE(2535)] = 76157,
  [SMALL_STATE(2536)] = 76170,
  [SMALL_STATE(2537)] = 76183,
  [SMALL_STATE(2538)] = 76196,
  [SMALL_STATE(2539)] = 76209,
  [SMALL_STATE(2540)] = 76222,
  [SMALL_STATE(2541)] = 76235,
  [SMALL_STATE(2542)] = 76248,
  [SMALL_STATE(2543)] = 76261,
  [SMALL_STATE(2544)] = 76274,
  [SMALL_STATE(2545)] = 76287,
  [SMALL_STATE(2546)] = 76300,
  [SMALL_STATE(2547)] = 76313,
  [SMALL_STATE(2548)] = 76326,
  [SMALL_STATE(2549)] = 76339,
  [SMALL_STATE(2550)] = 76352,
  [SMALL_STATE(2551)] = 76365,
  [SMALL_STATE(2552)] = 76378,
  [SMALL_STATE(2553)] = 76391,
  [SMALL_STATE(2554)] = 76404,
  [SMALL_STATE(2555)] = 76417,
  [SMALL_STATE(2556)] = 76430,
  [SMALL_STATE(2557)] = 76443,
  [SMALL_STATE(2558)] = 76456,
  [SMALL_STATE(2559)] = 76469,
  [SMALL_STATE(2560)] = 76482,
  [SMALL_STATE(2561)] = 76495,
  [SMALL_STATE(2562)] = 76508,
  [SMALL_STATE(2563)] = 76521,
  [SMALL_STATE(2564)] = 76534,
  [SMALL_STATE(2565)] = 76547,
  [SMALL_STATE(2566)] = 76560,
  [SMALL_STATE(2567)] = 76573,
  [SMALL_STATE(2568)] = 76586,
  [SMALL_STATE(2569)] = 76599,
  [SMALL_STATE(2570)] = 76612,
  [SMALL_STATE(2571)] = 76625,
  [SMALL_STATE(2572)] = 76638,
  [SMALL_STATE(2573)] = 76651,
  [SMALL_STATE(2574)] = 76664,
  [SMALL_STATE(2575)] = 76677,
  [SMALL_STATE(2576)] = 76690,
  [SMALL_STATE(2577)] = 76703,
  [SMALL_STATE(2578)] = 76716,
  [SMALL_STATE(2579)] = 76729,
  [SMALL_STATE(2580)] = 76742,
  [SMALL_STATE(2581)] = 76755,
  [SMALL_STATE(2582)] = 76768,
  [SMALL_STATE(2583)] = 76781,
  [SMALL_STATE(2584)] = 76794,
  [SMALL_STATE(2585)] = 76807,
  [SMALL_STATE(2586)] = 76820,
  [SMALL_STATE(2587)] = 76833,
  [SMALL_STATE(2588)] = 76846,
  [SMALL_STATE(2589)] = 76859,
  [SMALL_STATE(2590)] = 76872,
  [SMALL_STATE(2591)] = 76885,
  [SMALL_STATE(2592)] = 76898,
  [SMALL_STATE(2593)] = 76911,
  [SMALL_STATE(2594)] = 76924,
  [SMALL_STATE(2595)] = 76937,
  [SMALL_STATE(2596)] = 76950,
  [SMALL_STATE(2597)] = 76963,
  [SMALL_STATE(2598)] = 76976,
  [SMALL_STATE(2599)] = 76989,
  [SMALL_STATE(2600)] = 77002,
  [SMALL_STATE(2601)] = 77015,
  [SMALL_STATE(2602)] = 77028,
  [SMALL_STATE(2603)] = 77041,
  [SMALL_STATE(2604)] = 77054,
  [SMALL_STATE(2605)] = 77067,
  [SMALL_STATE(2606)] = 77080,
  [SMALL_STATE(2607)] = 77093,
  [SMALL_STATE(2608)] = 77106,
  [SMALL_STATE(2609)] = 77119,
  [SMALL_STATE(2610)] = 77132,
  [SMALL_STATE(2611)] = 77145,
  [SMALL_STATE(2612)] = 77158,
  [SMALL_STATE(2613)] = 77171,
  [SMALL_STATE(2614)] = 77184,
  [SMALL_STATE(2615)] = 77197,
  [SMALL_STATE(2616)] = 77210,
  [SMALL_STATE(2617)] = 77223,
  [SMALL_STATE(2618)] = 77236,
  [SMALL_STATE(2619)] = 77249,
  [SMALL_STATE(2620)] = 77262,
  [SMALL_STATE(2621)] = 77275,
  [SMALL_STATE(2622)] = 77288,
  [SMALL_STATE(2623)] = 77301,
  [SMALL_STATE(2624)] = 77314,
  [SMALL_STATE(2625)] = 77327,
  [SMALL_STATE(2626)] = 77340,
  [SMALL_STATE(2627)] = 77353,
  [SMALL_STATE(2628)] = 77366,
  [SMALL_STATE(2629)] = 77379,
  [SMALL_STATE(2630)] = 77392,
  [SMALL_STATE(2631)] = 77405,
  [SMALL_STATE(2632)] = 77418,
  [SMALL_STATE(2633)] = 77431,
  [SMALL_STATE(2634)] = 77444,
  [SMALL_STATE(2635)] = 77457,
  [SMALL_STATE(2636)] = 77470,
  [SMALL_STATE(2637)] = 77483,
  [SMALL_STATE(2638)] = 77496,
  [SMALL_STATE(2639)] = 77509,
  [SMALL_STATE(2640)] = 77522,
  [SMALL_STATE(2641)] = 77535,
  [SMALL_STATE(2642)] = 77548,
  [SMALL_STATE(2643)] = 77561,
  [SMALL_STATE(2644)] = 77574,
  [SMALL_STATE(2645)] = 77587,
  [SMALL_STATE(2646)] = 77600,
  [SMALL_STATE(2647)] = 77613,
  [SMALL_STATE(2648)] = 77626,
  [SMALL_STATE(2649)] = 77639,
  [SMALL_STATE(2650)] = 77652,
  [SMALL_STATE(2651)] = 77665,
  [SMALL_STATE(2652)] = 77678,
  [SMALL_STATE(2653)] = 77691,
  [SMALL_STATE(2654)] = 77704,
  [SMALL_STATE(2655)] = 77717,
  [SMALL_STATE(2656)] = 77730,
  [SMALL_STATE(2657)] = 77743,
  [SMALL_STATE(2658)] = 77756,
  [SMALL_STATE(2659)] = 77769,
  [SMALL_STATE(2660)] = 77782,
  [SMALL_STATE(2661)] = 77795,
  [SMALL_STATE(2662)] = 77808,
  [SMALL_STATE(2663)] = 77821,
  [SMALL_STATE(2664)] = 77834,
  [SMALL_STATE(2665)] = 77847,
  [SMALL_STATE(2666)] = 77860,
  [SMALL_STATE(2667)] = 77873,
  [SMALL_STATE(2668)] = 77886,
  [SMALL_STATE(2669)] = 77899,
  [SMALL_STATE(2670)] = 77912,
  [SMALL_STATE(2671)] = 77925,
  [SMALL_STATE(2672)] = 77938,
  [SMALL_STATE(2673)] = 77951,
  [SMALL_STATE(2674)] = 77964,
  [SMALL_STATE(2675)] = 77977,
  [SMALL_STATE(2676)] = 77990,
  [SMALL_STATE(2677)] = 78003,
  [SMALL_STATE(2678)] = 78016,
  [SMALL_STATE(2679)] = 78029,
  [SMALL_STATE(2680)] = 78042,
  [SMALL_STATE(2681)] = 78055,
  [SMALL_STATE(2682)] = 78068,
  [SMALL_STATE(2683)] = 78081,
  [SMALL_STATE(2684)] = 78094,
  [SMALL_STATE(2685)] = 78107,
  [SMALL_STATE(2686)] = 78120,
  [SMALL_STATE(2687)] = 78133,
  [SMALL_STATE(2688)] = 78146,
  [SMALL_STATE(2689)] = 78159,
  [SMALL_STATE(2690)] = 78172,
  [SMALL_STATE(2691)] = 78185,
  [SMALL_STATE(2692)] = 78198,
  [SMALL_STATE(2693)] = 78211,
  [SMALL_STATE(2694)] = 78224,
  [SMALL_STATE(2695)] = 78237,
  [SMALL_STATE(2696)] = 78250,
  [SMALL_STATE(2697)] = 78263,
  [SMALL_STATE(2698)] = 78276,
  [SMALL_STATE(2699)] = 78289,
  [SMALL_STATE(2700)] = 78302,
  [SMALL_STATE(2701)] = 78315,
  [SMALL_STATE(2702)] = 78328,
  [SMALL_STATE(2703)] = 78341,
  [SMALL_STATE(2704)] = 78354,
  [SMALL_STATE(2705)] = 78367,
  [SMALL_STATE(2706)] = 78380,
  [SMALL_STATE(2707)] = 78393,
  [SMALL_STATE(2708)] = 78406,
  [SMALL_STATE(2709)] = 78419,
  [SMALL_STATE(2710)] = 78432,
  [SMALL_STATE(2711)] = 78445,
  [SMALL_STATE(2712)] = 78458,
  [SMALL_STATE(2713)] = 78471,
  [SMALL_STATE(2714)] = 78484,
  [SMALL_STATE(2715)] = 78497,
  [SMALL_STATE(2716)] = 78510,
  [SMALL_STATE(2717)] = 78523,
  [SMALL_STATE(2718)] = 78536,
  [SMALL_STATE(2719)] = 78549,
  [SMALL_STATE(2720)] = 78562,
  [SMALL_STATE(2721)] = 78575,
  [SMALL_STATE(2722)] = 78588,
  [SMALL_STATE(2723)] = 78601,
  [SMALL_STATE(2724)] = 78614,
  [SMALL_STATE(2725)] = 78627,
  [SMALL_STATE(2726)] = 78631,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [13] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [15] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(797),
  [18] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [20] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(531),
  [23] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1462),
  [26] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1959),
  [29] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1764),
  [32] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1435),
  [35] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1547),
  [38] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1136),
  [41] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2235),
  [44] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(19),
  [47] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2715),
  [50] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2712),
  [53] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2710),
  [56] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [58] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2707),
  [61] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1223),
  [64] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1310),
  [67] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1363),
  [70] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1361),
  [73] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1898),
  [76] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(93),
  [79] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2706),
  [82] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(195),
  [85] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2704),
  [88] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2702),
  [91] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1075),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2241),
  [97] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2697),
  [100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(194),
  [103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(193),
  [106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(197),
  [109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(387),
  [112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2253),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(78),
  [118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2692),
  [121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2691),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2254),
  [127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2255),
  [130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2258),
  [133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(401),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(402),
  [139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(402),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(576),
  [145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(310),
  [148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(677),
  [151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(860),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2687),
  [157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(101),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(772),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1454),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1860),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1384),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1960),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1421),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1721),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(88),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(236),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(234),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(230),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(346),
  [196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2),
  [226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 130),
  [320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 130),
  [322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3),
  [324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3),
  [326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 130),
  [328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 130),
  [330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2713),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2327),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2722),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2670),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2307),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1), SHIFT(871),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1), SHIFT(751),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 3),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 3),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2560),
  [954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2386),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 17),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 17),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 46),
  [967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 46),
  [969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 17), SHIFT(2473),
  [972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 17), SHIFT(82),
  [975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 46), SHIFT(2473),
  [978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 46), SHIFT(82),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 3),
  [991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 3),
  [993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 181),
  [995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 181),
  [997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 88),
  [999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 88),
  [1001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 88), SHIFT_REPEAT(2473),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 163),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 163),
  [1008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [1010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [1012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [1014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [1016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 92),
  [1018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 92),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 11),
  [1024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 11),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 174),
  [1030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 174),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 41),
  [1036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 41),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 85),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 85),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 149),
  [1052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 149),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 148),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 148),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 93),
  [1064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 93),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 147),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 147),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 60),
  [1076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 60),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 173),
  [1082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 173),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 105),
  [1088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 105),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 183),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 183),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 136),
  [1100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 136),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 167),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 167),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 103),
  [1116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 103),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 137),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 137),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 52),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 52),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 46),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 46),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 85),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 85),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 41),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 41),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, .production_id = 103),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, .production_id = 103),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 17),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 17),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, .production_id = 1),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, .production_id = 1),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 92),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 92),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 17),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 17),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 60),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 60),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 147),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 147),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, .production_id = 172),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, .production_id = 172),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 137),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 137),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 136),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 136),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 93),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 93),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, .production_id = 95),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, .production_id = 95),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 87),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 87),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, .production_id = 164),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, .production_id = 164),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 45),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 45),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 11),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 11),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 44),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 44),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 11),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 11),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, .production_id = 17),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, .production_id = 17),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, .production_id = 11),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, .production_id = 11),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 45),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 45),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, .production_id = 146),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, .production_id = 146),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, .production_id = 39),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, .production_id = 39),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 103),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 103),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, .production_id = 95),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, .production_id = 95),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 26),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 26),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 60),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 60),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, .production_id = 164),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, .production_id = 164),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 52),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 52),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 148),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 148),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 149),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 149),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 9, .production_id = 183),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 9, .production_id = 183),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 105),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 105),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, .production_id = 84),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, .production_id = 84),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, .production_id = 3),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, .production_id = 3),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 41),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 41),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 11),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 11),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, .production_id = 127),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, .production_id = 127),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 17),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 17),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 11),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 11),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 10),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 10),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 86),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 86),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 174),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 174),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, .production_id = 39),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, .production_id = 39),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, .production_id = 3),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, .production_id = 3),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 87),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 87),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 17),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 17),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 173),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 173),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, .production_id = 9),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, .production_id = 9),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 167),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 167),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 41),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 41),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, .production_id = 23),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, .production_id = 23),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, .production_id = 24),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, .production_id = 24),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, .production_id = 43),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, .production_id = 43),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, .production_id = 24),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, .production_id = 24),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 5, .production_id = 98),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 5, .production_id = 98),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, .production_id = 98),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, .production_id = 98),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, .production_id = 58),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, .production_id = 58),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, .production_id = 58),
  [1592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, .production_id = 58),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1),
  [1596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4),
  [1602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3),
  [1604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3),
  [1606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, .production_id = 138),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, .production_id = 138),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, .production_id = 57),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, .production_id = 57),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 6, .production_id = 139),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 6, .production_id = 139),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, .production_id = 139),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, .production_id = 139),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, .production_id = 8),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, .production_id = 8),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1),
  [1666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1), REDUCE(sym__array_destructing_element, 1),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2),
  [1671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1), REDUCE(sym__array_destructing_element, 3),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 22),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 22),
  [1722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1), SHIFT(2613),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, .production_id = 97),
  [1739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, .production_id = 97),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1460),
  [1778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(772),
  [1781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1965),
  [1784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2235),
  [1787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2),
  [1789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(91),
  [1792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2637),
  [1795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(117),
  [1798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1855),
  [1801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1402),
  [1804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2150),
  [1807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1718),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2),
  [1814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2),
  [1816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2),
  [1818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2),
  [1820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2), REDUCE(sym_array_creation_expression, 2),
  [1823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2),
  [1831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, .production_id = 166),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, .production_id = 166),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, .production_id = 50),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, .production_id = 50),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, .production_id = 16),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, .production_id = 16),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, .production_id = 165),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, .production_id = 165),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, .production_id = 133),
  [1875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, .production_id = 133),
  [1877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, .production_id = 134),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, .production_id = 134),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, .production_id = 18),
  [1883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, .production_id = 18),
  [1885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1),
  [1887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, .production_id = 16),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, .production_id = 16),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, .production_id = 16),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, .production_id = 16),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, .production_id = 91),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, .production_id = 91),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 16),
  [1903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 16),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, .production_id = 90),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, .production_id = 90),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, .production_id = 89),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, .production_id = 89),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1),
  [1929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 109),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 109),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, .production_id = 47),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, .production_id = 47),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 27),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 27),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 8, .production_id = 182),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 8, .production_id = 182),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 171),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 171),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 170),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 170),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 169),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 169),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 168),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 168),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 7, .production_id = 47),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 7, .production_id = 47),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 151),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 151),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 145),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 145),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 144),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 144),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 143),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 143),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 142),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 142),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 141),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 141),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 140),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 140),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exponentiation_expression, 3, .production_id = 21),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exponentiation_expression, 3, .production_id = 21),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, .production_id = 13),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, .production_id = 13),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 122),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 122),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 110),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 110),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 108),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 108),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 102),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 102),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 101),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 101),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 100),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 100),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 99),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 99),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, .production_id = 47),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, .production_id = 47),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 43),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 43),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 80),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 80),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 79),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 79),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 78),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 78),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 66),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 66),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 65),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 65),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, .production_id = 17),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, .production_id = 17),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 64),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 64),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 59),
  [2145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 59),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, .production_id = 47),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, .production_id = 47),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 38),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 38),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 37),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 37),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 35),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 35),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 21),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 22),
  [2221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 20),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 55),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 55),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, .production_id = 56),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2),
  [2245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2),
  [2249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 96),
  [2251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 96),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2),
  [2295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1335),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2),
  [2300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1223),
  [2303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1310),
  [2306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1333),
  [2309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1332),
  [2312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1286),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1335),
  [2438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1491),
  [2441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1616),
  [2444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1146),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2),
  [2449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1223),
  [2452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1310),
  [2455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1333),
  [2458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1332),
  [2461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1286),
  [2464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1454),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, .production_id = 28),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 177),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, .production_id = 178),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 153),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 121),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [2541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, .production_id = 51),
  [2543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 176),
  [2545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 115),
  [2547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 113),
  [2549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 76),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, .production_id = 2),
  [2553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 111),
  [2555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 159),
  [2557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, .production_id = 184),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 157),
  [2561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 155),
  [2563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 154),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, .production_id = 129),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 152),
  [2573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 4, .production_id = 135),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, .production_id = 128),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 175),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1506),
  [2692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1491),
  [2695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1616),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2),
  [2700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(2497),
  [2703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1562),
  [2706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1552),
  [2709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1550),
  [2712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1501),
  [2715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1529),
  [2718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1454),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [2735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1),
  [2737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [2779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1),
  [2783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 1),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 1),
  [2787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1),
  [2789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1),
  [2791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1),
  [2793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1),
  [2795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2),
  [2797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2),
  [2799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2), SHIFT_REPEAT(1465),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 1),
  [2814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4),
  [2818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3),
  [2820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3),
  [2822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(237),
  [2825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1477),
  [2828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1492),
  [2831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1380),
  [2834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1739),
  [2837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1492),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [2848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_heredoc_body, 2), SHIFT(1380),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [2859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2), SHIFT_REPEAT(1454),
  [2862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [2864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 1),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1),
  [2868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(237),
  [2871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1477),
  [2874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1492),
  [2877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2),
  [2879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1739),
  [2882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1492),
  [2885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2),
  [2887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [2889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1506),
  [2892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1562),
  [2895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1552),
  [2898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1550),
  [2901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1501),
  [2904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1529),
  [2907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [2913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, .production_id = 161),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3),
  [2929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 9),
  [2933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 82),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3),
  [2939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 124),
  [2941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4),
  [2943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 26),
  [2945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, .production_id = 162),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 125),
  [2951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(330),
  [2954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1600),
  [2957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1578),
  [2960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1578),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2),
  [2965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1700),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [2974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 126),
  [2976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_member_declaration, 1),
  [2980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, .production_id = 185),
  [2982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(391),
  [2985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1666),
  [2988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1666),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2),
  [2993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1756),
  [2996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, .production_id = 72),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, .production_id = 81),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, .production_id = 83),
  [3002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, .production_id = 39),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 179),
  [3028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [3048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 39),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, .production_id = 160),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 1),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 160),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, .production_id = 180),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, .production_id = 10),
  [3064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [3068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [3072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, .production_id = 179),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, .production_id = 123),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, .production_id = 1),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, .production_id = 40),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [3086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1),
  [3088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3098] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym__type, 1), REDUCE(sym_union_type, 1), REDUCE(sym_intersection_type, 1), REDUCE(sym_disjunctive_normal_form_type, 1, .dynamic_precedence = -1),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [3105] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym__type, 1), REDUCE(sym_union_type, 1), REDUCE(sym_intersection_type, 1), REDUCE(sym_disjunctive_normal_form_type, 1, .dynamic_precedence = -1),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [3116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [3122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__types, 1),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [3140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [3148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2),
  [3151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2),
  [3154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [3156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [3180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1356),
  [3183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, .production_id = 7),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, .production_id = 7),
  [3187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2),
  [3189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2),
  [3191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2),
  [3193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, .production_id = 6),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, .production_id = 6),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, .production_id = 24),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, .production_id = 24),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [3215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4),
  [3217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [3237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1353),
  [3240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2), SHIFT_REPEAT(1340),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [3313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, .dynamic_precedence = -1),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, .dynamic_precedence = -1),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, .dynamic_precedence = -1),
  [3341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, .dynamic_precedence = -1),
  [3343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, .dynamic_precedence = -1),
  [3367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, .dynamic_precedence = -1),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2701),
  [3392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2294),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, .production_id = 6),
  [3413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, .production_id = 6),
  [3415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [3423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2),
  [3425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2),
  [3427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(375),
  [3430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2462),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [3435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1),
  [3437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1),
  [3439] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym__type, 1), REDUCE(sym_union_type, 1), REDUCE(sym_intersection_type, 1), REDUCE(sym_disjunctive_normal_form_type, 1, .dynamic_precedence = -1), SHIFT(1358),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2),
  [3503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 46), SHIFT(2378),
  [3506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 46), SHIFT(84),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1),
  [3513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 17), SHIFT(2378),
  [3516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 17), SHIFT(84),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [3557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [3559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [3597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1),
  [3625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [3645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1357),
  [3648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 88),
  [3650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 88), SHIFT_REPEAT(2471),
  [3653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 88),
  [3655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2), SHIFT_REPEAT(1348),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [3670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2), SHIFT_REPEAT(1346),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1355),
  [3680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1354),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [3685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 88), SHIFT_REPEAT(2378),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [3696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2),
  [3698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1857),
  [3701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2),
  [3703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, .production_id = 34),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [3707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1),
  [3709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1953),
  [3712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [3726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2),
  [3742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2), SHIFT_REPEAT(2586),
  [3745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [3759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2), SHIFT_REPEAT(1468),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [3774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, .production_id = 12),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [3794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2), SHIFT(2586),
  [3797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2), SHIFT_REPEAT(2613),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1), SHIFT(2586),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4),
  [3817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [3825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2), SHIFT(1358),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [3834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [3838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [3850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, .production_id = 2),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [3866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [3868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1976),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2),
  [3883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2), SHIFT_REPEAT(2226),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2),
  [3892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2), SHIFT_REPEAT(1670),
  [3895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [3911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1358),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [3916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2),
  [3918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2), SHIFT_REPEAT(1455),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1),
  [3931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [3947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2),
  [3949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2), SHIFT_REPEAT(1982),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2),
  [3962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2), SHIFT_REPEAT(1981),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2),
  [3981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2), SHIFT_REPEAT(1599),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat2, 2),
  [3990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat2, 2), SHIFT_REPEAT(2195),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [4009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [4025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2), SHIFT_REPEAT(1496),
  [4028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [4032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [4036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [4060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, .production_id = 4),
  [4062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(154),
  [4065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, .production_id = 5),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [4091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [4107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [4119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, .production_id = 2),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 14),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2), SHIFT_REPEAT(150),
  [4160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [4168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 19),
  [4170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 25),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 3),
  [4182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2),
  [4184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 29),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, .production_id = 30),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [4196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 31),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [4202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 32),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [4214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, .production_id = 48),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [4218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, .production_id = 49),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2), SHIFT_REPEAT(156),
  [4227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, .production_id = 49),
  [4229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(147),
  [4232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2), SHIFT_REPEAT(1466),
  [4235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 53),
  [4245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 61),
  [4247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 63),
  [4249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, .production_id = 44),
  [4251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, .production_id = 44),
  [4253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 68),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [4257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 69),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(704),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [4266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 71),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 73),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 74),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [4280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 75),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3),
  [4294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2), SHIFT_REPEAT(867),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [4309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5),
  [4311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, .production_id = 49),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [4317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(153),
  [4320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2),
  [4322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, .production_id = 77),
  [4324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 106),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [4338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 112),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 117),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, .production_id = 36),
  [4350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, .production_id = 33),
  [4352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 118),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 120),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [4366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [4380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [4386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, .production_id = 17),
  [4388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, .production_id = 17),
  [4390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2), SHIFT_REPEAT(157),
  [4393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2),
  [4395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2), SHIFT_REPEAT(369),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [4408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, .production_id = 132),
  [4410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, .production_id = 132),
  [4412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2), SHIFT_REPEAT(1880),
  [4423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2),
  [4425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 156),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [4429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2), SHIFT_REPEAT(1714),
  [4432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [4440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [4448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5),
  [4450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, .production_id = 158),
  [4452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 1), SHIFT(2295),
  [4455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4),
  [4457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6),
  [4473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2), SHIFT(2295),
  [4476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, .production_id = 131),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [4486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [4500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference, 2),
  [4506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 119),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 116),
  [4514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 114),
  [4516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1), REDUCE(sym_array_element_initializer, 1),
  [4519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [4525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2), SHIFT(2613),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [4586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 4),
  [4588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 72),
  [4590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 70),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [4598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 67),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3), REDUCE(sym_array_element_initializer, 3),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [4637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, .production_id = 10),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [4651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 42),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_array_access_argument, 1),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 4),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [4711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 54),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [4719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 62),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3),
  [4753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 15),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, .production_id = 3),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [4831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 94),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [4847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 104),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [4859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 107),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [4903] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [4957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, .production_id = 150),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [5003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2),
  [5005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token__eof] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [12] = {
    [ts_external_token_heredoc_start] = true,
  },
  [13] = {
    [ts_external_token_heredoc_end] = true,
  },
  [14] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_php(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
