#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2684
#define LARGE_STATE_COUNT 575
#define SYMBOL_COUNT 401
#define ALIAS_COUNT 0
#define TOKEN_COUNT 195
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 25
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 186

enum ts_symbol_identifiers {
  sym_name = 1,
  anon_sym_QMARK_GT = 2,
  sym_php_tag = 3,
  aux_sym_text_token1 = 4,
  anon_sym_SEMI = 5,
  anon_sym_AMP = 6,
  aux_sym_function_static_declaration_token1 = 7,
  anon_sym_COMMA = 8,
  anon_sym_EQ = 9,
  aux_sym_global_declaration_token1 = 10,
  aux_sym_namespace_definition_token1 = 11,
  aux_sym_namespace_use_declaration_token1 = 12,
  aux_sym_namespace_use_declaration_token2 = 13,
  aux_sym_namespace_use_declaration_token3 = 14,
  anon_sym_BSLASH = 15,
  aux_sym_namespace_aliasing_clause_token1 = 16,
  anon_sym_LBRACE = 17,
  anon_sym_RBRACE = 18,
  aux_sym_trait_declaration_token1 = 19,
  aux_sym_interface_declaration_token1 = 20,
  aux_sym_base_clause_token1 = 21,
  aux_sym_enum_declaration_token1 = 22,
  anon_sym_COLON = 23,
  anon_sym_string = 24,
  anon_sym_int = 25,
  aux_sym_enum_case_token1 = 26,
  aux_sym_class_declaration_token1 = 27,
  aux_sym_final_modifier_token1 = 28,
  aux_sym_abstract_modifier_token1 = 29,
  aux_sym_readonly_modifier_token1 = 30,
  aux_sym_class_interface_clause_token1 = 31,
  sym_var_modifier = 32,
  aux_sym_use_instead_of_clause_token1 = 33,
  aux_sym_visibility_modifier_token1 = 34,
  aux_sym_visibility_modifier_token2 = 35,
  aux_sym_visibility_modifier_token3 = 36,
  aux_sym__arrow_function_header_token1 = 37,
  anon_sym_EQ_GT = 38,
  anon_sym_LPAREN = 39,
  anon_sym_RPAREN = 40,
  anon_sym_DOT_DOT_DOT = 41,
  anon_sym_QMARK = 42,
  sym_bottom_type = 43,
  anon_sym_PIPE = 44,
  anon_sym_array = 45,
  aux_sym_primitive_type_token1 = 46,
  anon_sym_iterable = 47,
  anon_sym_bool = 48,
  anon_sym_float = 49,
  anon_sym_void = 50,
  anon_sym_mixed = 51,
  anon_sym_static = 52,
  anon_sym_false = 53,
  anon_sym_null = 54,
  anon_sym_true = 55,
  aux_sym_cast_type_token1 = 56,
  aux_sym_cast_type_token2 = 57,
  aux_sym_cast_type_token3 = 58,
  aux_sym_cast_type_token4 = 59,
  aux_sym_cast_type_token5 = 60,
  aux_sym_cast_type_token6 = 61,
  aux_sym_cast_type_token7 = 62,
  aux_sym_cast_type_token8 = 63,
  aux_sym_cast_type_token9 = 64,
  aux_sym_cast_type_token10 = 65,
  aux_sym_cast_type_token11 = 66,
  aux_sym_cast_type_token12 = 67,
  aux_sym_echo_statement_token1 = 68,
  anon_sym_unset = 69,
  aux_sym_declare_statement_token1 = 70,
  aux_sym_declare_statement_token2 = 71,
  anon_sym_ticks = 72,
  anon_sym_encoding = 73,
  anon_sym_strict_types = 74,
  sym_float = 75,
  aux_sym_try_statement_token1 = 76,
  aux_sym_catch_clause_token1 = 77,
  aux_sym_finally_clause_token1 = 78,
  aux_sym_goto_statement_token1 = 79,
  aux_sym_continue_statement_token1 = 80,
  aux_sym_break_statement_token1 = 81,
  sym_integer = 82,
  aux_sym_return_statement_token1 = 83,
  aux_sym_throw_expression_token1 = 84,
  aux_sym_while_statement_token1 = 85,
  aux_sym_while_statement_token2 = 86,
  aux_sym_do_statement_token1 = 87,
  aux_sym_for_statement_token1 = 88,
  aux_sym_for_statement_token2 = 89,
  aux_sym_foreach_statement_token1 = 90,
  aux_sym_foreach_statement_token2 = 91,
  aux_sym_if_statement_token1 = 92,
  aux_sym_if_statement_token2 = 93,
  aux_sym_else_if_clause_token1 = 94,
  aux_sym_else_clause_token1 = 95,
  aux_sym_match_expression_token1 = 96,
  aux_sym_match_default_expression_token1 = 97,
  aux_sym_switch_statement_token1 = 98,
  aux_sym_switch_block_token1 = 99,
  anon_sym_AT = 100,
  anon_sym_PLUS = 101,
  anon_sym_DASH = 102,
  anon_sym_TILDE = 103,
  anon_sym_BANG = 104,
  anon_sym_STAR_STAR = 105,
  aux_sym_clone_expression_token1 = 106,
  anon_sym_COLON_COLON = 107,
  aux_sym_print_intrinsic_token1 = 108,
  aux_sym_object_creation_expression_token1 = 109,
  anon_sym_PLUS_PLUS = 110,
  anon_sym_DASH_DASH = 111,
  anon_sym_STAR_STAR_EQ = 112,
  anon_sym_STAR_EQ = 113,
  anon_sym_SLASH_EQ = 114,
  anon_sym_PERCENT_EQ = 115,
  anon_sym_PLUS_EQ = 116,
  anon_sym_DASH_EQ = 117,
  anon_sym_DOT_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_QMARK_QMARK_EQ = 124,
  anon_sym_DASH_GT = 125,
  anon_sym_QMARK_DASH_GT = 126,
  aux_sym__list_destructing_token1 = 127,
  anon_sym_LBRACK = 128,
  anon_sym_RBRACK = 129,
  anon_sym_self = 130,
  anon_sym_parent = 131,
  anon_sym_POUND_LBRACK = 132,
  sym_escape_sequence = 133,
  anon_sym_BSLASHu = 134,
  anon_sym_SQUOTE = 135,
  anon_sym_LT_QMARK = 136,
  anon_sym_QMARK_GT2 = 137,
  aux_sym_encapsed_string_token1 = 138,
  anon_sym_DQUOTE = 139,
  aux_sym_string_token1 = 140,
  aux_sym_string_token2 = 141,
  sym_string_value = 142,
  anon_sym_LT_LT_LT = 143,
  anon_sym_DQUOTE2 = 144,
  sym__new_line = 145,
  anon_sym_ = 146,
  anon_sym_SQUOTE2 = 147,
  anon_sym_BQUOTE = 148,
  sym_boolean = 149,
  sym_null = 150,
  anon_sym_DOLLAR = 151,
  aux_sym_yield_expression_token1 = 152,
  aux_sym_yield_expression_token2 = 153,
  aux_sym_binary_expression_token1 = 154,
  anon_sym_QMARK_QMARK = 155,
  aux_sym_binary_expression_token2 = 156,
  aux_sym_binary_expression_token3 = 157,
  aux_sym_binary_expression_token4 = 158,
  anon_sym_PIPE_PIPE = 159,
  anon_sym_AMP_AMP = 160,
  anon_sym_CARET = 161,
  anon_sym_EQ_EQ = 162,
  anon_sym_BANG_EQ = 163,
  anon_sym_LT_GT = 164,
  anon_sym_EQ_EQ_EQ = 165,
  anon_sym_BANG_EQ_EQ = 166,
  anon_sym_LT = 167,
  anon_sym_GT = 168,
  anon_sym_LT_EQ = 169,
  anon_sym_GT_EQ = 170,
  anon_sym_LT_EQ_GT = 171,
  anon_sym_LT_LT = 172,
  anon_sym_GT_GT = 173,
  anon_sym_DOT = 174,
  anon_sym_STAR = 175,
  anon_sym_SLASH = 176,
  anon_sym_PERCENT = 177,
  aux_sym_include_expression_token1 = 178,
  aux_sym_include_once_expression_token1 = 179,
  aux_sym_require_expression_token1 = 180,
  aux_sym_require_once_expression_token1 = 181,
  sym_comment = 182,
  sym__automatic_semicolon = 183,
  sym_encapsed_string_chars = 184,
  sym_encapsed_string_chars_after_variable = 185,
  sym_execution_string_chars = 186,
  sym_execution_string_chars_after_variable = 187,
  sym_encapsed_string_chars_heredoc = 188,
  sym_encapsed_string_chars_after_variable_heredoc = 189,
  sym__eof = 190,
  sym_heredoc_start = 191,
  sym_heredoc_end = 192,
  sym_nowdoc_string = 193,
  sym_sentinel_error = 194,
  sym_program = 195,
  sym_empty_statement = 196,
  sym_reference_modifier = 197,
  sym_function_static_declaration = 198,
  sym_static_variable_declaration = 199,
  sym_global_declaration = 200,
  sym_namespace_definition = 201,
  sym_namespace_use_declaration = 202,
  sym_namespace_use_clause = 203,
  sym_qualified_name = 204,
  sym_namespace_name_as_prefix = 205,
  sym_namespace_name = 206,
  sym_namespace_aliasing_clause = 207,
  sym_namespace_use_group = 208,
  sym_namespace_use_group_clause = 209,
  sym_trait_declaration = 210,
  sym_interface_declaration = 211,
  sym_base_clause = 212,
  sym_enum_declaration = 213,
  sym_enum_declaration_list = 214,
  sym__enum_member_declaration = 215,
  sym_enum_case = 216,
  sym_class_declaration = 217,
  sym_declaration_list = 218,
  sym_final_modifier = 219,
  sym_abstract_modifier = 220,
  sym_readonly_modifier = 221,
  sym_class_interface_clause = 222,
  sym__member_declaration = 223,
  sym_const_declaration = 224,
  sym__class_const_declaration = 225,
  sym__const_declaration = 226,
  sym_property_declaration = 227,
  sym__modifier = 228,
  sym_property_element = 229,
  sym_property_initializer = 230,
  sym_method_declaration = 231,
  sym_static_modifier = 232,
  sym_use_declaration = 233,
  sym_use_list = 234,
  sym_use_instead_of_clause = 235,
  sym_use_as_clause = 236,
  sym_visibility_modifier = 237,
  sym_function_definition = 238,
  sym__function_definition_header = 239,
  sym__arrow_function_header = 240,
  sym_arrow_function = 241,
  sym_formal_parameters = 242,
  sym_property_promotion_parameter = 243,
  sym_simple_parameter = 244,
  sym_variadic_parameter = 245,
  sym__type = 246,
  sym__types = 247,
  sym_named_type = 248,
  sym_optional_type = 249,
  sym_union_type = 250,
  sym_intersection_type = 251,
  sym_disjunctive_normal_form_type = 252,
  sym_primitive_type = 253,
  sym_cast_type = 254,
  sym__return_type = 255,
  sym_const_element = 256,
  sym_echo_statement = 257,
  sym_unset_statement = 258,
  sym_declare_statement = 259,
  sym_declare_directive = 260,
  sym_try_statement = 261,
  sym_catch_clause = 262,
  sym_type_list = 263,
  sym_finally_clause = 264,
  sym_goto_statement = 265,
  sym_continue_statement = 266,
  sym_break_statement = 267,
  sym_return_statement = 268,
  sym_throw_expression = 269,
  sym_while_statement = 270,
  sym_do_statement = 271,
  sym_for_statement = 272,
  sym__expressions = 273,
  sym_sequence_expression = 274,
  sym_foreach_statement = 275,
  sym_foreach_pair = 276,
  sym_if_statement = 277,
  sym_colon_block = 278,
  sym_else_if_clause = 279,
  sym_else_clause = 280,
  sym_else_if_clause_2 = 281,
  sym_else_clause_2 = 282,
  sym_match_expression = 283,
  sym_match_block = 284,
  sym_match_condition_list = 285,
  sym_match_conditional_expression = 286,
  sym_match_default_expression = 287,
  sym_switch_statement = 288,
  sym_switch_block = 289,
  sym_case_statement = 290,
  sym_default_statement = 291,
  sym_compound_statement = 292,
  sym_named_label_statement = 293,
  sym_expression_statement = 294,
  sym__expression = 295,
  sym__unary_expression = 296,
  sym_unary_op_expression = 297,
  sym_exponentiation_expression = 298,
  sym_clone_expression = 299,
  sym__primary_expression = 300,
  sym_parenthesized_expression = 301,
  sym_class_constant_access_expression = 302,
  sym_print_intrinsic = 303,
  sym_anonymous_function_creation_expression = 304,
  sym_anonymous_function_use_clause = 305,
  sym_object_creation_expression = 306,
  sym_update_expression = 307,
  sym_cast_expression = 308,
  sym_cast_variable = 309,
  sym_assignment_expression = 310,
  sym_reference_assignment_expression = 311,
  sym_conditional_expression = 312,
  sym_augmented_assignment_expression = 313,
  sym_member_access_expression = 314,
  sym_nullsafe_member_access_expression = 315,
  sym_scoped_property_access_expression = 316,
  sym_list_literal = 317,
  sym__list_destructing = 318,
  sym__array_destructing = 319,
  sym__array_destructing_element = 320,
  sym_function_call_expression = 321,
  sym_scoped_call_expression = 322,
  sym__scope_resolution_qualifier = 323,
  sym_relative_scope = 324,
  sym_variadic_placeholder = 325,
  sym_arguments = 326,
  sym_argument = 327,
  sym_member_call_expression = 328,
  sym_nullsafe_member_call_expression = 329,
  sym_variadic_unpacking = 330,
  sym_subscript_expression = 331,
  sym__dereferencable_expression = 332,
  sym_array_creation_expression = 333,
  sym_attribute_group = 334,
  sym_attribute_list = 335,
  sym_attribute = 336,
  sym__complex_string_part = 337,
  sym__simple_string_member_access_expression = 338,
  sym__simple_string_subscript_unary_expression = 339,
  sym__simple_string_array_access_argument = 340,
  sym__simple_string_subscript_expression = 341,
  sym__simple_string_part = 342,
  aux_sym__interpolated_string_body = 343,
  aux_sym__interpolated_string_body_heredoc = 344,
  sym_encapsed_string = 345,
  sym_string = 346,
  sym_heredoc_body = 347,
  sym_heredoc = 348,
  sym_nowdoc_body = 349,
  sym_nowdoc = 350,
  aux_sym__interpolated_execution_operator_body = 351,
  sym_shell_command_expression = 352,
  sym__string = 353,
  sym_dynamic_variable_name = 354,
  sym_variable_name = 355,
  sym_variable_reference = 356,
  sym_by_ref = 357,
  sym_yield_expression = 358,
  sym_array_element_initializer = 359,
  sym_binary_expression = 360,
  sym_include_expression = 361,
  sym_include_once_expression = 362,
  sym_require_expression = 363,
  sym_require_once_expression = 364,
  sym__reserved_identifier = 365,
  aux_sym_program_repeat1 = 366,
  aux_sym_function_static_declaration_repeat1 = 367,
  aux_sym_global_declaration_repeat1 = 368,
  aux_sym_namespace_use_declaration_repeat1 = 369,
  aux_sym_namespace_name_repeat1 = 370,
  aux_sym_namespace_use_group_repeat1 = 371,
  aux_sym_base_clause_repeat1 = 372,
  aux_sym_enum_declaration_list_repeat1 = 373,
  aux_sym_declaration_list_repeat1 = 374,
  aux_sym__const_declaration_repeat1 = 375,
  aux_sym_property_declaration_repeat1 = 376,
  aux_sym_property_declaration_repeat2 = 377,
  aux_sym_use_list_repeat1 = 378,
  aux_sym_formal_parameters_repeat1 = 379,
  aux_sym_union_type_repeat1 = 380,
  aux_sym_intersection_type_repeat1 = 381,
  aux_sym_disjunctive_normal_form_type_repeat1 = 382,
  aux_sym_unset_statement_repeat1 = 383,
  aux_sym_try_statement_repeat1 = 384,
  aux_sym_type_list_repeat1 = 385,
  aux_sym_if_statement_repeat1 = 386,
  aux_sym_if_statement_repeat2 = 387,
  aux_sym_match_block_repeat1 = 388,
  aux_sym_match_condition_list_repeat1 = 389,
  aux_sym_switch_block_repeat1 = 390,
  aux_sym_anonymous_function_use_clause_repeat1 = 391,
  aux_sym__list_destructing_repeat1 = 392,
  aux_sym__array_destructing_repeat1 = 393,
  aux_sym_arguments_repeat1 = 394,
  aux_sym_array_creation_expression_repeat1 = 395,
  aux_sym_attribute_group_repeat1 = 396,
  aux_sym_attribute_list_repeat1 = 397,
  aux_sym_string_repeat1 = 398,
  aux_sym_heredoc_body_repeat1 = 399,
  aux_sym_nowdoc_body_repeat1 = 400,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [anon_sym_QMARK_GT] = "\?>",
  [sym_php_tag] = "php_tag",
  [aux_sym_text_token1] = "text_token1",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_static] = "static",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_AT] = "@",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym_object_creation_expression_token1] = "new",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_value",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_LT_QMARK] = "string_value",
  [anon_sym_QMARK_GT2] = "string_value",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [aux_sym_string_token2] = "escape_sequence",
  [sym_string_value] = "string_value",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_] = "nowdoc_string",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_value",
  [sym_encapsed_string_chars_after_variable] = "string_value",
  [sym_execution_string_chars] = "string_value",
  [sym_execution_string_chars_after_variable] = "string_value",
  [sym_encapsed_string_chars_heredoc] = "string_value",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_value",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym__type] = "_type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym__expression] = "_expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_exponentiation_expression] = "exponentiation_expression",
  [sym_clone_expression] = "clone_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_variable_reference] = "by_ref",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_declaration_repeat2] = "property_declaration_repeat2",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [sym_php_tag] = sym_php_tag,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = anon_sym_static,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym_object_creation_expression_token1] = aux_sym_object_creation_expression_token1,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_value,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_LT_QMARK] = sym_string_value,
  [anon_sym_QMARK_GT2] = sym_string_value,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [aux_sym_string_token2] = sym_escape_sequence,
  [sym_string_value] = sym_string_value,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_] = sym_nowdoc_string,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_value,
  [sym_encapsed_string_chars_after_variable] = sym_string_value,
  [sym_execution_string_chars] = sym_string_value,
  [sym_execution_string_chars_after_variable] = sym_string_value,
  [sym_encapsed_string_chars_heredoc] = sym_string_value,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_value,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym__type] = sym__type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym__expression] = sym__expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_exponentiation_expression] = sym_exponentiation_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_variable_reference] = sym_by_ref,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_declaration_repeat2] = aux_sym_property_declaration_repeat2,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_object_creation_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_QMARK] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [sym_string_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_exponentiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_arguments = 2,
  field_attributes = 3,
  field_body = 4,
  field_condition = 5,
  field_conditional_expressions = 6,
  field_default_value = 7,
  field_end_tag = 8,
  field_function = 9,
  field_identifier = 10,
  field_left = 11,
  field_modifier = 12,
  field_name = 13,
  field_object = 14,
  field_operator = 15,
  field_parameters = 16,
  field_readonly = 17,
  field_reference_modifier = 18,
  field_return_expression = 19,
  field_return_type = 20,
  field_right = 21,
  field_scope = 22,
  field_type = 23,
  field_value = 24,
  field_visibility = 25,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_left] = "left",
  [field_modifier] = "modifier",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_type] = "type",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 5},
  [10] = {.index = 13, .length = 1},
  [11] = {.index = 14, .length = 2},
  [12] = {.index = 16, .length = 2},
  [13] = {.index = 18, .length = 2},
  [14] = {.index = 20, .length = 2},
  [15] = {.index = 22, .length = 2},
  [17] = {.index = 24, .length = 2},
  [18] = {.index = 26, .length = 2},
  [19] = {.index = 28, .length = 1},
  [20] = {.index = 29, .length = 5},
  [21] = {.index = 34, .length = 2},
  [22] = {.index = 36, .length = 3},
  [23] = {.index = 39, .length = 2},
  [24] = {.index = 41, .length = 2},
  [25] = {.index = 43, .length = 2},
  [26] = {.index = 45, .length = 6},
  [27] = {.index = 51, .length = 2},
  [28] = {.index = 53, .length = 2},
  [29] = {.index = 55, .length = 2},
  [30] = {.index = 57, .length = 2},
  [31] = {.index = 59, .length = 2},
  [32] = {.index = 61, .length = 2},
  [33] = {.index = 63, .length = 3},
  [34] = {.index = 66, .length = 3},
  [35] = {.index = 69, .length = 3},
  [36] = {.index = 72, .length = 1},
  [37] = {.index = 73, .length = 3},
  [38] = {.index = 76, .length = 2},
  [39] = {.index = 78, .length = 1},
  [40] = {.index = 79, .length = 3},
  [41] = {.index = 82, .length = 2},
  [42] = {.index = 84, .length = 3},
  [43] = {.index = 87, .length = 2},
  [44] = {.index = 89, .length = 1},
  [45] = {.index = 90, .length = 3},
  [46] = {.index = 93, .length = 3},
  [47] = {.index = 96, .length = 1},
  [50] = {.index = 97, .length = 3},
  [51] = {.index = 100, .length = 1},
  [52] = {.index = 101, .length = 3},
  [53] = {.index = 104, .length = 2},
  [54] = {.index = 106, .length = 2},
  [55] = {.index = 108, .length = 2},
  [56] = {.index = 110, .length = 2},
  [57] = {.index = 112, .length = 3},
  [58] = {.index = 115, .length = 3},
  [59] = {.index = 118, .length = 3},
  [60] = {.index = 121, .length = 3},
  [61] = {.index = 124, .length = 3},
  [62] = {.index = 127, .length = 3},
  [63] = {.index = 130, .length = 2},
  [64] = {.index = 132, .length = 3},
  [65] = {.index = 135, .length = 3},
  [66] = {.index = 138, .length = 2},
  [67] = {.index = 140, .length = 2},
  [68] = {.index = 142, .length = 3},
  [69] = {.index = 145, .length = 3},
  [70] = {.index = 148, .length = 2},
  [71] = {.index = 150, .length = 3},
  [72] = {.index = 153, .length = 2},
  [73] = {.index = 155, .length = 3},
  [74] = {.index = 158, .length = 3},
  [75] = {.index = 161, .length = 3},
  [76] = {.index = 164, .length = 2},
  [77] = {.index = 166, .length = 4},
  [78] = {.index = 170, .length = 4},
  [79] = {.index = 174, .length = 3},
  [80] = {.index = 177, .length = 3},
  [81] = {.index = 180, .length = 2},
  [82] = {.index = 182, .length = 4},
  [83] = {.index = 186, .length = 2},
  [84] = {.index = 188, .length = 2},
  [85] = {.index = 188, .length = 2},
  [86] = {.index = 190, .length = 2},
  [87] = {.index = 192, .length = 4},
  [88] = {.index = 196, .length = 2},
  [89] = {.index = 198, .length = 3},
  [90] = {.index = 201, .length = 2},
  [91] = {.index = 203, .length = 4},
  [92] = {.index = 207, .length = 3},
  [93] = {.index = 210, .length = 4},
  [94] = {.index = 214, .length = 3},
  [95] = {.index = 217, .length = 1},
  [96] = {.index = 218, .length = 3},
  [98] = {.index = 221, .length = 2},
  [99] = {.index = 223, .length = 3},
  [100] = {.index = 226, .length = 4},
  [101] = {.index = 230, .length = 4},
  [102] = {.index = 234, .length = 3},
  [103] = {.index = 237, .length = 3},
  [104] = {.index = 240, .length = 4},
  [105] = {.index = 244, .length = 4},
  [106] = {.index = 248, .length = 3},
  [107] = {.index = 251, .length = 3},
  [108] = {.index = 254, .length = 4},
  [109] = {.index = 258, .length = 3},
  [110] = {.index = 261, .length = 3},
  [111] = {.index = 264, .length = 3},
  [112] = {.index = 267, .length = 4},
  [113] = {.index = 271, .length = 3},
  [114] = {.index = 274, .length = 3},
  [115] = {.index = 277, .length = 3},
  [116] = {.index = 280, .length = 3},
  [117] = {.index = 283, .length = 4},
  [118] = {.index = 287, .length = 4},
  [119] = {.index = 291, .length = 3},
  [120] = {.index = 294, .length = 4},
  [121] = {.index = 298, .length = 3},
  [122] = {.index = 301, .length = 4},
  [123] = {.index = 305, .length = 3},
  [124] = {.index = 308, .length = 5},
  [125] = {.index = 313, .length = 4},
  [126] = {.index = 317, .length = 5},
  [127] = {.index = 322, .length = 2},
  [128] = {.index = 324, .length = 1},
  [129] = {.index = 325, .length = 2},
  [130] = {.index = 327, .length = 1},
  [133] = {.index = 328, .length = 3},
  [134] = {.index = 331, .length = 5},
  [135] = {.index = 336, .length = 2},
  [136] = {.index = 338, .length = 3},
  [137] = {.index = 341, .length = 4},
  [138] = {.index = 345, .length = 3},
  [139] = {.index = 348, .length = 3},
  [140] = {.index = 351, .length = 4},
  [141] = {.index = 355, .length = 4},
  [142] = {.index = 359, .length = 3},
  [143] = {.index = 362, .length = 5},
  [144] = {.index = 367, .length = 4},
  [145] = {.index = 371, .length = 4},
  [146] = {.index = 375, .length = 3},
  [147] = {.index = 375, .length = 3},
  [148] = {.index = 378, .length = 4},
  [149] = {.index = 382, .length = 5},
  [150] = {.index = 387, .length = 4},
  [151] = {.index = 391, .length = 4},
  [152] = {.index = 395, .length = 4},
  [153] = {.index = 399, .length = 4},
  [154] = {.index = 403, .length = 4},
  [155] = {.index = 407, .length = 4},
  [156] = {.index = 411, .length = 5},
  [157] = {.index = 416, .length = 4},
  [158] = {.index = 420, .length = 4},
  [159] = {.index = 424, .length = 4},
  [160] = {.index = 428, .length = 1},
  [161] = {.index = 429, .length = 5},
  [162] = {.index = 434, .length = 6},
  [163] = {.index = 440, .length = 2},
  [164] = {.index = 442, .length = 1},
  [165] = {.index = 443, .length = 3},
  [166] = {.index = 446, .length = 5},
  [167] = {.index = 451, .length = 4},
  [168] = {.index = 455, .length = 5},
  [169] = {.index = 460, .length = 4},
  [170] = {.index = 464, .length = 4},
  [171] = {.index = 468, .length = 5},
  [172] = {.index = 473, .length = 3},
  [173] = {.index = 476, .length = 4},
  [174] = {.index = 480, .length = 5},
  [175] = {.index = 485, .length = 5},
  [176] = {.index = 490, .length = 5},
  [177] = {.index = 495, .length = 5},
  [178] = {.index = 500, .length = 5},
  [179] = {.index = 505, .length = 2},
  [180] = {.index = 507, .length = 2},
  [181] = {.index = 509, .length = 3},
  [182] = {.index = 512, .length = 5},
  [183] = {.index = 517, .length = 5},
  [184] = {.index = 522, .length = 6},
  [185] = {.index = 528, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_body, 1},
  [3] =
    {field_parameters, 1},
  [4] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [13] =
    {field_name, 1},
  [14] =
    {field_body, 2},
    {field_name, 1},
  [16] =
    {field_name, 1},
    {field_parameters, 2},
  [18] =
    {field_body, 2},
    {field_parameters, 1},
  [20] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [22] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [24] =
    {field_body, 2},
    {field_condition, 1},
  [26] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [28] =
    {field_parameters, 2},
  [29] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [34] =
    {field_left, 0},
    {field_right, 2},
  [36] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [39] =
    {field_name, 2},
    {field_scope, 0},
  [41] =
    {field_name, 2},
    {field_object, 0},
  [43] =
    {field_attributes, 0},
    {field_parameters, 2},
  [45] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [51] =
    {field_body, 3},
    {field_parameters, 2},
  [53] =
    {field_name, 0},
    {field_value, 2},
  [55] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [57] =
    {field_name, 1},
    {field_visibility, 0},
  [59] =
    {field_name, 1},
    {field_type, 0},
  [61] =
    {field_attributes, 0},
    {field_name, 1},
  [63] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [66] =
    {field_name, 2},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [69] =
    {field_body, 3},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [72] =
    {field_return_type, 1},
  [73] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [76] =
    {field_body, 3},
    {field_parameters, 1},
  [78] =
    {field_type, 1},
  [79] =
    {field_attributes, 0, .inherited = true},
    {field_modifier, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [82] =
    {field_body, 3},
    {field_name, 1},
  [84] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [87] =
    {field_type, 1},
    {field_value, 3},
  [89] =
    {field_alternative, 0},
  [90] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [93] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [96] =
    {field_attributes, 1},
  [97] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [100] =
    {field_reference_modifier, 0},
  [101] =
    {field_body, 3},
    {field_modifier, 0},
    {field_name, 2},
  [104] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [106] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [108] =
    {field_alternative, 3},
    {field_condition, 0},
  [110] =
    {field_left, 0},
    {field_right, 3},
  [112] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [115] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [118] =
    {field_attributes, 0},
    {field_body, 3},
    {field_parameters, 2},
  [121] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [124] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [127] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [130] =
    {field_attributes, 0},
    {field_parameters, 3},
  [132] =
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [135] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [138] =
    {field_body, 4},
    {field_parameters, 2},
  [140] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [142] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [145] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [148] =
    {field_name, 2},
    {field_type, 0},
  [150] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [153] =
    {field_attributes, 0},
    {field_name, 2},
  [155] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [158] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [161] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [164] =
    {field_default_value, 2},
    {field_name, 0},
  [166] =
    {field_name, 2},
    {field_parameters, 3},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [170] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [174] =
    {field_body, 4},
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [177] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [180] =
    {field_modifier, 0},
    {field_type, 1, .inherited = true},
  [182] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [186] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [188] =
    {field_body, 4},
    {field_name, 1},
  [190] =
    {field_body, 1},
    {field_condition, 3},
  [192] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [196] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [198] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [201] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [203] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
  [207] =
    {field_body, 4},
    {field_modifier, 0},
    {field_name, 2},
  [210] =
    {field_body, 4},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [214] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [217] =
    {field_type, 2},
  [218] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [221] =
    {field_name, 3},
    {field_object, 0},
  [223] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
  [226] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [230] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [234] =
    {field_attributes, 0},
    {field_body, 4},
    {field_parameters, 2},
  [237] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [240] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [244] =
    {field_attributes, 0},
    {field_body, 4},
    {field_modifier, 1},
    {field_name, 3},
  [248] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [251] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [254] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [258] =
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [261] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [264] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [267] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [271] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [274] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [277] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [280] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [283] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [287] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [291] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [294] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [298] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [301] =
    {field_body, 5},
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [305] =
    {field_attributes, 0},
    {field_modifier, 1},
    {field_type, 2, .inherited = true},
  [308] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [313] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [317] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_reference_modifier, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [322] =
    {field_body, 5},
    {field_name, 1},
  [324] =
    {field_return_expression, 2},
  [325] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [327] =
    {field_value, 1},
  [328] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [331] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [336] =
    {field_name, 0},
    {field_reference_modifier, 2},
  [338] =
    {field_body, 5},
    {field_modifier, 0},
    {field_name, 2},
  [341] =
    {field_body, 5},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [345] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [348] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [351] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [355] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [359] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
  [362] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [367] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [371] =
    {field_attributes, 0},
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [375] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [378] =
    {field_attributes, 0},
    {field_body, 5},
    {field_modifier, 1},
    {field_name, 3},
  [382] =
    {field_attributes, 0},
    {field_body, 5},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [387] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [391] =
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [395] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [399] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [403] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [407] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [411] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [416] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [420] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [424] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [428] =
    {field_attributes, 0},
  [429] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_reference_modifier, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [434] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_reference_modifier, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [440] =
    {field_body, 4},
    {field_type, 2},
  [442] =
    {field_body, 6},
  [443] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [446] =
    {field_end_tag, 6},
    {field_identifier, 1},
    {field_identifier, 2},
    {field_identifier, 3},
    {field_value, 4},
  [451] =
    {field_body, 6},
    {field_modifier, 0},
    {field_modifier, 1},
    {field_name, 3},
  [455] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
  [460] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 4},
    {field_reference_modifier, 3},
  [464] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
  [468] =
    {field_attributes, 0},
    {field_body, 6},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [473] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [476] =
    {field_attributes, 0},
    {field_body, 6},
    {field_modifier, 1},
    {field_name, 3},
  [480] =
    {field_attributes, 0},
    {field_body, 6},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [485] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [490] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [495] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [500] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [505] =
    {field_attributes, 0},
    {field_type, 2},
  [507] =
    {field_name, 1},
    {field_value, 3},
  [509] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [512] =
    {field_attributes, 0},
    {field_body, 7},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
  [517] =
    {field_attributes, 0},
    {field_body, 7},
    {field_modifier, 1},
    {field_modifier, 2},
    {field_name, 4},
  [522] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [528] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [5] = {
    [0] = sym_list_literal,
  },
  [6] = {
    [0] = sym_string_value,
  },
  [16] = {
    [0] = anon_sym_array,
  },
  [48] = {
    [1] = sym_list_literal,
  },
  [49] = {
    [2] = sym_list_literal,
  },
  [84] = {
    [3] = sym_primitive_type,
  },
  [97] = {
    [3] = sym_name,
  },
  [127] = {
    [3] = sym_primitive_type,
  },
  [131] = {
    [3] = sym_list_literal,
  },
  [132] = {
    [4] = sym_list_literal,
  },
  [146] = {
    [4] = sym_primitive_type,
  },
  [172] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__expression, 2,
    sym__expression,
    sym_name,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 7,
  [9] = 2,
  [10] = 10,
  [11] = 10,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 14,
  [17] = 14,
  [18] = 14,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 23,
  [31] = 24,
  [32] = 21,
  [33] = 33,
  [34] = 20,
  [35] = 33,
  [36] = 36,
  [37] = 20,
  [38] = 36,
  [39] = 39,
  [40] = 22,
  [41] = 39,
  [42] = 42,
  [43] = 26,
  [44] = 26,
  [45] = 45,
  [46] = 46,
  [47] = 26,
  [48] = 21,
  [49] = 42,
  [50] = 39,
  [51] = 28,
  [52] = 42,
  [53] = 20,
  [54] = 29,
  [55] = 29,
  [56] = 29,
  [57] = 23,
  [58] = 58,
  [59] = 29,
  [60] = 19,
  [61] = 45,
  [62] = 21,
  [63] = 27,
  [64] = 19,
  [65] = 19,
  [66] = 39,
  [67] = 58,
  [68] = 46,
  [69] = 69,
  [70] = 45,
  [71] = 69,
  [72] = 45,
  [73] = 23,
  [74] = 45,
  [75] = 42,
  [76] = 25,
  [77] = 77,
  [78] = 78,
  [79] = 78,
  [80] = 77,
  [81] = 77,
  [82] = 82,
  [83] = 77,
  [84] = 82,
  [85] = 85,
  [86] = 85,
  [87] = 85,
  [88] = 85,
  [89] = 89,
  [90] = 90,
  [91] = 90,
  [92] = 89,
  [93] = 89,
  [94] = 90,
  [95] = 90,
  [96] = 90,
  [97] = 89,
  [98] = 89,
  [99] = 89,
  [100] = 100,
  [101] = 100,
  [102] = 100,
  [103] = 100,
  [104] = 100,
  [105] = 105,
  [106] = 105,
  [107] = 105,
  [108] = 105,
  [109] = 105,
  [110] = 105,
  [111] = 105,
  [112] = 105,
  [113] = 113,
  [114] = 113,
  [115] = 115,
  [116] = 115,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 122,
  [124] = 118,
  [125] = 118,
  [126] = 118,
  [127] = 127,
  [128] = 122,
  [129] = 122,
  [130] = 118,
  [131] = 118,
  [132] = 119,
  [133] = 122,
  [134] = 122,
  [135] = 118,
  [136] = 127,
  [137] = 120,
  [138] = 121,
  [139] = 122,
  [140] = 118,
  [141] = 117,
  [142] = 122,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 146,
  [148] = 148,
  [149] = 149,
  [150] = 144,
  [151] = 145,
  [152] = 152,
  [153] = 143,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 157,
  [159] = 159,
  [160] = 160,
  [161] = 159,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 157,
  [166] = 166,
  [167] = 166,
  [168] = 166,
  [169] = 164,
  [170] = 159,
  [171] = 163,
  [172] = 160,
  [173] = 162,
  [174] = 163,
  [175] = 166,
  [176] = 159,
  [177] = 162,
  [178] = 164,
  [179] = 163,
  [180] = 164,
  [181] = 157,
  [182] = 160,
  [183] = 160,
  [184] = 162,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 187,
  [190] = 190,
  [191] = 187,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 186,
  [196] = 188,
  [197] = 192,
  [198] = 187,
  [199] = 187,
  [200] = 187,
  [201] = 193,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 206,
  [210] = 205,
  [211] = 207,
  [212] = 207,
  [213] = 213,
  [214] = 205,
  [215] = 203,
  [216] = 206,
  [217] = 203,
  [218] = 203,
  [219] = 203,
  [220] = 203,
  [221] = 206,
  [222] = 205,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 225,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 223,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 238,
  [254] = 235,
  [255] = 255,
  [256] = 256,
  [257] = 233,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 252,
  [270] = 267,
  [271] = 251,
  [272] = 250,
  [273] = 225,
  [274] = 274,
  [275] = 275,
  [276] = 249,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 248,
  [281] = 247,
  [282] = 282,
  [283] = 246,
  [284] = 284,
  [285] = 285,
  [286] = 245,
  [287] = 233,
  [288] = 244,
  [289] = 235,
  [290] = 238,
  [291] = 252,
  [292] = 251,
  [293] = 243,
  [294] = 242,
  [295] = 250,
  [296] = 249,
  [297] = 248,
  [298] = 247,
  [299] = 246,
  [300] = 241,
  [301] = 245,
  [302] = 240,
  [303] = 244,
  [304] = 243,
  [305] = 305,
  [306] = 242,
  [307] = 241,
  [308] = 240,
  [309] = 237,
  [310] = 237,
  [311] = 224,
  [312] = 258,
  [313] = 313,
  [314] = 224,
  [315] = 278,
  [316] = 277,
  [317] = 227,
  [318] = 318,
  [319] = 275,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 232,
  [324] = 229,
  [325] = 234,
  [326] = 274,
  [327] = 228,
  [328] = 223,
  [329] = 259,
  [330] = 232,
  [331] = 228,
  [332] = 259,
  [333] = 274,
  [334] = 278,
  [335] = 275,
  [336] = 277,
  [337] = 278,
  [338] = 223,
  [339] = 234,
  [340] = 277,
  [341] = 229,
  [342] = 342,
  [343] = 268,
  [344] = 232,
  [345] = 275,
  [346] = 346,
  [347] = 347,
  [348] = 232,
  [349] = 228,
  [350] = 228,
  [351] = 267,
  [352] = 268,
  [353] = 342,
  [354] = 232,
  [355] = 227,
  [356] = 258,
  [357] = 228,
  [358] = 268,
  [359] = 274,
  [360] = 268,
  [361] = 232,
  [362] = 228,
  [363] = 227,
  [364] = 268,
  [365] = 365,
  [366] = 366,
  [367] = 365,
  [368] = 347,
  [369] = 268,
  [370] = 224,
  [371] = 346,
  [372] = 232,
  [373] = 342,
  [374] = 374,
  [375] = 346,
  [376] = 237,
  [377] = 227,
  [378] = 230,
  [379] = 228,
  [380] = 365,
  [381] = 366,
  [382] = 259,
  [383] = 227,
  [384] = 346,
  [385] = 268,
  [386] = 258,
  [387] = 234,
  [388] = 267,
  [389] = 229,
  [390] = 240,
  [391] = 347,
  [392] = 241,
  [393] = 347,
  [394] = 242,
  [395] = 243,
  [396] = 244,
  [397] = 245,
  [398] = 246,
  [399] = 230,
  [400] = 247,
  [401] = 227,
  [402] = 366,
  [403] = 228,
  [404] = 342,
  [405] = 232,
  [406] = 365,
  [407] = 248,
  [408] = 249,
  [409] = 250,
  [410] = 251,
  [411] = 252,
  [412] = 238,
  [413] = 258,
  [414] = 225,
  [415] = 268,
  [416] = 235,
  [417] = 233,
  [418] = 258,
  [419] = 232,
  [420] = 420,
  [421] = 228,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 424,
  [426] = 426,
  [427] = 426,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 428,
  [432] = 428,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 428,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 439,
  [447] = 439,
  [448] = 439,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 439,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 429,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 435,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 454,
  [568] = 456,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 571,
  [573] = 571,
  [574] = 571,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 600,
  [602] = 598,
  [603] = 603,
  [604] = 598,
  [605] = 583,
  [606] = 600,
  [607] = 580,
  [608] = 608,
  [609] = 584,
  [610] = 581,
  [611] = 583,
  [612] = 582,
  [613] = 613,
  [614] = 579,
  [615] = 587,
  [616] = 576,
  [617] = 588,
  [618] = 591,
  [619] = 589,
  [620] = 620,
  [621] = 590,
  [622] = 594,
  [623] = 575,
  [624] = 624,
  [625] = 613,
  [626] = 597,
  [627] = 600,
  [628] = 596,
  [629] = 593,
  [630] = 586,
  [631] = 592,
  [632] = 578,
  [633] = 585,
  [634] = 603,
  [635] = 577,
  [636] = 624,
  [637] = 595,
  [638] = 598,
  [639] = 639,
  [640] = 599,
  [641] = 599,
  [642] = 613,
  [643] = 603,
  [644] = 644,
  [645] = 645,
  [646] = 613,
  [647] = 603,
  [648] = 645,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 579,
  [655] = 655,
  [656] = 580,
  [657] = 597,
  [658] = 658,
  [659] = 659,
  [660] = 582,
  [661] = 661,
  [662] = 584,
  [663] = 658,
  [664] = 664,
  [665] = 581,
  [666] = 666,
  [667] = 664,
  [668] = 668,
  [669] = 593,
  [670] = 670,
  [671] = 671,
  [672] = 577,
  [673] = 575,
  [674] = 590,
  [675] = 668,
  [676] = 576,
  [677] = 587,
  [678] = 592,
  [679] = 585,
  [680] = 680,
  [681] = 671,
  [682] = 578,
  [683] = 683,
  [684] = 589,
  [685] = 596,
  [686] = 591,
  [687] = 683,
  [688] = 586,
  [689] = 597,
  [690] = 595,
  [691] = 588,
  [692] = 594,
  [693] = 579,
  [694] = 670,
  [695] = 581,
  [696] = 581,
  [697] = 697,
  [698] = 582,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 584,
  [709] = 709,
  [710] = 655,
  [711] = 584,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 680,
  [716] = 580,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 581,
  [721] = 580,
  [722] = 713,
  [723] = 723,
  [724] = 719,
  [725] = 579,
  [726] = 580,
  [727] = 579,
  [728] = 582,
  [729] = 582,
  [730] = 584,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 570,
  [736] = 736,
  [737] = 594,
  [738] = 593,
  [739] = 586,
  [740] = 575,
  [741] = 587,
  [742] = 592,
  [743] = 596,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 585,
  [752] = 752,
  [753] = 595,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 590,
  [758] = 576,
  [759] = 759,
  [760] = 591,
  [761] = 578,
  [762] = 589,
  [763] = 763,
  [764] = 577,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 588,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 707,
  [773] = 580,
  [774] = 774,
  [775] = 666,
  [776] = 701,
  [777] = 584,
  [778] = 778,
  [779] = 659,
  [780] = 664,
  [781] = 579,
  [782] = 435,
  [783] = 783,
  [784] = 655,
  [785] = 582,
  [786] = 661,
  [787] = 664,
  [788] = 788,
  [789] = 429,
  [790] = 581,
  [791] = 590,
  [792] = 597,
  [793] = 596,
  [794] = 586,
  [795] = 795,
  [796] = 589,
  [797] = 588,
  [798] = 798,
  [799] = 592,
  [800] = 594,
  [801] = 593,
  [802] = 795,
  [803] = 803,
  [804] = 585,
  [805] = 595,
  [806] = 587,
  [807] = 578,
  [808] = 575,
  [809] = 576,
  [810] = 577,
  [811] = 591,
  [812] = 580,
  [813] = 813,
  [814] = 680,
  [815] = 815,
  [816] = 815,
  [817] = 680,
  [818] = 709,
  [819] = 701,
  [820] = 820,
  [821] = 813,
  [822] = 813,
  [823] = 651,
  [824] = 719,
  [825] = 454,
  [826] = 581,
  [827] = 670,
  [828] = 815,
  [829] = 582,
  [830] = 702,
  [831] = 584,
  [832] = 579,
  [833] = 579,
  [834] = 456,
  [835] = 582,
  [836] = 836,
  [837] = 581,
  [838] = 815,
  [839] = 713,
  [840] = 697,
  [841] = 706,
  [842] = 815,
  [843] = 719,
  [844] = 844,
  [845] = 723,
  [846] = 655,
  [847] = 584,
  [848] = 717,
  [849] = 849,
  [850] = 713,
  [851] = 670,
  [852] = 699,
  [853] = 849,
  [854] = 580,
  [855] = 836,
  [856] = 581,
  [857] = 707,
  [858] = 582,
  [859] = 714,
  [860] = 579,
  [861] = 844,
  [862] = 584,
  [863] = 580,
  [864] = 597,
  [865] = 588,
  [866] = 755,
  [867] = 701,
  [868] = 752,
  [869] = 765,
  [870] = 750,
  [871] = 734,
  [872] = 591,
  [873] = 771,
  [874] = 756,
  [875] = 746,
  [876] = 570,
  [877] = 736,
  [878] = 763,
  [879] = 745,
  [880] = 578,
  [881] = 701,
  [882] = 747,
  [883] = 759,
  [884] = 595,
  [885] = 766,
  [886] = 770,
  [887] = 748,
  [888] = 594,
  [889] = 769,
  [890] = 575,
  [891] = 592,
  [892] = 577,
  [893] = 585,
  [894] = 731,
  [895] = 586,
  [896] = 589,
  [897] = 754,
  [898] = 596,
  [899] = 767,
  [900] = 732,
  [901] = 733,
  [902] = 744,
  [903] = 576,
  [904] = 590,
  [905] = 587,
  [906] = 593,
  [907] = 707,
  [908] = 778,
  [909] = 783,
  [910] = 774,
  [911] = 788,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 578,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 575,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 577,
  [963] = 576,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 454,
  [978] = 456,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 997,
  [1013] = 995,
  [1014] = 1003,
  [1015] = 988,
  [1016] = 985,
  [1017] = 1011,
  [1018] = 989,
  [1019] = 1007,
  [1020] = 1005,
  [1021] = 991,
  [1022] = 980,
  [1023] = 1006,
  [1024] = 984,
  [1025] = 1000,
  [1026] = 982,
  [1027] = 979,
  [1028] = 981,
  [1029] = 1029,
  [1030] = 983,
  [1031] = 996,
  [1032] = 987,
  [1033] = 986,
  [1034] = 1001,
  [1035] = 1010,
  [1036] = 992,
  [1037] = 993,
  [1038] = 990,
  [1039] = 1002,
  [1040] = 998,
  [1041] = 999,
  [1042] = 1009,
  [1043] = 1008,
  [1044] = 994,
  [1045] = 1004,
  [1046] = 971,
  [1047] = 997,
  [1048] = 1048,
  [1049] = 955,
  [1050] = 969,
  [1051] = 1007,
  [1052] = 970,
  [1053] = 575,
  [1054] = 933,
  [1055] = 964,
  [1056] = 927,
  [1057] = 934,
  [1058] = 991,
  [1059] = 1048,
  [1060] = 937,
  [1061] = 974,
  [1062] = 1062,
  [1063] = 930,
  [1064] = 919,
  [1065] = 924,
  [1066] = 917,
  [1067] = 958,
  [1068] = 916,
  [1069] = 936,
  [1070] = 922,
  [1071] = 923,
  [1072] = 942,
  [1073] = 929,
  [1074] = 948,
  [1075] = 913,
  [1076] = 576,
  [1077] = 973,
  [1078] = 952,
  [1079] = 935,
  [1080] = 1006,
  [1081] = 1001,
  [1082] = 953,
  [1083] = 980,
  [1084] = 941,
  [1085] = 1004,
  [1086] = 959,
  [1087] = 976,
  [1088] = 988,
  [1089] = 968,
  [1090] = 1008,
  [1091] = 1009,
  [1092] = 429,
  [1093] = 1010,
  [1094] = 921,
  [1095] = 1002,
  [1096] = 577,
  [1097] = 944,
  [1098] = 1000,
  [1099] = 1003,
  [1100] = 985,
  [1101] = 987,
  [1102] = 932,
  [1103] = 992,
  [1104] = 928,
  [1105] = 990,
  [1106] = 925,
  [1107] = 999,
  [1108] = 989,
  [1109] = 1005,
  [1110] = 994,
  [1111] = 1011,
  [1112] = 435,
  [1113] = 578,
  [1114] = 983,
  [1115] = 949,
  [1116] = 979,
  [1117] = 918,
  [1118] = 984,
  [1119] = 914,
  [1120] = 982,
  [1121] = 981,
  [1122] = 946,
  [1123] = 995,
  [1124] = 947,
  [1125] = 986,
  [1126] = 998,
  [1127] = 996,
  [1128] = 961,
  [1129] = 950,
  [1130] = 975,
  [1131] = 993,
  [1132] = 915,
  [1133] = 954,
  [1134] = 926,
  [1135] = 960,
  [1136] = 1048,
  [1137] = 965,
  [1138] = 967,
  [1139] = 1062,
  [1140] = 1062,
  [1141] = 938,
  [1142] = 951,
  [1143] = 912,
  [1144] = 940,
  [1145] = 945,
  [1146] = 956,
  [1147] = 939,
  [1148] = 931,
  [1149] = 972,
  [1150] = 966,
  [1151] = 991,
  [1152] = 979,
  [1153] = 986,
  [1154] = 998,
  [1155] = 1011,
  [1156] = 1156,
  [1157] = 994,
  [1158] = 1005,
  [1159] = 996,
  [1160] = 999,
  [1161] = 995,
  [1162] = 997,
  [1163] = 981,
  [1164] = 990,
  [1165] = 987,
  [1166] = 982,
  [1167] = 984,
  [1168] = 989,
  [1169] = 983,
  [1170] = 1003,
  [1171] = 1000,
  [1172] = 1002,
  [1173] = 1010,
  [1174] = 1009,
  [1175] = 1008,
  [1176] = 1176,
  [1177] = 980,
  [1178] = 1006,
  [1179] = 993,
  [1180] = 992,
  [1181] = 1004,
  [1182] = 1001,
  [1183] = 988,
  [1184] = 985,
  [1185] = 1007,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1186,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1186,
  [1198] = 1198,
  [1199] = 1188,
  [1200] = 1200,
  [1201] = 1188,
  [1202] = 1186,
  [1203] = 984,
  [1204] = 1188,
  [1205] = 984,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1187,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1195,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1220,
  [1225] = 1225,
  [1226] = 1211,
  [1227] = 1211,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1219,
  [1234] = 1210,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1213,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1195,
  [1245] = 1187,
  [1246] = 1211,
  [1247] = 1230,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1254,
  [1256] = 1253,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1252,
  [1260] = 1251,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1252,
  [1264] = 1258,
  [1265] = 1257,
  [1266] = 1251,
  [1267] = 1252,
  [1268] = 1258,
  [1269] = 1257,
  [1270] = 1253,
  [1271] = 1254,
  [1272] = 1272,
  [1273] = 1251,
  [1274] = 1262,
  [1275] = 1253,
  [1276] = 1276,
  [1277] = 1272,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1262,
  [1281] = 1257,
  [1282] = 1253,
  [1283] = 1283,
  [1284] = 1276,
  [1285] = 1262,
  [1286] = 1276,
  [1287] = 1252,
  [1288] = 1262,
  [1289] = 1257,
  [1290] = 1253,
  [1291] = 1251,
  [1292] = 1262,
  [1293] = 1257,
  [1294] = 1294,
  [1295] = 1253,
  [1296] = 1296,
  [1297] = 1262,
  [1298] = 1257,
  [1299] = 1253,
  [1300] = 1258,
  [1301] = 1301,
  [1302] = 1258,
  [1303] = 1251,
  [1304] = 1304,
  [1305] = 1257,
  [1306] = 1253,
  [1307] = 1257,
  [1308] = 1262,
  [1309] = 1283,
  [1310] = 1258,
  [1311] = 1311,
  [1312] = 1253,
  [1313] = 1313,
  [1314] = 1272,
  [1315] = 1258,
  [1316] = 1257,
  [1317] = 1276,
  [1318] = 1254,
  [1319] = 1283,
  [1320] = 1279,
  [1321] = 1321,
  [1322] = 1252,
  [1323] = 1296,
  [1324] = 1262,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1329,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1332,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1336,
  [1338] = 1333,
  [1339] = 1333,
  [1340] = 1332,
  [1341] = 1336,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1343,
  [1346] = 1344,
  [1347] = 1344,
  [1348] = 1343,
  [1349] = 1349,
  [1350] = 1349,
  [1351] = 1278,
  [1352] = 1349,
  [1353] = 1326,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1327,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1328,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1029,
  [1367] = 1367,
  [1368] = 1342,
  [1369] = 1335,
  [1370] = 1370,
  [1371] = 1330,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1375,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 429,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1387,
  [1394] = 435,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 533,
  [1398] = 1398,
  [1399] = 474,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 464,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1396,
  [1412] = 591,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1413,
  [1421] = 551,
  [1422] = 562,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 527,
  [1426] = 528,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1402,
  [1430] = 1418,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1433,
  [1435] = 1435,
  [1436] = 1435,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1440,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1444,
  [1449] = 1443,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 596,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1464,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 655,
  [1470] = 1458,
  [1471] = 1471,
  [1472] = 706,
  [1473] = 591,
  [1474] = 1474,
  [1475] = 591,
  [1476] = 1476,
  [1477] = 595,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1481,
  [1483] = 1480,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1481,
  [1487] = 1481,
  [1488] = 1488,
  [1489] = 1480,
  [1490] = 1481,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1261,
  [1496] = 1485,
  [1497] = 1249,
  [1498] = 1498,
  [1499] = 1485,
  [1500] = 1485,
  [1501] = 1485,
  [1502] = 1480,
  [1503] = 1481,
  [1504] = 1480,
  [1505] = 1481,
  [1506] = 1485,
  [1507] = 1326,
  [1508] = 1325,
  [1509] = 1485,
  [1510] = 1485,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1480,
  [1514] = 1481,
  [1515] = 1515,
  [1516] = 1481,
  [1517] = 1492,
  [1518] = 1480,
  [1519] = 1492,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1492,
  [1524] = 1481,
  [1525] = 1481,
  [1526] = 1481,
  [1527] = 591,
  [1528] = 1485,
  [1529] = 1278,
  [1530] = 1485,
  [1531] = 1531,
  [1532] = 1492,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1481,
  [1537] = 1480,
  [1538] = 1538,
  [1539] = 1480,
  [1540] = 1540,
  [1541] = 1480,
  [1542] = 1480,
  [1543] = 1485,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1547,
  [1549] = 1549,
  [1550] = 423,
  [1551] = 1551,
  [1552] = 1549,
  [1553] = 1432,
  [1554] = 1546,
  [1555] = 1545,
  [1556] = 1459,
  [1557] = 422,
  [1558] = 1428,
  [1559] = 1559,
  [1560] = 591,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1563,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 798,
  [1569] = 596,
  [1570] = 595,
  [1571] = 1571,
  [1572] = 1432,
  [1573] = 1452,
  [1574] = 670,
  [1575] = 581,
  [1576] = 1576,
  [1577] = 680,
  [1578] = 1578,
  [1579] = 1563,
  [1580] = 1567,
  [1581] = 1581,
  [1582] = 581,
  [1583] = 1563,
  [1584] = 1567,
  [1585] = 670,
  [1586] = 680,
  [1587] = 1563,
  [1588] = 1567,
  [1589] = 670,
  [1590] = 680,
  [1591] = 1567,
  [1592] = 1563,
  [1593] = 1454,
  [1594] = 1455,
  [1595] = 1595,
  [1596] = 1595,
  [1597] = 1597,
  [1598] = 1457,
  [1599] = 1595,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 596,
  [1605] = 1605,
  [1606] = 591,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 595,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1605,
  [1619] = 1619,
  [1620] = 1608,
  [1621] = 1621,
  [1622] = 1610,
  [1623] = 1623,
  [1624] = 1615,
  [1625] = 1617,
  [1626] = 1621,
  [1627] = 1627,
  [1628] = 1623,
  [1629] = 1629,
  [1630] = 1627,
  [1631] = 1629,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1607,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1610,
  [1641] = 1641,
  [1642] = 1602,
  [1643] = 1643,
  [1644] = 1613,
  [1645] = 1635,
  [1646] = 1611,
  [1647] = 1647,
  [1648] = 1632,
  [1649] = 1649,
  [1650] = 1633,
  [1651] = 1649,
  [1652] = 1637,
  [1653] = 1611,
  [1654] = 424,
  [1655] = 426,
  [1656] = 1656,
  [1657] = 1638,
  [1658] = 1658,
  [1659] = 1454,
  [1660] = 1455,
  [1661] = 426,
  [1662] = 424,
  [1663] = 1614,
  [1664] = 1457,
  [1665] = 1647,
  [1666] = 1452,
  [1667] = 1639,
  [1668] = 1603,
  [1669] = 1643,
  [1670] = 1521,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1531,
  [1675] = 1479,
  [1676] = 1534,
  [1677] = 1672,
  [1678] = 430,
  [1679] = 449,
  [1680] = 1484,
  [1681] = 1673,
  [1682] = 1682,
  [1683] = 1672,
  [1684] = 450,
  [1685] = 1685,
  [1686] = 1673,
  [1687] = 455,
  [1688] = 1673,
  [1689] = 458,
  [1690] = 1690,
  [1691] = 1672,
  [1692] = 1672,
  [1693] = 1672,
  [1694] = 1672,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 444,
  [1699] = 1673,
  [1700] = 442,
  [1701] = 1672,
  [1702] = 1673,
  [1703] = 1673,
  [1704] = 1672,
  [1705] = 1705,
  [1706] = 1522,
  [1707] = 460,
  [1708] = 1461,
  [1709] = 1521,
  [1710] = 1445,
  [1711] = 1711,
  [1712] = 462,
  [1713] = 1713,
  [1714] = 1672,
  [1715] = 453,
  [1716] = 445,
  [1717] = 459,
  [1718] = 1718,
  [1719] = 1540,
  [1720] = 1720,
  [1721] = 1673,
  [1722] = 1720,
  [1723] = 440,
  [1724] = 1534,
  [1725] = 1725,
  [1726] = 1531,
  [1727] = 1522,
  [1728] = 1439,
  [1729] = 451,
  [1730] = 1447,
  [1731] = 1540,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 437,
  [1736] = 1736,
  [1737] = 452,
  [1738] = 1734,
  [1739] = 441,
  [1740] = 438,
  [1741] = 1690,
  [1742] = 443,
  [1743] = 1743,
  [1744] = 1718,
  [1745] = 1484,
  [1746] = 1656,
  [1747] = 1747,
  [1748] = 1685,
  [1749] = 1749,
  [1750] = 434,
  [1751] = 1713,
  [1752] = 1673,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1754,
  [1756] = 1673,
  [1757] = 433,
  [1758] = 1671,
  [1759] = 457,
  [1760] = 1673,
  [1761] = 1672,
  [1762] = 1672,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1460,
  [1772] = 1772,
  [1773] = 1471,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1769,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1767,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1766,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 651,
  [1809] = 1809,
  [1810] = 1462,
  [1811] = 1811,
  [1812] = 1784,
  [1813] = 1769,
  [1814] = 1770,
  [1815] = 1815,
  [1816] = 1785,
  [1817] = 1809,
  [1818] = 1818,
  [1819] = 1461,
  [1820] = 1815,
  [1821] = 1821,
  [1822] = 1456,
  [1823] = 1823,
  [1824] = 1453,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1788,
  [1829] = 1790,
  [1830] = 1830,
  [1831] = 1799,
  [1832] = 1765,
  [1833] = 1818,
  [1834] = 1834,
  [1835] = 1815,
  [1836] = 1479,
  [1837] = 1837,
  [1838] = 1821,
  [1839] = 1839,
  [1840] = 1793,
  [1841] = 1825,
  [1842] = 1842,
  [1843] = 1798,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1801,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1697,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1858,
  [1859] = 1796,
  [1860] = 1860,
  [1861] = 1796,
  [1862] = 1787,
  [1863] = 1846,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1826,
  [1868] = 1868,
  [1869] = 1865,
  [1870] = 1870,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1857,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1769,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1855,
  [1884] = 1778,
  [1885] = 1775,
  [1886] = 1834,
  [1887] = 1878,
  [1888] = 1888,
  [1889] = 1774,
  [1890] = 1807,
  [1891] = 1806,
  [1892] = 1879,
  [1893] = 1880,
  [1894] = 1802,
  [1895] = 1882,
  [1896] = 1896,
  [1897] = 1853,
  [1898] = 1823,
  [1899] = 1767,
  [1900] = 1766,
  [1901] = 1782,
  [1902] = 1791,
  [1903] = 1851,
  [1904] = 1805,
  [1905] = 1905,
  [1906] = 1811,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1888,
  [1910] = 1910,
  [1911] = 1837,
  [1912] = 1807,
  [1913] = 1905,
  [1914] = 1801,
  [1915] = 1806,
  [1916] = 1896,
  [1917] = 1850,
  [1918] = 1918,
  [1919] = 1870,
  [1920] = 1875,
  [1921] = 1802,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 539,
  [1927] = 540,
  [1928] = 541,
  [1929] = 465,
  [1930] = 1278,
  [1931] = 536,
  [1932] = 545,
  [1933] = 1933,
  [1934] = 547,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 548,
  [1938] = 1938,
  [1939] = 463,
  [1940] = 1940,
  [1941] = 538,
  [1942] = 530,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1945,
  [1946] = 1946,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1944,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1943,
  [1956] = 1956,
  [1957] = 549,
  [1958] = 552,
  [1959] = 537,
  [1960] = 1711,
  [1961] = 553,
  [1962] = 1512,
  [1963] = 556,
  [1964] = 1964,
  [1965] = 526,
  [1966] = 1935,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 557,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 555,
  [1973] = 487,
  [1974] = 1974,
  [1975] = 1925,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 558,
  [1979] = 489,
  [1980] = 492,
  [1981] = 1981,
  [1982] = 527,
  [1983] = 1983,
  [1984] = 1984,
  [1985] = 559,
  [1986] = 1986,
  [1987] = 561,
  [1988] = 1988,
  [1989] = 569,
  [1990] = 566,
  [1991] = 1974,
  [1992] = 1992,
  [1993] = 520,
  [1994] = 554,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 513,
  [2001] = 2001,
  [2002] = 1970,
  [2003] = 2003,
  [2004] = 2004,
  [2005] = 500,
  [2006] = 2006,
  [2007] = 1998,
  [2008] = 471,
  [2009] = 535,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 499,
  [2015] = 2015,
  [2016] = 2010,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 1936,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 1827,
  [2023] = 2023,
  [2024] = 501,
  [2025] = 2025,
  [2026] = 560,
  [2027] = 2027,
  [2028] = 1682,
  [2029] = 2029,
  [2030] = 543,
  [2031] = 2031,
  [2032] = 497,
  [2033] = 2033,
  [2034] = 2011,
  [2035] = 2035,
  [2036] = 534,
  [2037] = 524,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 523,
  [2042] = 522,
  [2043] = 495,
  [2044] = 521,
  [2045] = 494,
  [2046] = 2020,
  [2047] = 2047,
  [2048] = 2048,
  [2049] = 519,
  [2050] = 516,
  [2051] = 491,
  [2052] = 515,
  [2053] = 2053,
  [2054] = 2003,
  [2055] = 529,
  [2056] = 528,
  [2057] = 511,
  [2058] = 563,
  [2059] = 564,
  [2060] = 550,
  [2061] = 2061,
  [2062] = 504,
  [2063] = 1923,
  [2064] = 2064,
  [2065] = 2047,
  [2066] = 531,
  [2067] = 542,
  [2068] = 544,
  [2069] = 546,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 1981,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2001,
  [2081] = 474,
  [2082] = 473,
  [2083] = 464,
  [2084] = 2084,
  [2085] = 1954,
  [2086] = 505,
  [2087] = 503,
  [2088] = 2088,
  [2089] = 533,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 496,
  [2093] = 469,
  [2094] = 1946,
  [2095] = 2064,
  [2096] = 1995,
  [2097] = 2097,
  [2098] = 507,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 2035,
  [2103] = 493,
  [2104] = 510,
  [2105] = 498,
  [2106] = 1935,
  [2107] = 517,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 470,
  [2111] = 2111,
  [2112] = 484,
  [2113] = 2113,
  [2114] = 467,
  [2115] = 2115,
  [2116] = 1970,
  [2117] = 476,
  [2118] = 477,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 483,
  [2122] = 475,
  [2123] = 2123,
  [2124] = 478,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 479,
  [2128] = 472,
  [2129] = 468,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 466,
  [2134] = 1970,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 480,
  [2138] = 1935,
  [2139] = 481,
  [2140] = 2140,
  [2141] = 2141,
  [2142] = 508,
  [2143] = 2143,
  [2144] = 2144,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2125,
  [2148] = 485,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 1935,
  [2152] = 486,
  [2153] = 1970,
  [2154] = 2154,
  [2155] = 1935,
  [2156] = 2156,
  [2157] = 1970,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 1967,
  [2161] = 1968,
  [2162] = 2162,
  [2163] = 512,
  [2164] = 1970,
  [2165] = 482,
  [2166] = 488,
  [2167] = 565,
  [2168] = 509,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 2039,
  [2172] = 2172,
  [2173] = 2173,
  [2174] = 1935,
  [2175] = 551,
  [2176] = 2176,
  [2177] = 1970,
  [2178] = 2178,
  [2179] = 2084,
  [2180] = 518,
  [2181] = 2181,
  [2182] = 562,
  [2183] = 532,
  [2184] = 525,
  [2185] = 514,
  [2186] = 2090,
  [2187] = 1935,
  [2188] = 490,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 2192,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2004,
  [2214] = 2214,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2250,
  [2253] = 2253,
  [2254] = 2205,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2199,
  [2263] = 2263,
  [2264] = 2208,
  [2265] = 2211,
  [2266] = 2212,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2206,
  [2270] = 2208,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2226,
  [2276] = 2206,
  [2277] = 2208,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2221,
  [2298] = 2260,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2302,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2306,
  [2321] = 2321,
  [2322] = 2304,
  [2323] = 2310,
  [2324] = 2300,
  [2325] = 2203,
  [2326] = 2326,
  [2327] = 2215,
  [2328] = 2216,
  [2329] = 2307,
  [2330] = 2245,
  [2331] = 2248,
  [2332] = 2249,
  [2333] = 2198,
  [2334] = 2202,
  [2335] = 2335,
  [2336] = 2251,
  [2337] = 2255,
  [2338] = 2256,
  [2339] = 2257,
  [2340] = 2321,
  [2341] = 2341,
  [2342] = 2319,
  [2343] = 2343,
  [2344] = 2274,
  [2345] = 2250,
  [2346] = 1720,
  [2347] = 2347,
  [2348] = 2170,
  [2349] = 2349,
  [2350] = 2284,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2349,
  [2355] = 2290,
  [2356] = 2311,
  [2357] = 2326,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2289,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2190,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2351,
  [2374] = 2374,
  [2375] = 2305,
  [2376] = 2303,
  [2377] = 2293,
  [2378] = 2378,
  [2379] = 2291,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2279,
  [2383] = 2371,
  [2384] = 2268,
  [2385] = 2261,
  [2386] = 2243,
  [2387] = 2387,
  [2388] = 2200,
  [2389] = 2239,
  [2390] = 2280,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2235,
  [2395] = 2234,
  [2396] = 2194,
  [2397] = 2288,
  [2398] = 2197,
  [2399] = 2399,
  [2400] = 2201,
  [2401] = 2195,
  [2402] = 2366,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2365,
  [2406] = 2207,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2318,
  [2412] = 2358,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2299,
  [2416] = 2359,
  [2417] = 2247,
  [2418] = 2204,
  [2419] = 2259,
  [2420] = 2420,
  [2421] = 1671,
  [2422] = 2422,
  [2423] = 2283,
  [2424] = 2285,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2292,
  [2428] = 2296,
  [2429] = 2374,
  [2430] = 2273,
  [2431] = 2317,
  [2432] = 2410,
  [2433] = 2206,
  [2434] = 2414,
  [2435] = 2381,
  [2436] = 2294,
  [2437] = 2391,
  [2438] = 2362,
  [2439] = 2392,
  [2440] = 2250,
  [2441] = 2399,
  [2442] = 2360,
  [2443] = 2347,
  [2444] = 2353,
  [2445] = 2372,
  [2446] = 2387,
  [2447] = 2447,
  [2448] = 2301,
  [2449] = 2316,
  [2450] = 2408,
  [2451] = 2451,
  [2452] = 2315,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2464,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2453,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2475,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2469,
  [2487] = 2470,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 2459,
  [2491] = 2491,
  [2492] = 2464,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2477,
  [2505] = 2505,
  [2506] = 2467,
  [2507] = 2169,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2491,
  [2513] = 2495,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2465,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2478,
  [2526] = 2462,
  [2527] = 2527,
  [2528] = 2460,
  [2529] = 2529,
  [2530] = 2522,
  [2531] = 2474,
  [2532] = 2453,
  [2533] = 2472,
  [2534] = 2471,
  [2535] = 2535,
  [2536] = 2464,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2519,
  [2540] = 2091,
  [2541] = 2494,
  [2542] = 2463,
  [2543] = 2543,
  [2544] = 2478,
  [2545] = 2545,
  [2546] = 2471,
  [2547] = 2517,
  [2548] = 2489,
  [2549] = 2483,
  [2550] = 2463,
  [2551] = 2551,
  [2552] = 2482,
  [2553] = 2463,
  [2554] = 2554,
  [2555] = 2465,
  [2556] = 2556,
  [2557] = 2463,
  [2558] = 2471,
  [2559] = 2559,
  [2560] = 2456,
  [2561] = 2514,
  [2562] = 2562,
  [2563] = 2515,
  [2564] = 2472,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2458,
  [2568] = 2456,
  [2569] = 2569,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2537,
  [2573] = 2573,
  [2574] = 2474,
  [2575] = 2575,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2479,
  [2579] = 2573,
  [2580] = 2580,
  [2581] = 2551,
  [2582] = 2524,
  [2583] = 2523,
  [2584] = 2518,
  [2585] = 2585,
  [2586] = 2472,
  [2587] = 2511,
  [2588] = 2497,
  [2589] = 2496,
  [2590] = 2521,
  [2591] = 2471,
  [2592] = 2456,
  [2593] = 2472,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2498,
  [2597] = 2503,
  [2598] = 2527,
  [2599] = 2529,
  [2600] = 2577,
  [2601] = 2565,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2460,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2462,
  [2610] = 2462,
  [2611] = 2608,
  [2612] = 2465,
  [2613] = 2460,
  [2614] = 2467,
  [2615] = 2475,
  [2616] = 2472,
  [2617] = 2470,
  [2618] = 2618,
  [2619] = 2484,
  [2620] = 2562,
  [2621] = 2472,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2493,
  [2625] = 2472,
  [2626] = 2472,
  [2627] = 2453,
  [2628] = 2576,
  [2629] = 2470,
  [2630] = 2474,
  [2631] = 2472,
  [2632] = 2565,
  [2633] = 2576,
  [2634] = 2634,
  [2635] = 2575,
  [2636] = 2608,
  [2637] = 2637,
  [2638] = 2638,
  [2639] = 2573,
  [2640] = 2640,
  [2641] = 2470,
  [2642] = 2484,
  [2643] = 2485,
  [2644] = 2644,
  [2645] = 2472,
  [2646] = 2478,
  [2647] = 2472,
  [2648] = 2648,
  [2649] = 2569,
  [2650] = 2650,
  [2651] = 2651,
  [2652] = 2470,
  [2653] = 2535,
  [2654] = 2654,
  [2655] = 2594,
  [2656] = 2470,
  [2657] = 2477,
  [2658] = 2455,
  [2659] = 2470,
  [2660] = 2461,
  [2661] = 2651,
  [2662] = 2565,
  [2663] = 2650,
  [2664] = 2595,
  [2665] = 2608,
  [2666] = 2651,
  [2667] = 2467,
  [2668] = 2461,
  [2669] = 2602,
  [2670] = 2651,
  [2671] = 2569,
  [2672] = 2603,
  [2673] = 2604,
  [2674] = 2605,
  [2675] = 2461,
  [2676] = 2472,
  [2677] = 2545,
  [2678] = 2505,
  [2679] = 2569,
  [2680] = 2648,
  [2681] = 2681,
  [2682] = 2648,
  [2683] = 2648,
};

static inline bool sym_escape_sequence_character_set_1(int32_t c) {
  return (c < 'e'
    ? (c < '\\'
      ? (c < '$'
        ? c == '"'
        : c <= '$')
      : (c <= '\\' || c == '`'))
    : (c <= 'f' || (c < 't'
      ? (c < 'r'
        ? c == 'n'
        : c <= 'r')
      : (c <= 't' || c == 'v'))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(78);
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '"') ADVANCE(184);
      if (lookahead == '#') ADVANCE(274);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '%') ADVANCE(228);
      if (lookahead == '&') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(188);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == '*') ADVANCE(223);
      if (lookahead == '+') ADVANCE(129);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(132);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(226);
      if (lookahead == '0') ADVANCE(118);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(82);
      if (lookahead == '<') ADVANCE(206);
      if (lookahead == '=') ADVANCE(88);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(101);
      if (lookahead == '@') ADVANCE(126);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(91);
      if (lookahead == ']') ADVANCE(159);
      if (lookahead == '^') ADVANCE(200);
      if (lookahead == '_') ADVANCE(268);
      if (lookahead == '`') ADVANCE(189);
      if (lookahead == '{') ADVANCE(92);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '}') ADVANCE(93);
      if (lookahead == '~') ADVANCE(135);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(256);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(229);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(233);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(251);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(266);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(259);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(255);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(249);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(75)
      if (('C' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(271);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(271);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(272);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(185);
      if (lookahead == '\r') ADVANCE(185);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '<') ADVANCE(46);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(65);
      if (lookahead == '{') ADVANCE(92);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(4)
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(185);
      if (lookahead == '\r') ADVANCE(185);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '<') ADVANCE(46);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(47);
      if (lookahead == '{') ADVANCE(92);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(4)
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(186);
      if (lookahead == '\r') ADVANCE(186);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '/') ADVANCE(25);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(5)
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '#') ADVANCE(274);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '%') ADVANCE(227);
      if (lookahead == '&') ADVANCE(84);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == '*') ADVANCE(224);
      if (lookahead == '+') ADVANCE(128);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(225);
      if (lookahead == '0') ADVANCE(118);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(82);
      if (lookahead == '<') ADVANCE(207);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '?') ADVANCE(104);
      if (lookahead == '@') ADVANCE(126);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == ']') ADVANCE(159);
      if (lookahead == '^') ADVANCE(199);
      if (lookahead == '_') ADVANCE(268);
      if (lookahead == '`') ADVANCE(189);
      if (lookahead == '|') ADVANCE(107);
      if (lookahead == '}') ADVANCE(93);
      if (lookahead == '~') ADVANCE(135);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(256);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(230);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(234);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(266);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(264);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(255);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(6)
      if (('C' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(136);
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '#') ADVANCE(274);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '&') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == '+') ADVANCE(128);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(114);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '0') ADVANCE(118);
      if (lookahead == '<') ADVANCE(35);
      if (lookahead == '@') ADVANCE(126);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == ']') ADVANCE(159);
      if (lookahead == '_') ADVANCE(268);
      if (lookahead == '`') ADVANCE(189);
      if (lookahead == '~') ADVANCE(135);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(256);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(230);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(234);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(266);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(264);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(255);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(7)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(136);
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '#') ADVANCE(274);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == '+') ADVANCE(128);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(115);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '0') ADVANCE(118);
      if (lookahead == '<') ADVANCE(35);
      if (lookahead == '@') ADVANCE(126);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '_') ADVANCE(268);
      if (lookahead == '`') ADVANCE(189);
      if (lookahead == '~') ADVANCE(135);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(256);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(229);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(233);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(251);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(266);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(259);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(255);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(249);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(8)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(39);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '%') ADVANCE(227);
      if (lookahead == '&') ADVANCE(84);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == '*') ADVANCE(224);
      if (lookahead == '+') ADVANCE(127);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(134);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(225);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(82);
      if (lookahead == '<') ADVANCE(209);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '?') ADVANCE(103);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == ']') ADVANCE(159);
      if (lookahead == '^') ADVANCE(199);
      if (lookahead == '{') ADVANCE(92);
      if (lookahead == '|') ADVANCE(107);
      if (lookahead == '}') ADVANCE(93);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(264);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(39);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '%') ADVANCE(228);
      if (lookahead == '&') ADVANCE(85);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == '*') ADVANCE(223);
      if (lookahead == '+') ADVANCE(129);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(132);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(226);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(82);
      if (lookahead == '<') ADVANCE(208);
      if (lookahead == '=') ADVANCE(88);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(102);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == ']') ADVANCE(159);
      if (lookahead == '^') ADVANCE(200);
      if (lookahead == '{') ADVANCE(92);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '}') ADVANCE(93);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(39);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '%') ADVANCE(227);
      if (lookahead == '&') ADVANCE(84);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == '*') ADVANCE(224);
      if (lookahead == '+') ADVANCE(128);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(133);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(225);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(82);
      if (lookahead == '<') ADVANCE(209);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '?') ADVANCE(103);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == ']') ADVANCE(159);
      if (lookahead == '^') ADVANCE(199);
      if (lookahead == '{') ADVANCE(92);
      if (lookahead == '|') ADVANCE(107);
      if (lookahead == '}') ADVANCE(93);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(39);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '%') ADVANCE(227);
      if (lookahead == '&') ADVANCE(84);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == '*') ADVANCE(224);
      if (lookahead == '+') ADVANCE(127);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(134);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(225);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(82);
      if (lookahead == '<') ADVANCE(209);
      if (lookahead == '=') ADVANCE(88);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '?') ADVANCE(103);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == ']') ADVANCE(159);
      if (lookahead == '^') ADVANCE(199);
      if (lookahead == '{') ADVANCE(92);
      if (lookahead == '|') ADVANCE(107);
      if (lookahead == '}') ADVANCE(93);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(39);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '%') ADVANCE(227);
      if (lookahead == '&') ADVANCE(84);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == '*') ADVANCE(224);
      if (lookahead == '+') ADVANCE(127);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(130);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(225);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(82);
      if (lookahead == '<') ADVANCE(209);
      if (lookahead == '=') ADVANCE(40);
      if (lookahead == '>') ADVANCE(211);
      if (lookahead == '?') ADVANCE(104);
      if (lookahead == ']') ADVANCE(159);
      if (lookahead == '^') ADVANCE(199);
      if (lookahead == '|') ADVANCE(107);
      if (lookahead == '}') ADVANCE(93);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(184);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '&') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(188);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(130);
      if (lookahead == '.') ADVANCE(31);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '0') ADVANCE(123);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(82);
      if (lookahead == '=') ADVANCE(42);
      if (lookahead == '?') ADVANCE(100);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '{') ADVANCE(92);
      if (lookahead == '}') ADVANCE(93);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(125);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(170);
      if (lookahead == '\'') ADVANCE(172);
      END_STATE();
    case 16:
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '#') ADVANCE(274);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '<') ADVANCE(35);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(256);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(230);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(264);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(16)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '&') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '0') ADVANCE(123);
      if (lookahead == ':') ADVANCE(34);
      if (lookahead == '<') ADVANCE(35);
      if (lookahead == '?') ADVANCE(30);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == ']') ADVANCE(159);
      if (lookahead == '{') ADVANCE(92);
      if (lookahead == '}') ADVANCE(93);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(256);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(230);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(264);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(125);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(17)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 18:
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '.') ADVANCE(115);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '0') ADVANCE(118);
      if (lookahead == '<') ADVANCE(37);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(65);
      if (lookahead == '_') ADVANCE(68);
      if (lookahead == '`') ADVANCE(189);
      if (lookahead == '{') ADVANCE(92);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(15);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(51);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(61);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19)
      END_STATE();
    case 19:
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '.') ADVANCE(115);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '0') ADVANCE(118);
      if (lookahead == '<') ADVANCE(37);
      if (lookahead == '?') ADVANCE(43);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(47);
      if (lookahead == '_') ADVANCE(68);
      if (lookahead == '`') ADVANCE(189);
      if (lookahead == '{') ADVANCE(92);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(15);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(51);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(61);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19)
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(274);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '&') ADVANCE(83);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '.') ADVANCE(31);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '?') ADVANCE(100);
      if (lookahead == '\\') ADVANCE(90);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(20)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 21:
      if (lookahead == '#') ADVANCE(274);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '}') ADVANCE(93);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(264);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(21)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 22:
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '&') ADVANCE(83);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(130);
      if (lookahead == '.') ADVANCE(31);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '0') ADVANCE(123);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(82);
      if (lookahead == '=') ADVANCE(42);
      if (lookahead == '?') ADVANCE(100);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '{') ADVANCE(92);
      if (lookahead == '}') ADVANCE(93);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(125);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 23:
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == ':') ADVANCE(34);
      if (lookahead == '?') ADVANCE(30);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '{') ADVANCE(92);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(23)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 24:
      if (lookahead == '#') ADVANCE(181);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == '\\') ADVANCE(49);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(176);
      if (lookahead != 0) ADVANCE(182);
      END_STATE();
    case 25:
      if (lookahead == '*') ADVANCE(27);
      if (lookahead == '/') ADVANCE(272);
      END_STATE();
    case 26:
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead != 0) ADVANCE(27);
      END_STATE();
    case 27:
      if (lookahead == '*') ADVANCE(26);
      if (lookahead != 0) ADVANCE(27);
      END_STATE();
    case 28:
      if (lookahead == '*') ADVANCE(138);
      END_STATE();
    case 29:
      if (lookahead == '*') ADVANCE(178);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(27);
      if (lookahead != 0) ADVANCE(179);
      END_STATE();
    case 30:
      if (lookahead == '-') ADVANCE(44);
      END_STATE();
    case 31:
      if (lookahead == '.') ADVANCE(33);
      END_STATE();
    case 32:
      if (lookahead == '.') ADVANCE(115);
      if (lookahead == '_') ADVANCE(68);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(32);
      END_STATE();
    case 33:
      if (lookahead == '.') ADVANCE(99);
      END_STATE();
    case 34:
      if (lookahead == ':') ADVANCE(140);
      END_STATE();
    case 35:
      if (lookahead == '<') ADVANCE(38);
      END_STATE();
    case 36:
      if (lookahead == '<') ADVANCE(38);
      if (lookahead == '?') ADVANCE(81);
      END_STATE();
    case 37:
      if (lookahead == '<') ADVANCE(38);
      if (lookahead == '?') ADVANCE(168);
      END_STATE();
    case 38:
      if (lookahead == '<') ADVANCE(183);
      END_STATE();
    case 39:
      if (lookahead == '=') ADVANCE(202);
      END_STATE();
    case 40:
      if (lookahead == '=') ADVANCE(201);
      if (lookahead == '>') ADVANCE(96);
      END_STATE();
    case 41:
      if (lookahead == '>') ADVANCE(156);
      END_STATE();
    case 42:
      if (lookahead == '>') ADVANCE(96);
      END_STATE();
    case 43:
      if (lookahead == '>') ADVANCE(169);
      END_STATE();
    case 44:
      if (lookahead == '>') ADVANCE(157);
      END_STATE();
    case 45:
      if (lookahead == '>') ADVANCE(79);
      END_STATE();
    case 46:
      if (lookahead == '?') ADVANCE(168);
      END_STATE();
    case 47:
      if (lookahead == 'u') ADVANCE(165);
      END_STATE();
    case 48:
      if (lookahead == '}') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 49:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(173);
      if (lookahead != 0) ADVANCE(182);
      END_STATE();
    case 50:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(69);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(117);
      END_STATE();
    case 51:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(54);
      END_STATE();
    case 52:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(190);
      END_STATE();
    case 53:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(57);
      END_STATE();
    case 54:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(59);
      END_STATE();
    case 55:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(192);
      END_STATE();
    case 56:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(55);
      END_STATE();
    case 57:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(80);
      END_STATE();
    case 58:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 59:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(52);
      END_STATE();
    case 60:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 61:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 62:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(121);
      END_STATE();
    case 63:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(119);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(124);
      END_STATE();
    case 65:
      if (sym_escape_sequence_character_set_1(lookahead)) ADVANCE(161);
      if (lookahead == 'u') ADVANCE(166);
      if (lookahead == 'x') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(163);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(120);
      END_STATE();
    case 67:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 68:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(32);
      END_STATE();
    case 69:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(117);
      END_STATE();
    case 70:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(125);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(164);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 74:
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(182);
      END_STATE();
    case 75:
      if (eof) ADVANCE(78);
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '#') ADVANCE(274);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '%') ADVANCE(228);
      if (lookahead == '&') ADVANCE(85);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == '*') ADVANCE(223);
      if (lookahead == '+') ADVANCE(129);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(132);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(226);
      if (lookahead == '0') ADVANCE(118);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(82);
      if (lookahead == '<') ADVANCE(206);
      if (lookahead == '=') ADVANCE(88);
      if (lookahead == '>') ADVANCE(210);
      if (lookahead == '?') ADVANCE(101);
      if (lookahead == '@') ADVANCE(126);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(91);
      if (lookahead == ']') ADVANCE(159);
      if (lookahead == '^') ADVANCE(200);
      if (lookahead == '_') ADVANCE(268);
      if (lookahead == '`') ADVANCE(189);
      if (lookahead == '{') ADVANCE(92);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '}') ADVANCE(93);
      if (lookahead == '~') ADVANCE(135);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(256);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(229);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(233);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(251);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(266);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(259);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(255);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(249);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(75)
      if (('C' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 76:
      if (eof) ADVANCE(78);
      if (lookahead == '!') ADVANCE(136);
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '#') ADVANCE(274);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '&') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == '+') ADVANCE(128);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(115);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '0') ADVANCE(118);
      if (lookahead == ':') ADVANCE(94);
      if (lookahead == ';') ADVANCE(82);
      if (lookahead == '<') ADVANCE(36);
      if (lookahead == '=') ADVANCE(42);
      if (lookahead == '?') ADVANCE(45);
      if (lookahead == '@') ADVANCE(126);
      if (lookahead == '[') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == ']') ADVANCE(159);
      if (lookahead == '_') ADVANCE(268);
      if (lookahead == '`') ADVANCE(189);
      if (lookahead == '{') ADVANCE(92);
      if (lookahead == '}') ADVANCE(93);
      if (lookahead == '~') ADVANCE(135);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(256);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(230);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(234);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(266);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(264);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(255);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(76)
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 77:
      if (eof) ADVANCE(78);
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '$') ADVANCE(194);
      if (lookahead == '&') ADVANCE(83);
      if (lookahead == '\'') ADVANCE(167);
      if (lookahead == '(') ADVANCE(97);
      if (lookahead == ')') ADVANCE(98);
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == ',') ADVANCE(87);
      if (lookahead == '.') ADVANCE(31);
      if (lookahead == '/') ADVANCE(25);
      if (lookahead == '0') ADVANCE(123);
      if (lookahead == ':') ADVANCE(95);
      if (lookahead == ';') ADVANCE(82);
      if (lookahead == '=') ADVANCE(89);
      if (lookahead == '?') ADVANCE(100);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == ']') ADVANCE(159);
      if (lookahead == '{') ADVANCE(92);
      if (lookahead == '|') ADVANCE(105);
      if (lookahead == '}') ADVANCE(93);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(264);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(125);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(77)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(53);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(198);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(198);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(201);
      if (lookahead == '>') ADVANCE(96);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(96);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(173);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(140);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(44);
      if (lookahead == '>') ADVANCE(169);
      if (lookahead == '?') ADVANCE(196);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(44);
      if (lookahead == '?') ADVANCE(196);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(44);
      if (lookahead == '?') ADVANCE(195);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(195);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(154);
      if (lookahead == '|') ADVANCE(197);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(197);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(33);
      if (lookahead == '_') ADVANCE(67);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(67);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(69);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(115);
      if (lookahead == '_') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(62);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(124);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(71);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(119);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(115);
      if (lookahead == '_') ADVANCE(63);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(115);
      if (lookahead == '_') ADVANCE(66);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(64);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(62);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(124);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(124);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(124);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(70);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(125);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(141);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(141);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(142);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(142);
      if (lookahead == '=') ADVANCE(148);
      if (lookahead == '>') ADVANCE(156);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(142);
      if (lookahead == '>') ADVANCE(156);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(156);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(202);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(161);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(161);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(73);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_QMARK_GT2);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\n') ADVANCE(182);
      if (lookahead == '\r') ADVANCE(175);
      if (lookahead == '>') ADVANCE(182);
      if (lookahead == '\\') ADVANCE(273);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(180);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\n') ADVANCE(182);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(182);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '#') ADVANCE(181);
      if (lookahead == '/') ADVANCE(177);
      if (lookahead == '\\') ADVANCE(49);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(176);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(182);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(179);
      if (lookahead == '/') ADVANCE(180);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(182);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(178);
      if (lookahead == '/') ADVANCE(182);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(179);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '*') ADVANCE(178);
      if (lookahead == '\\') ADVANCE(29);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '?') ADVANCE(174);
      if (lookahead == '\\') ADVANCE(273);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\\') ADVANCE(273);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(180);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_string_value);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(182);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(185);
      if (lookahead == '\r') ADVANCE(185);
      if (lookahead == '?') ADVANCE(43);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(186);
      if (lookahead == '\r') ADVANCE(186);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_boolean);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_boolean);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_null);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(155);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(153);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(204);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(205);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(216);
      if (lookahead == '=') ADVANCE(212);
      if (lookahead == '>') ADVANCE(203);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(217);
      if (lookahead == '=') ADVANCE(212);
      if (lookahead == '>') ADVANCE(203);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(215);
      if (lookahead == '=') ADVANCE(212);
      if (lookahead == '>') ADVANCE(203);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(213);
      if (lookahead == '>') ADVANCE(219);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(213);
      if (lookahead == '>') ADVANCE(218);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(214);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(183);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(150);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(33);
      if (lookahead == '_') ADVANCE(67);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(139);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(138);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(170);
      if (lookahead == '\'') ADVANCE(172);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(253);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(170);
      if (lookahead == '\'') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(115);
      if (lookahead == '_') ADVANCE(268);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(231);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(69);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(248);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(252);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(248);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(267);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(263);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(263);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(261);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(191);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(239);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(193);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(258);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(242);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(260);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(238);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(245);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(235);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(265);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(254);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(240);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(236);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(110);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(240);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(247);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(231);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(270);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(272);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(174);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(182);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(272);
      if (lookahead != 0) ADVANCE(180);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(272);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(272);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'B') ADVANCE(2);
      if (lookahead == 'E') ADVANCE(3);
      if (lookahead == 'F') ADVANCE(4);
      if (lookahead == 'I') ADVANCE(5);
      if (lookahead == 'M') ADVANCE(6);
      if (lookahead == 'N') ADVANCE(7);
      if (lookahead == 'P') ADVANCE(8);
      if (lookahead == 'S') ADVANCE(9);
      if (lookahead == 'T') ADVANCE(10);
      if (lookahead == 'U') ADVANCE(11);
      if (lookahead == 'V') ADVANCE(12);
      if (lookahead == 'a') ADVANCE(13);
      if (lookahead == 'b') ADVANCE(14);
      if (lookahead == 'e') ADVANCE(15);
      if (lookahead == 'f') ADVANCE(16);
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'm') ADVANCE(18);
      if (lookahead == 'n') ADVANCE(19);
      if (lookahead == 'p') ADVANCE(20);
      if (lookahead == 's') ADVANCE(21);
      if (lookahead == 't') ADVANCE(22);
      if (lookahead == 'u') ADVANCE(23);
      if (lookahead == 'v') ADVANCE(24);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(25);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(26);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(27);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(28);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(29);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(30);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(31);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(32);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(33);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(41);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(42);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(43);
      END_STATE();
    case 4:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(44);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(45);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(46);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(47);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(58);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(59);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(60);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(63);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      if (lookahead == 'N') ADVANCE(42);
      if (lookahead == 'n') ADVANCE(64);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(41);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(43);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(44);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(45);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(46);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(47);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(67);
      if (lookahead == 't') ADVANCE(68);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(70);
      if (lookahead == 'u') ADVANCE(71);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(72);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(73);
      if (lookahead == 't') ADVANCE(74);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(57);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(59);
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'r') ADVANCE(76);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(58);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(77);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(60);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(78);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(79);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(80);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(81);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(82);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(84);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(86);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(87);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(90);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(92);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(93);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(94);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(96);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(98);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(99);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(100);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(101);
      END_STATE();
    case 43:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(102);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(107);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(108);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(109);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(110);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(111);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(112);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(113);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(114);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(115);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(116);
      END_STATE();
    case 57:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(117);
      END_STATE();
    case 58:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(118);
      END_STATE();
    case 59:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 60:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 61:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 62:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 63:
      if (lookahead == 'O') ADVANCE(96);
      if (lookahead == 'o') ADVANCE(124);
      END_STATE();
    case 64:
      if (lookahead == 'c') ADVANCE(125);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(100);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(101);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(126);
      END_STATE();
    case 66:
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 67:
      if (lookahead == 'T') ADVANCE(110);
      if (lookahead == 't') ADVANCE(128);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(108);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(129);
      END_STATE();
    case 69:
      if (lookahead == 'x') ADVANCE(130);
      END_STATE();
    case 70:
      if (lookahead == 'v') ADVANCE(131);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(113);
      END_STATE();
    case 71:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 72:
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 73:
      if (lookahead == 'l') ADVANCE(134);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(135);
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 75:
      if (lookahead == 'c') ADVANCE(137);
      END_STATE();
    case 76:
      if (lookahead == 'u') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(120);
      END_STATE();
    case 77:
      if (lookahead == 's') ADVANCE(139);
      END_STATE();
    case 78:
      if (lookahead == 'i') ADVANCE(140);
      END_STATE();
    case 79:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(141);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(142);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(143);
      END_STATE();
    case 80:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(144);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(146);
      END_STATE();
    case 82:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(147);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(149);
      END_STATE();
    case 84:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(150);
      END_STATE();
    case 85:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(151);
      END_STATE();
    case 86:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(152);
      END_STATE();
    case 87:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(153);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 89:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(154);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(155);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(156);
      END_STATE();
    case 90:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(157);
      END_STATE();
    case 91:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(158);
      END_STATE();
    case 92:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 93:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(160);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 95:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(161);
      END_STATE();
    case 96:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 97:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 98:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(164);
      END_STATE();
    case 99:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 100:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(166);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(167);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(168);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(169);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(170);
      END_STATE();
    case 101:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(171);
      END_STATE();
    case 102:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 103:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 105:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(175);
      END_STATE();
    case 106:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(176);
      END_STATE();
    case 107:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 108:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(178);
      END_STATE();
    case 109:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(179);
      END_STATE();
    case 110:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 111:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(181);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym_object_creation_expression_token1);
      END_STATE();
    case 114:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(183);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(184);
      END_STATE();
    case 115:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(185);
      END_STATE();
    case 116:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(187);
      END_STATE();
    case 118:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(188);
      END_STATE();
    case 119:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 123:
      if (lookahead == 'a') ADVANCE(190);
      END_STATE();
    case 124:
      if (lookahead == 'L') ADVANCE(162);
      if (lookahead == 'l') ADVANCE(191);
      END_STATE();
    case 125:
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 126:
      if (lookahead == 's') ADVANCE(193);
      END_STATE();
    case 127:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 129:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(197);
      END_STATE();
    case 132:
      if (lookahead == 'l') ADVANCE(198);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 134:
      if (lookahead == 'f') ADVANCE(200);
      END_STATE();
    case 135:
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 136:
      if (lookahead == 'i') ADVANCE(202);
      END_STATE();
    case 137:
      if (lookahead == 'k') ADVANCE(203);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 140:
      if (lookahead == 'd') ADVANCE(206);
      END_STATE();
    case 141:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(207);
      END_STATE();
    case 142:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 143:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(209);
      END_STATE();
    case 144:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(210);
      END_STATE();
    case 145:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(211);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(212);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(215);
      END_STATE();
    case 149:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(216);
      END_STATE();
    case 150:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(217);
      END_STATE();
    case 151:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(218);
      END_STATE();
    case 152:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(219);
      END_STATE();
    case 153:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 154:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(221);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(224);
      END_STATE();
    case 157:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(226);
      END_STATE();
    case 160:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 161:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(228);
      END_STATE();
    case 162:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 163:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(230);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(231);
      END_STATE();
    case 166:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 167:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 168:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(234);
      END_STATE();
    case 169:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(235);
      END_STATE();
    case 170:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(236);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 172:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 173:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(238);
      END_STATE();
    case 174:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(239);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 176:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(240);
      END_STATE();
    case 177:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 178:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(242);
      END_STATE();
    case 179:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(243);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 180:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(245);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(246);
      END_STATE();
    case 181:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(247);
      END_STATE();
    case 182:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(248);
      END_STATE();
    case 183:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'y') ADVANCE(256);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 192:
      if (lookahead == 'd') ADVANCE(257);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(259);
      END_STATE();
    case 195:
      if (lookahead == 'a') ADVANCE(260);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'r') ADVANCE(262);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 199:
      if (lookahead == 'n') ADVANCE(263);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 201:
      if (lookahead == 'i') ADVANCE(264);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(265);
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 203:
      if (lookahead == 's') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 205:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 207:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 209:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(270);
      END_STATE();
    case 210:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(271);
      END_STATE();
    case 211:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(272);
      END_STATE();
    case 212:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 220:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(279);
      END_STATE();
    case 221:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(280);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 223:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(281);
      END_STATE();
    case 224:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(282);
      END_STATE();
    case 225:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 226:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(287);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 231:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(288);
      END_STATE();
    case 232:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(289);
      END_STATE();
    case 233:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(290);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 235:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(291);
      END_STATE();
    case 236:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 237:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(293);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(296);
      END_STATE();
    case 241:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(302);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 248:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(303);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 250:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(304);
      END_STATE();
    case 251:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(305);
      END_STATE();
    case 252:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 253:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(307);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 257:
      if (lookahead == 'i') ADVANCE(308);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 260:
      if (lookahead == 'b') ADVANCE(309);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 263:
      if (lookahead == 't') ADVANCE(310);
      END_STATE();
    case 264:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 265:
      if (lookahead == 't') ADVANCE(312);
      END_STATE();
    case 266:
      if (lookahead == 'g') ADVANCE(313);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 269:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(314);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 274:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(315);
      END_STATE();
    case 275:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(316);
      END_STATE();
    case 276:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(317);
      END_STATE();
    case 277:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(323);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 285:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(324);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 287:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(325);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 289:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(326);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(327);
      END_STATE();
    case 291:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(328);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(342);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 309:
      if (lookahead == 'l') ADVANCE(344);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 312:
      if (lookahead == '_') ADVANCE(345);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 314:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(346);
      END_STATE();
    case 315:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(347);
      END_STATE();
    case 316:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(348);
      END_STATE();
    case 317:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(349);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 321:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(350);
      END_STATE();
    case 322:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 324:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 326:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(353);
      END_STATE();
    case 327:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(354);
      END_STATE();
    case 328:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(355);
      END_STATE();
    case 329:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(356);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 333:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(357);
      END_STATE();
    case 334:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(358);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(359);
      END_STATE();
    case 336:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 339:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(362);
      END_STATE();
    case 340:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(363);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 342:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 343:
      if (lookahead == 'g') ADVANCE(365);
      END_STATE();
    case 344:
      if (lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 345:
      if (lookahead == 't') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 350:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(370);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(371);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 353:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(372);
      END_STATE();
    case 354:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(373);
      END_STATE();
    case 355:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(374);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 358:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(375);
      END_STATE();
    case 359:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(376);
      END_STATE();
    case 360:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(377);
      END_STATE();
    case 361:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(381);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 367:
      if (lookahead == 'y') ADVANCE(382);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 371:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(383);
      END_STATE();
    case 372:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(384);
      END_STATE();
    case 373:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(385);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 375:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(386);
      END_STATE();
    case 376:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(387);
      END_STATE();
    case 377:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(388);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 382:
      if (lookahead == 'p') ADVANCE(389);
      END_STATE();
    case 383:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 387:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(391);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 389:
      if (lookahead == 'e') ADVANCE(392);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(393);
      END_STATE();
    case 391:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(394);
      END_STATE();
    case 392:
      if (lookahead == 's') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(396);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 76},
  [2] = {.lex_state = 76},
  [3] = {.lex_state = 76},
  [4] = {.lex_state = 76},
  [5] = {.lex_state = 76},
  [6] = {.lex_state = 76},
  [7] = {.lex_state = 76},
  [8] = {.lex_state = 76},
  [9] = {.lex_state = 76},
  [10] = {.lex_state = 76},
  [11] = {.lex_state = 76},
  [12] = {.lex_state = 76},
  [13] = {.lex_state = 76},
  [14] = {.lex_state = 76, .external_lex_state = 2},
  [15] = {.lex_state = 76},
  [16] = {.lex_state = 76, .external_lex_state = 2},
  [17] = {.lex_state = 76, .external_lex_state = 2},
  [18] = {.lex_state = 76, .external_lex_state = 2},
  [19] = {.lex_state = 76, .external_lex_state = 2},
  [20] = {.lex_state = 76, .external_lex_state = 2},
  [21] = {.lex_state = 76, .external_lex_state = 2},
  [22] = {.lex_state = 76},
  [23] = {.lex_state = 76, .external_lex_state = 2},
  [24] = {.lex_state = 76},
  [25] = {.lex_state = 76},
  [26] = {.lex_state = 76, .external_lex_state = 2},
  [27] = {.lex_state = 76},
  [28] = {.lex_state = 76},
  [29] = {.lex_state = 76},
  [30] = {.lex_state = 76, .external_lex_state = 2},
  [31] = {.lex_state = 76},
  [32] = {.lex_state = 76, .external_lex_state = 2},
  [33] = {.lex_state = 76},
  [34] = {.lex_state = 76, .external_lex_state = 2},
  [35] = {.lex_state = 76},
  [36] = {.lex_state = 76},
  [37] = {.lex_state = 76, .external_lex_state = 2},
  [38] = {.lex_state = 76},
  [39] = {.lex_state = 76},
  [40] = {.lex_state = 76},
  [41] = {.lex_state = 76},
  [42] = {.lex_state = 76},
  [43] = {.lex_state = 76, .external_lex_state = 2},
  [44] = {.lex_state = 76, .external_lex_state = 2},
  [45] = {.lex_state = 76},
  [46] = {.lex_state = 76},
  [47] = {.lex_state = 76, .external_lex_state = 2},
  [48] = {.lex_state = 76, .external_lex_state = 2},
  [49] = {.lex_state = 76},
  [50] = {.lex_state = 76},
  [51] = {.lex_state = 76},
  [52] = {.lex_state = 76},
  [53] = {.lex_state = 76, .external_lex_state = 2},
  [54] = {.lex_state = 76},
  [55] = {.lex_state = 76},
  [56] = {.lex_state = 76},
  [57] = {.lex_state = 76, .external_lex_state = 2},
  [58] = {.lex_state = 76},
  [59] = {.lex_state = 76},
  [60] = {.lex_state = 76, .external_lex_state = 2},
  [61] = {.lex_state = 76},
  [62] = {.lex_state = 76, .external_lex_state = 2},
  [63] = {.lex_state = 76},
  [64] = {.lex_state = 76, .external_lex_state = 2},
  [65] = {.lex_state = 76, .external_lex_state = 2},
  [66] = {.lex_state = 76},
  [67] = {.lex_state = 76},
  [68] = {.lex_state = 76},
  [69] = {.lex_state = 76},
  [70] = {.lex_state = 76},
  [71] = {.lex_state = 76},
  [72] = {.lex_state = 76},
  [73] = {.lex_state = 76, .external_lex_state = 2},
  [74] = {.lex_state = 76},
  [75] = {.lex_state = 76},
  [76] = {.lex_state = 76},
  [77] = {.lex_state = 76},
  [78] = {.lex_state = 76},
  [79] = {.lex_state = 76},
  [80] = {.lex_state = 76},
  [81] = {.lex_state = 76},
  [82] = {.lex_state = 76},
  [83] = {.lex_state = 76},
  [84] = {.lex_state = 76},
  [85] = {.lex_state = 6},
  [86] = {.lex_state = 6},
  [87] = {.lex_state = 6, .external_lex_state = 2},
  [88] = {.lex_state = 6},
  [89] = {.lex_state = 8},
  [90] = {.lex_state = 8},
  [91] = {.lex_state = 8},
  [92] = {.lex_state = 8},
  [93] = {.lex_state = 8},
  [94] = {.lex_state = 8},
  [95] = {.lex_state = 8},
  [96] = {.lex_state = 8},
  [97] = {.lex_state = 8},
  [98] = {.lex_state = 8},
  [99] = {.lex_state = 8},
  [100] = {.lex_state = 7},
  [101] = {.lex_state = 7},
  [102] = {.lex_state = 7},
  [103] = {.lex_state = 7},
  [104] = {.lex_state = 7},
  [105] = {.lex_state = 7},
  [106] = {.lex_state = 7},
  [107] = {.lex_state = 7},
  [108] = {.lex_state = 7},
  [109] = {.lex_state = 7},
  [110] = {.lex_state = 7},
  [111] = {.lex_state = 7},
  [112] = {.lex_state = 7},
  [113] = {.lex_state = 7},
  [114] = {.lex_state = 7},
  [115] = {.lex_state = 7},
  [116] = {.lex_state = 7},
  [117] = {.lex_state = 7},
  [118] = {.lex_state = 7},
  [119] = {.lex_state = 76},
  [120] = {.lex_state = 7},
  [121] = {.lex_state = 7},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 76},
  [133] = {.lex_state = 7},
  [134] = {.lex_state = 7},
  [135] = {.lex_state = 7},
  [136] = {.lex_state = 7},
  [137] = {.lex_state = 7},
  [138] = {.lex_state = 7},
  [139] = {.lex_state = 7},
  [140] = {.lex_state = 7},
  [141] = {.lex_state = 7},
  [142] = {.lex_state = 7},
  [143] = {.lex_state = 76},
  [144] = {.lex_state = 7},
  [145] = {.lex_state = 76},
  [146] = {.lex_state = 76},
  [147] = {.lex_state = 76},
  [148] = {.lex_state = 7},
  [149] = {.lex_state = 76},
  [150] = {.lex_state = 7},
  [151] = {.lex_state = 76},
  [152] = {.lex_state = 76},
  [153] = {.lex_state = 76},
  [154] = {.lex_state = 7},
  [155] = {.lex_state = 76},
  [156] = {.lex_state = 76},
  [157] = {.lex_state = 76},
  [158] = {.lex_state = 76},
  [159] = {.lex_state = 76},
  [160] = {.lex_state = 76},
  [161] = {.lex_state = 76},
  [162] = {.lex_state = 76},
  [163] = {.lex_state = 76},
  [164] = {.lex_state = 76},
  [165] = {.lex_state = 76},
  [166] = {.lex_state = 76},
  [167] = {.lex_state = 76},
  [168] = {.lex_state = 76},
  [169] = {.lex_state = 76},
  [170] = {.lex_state = 76},
  [171] = {.lex_state = 76},
  [172] = {.lex_state = 76},
  [173] = {.lex_state = 76},
  [174] = {.lex_state = 76},
  [175] = {.lex_state = 76},
  [176] = {.lex_state = 76},
  [177] = {.lex_state = 76},
  [178] = {.lex_state = 76},
  [179] = {.lex_state = 76},
  [180] = {.lex_state = 76},
  [181] = {.lex_state = 76},
  [182] = {.lex_state = 76},
  [183] = {.lex_state = 76},
  [184] = {.lex_state = 76},
  [185] = {.lex_state = 76},
  [186] = {.lex_state = 76, .external_lex_state = 2},
  [187] = {.lex_state = 76},
  [188] = {.lex_state = 76, .external_lex_state = 2},
  [189] = {.lex_state = 76},
  [190] = {.lex_state = 7},
  [191] = {.lex_state = 76},
  [192] = {.lex_state = 76},
  [193] = {.lex_state = 76, .external_lex_state = 2},
  [194] = {.lex_state = 76},
  [195] = {.lex_state = 76, .external_lex_state = 2},
  [196] = {.lex_state = 76, .external_lex_state = 2},
  [197] = {.lex_state = 76},
  [198] = {.lex_state = 76},
  [199] = {.lex_state = 76},
  [200] = {.lex_state = 76},
  [201] = {.lex_state = 76, .external_lex_state = 2},
  [202] = {.lex_state = 7},
  [203] = {.lex_state = 76},
  [204] = {.lex_state = 76},
  [205] = {.lex_state = 76},
  [206] = {.lex_state = 76},
  [207] = {.lex_state = 76},
  [208] = {.lex_state = 76},
  [209] = {.lex_state = 76},
  [210] = {.lex_state = 76},
  [211] = {.lex_state = 76},
  [212] = {.lex_state = 76},
  [213] = {.lex_state = 76},
  [214] = {.lex_state = 76},
  [215] = {.lex_state = 76},
  [216] = {.lex_state = 76},
  [217] = {.lex_state = 76},
  [218] = {.lex_state = 76},
  [219] = {.lex_state = 76},
  [220] = {.lex_state = 76},
  [221] = {.lex_state = 76},
  [222] = {.lex_state = 76},
  [223] = {.lex_state = 76},
  [224] = {.lex_state = 76},
  [225] = {.lex_state = 76},
  [226] = {.lex_state = 76},
  [227] = {.lex_state = 76},
  [228] = {.lex_state = 76},
  [229] = {.lex_state = 76},
  [230] = {.lex_state = 76},
  [231] = {.lex_state = 76},
  [232] = {.lex_state = 76},
  [233] = {.lex_state = 76},
  [234] = {.lex_state = 76},
  [235] = {.lex_state = 76},
  [236] = {.lex_state = 76},
  [237] = {.lex_state = 76},
  [238] = {.lex_state = 76},
  [239] = {.lex_state = 76},
  [240] = {.lex_state = 76},
  [241] = {.lex_state = 76},
  [242] = {.lex_state = 76},
  [243] = {.lex_state = 76},
  [244] = {.lex_state = 76},
  [245] = {.lex_state = 76},
  [246] = {.lex_state = 76},
  [247] = {.lex_state = 76},
  [248] = {.lex_state = 76},
  [249] = {.lex_state = 76},
  [250] = {.lex_state = 76},
  [251] = {.lex_state = 76},
  [252] = {.lex_state = 76},
  [253] = {.lex_state = 76},
  [254] = {.lex_state = 76},
  [255] = {.lex_state = 76},
  [256] = {.lex_state = 76},
  [257] = {.lex_state = 76},
  [258] = {.lex_state = 76},
  [259] = {.lex_state = 76},
  [260] = {.lex_state = 76},
  [261] = {.lex_state = 76},
  [262] = {.lex_state = 76},
  [263] = {.lex_state = 76},
  [264] = {.lex_state = 76},
  [265] = {.lex_state = 76},
  [266] = {.lex_state = 76},
  [267] = {.lex_state = 76},
  [268] = {.lex_state = 76},
  [269] = {.lex_state = 76},
  [270] = {.lex_state = 76},
  [271] = {.lex_state = 76},
  [272] = {.lex_state = 76},
  [273] = {.lex_state = 76},
  [274] = {.lex_state = 76},
  [275] = {.lex_state = 76},
  [276] = {.lex_state = 76},
  [277] = {.lex_state = 76},
  [278] = {.lex_state = 76},
  [279] = {.lex_state = 76},
  [280] = {.lex_state = 76},
  [281] = {.lex_state = 76},
  [282] = {.lex_state = 76},
  [283] = {.lex_state = 76},
  [284] = {.lex_state = 76},
  [285] = {.lex_state = 76},
  [286] = {.lex_state = 76},
  [287] = {.lex_state = 76},
  [288] = {.lex_state = 76},
  [289] = {.lex_state = 76},
  [290] = {.lex_state = 76},
  [291] = {.lex_state = 76},
  [292] = {.lex_state = 76},
  [293] = {.lex_state = 76},
  [294] = {.lex_state = 76},
  [295] = {.lex_state = 76},
  [296] = {.lex_state = 76},
  [297] = {.lex_state = 76},
  [298] = {.lex_state = 76},
  [299] = {.lex_state = 76},
  [300] = {.lex_state = 76},
  [301] = {.lex_state = 76},
  [302] = {.lex_state = 76},
  [303] = {.lex_state = 76},
  [304] = {.lex_state = 76},
  [305] = {.lex_state = 76},
  [306] = {.lex_state = 76},
  [307] = {.lex_state = 76},
  [308] = {.lex_state = 76},
  [309] = {.lex_state = 76},
  [310] = {.lex_state = 76},
  [311] = {.lex_state = 76},
  [312] = {.lex_state = 76},
  [313] = {.lex_state = 76},
  [314] = {.lex_state = 76},
  [315] = {.lex_state = 76},
  [316] = {.lex_state = 76},
  [317] = {.lex_state = 76},
  [318] = {.lex_state = 76},
  [319] = {.lex_state = 76},
  [320] = {.lex_state = 76},
  [321] = {.lex_state = 76},
  [322] = {.lex_state = 76},
  [323] = {.lex_state = 76},
  [324] = {.lex_state = 76},
  [325] = {.lex_state = 76},
  [326] = {.lex_state = 76},
  [327] = {.lex_state = 76},
  [328] = {.lex_state = 76},
  [329] = {.lex_state = 76},
  [330] = {.lex_state = 76},
  [331] = {.lex_state = 76},
  [332] = {.lex_state = 76},
  [333] = {.lex_state = 76},
  [334] = {.lex_state = 76},
  [335] = {.lex_state = 76},
  [336] = {.lex_state = 76},
  [337] = {.lex_state = 76},
  [338] = {.lex_state = 76},
  [339] = {.lex_state = 76},
  [340] = {.lex_state = 76},
  [341] = {.lex_state = 76},
  [342] = {.lex_state = 76},
  [343] = {.lex_state = 76},
  [344] = {.lex_state = 76},
  [345] = {.lex_state = 76},
  [346] = {.lex_state = 76},
  [347] = {.lex_state = 76},
  [348] = {.lex_state = 76},
  [349] = {.lex_state = 76},
  [350] = {.lex_state = 76},
  [351] = {.lex_state = 76},
  [352] = {.lex_state = 76},
  [353] = {.lex_state = 76},
  [354] = {.lex_state = 76},
  [355] = {.lex_state = 76},
  [356] = {.lex_state = 76},
  [357] = {.lex_state = 76},
  [358] = {.lex_state = 76},
  [359] = {.lex_state = 76},
  [360] = {.lex_state = 76},
  [361] = {.lex_state = 76},
  [362] = {.lex_state = 76},
  [363] = {.lex_state = 76},
  [364] = {.lex_state = 76},
  [365] = {.lex_state = 76},
  [366] = {.lex_state = 76},
  [367] = {.lex_state = 76},
  [368] = {.lex_state = 76},
  [369] = {.lex_state = 76},
  [370] = {.lex_state = 76},
  [371] = {.lex_state = 76},
  [372] = {.lex_state = 76},
  [373] = {.lex_state = 76},
  [374] = {.lex_state = 76},
  [375] = {.lex_state = 76},
  [376] = {.lex_state = 76},
  [377] = {.lex_state = 76},
  [378] = {.lex_state = 76},
  [379] = {.lex_state = 76},
  [380] = {.lex_state = 76},
  [381] = {.lex_state = 76},
  [382] = {.lex_state = 76},
  [383] = {.lex_state = 76},
  [384] = {.lex_state = 76},
  [385] = {.lex_state = 76},
  [386] = {.lex_state = 76},
  [387] = {.lex_state = 76},
  [388] = {.lex_state = 76},
  [389] = {.lex_state = 76},
  [390] = {.lex_state = 76},
  [391] = {.lex_state = 76},
  [392] = {.lex_state = 76},
  [393] = {.lex_state = 76},
  [394] = {.lex_state = 76},
  [395] = {.lex_state = 76},
  [396] = {.lex_state = 76},
  [397] = {.lex_state = 76},
  [398] = {.lex_state = 76},
  [399] = {.lex_state = 76},
  [400] = {.lex_state = 76},
  [401] = {.lex_state = 76},
  [402] = {.lex_state = 76},
  [403] = {.lex_state = 76},
  [404] = {.lex_state = 76},
  [405] = {.lex_state = 76},
  [406] = {.lex_state = 76},
  [407] = {.lex_state = 76},
  [408] = {.lex_state = 76},
  [409] = {.lex_state = 76},
  [410] = {.lex_state = 76},
  [411] = {.lex_state = 76},
  [412] = {.lex_state = 76},
  [413] = {.lex_state = 76},
  [414] = {.lex_state = 76},
  [415] = {.lex_state = 76},
  [416] = {.lex_state = 76},
  [417] = {.lex_state = 76},
  [418] = {.lex_state = 76},
  [419] = {.lex_state = 76},
  [420] = {.lex_state = 76},
  [421] = {.lex_state = 76},
  [422] = {.lex_state = 76},
  [423] = {.lex_state = 76},
  [424] = {.lex_state = 76},
  [425] = {.lex_state = 76},
  [426] = {.lex_state = 76},
  [427] = {.lex_state = 76},
  [428] = {.lex_state = 76},
  [429] = {.lex_state = 76},
  [430] = {.lex_state = 76},
  [431] = {.lex_state = 76},
  [432] = {.lex_state = 76},
  [433] = {.lex_state = 76},
  [434] = {.lex_state = 76},
  [435] = {.lex_state = 76},
  [436] = {.lex_state = 76},
  [437] = {.lex_state = 76},
  [438] = {.lex_state = 76, .external_lex_state = 2},
  [439] = {.lex_state = 76},
  [440] = {.lex_state = 76, .external_lex_state = 2},
  [441] = {.lex_state = 76, .external_lex_state = 2},
  [442] = {.lex_state = 76, .external_lex_state = 2},
  [443] = {.lex_state = 76, .external_lex_state = 2},
  [444] = {.lex_state = 76, .external_lex_state = 2},
  [445] = {.lex_state = 76, .external_lex_state = 2},
  [446] = {.lex_state = 76},
  [447] = {.lex_state = 76},
  [448] = {.lex_state = 76},
  [449] = {.lex_state = 76, .external_lex_state = 2},
  [450] = {.lex_state = 76, .external_lex_state = 2},
  [451] = {.lex_state = 76, .external_lex_state = 2},
  [452] = {.lex_state = 76, .external_lex_state = 2},
  [453] = {.lex_state = 76, .external_lex_state = 2},
  [454] = {.lex_state = 76, .external_lex_state = 2},
  [455] = {.lex_state = 76, .external_lex_state = 2},
  [456] = {.lex_state = 76, .external_lex_state = 2},
  [457] = {.lex_state = 76, .external_lex_state = 2},
  [458] = {.lex_state = 76, .external_lex_state = 2},
  [459] = {.lex_state = 76, .external_lex_state = 2},
  [460] = {.lex_state = 76, .external_lex_state = 2},
  [461] = {.lex_state = 76},
  [462] = {.lex_state = 76, .external_lex_state = 2},
  [463] = {.lex_state = 76},
  [464] = {.lex_state = 76},
  [465] = {.lex_state = 76},
  [466] = {.lex_state = 76},
  [467] = {.lex_state = 76},
  [468] = {.lex_state = 76},
  [469] = {.lex_state = 76},
  [470] = {.lex_state = 76},
  [471] = {.lex_state = 76},
  [472] = {.lex_state = 76},
  [473] = {.lex_state = 76},
  [474] = {.lex_state = 76},
  [475] = {.lex_state = 76},
  [476] = {.lex_state = 76},
  [477] = {.lex_state = 76},
  [478] = {.lex_state = 76},
  [479] = {.lex_state = 76},
  [480] = {.lex_state = 76},
  [481] = {.lex_state = 76},
  [482] = {.lex_state = 76},
  [483] = {.lex_state = 76},
  [484] = {.lex_state = 76},
  [485] = {.lex_state = 76},
  [486] = {.lex_state = 76},
  [487] = {.lex_state = 76},
  [488] = {.lex_state = 76},
  [489] = {.lex_state = 76},
  [490] = {.lex_state = 76},
  [491] = {.lex_state = 76},
  [492] = {.lex_state = 76},
  [493] = {.lex_state = 76},
  [494] = {.lex_state = 76},
  [495] = {.lex_state = 76},
  [496] = {.lex_state = 76},
  [497] = {.lex_state = 76},
  [498] = {.lex_state = 76},
  [499] = {.lex_state = 76},
  [500] = {.lex_state = 76},
  [501] = {.lex_state = 76},
  [502] = {.lex_state = 76},
  [503] = {.lex_state = 76},
  [504] = {.lex_state = 76},
  [505] = {.lex_state = 76},
  [506] = {.lex_state = 76},
  [507] = {.lex_state = 76},
  [508] = {.lex_state = 76},
  [509] = {.lex_state = 76},
  [510] = {.lex_state = 76},
  [511] = {.lex_state = 76},
  [512] = {.lex_state = 76},
  [513] = {.lex_state = 76},
  [514] = {.lex_state = 76},
  [515] = {.lex_state = 76},
  [516] = {.lex_state = 76},
  [517] = {.lex_state = 76},
  [518] = {.lex_state = 76},
  [519] = {.lex_state = 76},
  [520] = {.lex_state = 76},
  [521] = {.lex_state = 76},
  [522] = {.lex_state = 76},
  [523] = {.lex_state = 76},
  [524] = {.lex_state = 76},
  [525] = {.lex_state = 76},
  [526] = {.lex_state = 76},
  [527] = {.lex_state = 76},
  [528] = {.lex_state = 76},
  [529] = {.lex_state = 76},
  [530] = {.lex_state = 76},
  [531] = {.lex_state = 76},
  [532] = {.lex_state = 76},
  [533] = {.lex_state = 76},
  [534] = {.lex_state = 76},
  [535] = {.lex_state = 76},
  [536] = {.lex_state = 76},
  [537] = {.lex_state = 76},
  [538] = {.lex_state = 76},
  [539] = {.lex_state = 76},
  [540] = {.lex_state = 76},
  [541] = {.lex_state = 76},
  [542] = {.lex_state = 76},
  [543] = {.lex_state = 76},
  [544] = {.lex_state = 76},
  [545] = {.lex_state = 76},
  [546] = {.lex_state = 76},
  [547] = {.lex_state = 76},
  [548] = {.lex_state = 76},
  [549] = {.lex_state = 76},
  [550] = {.lex_state = 76},
  [551] = {.lex_state = 76},
  [552] = {.lex_state = 76},
  [553] = {.lex_state = 76},
  [554] = {.lex_state = 76},
  [555] = {.lex_state = 76},
  [556] = {.lex_state = 76},
  [557] = {.lex_state = 76},
  [558] = {.lex_state = 76},
  [559] = {.lex_state = 76},
  [560] = {.lex_state = 76},
  [561] = {.lex_state = 76},
  [562] = {.lex_state = 76},
  [563] = {.lex_state = 76},
  [564] = {.lex_state = 76},
  [565] = {.lex_state = 76},
  [566] = {.lex_state = 76},
  [567] = {.lex_state = 76},
  [568] = {.lex_state = 76},
  [569] = {.lex_state = 76},
  [570] = {.lex_state = 76},
  [571] = {.lex_state = 76},
  [572] = {.lex_state = 76},
  [573] = {.lex_state = 76},
  [574] = {.lex_state = 76},
  [575] = {.lex_state = 10},
  [576] = {.lex_state = 10},
  [577] = {.lex_state = 10},
  [578] = {.lex_state = 10},
  [579] = {.lex_state = 10},
  [580] = {.lex_state = 10},
  [581] = {.lex_state = 10},
  [582] = {.lex_state = 10},
  [583] = {.lex_state = 10},
  [584] = {.lex_state = 10},
  [585] = {.lex_state = 10},
  [586] = {.lex_state = 10},
  [587] = {.lex_state = 10},
  [588] = {.lex_state = 10},
  [589] = {.lex_state = 10},
  [590] = {.lex_state = 10},
  [591] = {.lex_state = 10},
  [592] = {.lex_state = 10},
  [593] = {.lex_state = 10},
  [594] = {.lex_state = 10},
  [595] = {.lex_state = 10},
  [596] = {.lex_state = 10},
  [597] = {.lex_state = 10},
  [598] = {.lex_state = 10},
  [599] = {.lex_state = 10},
  [600] = {.lex_state = 10},
  [601] = {.lex_state = 10},
  [602] = {.lex_state = 10},
  [603] = {.lex_state = 10},
  [604] = {.lex_state = 10, .external_lex_state = 2},
  [605] = {.lex_state = 10, .external_lex_state = 2},
  [606] = {.lex_state = 10, .external_lex_state = 2},
  [607] = {.lex_state = 10, .external_lex_state = 2},
  [608] = {.lex_state = 10},
  [609] = {.lex_state = 10, .external_lex_state = 2},
  [610] = {.lex_state = 10, .external_lex_state = 2},
  [611] = {.lex_state = 10},
  [612] = {.lex_state = 10, .external_lex_state = 2},
  [613] = {.lex_state = 10},
  [614] = {.lex_state = 10, .external_lex_state = 2},
  [615] = {.lex_state = 10, .external_lex_state = 2},
  [616] = {.lex_state = 10, .external_lex_state = 2},
  [617] = {.lex_state = 10, .external_lex_state = 2},
  [618] = {.lex_state = 10, .external_lex_state = 2},
  [619] = {.lex_state = 10, .external_lex_state = 2},
  [620] = {.lex_state = 10},
  [621] = {.lex_state = 10, .external_lex_state = 2},
  [622] = {.lex_state = 10, .external_lex_state = 2},
  [623] = {.lex_state = 10, .external_lex_state = 2},
  [624] = {.lex_state = 10},
  [625] = {.lex_state = 10},
  [626] = {.lex_state = 10, .external_lex_state = 2},
  [627] = {.lex_state = 10},
  [628] = {.lex_state = 10, .external_lex_state = 2},
  [629] = {.lex_state = 10, .external_lex_state = 2},
  [630] = {.lex_state = 10, .external_lex_state = 2},
  [631] = {.lex_state = 10, .external_lex_state = 2},
  [632] = {.lex_state = 10, .external_lex_state = 2},
  [633] = {.lex_state = 10, .external_lex_state = 2},
  [634] = {.lex_state = 10},
  [635] = {.lex_state = 10, .external_lex_state = 2},
  [636] = {.lex_state = 10},
  [637] = {.lex_state = 10, .external_lex_state = 2},
  [638] = {.lex_state = 10},
  [639] = {.lex_state = 10},
  [640] = {.lex_state = 10},
  [641] = {.lex_state = 10, .external_lex_state = 2},
  [642] = {.lex_state = 10, .external_lex_state = 2},
  [643] = {.lex_state = 10, .external_lex_state = 2},
  [644] = {.lex_state = 10},
  [645] = {.lex_state = 10},
  [646] = {.lex_state = 10},
  [647] = {.lex_state = 10},
  [648] = {.lex_state = 10},
  [649] = {.lex_state = 10},
  [650] = {.lex_state = 10},
  [651] = {.lex_state = 9},
  [652] = {.lex_state = 77},
  [653] = {.lex_state = 77},
  [654] = {.lex_state = 11},
  [655] = {.lex_state = 11},
  [656] = {.lex_state = 11},
  [657] = {.lex_state = 12},
  [658] = {.lex_state = 20},
  [659] = {.lex_state = 12},
  [660] = {.lex_state = 11},
  [661] = {.lex_state = 12},
  [662] = {.lex_state = 11},
  [663] = {.lex_state = 20},
  [664] = {.lex_state = 12},
  [665] = {.lex_state = 11},
  [666] = {.lex_state = 11},
  [667] = {.lex_state = 12},
  [668] = {.lex_state = 16},
  [669] = {.lex_state = 11},
  [670] = {.lex_state = 12},
  [671] = {.lex_state = 20},
  [672] = {.lex_state = 11},
  [673] = {.lex_state = 11},
  [674] = {.lex_state = 11},
  [675] = {.lex_state = 16},
  [676] = {.lex_state = 11},
  [677] = {.lex_state = 11},
  [678] = {.lex_state = 11},
  [679] = {.lex_state = 11},
  [680] = {.lex_state = 12},
  [681] = {.lex_state = 20},
  [682] = {.lex_state = 11},
  [683] = {.lex_state = 20},
  [684] = {.lex_state = 11},
  [685] = {.lex_state = 11},
  [686] = {.lex_state = 11},
  [687] = {.lex_state = 20},
  [688] = {.lex_state = 11},
  [689] = {.lex_state = 11},
  [690] = {.lex_state = 11},
  [691] = {.lex_state = 11},
  [692] = {.lex_state = 11},
  [693] = {.lex_state = 12},
  [694] = {.lex_state = 12},
  [695] = {.lex_state = 12},
  [696] = {.lex_state = 12},
  [697] = {.lex_state = 12},
  [698] = {.lex_state = 12},
  [699] = {.lex_state = 12},
  [700] = {.lex_state = 20},
  [701] = {.lex_state = 12},
  [702] = {.lex_state = 12},
  [703] = {.lex_state = 17},
  [704] = {.lex_state = 17},
  [705] = {.lex_state = 17},
  [706] = {.lex_state = 12},
  [707] = {.lex_state = 11},
  [708] = {.lex_state = 12},
  [709] = {.lex_state = 11},
  [710] = {.lex_state = 12},
  [711] = {.lex_state = 12},
  [712] = {.lex_state = 17},
  [713] = {.lex_state = 12},
  [714] = {.lex_state = 12},
  [715] = {.lex_state = 12},
  [716] = {.lex_state = 12},
  [717] = {.lex_state = 12},
  [718] = {.lex_state = 17},
  [719] = {.lex_state = 12},
  [720] = {.lex_state = 12},
  [721] = {.lex_state = 12},
  [722] = {.lex_state = 12},
  [723] = {.lex_state = 12},
  [724] = {.lex_state = 12},
  [725] = {.lex_state = 12},
  [726] = {.lex_state = 12},
  [727] = {.lex_state = 12},
  [728] = {.lex_state = 12},
  [729] = {.lex_state = 12},
  [730] = {.lex_state = 12},
  [731] = {.lex_state = 12},
  [732] = {.lex_state = 12},
  [733] = {.lex_state = 12},
  [734] = {.lex_state = 12},
  [735] = {.lex_state = 12},
  [736] = {.lex_state = 12},
  [737] = {.lex_state = 12},
  [738] = {.lex_state = 12},
  [739] = {.lex_state = 12},
  [740] = {.lex_state = 12},
  [741] = {.lex_state = 12},
  [742] = {.lex_state = 12},
  [743] = {.lex_state = 12},
  [744] = {.lex_state = 12},
  [745] = {.lex_state = 12},
  [746] = {.lex_state = 12},
  [747] = {.lex_state = 12},
  [748] = {.lex_state = 12},
  [749] = {.lex_state = 17},
  [750] = {.lex_state = 12},
  [751] = {.lex_state = 12},
  [752] = {.lex_state = 12},
  [753] = {.lex_state = 12},
  [754] = {.lex_state = 12},
  [755] = {.lex_state = 12},
  [756] = {.lex_state = 12},
  [757] = {.lex_state = 12},
  [758] = {.lex_state = 12},
  [759] = {.lex_state = 12},
  [760] = {.lex_state = 12},
  [761] = {.lex_state = 12},
  [762] = {.lex_state = 12},
  [763] = {.lex_state = 12},
  [764] = {.lex_state = 12},
  [765] = {.lex_state = 12},
  [766] = {.lex_state = 12},
  [767] = {.lex_state = 12},
  [768] = {.lex_state = 12},
  [769] = {.lex_state = 12},
  [770] = {.lex_state = 12},
  [771] = {.lex_state = 12},
  [772] = {.lex_state = 12},
  [773] = {.lex_state = 11, .external_lex_state = 2},
  [774] = {.lex_state = 12},
  [775] = {.lex_state = 11, .external_lex_state = 2},
  [776] = {.lex_state = 12},
  [777] = {.lex_state = 11, .external_lex_state = 2},
  [778] = {.lex_state = 12},
  [779] = {.lex_state = 12, .external_lex_state = 2},
  [780] = {.lex_state = 12, .external_lex_state = 2},
  [781] = {.lex_state = 11, .external_lex_state = 2},
  [782] = {.lex_state = 13},
  [783] = {.lex_state = 12},
  [784] = {.lex_state = 11, .external_lex_state = 2},
  [785] = {.lex_state = 11, .external_lex_state = 2},
  [786] = {.lex_state = 12, .external_lex_state = 2},
  [787] = {.lex_state = 12, .external_lex_state = 2},
  [788] = {.lex_state = 12},
  [789] = {.lex_state = 13},
  [790] = {.lex_state = 11, .external_lex_state = 2},
  [791] = {.lex_state = 11, .external_lex_state = 2},
  [792] = {.lex_state = 11, .external_lex_state = 2},
  [793] = {.lex_state = 11, .external_lex_state = 2},
  [794] = {.lex_state = 11, .external_lex_state = 2},
  [795] = {.lex_state = 12, .external_lex_state = 2},
  [796] = {.lex_state = 11, .external_lex_state = 2},
  [797] = {.lex_state = 11, .external_lex_state = 2},
  [798] = {.lex_state = 7},
  [799] = {.lex_state = 11, .external_lex_state = 2},
  [800] = {.lex_state = 11, .external_lex_state = 2},
  [801] = {.lex_state = 11, .external_lex_state = 2},
  [802] = {.lex_state = 12, .external_lex_state = 2},
  [803] = {.lex_state = 12},
  [804] = {.lex_state = 11, .external_lex_state = 2},
  [805] = {.lex_state = 11, .external_lex_state = 2},
  [806] = {.lex_state = 11, .external_lex_state = 2},
  [807] = {.lex_state = 11, .external_lex_state = 2},
  [808] = {.lex_state = 11, .external_lex_state = 2},
  [809] = {.lex_state = 11, .external_lex_state = 2},
  [810] = {.lex_state = 11, .external_lex_state = 2},
  [811] = {.lex_state = 11, .external_lex_state = 2},
  [812] = {.lex_state = 12, .external_lex_state = 2},
  [813] = {.lex_state = 17},
  [814] = {.lex_state = 12, .external_lex_state = 2},
  [815] = {.lex_state = 17},
  [816] = {.lex_state = 17},
  [817] = {.lex_state = 12, .external_lex_state = 2},
  [818] = {.lex_state = 11, .external_lex_state = 2},
  [819] = {.lex_state = 12, .external_lex_state = 2},
  [820] = {.lex_state = 17},
  [821] = {.lex_state = 17},
  [822] = {.lex_state = 17},
  [823] = {.lex_state = 12, .external_lex_state = 2},
  [824] = {.lex_state = 12, .external_lex_state = 2},
  [825] = {.lex_state = 13},
  [826] = {.lex_state = 12, .external_lex_state = 2},
  [827] = {.lex_state = 12, .external_lex_state = 2},
  [828] = {.lex_state = 17},
  [829] = {.lex_state = 12, .external_lex_state = 2},
  [830] = {.lex_state = 12, .external_lex_state = 2},
  [831] = {.lex_state = 12, .external_lex_state = 2},
  [832] = {.lex_state = 12, .external_lex_state = 2},
  [833] = {.lex_state = 12, .external_lex_state = 2},
  [834] = {.lex_state = 13},
  [835] = {.lex_state = 12, .external_lex_state = 2},
  [836] = {.lex_state = 17},
  [837] = {.lex_state = 12, .external_lex_state = 2},
  [838] = {.lex_state = 17},
  [839] = {.lex_state = 12, .external_lex_state = 2},
  [840] = {.lex_state = 12, .external_lex_state = 2},
  [841] = {.lex_state = 12, .external_lex_state = 2},
  [842] = {.lex_state = 17},
  [843] = {.lex_state = 12, .external_lex_state = 2},
  [844] = {.lex_state = 17},
  [845] = {.lex_state = 12, .external_lex_state = 2},
  [846] = {.lex_state = 12, .external_lex_state = 2},
  [847] = {.lex_state = 12, .external_lex_state = 2},
  [848] = {.lex_state = 12, .external_lex_state = 2},
  [849] = {.lex_state = 17},
  [850] = {.lex_state = 12, .external_lex_state = 2},
  [851] = {.lex_state = 12, .external_lex_state = 2},
  [852] = {.lex_state = 12, .external_lex_state = 2},
  [853] = {.lex_state = 17},
  [854] = {.lex_state = 12, .external_lex_state = 2},
  [855] = {.lex_state = 17},
  [856] = {.lex_state = 12, .external_lex_state = 2},
  [857] = {.lex_state = 11, .external_lex_state = 2},
  [858] = {.lex_state = 12, .external_lex_state = 2},
  [859] = {.lex_state = 12, .external_lex_state = 2},
  [860] = {.lex_state = 12, .external_lex_state = 2},
  [861] = {.lex_state = 17},
  [862] = {.lex_state = 12, .external_lex_state = 2},
  [863] = {.lex_state = 12, .external_lex_state = 2},
  [864] = {.lex_state = 12, .external_lex_state = 2},
  [865] = {.lex_state = 12, .external_lex_state = 2},
  [866] = {.lex_state = 12, .external_lex_state = 2},
  [867] = {.lex_state = 12},
  [868] = {.lex_state = 12, .external_lex_state = 2},
  [869] = {.lex_state = 12, .external_lex_state = 2},
  [870] = {.lex_state = 12, .external_lex_state = 2},
  [871] = {.lex_state = 12, .external_lex_state = 2},
  [872] = {.lex_state = 12, .external_lex_state = 2},
  [873] = {.lex_state = 12, .external_lex_state = 2},
  [874] = {.lex_state = 12, .external_lex_state = 2},
  [875] = {.lex_state = 12, .external_lex_state = 2},
  [876] = {.lex_state = 12, .external_lex_state = 2},
  [877] = {.lex_state = 12, .external_lex_state = 2},
  [878] = {.lex_state = 12, .external_lex_state = 2},
  [879] = {.lex_state = 12, .external_lex_state = 2},
  [880] = {.lex_state = 12, .external_lex_state = 2},
  [881] = {.lex_state = 12},
  [882] = {.lex_state = 12, .external_lex_state = 2},
  [883] = {.lex_state = 12, .external_lex_state = 2},
  [884] = {.lex_state = 12, .external_lex_state = 2},
  [885] = {.lex_state = 12, .external_lex_state = 2},
  [886] = {.lex_state = 12, .external_lex_state = 2},
  [887] = {.lex_state = 12, .external_lex_state = 2},
  [888] = {.lex_state = 12, .external_lex_state = 2},
  [889] = {.lex_state = 12, .external_lex_state = 2},
  [890] = {.lex_state = 12, .external_lex_state = 2},
  [891] = {.lex_state = 12, .external_lex_state = 2},
  [892] = {.lex_state = 12, .external_lex_state = 2},
  [893] = {.lex_state = 12, .external_lex_state = 2},
  [894] = {.lex_state = 12, .external_lex_state = 2},
  [895] = {.lex_state = 12, .external_lex_state = 2},
  [896] = {.lex_state = 12, .external_lex_state = 2},
  [897] = {.lex_state = 12, .external_lex_state = 2},
  [898] = {.lex_state = 12, .external_lex_state = 2},
  [899] = {.lex_state = 12, .external_lex_state = 2},
  [900] = {.lex_state = 12, .external_lex_state = 2},
  [901] = {.lex_state = 12, .external_lex_state = 2},
  [902] = {.lex_state = 12, .external_lex_state = 2},
  [903] = {.lex_state = 12, .external_lex_state = 2},
  [904] = {.lex_state = 12, .external_lex_state = 2},
  [905] = {.lex_state = 12, .external_lex_state = 2},
  [906] = {.lex_state = 12, .external_lex_state = 2},
  [907] = {.lex_state = 12, .external_lex_state = 2},
  [908] = {.lex_state = 12, .external_lex_state = 2},
  [909] = {.lex_state = 12, .external_lex_state = 2},
  [910] = {.lex_state = 12, .external_lex_state = 2},
  [911] = {.lex_state = 12, .external_lex_state = 2},
  [912] = {.lex_state = 13},
  [913] = {.lex_state = 13},
  [914] = {.lex_state = 13},
  [915] = {.lex_state = 13},
  [916] = {.lex_state = 13},
  [917] = {.lex_state = 13},
  [918] = {.lex_state = 13},
  [919] = {.lex_state = 13},
  [920] = {.lex_state = 13},
  [921] = {.lex_state = 13},
  [922] = {.lex_state = 13},
  [923] = {.lex_state = 13},
  [924] = {.lex_state = 13},
  [925] = {.lex_state = 13},
  [926] = {.lex_state = 13},
  [927] = {.lex_state = 13},
  [928] = {.lex_state = 13},
  [929] = {.lex_state = 13},
  [930] = {.lex_state = 13},
  [931] = {.lex_state = 13},
  [932] = {.lex_state = 13},
  [933] = {.lex_state = 13},
  [934] = {.lex_state = 13},
  [935] = {.lex_state = 13},
  [936] = {.lex_state = 13},
  [937] = {.lex_state = 13},
  [938] = {.lex_state = 13},
  [939] = {.lex_state = 13},
  [940] = {.lex_state = 13},
  [941] = {.lex_state = 13},
  [942] = {.lex_state = 13},
  [943] = {.lex_state = 14},
  [944] = {.lex_state = 13},
  [945] = {.lex_state = 13},
  [946] = {.lex_state = 13},
  [947] = {.lex_state = 13},
  [948] = {.lex_state = 13},
  [949] = {.lex_state = 13},
  [950] = {.lex_state = 13},
  [951] = {.lex_state = 13},
  [952] = {.lex_state = 13},
  [953] = {.lex_state = 13},
  [954] = {.lex_state = 13},
  [955] = {.lex_state = 13},
  [956] = {.lex_state = 13},
  [957] = {.lex_state = 13},
  [958] = {.lex_state = 13},
  [959] = {.lex_state = 13},
  [960] = {.lex_state = 13},
  [961] = {.lex_state = 13},
  [962] = {.lex_state = 13},
  [963] = {.lex_state = 13},
  [964] = {.lex_state = 13},
  [965] = {.lex_state = 13},
  [966] = {.lex_state = 13},
  [967] = {.lex_state = 13},
  [968] = {.lex_state = 13},
  [969] = {.lex_state = 13},
  [970] = {.lex_state = 13},
  [971] = {.lex_state = 13},
  [972] = {.lex_state = 13},
  [973] = {.lex_state = 13},
  [974] = {.lex_state = 13},
  [975] = {.lex_state = 13},
  [976] = {.lex_state = 13},
  [977] = {.lex_state = 13, .external_lex_state = 2},
  [978] = {.lex_state = 13, .external_lex_state = 2},
  [979] = {.lex_state = 13},
  [980] = {.lex_state = 13},
  [981] = {.lex_state = 13},
  [982] = {.lex_state = 13},
  [983] = {.lex_state = 13},
  [984] = {.lex_state = 13},
  [985] = {.lex_state = 13},
  [986] = {.lex_state = 13},
  [987] = {.lex_state = 13},
  [988] = {.lex_state = 13},
  [989] = {.lex_state = 13},
  [990] = {.lex_state = 13},
  [991] = {.lex_state = 13},
  [992] = {.lex_state = 13},
  [993] = {.lex_state = 13},
  [994] = {.lex_state = 13},
  [995] = {.lex_state = 13},
  [996] = {.lex_state = 13},
  [997] = {.lex_state = 13},
  [998] = {.lex_state = 13},
  [999] = {.lex_state = 13},
  [1000] = {.lex_state = 13},
  [1001] = {.lex_state = 13},
  [1002] = {.lex_state = 13},
  [1003] = {.lex_state = 13},
  [1004] = {.lex_state = 13},
  [1005] = {.lex_state = 13},
  [1006] = {.lex_state = 13},
  [1007] = {.lex_state = 13},
  [1008] = {.lex_state = 13},
  [1009] = {.lex_state = 13},
  [1010] = {.lex_state = 13},
  [1011] = {.lex_state = 13},
  [1012] = {.lex_state = 13},
  [1013] = {.lex_state = 13},
  [1014] = {.lex_state = 13},
  [1015] = {.lex_state = 13},
  [1016] = {.lex_state = 13},
  [1017] = {.lex_state = 13},
  [1018] = {.lex_state = 13},
  [1019] = {.lex_state = 13},
  [1020] = {.lex_state = 13},
  [1021] = {.lex_state = 13},
  [1022] = {.lex_state = 13},
  [1023] = {.lex_state = 13},
  [1024] = {.lex_state = 13},
  [1025] = {.lex_state = 13},
  [1026] = {.lex_state = 13},
  [1027] = {.lex_state = 13},
  [1028] = {.lex_state = 13},
  [1029] = {.lex_state = 77},
  [1030] = {.lex_state = 13},
  [1031] = {.lex_state = 13},
  [1032] = {.lex_state = 13},
  [1033] = {.lex_state = 13},
  [1034] = {.lex_state = 13},
  [1035] = {.lex_state = 13},
  [1036] = {.lex_state = 13},
  [1037] = {.lex_state = 13},
  [1038] = {.lex_state = 13},
  [1039] = {.lex_state = 13},
  [1040] = {.lex_state = 13},
  [1041] = {.lex_state = 13},
  [1042] = {.lex_state = 13},
  [1043] = {.lex_state = 13},
  [1044] = {.lex_state = 13},
  [1045] = {.lex_state = 13},
  [1046] = {.lex_state = 13, .external_lex_state = 2},
  [1047] = {.lex_state = 13, .external_lex_state = 2},
  [1048] = {.lex_state = 77},
  [1049] = {.lex_state = 13, .external_lex_state = 2},
  [1050] = {.lex_state = 13, .external_lex_state = 2},
  [1051] = {.lex_state = 13, .external_lex_state = 2},
  [1052] = {.lex_state = 13, .external_lex_state = 2},
  [1053] = {.lex_state = 13, .external_lex_state = 2},
  [1054] = {.lex_state = 13, .external_lex_state = 2},
  [1055] = {.lex_state = 13, .external_lex_state = 2},
  [1056] = {.lex_state = 13, .external_lex_state = 2},
  [1057] = {.lex_state = 13, .external_lex_state = 2},
  [1058] = {.lex_state = 13, .external_lex_state = 2},
  [1059] = {.lex_state = 77},
  [1060] = {.lex_state = 13, .external_lex_state = 2},
  [1061] = {.lex_state = 13, .external_lex_state = 2},
  [1062] = {.lex_state = 77},
  [1063] = {.lex_state = 13, .external_lex_state = 2},
  [1064] = {.lex_state = 13, .external_lex_state = 2},
  [1065] = {.lex_state = 13, .external_lex_state = 2},
  [1066] = {.lex_state = 13, .external_lex_state = 2},
  [1067] = {.lex_state = 13, .external_lex_state = 2},
  [1068] = {.lex_state = 13, .external_lex_state = 2},
  [1069] = {.lex_state = 13, .external_lex_state = 2},
  [1070] = {.lex_state = 13, .external_lex_state = 2},
  [1071] = {.lex_state = 13, .external_lex_state = 2},
  [1072] = {.lex_state = 13, .external_lex_state = 2},
  [1073] = {.lex_state = 13, .external_lex_state = 2},
  [1074] = {.lex_state = 13, .external_lex_state = 2},
  [1075] = {.lex_state = 13, .external_lex_state = 2},
  [1076] = {.lex_state = 13, .external_lex_state = 2},
  [1077] = {.lex_state = 13, .external_lex_state = 2},
  [1078] = {.lex_state = 13, .external_lex_state = 2},
  [1079] = {.lex_state = 13, .external_lex_state = 2},
  [1080] = {.lex_state = 13, .external_lex_state = 2},
  [1081] = {.lex_state = 13, .external_lex_state = 2},
  [1082] = {.lex_state = 13, .external_lex_state = 2},
  [1083] = {.lex_state = 13, .external_lex_state = 2},
  [1084] = {.lex_state = 13, .external_lex_state = 2},
  [1085] = {.lex_state = 13, .external_lex_state = 2},
  [1086] = {.lex_state = 13, .external_lex_state = 2},
  [1087] = {.lex_state = 13, .external_lex_state = 2},
  [1088] = {.lex_state = 13, .external_lex_state = 2},
  [1089] = {.lex_state = 13, .external_lex_state = 2},
  [1090] = {.lex_state = 13, .external_lex_state = 2},
  [1091] = {.lex_state = 13, .external_lex_state = 2},
  [1092] = {.lex_state = 13, .external_lex_state = 2},
  [1093] = {.lex_state = 13, .external_lex_state = 2},
  [1094] = {.lex_state = 13, .external_lex_state = 2},
  [1095] = {.lex_state = 13, .external_lex_state = 2},
  [1096] = {.lex_state = 13, .external_lex_state = 2},
  [1097] = {.lex_state = 13, .external_lex_state = 2},
  [1098] = {.lex_state = 13, .external_lex_state = 2},
  [1099] = {.lex_state = 13, .external_lex_state = 2},
  [1100] = {.lex_state = 13, .external_lex_state = 2},
  [1101] = {.lex_state = 13, .external_lex_state = 2},
  [1102] = {.lex_state = 13, .external_lex_state = 2},
  [1103] = {.lex_state = 13, .external_lex_state = 2},
  [1104] = {.lex_state = 13, .external_lex_state = 2},
  [1105] = {.lex_state = 13, .external_lex_state = 2},
  [1106] = {.lex_state = 13, .external_lex_state = 2},
  [1107] = {.lex_state = 13, .external_lex_state = 2},
  [1108] = {.lex_state = 13, .external_lex_state = 2},
  [1109] = {.lex_state = 13, .external_lex_state = 2},
  [1110] = {.lex_state = 13, .external_lex_state = 2},
  [1111] = {.lex_state = 13, .external_lex_state = 2},
  [1112] = {.lex_state = 13, .external_lex_state = 2},
  [1113] = {.lex_state = 13, .external_lex_state = 2},
  [1114] = {.lex_state = 13, .external_lex_state = 2},
  [1115] = {.lex_state = 13, .external_lex_state = 2},
  [1116] = {.lex_state = 13, .external_lex_state = 2},
  [1117] = {.lex_state = 13, .external_lex_state = 2},
  [1118] = {.lex_state = 13, .external_lex_state = 2},
  [1119] = {.lex_state = 13, .external_lex_state = 2},
  [1120] = {.lex_state = 13, .external_lex_state = 2},
  [1121] = {.lex_state = 13, .external_lex_state = 2},
  [1122] = {.lex_state = 13, .external_lex_state = 2},
  [1123] = {.lex_state = 13, .external_lex_state = 2},
  [1124] = {.lex_state = 13, .external_lex_state = 2},
  [1125] = {.lex_state = 13, .external_lex_state = 2},
  [1126] = {.lex_state = 13, .external_lex_state = 2},
  [1127] = {.lex_state = 13, .external_lex_state = 2},
  [1128] = {.lex_state = 13, .external_lex_state = 2},
  [1129] = {.lex_state = 13, .external_lex_state = 2},
  [1130] = {.lex_state = 13, .external_lex_state = 2},
  [1131] = {.lex_state = 13, .external_lex_state = 2},
  [1132] = {.lex_state = 13, .external_lex_state = 2},
  [1133] = {.lex_state = 13, .external_lex_state = 2},
  [1134] = {.lex_state = 13, .external_lex_state = 2},
  [1135] = {.lex_state = 13, .external_lex_state = 2},
  [1136] = {.lex_state = 77},
  [1137] = {.lex_state = 13, .external_lex_state = 2},
  [1138] = {.lex_state = 13, .external_lex_state = 2},
  [1139] = {.lex_state = 77},
  [1140] = {.lex_state = 77},
  [1141] = {.lex_state = 13, .external_lex_state = 2},
  [1142] = {.lex_state = 13, .external_lex_state = 2},
  [1143] = {.lex_state = 13, .external_lex_state = 2},
  [1144] = {.lex_state = 13, .external_lex_state = 2},
  [1145] = {.lex_state = 13, .external_lex_state = 2},
  [1146] = {.lex_state = 13, .external_lex_state = 2},
  [1147] = {.lex_state = 13, .external_lex_state = 2},
  [1148] = {.lex_state = 13, .external_lex_state = 2},
  [1149] = {.lex_state = 13, .external_lex_state = 2},
  [1150] = {.lex_state = 13, .external_lex_state = 2},
  [1151] = {.lex_state = 13},
  [1152] = {.lex_state = 13},
  [1153] = {.lex_state = 13},
  [1154] = {.lex_state = 13},
  [1155] = {.lex_state = 13},
  [1156] = {.lex_state = 14},
  [1157] = {.lex_state = 13},
  [1158] = {.lex_state = 13},
  [1159] = {.lex_state = 13},
  [1160] = {.lex_state = 13},
  [1161] = {.lex_state = 13},
  [1162] = {.lex_state = 13},
  [1163] = {.lex_state = 13},
  [1164] = {.lex_state = 13},
  [1165] = {.lex_state = 13},
  [1166] = {.lex_state = 13},
  [1167] = {.lex_state = 13},
  [1168] = {.lex_state = 13},
  [1169] = {.lex_state = 13},
  [1170] = {.lex_state = 13},
  [1171] = {.lex_state = 13},
  [1172] = {.lex_state = 13},
  [1173] = {.lex_state = 13},
  [1174] = {.lex_state = 13},
  [1175] = {.lex_state = 13},
  [1176] = {.lex_state = 14},
  [1177] = {.lex_state = 13},
  [1178] = {.lex_state = 13},
  [1179] = {.lex_state = 13},
  [1180] = {.lex_state = 13},
  [1181] = {.lex_state = 13},
  [1182] = {.lex_state = 13},
  [1183] = {.lex_state = 13},
  [1184] = {.lex_state = 13},
  [1185] = {.lex_state = 13},
  [1186] = {.lex_state = 21},
  [1187] = {.lex_state = 13, .external_lex_state = 2},
  [1188] = {.lex_state = 21},
  [1189] = {.lex_state = 21},
  [1190] = {.lex_state = 14},
  [1191] = {.lex_state = 13, .external_lex_state = 2},
  [1192] = {.lex_state = 13},
  [1193] = {.lex_state = 13},
  [1194] = {.lex_state = 21},
  [1195] = {.lex_state = 13, .external_lex_state = 2},
  [1196] = {.lex_state = 77},
  [1197] = {.lex_state = 21},
  [1198] = {.lex_state = 77},
  [1199] = {.lex_state = 21},
  [1200] = {.lex_state = 13, .external_lex_state = 2},
  [1201] = {.lex_state = 21},
  [1202] = {.lex_state = 21},
  [1203] = {.lex_state = 13},
  [1204] = {.lex_state = 21},
  [1205] = {.lex_state = 13},
  [1206] = {.lex_state = 13, .external_lex_state = 2},
  [1207] = {.lex_state = 14},
  [1208] = {.lex_state = 13},
  [1209] = {.lex_state = 13},
  [1210] = {.lex_state = 13, .external_lex_state = 2},
  [1211] = {.lex_state = 13},
  [1212] = {.lex_state = 13},
  [1213] = {.lex_state = 13, .external_lex_state = 2},
  [1214] = {.lex_state = 13},
  [1215] = {.lex_state = 13},
  [1216] = {.lex_state = 13},
  [1217] = {.lex_state = 13},
  [1218] = {.lex_state = 13},
  [1219] = {.lex_state = 13, .external_lex_state = 2},
  [1220] = {.lex_state = 13, .external_lex_state = 2},
  [1221] = {.lex_state = 13},
  [1222] = {.lex_state = 13},
  [1223] = {.lex_state = 13},
  [1224] = {.lex_state = 13, .external_lex_state = 2},
  [1225] = {.lex_state = 13},
  [1226] = {.lex_state = 13},
  [1227] = {.lex_state = 13},
  [1228] = {.lex_state = 13},
  [1229] = {.lex_state = 13},
  [1230] = {.lex_state = 14},
  [1231] = {.lex_state = 13},
  [1232] = {.lex_state = 13},
  [1233] = {.lex_state = 13, .external_lex_state = 2},
  [1234] = {.lex_state = 13, .external_lex_state = 2},
  [1235] = {.lex_state = 13},
  [1236] = {.lex_state = 13},
  [1237] = {.lex_state = 13, .external_lex_state = 2},
  [1238] = {.lex_state = 13},
  [1239] = {.lex_state = 13},
  [1240] = {.lex_state = 13},
  [1241] = {.lex_state = 13},
  [1242] = {.lex_state = 13},
  [1243] = {.lex_state = 13},
  [1244] = {.lex_state = 13},
  [1245] = {.lex_state = 13},
  [1246] = {.lex_state = 13},
  [1247] = {.lex_state = 14},
  [1248] = {.lex_state = 13},
  [1249] = {.lex_state = 77},
  [1250] = {.lex_state = 13},
  [1251] = {.lex_state = 13},
  [1252] = {.lex_state = 13},
  [1253] = {.lex_state = 13},
  [1254] = {.lex_state = 13},
  [1255] = {.lex_state = 13},
  [1256] = {.lex_state = 13},
  [1257] = {.lex_state = 13},
  [1258] = {.lex_state = 13},
  [1259] = {.lex_state = 13},
  [1260] = {.lex_state = 13},
  [1261] = {.lex_state = 77},
  [1262] = {.lex_state = 13},
  [1263] = {.lex_state = 13},
  [1264] = {.lex_state = 13},
  [1265] = {.lex_state = 13},
  [1266] = {.lex_state = 13},
  [1267] = {.lex_state = 13},
  [1268] = {.lex_state = 13},
  [1269] = {.lex_state = 13},
  [1270] = {.lex_state = 13},
  [1271] = {.lex_state = 13},
  [1272] = {.lex_state = 13},
  [1273] = {.lex_state = 13},
  [1274] = {.lex_state = 13},
  [1275] = {.lex_state = 13},
  [1276] = {.lex_state = 13},
  [1277] = {.lex_state = 13},
  [1278] = {.lex_state = 77},
  [1279] = {.lex_state = 21},
  [1280] = {.lex_state = 13},
  [1281] = {.lex_state = 13},
  [1282] = {.lex_state = 13},
  [1283] = {.lex_state = 13},
  [1284] = {.lex_state = 13},
  [1285] = {.lex_state = 13},
  [1286] = {.lex_state = 13},
  [1287] = {.lex_state = 13},
  [1288] = {.lex_state = 13},
  [1289] = {.lex_state = 13},
  [1290] = {.lex_state = 13},
  [1291] = {.lex_state = 13},
  [1292] = {.lex_state = 13},
  [1293] = {.lex_state = 13},
  [1294] = {.lex_state = 13},
  [1295] = {.lex_state = 13},
  [1296] = {.lex_state = 21},
  [1297] = {.lex_state = 13},
  [1298] = {.lex_state = 13},
  [1299] = {.lex_state = 13},
  [1300] = {.lex_state = 13},
  [1301] = {.lex_state = 21},
  [1302] = {.lex_state = 13},
  [1303] = {.lex_state = 13},
  [1304] = {.lex_state = 13},
  [1305] = {.lex_state = 13},
  [1306] = {.lex_state = 13},
  [1307] = {.lex_state = 13},
  [1308] = {.lex_state = 13},
  [1309] = {.lex_state = 13},
  [1310] = {.lex_state = 13},
  [1311] = {.lex_state = 13},
  [1312] = {.lex_state = 13},
  [1313] = {.lex_state = 13},
  [1314] = {.lex_state = 13},
  [1315] = {.lex_state = 13},
  [1316] = {.lex_state = 13},
  [1317] = {.lex_state = 13},
  [1318] = {.lex_state = 13},
  [1319] = {.lex_state = 13},
  [1320] = {.lex_state = 21},
  [1321] = {.lex_state = 77},
  [1322] = {.lex_state = 13},
  [1323] = {.lex_state = 21},
  [1324] = {.lex_state = 13},
  [1325] = {.lex_state = 77},
  [1326] = {.lex_state = 77},
  [1327] = {.lex_state = 20},
  [1328] = {.lex_state = 20},
  [1329] = {.lex_state = 14},
  [1330] = {.lex_state = 20},
  [1331] = {.lex_state = 14},
  [1332] = {.lex_state = 14},
  [1333] = {.lex_state = 14},
  [1334] = {.lex_state = 14},
  [1335] = {.lex_state = 20},
  [1336] = {.lex_state = 14},
  [1337] = {.lex_state = 14},
  [1338] = {.lex_state = 14},
  [1339] = {.lex_state = 14},
  [1340] = {.lex_state = 14},
  [1341] = {.lex_state = 14},
  [1342] = {.lex_state = 20},
  [1343] = {.lex_state = 14},
  [1344] = {.lex_state = 14},
  [1345] = {.lex_state = 14},
  [1346] = {.lex_state = 14},
  [1347] = {.lex_state = 14},
  [1348] = {.lex_state = 14},
  [1349] = {.lex_state = 14},
  [1350] = {.lex_state = 14},
  [1351] = {.lex_state = 14},
  [1352] = {.lex_state = 14},
  [1353] = {.lex_state = 14},
  [1354] = {.lex_state = 77},
  [1355] = {.lex_state = 77},
  [1356] = {.lex_state = 3, .external_lex_state = 3},
  [1357] = {.lex_state = 3, .external_lex_state = 3},
  [1358] = {.lex_state = 77},
  [1359] = {.lex_state = 77},
  [1360] = {.lex_state = 21},
  [1361] = {.lex_state = 3, .external_lex_state = 4},
  [1362] = {.lex_state = 3, .external_lex_state = 3},
  [1363] = {.lex_state = 21},
  [1364] = {.lex_state = 3, .external_lex_state = 3},
  [1365] = {.lex_state = 3, .external_lex_state = 3},
  [1366] = {.lex_state = 77},
  [1367] = {.lex_state = 17},
  [1368] = {.lex_state = 21},
  [1369] = {.lex_state = 21},
  [1370] = {.lex_state = 18, .external_lex_state = 4},
  [1371] = {.lex_state = 21},
  [1372] = {.lex_state = 21},
  [1373] = {.lex_state = 21},
  [1374] = {.lex_state = 21},
  [1375] = {.lex_state = 18, .external_lex_state = 5},
  [1376] = {.lex_state = 21},
  [1377] = {.lex_state = 21},
  [1378] = {.lex_state = 21},
  [1379] = {.lex_state = 21},
  [1380] = {.lex_state = 21},
  [1381] = {.lex_state = 18},
  [1382] = {.lex_state = 21},
  [1383] = {.lex_state = 18, .external_lex_state = 5},
  [1384] = {.lex_state = 21},
  [1385] = {.lex_state = 18, .external_lex_state = 5},
  [1386] = {.lex_state = 21},
  [1387] = {.lex_state = 18, .external_lex_state = 5},
  [1388] = {.lex_state = 21},
  [1389] = {.lex_state = 21},
  [1390] = {.lex_state = 21},
  [1391] = {.lex_state = 21},
  [1392] = {.lex_state = 21},
  [1393] = {.lex_state = 18, .external_lex_state = 5},
  [1394] = {.lex_state = 21},
  [1395] = {.lex_state = 21},
  [1396] = {.lex_state = 18, .external_lex_state = 6},
  [1397] = {.lex_state = 21},
  [1398] = {.lex_state = 21},
  [1399] = {.lex_state = 21},
  [1400] = {.lex_state = 21},
  [1401] = {.lex_state = 21},
  [1402] = {.lex_state = 18, .external_lex_state = 6},
  [1403] = {.lex_state = 21},
  [1404] = {.lex_state = 18, .external_lex_state = 6},
  [1405] = {.lex_state = 21},
  [1406] = {.lex_state = 21},
  [1407] = {.lex_state = 21},
  [1408] = {.lex_state = 21},
  [1409] = {.lex_state = 21},
  [1410] = {.lex_state = 3, .external_lex_state = 7},
  [1411] = {.lex_state = 18, .external_lex_state = 6},
  [1412] = {.lex_state = 3, .external_lex_state = 7},
  [1413] = {.lex_state = 77},
  [1414] = {.lex_state = 21},
  [1415] = {.lex_state = 21},
  [1416] = {.lex_state = 21},
  [1417] = {.lex_state = 21},
  [1418] = {.lex_state = 77},
  [1419] = {.lex_state = 21},
  [1420] = {.lex_state = 77},
  [1421] = {.lex_state = 21},
  [1422] = {.lex_state = 21},
  [1423] = {.lex_state = 21},
  [1424] = {.lex_state = 21},
  [1425] = {.lex_state = 21},
  [1426] = {.lex_state = 21},
  [1427] = {.lex_state = 21},
  [1428] = {.lex_state = 77},
  [1429] = {.lex_state = 18, .external_lex_state = 6},
  [1430] = {.lex_state = 77},
  [1431] = {.lex_state = 21},
  [1432] = {.lex_state = 77},
  [1433] = {.lex_state = 77},
  [1434] = {.lex_state = 77},
  [1435] = {.lex_state = 77},
  [1436] = {.lex_state = 77},
  [1437] = {.lex_state = 17},
  [1438] = {.lex_state = 17},
  [1439] = {.lex_state = 77},
  [1440] = {.lex_state = 23},
  [1441] = {.lex_state = 23},
  [1442] = {.lex_state = 23},
  [1443] = {.lex_state = 77},
  [1444] = {.lex_state = 77},
  [1445] = {.lex_state = 77},
  [1446] = {.lex_state = 77},
  [1447] = {.lex_state = 77},
  [1448] = {.lex_state = 77},
  [1449] = {.lex_state = 77},
  [1450] = {.lex_state = 77},
  [1451] = {.lex_state = 3, .external_lex_state = 3},
  [1452] = {.lex_state = 3, .external_lex_state = 3},
  [1453] = {.lex_state = 77},
  [1454] = {.lex_state = 3, .external_lex_state = 3},
  [1455] = {.lex_state = 3, .external_lex_state = 3},
  [1456] = {.lex_state = 77},
  [1457] = {.lex_state = 3, .external_lex_state = 3},
  [1458] = {.lex_state = 17},
  [1459] = {.lex_state = 23},
  [1460] = {.lex_state = 77},
  [1461] = {.lex_state = 77},
  [1462] = {.lex_state = 77},
  [1463] = {.lex_state = 3, .external_lex_state = 3},
  [1464] = {.lex_state = 77},
  [1465] = {.lex_state = 3, .external_lex_state = 3},
  [1466] = {.lex_state = 77},
  [1467] = {.lex_state = 77},
  [1468] = {.lex_state = 77},
  [1469] = {.lex_state = 17},
  [1470] = {.lex_state = 17},
  [1471] = {.lex_state = 77},
  [1472] = {.lex_state = 17},
  [1473] = {.lex_state = 3, .external_lex_state = 3},
  [1474] = {.lex_state = 18, .external_lex_state = 8},
  [1475] = {.lex_state = 18, .external_lex_state = 8},
  [1476] = {.lex_state = 77},
  [1477] = {.lex_state = 3, .external_lex_state = 3},
  [1478] = {.lex_state = 17},
  [1479] = {.lex_state = 77},
  [1480] = {.lex_state = 77},
  [1481] = {.lex_state = 77},
  [1482] = {.lex_state = 77},
  [1483] = {.lex_state = 77},
  [1484] = {.lex_state = 77},
  [1485] = {.lex_state = 77},
  [1486] = {.lex_state = 77},
  [1487] = {.lex_state = 77},
  [1488] = {.lex_state = 18, .external_lex_state = 9},
  [1489] = {.lex_state = 77},
  [1490] = {.lex_state = 77},
  [1491] = {.lex_state = 17},
  [1492] = {.lex_state = 17},
  [1493] = {.lex_state = 77},
  [1494] = {.lex_state = 17},
  [1495] = {.lex_state = 77},
  [1496] = {.lex_state = 77},
  [1497] = {.lex_state = 77},
  [1498] = {.lex_state = 77},
  [1499] = {.lex_state = 77},
  [1500] = {.lex_state = 77},
  [1501] = {.lex_state = 77},
  [1502] = {.lex_state = 77},
  [1503] = {.lex_state = 77},
  [1504] = {.lex_state = 77},
  [1505] = {.lex_state = 77},
  [1506] = {.lex_state = 77},
  [1507] = {.lex_state = 77},
  [1508] = {.lex_state = 77},
  [1509] = {.lex_state = 77},
  [1510] = {.lex_state = 77},
  [1511] = {.lex_state = 17},
  [1512] = {.lex_state = 77},
  [1513] = {.lex_state = 77},
  [1514] = {.lex_state = 77},
  [1515] = {.lex_state = 77},
  [1516] = {.lex_state = 77},
  [1517] = {.lex_state = 17},
  [1518] = {.lex_state = 77},
  [1519] = {.lex_state = 17},
  [1520] = {.lex_state = 17},
  [1521] = {.lex_state = 77},
  [1522] = {.lex_state = 77},
  [1523] = {.lex_state = 17},
  [1524] = {.lex_state = 77},
  [1525] = {.lex_state = 77},
  [1526] = {.lex_state = 77},
  [1527] = {.lex_state = 18, .external_lex_state = 9},
  [1528] = {.lex_state = 77},
  [1529] = {.lex_state = 77},
  [1530] = {.lex_state = 77},
  [1531] = {.lex_state = 77},
  [1532] = {.lex_state = 17},
  [1533] = {.lex_state = 17},
  [1534] = {.lex_state = 77},
  [1535] = {.lex_state = 17},
  [1536] = {.lex_state = 77},
  [1537] = {.lex_state = 77},
  [1538] = {.lex_state = 17},
  [1539] = {.lex_state = 77},
  [1540] = {.lex_state = 77},
  [1541] = {.lex_state = 77},
  [1542] = {.lex_state = 77},
  [1543] = {.lex_state = 77},
  [1544] = {.lex_state = 77, .external_lex_state = 2},
  [1545] = {.lex_state = 14},
  [1546] = {.lex_state = 14},
  [1547] = {.lex_state = 17},
  [1548] = {.lex_state = 17},
  [1549] = {.lex_state = 14},
  [1550] = {.lex_state = 14},
  [1551] = {.lex_state = 17},
  [1552] = {.lex_state = 14},
  [1553] = {.lex_state = 77, .external_lex_state = 2},
  [1554] = {.lex_state = 14},
  [1555] = {.lex_state = 14},
  [1556] = {.lex_state = 23},
  [1557] = {.lex_state = 14},
  [1558] = {.lex_state = 77, .external_lex_state = 2},
  [1559] = {.lex_state = 18, .external_lex_state = 5},
  [1560] = {.lex_state = 18, .external_lex_state = 5},
  [1561] = {.lex_state = 23},
  [1562] = {.lex_state = 17},
  [1563] = {.lex_state = 17},
  [1564] = {.lex_state = 17},
  [1565] = {.lex_state = 14},
  [1566] = {.lex_state = 14, .external_lex_state = 2},
  [1567] = {.lex_state = 17},
  [1568] = {.lex_state = 77},
  [1569] = {.lex_state = 18, .external_lex_state = 5},
  [1570] = {.lex_state = 18, .external_lex_state = 5},
  [1571] = {.lex_state = 77},
  [1572] = {.lex_state = 77},
  [1573] = {.lex_state = 18, .external_lex_state = 5},
  [1574] = {.lex_state = 17},
  [1575] = {.lex_state = 17},
  [1576] = {.lex_state = 17},
  [1577] = {.lex_state = 17},
  [1578] = {.lex_state = 14},
  [1579] = {.lex_state = 17},
  [1580] = {.lex_state = 17},
  [1581] = {.lex_state = 17},
  [1582] = {.lex_state = 17},
  [1583] = {.lex_state = 17},
  [1584] = {.lex_state = 17},
  [1585] = {.lex_state = 17},
  [1586] = {.lex_state = 17},
  [1587] = {.lex_state = 17},
  [1588] = {.lex_state = 17},
  [1589] = {.lex_state = 17},
  [1590] = {.lex_state = 17},
  [1591] = {.lex_state = 17},
  [1592] = {.lex_state = 17},
  [1593] = {.lex_state = 18, .external_lex_state = 5},
  [1594] = {.lex_state = 18, .external_lex_state = 5},
  [1595] = {.lex_state = 14},
  [1596] = {.lex_state = 14},
  [1597] = {.lex_state = 18, .external_lex_state = 5},
  [1598] = {.lex_state = 18, .external_lex_state = 5},
  [1599] = {.lex_state = 14},
  [1600] = {.lex_state = 77},
  [1601] = {.lex_state = 77},
  [1602] = {.lex_state = 14},
  [1603] = {.lex_state = 14},
  [1604] = {.lex_state = 18, .external_lex_state = 6},
  [1605] = {.lex_state = 14},
  [1606] = {.lex_state = 18, .external_lex_state = 6},
  [1607] = {.lex_state = 14},
  [1608] = {.lex_state = 14},
  [1609] = {.lex_state = 77},
  [1610] = {.lex_state = 77},
  [1611] = {.lex_state = 77},
  [1612] = {.lex_state = 18, .external_lex_state = 6},
  [1613] = {.lex_state = 14},
  [1614] = {.lex_state = 14},
  [1615] = {.lex_state = 14},
  [1616] = {.lex_state = 77, .external_lex_state = 2},
  [1617] = {.lex_state = 14},
  [1618] = {.lex_state = 14},
  [1619] = {.lex_state = 18, .external_lex_state = 6},
  [1620] = {.lex_state = 14},
  [1621] = {.lex_state = 14},
  [1622] = {.lex_state = 77},
  [1623] = {.lex_state = 14},
  [1624] = {.lex_state = 14},
  [1625] = {.lex_state = 14},
  [1626] = {.lex_state = 14},
  [1627] = {.lex_state = 14},
  [1628] = {.lex_state = 14},
  [1629] = {.lex_state = 14},
  [1630] = {.lex_state = 14},
  [1631] = {.lex_state = 14},
  [1632] = {.lex_state = 14},
  [1633] = {.lex_state = 14},
  [1634] = {.lex_state = 14},
  [1635] = {.lex_state = 14},
  [1636] = {.lex_state = 14},
  [1637] = {.lex_state = 14},
  [1638] = {.lex_state = 14},
  [1639] = {.lex_state = 14},
  [1640] = {.lex_state = 77},
  [1641] = {.lex_state = 77},
  [1642] = {.lex_state = 14},
  [1643] = {.lex_state = 14},
  [1644] = {.lex_state = 14},
  [1645] = {.lex_state = 14},
  [1646] = {.lex_state = 77},
  [1647] = {.lex_state = 14},
  [1648] = {.lex_state = 14},
  [1649] = {.lex_state = 14},
  [1650] = {.lex_state = 14},
  [1651] = {.lex_state = 14},
  [1652] = {.lex_state = 14},
  [1653] = {.lex_state = 77},
  [1654] = {.lex_state = 14},
  [1655] = {.lex_state = 14},
  [1656] = {.lex_state = 77, .external_lex_state = 2},
  [1657] = {.lex_state = 14},
  [1658] = {.lex_state = 77, .external_lex_state = 2},
  [1659] = {.lex_state = 18, .external_lex_state = 6},
  [1660] = {.lex_state = 18, .external_lex_state = 6},
  [1661] = {.lex_state = 14},
  [1662] = {.lex_state = 14},
  [1663] = {.lex_state = 14},
  [1664] = {.lex_state = 18, .external_lex_state = 6},
  [1665] = {.lex_state = 14},
  [1666] = {.lex_state = 18, .external_lex_state = 6},
  [1667] = {.lex_state = 14},
  [1668] = {.lex_state = 14},
  [1669] = {.lex_state = 14},
  [1670] = {.lex_state = 77},
  [1671] = {.lex_state = 14},
  [1672] = {.lex_state = 14},
  [1673] = {.lex_state = 17},
  [1674] = {.lex_state = 77, .external_lex_state = 2},
  [1675] = {.lex_state = 77, .external_lex_state = 2},
  [1676] = {.lex_state = 77, .external_lex_state = 2},
  [1677] = {.lex_state = 14},
  [1678] = {.lex_state = 14},
  [1679] = {.lex_state = 14, .external_lex_state = 2},
  [1680] = {.lex_state = 77, .external_lex_state = 2},
  [1681] = {.lex_state = 17},
  [1682] = {.lex_state = 77, .external_lex_state = 2},
  [1683] = {.lex_state = 14},
  [1684] = {.lex_state = 14, .external_lex_state = 2},
  [1685] = {.lex_state = 14},
  [1686] = {.lex_state = 17},
  [1687] = {.lex_state = 14, .external_lex_state = 2},
  [1688] = {.lex_state = 17},
  [1689] = {.lex_state = 14, .external_lex_state = 2},
  [1690] = {.lex_state = 77, .external_lex_state = 2},
  [1691] = {.lex_state = 14},
  [1692] = {.lex_state = 14},
  [1693] = {.lex_state = 14},
  [1694] = {.lex_state = 14},
  [1695] = {.lex_state = 77},
  [1696] = {.lex_state = 77, .external_lex_state = 2},
  [1697] = {.lex_state = 77, .external_lex_state = 2},
  [1698] = {.lex_state = 14, .external_lex_state = 2},
  [1699] = {.lex_state = 17},
  [1700] = {.lex_state = 14, .external_lex_state = 2},
  [1701] = {.lex_state = 14},
  [1702] = {.lex_state = 17},
  [1703] = {.lex_state = 17},
  [1704] = {.lex_state = 14},
  [1705] = {.lex_state = 14},
  [1706] = {.lex_state = 77, .external_lex_state = 2},
  [1707] = {.lex_state = 14, .external_lex_state = 2},
  [1708] = {.lex_state = 77, .external_lex_state = 2},
  [1709] = {.lex_state = 77, .external_lex_state = 2},
  [1710] = {.lex_state = 77, .external_lex_state = 2},
  [1711] = {.lex_state = 77, .external_lex_state = 2},
  [1712] = {.lex_state = 14, .external_lex_state = 2},
  [1713] = {.lex_state = 14},
  [1714] = {.lex_state = 14},
  [1715] = {.lex_state = 14, .external_lex_state = 2},
  [1716] = {.lex_state = 14, .external_lex_state = 2},
  [1717] = {.lex_state = 14, .external_lex_state = 2},
  [1718] = {.lex_state = 14},
  [1719] = {.lex_state = 77, .external_lex_state = 2},
  [1720] = {.lex_state = 77, .external_lex_state = 2},
  [1721] = {.lex_state = 17},
  [1722] = {.lex_state = 14},
  [1723] = {.lex_state = 14, .external_lex_state = 2},
  [1724] = {.lex_state = 77},
  [1725] = {.lex_state = 77},
  [1726] = {.lex_state = 77},
  [1727] = {.lex_state = 77},
  [1728] = {.lex_state = 77, .external_lex_state = 2},
  [1729] = {.lex_state = 14, .external_lex_state = 2},
  [1730] = {.lex_state = 77, .external_lex_state = 2},
  [1731] = {.lex_state = 77},
  [1732] = {.lex_state = 77},
  [1733] = {.lex_state = 14},
  [1734] = {.lex_state = 14},
  [1735] = {.lex_state = 14},
  [1736] = {.lex_state = 14},
  [1737] = {.lex_state = 14, .external_lex_state = 2},
  [1738] = {.lex_state = 14},
  [1739] = {.lex_state = 14, .external_lex_state = 2},
  [1740] = {.lex_state = 14, .external_lex_state = 2},
  [1741] = {.lex_state = 14},
  [1742] = {.lex_state = 14, .external_lex_state = 2},
  [1743] = {.lex_state = 77},
  [1744] = {.lex_state = 14},
  [1745] = {.lex_state = 77},
  [1746] = {.lex_state = 14},
  [1747] = {.lex_state = 14, .external_lex_state = 2},
  [1748] = {.lex_state = 14},
  [1749] = {.lex_state = 14},
  [1750] = {.lex_state = 14},
  [1751] = {.lex_state = 14},
  [1752] = {.lex_state = 17},
  [1753] = {.lex_state = 77},
  [1754] = {.lex_state = 77, .external_lex_state = 2},
  [1755] = {.lex_state = 77, .external_lex_state = 2},
  [1756] = {.lex_state = 17},
  [1757] = {.lex_state = 14},
  [1758] = {.lex_state = 77, .external_lex_state = 2},
  [1759] = {.lex_state = 14, .external_lex_state = 2},
  [1760] = {.lex_state = 17},
  [1761] = {.lex_state = 14},
  [1762] = {.lex_state = 14},
  [1763] = {.lex_state = 77},
  [1764] = {.lex_state = 14},
  [1765] = {.lex_state = 77},
  [1766] = {.lex_state = 77, .external_lex_state = 2},
  [1767] = {.lex_state = 77, .external_lex_state = 2},
  [1768] = {.lex_state = 77},
  [1769] = {.lex_state = 14},
  [1770] = {.lex_state = 24},
  [1771] = {.lex_state = 77, .external_lex_state = 2},
  [1772] = {.lex_state = 77},
  [1773] = {.lex_state = 77, .external_lex_state = 2},
  [1774] = {.lex_state = 77},
  [1775] = {.lex_state = 14},
  [1776] = {.lex_state = 77, .external_lex_state = 2},
  [1777] = {.lex_state = 77, .external_lex_state = 2},
  [1778] = {.lex_state = 77},
  [1779] = {.lex_state = 77, .external_lex_state = 2},
  [1780] = {.lex_state = 77, .external_lex_state = 2},
  [1781] = {.lex_state = 14},
  [1782] = {.lex_state = 14},
  [1783] = {.lex_state = 14},
  [1784] = {.lex_state = 14},
  [1785] = {.lex_state = 77},
  [1786] = {.lex_state = 77},
  [1787] = {.lex_state = 77, .external_lex_state = 2},
  [1788] = {.lex_state = 77, .external_lex_state = 2},
  [1789] = {.lex_state = 77, .external_lex_state = 2},
  [1790] = {.lex_state = 77, .external_lex_state = 2},
  [1791] = {.lex_state = 77, .external_lex_state = 2},
  [1792] = {.lex_state = 77, .external_lex_state = 2},
  [1793] = {.lex_state = 14},
  [1794] = {.lex_state = 77, .external_lex_state = 2},
  [1795] = {.lex_state = 77, .external_lex_state = 2},
  [1796] = {.lex_state = 77, .external_lex_state = 2},
  [1797] = {.lex_state = 77, .external_lex_state = 2},
  [1798] = {.lex_state = 77},
  [1799] = {.lex_state = 77, .external_lex_state = 2},
  [1800] = {.lex_state = 77, .external_lex_state = 2},
  [1801] = {.lex_state = 77, .external_lex_state = 2},
  [1802] = {.lex_state = 77, .external_lex_state = 2},
  [1803] = {.lex_state = 77},
  [1804] = {.lex_state = 5, .external_lex_state = 10},
  [1805] = {.lex_state = 14},
  [1806] = {.lex_state = 77, .external_lex_state = 2},
  [1807] = {.lex_state = 77, .external_lex_state = 2},
  [1808] = {.lex_state = 77},
  [1809] = {.lex_state = 77, .external_lex_state = 2},
  [1810] = {.lex_state = 77, .external_lex_state = 2},
  [1811] = {.lex_state = 14},
  [1812] = {.lex_state = 77, .external_lex_state = 2},
  [1813] = {.lex_state = 14},
  [1814] = {.lex_state = 24},
  [1815] = {.lex_state = 77, .external_lex_state = 2},
  [1816] = {.lex_state = 77},
  [1817] = {.lex_state = 14},
  [1818] = {.lex_state = 77},
  [1819] = {.lex_state = 77},
  [1820] = {.lex_state = 77, .external_lex_state = 2},
  [1821] = {.lex_state = 14},
  [1822] = {.lex_state = 77, .external_lex_state = 2},
  [1823] = {.lex_state = 77, .external_lex_state = 2},
  [1824] = {.lex_state = 77, .external_lex_state = 2},
  [1825] = {.lex_state = 77},
  [1826] = {.lex_state = 14},
  [1827] = {.lex_state = 77, .external_lex_state = 2},
  [1828] = {.lex_state = 77, .external_lex_state = 2},
  [1829] = {.lex_state = 77, .external_lex_state = 2},
  [1830] = {.lex_state = 5, .external_lex_state = 10},
  [1831] = {.lex_state = 77, .external_lex_state = 2},
  [1832] = {.lex_state = 77},
  [1833] = {.lex_state = 77},
  [1834] = {.lex_state = 77},
  [1835] = {.lex_state = 77, .external_lex_state = 2},
  [1836] = {.lex_state = 77},
  [1837] = {.lex_state = 14},
  [1838] = {.lex_state = 14},
  [1839] = {.lex_state = 14},
  [1840] = {.lex_state = 14},
  [1841] = {.lex_state = 77},
  [1842] = {.lex_state = 77, .external_lex_state = 2},
  [1843] = {.lex_state = 77},
  [1844] = {.lex_state = 77, .external_lex_state = 2},
  [1845] = {.lex_state = 77},
  [1846] = {.lex_state = 14},
  [1847] = {.lex_state = 77},
  [1848] = {.lex_state = 77, .external_lex_state = 2},
  [1849] = {.lex_state = 77},
  [1850] = {.lex_state = 77},
  [1851] = {.lex_state = 14},
  [1852] = {.lex_state = 14},
  [1853] = {.lex_state = 14},
  [1854] = {.lex_state = 77},
  [1855] = {.lex_state = 77},
  [1856] = {.lex_state = 77, .external_lex_state = 2},
  [1857] = {.lex_state = 77},
  [1858] = {.lex_state = 77, .external_lex_state = 2},
  [1859] = {.lex_state = 77, .external_lex_state = 2},
  [1860] = {.lex_state = 77, .external_lex_state = 2},
  [1861] = {.lex_state = 77, .external_lex_state = 2},
  [1862] = {.lex_state = 14},
  [1863] = {.lex_state = 14},
  [1864] = {.lex_state = 77, .external_lex_state = 2},
  [1865] = {.lex_state = 24},
  [1866] = {.lex_state = 77, .external_lex_state = 2},
  [1867] = {.lex_state = 14},
  [1868] = {.lex_state = 77, .external_lex_state = 2},
  [1869] = {.lex_state = 24},
  [1870] = {.lex_state = 77, .external_lex_state = 2},
  [1871] = {.lex_state = 77, .external_lex_state = 2},
  [1872] = {.lex_state = 77, .external_lex_state = 2},
  [1873] = {.lex_state = 77},
  [1874] = {.lex_state = 77},
  [1875] = {.lex_state = 77},
  [1876] = {.lex_state = 14},
  [1877] = {.lex_state = 77},
  [1878] = {.lex_state = 77, .external_lex_state = 2},
  [1879] = {.lex_state = 77, .external_lex_state = 2},
  [1880] = {.lex_state = 77, .external_lex_state = 2},
  [1881] = {.lex_state = 77},
  [1882] = {.lex_state = 77, .external_lex_state = 2},
  [1883] = {.lex_state = 77},
  [1884] = {.lex_state = 77},
  [1885] = {.lex_state = 14},
  [1886] = {.lex_state = 77},
  [1887] = {.lex_state = 77, .external_lex_state = 2},
  [1888] = {.lex_state = 77},
  [1889] = {.lex_state = 77},
  [1890] = {.lex_state = 77, .external_lex_state = 2},
  [1891] = {.lex_state = 77, .external_lex_state = 2},
  [1892] = {.lex_state = 77, .external_lex_state = 2},
  [1893] = {.lex_state = 77, .external_lex_state = 2},
  [1894] = {.lex_state = 77, .external_lex_state = 2},
  [1895] = {.lex_state = 77, .external_lex_state = 2},
  [1896] = {.lex_state = 14},
  [1897] = {.lex_state = 14},
  [1898] = {.lex_state = 14},
  [1899] = {.lex_state = 77, .external_lex_state = 2},
  [1900] = {.lex_state = 77, .external_lex_state = 2},
  [1901] = {.lex_state = 14},
  [1902] = {.lex_state = 14},
  [1903] = {.lex_state = 14},
  [1904] = {.lex_state = 14},
  [1905] = {.lex_state = 14},
  [1906] = {.lex_state = 14},
  [1907] = {.lex_state = 24},
  [1908] = {.lex_state = 77},
  [1909] = {.lex_state = 77},
  [1910] = {.lex_state = 77},
  [1911] = {.lex_state = 14},
  [1912] = {.lex_state = 77, .external_lex_state = 2},
  [1913] = {.lex_state = 14},
  [1914] = {.lex_state = 77, .external_lex_state = 2},
  [1915] = {.lex_state = 77, .external_lex_state = 2},
  [1916] = {.lex_state = 14},
  [1917] = {.lex_state = 77},
  [1918] = {.lex_state = 14},
  [1919] = {.lex_state = 77, .external_lex_state = 2},
  [1920] = {.lex_state = 77},
  [1921] = {.lex_state = 77, .external_lex_state = 2},
  [1922] = {.lex_state = 77},
  [1923] = {.lex_state = 14},
  [1924] = {.lex_state = 77},
  [1925] = {.lex_state = 77},
  [1926] = {.lex_state = 14},
  [1927] = {.lex_state = 14},
  [1928] = {.lex_state = 14},
  [1929] = {.lex_state = 14},
  [1930] = {.lex_state = 14, .external_lex_state = 2},
  [1931] = {.lex_state = 14},
  [1932] = {.lex_state = 14},
  [1933] = {.lex_state = 77, .external_lex_state = 2},
  [1934] = {.lex_state = 14},
  [1935] = {.lex_state = 77},
  [1936] = {.lex_state = 77},
  [1937] = {.lex_state = 14},
  [1938] = {.lex_state = 77},
  [1939] = {.lex_state = 14},
  [1940] = {.lex_state = 77},
  [1941] = {.lex_state = 14},
  [1942] = {.lex_state = 14},
  [1943] = {.lex_state = 77},
  [1944] = {.lex_state = 77},
  [1945] = {.lex_state = 77},
  [1946] = {.lex_state = 77},
  [1947] = {.lex_state = 77},
  [1948] = {.lex_state = 77},
  [1949] = {.lex_state = 77},
  [1950] = {.lex_state = 77},
  [1951] = {.lex_state = 77},
  [1952] = {.lex_state = 77},
  [1953] = {.lex_state = 77},
  [1954] = {.lex_state = 77},
  [1955] = {.lex_state = 77},
  [1956] = {.lex_state = 77},
  [1957] = {.lex_state = 14},
  [1958] = {.lex_state = 14},
  [1959] = {.lex_state = 14},
  [1960] = {.lex_state = 77},
  [1961] = {.lex_state = 14},
  [1962] = {.lex_state = 77, .external_lex_state = 2},
  [1963] = {.lex_state = 14},
  [1964] = {.lex_state = 77},
  [1965] = {.lex_state = 14},
  [1966] = {.lex_state = 77},
  [1967] = {.lex_state = 5, .external_lex_state = 11},
  [1968] = {.lex_state = 5, .external_lex_state = 11},
  [1969] = {.lex_state = 14},
  [1970] = {.lex_state = 77},
  [1971] = {.lex_state = 77},
  [1972] = {.lex_state = 14},
  [1973] = {.lex_state = 14},
  [1974] = {.lex_state = 77},
  [1975] = {.lex_state = 77},
  [1976] = {.lex_state = 77},
  [1977] = {.lex_state = 77},
  [1978] = {.lex_state = 14},
  [1979] = {.lex_state = 14},
  [1980] = {.lex_state = 14},
  [1981] = {.lex_state = 14},
  [1982] = {.lex_state = 14},
  [1983] = {.lex_state = 77},
  [1984] = {.lex_state = 14, .external_lex_state = 2},
  [1985] = {.lex_state = 14},
  [1986] = {.lex_state = 77},
  [1987] = {.lex_state = 14},
  [1988] = {.lex_state = 77},
  [1989] = {.lex_state = 14},
  [1990] = {.lex_state = 14},
  [1991] = {.lex_state = 77},
  [1992] = {.lex_state = 77},
  [1993] = {.lex_state = 14},
  [1994] = {.lex_state = 14},
  [1995] = {.lex_state = 14},
  [1996] = {.lex_state = 77, .external_lex_state = 2},
  [1997] = {.lex_state = 77},
  [1998] = {.lex_state = 5, .external_lex_state = 11},
  [1999] = {.lex_state = 77, .external_lex_state = 2},
  [2000] = {.lex_state = 14},
  [2001] = {.lex_state = 77},
  [2002] = {.lex_state = 77},
  [2003] = {.lex_state = 14},
  [2004] = {.lex_state = 77, .external_lex_state = 2},
  [2005] = {.lex_state = 14},
  [2006] = {.lex_state = 77, .external_lex_state = 2},
  [2007] = {.lex_state = 5, .external_lex_state = 11},
  [2008] = {.lex_state = 14},
  [2009] = {.lex_state = 14},
  [2010] = {.lex_state = 77},
  [2011] = {.lex_state = 77},
  [2012] = {.lex_state = 77},
  [2013] = {.lex_state = 77},
  [2014] = {.lex_state = 14},
  [2015] = {.lex_state = 77},
  [2016] = {.lex_state = 77},
  [2017] = {.lex_state = 77},
  [2018] = {.lex_state = 77, .external_lex_state = 2},
  [2019] = {.lex_state = 77},
  [2020] = {.lex_state = 77},
  [2021] = {.lex_state = 77},
  [2022] = {.lex_state = 14},
  [2023] = {.lex_state = 77},
  [2024] = {.lex_state = 14},
  [2025] = {.lex_state = 77},
  [2026] = {.lex_state = 14},
  [2027] = {.lex_state = 77},
  [2028] = {.lex_state = 77},
  [2029] = {.lex_state = 77, .external_lex_state = 2},
  [2030] = {.lex_state = 14},
  [2031] = {.lex_state = 77},
  [2032] = {.lex_state = 14},
  [2033] = {.lex_state = 77, .external_lex_state = 2},
  [2034] = {.lex_state = 77},
  [2035] = {.lex_state = 77},
  [2036] = {.lex_state = 14},
  [2037] = {.lex_state = 14},
  [2038] = {.lex_state = 77},
  [2039] = {.lex_state = 14},
  [2040] = {.lex_state = 77},
  [2041] = {.lex_state = 14},
  [2042] = {.lex_state = 14},
  [2043] = {.lex_state = 14},
  [2044] = {.lex_state = 14},
  [2045] = {.lex_state = 14},
  [2046] = {.lex_state = 77},
  [2047] = {.lex_state = 77},
  [2048] = {.lex_state = 77},
  [2049] = {.lex_state = 14},
  [2050] = {.lex_state = 14},
  [2051] = {.lex_state = 14},
  [2052] = {.lex_state = 14},
  [2053] = {.lex_state = 77},
  [2054] = {.lex_state = 14},
  [2055] = {.lex_state = 14},
  [2056] = {.lex_state = 14},
  [2057] = {.lex_state = 14},
  [2058] = {.lex_state = 14},
  [2059] = {.lex_state = 14},
  [2060] = {.lex_state = 14},
  [2061] = {.lex_state = 187, .external_lex_state = 12},
  [2062] = {.lex_state = 14},
  [2063] = {.lex_state = 14},
  [2064] = {.lex_state = 77},
  [2065] = {.lex_state = 77},
  [2066] = {.lex_state = 14},
  [2067] = {.lex_state = 14},
  [2068] = {.lex_state = 14},
  [2069] = {.lex_state = 14},
  [2070] = {.lex_state = 77},
  [2071] = {.lex_state = 77},
  [2072] = {.lex_state = 77},
  [2073] = {.lex_state = 77},
  [2074] = {.lex_state = 14},
  [2075] = {.lex_state = 14},
  [2076] = {.lex_state = 14},
  [2077] = {.lex_state = 77},
  [2078] = {.lex_state = 77},
  [2079] = {.lex_state = 77},
  [2080] = {.lex_state = 77},
  [2081] = {.lex_state = 14},
  [2082] = {.lex_state = 14},
  [2083] = {.lex_state = 14},
  [2084] = {.lex_state = 14},
  [2085] = {.lex_state = 77},
  [2086] = {.lex_state = 14},
  [2087] = {.lex_state = 14},
  [2088] = {.lex_state = 77},
  [2089] = {.lex_state = 14},
  [2090] = {.lex_state = 77, .external_lex_state = 13},
  [2091] = {.lex_state = 77, .external_lex_state = 2},
  [2092] = {.lex_state = 14},
  [2093] = {.lex_state = 14},
  [2094] = {.lex_state = 77},
  [2095] = {.lex_state = 77},
  [2096] = {.lex_state = 14},
  [2097] = {.lex_state = 77},
  [2098] = {.lex_state = 14},
  [2099] = {.lex_state = 77},
  [2100] = {.lex_state = 77},
  [2101] = {.lex_state = 77},
  [2102] = {.lex_state = 77},
  [2103] = {.lex_state = 14},
  [2104] = {.lex_state = 14},
  [2105] = {.lex_state = 14},
  [2106] = {.lex_state = 77},
  [2107] = {.lex_state = 14},
  [2108] = {.lex_state = 77},
  [2109] = {.lex_state = 77},
  [2110] = {.lex_state = 14},
  [2111] = {.lex_state = 77},
  [2112] = {.lex_state = 14},
  [2113] = {.lex_state = 77},
  [2114] = {.lex_state = 14},
  [2115] = {.lex_state = 77},
  [2116] = {.lex_state = 77},
  [2117] = {.lex_state = 14},
  [2118] = {.lex_state = 14},
  [2119] = {.lex_state = 77},
  [2120] = {.lex_state = 77, .external_lex_state = 2},
  [2121] = {.lex_state = 14},
  [2122] = {.lex_state = 14},
  [2123] = {.lex_state = 77},
  [2124] = {.lex_state = 14},
  [2125] = {.lex_state = 77},
  [2126] = {.lex_state = 14},
  [2127] = {.lex_state = 14},
  [2128] = {.lex_state = 14},
  [2129] = {.lex_state = 14},
  [2130] = {.lex_state = 77},
  [2131] = {.lex_state = 77},
  [2132] = {.lex_state = 77},
  [2133] = {.lex_state = 14},
  [2134] = {.lex_state = 77},
  [2135] = {.lex_state = 77},
  [2136] = {.lex_state = 77},
  [2137] = {.lex_state = 14},
  [2138] = {.lex_state = 77},
  [2139] = {.lex_state = 14},
  [2140] = {.lex_state = 77},
  [2141] = {.lex_state = 77},
  [2142] = {.lex_state = 14},
  [2143] = {.lex_state = 77},
  [2144] = {.lex_state = 77},
  [2145] = {.lex_state = 77},
  [2146] = {.lex_state = 77},
  [2147] = {.lex_state = 77},
  [2148] = {.lex_state = 14},
  [2149] = {.lex_state = 77},
  [2150] = {.lex_state = 77},
  [2151] = {.lex_state = 77},
  [2152] = {.lex_state = 14},
  [2153] = {.lex_state = 77},
  [2154] = {.lex_state = 77},
  [2155] = {.lex_state = 77},
  [2156] = {.lex_state = 77},
  [2157] = {.lex_state = 77},
  [2158] = {.lex_state = 77},
  [2159] = {.lex_state = 77},
  [2160] = {.lex_state = 5, .external_lex_state = 11},
  [2161] = {.lex_state = 5, .external_lex_state = 11},
  [2162] = {.lex_state = 77},
  [2163] = {.lex_state = 14},
  [2164] = {.lex_state = 77},
  [2165] = {.lex_state = 14},
  [2166] = {.lex_state = 14},
  [2167] = {.lex_state = 14},
  [2168] = {.lex_state = 14},
  [2169] = {.lex_state = 77, .external_lex_state = 2},
  [2170] = {.lex_state = 77, .external_lex_state = 2},
  [2171] = {.lex_state = 14},
  [2172] = {.lex_state = 77},
  [2173] = {.lex_state = 77},
  [2174] = {.lex_state = 77},
  [2175] = {.lex_state = 14},
  [2176] = {.lex_state = 77},
  [2177] = {.lex_state = 77},
  [2178] = {.lex_state = 77, .external_lex_state = 2},
  [2179] = {.lex_state = 14},
  [2180] = {.lex_state = 14},
  [2181] = {.lex_state = 77},
  [2182] = {.lex_state = 14},
  [2183] = {.lex_state = 14},
  [2184] = {.lex_state = 14},
  [2185] = {.lex_state = 14},
  [2186] = {.lex_state = 77, .external_lex_state = 13},
  [2187] = {.lex_state = 77},
  [2188] = {.lex_state = 14},
  [2189] = {.lex_state = 77},
  [2190] = {.lex_state = 77},
  [2191] = {.lex_state = 77},
  [2192] = {.lex_state = 77},
  [2193] = {.lex_state = 14},
  [2194] = {.lex_state = 77},
  [2195] = {.lex_state = 77},
  [2196] = {.lex_state = 77},
  [2197] = {.lex_state = 77},
  [2198] = {.lex_state = 77},
  [2199] = {.lex_state = 77},
  [2200] = {.lex_state = 14},
  [2201] = {.lex_state = 77},
  [2202] = {.lex_state = 14},
  [2203] = {.lex_state = 77, .external_lex_state = 2},
  [2204] = {.lex_state = 77},
  [2205] = {.lex_state = 14},
  [2206] = {.lex_state = 77},
  [2207] = {.lex_state = 77},
  [2208] = {.lex_state = 77},
  [2209] = {.lex_state = 14},
  [2210] = {.lex_state = 77},
  [2211] = {.lex_state = 77},
  [2212] = {.lex_state = 77},
  [2213] = {.lex_state = 77},
  [2214] = {.lex_state = 77},
  [2215] = {.lex_state = 77},
  [2216] = {.lex_state = 77, .external_lex_state = 2},
  [2217] = {.lex_state = 77, .external_lex_state = 2},
  [2218] = {.lex_state = 77},
  [2219] = {.lex_state = 77, .external_lex_state = 2},
  [2220] = {.lex_state = 77},
  [2221] = {.lex_state = 77},
  [2222] = {.lex_state = 77},
  [2223] = {.lex_state = 77},
  [2224] = {.lex_state = 77},
  [2225] = {.lex_state = 77},
  [2226] = {.lex_state = 77},
  [2227] = {.lex_state = 77},
  [2228] = {.lex_state = 77},
  [2229] = {.lex_state = 77},
  [2230] = {.lex_state = 77},
  [2231] = {.lex_state = 77},
  [2232] = {.lex_state = 77},
  [2233] = {.lex_state = 77},
  [2234] = {.lex_state = 77, .external_lex_state = 2},
  [2235] = {.lex_state = 77},
  [2236] = {.lex_state = 77},
  [2237] = {.lex_state = 77},
  [2238] = {.lex_state = 77},
  [2239] = {.lex_state = 77},
  [2240] = {.lex_state = 77, .external_lex_state = 2},
  [2241] = {.lex_state = 77},
  [2242] = {.lex_state = 77},
  [2243] = {.lex_state = 77, .external_lex_state = 2},
  [2244] = {.lex_state = 77},
  [2245] = {.lex_state = 77},
  [2246] = {.lex_state = 14},
  [2247] = {.lex_state = 77},
  [2248] = {.lex_state = 77},
  [2249] = {.lex_state = 77},
  [2250] = {.lex_state = 77},
  [2251] = {.lex_state = 77},
  [2252] = {.lex_state = 77},
  [2253] = {.lex_state = 77},
  [2254] = {.lex_state = 14},
  [2255] = {.lex_state = 77},
  [2256] = {.lex_state = 77},
  [2257] = {.lex_state = 77},
  [2258] = {.lex_state = 77},
  [2259] = {.lex_state = 77, .external_lex_state = 2},
  [2260] = {.lex_state = 77},
  [2261] = {.lex_state = 77, .external_lex_state = 2},
  [2262] = {.lex_state = 77},
  [2263] = {.lex_state = 5, .external_lex_state = 11},
  [2264] = {.lex_state = 77},
  [2265] = {.lex_state = 77},
  [2266] = {.lex_state = 77},
  [2267] = {.lex_state = 77},
  [2268] = {.lex_state = 77, .external_lex_state = 2},
  [2269] = {.lex_state = 77},
  [2270] = {.lex_state = 77},
  [2271] = {.lex_state = 77},
  [2272] = {.lex_state = 77},
  [2273] = {.lex_state = 14},
  [2274] = {.lex_state = 77},
  [2275] = {.lex_state = 77},
  [2276] = {.lex_state = 77},
  [2277] = {.lex_state = 77},
  [2278] = {.lex_state = 77},
  [2279] = {.lex_state = 77, .external_lex_state = 2},
  [2280] = {.lex_state = 77},
  [2281] = {.lex_state = 77},
  [2282] = {.lex_state = 77},
  [2283] = {.lex_state = 77, .external_lex_state = 2},
  [2284] = {.lex_state = 77, .external_lex_state = 2},
  [2285] = {.lex_state = 77},
  [2286] = {.lex_state = 77},
  [2287] = {.lex_state = 77, .external_lex_state = 2},
  [2288] = {.lex_state = 77},
  [2289] = {.lex_state = 77, .external_lex_state = 2},
  [2290] = {.lex_state = 77},
  [2291] = {.lex_state = 77},
  [2292] = {.lex_state = 77, .external_lex_state = 2},
  [2293] = {.lex_state = 77},
  [2294] = {.lex_state = 14},
  [2295] = {.lex_state = 77},
  [2296] = {.lex_state = 77, .external_lex_state = 2},
  [2297] = {.lex_state = 77, .external_lex_state = 2},
  [2298] = {.lex_state = 77},
  [2299] = {.lex_state = 77},
  [2300] = {.lex_state = 77},
  [2301] = {.lex_state = 77},
  [2302] = {.lex_state = 77, .external_lex_state = 2},
  [2303] = {.lex_state = 5, .external_lex_state = 11},
  [2304] = {.lex_state = 77},
  [2305] = {.lex_state = 5, .external_lex_state = 11},
  [2306] = {.lex_state = 77, .external_lex_state = 2},
  [2307] = {.lex_state = 77},
  [2308] = {.lex_state = 77},
  [2309] = {.lex_state = 77},
  [2310] = {.lex_state = 77},
  [2311] = {.lex_state = 77},
  [2312] = {.lex_state = 77, .external_lex_state = 2},
  [2313] = {.lex_state = 77},
  [2314] = {.lex_state = 77},
  [2315] = {.lex_state = 77, .external_lex_state = 2},
  [2316] = {.lex_state = 77, .external_lex_state = 2},
  [2317] = {.lex_state = 77},
  [2318] = {.lex_state = 77, .external_lex_state = 2},
  [2319] = {.lex_state = 77, .external_lex_state = 2},
  [2320] = {.lex_state = 77, .external_lex_state = 2},
  [2321] = {.lex_state = 77, .external_lex_state = 2},
  [2322] = {.lex_state = 77},
  [2323] = {.lex_state = 77},
  [2324] = {.lex_state = 77},
  [2325] = {.lex_state = 77, .external_lex_state = 2},
  [2326] = {.lex_state = 77, .external_lex_state = 2},
  [2327] = {.lex_state = 77},
  [2328] = {.lex_state = 77, .external_lex_state = 2},
  [2329] = {.lex_state = 77},
  [2330] = {.lex_state = 77},
  [2331] = {.lex_state = 77},
  [2332] = {.lex_state = 77},
  [2333] = {.lex_state = 77},
  [2334] = {.lex_state = 14},
  [2335] = {.lex_state = 77, .external_lex_state = 2},
  [2336] = {.lex_state = 77},
  [2337] = {.lex_state = 77},
  [2338] = {.lex_state = 77},
  [2339] = {.lex_state = 77},
  [2340] = {.lex_state = 77, .external_lex_state = 2},
  [2341] = {.lex_state = 77},
  [2342] = {.lex_state = 77, .external_lex_state = 2},
  [2343] = {.lex_state = 77},
  [2344] = {.lex_state = 77},
  [2345] = {.lex_state = 77},
  [2346] = {.lex_state = 77},
  [2347] = {.lex_state = 77},
  [2348] = {.lex_state = 77},
  [2349] = {.lex_state = 77},
  [2350] = {.lex_state = 77, .external_lex_state = 2},
  [2351] = {.lex_state = 77},
  [2352] = {.lex_state = 77, .external_lex_state = 2},
  [2353] = {.lex_state = 77},
  [2354] = {.lex_state = 77},
  [2355] = {.lex_state = 77},
  [2356] = {.lex_state = 77},
  [2357] = {.lex_state = 77, .external_lex_state = 2},
  [2358] = {.lex_state = 77},
  [2359] = {.lex_state = 77},
  [2360] = {.lex_state = 77, .external_lex_state = 2},
  [2361] = {.lex_state = 77},
  [2362] = {.lex_state = 77},
  [2363] = {.lex_state = 77, .external_lex_state = 2},
  [2364] = {.lex_state = 77},
  [2365] = {.lex_state = 77},
  [2366] = {.lex_state = 77},
  [2367] = {.lex_state = 77},
  [2368] = {.lex_state = 77},
  [2369] = {.lex_state = 77},
  [2370] = {.lex_state = 77},
  [2371] = {.lex_state = 77},
  [2372] = {.lex_state = 77, .external_lex_state = 2},
  [2373] = {.lex_state = 77},
  [2374] = {.lex_state = 77},
  [2375] = {.lex_state = 5, .external_lex_state = 11},
  [2376] = {.lex_state = 5, .external_lex_state = 11},
  [2377] = {.lex_state = 77},
  [2378] = {.lex_state = 77},
  [2379] = {.lex_state = 77},
  [2380] = {.lex_state = 77},
  [2381] = {.lex_state = 77},
  [2382] = {.lex_state = 77, .external_lex_state = 2},
  [2383] = {.lex_state = 77},
  [2384] = {.lex_state = 77, .external_lex_state = 2},
  [2385] = {.lex_state = 77, .external_lex_state = 2},
  [2386] = {.lex_state = 77, .external_lex_state = 2},
  [2387] = {.lex_state = 77},
  [2388] = {.lex_state = 14},
  [2389] = {.lex_state = 77},
  [2390] = {.lex_state = 77},
  [2391] = {.lex_state = 77},
  [2392] = {.lex_state = 77},
  [2393] = {.lex_state = 77},
  [2394] = {.lex_state = 77},
  [2395] = {.lex_state = 77, .external_lex_state = 2},
  [2396] = {.lex_state = 77},
  [2397] = {.lex_state = 77},
  [2398] = {.lex_state = 77},
  [2399] = {.lex_state = 77},
  [2400] = {.lex_state = 77},
  [2401] = {.lex_state = 77},
  [2402] = {.lex_state = 77},
  [2403] = {.lex_state = 77},
  [2404] = {.lex_state = 77},
  [2405] = {.lex_state = 77},
  [2406] = {.lex_state = 77},
  [2407] = {.lex_state = 77},
  [2408] = {.lex_state = 77},
  [2409] = {.lex_state = 77, .external_lex_state = 2},
  [2410] = {.lex_state = 77},
  [2411] = {.lex_state = 77, .external_lex_state = 2},
  [2412] = {.lex_state = 77},
  [2413] = {.lex_state = 77},
  [2414] = {.lex_state = 5, .external_lex_state = 11},
  [2415] = {.lex_state = 77},
  [2416] = {.lex_state = 77},
  [2417] = {.lex_state = 77},
  [2418] = {.lex_state = 77},
  [2419] = {.lex_state = 77, .external_lex_state = 2},
  [2420] = {.lex_state = 77},
  [2421] = {.lex_state = 77},
  [2422] = {.lex_state = 77},
  [2423] = {.lex_state = 77, .external_lex_state = 2},
  [2424] = {.lex_state = 77},
  [2425] = {.lex_state = 77},
  [2426] = {.lex_state = 77},
  [2427] = {.lex_state = 77, .external_lex_state = 2},
  [2428] = {.lex_state = 77, .external_lex_state = 2},
  [2429] = {.lex_state = 77},
  [2430] = {.lex_state = 14},
  [2431] = {.lex_state = 77},
  [2432] = {.lex_state = 77},
  [2433] = {.lex_state = 77},
  [2434] = {.lex_state = 5, .external_lex_state = 11},
  [2435] = {.lex_state = 77},
  [2436] = {.lex_state = 14},
  [2437] = {.lex_state = 77},
  [2438] = {.lex_state = 77},
  [2439] = {.lex_state = 77},
  [2440] = {.lex_state = 77},
  [2441] = {.lex_state = 77},
  [2442] = {.lex_state = 77, .external_lex_state = 2},
  [2443] = {.lex_state = 77},
  [2444] = {.lex_state = 77},
  [2445] = {.lex_state = 77, .external_lex_state = 2},
  [2446] = {.lex_state = 77},
  [2447] = {.lex_state = 77, .external_lex_state = 2},
  [2448] = {.lex_state = 77},
  [2449] = {.lex_state = 77, .external_lex_state = 2},
  [2450] = {.lex_state = 77},
  [2451] = {.lex_state = 77},
  [2452] = {.lex_state = 77, .external_lex_state = 2},
  [2453] = {.lex_state = 77},
  [2454] = {.lex_state = 14},
  [2455] = {.lex_state = 77},
  [2456] = {.lex_state = 77},
  [2457] = {.lex_state = 77},
  [2458] = {.lex_state = 14},
  [2459] = {.lex_state = 77},
  [2460] = {.lex_state = 77},
  [2461] = {.lex_state = 77},
  [2462] = {.lex_state = 77},
  [2463] = {.lex_state = 77},
  [2464] = {.lex_state = 77},
  [2465] = {.lex_state = 77},
  [2466] = {.lex_state = 77},
  [2467] = {.lex_state = 77},
  [2468] = {.lex_state = 77},
  [2469] = {.lex_state = 77},
  [2470] = {.lex_state = 77},
  [2471] = {.lex_state = 77},
  [2472] = {.lex_state = 77},
  [2473] = {.lex_state = 77},
  [2474] = {.lex_state = 77},
  [2475] = {.lex_state = 14},
  [2476] = {.lex_state = 77},
  [2477] = {.lex_state = 77},
  [2478] = {.lex_state = 77},
  [2479] = {.lex_state = 77},
  [2480] = {.lex_state = 14},
  [2481] = {.lex_state = 77},
  [2482] = {.lex_state = 14},
  [2483] = {.lex_state = 14},
  [2484] = {.lex_state = 77},
  [2485] = {.lex_state = 77, .external_lex_state = 11},
  [2486] = {.lex_state = 77},
  [2487] = {.lex_state = 77},
  [2488] = {.lex_state = 77},
  [2489] = {.lex_state = 14},
  [2490] = {.lex_state = 77},
  [2491] = {.lex_state = 77},
  [2492] = {.lex_state = 77},
  [2493] = {.lex_state = 77},
  [2494] = {.lex_state = 14},
  [2495] = {.lex_state = 14},
  [2496] = {.lex_state = 77},
  [2497] = {.lex_state = 77},
  [2498] = {.lex_state = 14},
  [2499] = {.lex_state = 77},
  [2500] = {.lex_state = 14},
  [2501] = {.lex_state = 77},
  [2502] = {.lex_state = 14},
  [2503] = {.lex_state = 77},
  [2504] = {.lex_state = 77},
  [2505] = {.lex_state = 14},
  [2506] = {.lex_state = 77},
  [2507] = {.lex_state = 77},
  [2508] = {.lex_state = 77},
  [2509] = {.lex_state = 77},
  [2510] = {.lex_state = 14},
  [2511] = {.lex_state = 14},
  [2512] = {.lex_state = 77},
  [2513] = {.lex_state = 14},
  [2514] = {.lex_state = 14},
  [2515] = {.lex_state = 14},
  [2516] = {.lex_state = 77},
  [2517] = {.lex_state = 77},
  [2518] = {.lex_state = 14},
  [2519] = {.lex_state = 14},
  [2520] = {.lex_state = 14},
  [2521] = {.lex_state = 14},
  [2522] = {.lex_state = 14},
  [2523] = {.lex_state = 77, .external_lex_state = 13},
  [2524] = {.lex_state = 77, .external_lex_state = 13},
  [2525] = {.lex_state = 77},
  [2526] = {.lex_state = 77},
  [2527] = {.lex_state = 77, .external_lex_state = 11},
  [2528] = {.lex_state = 77},
  [2529] = {.lex_state = 77, .external_lex_state = 11},
  [2530] = {.lex_state = 14},
  [2531] = {.lex_state = 77},
  [2532] = {.lex_state = 77},
  [2533] = {.lex_state = 77},
  [2534] = {.lex_state = 77},
  [2535] = {.lex_state = 14},
  [2536] = {.lex_state = 77},
  [2537] = {.lex_state = 14},
  [2538] = {.lex_state = 14},
  [2539] = {.lex_state = 14},
  [2540] = {.lex_state = 77},
  [2541] = {.lex_state = 14},
  [2542] = {.lex_state = 77},
  [2543] = {.lex_state = 77},
  [2544] = {.lex_state = 77},
  [2545] = {.lex_state = 14},
  [2546] = {.lex_state = 77},
  [2547] = {.lex_state = 77},
  [2548] = {.lex_state = 14},
  [2549] = {.lex_state = 14},
  [2550] = {.lex_state = 77},
  [2551] = {.lex_state = 14},
  [2552] = {.lex_state = 14},
  [2553] = {.lex_state = 77},
  [2554] = {.lex_state = 77},
  [2555] = {.lex_state = 77},
  [2556] = {.lex_state = 77},
  [2557] = {.lex_state = 77},
  [2558] = {.lex_state = 77},
  [2559] = {.lex_state = 77},
  [2560] = {.lex_state = 77},
  [2561] = {.lex_state = 14},
  [2562] = {.lex_state = 14},
  [2563] = {.lex_state = 14},
  [2564] = {.lex_state = 77},
  [2565] = {.lex_state = 77},
  [2566] = {.lex_state = 77},
  [2567] = {.lex_state = 14},
  [2568] = {.lex_state = 77},
  [2569] = {.lex_state = 77},
  [2570] = {.lex_state = 77},
  [2571] = {.lex_state = 77},
  [2572] = {.lex_state = 14},
  [2573] = {.lex_state = 14},
  [2574] = {.lex_state = 77},
  [2575] = {.lex_state = 14},
  [2576] = {.lex_state = 14},
  [2577] = {.lex_state = 77},
  [2578] = {.lex_state = 77},
  [2579] = {.lex_state = 14},
  [2580] = {.lex_state = 77},
  [2581] = {.lex_state = 14},
  [2582] = {.lex_state = 77, .external_lex_state = 13},
  [2583] = {.lex_state = 77, .external_lex_state = 13},
  [2584] = {.lex_state = 14},
  [2585] = {.lex_state = 77},
  [2586] = {.lex_state = 77},
  [2587] = {.lex_state = 14},
  [2588] = {.lex_state = 77},
  [2589] = {.lex_state = 77},
  [2590] = {.lex_state = 14},
  [2591] = {.lex_state = 77},
  [2592] = {.lex_state = 77},
  [2593] = {.lex_state = 77},
  [2594] = {.lex_state = 14},
  [2595] = {.lex_state = 77},
  [2596] = {.lex_state = 14},
  [2597] = {.lex_state = 77},
  [2598] = {.lex_state = 77, .external_lex_state = 11},
  [2599] = {.lex_state = 77, .external_lex_state = 11},
  [2600] = {.lex_state = 77},
  [2601] = {.lex_state = 77},
  [2602] = {.lex_state = 14},
  [2603] = {.lex_state = 14},
  [2604] = {.lex_state = 14},
  [2605] = {.lex_state = 14},
  [2606] = {.lex_state = 77},
  [2607] = {.lex_state = 14},
  [2608] = {.lex_state = 77},
  [2609] = {.lex_state = 77},
  [2610] = {.lex_state = 77},
  [2611] = {.lex_state = 77},
  [2612] = {.lex_state = 77},
  [2613] = {.lex_state = 77},
  [2614] = {.lex_state = 77},
  [2615] = {.lex_state = 14},
  [2616] = {.lex_state = 77},
  [2617] = {.lex_state = 77},
  [2618] = {.lex_state = 77},
  [2619] = {.lex_state = 77},
  [2620] = {.lex_state = 14},
  [2621] = {.lex_state = 77},
  [2622] = {.lex_state = 77},
  [2623] = {.lex_state = 14},
  [2624] = {.lex_state = 77},
  [2625] = {.lex_state = 77},
  [2626] = {.lex_state = 77},
  [2627] = {.lex_state = 77},
  [2628] = {.lex_state = 14},
  [2629] = {.lex_state = 77},
  [2630] = {.lex_state = 77},
  [2631] = {.lex_state = 77},
  [2632] = {.lex_state = 77},
  [2633] = {.lex_state = 14},
  [2634] = {.lex_state = 14},
  [2635] = {.lex_state = 14},
  [2636] = {.lex_state = 77},
  [2637] = {.lex_state = 77},
  [2638] = {.lex_state = 77},
  [2639] = {.lex_state = 14},
  [2640] = {.lex_state = 77},
  [2641] = {.lex_state = 77},
  [2642] = {.lex_state = 77},
  [2643] = {.lex_state = 77, .external_lex_state = 11},
  [2644] = {.lex_state = 77},
  [2645] = {.lex_state = 77},
  [2646] = {.lex_state = 77},
  [2647] = {.lex_state = 77},
  [2648] = {.lex_state = 77},
  [2649] = {.lex_state = 77},
  [2650] = {.lex_state = 77},
  [2651] = {.lex_state = 77},
  [2652] = {.lex_state = 77},
  [2653] = {.lex_state = 14},
  [2654] = {.lex_state = 77},
  [2655] = {.lex_state = 14},
  [2656] = {.lex_state = 77},
  [2657] = {.lex_state = 77},
  [2658] = {.lex_state = 77},
  [2659] = {.lex_state = 77},
  [2660] = {.lex_state = 77},
  [2661] = {.lex_state = 77},
  [2662] = {.lex_state = 77},
  [2663] = {.lex_state = 77},
  [2664] = {.lex_state = 77},
  [2665] = {.lex_state = 77},
  [2666] = {.lex_state = 77},
  [2667] = {.lex_state = 77},
  [2668] = {.lex_state = 77},
  [2669] = {.lex_state = 14},
  [2670] = {.lex_state = 77},
  [2671] = {.lex_state = 77},
  [2672] = {.lex_state = 14},
  [2673] = {.lex_state = 14},
  [2674] = {.lex_state = 14},
  [2675] = {.lex_state = 77},
  [2676] = {.lex_state = 77},
  [2677] = {.lex_state = 14},
  [2678] = {.lex_state = 14},
  [2679] = {.lex_state = 77},
  [2680] = {.lex_state = 77},
  [2681] = {.lex_state = 77},
  [2682] = {.lex_state = 77},
  [2683] = {.lex_state = 77},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_QMARK_GT2] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [sym_boolean] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2640),
    [sym_empty_statement] = STATE(12),
    [sym_function_static_declaration] = STATE(12),
    [sym_global_declaration] = STATE(12),
    [sym_namespace_definition] = STATE(12),
    [sym_namespace_use_declaration] = STATE(12),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(12),
    [sym_interface_declaration] = STATE(12),
    [sym_enum_declaration] = STATE(12),
    [sym_class_declaration] = STATE(12),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(12),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(12),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(12),
    [sym_unset_statement] = STATE(12),
    [sym_declare_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_goto_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_foreach_statement] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(12),
    [sym_compound_statement] = STATE(12),
    [sym_named_label_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(9),
    [sym_php_tag] = ACTIONS(11),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [ts_builtin_sym_end] = ACTIONS(129),
    [sym_name] = ACTIONS(131),
    [anon_sym_QMARK_GT] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(134),
    [aux_sym_function_static_declaration_token1] = ACTIONS(137),
    [aux_sym_global_declaration_token1] = ACTIONS(140),
    [aux_sym_namespace_definition_token1] = ACTIONS(143),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(146),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(149),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(152),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(158),
    [anon_sym_RBRACE] = ACTIONS(129),
    [aux_sym_trait_declaration_token1] = ACTIONS(161),
    [aux_sym_interface_declaration_token1] = ACTIONS(164),
    [aux_sym_enum_declaration_token1] = ACTIONS(167),
    [aux_sym_enum_case_token1] = ACTIONS(170),
    [aux_sym_class_declaration_token1] = ACTIONS(172),
    [aux_sym_final_modifier_token1] = ACTIONS(175),
    [aux_sym_abstract_modifier_token1] = ACTIONS(178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(181),
    [aux_sym_visibility_modifier_token1] = ACTIONS(184),
    [aux_sym_visibility_modifier_token2] = ACTIONS(184),
    [aux_sym_visibility_modifier_token3] = ACTIONS(184),
    [aux_sym__arrow_function_header_token1] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(190),
    [aux_sym_cast_type_token1] = ACTIONS(193),
    [aux_sym_echo_statement_token1] = ACTIONS(196),
    [anon_sym_unset] = ACTIONS(199),
    [aux_sym_declare_statement_token1] = ACTIONS(202),
    [aux_sym_declare_statement_token2] = ACTIONS(170),
    [sym_float] = ACTIONS(205),
    [aux_sym_try_statement_token1] = ACTIONS(208),
    [aux_sym_goto_statement_token1] = ACTIONS(211),
    [aux_sym_continue_statement_token1] = ACTIONS(214),
    [aux_sym_break_statement_token1] = ACTIONS(217),
    [sym_integer] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(220),
    [aux_sym_throw_expression_token1] = ACTIONS(223),
    [aux_sym_while_statement_token1] = ACTIONS(226),
    [aux_sym_while_statement_token2] = ACTIONS(170),
    [aux_sym_do_statement_token1] = ACTIONS(229),
    [aux_sym_for_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token2] = ACTIONS(170),
    [aux_sym_foreach_statement_token1] = ACTIONS(235),
    [aux_sym_foreach_statement_token2] = ACTIONS(170),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_if_statement_token2] = ACTIONS(170),
    [aux_sym_match_expression_token1] = ACTIONS(241),
    [aux_sym_match_default_expression_token1] = ACTIONS(170),
    [aux_sym_switch_statement_token1] = ACTIONS(244),
    [aux_sym_switch_block_token1] = ACTIONS(170),
    [anon_sym_AT] = ACTIONS(247),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(253),
    [anon_sym_BANG] = ACTIONS(253),
    [aux_sym_clone_expression_token1] = ACTIONS(256),
    [aux_sym_print_intrinsic_token1] = ACTIONS(259),
    [aux_sym_object_creation_expression_token1] = ACTIONS(262),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [aux_sym__list_destructing_token1] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_self] = ACTIONS(274),
    [anon_sym_parent] = ACTIONS(274),
    [anon_sym_POUND_LBRACK] = ACTIONS(277),
    [anon_sym_SQUOTE] = ACTIONS(280),
    [aux_sym_encapsed_string_token1] = ACTIONS(283),
    [anon_sym_DQUOTE] = ACTIONS(283),
    [aux_sym_string_token1] = ACTIONS(280),
    [anon_sym_LT_LT_LT] = ACTIONS(286),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [sym_boolean] = ACTIONS(205),
    [sym_null] = ACTIONS(205),
    [anon_sym_DOLLAR] = ACTIONS(292),
    [aux_sym_yield_expression_token1] = ACTIONS(295),
    [aux_sym_include_expression_token1] = ACTIONS(298),
    [aux_sym_include_once_expression_token1] = ACTIONS(301),
    [aux_sym_require_expression_token1] = ACTIONS(304),
    [aux_sym_require_once_expression_token1] = ACTIONS(307),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_empty_statement] = STATE(5),
    [sym_function_static_declaration] = STATE(5),
    [sym_global_declaration] = STATE(5),
    [sym_namespace_definition] = STATE(5),
    [sym_namespace_use_declaration] = STATE(5),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(5),
    [sym_interface_declaration] = STATE(5),
    [sym_enum_declaration] = STATE(5),
    [sym_class_declaration] = STATE(5),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(5),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(5),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(5),
    [sym_unset_statement] = STATE(5),
    [sym_declare_statement] = STATE(5),
    [sym_try_statement] = STATE(5),
    [sym_goto_statement] = STATE(5),
    [sym_continue_statement] = STATE(5),
    [sym_break_statement] = STATE(5),
    [sym_return_statement] = STATE(5),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(5),
    [sym_do_statement] = STATE(5),
    [sym_for_statement] = STATE(5),
    [sym_foreach_statement] = STATE(5),
    [sym_if_statement] = STATE(5),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(5),
    [sym_compound_statement] = STATE(5),
    [sym_named_label_statement] = STATE(5),
    [sym_expression_statement] = STATE(5),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(312),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_match_default_expression_token1] = ACTIONS(312),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [aux_sym_switch_block_token1] = ACTIONS(312),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(314),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(316),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_match_default_expression_token1] = ACTIONS(316),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [aux_sym_switch_block_token1] = ACTIONS(316),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(318),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(320),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_match_default_expression_token1] = ACTIONS(320),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [aux_sym_switch_block_token1] = ACTIONS(320),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_empty_statement] = STATE(4),
    [sym_function_static_declaration] = STATE(4),
    [sym_global_declaration] = STATE(4),
    [sym_namespace_definition] = STATE(4),
    [sym_namespace_use_declaration] = STATE(4),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(4),
    [sym_interface_declaration] = STATE(4),
    [sym_enum_declaration] = STATE(4),
    [sym_class_declaration] = STATE(4),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(4),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(4),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(4),
    [sym_unset_statement] = STATE(4),
    [sym_declare_statement] = STATE(4),
    [sym_try_statement] = STATE(4),
    [sym_goto_statement] = STATE(4),
    [sym_continue_statement] = STATE(4),
    [sym_break_statement] = STATE(4),
    [sym_return_statement] = STATE(4),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(4),
    [sym_do_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_foreach_statement] = STATE(4),
    [sym_if_statement] = STATE(4),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(4),
    [sym_compound_statement] = STATE(4),
    [sym_named_label_statement] = STATE(4),
    [sym_expression_statement] = STATE(4),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(322),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_enum_case_token1] = ACTIONS(324),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_match_default_expression_token1] = ACTIONS(324),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [aux_sym_switch_block_token1] = ACTIONS(324),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_empty_statement] = STATE(11),
    [sym_function_static_declaration] = STATE(11),
    [sym_global_declaration] = STATE(11),
    [sym_namespace_definition] = STATE(11),
    [sym_namespace_use_declaration] = STATE(11),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(11),
    [sym_interface_declaration] = STATE(11),
    [sym_enum_declaration] = STATE(11),
    [sym_class_declaration] = STATE(11),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(11),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(11),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(11),
    [sym_unset_statement] = STATE(11),
    [sym_declare_statement] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_goto_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(11),
    [sym_do_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_foreach_statement] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(11),
    [sym_compound_statement] = STATE(11),
    [sym_named_label_statement] = STATE(11),
    [sym_expression_statement] = STATE(11),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(326),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(328),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(330),
    [aux_sym_foreach_statement_token1] = ACTIONS(332),
    [aux_sym_if_statement_token1] = ACTIONS(334),
    [aux_sym_if_statement_token2] = ACTIONS(336),
    [aux_sym_else_if_clause_token1] = ACTIONS(336),
    [aux_sym_else_clause_token1] = ACTIONS(336),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_empty_statement] = STATE(10),
    [sym_function_static_declaration] = STATE(10),
    [sym_global_declaration] = STATE(10),
    [sym_namespace_definition] = STATE(10),
    [sym_namespace_use_declaration] = STATE(10),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(10),
    [sym_interface_declaration] = STATE(10),
    [sym_enum_declaration] = STATE(10),
    [sym_class_declaration] = STATE(10),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(10),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(10),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(10),
    [sym_unset_statement] = STATE(10),
    [sym_declare_statement] = STATE(10),
    [sym_try_statement] = STATE(10),
    [sym_goto_statement] = STATE(10),
    [sym_continue_statement] = STATE(10),
    [sym_break_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(10),
    [sym_do_statement] = STATE(10),
    [sym_for_statement] = STATE(10),
    [sym_foreach_statement] = STATE(10),
    [sym_if_statement] = STATE(10),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(10),
    [sym_compound_statement] = STATE(10),
    [sym_named_label_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_while_statement_token2] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_foreach_statement_token2] = ACTIONS(336),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_if_statement_token2] = ACTIONS(336),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_empty_statement] = STATE(9),
    [sym_function_static_declaration] = STATE(9),
    [sym_global_declaration] = STATE(9),
    [sym_namespace_definition] = STATE(9),
    [sym_namespace_use_declaration] = STATE(9),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(9),
    [sym_interface_declaration] = STATE(9),
    [sym_enum_declaration] = STATE(9),
    [sym_class_declaration] = STATE(9),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(9),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(9),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(9),
    [sym_unset_statement] = STATE(9),
    [sym_declare_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_goto_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_foreach_statement] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(9),
    [sym_compound_statement] = STATE(9),
    [sym_named_label_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(134),
    [aux_sym_function_static_declaration_token1] = ACTIONS(137),
    [aux_sym_global_declaration_token1] = ACTIONS(140),
    [aux_sym_namespace_definition_token1] = ACTIONS(143),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(146),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(149),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(152),
    [anon_sym_BSLASH] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(158),
    [aux_sym_trait_declaration_token1] = ACTIONS(161),
    [aux_sym_interface_declaration_token1] = ACTIONS(164),
    [aux_sym_enum_declaration_token1] = ACTIONS(167),
    [aux_sym_class_declaration_token1] = ACTIONS(172),
    [aux_sym_final_modifier_token1] = ACTIONS(175),
    [aux_sym_abstract_modifier_token1] = ACTIONS(178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(181),
    [aux_sym_visibility_modifier_token1] = ACTIONS(184),
    [aux_sym_visibility_modifier_token2] = ACTIONS(184),
    [aux_sym_visibility_modifier_token3] = ACTIONS(184),
    [aux_sym__arrow_function_header_token1] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(190),
    [aux_sym_cast_type_token1] = ACTIONS(193),
    [aux_sym_echo_statement_token1] = ACTIONS(196),
    [anon_sym_unset] = ACTIONS(199),
    [aux_sym_declare_statement_token1] = ACTIONS(338),
    [sym_float] = ACTIONS(205),
    [aux_sym_try_statement_token1] = ACTIONS(208),
    [aux_sym_goto_statement_token1] = ACTIONS(211),
    [aux_sym_continue_statement_token1] = ACTIONS(214),
    [aux_sym_break_statement_token1] = ACTIONS(217),
    [sym_integer] = ACTIONS(205),
    [aux_sym_return_statement_token1] = ACTIONS(220),
    [aux_sym_throw_expression_token1] = ACTIONS(223),
    [aux_sym_while_statement_token1] = ACTIONS(341),
    [aux_sym_do_statement_token1] = ACTIONS(229),
    [aux_sym_for_statement_token1] = ACTIONS(344),
    [aux_sym_foreach_statement_token1] = ACTIONS(347),
    [aux_sym_if_statement_token1] = ACTIONS(350),
    [aux_sym_if_statement_token2] = ACTIONS(170),
    [aux_sym_else_if_clause_token1] = ACTIONS(170),
    [aux_sym_else_clause_token1] = ACTIONS(170),
    [aux_sym_match_expression_token1] = ACTIONS(241),
    [aux_sym_switch_statement_token1] = ACTIONS(244),
    [anon_sym_AT] = ACTIONS(247),
    [anon_sym_PLUS] = ACTIONS(250),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(253),
    [anon_sym_BANG] = ACTIONS(253),
    [aux_sym_clone_expression_token1] = ACTIONS(256),
    [aux_sym_print_intrinsic_token1] = ACTIONS(259),
    [aux_sym_object_creation_expression_token1] = ACTIONS(262),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [aux_sym__list_destructing_token1] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(271),
    [anon_sym_self] = ACTIONS(274),
    [anon_sym_parent] = ACTIONS(274),
    [anon_sym_POUND_LBRACK] = ACTIONS(277),
    [anon_sym_SQUOTE] = ACTIONS(280),
    [aux_sym_encapsed_string_token1] = ACTIONS(283),
    [anon_sym_DQUOTE] = ACTIONS(283),
    [aux_sym_string_token1] = ACTIONS(280),
    [anon_sym_LT_LT_LT] = ACTIONS(286),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [sym_boolean] = ACTIONS(205),
    [sym_null] = ACTIONS(205),
    [anon_sym_DOLLAR] = ACTIONS(292),
    [aux_sym_yield_expression_token1] = ACTIONS(295),
    [aux_sym_include_expression_token1] = ACTIONS(298),
    [aux_sym_include_once_expression_token1] = ACTIONS(301),
    [aux_sym_require_expression_token1] = ACTIONS(304),
    [aux_sym_require_once_expression_token1] = ACTIONS(307),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_while_statement_token2] = ACTIONS(353),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_foreach_statement_token2] = ACTIONS(353),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_if_statement_token2] = ACTIONS(353),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_empty_statement] = STATE(9),
    [sym_function_static_declaration] = STATE(9),
    [sym_global_declaration] = STATE(9),
    [sym_namespace_definition] = STATE(9),
    [sym_namespace_use_declaration] = STATE(9),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(9),
    [sym_interface_declaration] = STATE(9),
    [sym_enum_declaration] = STATE(9),
    [sym_class_declaration] = STATE(9),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(9),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(9),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(9),
    [sym_unset_statement] = STATE(9),
    [sym_declare_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_goto_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_foreach_statement] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(9),
    [sym_compound_statement] = STATE(9),
    [sym_named_label_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(326),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(328),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(330),
    [aux_sym_foreach_statement_token1] = ACTIONS(332),
    [aux_sym_if_statement_token1] = ACTIONS(334),
    [aux_sym_if_statement_token2] = ACTIONS(353),
    [aux_sym_else_if_clause_token1] = ACTIONS(353),
    [aux_sym_else_clause_token1] = ACTIONS(353),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [ts_builtin_sym_end] = ACTIONS(355),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_empty_statement] = STATE(15),
    [sym_function_static_declaration] = STATE(15),
    [sym_global_declaration] = STATE(15),
    [sym_namespace_definition] = STATE(15),
    [sym_namespace_use_declaration] = STATE(15),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(15),
    [sym_interface_declaration] = STATE(15),
    [sym_enum_declaration] = STATE(15),
    [sym_class_declaration] = STATE(15),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(15),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(15),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(15),
    [sym_unset_statement] = STATE(15),
    [sym_declare_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_goto_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_foreach_statement] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(15),
    [sym_compound_statement] = STATE(15),
    [sym_named_label_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [ts_builtin_sym_end] = ACTIONS(355),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(357),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_empty_statement] = STATE(1926),
    [sym_function_static_declaration] = STATE(1926),
    [sym_global_declaration] = STATE(1926),
    [sym_namespace_definition] = STATE(1926),
    [sym_namespace_use_declaration] = STATE(1926),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(1926),
    [sym_interface_declaration] = STATE(1926),
    [sym_enum_declaration] = STATE(1926),
    [sym_class_declaration] = STATE(1926),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(1926),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(1926),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(1926),
    [sym_unset_statement] = STATE(1926),
    [sym_declare_statement] = STATE(1926),
    [sym_try_statement] = STATE(1926),
    [sym_goto_statement] = STATE(1926),
    [sym_continue_statement] = STATE(1926),
    [sym_break_statement] = STATE(1926),
    [sym_return_statement] = STATE(1926),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(1926),
    [sym_do_statement] = STATE(1926),
    [sym_for_statement] = STATE(1926),
    [sym_foreach_statement] = STATE(1926),
    [sym_if_statement] = STATE(1926),
    [sym_colon_block] = STATE(2505),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(1926),
    [sym_compound_statement] = STATE(1926),
    [sym_named_label_statement] = STATE(1926),
    [sym_expression_statement] = STATE(1926),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(361),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(381),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(389),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(401),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(405),
    [aux_sym_foreach_statement_token1] = ACTIONS(407),
    [aux_sym_if_statement_token1] = ACTIONS(409),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(413),
  },
  [15] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [ts_builtin_sym_end] = ACTIONS(415),
    [sym_name] = ACTIONS(7),
    [anon_sym_QMARK_GT] = ACTIONS(417),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_empty_statement] = STATE(1926),
    [sym_function_static_declaration] = STATE(1926),
    [sym_global_declaration] = STATE(1926),
    [sym_namespace_definition] = STATE(1926),
    [sym_namespace_use_declaration] = STATE(1926),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(1926),
    [sym_interface_declaration] = STATE(1926),
    [sym_enum_declaration] = STATE(1926),
    [sym_class_declaration] = STATE(1926),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(1926),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(1926),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(1926),
    [sym_unset_statement] = STATE(1926),
    [sym_declare_statement] = STATE(1926),
    [sym_try_statement] = STATE(1926),
    [sym_goto_statement] = STATE(1926),
    [sym_continue_statement] = STATE(1926),
    [sym_break_statement] = STATE(1926),
    [sym_return_statement] = STATE(1926),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(1926),
    [sym_do_statement] = STATE(1926),
    [sym_for_statement] = STATE(1926),
    [sym_foreach_statement] = STATE(1926),
    [sym_if_statement] = STATE(1926),
    [sym_colon_block] = STATE(2505),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(1926),
    [sym_compound_statement] = STATE(1926),
    [sym_named_label_statement] = STATE(1926),
    [sym_expression_statement] = STATE(1926),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(361),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(381),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(413),
  },
  [17] = {
    [sym_empty_statement] = STATE(539),
    [sym_function_static_declaration] = STATE(539),
    [sym_global_declaration] = STATE(539),
    [sym_namespace_definition] = STATE(539),
    [sym_namespace_use_declaration] = STATE(539),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(539),
    [sym_interface_declaration] = STATE(539),
    [sym_enum_declaration] = STATE(539),
    [sym_class_declaration] = STATE(539),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(539),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(539),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(539),
    [sym_unset_statement] = STATE(539),
    [sym_declare_statement] = STATE(539),
    [sym_try_statement] = STATE(539),
    [sym_goto_statement] = STATE(539),
    [sym_continue_statement] = STATE(539),
    [sym_break_statement] = STATE(539),
    [sym_return_statement] = STATE(539),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(539),
    [sym_do_statement] = STATE(539),
    [sym_for_statement] = STATE(539),
    [sym_foreach_statement] = STATE(539),
    [sym_if_statement] = STATE(539),
    [sym_colon_block] = STATE(2678),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(539),
    [sym_compound_statement] = STATE(539),
    [sym_named_label_statement] = STATE(539),
    [sym_expression_statement] = STATE(539),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(429),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(381),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(431),
  },
  [18] = {
    [sym_empty_statement] = STATE(539),
    [sym_function_static_declaration] = STATE(539),
    [sym_global_declaration] = STATE(539),
    [sym_namespace_definition] = STATE(539),
    [sym_namespace_use_declaration] = STATE(539),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(539),
    [sym_interface_declaration] = STATE(539),
    [sym_enum_declaration] = STATE(539),
    [sym_class_declaration] = STATE(539),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(539),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(539),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(539),
    [sym_unset_statement] = STATE(539),
    [sym_declare_statement] = STATE(539),
    [sym_try_statement] = STATE(539),
    [sym_goto_statement] = STATE(539),
    [sym_continue_statement] = STATE(539),
    [sym_break_statement] = STATE(539),
    [sym_return_statement] = STATE(539),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(539),
    [sym_do_statement] = STATE(539),
    [sym_for_statement] = STATE(539),
    [sym_foreach_statement] = STATE(539),
    [sym_if_statement] = STATE(539),
    [sym_colon_block] = STATE(2678),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(539),
    [sym_compound_statement] = STATE(539),
    [sym_named_label_statement] = STATE(539),
    [sym_expression_statement] = STATE(539),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(429),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(381),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(326),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(328),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(330),
    [aux_sym_foreach_statement_token1] = ACTIONS(332),
    [aux_sym_if_statement_token1] = ACTIONS(334),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(431),
  },
  [19] = {
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(433),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(435),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(326),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(328),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(330),
    [aux_sym_foreach_statement_token1] = ACTIONS(332),
    [aux_sym_if_statement_token1] = ACTIONS(334),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(437),
  },
  [20] = {
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(441),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(389),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(401),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(405),
    [aux_sym_foreach_statement_token1] = ACTIONS(407),
    [aux_sym_if_statement_token1] = ACTIONS(409),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(443),
  },
  [21] = {
    [sym_empty_statement] = STATE(523),
    [sym_function_static_declaration] = STATE(523),
    [sym_global_declaration] = STATE(523),
    [sym_namespace_definition] = STATE(523),
    [sym_namespace_use_declaration] = STATE(523),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(523),
    [sym_interface_declaration] = STATE(523),
    [sym_enum_declaration] = STATE(523),
    [sym_class_declaration] = STATE(523),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(523),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(523),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(523),
    [sym_unset_statement] = STATE(523),
    [sym_declare_statement] = STATE(523),
    [sym_try_statement] = STATE(523),
    [sym_goto_statement] = STATE(523),
    [sym_continue_statement] = STATE(523),
    [sym_break_statement] = STATE(523),
    [sym_return_statement] = STATE(523),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(523),
    [sym_do_statement] = STATE(523),
    [sym_for_statement] = STATE(523),
    [sym_foreach_statement] = STATE(523),
    [sym_if_statement] = STATE(523),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(523),
    [sym_compound_statement] = STATE(523),
    [sym_named_label_statement] = STATE(523),
    [sym_expression_statement] = STATE(523),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(326),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(328),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(330),
    [aux_sym_foreach_statement_token1] = ACTIONS(332),
    [aux_sym_if_statement_token1] = ACTIONS(334),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [22] = {
    [sym_empty_statement] = STATE(71),
    [sym_function_static_declaration] = STATE(71),
    [sym_global_declaration] = STATE(71),
    [sym_namespace_definition] = STATE(71),
    [sym_namespace_use_declaration] = STATE(71),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(71),
    [sym_interface_declaration] = STATE(71),
    [sym_enum_declaration] = STATE(71),
    [sym_class_declaration] = STATE(71),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(71),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(71),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(71),
    [sym_unset_statement] = STATE(71),
    [sym_declare_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_foreach_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(71),
    [sym_compound_statement] = STATE(71),
    [sym_named_label_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_empty_statement] = STATE(520),
    [sym_function_static_declaration] = STATE(520),
    [sym_global_declaration] = STATE(520),
    [sym_namespace_definition] = STATE(520),
    [sym_namespace_use_declaration] = STATE(520),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(520),
    [sym_interface_declaration] = STATE(520),
    [sym_enum_declaration] = STATE(520),
    [sym_class_declaration] = STATE(520),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(520),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(520),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(520),
    [sym_unset_statement] = STATE(520),
    [sym_declare_statement] = STATE(520),
    [sym_try_statement] = STATE(520),
    [sym_goto_statement] = STATE(520),
    [sym_continue_statement] = STATE(520),
    [sym_break_statement] = STATE(520),
    [sym_return_statement] = STATE(520),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(520),
    [sym_do_statement] = STATE(520),
    [sym_for_statement] = STATE(520),
    [sym_foreach_statement] = STATE(520),
    [sym_if_statement] = STATE(520),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(520),
    [sym_compound_statement] = STATE(520),
    [sym_named_label_statement] = STATE(520),
    [sym_expression_statement] = STATE(520),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [24] = {
    [sym_empty_statement] = STATE(51),
    [sym_function_static_declaration] = STATE(51),
    [sym_global_declaration] = STATE(51),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_use_declaration] = STATE(51),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(51),
    [sym_interface_declaration] = STATE(51),
    [sym_enum_declaration] = STATE(51),
    [sym_class_declaration] = STATE(51),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(51),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(51),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(51),
    [sym_unset_statement] = STATE(51),
    [sym_declare_statement] = STATE(51),
    [sym_try_statement] = STATE(51),
    [sym_goto_statement] = STATE(51),
    [sym_continue_statement] = STATE(51),
    [sym_break_statement] = STATE(51),
    [sym_return_statement] = STATE(51),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(51),
    [sym_do_statement] = STATE(51),
    [sym_for_statement] = STATE(51),
    [sym_foreach_statement] = STATE(51),
    [sym_if_statement] = STATE(51),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(51),
    [sym_compound_statement] = STATE(51),
    [sym_named_label_statement] = STATE(51),
    [sym_expression_statement] = STATE(51),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(51),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(459),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(451),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_empty_statement] = STATE(1969),
    [sym_function_static_declaration] = STATE(1969),
    [sym_global_declaration] = STATE(1969),
    [sym_namespace_definition] = STATE(1969),
    [sym_namespace_use_declaration] = STATE(1969),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(1969),
    [sym_interface_declaration] = STATE(1969),
    [sym_enum_declaration] = STATE(1969),
    [sym_class_declaration] = STATE(1969),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(1969),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(1969),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(1969),
    [sym_unset_statement] = STATE(1969),
    [sym_declare_statement] = STATE(1969),
    [sym_try_statement] = STATE(1969),
    [sym_goto_statement] = STATE(1969),
    [sym_continue_statement] = STATE(1969),
    [sym_break_statement] = STATE(1969),
    [sym_return_statement] = STATE(1969),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(1969),
    [sym_do_statement] = STATE(1969),
    [sym_for_statement] = STATE(1969),
    [sym_foreach_statement] = STATE(1969),
    [sym_if_statement] = STATE(1969),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(1969),
    [sym_compound_statement] = STATE(1969),
    [sym_named_label_statement] = STATE(1969),
    [sym_expression_statement] = STATE(1969),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(389),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(401),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(405),
    [aux_sym_foreach_statement_token1] = ACTIONS(407),
    [aux_sym_if_statement_token1] = ACTIONS(409),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [27] = {
    [sym_empty_statement] = STATE(25),
    [sym_function_static_declaration] = STATE(25),
    [sym_global_declaration] = STATE(25),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_use_declaration] = STATE(25),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(25),
    [sym_interface_declaration] = STATE(25),
    [sym_enum_declaration] = STATE(25),
    [sym_class_declaration] = STATE(25),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(25),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(25),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(25),
    [sym_unset_statement] = STATE(25),
    [sym_declare_statement] = STATE(25),
    [sym_try_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_foreach_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(25),
    [sym_compound_statement] = STATE(25),
    [sym_named_label_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(467),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(467),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(469),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_empty_statement] = STATE(520),
    [sym_function_static_declaration] = STATE(520),
    [sym_global_declaration] = STATE(520),
    [sym_namespace_definition] = STATE(520),
    [sym_namespace_use_declaration] = STATE(520),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(520),
    [sym_interface_declaration] = STATE(520),
    [sym_enum_declaration] = STATE(520),
    [sym_class_declaration] = STATE(520),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(520),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(520),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(520),
    [sym_unset_statement] = STATE(520),
    [sym_declare_statement] = STATE(520),
    [sym_try_statement] = STATE(520),
    [sym_goto_statement] = STATE(520),
    [sym_continue_statement] = STATE(520),
    [sym_break_statement] = STATE(520),
    [sym_return_statement] = STATE(520),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(520),
    [sym_do_statement] = STATE(520),
    [sym_for_statement] = STATE(520),
    [sym_foreach_statement] = STATE(520),
    [sym_if_statement] = STATE(520),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(520),
    [sym_compound_statement] = STATE(520),
    [sym_named_label_statement] = STATE(520),
    [sym_expression_statement] = STATE(520),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(453),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(326),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(328),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(330),
    [aux_sym_foreach_statement_token1] = ACTIONS(332),
    [aux_sym_if_statement_token1] = ACTIONS(334),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(457),
  },
  [31] = {
    [sym_empty_statement] = STATE(28),
    [sym_function_static_declaration] = STATE(28),
    [sym_global_declaration] = STATE(28),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_use_declaration] = STATE(28),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(28),
    [sym_interface_declaration] = STATE(28),
    [sym_enum_declaration] = STATE(28),
    [sym_class_declaration] = STATE(28),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(28),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(28),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(28),
    [sym_unset_statement] = STATE(28),
    [sym_declare_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_foreach_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(28),
    [sym_compound_statement] = STATE(28),
    [sym_named_label_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(28),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(471),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_empty_statement] = STATE(523),
    [sym_function_static_declaration] = STATE(523),
    [sym_global_declaration] = STATE(523),
    [sym_namespace_definition] = STATE(523),
    [sym_namespace_use_declaration] = STATE(523),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(523),
    [sym_interface_declaration] = STATE(523),
    [sym_enum_declaration] = STATE(523),
    [sym_class_declaration] = STATE(523),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(523),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(523),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(523),
    [sym_unset_statement] = STATE(523),
    [sym_declare_statement] = STATE(523),
    [sym_try_statement] = STATE(523),
    [sym_goto_statement] = STATE(523),
    [sym_continue_statement] = STATE(523),
    [sym_break_statement] = STATE(523),
    [sym_return_statement] = STATE(523),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(523),
    [sym_do_statement] = STATE(523),
    [sym_for_statement] = STATE(523),
    [sym_foreach_statement] = STATE(523),
    [sym_if_statement] = STATE(523),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(523),
    [sym_compound_statement] = STATE(523),
    [sym_named_label_statement] = STATE(523),
    [sym_expression_statement] = STATE(523),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(445),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(447),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(449),
  },
  [33] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [aux_sym_declare_statement_token2] = ACTIONS(473),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_empty_statement] = STATE(482),
    [sym_function_static_declaration] = STATE(482),
    [sym_global_declaration] = STATE(482),
    [sym_namespace_definition] = STATE(482),
    [sym_namespace_use_declaration] = STATE(482),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(482),
    [sym_interface_declaration] = STATE(482),
    [sym_enum_declaration] = STATE(482),
    [sym_class_declaration] = STATE(482),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(482),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(482),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(482),
    [sym_unset_statement] = STATE(482),
    [sym_declare_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_foreach_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(482),
    [sym_compound_statement] = STATE(482),
    [sym_named_label_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(475),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(326),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(328),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(330),
    [aux_sym_foreach_statement_token1] = ACTIONS(332),
    [aux_sym_if_statement_token1] = ACTIONS(334),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(479),
  },
  [35] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [aux_sym_declare_statement_token2] = ACTIONS(481),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_empty_statement] = STATE(35),
    [sym_function_static_declaration] = STATE(35),
    [sym_global_declaration] = STATE(35),
    [sym_namespace_definition] = STATE(35),
    [sym_namespace_use_declaration] = STATE(35),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(35),
    [sym_interface_declaration] = STATE(35),
    [sym_enum_declaration] = STATE(35),
    [sym_class_declaration] = STATE(35),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(35),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(35),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(35),
    [sym_unset_statement] = STATE(35),
    [sym_declare_statement] = STATE(35),
    [sym_try_statement] = STATE(35),
    [sym_goto_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_break_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(35),
    [sym_do_statement] = STATE(35),
    [sym_for_statement] = STATE(35),
    [sym_foreach_statement] = STATE(35),
    [sym_if_statement] = STATE(35),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(35),
    [sym_compound_statement] = STATE(35),
    [sym_named_label_statement] = STATE(35),
    [sym_expression_statement] = STATE(35),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(35),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [aux_sym_declare_statement_token2] = ACTIONS(483),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_empty_statement] = STATE(482),
    [sym_function_static_declaration] = STATE(482),
    [sym_global_declaration] = STATE(482),
    [sym_namespace_definition] = STATE(482),
    [sym_namespace_use_declaration] = STATE(482),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(482),
    [sym_interface_declaration] = STATE(482),
    [sym_enum_declaration] = STATE(482),
    [sym_class_declaration] = STATE(482),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(482),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(482),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(482),
    [sym_unset_statement] = STATE(482),
    [sym_declare_statement] = STATE(482),
    [sym_try_statement] = STATE(482),
    [sym_goto_statement] = STATE(482),
    [sym_continue_statement] = STATE(482),
    [sym_break_statement] = STATE(482),
    [sym_return_statement] = STATE(482),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(482),
    [sym_do_statement] = STATE(482),
    [sym_for_statement] = STATE(482),
    [sym_foreach_statement] = STATE(482),
    [sym_if_statement] = STATE(482),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(482),
    [sym_compound_statement] = STATE(482),
    [sym_named_label_statement] = STATE(482),
    [sym_expression_statement] = STATE(482),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(475),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(479),
  },
  [38] = {
    [sym_empty_statement] = STATE(33),
    [sym_function_static_declaration] = STATE(33),
    [sym_global_declaration] = STATE(33),
    [sym_namespace_definition] = STATE(33),
    [sym_namespace_use_declaration] = STATE(33),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(33),
    [sym_interface_declaration] = STATE(33),
    [sym_enum_declaration] = STATE(33),
    [sym_class_declaration] = STATE(33),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(33),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(33),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(33),
    [sym_unset_statement] = STATE(33),
    [sym_declare_statement] = STATE(33),
    [sym_try_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_foreach_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(33),
    [sym_compound_statement] = STATE(33),
    [sym_named_label_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(33),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [aux_sym_declare_statement_token2] = ACTIONS(485),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_empty_statement] = STATE(427),
    [sym_function_static_declaration] = STATE(427),
    [sym_global_declaration] = STATE(427),
    [sym_namespace_definition] = STATE(427),
    [sym_namespace_use_declaration] = STATE(427),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(427),
    [sym_interface_declaration] = STATE(427),
    [sym_enum_declaration] = STATE(427),
    [sym_class_declaration] = STATE(427),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(427),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(427),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(427),
    [sym_unset_statement] = STATE(427),
    [sym_declare_statement] = STATE(427),
    [sym_try_statement] = STATE(427),
    [sym_goto_statement] = STATE(427),
    [sym_continue_statement] = STATE(427),
    [sym_break_statement] = STATE(427),
    [sym_return_statement] = STATE(427),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(427),
    [sym_do_statement] = STATE(427),
    [sym_for_statement] = STATE(427),
    [sym_foreach_statement] = STATE(427),
    [sym_if_statement] = STATE(427),
    [sym_colon_block] = STATE(1613),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(427),
    [sym_compound_statement] = STATE(427),
    [sym_named_label_statement] = STATE(427),
    [sym_expression_statement] = STATE(427),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(326),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(328),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(330),
    [aux_sym_foreach_statement_token1] = ACTIONS(332),
    [aux_sym_if_statement_token1] = ACTIONS(334),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_empty_statement] = STATE(69),
    [sym_function_static_declaration] = STATE(69),
    [sym_global_declaration] = STATE(69),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_use_declaration] = STATE(69),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(69),
    [sym_interface_declaration] = STATE(69),
    [sym_enum_declaration] = STATE(69),
    [sym_class_declaration] = STATE(69),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(69),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(69),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(69),
    [sym_unset_statement] = STATE(69),
    [sym_declare_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_foreach_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(69),
    [sym_compound_statement] = STATE(69),
    [sym_named_label_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(489),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_empty_statement] = STATE(426),
    [sym_function_static_declaration] = STATE(426),
    [sym_global_declaration] = STATE(426),
    [sym_namespace_definition] = STATE(426),
    [sym_namespace_use_declaration] = STATE(426),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(426),
    [sym_interface_declaration] = STATE(426),
    [sym_enum_declaration] = STATE(426),
    [sym_class_declaration] = STATE(426),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(426),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(426),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(426),
    [sym_unset_statement] = STATE(426),
    [sym_declare_statement] = STATE(426),
    [sym_try_statement] = STATE(426),
    [sym_goto_statement] = STATE(426),
    [sym_continue_statement] = STATE(426),
    [sym_break_statement] = STATE(426),
    [sym_return_statement] = STATE(426),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(426),
    [sym_do_statement] = STATE(426),
    [sym_for_statement] = STATE(426),
    [sym_foreach_statement] = STATE(426),
    [sym_if_statement] = STATE(426),
    [sym_colon_block] = STATE(1613),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(426),
    [sym_compound_statement] = STATE(426),
    [sym_named_label_statement] = STATE(426),
    [sym_expression_statement] = STATE(426),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(326),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(328),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(330),
    [aux_sym_foreach_statement_token1] = ACTIONS(332),
    [aux_sym_if_statement_token1] = ACTIONS(334),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_empty_statement] = STATE(466),
    [sym_function_static_declaration] = STATE(466),
    [sym_global_declaration] = STATE(466),
    [sym_namespace_definition] = STATE(466),
    [sym_namespace_use_declaration] = STATE(466),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(466),
    [sym_interface_declaration] = STATE(466),
    [sym_enum_declaration] = STATE(466),
    [sym_class_declaration] = STATE(466),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(466),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(466),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(466),
    [sym_unset_statement] = STATE(466),
    [sym_declare_statement] = STATE(466),
    [sym_try_statement] = STATE(466),
    [sym_goto_statement] = STATE(466),
    [sym_continue_statement] = STATE(466),
    [sym_break_statement] = STATE(466),
    [sym_return_statement] = STATE(466),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(466),
    [sym_do_statement] = STATE(466),
    [sym_for_statement] = STATE(466),
    [sym_foreach_statement] = STATE(466),
    [sym_if_statement] = STATE(466),
    [sym_colon_block] = STATE(2458),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(466),
    [sym_compound_statement] = STATE(466),
    [sym_named_label_statement] = STATE(466),
    [sym_expression_statement] = STATE(466),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(381),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_empty_statement] = STATE(557),
    [sym_function_static_declaration] = STATE(557),
    [sym_global_declaration] = STATE(557),
    [sym_namespace_definition] = STATE(557),
    [sym_namespace_use_declaration] = STATE(557),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(557),
    [sym_interface_declaration] = STATE(557),
    [sym_enum_declaration] = STATE(557),
    [sym_class_declaration] = STATE(557),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(557),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(557),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(557),
    [sym_unset_statement] = STATE(557),
    [sym_declare_statement] = STATE(557),
    [sym_try_statement] = STATE(557),
    [sym_goto_statement] = STATE(557),
    [sym_continue_statement] = STATE(557),
    [sym_break_statement] = STATE(557),
    [sym_return_statement] = STATE(557),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(557),
    [sym_do_statement] = STATE(557),
    [sym_for_statement] = STATE(557),
    [sym_foreach_statement] = STATE(557),
    [sym_if_statement] = STATE(557),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(557),
    [sym_compound_statement] = STATE(557),
    [sym_named_label_statement] = STATE(557),
    [sym_expression_statement] = STATE(557),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(491),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(493),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(326),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(328),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(330),
    [aux_sym_foreach_statement_token1] = ACTIONS(332),
    [aux_sym_if_statement_token1] = ACTIONS(334),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(495),
  },
  [44] = {
    [sym_empty_statement] = STATE(557),
    [sym_function_static_declaration] = STATE(557),
    [sym_global_declaration] = STATE(557),
    [sym_namespace_definition] = STATE(557),
    [sym_namespace_use_declaration] = STATE(557),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(557),
    [sym_interface_declaration] = STATE(557),
    [sym_enum_declaration] = STATE(557),
    [sym_class_declaration] = STATE(557),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(557),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(557),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(557),
    [sym_unset_statement] = STATE(557),
    [sym_declare_statement] = STATE(557),
    [sym_try_statement] = STATE(557),
    [sym_goto_statement] = STATE(557),
    [sym_continue_statement] = STATE(557),
    [sym_break_statement] = STATE(557),
    [sym_return_statement] = STATE(557),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(557),
    [sym_do_statement] = STATE(557),
    [sym_for_statement] = STATE(557),
    [sym_foreach_statement] = STATE(557),
    [sym_if_statement] = STATE(557),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(557),
    [sym_compound_statement] = STATE(557),
    [sym_named_label_statement] = STATE(557),
    [sym_expression_statement] = STATE(557),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(491),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(493),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(495),
  },
  [45] = {
    [sym_empty_statement] = STATE(29),
    [sym_function_static_declaration] = STATE(29),
    [sym_global_declaration] = STATE(29),
    [sym_namespace_definition] = STATE(29),
    [sym_namespace_use_declaration] = STATE(29),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(29),
    [sym_interface_declaration] = STATE(29),
    [sym_enum_declaration] = STATE(29),
    [sym_class_declaration] = STATE(29),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(29),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(29),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(29),
    [sym_unset_statement] = STATE(29),
    [sym_declare_statement] = STATE(29),
    [sym_try_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_foreach_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(29),
    [sym_compound_statement] = STATE(29),
    [sym_named_label_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(29),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(497),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_empty_statement] = STATE(58),
    [sym_function_static_declaration] = STATE(58),
    [sym_global_declaration] = STATE(58),
    [sym_namespace_definition] = STATE(58),
    [sym_namespace_use_declaration] = STATE(58),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(58),
    [sym_interface_declaration] = STATE(58),
    [sym_enum_declaration] = STATE(58),
    [sym_class_declaration] = STATE(58),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(58),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(58),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(58),
    [sym_unset_statement] = STATE(58),
    [sym_declare_statement] = STATE(58),
    [sym_try_statement] = STATE(58),
    [sym_goto_statement] = STATE(58),
    [sym_continue_statement] = STATE(58),
    [sym_break_statement] = STATE(58),
    [sym_return_statement] = STATE(58),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(58),
    [sym_do_statement] = STATE(58),
    [sym_for_statement] = STATE(58),
    [sym_foreach_statement] = STATE(58),
    [sym_if_statement] = STATE(58),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(58),
    [sym_compound_statement] = STATE(58),
    [sym_named_label_statement] = STATE(58),
    [sym_expression_statement] = STATE(58),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(58),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(499),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_empty_statement] = STATE(1969),
    [sym_function_static_declaration] = STATE(1969),
    [sym_global_declaration] = STATE(1969),
    [sym_namespace_definition] = STATE(1969),
    [sym_namespace_use_declaration] = STATE(1969),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(1969),
    [sym_interface_declaration] = STATE(1969),
    [sym_enum_declaration] = STATE(1969),
    [sym_class_declaration] = STATE(1969),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(1969),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(1969),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(1969),
    [sym_unset_statement] = STATE(1969),
    [sym_declare_statement] = STATE(1969),
    [sym_try_statement] = STATE(1969),
    [sym_goto_statement] = STATE(1969),
    [sym_continue_statement] = STATE(1969),
    [sym_break_statement] = STATE(1969),
    [sym_return_statement] = STATE(1969),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(1969),
    [sym_do_statement] = STATE(1969),
    [sym_for_statement] = STATE(1969),
    [sym_foreach_statement] = STATE(1969),
    [sym_if_statement] = STATE(1969),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(1969),
    [sym_compound_statement] = STATE(1969),
    [sym_named_label_statement] = STATE(1969),
    [sym_expression_statement] = STATE(1969),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(461),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(465),
  },
  [48] = {
    [sym_empty_statement] = STATE(2041),
    [sym_function_static_declaration] = STATE(2041),
    [sym_global_declaration] = STATE(2041),
    [sym_namespace_definition] = STATE(2041),
    [sym_namespace_use_declaration] = STATE(2041),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2041),
    [sym_interface_declaration] = STATE(2041),
    [sym_enum_declaration] = STATE(2041),
    [sym_class_declaration] = STATE(2041),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(2041),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(2041),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2041),
    [sym_unset_statement] = STATE(2041),
    [sym_declare_statement] = STATE(2041),
    [sym_try_statement] = STATE(2041),
    [sym_goto_statement] = STATE(2041),
    [sym_continue_statement] = STATE(2041),
    [sym_break_statement] = STATE(2041),
    [sym_return_statement] = STATE(2041),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2041),
    [sym_do_statement] = STATE(2041),
    [sym_for_statement] = STATE(2041),
    [sym_foreach_statement] = STATE(2041),
    [sym_if_statement] = STATE(2041),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2041),
    [sym_compound_statement] = STATE(2041),
    [sym_named_label_statement] = STATE(2041),
    [sym_expression_statement] = STATE(2041),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(389),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(401),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(405),
    [aux_sym_foreach_statement_token1] = ACTIONS(407),
    [aux_sym_if_statement_token1] = ACTIONS(409),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [49] = {
    [sym_empty_statement] = STATE(466),
    [sym_function_static_declaration] = STATE(466),
    [sym_global_declaration] = STATE(466),
    [sym_namespace_definition] = STATE(466),
    [sym_namespace_use_declaration] = STATE(466),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(466),
    [sym_interface_declaration] = STATE(466),
    [sym_enum_declaration] = STATE(466),
    [sym_class_declaration] = STATE(466),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(466),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(466),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(466),
    [sym_unset_statement] = STATE(466),
    [sym_declare_statement] = STATE(466),
    [sym_try_statement] = STATE(466),
    [sym_goto_statement] = STATE(466),
    [sym_continue_statement] = STATE(466),
    [sym_break_statement] = STATE(466),
    [sym_return_statement] = STATE(466),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(466),
    [sym_do_statement] = STATE(466),
    [sym_for_statement] = STATE(466),
    [sym_foreach_statement] = STATE(466),
    [sym_if_statement] = STATE(466),
    [sym_colon_block] = STATE(2458),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(466),
    [sym_compound_statement] = STATE(466),
    [sym_named_label_statement] = STATE(466),
    [sym_expression_statement] = STATE(466),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(381),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(326),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(328),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(330),
    [aux_sym_foreach_statement_token1] = ACTIONS(332),
    [aux_sym_if_statement_token1] = ACTIONS(334),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_empty_statement] = STATE(1661),
    [sym_function_static_declaration] = STATE(1661),
    [sym_global_declaration] = STATE(1661),
    [sym_namespace_definition] = STATE(1661),
    [sym_namespace_use_declaration] = STATE(1661),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(1661),
    [sym_interface_declaration] = STATE(1661),
    [sym_enum_declaration] = STATE(1661),
    [sym_class_declaration] = STATE(1661),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(1661),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(1661),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(1661),
    [sym_unset_statement] = STATE(1661),
    [sym_declare_statement] = STATE(1661),
    [sym_try_statement] = STATE(1661),
    [sym_goto_statement] = STATE(1661),
    [sym_continue_statement] = STATE(1661),
    [sym_break_statement] = STATE(1661),
    [sym_return_statement] = STATE(1661),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(1661),
    [sym_do_statement] = STATE(1661),
    [sym_for_statement] = STATE(1661),
    [sym_foreach_statement] = STATE(1661),
    [sym_if_statement] = STATE(1661),
    [sym_colon_block] = STATE(1644),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(1661),
    [sym_compound_statement] = STATE(1661),
    [sym_named_label_statement] = STATE(1661),
    [sym_expression_statement] = STATE(1661),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(507),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(389),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(401),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(405),
    [aux_sym_foreach_statement_token1] = ACTIONS(407),
    [aux_sym_if_statement_token1] = ACTIONS(409),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(509),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_empty_statement] = STATE(2133),
    [sym_function_static_declaration] = STATE(2133),
    [sym_global_declaration] = STATE(2133),
    [sym_namespace_definition] = STATE(2133),
    [sym_namespace_use_declaration] = STATE(2133),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2133),
    [sym_interface_declaration] = STATE(2133),
    [sym_enum_declaration] = STATE(2133),
    [sym_class_declaration] = STATE(2133),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(2133),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(2133),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2133),
    [sym_unset_statement] = STATE(2133),
    [sym_declare_statement] = STATE(2133),
    [sym_try_statement] = STATE(2133),
    [sym_goto_statement] = STATE(2133),
    [sym_continue_statement] = STATE(2133),
    [sym_break_statement] = STATE(2133),
    [sym_return_statement] = STATE(2133),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2133),
    [sym_do_statement] = STATE(2133),
    [sym_for_statement] = STATE(2133),
    [sym_foreach_statement] = STATE(2133),
    [sym_if_statement] = STATE(2133),
    [sym_colon_block] = STATE(2567),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2133),
    [sym_compound_statement] = STATE(2133),
    [sym_named_label_statement] = STATE(2133),
    [sym_expression_statement] = STATE(2133),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(507),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(381),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_empty_statement] = STATE(2165),
    [sym_function_static_declaration] = STATE(2165),
    [sym_global_declaration] = STATE(2165),
    [sym_namespace_definition] = STATE(2165),
    [sym_namespace_use_declaration] = STATE(2165),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2165),
    [sym_interface_declaration] = STATE(2165),
    [sym_enum_declaration] = STATE(2165),
    [sym_class_declaration] = STATE(2165),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(2165),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(2165),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2165),
    [sym_unset_statement] = STATE(2165),
    [sym_declare_statement] = STATE(2165),
    [sym_try_statement] = STATE(2165),
    [sym_goto_statement] = STATE(2165),
    [sym_continue_statement] = STATE(2165),
    [sym_break_statement] = STATE(2165),
    [sym_return_statement] = STATE(2165),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2165),
    [sym_do_statement] = STATE(2165),
    [sym_for_statement] = STATE(2165),
    [sym_foreach_statement] = STATE(2165),
    [sym_if_statement] = STATE(2165),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2165),
    [sym_compound_statement] = STATE(2165),
    [sym_named_label_statement] = STATE(2165),
    [sym_expression_statement] = STATE(2165),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(441),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(443),
  },
  [54] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(511),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(513),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(515),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_empty_statement] = STATE(1993),
    [sym_function_static_declaration] = STATE(1993),
    [sym_global_declaration] = STATE(1993),
    [sym_namespace_definition] = STATE(1993),
    [sym_namespace_use_declaration] = STATE(1993),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(1993),
    [sym_interface_declaration] = STATE(1993),
    [sym_enum_declaration] = STATE(1993),
    [sym_class_declaration] = STATE(1993),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(1993),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(1993),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(1993),
    [sym_unset_statement] = STATE(1993),
    [sym_declare_statement] = STATE(1993),
    [sym_try_statement] = STATE(1993),
    [sym_goto_statement] = STATE(1993),
    [sym_continue_statement] = STATE(1993),
    [sym_break_statement] = STATE(1993),
    [sym_return_statement] = STATE(1993),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(1993),
    [sym_do_statement] = STATE(1993),
    [sym_for_statement] = STATE(1993),
    [sym_foreach_statement] = STATE(1993),
    [sym_if_statement] = STATE(1993),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(1993),
    [sym_compound_statement] = STATE(1993),
    [sym_named_label_statement] = STATE(1993),
    [sym_expression_statement] = STATE(1993),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [58] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(523),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(525),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_empty_statement] = STATE(1990),
    [sym_function_static_declaration] = STATE(1990),
    [sym_global_declaration] = STATE(1990),
    [sym_namespace_definition] = STATE(1990),
    [sym_namespace_use_declaration] = STATE(1990),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(1990),
    [sym_interface_declaration] = STATE(1990),
    [sym_enum_declaration] = STATE(1990),
    [sym_class_declaration] = STATE(1990),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(1990),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(1990),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(1990),
    [sym_unset_statement] = STATE(1990),
    [sym_declare_statement] = STATE(1990),
    [sym_try_statement] = STATE(1990),
    [sym_goto_statement] = STATE(1990),
    [sym_continue_statement] = STATE(1990),
    [sym_break_statement] = STATE(1990),
    [sym_return_statement] = STATE(1990),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(1990),
    [sym_do_statement] = STATE(1990),
    [sym_for_statement] = STATE(1990),
    [sym_foreach_statement] = STATE(1990),
    [sym_if_statement] = STATE(1990),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(1990),
    [sym_compound_statement] = STATE(1990),
    [sym_named_label_statement] = STATE(1990),
    [sym_expression_statement] = STATE(1990),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(527),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(529),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(531),
  },
  [61] = {
    [sym_empty_statement] = STATE(59),
    [sym_function_static_declaration] = STATE(59),
    [sym_global_declaration] = STATE(59),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_use_declaration] = STATE(59),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(59),
    [sym_interface_declaration] = STATE(59),
    [sym_enum_declaration] = STATE(59),
    [sym_class_declaration] = STATE(59),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(59),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(59),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(59),
    [sym_unset_statement] = STATE(59),
    [sym_declare_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_foreach_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(59),
    [sym_compound_statement] = STATE(59),
    [sym_named_label_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(59),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(533),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_empty_statement] = STATE(2041),
    [sym_function_static_declaration] = STATE(2041),
    [sym_global_declaration] = STATE(2041),
    [sym_namespace_definition] = STATE(2041),
    [sym_namespace_use_declaration] = STATE(2041),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2041),
    [sym_interface_declaration] = STATE(2041),
    [sym_enum_declaration] = STATE(2041),
    [sym_class_declaration] = STATE(2041),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(2041),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(2041),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2041),
    [sym_unset_statement] = STATE(2041),
    [sym_declare_statement] = STATE(2041),
    [sym_try_statement] = STATE(2041),
    [sym_goto_statement] = STATE(2041),
    [sym_continue_statement] = STATE(2041),
    [sym_break_statement] = STATE(2041),
    [sym_return_statement] = STATE(2041),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2041),
    [sym_do_statement] = STATE(2041),
    [sym_for_statement] = STATE(2041),
    [sym_foreach_statement] = STATE(2041),
    [sym_if_statement] = STATE(2041),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2041),
    [sym_compound_statement] = STATE(2041),
    [sym_named_label_statement] = STATE(2041),
    [sym_expression_statement] = STATE(2041),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(501),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(503),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(505),
  },
  [63] = {
    [sym_empty_statement] = STATE(76),
    [sym_function_static_declaration] = STATE(76),
    [sym_global_declaration] = STATE(76),
    [sym_namespace_definition] = STATE(76),
    [sym_namespace_use_declaration] = STATE(76),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(76),
    [sym_interface_declaration] = STATE(76),
    [sym_enum_declaration] = STATE(76),
    [sym_class_declaration] = STATE(76),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(76),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(76),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(76),
    [sym_unset_statement] = STATE(76),
    [sym_declare_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_goto_statement] = STATE(76),
    [sym_continue_statement] = STATE(76),
    [sym_break_statement] = STATE(76),
    [sym_return_statement] = STATE(76),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(76),
    [sym_do_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_foreach_statement] = STATE(76),
    [sym_if_statement] = STATE(76),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(76),
    [sym_compound_statement] = STATE(76),
    [sym_named_label_statement] = STATE(76),
    [sym_expression_statement] = STATE(76),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(76),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(509),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_empty_statement] = STATE(566),
    [sym_function_static_declaration] = STATE(566),
    [sym_global_declaration] = STATE(566),
    [sym_namespace_definition] = STATE(566),
    [sym_namespace_use_declaration] = STATE(566),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(566),
    [sym_interface_declaration] = STATE(566),
    [sym_enum_declaration] = STATE(566),
    [sym_class_declaration] = STATE(566),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(566),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(566),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(566),
    [sym_unset_statement] = STATE(566),
    [sym_declare_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym_goto_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_foreach_statement] = STATE(566),
    [sym_if_statement] = STATE(566),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(566),
    [sym_compound_statement] = STATE(566),
    [sym_named_label_statement] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(433),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [anon_sym_COLON] = ACTIONS(435),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(437),
  },
  [65] = {
    [sym_empty_statement] = STATE(1990),
    [sym_function_static_declaration] = STATE(1990),
    [sym_global_declaration] = STATE(1990),
    [sym_namespace_definition] = STATE(1990),
    [sym_namespace_use_declaration] = STATE(1990),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(1990),
    [sym_interface_declaration] = STATE(1990),
    [sym_enum_declaration] = STATE(1990),
    [sym_class_declaration] = STATE(1990),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(1990),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(1990),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(1990),
    [sym_unset_statement] = STATE(1990),
    [sym_declare_statement] = STATE(1990),
    [sym_try_statement] = STATE(1990),
    [sym_goto_statement] = STATE(1990),
    [sym_continue_statement] = STATE(1990),
    [sym_break_statement] = STATE(1990),
    [sym_return_statement] = STATE(1990),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(1990),
    [sym_do_statement] = STATE(1990),
    [sym_for_statement] = STATE(1990),
    [sym_foreach_statement] = STATE(1990),
    [sym_if_statement] = STATE(1990),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(1990),
    [sym_compound_statement] = STATE(1990),
    [sym_named_label_statement] = STATE(1990),
    [sym_expression_statement] = STATE(1990),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(527),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(529),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(389),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(401),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(405),
    [aux_sym_foreach_statement_token1] = ACTIONS(407),
    [aux_sym_if_statement_token1] = ACTIONS(409),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(531),
  },
  [66] = {
    [sym_empty_statement] = STATE(1655),
    [sym_function_static_declaration] = STATE(1655),
    [sym_global_declaration] = STATE(1655),
    [sym_namespace_definition] = STATE(1655),
    [sym_namespace_use_declaration] = STATE(1655),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(1655),
    [sym_interface_declaration] = STATE(1655),
    [sym_enum_declaration] = STATE(1655),
    [sym_class_declaration] = STATE(1655),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(1655),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(1655),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(1655),
    [sym_unset_statement] = STATE(1655),
    [sym_declare_statement] = STATE(1655),
    [sym_try_statement] = STATE(1655),
    [sym_goto_statement] = STATE(1655),
    [sym_continue_statement] = STATE(1655),
    [sym_break_statement] = STATE(1655),
    [sym_return_statement] = STATE(1655),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(1655),
    [sym_do_statement] = STATE(1655),
    [sym_for_statement] = STATE(1655),
    [sym_foreach_statement] = STATE(1655),
    [sym_if_statement] = STATE(1655),
    [sym_colon_block] = STATE(1644),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(1655),
    [sym_compound_statement] = STATE(1655),
    [sym_named_label_statement] = STATE(1655),
    [sym_expression_statement] = STATE(1655),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(507),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(389),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(401),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(405),
    [aux_sym_foreach_statement_token1] = ACTIONS(407),
    [aux_sym_if_statement_token1] = ACTIONS(409),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(535),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_empty_statement] = STATE(67),
    [sym_function_static_declaration] = STATE(67),
    [sym_global_declaration] = STATE(67),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_use_declaration] = STATE(67),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(67),
    [sym_interface_declaration] = STATE(67),
    [sym_enum_declaration] = STATE(67),
    [sym_class_declaration] = STATE(67),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(67),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(67),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(67),
    [sym_unset_statement] = STATE(67),
    [sym_declare_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_foreach_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(67),
    [sym_compound_statement] = STATE(67),
    [sym_named_label_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(67),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(537),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(537),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_empty_statement] = STATE(54),
    [sym_function_static_declaration] = STATE(54),
    [sym_global_declaration] = STATE(54),
    [sym_namespace_definition] = STATE(54),
    [sym_namespace_use_declaration] = STATE(54),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(54),
    [sym_interface_declaration] = STATE(54),
    [sym_enum_declaration] = STATE(54),
    [sym_class_declaration] = STATE(54),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(54),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(54),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(54),
    [sym_unset_statement] = STATE(54),
    [sym_declare_statement] = STATE(54),
    [sym_try_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_foreach_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(54),
    [sym_compound_statement] = STATE(54),
    [sym_named_label_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(54),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(539),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(499),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_empty_statement] = STATE(55),
    [sym_function_static_declaration] = STATE(55),
    [sym_global_declaration] = STATE(55),
    [sym_namespace_definition] = STATE(55),
    [sym_namespace_use_declaration] = STATE(55),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(55),
    [sym_interface_declaration] = STATE(55),
    [sym_enum_declaration] = STATE(55),
    [sym_class_declaration] = STATE(55),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(55),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(55),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(55),
    [sym_unset_statement] = STATE(55),
    [sym_declare_statement] = STATE(55),
    [sym_try_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_foreach_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(55),
    [sym_compound_statement] = STATE(55),
    [sym_named_label_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(541),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_empty_statement] = STATE(1993),
    [sym_function_static_declaration] = STATE(1993),
    [sym_global_declaration] = STATE(1993),
    [sym_namespace_definition] = STATE(1993),
    [sym_namespace_use_declaration] = STATE(1993),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(1993),
    [sym_interface_declaration] = STATE(1993),
    [sym_enum_declaration] = STATE(1993),
    [sym_class_declaration] = STATE(1993),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(1993),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(1993),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(1993),
    [sym_unset_statement] = STATE(1993),
    [sym_declare_statement] = STATE(1993),
    [sym_try_statement] = STATE(1993),
    [sym_goto_statement] = STATE(1993),
    [sym_continue_statement] = STATE(1993),
    [sym_break_statement] = STATE(1993),
    [sym_return_statement] = STATE(1993),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(1993),
    [sym_do_statement] = STATE(1993),
    [sym_for_statement] = STATE(1993),
    [sym_foreach_statement] = STATE(1993),
    [sym_if_statement] = STATE(1993),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(1993),
    [sym_compound_statement] = STATE(1993),
    [sym_named_label_statement] = STATE(1993),
    [sym_expression_statement] = STATE(1993),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(517),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(519),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(389),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(401),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(405),
    [aux_sym_foreach_statement_token1] = ACTIONS(407),
    [aux_sym_if_statement_token1] = ACTIONS(409),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(521),
  },
  [74] = {
    [sym_empty_statement] = STATE(56),
    [sym_function_static_declaration] = STATE(56),
    [sym_global_declaration] = STATE(56),
    [sym_namespace_definition] = STATE(56),
    [sym_namespace_use_declaration] = STATE(56),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(56),
    [sym_interface_declaration] = STATE(56),
    [sym_enum_declaration] = STATE(56),
    [sym_class_declaration] = STATE(56),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(56),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(56),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(56),
    [sym_unset_statement] = STATE(56),
    [sym_declare_statement] = STATE(56),
    [sym_try_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_foreach_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(56),
    [sym_compound_statement] = STATE(56),
    [sym_named_label_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(543),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_empty_statement] = STATE(2133),
    [sym_function_static_declaration] = STATE(2133),
    [sym_global_declaration] = STATE(2133),
    [sym_namespace_definition] = STATE(2133),
    [sym_namespace_use_declaration] = STATE(2133),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2133),
    [sym_interface_declaration] = STATE(2133),
    [sym_enum_declaration] = STATE(2133),
    [sym_class_declaration] = STATE(2133),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(2133),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(2133),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2133),
    [sym_unset_statement] = STATE(2133),
    [sym_declare_statement] = STATE(2133),
    [sym_try_statement] = STATE(2133),
    [sym_goto_statement] = STATE(2133),
    [sym_continue_statement] = STATE(2133),
    [sym_break_statement] = STATE(2133),
    [sym_return_statement] = STATE(2133),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2133),
    [sym_do_statement] = STATE(2133),
    [sym_for_statement] = STATE(2133),
    [sym_foreach_statement] = STATE(2133),
    [sym_if_statement] = STATE(2133),
    [sym_colon_block] = STATE(2567),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2133),
    [sym_compound_statement] = STATE(2133),
    [sym_named_label_statement] = STATE(2133),
    [sym_expression_statement] = STATE(2133),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(507),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(381),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(389),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(401),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(405),
    [aux_sym_foreach_statement_token1] = ACTIONS(407),
    [aux_sym_if_statement_token1] = ACTIONS(409),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_empty_statement] = STATE(2),
    [sym_function_static_declaration] = STATE(2),
    [sym_global_declaration] = STATE(2),
    [sym_namespace_definition] = STATE(2),
    [sym_namespace_use_declaration] = STATE(2),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2),
    [sym_interface_declaration] = STATE(2),
    [sym_enum_declaration] = STATE(2),
    [sym_class_declaration] = STATE(2),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(2),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(2),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2),
    [sym_unset_statement] = STATE(2),
    [sym_declare_statement] = STATE(2),
    [sym_try_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_foreach_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2),
    [sym_compound_statement] = STATE(2),
    [sym_named_label_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_for_statement_token2] = ACTIONS(489),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_empty_statement] = STATE(1937),
    [sym_function_static_declaration] = STATE(1937),
    [sym_global_declaration] = STATE(1937),
    [sym_namespace_definition] = STATE(1937),
    [sym_namespace_use_declaration] = STATE(1937),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(1937),
    [sym_interface_declaration] = STATE(1937),
    [sym_enum_declaration] = STATE(1937),
    [sym_class_declaration] = STATE(1937),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(1937),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(1937),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(1937),
    [sym_unset_statement] = STATE(1937),
    [sym_declare_statement] = STATE(1937),
    [sym_try_statement] = STATE(1937),
    [sym_goto_statement] = STATE(1937),
    [sym_continue_statement] = STATE(1937),
    [sym_break_statement] = STATE(1937),
    [sym_return_statement] = STATE(1937),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(1937),
    [sym_do_statement] = STATE(1937),
    [sym_for_statement] = STATE(1937),
    [sym_foreach_statement] = STATE(1937),
    [sym_if_statement] = STATE(1937),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(1937),
    [sym_compound_statement] = STATE(1937),
    [sym_named_label_statement] = STATE(1937),
    [sym_expression_statement] = STATE(1937),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(507),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(389),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(401),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(405),
    [aux_sym_foreach_statement_token1] = ACTIONS(407),
    [aux_sym_if_statement_token1] = ACTIONS(409),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_empty_statement] = STATE(2127),
    [sym_function_static_declaration] = STATE(2127),
    [sym_global_declaration] = STATE(2127),
    [sym_namespace_definition] = STATE(2127),
    [sym_namespace_use_declaration] = STATE(2127),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2127),
    [sym_interface_declaration] = STATE(2127),
    [sym_enum_declaration] = STATE(2127),
    [sym_class_declaration] = STATE(2127),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(2127),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(2127),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2127),
    [sym_unset_statement] = STATE(2127),
    [sym_declare_statement] = STATE(2127),
    [sym_try_statement] = STATE(2127),
    [sym_goto_statement] = STATE(2127),
    [sym_continue_statement] = STATE(2127),
    [sym_break_statement] = STATE(2127),
    [sym_return_statement] = STATE(2127),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2127),
    [sym_do_statement] = STATE(2127),
    [sym_for_statement] = STATE(2127),
    [sym_foreach_statement] = STATE(2127),
    [sym_if_statement] = STATE(2127),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2127),
    [sym_compound_statement] = STATE(2127),
    [sym_named_label_statement] = STATE(2127),
    [sym_expression_statement] = STATE(2127),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(507),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(389),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(401),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(405),
    [aux_sym_foreach_statement_token1] = ACTIONS(407),
    [aux_sym_if_statement_token1] = ACTIONS(409),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_empty_statement] = STATE(479),
    [sym_function_static_declaration] = STATE(479),
    [sym_global_declaration] = STATE(479),
    [sym_namespace_definition] = STATE(479),
    [sym_namespace_use_declaration] = STATE(479),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(479),
    [sym_interface_declaration] = STATE(479),
    [sym_enum_declaration] = STATE(479),
    [sym_class_declaration] = STATE(479),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(479),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(479),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(479),
    [sym_unset_statement] = STATE(479),
    [sym_declare_statement] = STATE(479),
    [sym_try_statement] = STATE(479),
    [sym_goto_statement] = STATE(479),
    [sym_continue_statement] = STATE(479),
    [sym_break_statement] = STATE(479),
    [sym_return_statement] = STATE(479),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(479),
    [sym_do_statement] = STATE(479),
    [sym_for_statement] = STATE(479),
    [sym_foreach_statement] = STATE(479),
    [sym_if_statement] = STATE(479),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(479),
    [sym_compound_statement] = STATE(479),
    [sym_named_label_statement] = STATE(479),
    [sym_expression_statement] = STATE(479),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(326),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(328),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(330),
    [aux_sym_foreach_statement_token1] = ACTIONS(332),
    [aux_sym_if_statement_token1] = ACTIONS(334),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_empty_statement] = STATE(548),
    [sym_function_static_declaration] = STATE(548),
    [sym_global_declaration] = STATE(548),
    [sym_namespace_definition] = STATE(548),
    [sym_namespace_use_declaration] = STATE(548),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(548),
    [sym_interface_declaration] = STATE(548),
    [sym_enum_declaration] = STATE(548),
    [sym_class_declaration] = STATE(548),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(548),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(548),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(548),
    [sym_unset_statement] = STATE(548),
    [sym_declare_statement] = STATE(548),
    [sym_try_statement] = STATE(548),
    [sym_goto_statement] = STATE(548),
    [sym_continue_statement] = STATE(548),
    [sym_break_statement] = STATE(548),
    [sym_return_statement] = STATE(548),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(548),
    [sym_do_statement] = STATE(548),
    [sym_for_statement] = STATE(548),
    [sym_foreach_statement] = STATE(548),
    [sym_if_statement] = STATE(548),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(548),
    [sym_compound_statement] = STATE(548),
    [sym_named_label_statement] = STATE(548),
    [sym_expression_statement] = STATE(548),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(57),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(73),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(77),
    [aux_sym_foreach_statement_token1] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(81),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_empty_statement] = STATE(548),
    [sym_function_static_declaration] = STATE(548),
    [sym_global_declaration] = STATE(548),
    [sym_namespace_definition] = STATE(548),
    [sym_namespace_use_declaration] = STATE(548),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(548),
    [sym_interface_declaration] = STATE(548),
    [sym_enum_declaration] = STATE(548),
    [sym_class_declaration] = STATE(548),
    [sym_final_modifier] = STATE(2179),
    [sym_abstract_modifier] = STATE(2179),
    [sym_readonly_modifier] = STATE(2635),
    [sym_const_declaration] = STATE(548),
    [sym__const_declaration] = STATE(536),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2633),
    [sym_function_definition] = STATE(548),
    [sym__function_definition_header] = STATE(2226),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(548),
    [sym_unset_statement] = STATE(548),
    [sym_declare_statement] = STATE(548),
    [sym_try_statement] = STATE(548),
    [sym_goto_statement] = STATE(548),
    [sym_continue_statement] = STATE(548),
    [sym_break_statement] = STATE(548),
    [sym_return_statement] = STATE(548),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(548),
    [sym_do_statement] = STATE(548),
    [sym_for_statement] = STATE(548),
    [sym_foreach_statement] = STATE(548),
    [sym_if_statement] = STATE(548),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(548),
    [sym_compound_statement] = STATE(548),
    [sym_named_label_statement] = STATE(548),
    [sym_expression_statement] = STATE(548),
    [sym__expression] = STATE(1213),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1413),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(13),
    [aux_sym_function_static_declaration_token1] = ACTIONS(15),
    [aux_sym_global_declaration_token1] = ACTIONS(17),
    [aux_sym_namespace_definition_token1] = ACTIONS(19),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(21),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(25),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [aux_sym_trait_declaration_token1] = ACTIONS(31),
    [aux_sym_interface_declaration_token1] = ACTIONS(33),
    [aux_sym_enum_declaration_token1] = ACTIONS(35),
    [aux_sym_class_declaration_token1] = ACTIONS(37),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(53),
    [anon_sym_unset] = ACTIONS(55),
    [aux_sym_declare_statement_token1] = ACTIONS(326),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(61),
    [aux_sym_goto_statement_token1] = ACTIONS(63),
    [aux_sym_continue_statement_token1] = ACTIONS(65),
    [aux_sym_break_statement_token1] = ACTIONS(67),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(69),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(328),
    [aux_sym_do_statement_token1] = ACTIONS(75),
    [aux_sym_for_statement_token1] = ACTIONS(330),
    [aux_sym_foreach_statement_token1] = ACTIONS(332),
    [aux_sym_if_statement_token1] = ACTIONS(334),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_empty_statement] = STATE(2551),
    [sym_function_static_declaration] = STATE(2551),
    [sym_global_declaration] = STATE(2551),
    [sym_namespace_definition] = STATE(2551),
    [sym_namespace_use_declaration] = STATE(2551),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2551),
    [sym_interface_declaration] = STATE(2551),
    [sym_enum_declaration] = STATE(2551),
    [sym_class_declaration] = STATE(2551),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(2551),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(2551),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2551),
    [sym_unset_statement] = STATE(2551),
    [sym_declare_statement] = STATE(2551),
    [sym_try_statement] = STATE(2551),
    [sym_goto_statement] = STATE(2551),
    [sym_continue_statement] = STATE(2551),
    [sym_break_statement] = STATE(2551),
    [sym_return_statement] = STATE(2551),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2551),
    [sym_do_statement] = STATE(2551),
    [sym_for_statement] = STATE(2551),
    [sym_foreach_statement] = STATE(2551),
    [sym_if_statement] = STATE(2551),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2551),
    [sym_compound_statement] = STATE(2551),
    [sym_named_label_statement] = STATE(2551),
    [sym_expression_statement] = STATE(2551),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(507),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_empty_statement] = STATE(1937),
    [sym_function_static_declaration] = STATE(1937),
    [sym_global_declaration] = STATE(1937),
    [sym_namespace_definition] = STATE(1937),
    [sym_namespace_use_declaration] = STATE(1937),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(1937),
    [sym_interface_declaration] = STATE(1937),
    [sym_enum_declaration] = STATE(1937),
    [sym_class_declaration] = STATE(1937),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(1937),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(1937),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(1937),
    [sym_unset_statement] = STATE(1937),
    [sym_declare_statement] = STATE(1937),
    [sym_try_statement] = STATE(1937),
    [sym_goto_statement] = STATE(1937),
    [sym_continue_statement] = STATE(1937),
    [sym_break_statement] = STATE(1937),
    [sym_return_statement] = STATE(1937),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(1937),
    [sym_do_statement] = STATE(1937),
    [sym_for_statement] = STATE(1937),
    [sym_foreach_statement] = STATE(1937),
    [sym_if_statement] = STATE(1937),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(1937),
    [sym_compound_statement] = STATE(1937),
    [sym_named_label_statement] = STATE(1937),
    [sym_expression_statement] = STATE(1937),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(507),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_empty_statement] = STATE(2581),
    [sym_function_static_declaration] = STATE(2581),
    [sym_global_declaration] = STATE(2581),
    [sym_namespace_definition] = STATE(2581),
    [sym_namespace_use_declaration] = STATE(2581),
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_trait_declaration] = STATE(2581),
    [sym_interface_declaration] = STATE(2581),
    [sym_enum_declaration] = STATE(2581),
    [sym_class_declaration] = STATE(2581),
    [sym_final_modifier] = STATE(2084),
    [sym_abstract_modifier] = STATE(2084),
    [sym_readonly_modifier] = STATE(2575),
    [sym_const_declaration] = STATE(2581),
    [sym__const_declaration] = STATE(1931),
    [sym_static_modifier] = STATE(2634),
    [sym_visibility_modifier] = STATE(2576),
    [sym_function_definition] = STATE(2581),
    [sym__function_definition_header] = STATE(2275),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_echo_statement] = STATE(2581),
    [sym_unset_statement] = STATE(2581),
    [sym_declare_statement] = STATE(2581),
    [sym_try_statement] = STATE(2581),
    [sym_goto_statement] = STATE(2581),
    [sym_continue_statement] = STATE(2581),
    [sym_break_statement] = STATE(2581),
    [sym_return_statement] = STATE(2581),
    [sym_throw_expression] = STATE(1050),
    [sym_while_statement] = STATE(2581),
    [sym_do_statement] = STATE(2581),
    [sym_for_statement] = STATE(2581),
    [sym_foreach_statement] = STATE(2581),
    [sym_if_statement] = STATE(2581),
    [sym_match_expression] = STATE(1080),
    [sym_switch_statement] = STATE(2581),
    [sym_compound_statement] = STATE(2581),
    [sym_named_label_statement] = STATE(2581),
    [sym_expression_statement] = STATE(2581),
    [sym__expression] = STATE(1237),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1420),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(359),
    [anon_sym_SEMI] = ACTIONS(507),
    [aux_sym_function_static_declaration_token1] = ACTIONS(363),
    [aux_sym_global_declaration_token1] = ACTIONS(365),
    [aux_sym_namespace_definition_token1] = ACTIONS(367),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(369),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(23),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(371),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(373),
    [aux_sym_trait_declaration_token1] = ACTIONS(375),
    [aux_sym_interface_declaration_token1] = ACTIONS(377),
    [aux_sym_enum_declaration_token1] = ACTIONS(379),
    [aux_sym_class_declaration_token1] = ACTIONS(383),
    [aux_sym_final_modifier_token1] = ACTIONS(39),
    [aux_sym_abstract_modifier_token1] = ACTIONS(41),
    [aux_sym_readonly_modifier_token1] = ACTIONS(43),
    [aux_sym_visibility_modifier_token1] = ACTIONS(45),
    [aux_sym_visibility_modifier_token2] = ACTIONS(45),
    [aux_sym_visibility_modifier_token3] = ACTIONS(45),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [aux_sym_echo_statement_token1] = ACTIONS(385),
    [anon_sym_unset] = ACTIONS(387),
    [aux_sym_declare_statement_token1] = ACTIONS(419),
    [sym_float] = ACTIONS(59),
    [aux_sym_try_statement_token1] = ACTIONS(391),
    [aux_sym_goto_statement_token1] = ACTIONS(393),
    [aux_sym_continue_statement_token1] = ACTIONS(395),
    [aux_sym_break_statement_token1] = ACTIONS(397),
    [sym_integer] = ACTIONS(59),
    [aux_sym_return_statement_token1] = ACTIONS(399),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(403),
    [aux_sym_for_statement_token1] = ACTIONS(423),
    [aux_sym_foreach_statement_token1] = ACTIONS(425),
    [aux_sym_if_statement_token1] = ACTIONS(427),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [aux_sym_switch_statement_token1] = ACTIONS(411),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(984),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(914),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(547),
    [anon_sym_AMP] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(557),
    [anon_sym_RBRACE] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(547),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_EQ_GT] = ACTIONS(547),
    [anon_sym_LPAREN] = ACTIONS(559),
    [anon_sym_RPAREN] = ACTIONS(547),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(561),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(557),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_STAR_STAR] = ACTIONS(547),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_yield_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token1] = ACTIONS(557),
    [anon_sym_QMARK_QMARK] = ACTIONS(547),
    [aux_sym_binary_expression_token2] = ACTIONS(557),
    [aux_sym_binary_expression_token3] = ACTIONS(557),
    [aux_sym_binary_expression_token4] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(547),
    [anon_sym_AMP_AMP] = ACTIONS(547),
    [anon_sym_CARET] = ACTIONS(547),
    [anon_sym_EQ_EQ] = ACTIONS(557),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_LT_GT] = ACTIONS(547),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(547),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(557),
    [anon_sym_GT] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(557),
    [anon_sym_GT_EQ] = ACTIONS(547),
    [anon_sym_LT_EQ_GT] = ACTIONS(547),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(547),
    [anon_sym_DOT] = ACTIONS(557),
    [anon_sym_STAR] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(547),
    [anon_sym_PERCENT] = ACTIONS(547),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1024),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(914),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(547),
    [anon_sym_AMP] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(547),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(547),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_EQ_GT] = ACTIONS(547),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(611),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(557),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_STAR_STAR] = ACTIONS(547),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(547),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_yield_expression_token2] = ACTIONS(629),
    [aux_sym_binary_expression_token1] = ACTIONS(557),
    [anon_sym_QMARK_QMARK] = ACTIONS(547),
    [aux_sym_binary_expression_token2] = ACTIONS(557),
    [aux_sym_binary_expression_token3] = ACTIONS(557),
    [aux_sym_binary_expression_token4] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(547),
    [anon_sym_AMP_AMP] = ACTIONS(547),
    [anon_sym_CARET] = ACTIONS(547),
    [anon_sym_EQ_EQ] = ACTIONS(557),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_LT_GT] = ACTIONS(547),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(547),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(557),
    [anon_sym_GT] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(557),
    [anon_sym_GT_EQ] = ACTIONS(547),
    [anon_sym_LT_EQ_GT] = ACTIONS(547),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(547),
    [anon_sym_DOT] = ACTIONS(557),
    [anon_sym_STAR] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(547),
    [anon_sym_PERCENT] = ACTIONS(547),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1118),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_variadic_unpacking] = STATE(1049),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_by_ref] = STATE(1049),
    [sym_yield_expression] = STATE(1084),
    [sym_array_element_initializer] = STATE(1119),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [anon_sym_SEMI] = ACTIONS(547),
    [anon_sym_AMP] = ACTIONS(641),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [anon_sym_COMMA] = ACTIONS(547),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_EQ_GT] = ACTIONS(547),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(647),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(557),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(89),
    [anon_sym_STAR_STAR] = ACTIONS(547),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_yield_expression_token2] = ACTIONS(649),
    [aux_sym_binary_expression_token1] = ACTIONS(557),
    [anon_sym_QMARK_QMARK] = ACTIONS(547),
    [aux_sym_binary_expression_token2] = ACTIONS(557),
    [aux_sym_binary_expression_token3] = ACTIONS(557),
    [aux_sym_binary_expression_token4] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(547),
    [anon_sym_AMP_AMP] = ACTIONS(547),
    [anon_sym_CARET] = ACTIONS(547),
    [anon_sym_EQ_EQ] = ACTIONS(557),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_LT_GT] = ACTIONS(547),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(547),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(557),
    [anon_sym_GT] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(557),
    [anon_sym_GT_EQ] = ACTIONS(547),
    [anon_sym_LT_EQ_GT] = ACTIONS(547),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(547),
    [anon_sym_DOT] = ACTIONS(557),
    [anon_sym_STAR] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(547),
    [anon_sym_PERCENT] = ACTIONS(547),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(547),
  },
  [88] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1167),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(914),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(549),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(547),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_EQ_GT] = ACTIONS(547),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(547),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [anon_sym_QMARK] = ACTIONS(557),
    [anon_sym_PIPE] = ACTIONS(557),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(547),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_yield_expression_token2] = ACTIONS(671),
    [aux_sym_binary_expression_token1] = ACTIONS(557),
    [anon_sym_QMARK_QMARK] = ACTIONS(547),
    [aux_sym_binary_expression_token2] = ACTIONS(557),
    [aux_sym_binary_expression_token3] = ACTIONS(557),
    [aux_sym_binary_expression_token4] = ACTIONS(557),
    [anon_sym_PIPE_PIPE] = ACTIONS(547),
    [anon_sym_AMP_AMP] = ACTIONS(547),
    [anon_sym_CARET] = ACTIONS(547),
    [anon_sym_EQ_EQ] = ACTIONS(557),
    [anon_sym_BANG_EQ] = ACTIONS(557),
    [anon_sym_LT_GT] = ACTIONS(547),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(547),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(557),
    [anon_sym_GT] = ACTIONS(557),
    [anon_sym_LT_EQ] = ACTIONS(557),
    [anon_sym_GT_EQ] = ACTIONS(547),
    [anon_sym_LT_EQ_GT] = ACTIONS(547),
    [anon_sym_LT_LT] = ACTIONS(557),
    [anon_sym_GT_GT] = ACTIONS(547),
    [anon_sym_DOT] = ACTIONS(557),
    [anon_sym_STAR] = ACTIONS(557),
    [anon_sym_SLASH] = ACTIONS(547),
    [anon_sym_PERCENT] = ACTIONS(547),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_cast_type] = STATE(2463),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1277),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(681),
    [aux_sym_cast_type_token2] = ACTIONS(683),
    [aux_sym_cast_type_token3] = ACTIONS(683),
    [aux_sym_cast_type_token4] = ACTIONS(683),
    [aux_sym_cast_type_token5] = ACTIONS(683),
    [aux_sym_cast_type_token6] = ACTIONS(683),
    [aux_sym_cast_type_token7] = ACTIONS(683),
    [aux_sym_cast_type_token8] = ACTIONS(683),
    [aux_sym_cast_type_token9] = ACTIONS(683),
    [aux_sym_cast_type_token10] = ACTIONS(683),
    [aux_sym_cast_type_token11] = ACTIONS(683),
    [aux_sym_cast_type_token12] = ACTIONS(683),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_cast_type] = STATE(2591),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(681),
    [aux_sym_cast_type_token2] = ACTIONS(683),
    [aux_sym_cast_type_token3] = ACTIONS(683),
    [aux_sym_cast_type_token4] = ACTIONS(683),
    [aux_sym_cast_type_token5] = ACTIONS(683),
    [aux_sym_cast_type_token6] = ACTIONS(683),
    [aux_sym_cast_type_token7] = ACTIONS(683),
    [aux_sym_cast_type_token8] = ACTIONS(683),
    [aux_sym_cast_type_token9] = ACTIONS(683),
    [aux_sym_cast_type_token10] = ACTIONS(683),
    [aux_sym_cast_type_token11] = ACTIONS(683),
    [aux_sym_cast_type_token12] = ACTIONS(683),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_cast_type] = STATE(2471),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(681),
    [aux_sym_cast_type_token2] = ACTIONS(683),
    [aux_sym_cast_type_token3] = ACTIONS(683),
    [aux_sym_cast_type_token4] = ACTIONS(683),
    [aux_sym_cast_type_token5] = ACTIONS(683),
    [aux_sym_cast_type_token6] = ACTIONS(683),
    [aux_sym_cast_type_token7] = ACTIONS(683),
    [aux_sym_cast_type_token8] = ACTIONS(683),
    [aux_sym_cast_type_token9] = ACTIONS(683),
    [aux_sym_cast_type_token10] = ACTIONS(683),
    [aux_sym_cast_type_token11] = ACTIONS(683),
    [aux_sym_cast_type_token12] = ACTIONS(683),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_cast_type] = STATE(2557),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(681),
    [aux_sym_cast_type_token2] = ACTIONS(683),
    [aux_sym_cast_type_token3] = ACTIONS(683),
    [aux_sym_cast_type_token4] = ACTIONS(683),
    [aux_sym_cast_type_token5] = ACTIONS(683),
    [aux_sym_cast_type_token6] = ACTIONS(683),
    [aux_sym_cast_type_token7] = ACTIONS(683),
    [aux_sym_cast_type_token8] = ACTIONS(683),
    [aux_sym_cast_type_token9] = ACTIONS(683),
    [aux_sym_cast_type_token10] = ACTIONS(683),
    [aux_sym_cast_type_token11] = ACTIONS(683),
    [aux_sym_cast_type_token12] = ACTIONS(683),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_cast_type] = STATE(2463),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(681),
    [aux_sym_cast_type_token2] = ACTIONS(683),
    [aux_sym_cast_type_token3] = ACTIONS(683),
    [aux_sym_cast_type_token4] = ACTIONS(683),
    [aux_sym_cast_type_token5] = ACTIONS(683),
    [aux_sym_cast_type_token6] = ACTIONS(683),
    [aux_sym_cast_type_token7] = ACTIONS(683),
    [aux_sym_cast_type_token8] = ACTIONS(683),
    [aux_sym_cast_type_token9] = ACTIONS(683),
    [aux_sym_cast_type_token10] = ACTIONS(683),
    [aux_sym_cast_type_token11] = ACTIONS(683),
    [aux_sym_cast_type_token12] = ACTIONS(683),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_cast_type] = STATE(2534),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(681),
    [aux_sym_cast_type_token2] = ACTIONS(683),
    [aux_sym_cast_type_token3] = ACTIONS(683),
    [aux_sym_cast_type_token4] = ACTIONS(683),
    [aux_sym_cast_type_token5] = ACTIONS(683),
    [aux_sym_cast_type_token6] = ACTIONS(683),
    [aux_sym_cast_type_token7] = ACTIONS(683),
    [aux_sym_cast_type_token8] = ACTIONS(683),
    [aux_sym_cast_type_token9] = ACTIONS(683),
    [aux_sym_cast_type_token10] = ACTIONS(683),
    [aux_sym_cast_type_token11] = ACTIONS(683),
    [aux_sym_cast_type_token12] = ACTIONS(683),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_cast_type] = STATE(2546),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(681),
    [aux_sym_cast_type_token2] = ACTIONS(683),
    [aux_sym_cast_type_token3] = ACTIONS(683),
    [aux_sym_cast_type_token4] = ACTIONS(683),
    [aux_sym_cast_type_token5] = ACTIONS(683),
    [aux_sym_cast_type_token6] = ACTIONS(683),
    [aux_sym_cast_type_token7] = ACTIONS(683),
    [aux_sym_cast_type_token8] = ACTIONS(683),
    [aux_sym_cast_type_token9] = ACTIONS(683),
    [aux_sym_cast_type_token10] = ACTIONS(683),
    [aux_sym_cast_type_token11] = ACTIONS(683),
    [aux_sym_cast_type_token12] = ACTIONS(683),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_cast_type] = STATE(2558),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1277),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(681),
    [aux_sym_cast_type_token2] = ACTIONS(683),
    [aux_sym_cast_type_token3] = ACTIONS(683),
    [aux_sym_cast_type_token4] = ACTIONS(683),
    [aux_sym_cast_type_token5] = ACTIONS(683),
    [aux_sym_cast_type_token6] = ACTIONS(683),
    [aux_sym_cast_type_token7] = ACTIONS(683),
    [aux_sym_cast_type_token8] = ACTIONS(683),
    [aux_sym_cast_type_token9] = ACTIONS(683),
    [aux_sym_cast_type_token10] = ACTIONS(683),
    [aux_sym_cast_type_token11] = ACTIONS(683),
    [aux_sym_cast_type_token12] = ACTIONS(683),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_cast_type] = STATE(2550),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(681),
    [aux_sym_cast_type_token2] = ACTIONS(683),
    [aux_sym_cast_type_token3] = ACTIONS(683),
    [aux_sym_cast_type_token4] = ACTIONS(683),
    [aux_sym_cast_type_token5] = ACTIONS(683),
    [aux_sym_cast_type_token6] = ACTIONS(683),
    [aux_sym_cast_type_token7] = ACTIONS(683),
    [aux_sym_cast_type_token8] = ACTIONS(683),
    [aux_sym_cast_type_token9] = ACTIONS(683),
    [aux_sym_cast_type_token10] = ACTIONS(683),
    [aux_sym_cast_type_token11] = ACTIONS(683),
    [aux_sym_cast_type_token12] = ACTIONS(683),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_cast_type] = STATE(2542),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(681),
    [aux_sym_cast_type_token2] = ACTIONS(683),
    [aux_sym_cast_type_token3] = ACTIONS(683),
    [aux_sym_cast_type_token4] = ACTIONS(683),
    [aux_sym_cast_type_token5] = ACTIONS(683),
    [aux_sym_cast_type_token6] = ACTIONS(683),
    [aux_sym_cast_type_token7] = ACTIONS(683),
    [aux_sym_cast_type_token8] = ACTIONS(683),
    [aux_sym_cast_type_token9] = ACTIONS(683),
    [aux_sym_cast_type_token10] = ACTIONS(683),
    [aux_sym_cast_type_token11] = ACTIONS(683),
    [aux_sym_cast_type_token12] = ACTIONS(683),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_cast_type] = STATE(2553),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(681),
    [aux_sym_cast_type_token2] = ACTIONS(683),
    [aux_sym_cast_type_token3] = ACTIONS(683),
    [aux_sym_cast_type_token4] = ACTIONS(683),
    [aux_sym_cast_type_token5] = ACTIONS(683),
    [aux_sym_cast_type_token6] = ACTIONS(683),
    [aux_sym_cast_type_token7] = ACTIONS(683),
    [aux_sym_cast_type_token8] = ACTIONS(683),
    [aux_sym_cast_type_token9] = ACTIONS(683),
    [aux_sym_cast_type_token10] = ACTIONS(683),
    [aux_sym_cast_type_token11] = ACTIONS(683),
    [aux_sym_cast_type_token12] = ACTIONS(683),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1193),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2040),
    [sym__array_destructing_element] = STATE(2038),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(2314),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2011),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym__array_destructing_repeat1] = STATE(2031),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(687),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_RBRACK] = ACTIONS(689),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1193),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2040),
    [sym__array_destructing_element] = STATE(2038),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(2314),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2011),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym__array_destructing_repeat1] = STATE(2031),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(687),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_RBRACK] = ACTIONS(691),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1193),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2040),
    [sym__array_destructing_element] = STATE(2038),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(2314),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2011),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym__array_destructing_repeat1] = STATE(2031),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(687),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_RBRACK] = ACTIONS(693),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1193),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2040),
    [sym__array_destructing_element] = STATE(2038),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(2314),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2034),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym__array_destructing_repeat1] = STATE(2031),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(695),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_RBRACK] = ACTIONS(697),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1193),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(645),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(645),
    [sym_nullsafe_member_access_expression] = STATE(645),
    [sym_scoped_property_access_expression] = STATE(645),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2040),
    [sym__array_destructing_element] = STATE(2038),
    [sym_function_call_expression] = STATE(624),
    [sym_scoped_call_expression] = STATE(624),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(624),
    [sym_nullsafe_member_call_expression] = STATE(624),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(624),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(624),
    [sym_variable_name] = STATE(624),
    [sym_by_ref] = STATE(2314),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2011),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym__array_destructing_repeat1] = STATE(2031),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(687),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_RBRACK] = ACTIONS(699),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_variadic_placeholder] = STATE(2470),
    [sym_argument] = STATE(1935),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(705),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_variadic_placeholder] = STATE(2487),
    [sym_argument] = STATE(1966),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(711),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_variadic_placeholder] = STATE(2641),
    [sym_argument] = STATE(2155),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(715),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_variadic_placeholder] = STATE(2652),
    [sym_argument] = STATE(2151),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(719),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(721),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_variadic_placeholder] = STATE(2617),
    [sym_argument] = STATE(2106),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(723),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_variadic_placeholder] = STATE(2659),
    [sym_argument] = STATE(2174),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(727),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_variadic_placeholder] = STATE(2656),
    [sym_argument] = STATE(2187),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(731),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(733),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_variadic_placeholder] = STATE(2629),
    [sym_argument] = STATE(2138),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(735),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1203),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2011),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(739),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1203),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2034),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(743),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(745),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(1975),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(1925),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(751),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1203),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2145),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(755),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(757),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(2085),
    [sym_match_default_expression] = STATE(2085),
    [sym__expression] = STATE(1192),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(759),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(761),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1203),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2145),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(765),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2145),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2145),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(781),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(785),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(787),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(1954),
    [sym_match_default_expression] = STATE(1954),
    [sym__expression] = STATE(1192),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(789),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(791),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(795),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2145),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(799),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1203),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2145),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(801),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2145),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(805),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1203),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2145),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(809),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(811),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1313),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(648),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(648),
    [sym_nullsafe_member_access_expression] = STATE(648),
    [sym_scoped_property_access_expression] = STATE(648),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2040),
    [sym__array_destructing_element] = STATE(2378),
    [sym_function_call_expression] = STATE(636),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(636),
    [sym_variable_name] = STATE(636),
    [sym_by_ref] = STATE(2378),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(813),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(819),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1205),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2145),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(2278),
    [sym_match_default_expression] = STATE(2278),
    [sym__expression] = STATE(1192),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(822),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(2278),
    [sym_match_default_expression] = STATE(2278),
    [sym__expression] = STATE(1192),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(824),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(2278),
    [sym_match_default_expression] = STATE(2278),
    [sym__expression] = STATE(1192),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(826),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_reference_modifier] = STATE(190),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1243),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_argument] = STATE(2313),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2407),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1535),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(701),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1313),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(648),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(648),
    [sym_nullsafe_member_access_expression] = STATE(648),
    [sym_scoped_property_access_expression] = STATE(648),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2040),
    [sym__array_destructing_element] = STATE(2378),
    [sym_function_call_expression] = STATE(636),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(636),
    [sym_variable_name] = STATE(636),
    [sym_by_ref] = STATE(2378),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(813),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(813),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1203),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_variadic_unpacking] = STATE(955),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(955),
    [sym_yield_expression] = STATE(941),
    [sym_array_element_initializer] = STATE(2145),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(611),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(2278),
    [sym_match_default_expression] = STATE(2278),
    [sym__expression] = STATE(1192),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_RBRACE] = ACTIONS(828),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1304),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(639),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(639),
    [sym_nullsafe_member_access_expression] = STATE(639),
    [sym_scoped_property_access_expression] = STATE(639),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(1910),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(608),
    [sym_scoped_call_expression] = STATE(608),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(608),
    [sym_nullsafe_member_call_expression] = STATE(608),
    [sym_subscript_expression] = STATE(608),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(608),
    [sym_variable_name] = STATE(608),
    [sym_by_ref] = STATE(1945),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym__list_destructing_repeat1] = STATE(1947),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(830),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(832),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1313),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(648),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(648),
    [sym_nullsafe_member_access_expression] = STATE(648),
    [sym_scoped_property_access_expression] = STATE(648),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2040),
    [sym__array_destructing_element] = STATE(2378),
    [sym_function_call_expression] = STATE(636),
    [sym_scoped_call_expression] = STATE(636),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(636),
    [sym_nullsafe_member_call_expression] = STATE(636),
    [sym_subscript_expression] = STATE(636),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(636),
    [sym_variable_name] = STATE(636),
    [sym_by_ref] = STATE(2378),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(813),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_RBRACK] = ACTIONS(834),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_reference_modifier] = STATE(202),
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1236),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2309),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1491),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(703),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1294),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(649),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(649),
    [sym_nullsafe_member_access_expression] = STATE(649),
    [sym_scoped_property_access_expression] = STATE(649),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2108),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(620),
    [sym_scoped_call_expression] = STATE(620),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(620),
    [sym_nullsafe_member_call_expression] = STATE(620),
    [sym_subscript_expression] = STATE(620),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(620),
    [sym_variable_name] = STATE(620),
    [sym_by_ref] = STATE(2242),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [anon_sym_COMMA] = ACTIONS(837),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(837),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym_match_condition_list] = STATE(2585),
    [sym_match_conditional_expression] = STATE(2278),
    [sym_match_default_expression] = STATE(2278),
    [sym__expression] = STATE(1192),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [aux_sym_match_default_expression_token1] = ACTIONS(763),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2506),
    [sym_sequence_expression] = STATE(2506),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(839),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2467),
    [sym_sequence_expression] = STATE(2467),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(841),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2606),
    [sym_sequence_expression] = STATE(2606),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(843),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2461),
    [sym_sequence_expression] = STATE(2461),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(845),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2528),
    [sym_sequence_expression] = STATE(2528),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(847),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2608),
    [sym_sequence_expression] = STATE(2608),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(849),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_foreach_pair] = STATE(2526),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1227),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2345),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2526),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2612),
    [sym_sequence_expression] = STATE(2612),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(851),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2614),
    [sym_sequence_expression] = STATE(2614),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(853),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2601),
    [sym_sequence_expression] = STATE(2601),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(855),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2632),
    [sym_sequence_expression] = STATE(2632),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(857),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2565),
    [sym_sequence_expression] = STATE(2565),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(859),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2516),
    [sym_sequence_expression] = STATE(2516),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(861),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2460),
    [sym_sequence_expression] = STATE(2460),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(863),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_foreach_pair] = STATE(2610),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1246),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2252),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2610),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2660),
    [sym_sequence_expression] = STATE(2660),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(865),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2611),
    [sym_sequence_expression] = STATE(2611),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(867),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_foreach_pair] = STATE(2462),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1226),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2440),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2462),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2662),
    [sym_sequence_expression] = STATE(2662),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(869),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2613),
    [sym_sequence_expression] = STATE(2613),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(871),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2665),
    [sym_sequence_expression] = STATE(2665),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(873),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2555),
    [sym_sequence_expression] = STATE(2555),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(875),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_foreach_pair] = STATE(2609),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1211),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2250),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2609),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2465),
    [sym_sequence_expression] = STATE(2465),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(877),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2667),
    [sym_sequence_expression] = STATE(2667),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1212),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(879),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2675),
    [sym_sequence_expression] = STATE(2675),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(881),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2668),
    [sym_sequence_expression] = STATE(2668),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(883),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__expressions] = STATE(2636),
    [sym_sequence_expression] = STATE(2636),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1245),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_SEMI] = ACTIONS(885),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1311),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2192),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2554),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1234),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [anon_sym_SEMI] = ACTIONS(887),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(887),
  },
  [187] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(993),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(933),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(889),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1233),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [anon_sym_SEMI] = ACTIONS(891),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(891),
  },
  [189] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1037),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(933),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(889),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1250),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2210),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1520),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1131),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_by_ref] = STATE(1054),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(893),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2302),
    [sym_sequence_expression] = STATE(2302),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1187),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1224),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [anon_sym_SEMI] = ACTIONS(895),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(895),
  },
  [194] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1037),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(650),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(650),
    [sym_nullsafe_member_access_expression] = STATE(650),
    [sym_scoped_property_access_expression] = STATE(650),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2135),
    [sym_function_call_expression] = STATE(644),
    [sym_scoped_call_expression] = STATE(644),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(644),
    [sym_nullsafe_member_call_expression] = STATE(644),
    [sym_subscript_expression] = STATE(644),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(644),
    [sym_variable_name] = STATE(644),
    [sym_by_ref] = STATE(2230),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1210),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [anon_sym_SEMI] = ACTIONS(897),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(897),
  },
  [196] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1219),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [anon_sym_SEMI] = ACTIONS(899),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(899),
  },
  [197] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__expressions] = STATE(2312),
    [sym_sequence_expression] = STATE(2312),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1187),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1037),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_by_ref] = STATE(933),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1179),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_by_ref] = STATE(933),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(889),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1179),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_by_ref] = STATE(933),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(685),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1220),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [anon_sym_SEMI] = ACTIONS(901),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(901),
  },
  [202] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1248),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_variadic_unpacking] = STATE(2258),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1533),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(653),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1291),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(903),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(905),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1317),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(907),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1004),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(909),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1218),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1241),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_EQ_GT] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1045),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(913),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1284),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(915),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_sequence_expression] = STATE(2297),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1195),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_sequence_expression] = STATE(2221),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1244),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1241),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_EQ_GT] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1286),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(919),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1266),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1181),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [anon_sym_AMP] = ACTIONS(923),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1303),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(925),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1260),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(927),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1273),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(929),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1251),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_RBRACK] = ACTIONS(931),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1085),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [anon_sym_AMP] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1276),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [anon_sym_COLON] = ACTIONS(935),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(928),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1126),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1255),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1271),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1258),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1257),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1099),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1277),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1191),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1256),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1034),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1102),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(976),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1104),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1125),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1015),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1225),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1114),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1111),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1110),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1109),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1107),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1105),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1101),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1047),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1098),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1095),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1093),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1091),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1090),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1088),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1087),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1232),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1221),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1081),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1267),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1108),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1217),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1231),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1215),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1228),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1208),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1223),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1222),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1100),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1274),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1043),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1184),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1042),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1035),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1254),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1120),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1121),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1039),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1123),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1127),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1206),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1025),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1012),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1241),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1032),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1239),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1238),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1038),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1182),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1041),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(976),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1183),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1175),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1174),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1020),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1044),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1173),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1172),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1171),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1162),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1165),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1017),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1164),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1030),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1160),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1158),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1229),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1157),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1155),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1169),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1033),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1153),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1040),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1259),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1209),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1154),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1159),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1161),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1310),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1200),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1163),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1235),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1240),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1242),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1299),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1003),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(932),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1166),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1298),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(928),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(989),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1295),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1293),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1168),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(982),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1031),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(981),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(995),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(996),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(928),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(932),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1013),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1170),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1051),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1292),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1290),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1028),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1058),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1085),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1275),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1289),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1307),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1016),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1297),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1007),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1282),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1315),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1322),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1281),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1324),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1026),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1280),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1270),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1269),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1268),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1288),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1080),
    [sym__expression] = STATE(1103),
    [sym__unary_expression] = STATE(1082),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1082),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1082),
    [sym_cast_variable] = STATE(643),
    [sym_assignment_expression] = STATE(1084),
    [sym_reference_assignment_expression] = STATE(1084),
    [sym_conditional_expression] = STATE(1084),
    [sym_augmented_assignment_expression] = STATE(1084),
    [sym_member_access_expression] = STATE(643),
    [sym_nullsafe_member_access_expression] = STATE(643),
    [sym_scoped_property_access_expression] = STATE(643),
    [sym_list_literal] = STATE(2627),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(604),
    [sym_scoped_call_expression] = STATE(604),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(604),
    [sym_nullsafe_member_call_expression] = STATE(604),
    [sym_subscript_expression] = STATE(604),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(604),
    [sym_variable_name] = STATE(604),
    [sym_yield_expression] = STATE(1084),
    [sym_binary_expression] = STATE(1084),
    [sym_include_expression] = STATE(1084),
    [sym_include_once_expression] = STATE(1084),
    [sym_require_expression] = STATE(1084),
    [sym_require_once_expression] = STATE(1084),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_yield_expression_token1] = ACTIONS(119),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [aux_sym_require_expression_token1] = ACTIONS(125),
    [aux_sym_require_once_expression_token1] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1319),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1180),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1004),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1262),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(998),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1151),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1253),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1185),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1214),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(991),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(986),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1264),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1272),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1316),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(992),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1283),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1018),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1302),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1021),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1285),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1287),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(932),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(985),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1014),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(983),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1045),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1011),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1181),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(994),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1005),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(999),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(990),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(987),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1314),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(997),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1300),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1309),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1305),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1019),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1306),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1023),
    [sym__expression] = STATE(1036),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(634),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(634),
    [sym_nullsafe_member_access_expression] = STATE(634),
    [sym_scoped_property_access_expression] = STATE(634),
    [sym_list_literal] = STATE(2473),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(602),
    [sym_scoped_call_expression] = STATE(602),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(602),
    [sym_nullsafe_member_call_expression] = STATE(602),
    [sym_subscript_expression] = STATE(602),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(602),
    [sym_variable_name] = STATE(602),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(627),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [aux_sym_require_expression_token1] = ACTIONS(635),
    [aux_sym_require_once_expression_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1000),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1002),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1010),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1009),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1008),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(988),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1252),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1318),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1308),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(976),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1001),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1263),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1312),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1178),
    [sym__expression] = STATE(1216),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(647),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(647),
    [sym_nullsafe_member_access_expression] = STATE(647),
    [sym_scoped_property_access_expression] = STATE(647),
    [sym_list_literal] = STATE(2532),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(638),
    [sym_scoped_call_expression] = STATE(638),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(638),
    [sym_nullsafe_member_call_expression] = STATE(638),
    [sym_subscript_expression] = STATE(638),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(638),
    [sym_variable_name] = STATE(638),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(669),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [aux_sym_require_expression_token1] = ACTIONS(677),
    [aux_sym_require_once_expression_token1] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1006),
    [sym__expression] = STATE(1265),
    [sym__unary_expression] = STATE(953),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(953),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(953),
    [sym_cast_variable] = STATE(603),
    [sym_assignment_expression] = STATE(941),
    [sym_reference_assignment_expression] = STATE(941),
    [sym_conditional_expression] = STATE(941),
    [sym_augmented_assignment_expression] = STATE(941),
    [sym_member_access_expression] = STATE(603),
    [sym_nullsafe_member_access_expression] = STATE(603),
    [sym_scoped_property_access_expression] = STATE(603),
    [sym_list_literal] = STATE(2453),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(598),
    [sym_scoped_call_expression] = STATE(598),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(598),
    [sym_nullsafe_member_call_expression] = STATE(598),
    [sym_subscript_expression] = STATE(598),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(598),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(941),
    [sym_binary_expression] = STATE(941),
    [sym_include_expression] = STATE(941),
    [sym_include_once_expression] = STATE(941),
    [sym_require_expression] = STATE(941),
    [sym_require_once_expression] = STATE(941),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_yield_expression_token1] = ACTIONS(597),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [aux_sym_require_expression_token1] = ACTIONS(605),
    [aux_sym_require_once_expression_token1] = ACTIONS(607),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_catch_clause] = STATE(422),
    [sym_finally_clause] = STATE(422),
    [aux_sym_try_statement_repeat1] = STATE(422),
    [ts_builtin_sym_end] = ACTIONS(937),
    [sym_name] = ACTIONS(939),
    [anon_sym_QMARK_GT] = ACTIONS(937),
    [anon_sym_SEMI] = ACTIONS(937),
    [aux_sym_function_static_declaration_token1] = ACTIONS(939),
    [aux_sym_global_declaration_token1] = ACTIONS(939),
    [aux_sym_namespace_definition_token1] = ACTIONS(939),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(939),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(939),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(939),
    [anon_sym_BSLASH] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_RBRACE] = ACTIONS(937),
    [aux_sym_trait_declaration_token1] = ACTIONS(939),
    [aux_sym_interface_declaration_token1] = ACTIONS(939),
    [aux_sym_enum_declaration_token1] = ACTIONS(939),
    [aux_sym_enum_case_token1] = ACTIONS(939),
    [aux_sym_class_declaration_token1] = ACTIONS(939),
    [aux_sym_final_modifier_token1] = ACTIONS(939),
    [aux_sym_abstract_modifier_token1] = ACTIONS(939),
    [aux_sym_readonly_modifier_token1] = ACTIONS(939),
    [aux_sym_visibility_modifier_token1] = ACTIONS(939),
    [aux_sym_visibility_modifier_token2] = ACTIONS(939),
    [aux_sym_visibility_modifier_token3] = ACTIONS(939),
    [aux_sym__arrow_function_header_token1] = ACTIONS(939),
    [anon_sym_LPAREN] = ACTIONS(937),
    [aux_sym_cast_type_token1] = ACTIONS(939),
    [aux_sym_echo_statement_token1] = ACTIONS(939),
    [anon_sym_unset] = ACTIONS(939),
    [aux_sym_declare_statement_token1] = ACTIONS(939),
    [aux_sym_declare_statement_token2] = ACTIONS(939),
    [sym_float] = ACTIONS(939),
    [aux_sym_try_statement_token1] = ACTIONS(939),
    [aux_sym_catch_clause_token1] = ACTIONS(941),
    [aux_sym_finally_clause_token1] = ACTIONS(944),
    [aux_sym_goto_statement_token1] = ACTIONS(939),
    [aux_sym_continue_statement_token1] = ACTIONS(939),
    [aux_sym_break_statement_token1] = ACTIONS(939),
    [sym_integer] = ACTIONS(939),
    [aux_sym_return_statement_token1] = ACTIONS(939),
    [aux_sym_throw_expression_token1] = ACTIONS(939),
    [aux_sym_while_statement_token1] = ACTIONS(939),
    [aux_sym_while_statement_token2] = ACTIONS(939),
    [aux_sym_do_statement_token1] = ACTIONS(939),
    [aux_sym_for_statement_token1] = ACTIONS(939),
    [aux_sym_for_statement_token2] = ACTIONS(939),
    [aux_sym_foreach_statement_token1] = ACTIONS(939),
    [aux_sym_foreach_statement_token2] = ACTIONS(939),
    [aux_sym_if_statement_token1] = ACTIONS(939),
    [aux_sym_if_statement_token2] = ACTIONS(939),
    [aux_sym_else_if_clause_token1] = ACTIONS(939),
    [aux_sym_else_clause_token1] = ACTIONS(939),
    [aux_sym_match_expression_token1] = ACTIONS(939),
    [aux_sym_match_default_expression_token1] = ACTIONS(939),
    [aux_sym_switch_statement_token1] = ACTIONS(939),
    [aux_sym_switch_block_token1] = ACTIONS(939),
    [anon_sym_AT] = ACTIONS(937),
    [anon_sym_PLUS] = ACTIONS(939),
    [anon_sym_DASH] = ACTIONS(939),
    [anon_sym_TILDE] = ACTIONS(937),
    [anon_sym_BANG] = ACTIONS(937),
    [aux_sym_clone_expression_token1] = ACTIONS(939),
    [aux_sym_print_intrinsic_token1] = ACTIONS(939),
    [aux_sym_object_creation_expression_token1] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(937),
    [anon_sym_DASH_DASH] = ACTIONS(937),
    [aux_sym__list_destructing_token1] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_self] = ACTIONS(939),
    [anon_sym_parent] = ACTIONS(939),
    [anon_sym_POUND_LBRACK] = ACTIONS(937),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [aux_sym_encapsed_string_token1] = ACTIONS(937),
    [anon_sym_DQUOTE] = ACTIONS(937),
    [aux_sym_string_token1] = ACTIONS(937),
    [anon_sym_LT_LT_LT] = ACTIONS(937),
    [anon_sym_BQUOTE] = ACTIONS(937),
    [sym_boolean] = ACTIONS(939),
    [sym_null] = ACTIONS(939),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [aux_sym_yield_expression_token1] = ACTIONS(939),
    [aux_sym_include_expression_token1] = ACTIONS(939),
    [aux_sym_include_once_expression_token1] = ACTIONS(939),
    [aux_sym_require_expression_token1] = ACTIONS(939),
    [aux_sym_require_once_expression_token1] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_catch_clause] = STATE(422),
    [sym_finally_clause] = STATE(422),
    [aux_sym_try_statement_repeat1] = STATE(422),
    [ts_builtin_sym_end] = ACTIONS(947),
    [sym_name] = ACTIONS(949),
    [anon_sym_QMARK_GT] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_function_static_declaration_token1] = ACTIONS(949),
    [aux_sym_global_declaration_token1] = ACTIONS(949),
    [aux_sym_namespace_definition_token1] = ACTIONS(949),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(949),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(949),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(949),
    [anon_sym_BSLASH] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(947),
    [anon_sym_RBRACE] = ACTIONS(947),
    [aux_sym_trait_declaration_token1] = ACTIONS(949),
    [aux_sym_interface_declaration_token1] = ACTIONS(949),
    [aux_sym_enum_declaration_token1] = ACTIONS(949),
    [aux_sym_enum_case_token1] = ACTIONS(949),
    [aux_sym_class_declaration_token1] = ACTIONS(949),
    [aux_sym_final_modifier_token1] = ACTIONS(949),
    [aux_sym_abstract_modifier_token1] = ACTIONS(949),
    [aux_sym_readonly_modifier_token1] = ACTIONS(949),
    [aux_sym_visibility_modifier_token1] = ACTIONS(949),
    [aux_sym_visibility_modifier_token2] = ACTIONS(949),
    [aux_sym_visibility_modifier_token3] = ACTIONS(949),
    [aux_sym__arrow_function_header_token1] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(947),
    [aux_sym_cast_type_token1] = ACTIONS(949),
    [aux_sym_echo_statement_token1] = ACTIONS(949),
    [anon_sym_unset] = ACTIONS(949),
    [aux_sym_declare_statement_token1] = ACTIONS(949),
    [aux_sym_declare_statement_token2] = ACTIONS(949),
    [sym_float] = ACTIONS(949),
    [aux_sym_try_statement_token1] = ACTIONS(949),
    [aux_sym_catch_clause_token1] = ACTIONS(951),
    [aux_sym_finally_clause_token1] = ACTIONS(953),
    [aux_sym_goto_statement_token1] = ACTIONS(949),
    [aux_sym_continue_statement_token1] = ACTIONS(949),
    [aux_sym_break_statement_token1] = ACTIONS(949),
    [sym_integer] = ACTIONS(949),
    [aux_sym_return_statement_token1] = ACTIONS(949),
    [aux_sym_throw_expression_token1] = ACTIONS(949),
    [aux_sym_while_statement_token1] = ACTIONS(949),
    [aux_sym_while_statement_token2] = ACTIONS(949),
    [aux_sym_do_statement_token1] = ACTIONS(949),
    [aux_sym_for_statement_token1] = ACTIONS(949),
    [aux_sym_for_statement_token2] = ACTIONS(949),
    [aux_sym_foreach_statement_token1] = ACTIONS(949),
    [aux_sym_foreach_statement_token2] = ACTIONS(949),
    [aux_sym_if_statement_token1] = ACTIONS(949),
    [aux_sym_if_statement_token2] = ACTIONS(949),
    [aux_sym_else_if_clause_token1] = ACTIONS(949),
    [aux_sym_else_clause_token1] = ACTIONS(949),
    [aux_sym_match_expression_token1] = ACTIONS(949),
    [aux_sym_match_default_expression_token1] = ACTIONS(949),
    [aux_sym_switch_statement_token1] = ACTIONS(949),
    [aux_sym_switch_block_token1] = ACTIONS(949),
    [anon_sym_AT] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(947),
    [anon_sym_BANG] = ACTIONS(947),
    [aux_sym_clone_expression_token1] = ACTIONS(949),
    [aux_sym_print_intrinsic_token1] = ACTIONS(949),
    [aux_sym_object_creation_expression_token1] = ACTIONS(949),
    [anon_sym_PLUS_PLUS] = ACTIONS(947),
    [anon_sym_DASH_DASH] = ACTIONS(947),
    [aux_sym__list_destructing_token1] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(947),
    [anon_sym_self] = ACTIONS(949),
    [anon_sym_parent] = ACTIONS(949),
    [anon_sym_POUND_LBRACK] = ACTIONS(947),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [aux_sym_encapsed_string_token1] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(947),
    [aux_sym_string_token1] = ACTIONS(947),
    [anon_sym_LT_LT_LT] = ACTIONS(947),
    [anon_sym_BQUOTE] = ACTIONS(947),
    [sym_boolean] = ACTIONS(949),
    [sym_null] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(947),
    [aux_sym_yield_expression_token1] = ACTIONS(949),
    [aux_sym_include_expression_token1] = ACTIONS(949),
    [aux_sym_include_once_expression_token1] = ACTIONS(949),
    [aux_sym_require_expression_token1] = ACTIONS(949),
    [aux_sym_require_once_expression_token1] = ACTIONS(949),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_else_if_clause] = STATE(486),
    [sym_else_clause] = STATE(547),
    [aux_sym_if_statement_repeat1] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(955),
    [sym_name] = ACTIONS(957),
    [anon_sym_QMARK_GT] = ACTIONS(955),
    [anon_sym_SEMI] = ACTIONS(955),
    [aux_sym_function_static_declaration_token1] = ACTIONS(957),
    [aux_sym_global_declaration_token1] = ACTIONS(957),
    [aux_sym_namespace_definition_token1] = ACTIONS(957),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(957),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(957),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(957),
    [anon_sym_BSLASH] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(955),
    [aux_sym_trait_declaration_token1] = ACTIONS(957),
    [aux_sym_interface_declaration_token1] = ACTIONS(957),
    [aux_sym_enum_declaration_token1] = ACTIONS(957),
    [aux_sym_enum_case_token1] = ACTIONS(957),
    [aux_sym_class_declaration_token1] = ACTIONS(957),
    [aux_sym_final_modifier_token1] = ACTIONS(957),
    [aux_sym_abstract_modifier_token1] = ACTIONS(957),
    [aux_sym_readonly_modifier_token1] = ACTIONS(957),
    [aux_sym_visibility_modifier_token1] = ACTIONS(957),
    [aux_sym_visibility_modifier_token2] = ACTIONS(957),
    [aux_sym_visibility_modifier_token3] = ACTIONS(957),
    [aux_sym__arrow_function_header_token1] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(955),
    [aux_sym_cast_type_token1] = ACTIONS(957),
    [aux_sym_echo_statement_token1] = ACTIONS(957),
    [anon_sym_unset] = ACTIONS(957),
    [aux_sym_declare_statement_token1] = ACTIONS(957),
    [aux_sym_declare_statement_token2] = ACTIONS(957),
    [sym_float] = ACTIONS(957),
    [aux_sym_try_statement_token1] = ACTIONS(957),
    [aux_sym_goto_statement_token1] = ACTIONS(957),
    [aux_sym_continue_statement_token1] = ACTIONS(957),
    [aux_sym_break_statement_token1] = ACTIONS(957),
    [sym_integer] = ACTIONS(957),
    [aux_sym_return_statement_token1] = ACTIONS(957),
    [aux_sym_throw_expression_token1] = ACTIONS(957),
    [aux_sym_while_statement_token1] = ACTIONS(957),
    [aux_sym_while_statement_token2] = ACTIONS(957),
    [aux_sym_do_statement_token1] = ACTIONS(957),
    [aux_sym_for_statement_token1] = ACTIONS(957),
    [aux_sym_for_statement_token2] = ACTIONS(957),
    [aux_sym_foreach_statement_token1] = ACTIONS(957),
    [aux_sym_foreach_statement_token2] = ACTIONS(957),
    [aux_sym_if_statement_token1] = ACTIONS(957),
    [aux_sym_if_statement_token2] = ACTIONS(957),
    [aux_sym_else_if_clause_token1] = ACTIONS(959),
    [aux_sym_else_clause_token1] = ACTIONS(962),
    [aux_sym_match_expression_token1] = ACTIONS(957),
    [aux_sym_match_default_expression_token1] = ACTIONS(957),
    [aux_sym_switch_statement_token1] = ACTIONS(957),
    [aux_sym_switch_block_token1] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [anon_sym_TILDE] = ACTIONS(955),
    [anon_sym_BANG] = ACTIONS(955),
    [aux_sym_clone_expression_token1] = ACTIONS(957),
    [aux_sym_print_intrinsic_token1] = ACTIONS(957),
    [aux_sym_object_creation_expression_token1] = ACTIONS(957),
    [anon_sym_PLUS_PLUS] = ACTIONS(955),
    [anon_sym_DASH_DASH] = ACTIONS(955),
    [aux_sym__list_destructing_token1] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_self] = ACTIONS(957),
    [anon_sym_parent] = ACTIONS(957),
    [anon_sym_POUND_LBRACK] = ACTIONS(955),
    [anon_sym_SQUOTE] = ACTIONS(955),
    [aux_sym_encapsed_string_token1] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(955),
    [aux_sym_string_token1] = ACTIONS(955),
    [anon_sym_LT_LT_LT] = ACTIONS(955),
    [anon_sym_BQUOTE] = ACTIONS(955),
    [sym_boolean] = ACTIONS(957),
    [sym_null] = ACTIONS(957),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [aux_sym_yield_expression_token1] = ACTIONS(957),
    [aux_sym_include_expression_token1] = ACTIONS(957),
    [aux_sym_include_once_expression_token1] = ACTIONS(957),
    [aux_sym_require_expression_token1] = ACTIONS(957),
    [aux_sym_require_once_expression_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_else_if_clause] = STATE(486),
    [sym_else_clause] = STATE(547),
    [aux_sym_if_statement_repeat1] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(955),
    [sym_name] = ACTIONS(957),
    [anon_sym_QMARK_GT] = ACTIONS(955),
    [anon_sym_SEMI] = ACTIONS(955),
    [aux_sym_function_static_declaration_token1] = ACTIONS(957),
    [aux_sym_global_declaration_token1] = ACTIONS(957),
    [aux_sym_namespace_definition_token1] = ACTIONS(957),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(957),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(957),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(957),
    [anon_sym_BSLASH] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(955),
    [aux_sym_trait_declaration_token1] = ACTIONS(957),
    [aux_sym_interface_declaration_token1] = ACTIONS(957),
    [aux_sym_enum_declaration_token1] = ACTIONS(957),
    [aux_sym_enum_case_token1] = ACTIONS(957),
    [aux_sym_class_declaration_token1] = ACTIONS(957),
    [aux_sym_final_modifier_token1] = ACTIONS(957),
    [aux_sym_abstract_modifier_token1] = ACTIONS(957),
    [aux_sym_readonly_modifier_token1] = ACTIONS(957),
    [aux_sym_visibility_modifier_token1] = ACTIONS(957),
    [aux_sym_visibility_modifier_token2] = ACTIONS(957),
    [aux_sym_visibility_modifier_token3] = ACTIONS(957),
    [aux_sym__arrow_function_header_token1] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(955),
    [aux_sym_cast_type_token1] = ACTIONS(957),
    [aux_sym_echo_statement_token1] = ACTIONS(957),
    [anon_sym_unset] = ACTIONS(957),
    [aux_sym_declare_statement_token1] = ACTIONS(957),
    [aux_sym_declare_statement_token2] = ACTIONS(957),
    [sym_float] = ACTIONS(957),
    [aux_sym_try_statement_token1] = ACTIONS(957),
    [aux_sym_goto_statement_token1] = ACTIONS(957),
    [aux_sym_continue_statement_token1] = ACTIONS(957),
    [aux_sym_break_statement_token1] = ACTIONS(957),
    [sym_integer] = ACTIONS(957),
    [aux_sym_return_statement_token1] = ACTIONS(957),
    [aux_sym_throw_expression_token1] = ACTIONS(957),
    [aux_sym_while_statement_token1] = ACTIONS(957),
    [aux_sym_while_statement_token2] = ACTIONS(957),
    [aux_sym_do_statement_token1] = ACTIONS(957),
    [aux_sym_for_statement_token1] = ACTIONS(957),
    [aux_sym_for_statement_token2] = ACTIONS(957),
    [aux_sym_foreach_statement_token1] = ACTIONS(957),
    [aux_sym_foreach_statement_token2] = ACTIONS(957),
    [aux_sym_if_statement_token1] = ACTIONS(957),
    [aux_sym_if_statement_token2] = ACTIONS(957),
    [aux_sym_else_if_clause_token1] = ACTIONS(965),
    [aux_sym_else_clause_token1] = ACTIONS(967),
    [aux_sym_match_expression_token1] = ACTIONS(957),
    [aux_sym_match_default_expression_token1] = ACTIONS(957),
    [aux_sym_switch_statement_token1] = ACTIONS(957),
    [aux_sym_switch_block_token1] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [anon_sym_TILDE] = ACTIONS(955),
    [anon_sym_BANG] = ACTIONS(955),
    [aux_sym_clone_expression_token1] = ACTIONS(957),
    [aux_sym_print_intrinsic_token1] = ACTIONS(957),
    [aux_sym_object_creation_expression_token1] = ACTIONS(957),
    [anon_sym_PLUS_PLUS] = ACTIONS(955),
    [anon_sym_DASH_DASH] = ACTIONS(955),
    [aux_sym__list_destructing_token1] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_self] = ACTIONS(957),
    [anon_sym_parent] = ACTIONS(957),
    [anon_sym_POUND_LBRACK] = ACTIONS(955),
    [anon_sym_SQUOTE] = ACTIONS(955),
    [aux_sym_encapsed_string_token1] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(955),
    [aux_sym_string_token1] = ACTIONS(955),
    [anon_sym_LT_LT_LT] = ACTIONS(955),
    [anon_sym_BQUOTE] = ACTIONS(955),
    [sym_boolean] = ACTIONS(957),
    [sym_null] = ACTIONS(957),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [aux_sym_yield_expression_token1] = ACTIONS(957),
    [aux_sym_include_expression_token1] = ACTIONS(957),
    [aux_sym_include_once_expression_token1] = ACTIONS(957),
    [aux_sym_require_expression_token1] = ACTIONS(957),
    [aux_sym_require_once_expression_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_else_if_clause] = STATE(486),
    [sym_else_clause] = STATE(485),
    [aux_sym_if_statement_repeat1] = STATE(425),
    [ts_builtin_sym_end] = ACTIONS(969),
    [sym_name] = ACTIONS(971),
    [anon_sym_QMARK_GT] = ACTIONS(969),
    [anon_sym_SEMI] = ACTIONS(969),
    [aux_sym_function_static_declaration_token1] = ACTIONS(971),
    [aux_sym_global_declaration_token1] = ACTIONS(971),
    [aux_sym_namespace_definition_token1] = ACTIONS(971),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(971),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(971),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(971),
    [anon_sym_BSLASH] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(969),
    [anon_sym_RBRACE] = ACTIONS(969),
    [aux_sym_trait_declaration_token1] = ACTIONS(971),
    [aux_sym_interface_declaration_token1] = ACTIONS(971),
    [aux_sym_enum_declaration_token1] = ACTIONS(971),
    [aux_sym_enum_case_token1] = ACTIONS(971),
    [aux_sym_class_declaration_token1] = ACTIONS(971),
    [aux_sym_final_modifier_token1] = ACTIONS(971),
    [aux_sym_abstract_modifier_token1] = ACTIONS(971),
    [aux_sym_readonly_modifier_token1] = ACTIONS(971),
    [aux_sym_visibility_modifier_token1] = ACTIONS(971),
    [aux_sym_visibility_modifier_token2] = ACTIONS(971),
    [aux_sym_visibility_modifier_token3] = ACTIONS(971),
    [aux_sym__arrow_function_header_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(969),
    [aux_sym_cast_type_token1] = ACTIONS(971),
    [aux_sym_echo_statement_token1] = ACTIONS(971),
    [anon_sym_unset] = ACTIONS(971),
    [aux_sym_declare_statement_token1] = ACTIONS(971),
    [aux_sym_declare_statement_token2] = ACTIONS(971),
    [sym_float] = ACTIONS(971),
    [aux_sym_try_statement_token1] = ACTIONS(971),
    [aux_sym_goto_statement_token1] = ACTIONS(971),
    [aux_sym_continue_statement_token1] = ACTIONS(971),
    [aux_sym_break_statement_token1] = ACTIONS(971),
    [sym_integer] = ACTIONS(971),
    [aux_sym_return_statement_token1] = ACTIONS(971),
    [aux_sym_throw_expression_token1] = ACTIONS(971),
    [aux_sym_while_statement_token1] = ACTIONS(971),
    [aux_sym_while_statement_token2] = ACTIONS(971),
    [aux_sym_do_statement_token1] = ACTIONS(971),
    [aux_sym_for_statement_token1] = ACTIONS(971),
    [aux_sym_for_statement_token2] = ACTIONS(971),
    [aux_sym_foreach_statement_token1] = ACTIONS(971),
    [aux_sym_foreach_statement_token2] = ACTIONS(971),
    [aux_sym_if_statement_token1] = ACTIONS(971),
    [aux_sym_if_statement_token2] = ACTIONS(971),
    [aux_sym_else_if_clause_token1] = ACTIONS(965),
    [aux_sym_else_clause_token1] = ACTIONS(967),
    [aux_sym_match_expression_token1] = ACTIONS(971),
    [aux_sym_match_default_expression_token1] = ACTIONS(971),
    [aux_sym_switch_statement_token1] = ACTIONS(971),
    [aux_sym_switch_block_token1] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(969),
    [anon_sym_PLUS] = ACTIONS(971),
    [anon_sym_DASH] = ACTIONS(971),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_BANG] = ACTIONS(969),
    [aux_sym_clone_expression_token1] = ACTIONS(971),
    [aux_sym_print_intrinsic_token1] = ACTIONS(971),
    [aux_sym_object_creation_expression_token1] = ACTIONS(971),
    [anon_sym_PLUS_PLUS] = ACTIONS(969),
    [anon_sym_DASH_DASH] = ACTIONS(969),
    [aux_sym__list_destructing_token1] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(969),
    [anon_sym_self] = ACTIONS(971),
    [anon_sym_parent] = ACTIONS(971),
    [anon_sym_POUND_LBRACK] = ACTIONS(969),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [aux_sym_encapsed_string_token1] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [aux_sym_string_token1] = ACTIONS(969),
    [anon_sym_LT_LT_LT] = ACTIONS(969),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_boolean] = ACTIONS(971),
    [sym_null] = ACTIONS(971),
    [anon_sym_DOLLAR] = ACTIONS(969),
    [aux_sym_yield_expression_token1] = ACTIONS(971),
    [aux_sym_include_expression_token1] = ACTIONS(971),
    [aux_sym_include_once_expression_token1] = ACTIONS(971),
    [aux_sym_require_expression_token1] = ACTIONS(971),
    [aux_sym_require_once_expression_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_else_if_clause] = STATE(486),
    [sym_else_clause] = STATE(485),
    [aux_sym_if_statement_repeat1] = STATE(424),
    [ts_builtin_sym_end] = ACTIONS(969),
    [sym_name] = ACTIONS(971),
    [anon_sym_QMARK_GT] = ACTIONS(969),
    [anon_sym_SEMI] = ACTIONS(969),
    [aux_sym_function_static_declaration_token1] = ACTIONS(971),
    [aux_sym_global_declaration_token1] = ACTIONS(971),
    [aux_sym_namespace_definition_token1] = ACTIONS(971),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(971),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(971),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(971),
    [anon_sym_BSLASH] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(969),
    [anon_sym_RBRACE] = ACTIONS(969),
    [aux_sym_trait_declaration_token1] = ACTIONS(971),
    [aux_sym_interface_declaration_token1] = ACTIONS(971),
    [aux_sym_enum_declaration_token1] = ACTIONS(971),
    [aux_sym_enum_case_token1] = ACTIONS(971),
    [aux_sym_class_declaration_token1] = ACTIONS(971),
    [aux_sym_final_modifier_token1] = ACTIONS(971),
    [aux_sym_abstract_modifier_token1] = ACTIONS(971),
    [aux_sym_readonly_modifier_token1] = ACTIONS(971),
    [aux_sym_visibility_modifier_token1] = ACTIONS(971),
    [aux_sym_visibility_modifier_token2] = ACTIONS(971),
    [aux_sym_visibility_modifier_token3] = ACTIONS(971),
    [aux_sym__arrow_function_header_token1] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(969),
    [aux_sym_cast_type_token1] = ACTIONS(971),
    [aux_sym_echo_statement_token1] = ACTIONS(971),
    [anon_sym_unset] = ACTIONS(971),
    [aux_sym_declare_statement_token1] = ACTIONS(971),
    [aux_sym_declare_statement_token2] = ACTIONS(971),
    [sym_float] = ACTIONS(971),
    [aux_sym_try_statement_token1] = ACTIONS(971),
    [aux_sym_goto_statement_token1] = ACTIONS(971),
    [aux_sym_continue_statement_token1] = ACTIONS(971),
    [aux_sym_break_statement_token1] = ACTIONS(971),
    [sym_integer] = ACTIONS(971),
    [aux_sym_return_statement_token1] = ACTIONS(971),
    [aux_sym_throw_expression_token1] = ACTIONS(971),
    [aux_sym_while_statement_token1] = ACTIONS(971),
    [aux_sym_while_statement_token2] = ACTIONS(971),
    [aux_sym_do_statement_token1] = ACTIONS(971),
    [aux_sym_for_statement_token1] = ACTIONS(971),
    [aux_sym_for_statement_token2] = ACTIONS(971),
    [aux_sym_foreach_statement_token1] = ACTIONS(971),
    [aux_sym_foreach_statement_token2] = ACTIONS(971),
    [aux_sym_if_statement_token1] = ACTIONS(971),
    [aux_sym_if_statement_token2] = ACTIONS(971),
    [aux_sym_else_if_clause_token1] = ACTIONS(973),
    [aux_sym_else_clause_token1] = ACTIONS(976),
    [aux_sym_match_expression_token1] = ACTIONS(971),
    [aux_sym_match_default_expression_token1] = ACTIONS(971),
    [aux_sym_switch_statement_token1] = ACTIONS(971),
    [aux_sym_switch_block_token1] = ACTIONS(971),
    [anon_sym_AT] = ACTIONS(969),
    [anon_sym_PLUS] = ACTIONS(971),
    [anon_sym_DASH] = ACTIONS(971),
    [anon_sym_TILDE] = ACTIONS(969),
    [anon_sym_BANG] = ACTIONS(969),
    [aux_sym_clone_expression_token1] = ACTIONS(971),
    [aux_sym_print_intrinsic_token1] = ACTIONS(971),
    [aux_sym_object_creation_expression_token1] = ACTIONS(971),
    [anon_sym_PLUS_PLUS] = ACTIONS(969),
    [anon_sym_DASH_DASH] = ACTIONS(969),
    [aux_sym__list_destructing_token1] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(969),
    [anon_sym_self] = ACTIONS(971),
    [anon_sym_parent] = ACTIONS(971),
    [anon_sym_POUND_LBRACK] = ACTIONS(969),
    [anon_sym_SQUOTE] = ACTIONS(969),
    [aux_sym_encapsed_string_token1] = ACTIONS(969),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [aux_sym_string_token1] = ACTIONS(969),
    [anon_sym_LT_LT_LT] = ACTIONS(969),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_boolean] = ACTIONS(971),
    [sym_null] = ACTIONS(971),
    [anon_sym_DOLLAR] = ACTIONS(969),
    [aux_sym_yield_expression_token1] = ACTIONS(971),
    [aux_sym_include_expression_token1] = ACTIONS(971),
    [aux_sym_include_once_expression_token1] = ACTIONS(971),
    [aux_sym_require_expression_token1] = ACTIONS(971),
    [aux_sym_require_once_expression_token1] = ACTIONS(971),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1152),
    [sym_unary_op_expression] = STATE(1152),
    [sym_exponentiation_expression] = STATE(949),
    [sym_clone_expression] = STATE(1152),
    [sym__primary_expression] = STATE(1152),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(949),
    [sym_cast_variable] = STATE(646),
    [sym_assignment_expression] = STATE(949),
    [sym_augmented_assignment_expression] = STATE(949),
    [sym_member_access_expression] = STATE(646),
    [sym_nullsafe_member_access_expression] = STATE(646),
    [sym_scoped_property_access_expression] = STATE(646),
    [sym_list_literal] = STATE(2536),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(627),
    [sym_scoped_call_expression] = STATE(627),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(627),
    [sym_nullsafe_member_call_expression] = STATE(627),
    [sym_subscript_expression] = STATE(627),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(627),
    [sym_variable_name] = STATE(627),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(979),
    [sym_name] = ACTIONS(981),
    [anon_sym_QMARK_GT] = ACTIONS(979),
    [anon_sym_SEMI] = ACTIONS(979),
    [aux_sym_function_static_declaration_token1] = ACTIONS(981),
    [aux_sym_global_declaration_token1] = ACTIONS(981),
    [aux_sym_namespace_definition_token1] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(981),
    [anon_sym_BSLASH] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_RBRACE] = ACTIONS(979),
    [aux_sym_trait_declaration_token1] = ACTIONS(981),
    [aux_sym_interface_declaration_token1] = ACTIONS(981),
    [aux_sym_enum_declaration_token1] = ACTIONS(981),
    [aux_sym_enum_case_token1] = ACTIONS(981),
    [aux_sym_class_declaration_token1] = ACTIONS(981),
    [aux_sym_final_modifier_token1] = ACTIONS(981),
    [aux_sym_abstract_modifier_token1] = ACTIONS(981),
    [aux_sym_readonly_modifier_token1] = ACTIONS(981),
    [aux_sym_visibility_modifier_token1] = ACTIONS(981),
    [aux_sym_visibility_modifier_token2] = ACTIONS(981),
    [aux_sym_visibility_modifier_token3] = ACTIONS(981),
    [aux_sym__arrow_function_header_token1] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(979),
    [aux_sym_cast_type_token1] = ACTIONS(981),
    [aux_sym_echo_statement_token1] = ACTIONS(981),
    [anon_sym_unset] = ACTIONS(981),
    [aux_sym_declare_statement_token1] = ACTIONS(981),
    [aux_sym_declare_statement_token2] = ACTIONS(981),
    [sym_float] = ACTIONS(981),
    [aux_sym_try_statement_token1] = ACTIONS(981),
    [aux_sym_catch_clause_token1] = ACTIONS(981),
    [aux_sym_finally_clause_token1] = ACTIONS(981),
    [aux_sym_goto_statement_token1] = ACTIONS(981),
    [aux_sym_continue_statement_token1] = ACTIONS(981),
    [aux_sym_break_statement_token1] = ACTIONS(981),
    [sym_integer] = ACTIONS(981),
    [aux_sym_return_statement_token1] = ACTIONS(981),
    [aux_sym_throw_expression_token1] = ACTIONS(981),
    [aux_sym_while_statement_token1] = ACTIONS(981),
    [aux_sym_while_statement_token2] = ACTIONS(981),
    [aux_sym_do_statement_token1] = ACTIONS(981),
    [aux_sym_for_statement_token1] = ACTIONS(981),
    [aux_sym_for_statement_token2] = ACTIONS(981),
    [aux_sym_foreach_statement_token1] = ACTIONS(981),
    [aux_sym_foreach_statement_token2] = ACTIONS(981),
    [aux_sym_if_statement_token1] = ACTIONS(981),
    [aux_sym_if_statement_token2] = ACTIONS(981),
    [aux_sym_else_if_clause_token1] = ACTIONS(981),
    [aux_sym_else_clause_token1] = ACTIONS(981),
    [aux_sym_match_expression_token1] = ACTIONS(981),
    [aux_sym_match_default_expression_token1] = ACTIONS(981),
    [aux_sym_switch_statement_token1] = ACTIONS(981),
    [aux_sym_switch_block_token1] = ACTIONS(981),
    [anon_sym_AT] = ACTIONS(979),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_BANG] = ACTIONS(979),
    [aux_sym_clone_expression_token1] = ACTIONS(981),
    [aux_sym_print_intrinsic_token1] = ACTIONS(981),
    [aux_sym_object_creation_expression_token1] = ACTIONS(981),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [aux_sym__list_destructing_token1] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_self] = ACTIONS(981),
    [anon_sym_parent] = ACTIONS(981),
    [anon_sym_POUND_LBRACK] = ACTIONS(979),
    [anon_sym_SQUOTE] = ACTIONS(979),
    [aux_sym_encapsed_string_token1] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(979),
    [aux_sym_string_token1] = ACTIONS(979),
    [anon_sym_LT_LT_LT] = ACTIONS(979),
    [anon_sym_BQUOTE] = ACTIONS(979),
    [sym_boolean] = ACTIONS(981),
    [sym_null] = ACTIONS(981),
    [anon_sym_DOLLAR] = ACTIONS(979),
    [aux_sym_yield_expression_token1] = ACTIONS(981),
    [aux_sym_include_expression_token1] = ACTIONS(981),
    [aux_sym_include_once_expression_token1] = ACTIONS(981),
    [aux_sym_require_expression_token1] = ACTIONS(981),
    [aux_sym_require_once_expression_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(983),
    [sym_name] = ACTIONS(985),
    [anon_sym_QMARK_GT] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(983),
    [aux_sym_function_static_declaration_token1] = ACTIONS(985),
    [aux_sym_global_declaration_token1] = ACTIONS(985),
    [aux_sym_namespace_definition_token1] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_RBRACE] = ACTIONS(983),
    [aux_sym_trait_declaration_token1] = ACTIONS(985),
    [aux_sym_interface_declaration_token1] = ACTIONS(985),
    [aux_sym_enum_declaration_token1] = ACTIONS(985),
    [aux_sym_enum_case_token1] = ACTIONS(985),
    [aux_sym_class_declaration_token1] = ACTIONS(985),
    [aux_sym_final_modifier_token1] = ACTIONS(985),
    [aux_sym_abstract_modifier_token1] = ACTIONS(985),
    [aux_sym_readonly_modifier_token1] = ACTIONS(985),
    [aux_sym_visibility_modifier_token1] = ACTIONS(985),
    [aux_sym_visibility_modifier_token2] = ACTIONS(985),
    [aux_sym_visibility_modifier_token3] = ACTIONS(985),
    [aux_sym__arrow_function_header_token1] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(983),
    [aux_sym_cast_type_token1] = ACTIONS(985),
    [aux_sym_echo_statement_token1] = ACTIONS(985),
    [anon_sym_unset] = ACTIONS(985),
    [aux_sym_declare_statement_token1] = ACTIONS(985),
    [aux_sym_declare_statement_token2] = ACTIONS(985),
    [sym_float] = ACTIONS(985),
    [aux_sym_try_statement_token1] = ACTIONS(985),
    [aux_sym_catch_clause_token1] = ACTIONS(985),
    [aux_sym_finally_clause_token1] = ACTIONS(985),
    [aux_sym_goto_statement_token1] = ACTIONS(985),
    [aux_sym_continue_statement_token1] = ACTIONS(985),
    [aux_sym_break_statement_token1] = ACTIONS(985),
    [sym_integer] = ACTIONS(985),
    [aux_sym_return_statement_token1] = ACTIONS(985),
    [aux_sym_throw_expression_token1] = ACTIONS(985),
    [aux_sym_while_statement_token1] = ACTIONS(985),
    [aux_sym_while_statement_token2] = ACTIONS(985),
    [aux_sym_do_statement_token1] = ACTIONS(985),
    [aux_sym_for_statement_token1] = ACTIONS(985),
    [aux_sym_for_statement_token2] = ACTIONS(985),
    [aux_sym_foreach_statement_token1] = ACTIONS(985),
    [aux_sym_foreach_statement_token2] = ACTIONS(985),
    [aux_sym_if_statement_token1] = ACTIONS(985),
    [aux_sym_if_statement_token2] = ACTIONS(985),
    [aux_sym_else_if_clause_token1] = ACTIONS(985),
    [aux_sym_else_clause_token1] = ACTIONS(985),
    [aux_sym_match_expression_token1] = ACTIONS(985),
    [aux_sym_match_default_expression_token1] = ACTIONS(985),
    [aux_sym_switch_statement_token1] = ACTIONS(985),
    [aux_sym_switch_block_token1] = ACTIONS(985),
    [anon_sym_AT] = ACTIONS(983),
    [anon_sym_PLUS] = ACTIONS(985),
    [anon_sym_DASH] = ACTIONS(985),
    [anon_sym_TILDE] = ACTIONS(983),
    [anon_sym_BANG] = ACTIONS(983),
    [aux_sym_clone_expression_token1] = ACTIONS(985),
    [aux_sym_print_intrinsic_token1] = ACTIONS(985),
    [aux_sym_object_creation_expression_token1] = ACTIONS(985),
    [anon_sym_PLUS_PLUS] = ACTIONS(983),
    [anon_sym_DASH_DASH] = ACTIONS(983),
    [aux_sym__list_destructing_token1] = ACTIONS(985),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(985),
    [anon_sym_parent] = ACTIONS(985),
    [anon_sym_POUND_LBRACK] = ACTIONS(983),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [aux_sym_encapsed_string_token1] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(983),
    [aux_sym_string_token1] = ACTIONS(983),
    [anon_sym_LT_LT_LT] = ACTIONS(983),
    [anon_sym_BQUOTE] = ACTIONS(983),
    [sym_boolean] = ACTIONS(985),
    [sym_null] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(983),
    [aux_sym_yield_expression_token1] = ACTIONS(985),
    [aux_sym_include_expression_token1] = ACTIONS(985),
    [aux_sym_include_once_expression_token1] = ACTIONS(985),
    [aux_sym_require_expression_token1] = ACTIONS(985),
    [aux_sym_require_once_expression_token1] = ACTIONS(985),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(1116),
    [sym_unary_op_expression] = STATE(1116),
    [sym_exponentiation_expression] = STATE(1115),
    [sym_clone_expression] = STATE(1116),
    [sym__primary_expression] = STATE(1116),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1115),
    [sym_cast_variable] = STATE(642),
    [sym_assignment_expression] = STATE(1115),
    [sym_augmented_assignment_expression] = STATE(1115),
    [sym_member_access_expression] = STATE(642),
    [sym_nullsafe_member_access_expression] = STATE(642),
    [sym_scoped_property_access_expression] = STATE(642),
    [sym_list_literal] = STATE(2492),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(606),
    [sym_scoped_call_expression] = STATE(606),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(606),
    [sym_nullsafe_member_call_expression] = STATE(606),
    [sym_subscript_expression] = STATE(606),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(606),
    [sym_variable_name] = STATE(606),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(103),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(979),
    [sym_unary_op_expression] = STATE(979),
    [sym_exponentiation_expression] = STATE(949),
    [sym_clone_expression] = STATE(979),
    [sym__primary_expression] = STATE(979),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(949),
    [sym_cast_variable] = STATE(613),
    [sym_assignment_expression] = STATE(949),
    [sym_augmented_assignment_expression] = STATE(949),
    [sym_member_access_expression] = STATE(613),
    [sym_nullsafe_member_access_expression] = STATE(613),
    [sym_scoped_property_access_expression] = STATE(613),
    [sym_list_literal] = STATE(2468),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(600),
    [sym_scoped_call_expression] = STATE(600),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(600),
    [sym_nullsafe_member_call_expression] = STATE(600),
    [sym_subscript_expression] = STATE(600),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(600),
    [sym_variable_name] = STATE(600),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(987),
    [sym_name] = ACTIONS(989),
    [anon_sym_QMARK_GT] = ACTIONS(987),
    [anon_sym_SEMI] = ACTIONS(987),
    [aux_sym_function_static_declaration_token1] = ACTIONS(989),
    [aux_sym_global_declaration_token1] = ACTIONS(989),
    [aux_sym_namespace_definition_token1] = ACTIONS(989),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(989),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(989),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(989),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [aux_sym_trait_declaration_token1] = ACTIONS(989),
    [aux_sym_interface_declaration_token1] = ACTIONS(989),
    [aux_sym_enum_declaration_token1] = ACTIONS(989),
    [aux_sym_enum_case_token1] = ACTIONS(989),
    [aux_sym_class_declaration_token1] = ACTIONS(989),
    [aux_sym_final_modifier_token1] = ACTIONS(989),
    [aux_sym_abstract_modifier_token1] = ACTIONS(989),
    [aux_sym_readonly_modifier_token1] = ACTIONS(989),
    [aux_sym_visibility_modifier_token1] = ACTIONS(989),
    [aux_sym_visibility_modifier_token2] = ACTIONS(989),
    [aux_sym_visibility_modifier_token3] = ACTIONS(989),
    [aux_sym__arrow_function_header_token1] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(987),
    [aux_sym_cast_type_token1] = ACTIONS(989),
    [aux_sym_echo_statement_token1] = ACTIONS(989),
    [anon_sym_unset] = ACTIONS(989),
    [aux_sym_declare_statement_token1] = ACTIONS(989),
    [aux_sym_declare_statement_token2] = ACTIONS(989),
    [sym_float] = ACTIONS(989),
    [aux_sym_try_statement_token1] = ACTIONS(989),
    [aux_sym_catch_clause_token1] = ACTIONS(989),
    [aux_sym_finally_clause_token1] = ACTIONS(989),
    [aux_sym_goto_statement_token1] = ACTIONS(989),
    [aux_sym_continue_statement_token1] = ACTIONS(989),
    [aux_sym_break_statement_token1] = ACTIONS(989),
    [sym_integer] = ACTIONS(989),
    [aux_sym_return_statement_token1] = ACTIONS(989),
    [aux_sym_throw_expression_token1] = ACTIONS(989),
    [aux_sym_while_statement_token1] = ACTIONS(989),
    [aux_sym_while_statement_token2] = ACTIONS(989),
    [aux_sym_do_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token2] = ACTIONS(989),
    [aux_sym_foreach_statement_token1] = ACTIONS(989),
    [aux_sym_foreach_statement_token2] = ACTIONS(989),
    [aux_sym_if_statement_token1] = ACTIONS(989),
    [aux_sym_if_statement_token2] = ACTIONS(989),
    [aux_sym_else_if_clause_token1] = ACTIONS(989),
    [aux_sym_else_clause_token1] = ACTIONS(989),
    [aux_sym_match_expression_token1] = ACTIONS(989),
    [aux_sym_match_default_expression_token1] = ACTIONS(989),
    [aux_sym_switch_statement_token1] = ACTIONS(989),
    [aux_sym_switch_block_token1] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [aux_sym_clone_expression_token1] = ACTIONS(989),
    [aux_sym_print_intrinsic_token1] = ACTIONS(989),
    [aux_sym_object_creation_expression_token1] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [aux_sym__list_destructing_token1] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(989),
    [anon_sym_parent] = ACTIONS(989),
    [anon_sym_POUND_LBRACK] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [aux_sym_encapsed_string_token1] = ACTIONS(987),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [aux_sym_string_token1] = ACTIONS(987),
    [anon_sym_LT_LT_LT] = ACTIONS(987),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [sym_boolean] = ACTIONS(989),
    [sym_null] = ACTIONS(989),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [aux_sym_yield_expression_token1] = ACTIONS(989),
    [aux_sym_include_expression_token1] = ACTIONS(989),
    [aux_sym_include_once_expression_token1] = ACTIONS(989),
    [aux_sym_require_expression_token1] = ACTIONS(989),
    [aux_sym_require_once_expression_token1] = ACTIONS(989),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_else_if_clause] = STATE(486),
    [aux_sym_if_statement_repeat1] = STATE(434),
    [ts_builtin_sym_end] = ACTIONS(991),
    [sym_name] = ACTIONS(993),
    [anon_sym_QMARK_GT] = ACTIONS(991),
    [anon_sym_SEMI] = ACTIONS(991),
    [aux_sym_function_static_declaration_token1] = ACTIONS(993),
    [aux_sym_global_declaration_token1] = ACTIONS(993),
    [aux_sym_namespace_definition_token1] = ACTIONS(993),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(993),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(993),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(993),
    [anon_sym_BSLASH] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [aux_sym_trait_declaration_token1] = ACTIONS(993),
    [aux_sym_interface_declaration_token1] = ACTIONS(993),
    [aux_sym_enum_declaration_token1] = ACTIONS(993),
    [aux_sym_enum_case_token1] = ACTIONS(993),
    [aux_sym_class_declaration_token1] = ACTIONS(993),
    [aux_sym_final_modifier_token1] = ACTIONS(993),
    [aux_sym_abstract_modifier_token1] = ACTIONS(993),
    [aux_sym_readonly_modifier_token1] = ACTIONS(993),
    [aux_sym_visibility_modifier_token1] = ACTIONS(993),
    [aux_sym_visibility_modifier_token2] = ACTIONS(993),
    [aux_sym_visibility_modifier_token3] = ACTIONS(993),
    [aux_sym__arrow_function_header_token1] = ACTIONS(993),
    [anon_sym_LPAREN] = ACTIONS(991),
    [aux_sym_cast_type_token1] = ACTIONS(993),
    [aux_sym_echo_statement_token1] = ACTIONS(993),
    [anon_sym_unset] = ACTIONS(993),
    [aux_sym_declare_statement_token1] = ACTIONS(993),
    [aux_sym_declare_statement_token2] = ACTIONS(993),
    [sym_float] = ACTIONS(993),
    [aux_sym_try_statement_token1] = ACTIONS(993),
    [aux_sym_goto_statement_token1] = ACTIONS(993),
    [aux_sym_continue_statement_token1] = ACTIONS(993),
    [aux_sym_break_statement_token1] = ACTIONS(993),
    [sym_integer] = ACTIONS(993),
    [aux_sym_return_statement_token1] = ACTIONS(993),
    [aux_sym_throw_expression_token1] = ACTIONS(993),
    [aux_sym_while_statement_token1] = ACTIONS(993),
    [aux_sym_while_statement_token2] = ACTIONS(993),
    [aux_sym_do_statement_token1] = ACTIONS(993),
    [aux_sym_for_statement_token1] = ACTIONS(993),
    [aux_sym_for_statement_token2] = ACTIONS(993),
    [aux_sym_foreach_statement_token1] = ACTIONS(993),
    [aux_sym_foreach_statement_token2] = ACTIONS(993),
    [aux_sym_if_statement_token1] = ACTIONS(993),
    [aux_sym_if_statement_token2] = ACTIONS(993),
    [aux_sym_else_if_clause_token1] = ACTIONS(995),
    [aux_sym_else_clause_token1] = ACTIONS(993),
    [aux_sym_match_expression_token1] = ACTIONS(993),
    [aux_sym_match_default_expression_token1] = ACTIONS(993),
    [aux_sym_switch_statement_token1] = ACTIONS(993),
    [aux_sym_switch_block_token1] = ACTIONS(993),
    [anon_sym_AT] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_TILDE] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [aux_sym_clone_expression_token1] = ACTIONS(993),
    [aux_sym_print_intrinsic_token1] = ACTIONS(993),
    [aux_sym_object_creation_expression_token1] = ACTIONS(993),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [aux_sym__list_destructing_token1] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_self] = ACTIONS(993),
    [anon_sym_parent] = ACTIONS(993),
    [anon_sym_POUND_LBRACK] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(991),
    [aux_sym_encapsed_string_token1] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(991),
    [aux_sym_string_token1] = ACTIONS(991),
    [anon_sym_LT_LT_LT] = ACTIONS(991),
    [anon_sym_BQUOTE] = ACTIONS(991),
    [sym_boolean] = ACTIONS(993),
    [sym_null] = ACTIONS(993),
    [anon_sym_DOLLAR] = ACTIONS(991),
    [aux_sym_yield_expression_token1] = ACTIONS(993),
    [aux_sym_include_expression_token1] = ACTIONS(993),
    [aux_sym_include_once_expression_token1] = ACTIONS(993),
    [aux_sym_require_expression_token1] = ACTIONS(993),
    [aux_sym_require_once_expression_token1] = ACTIONS(993),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(998),
    [sym_name] = ACTIONS(1000),
    [anon_sym_QMARK_GT] = ACTIONS(998),
    [anon_sym_SEMI] = ACTIONS(998),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1000),
    [aux_sym_global_declaration_token1] = ACTIONS(1000),
    [aux_sym_namespace_definition_token1] = ACTIONS(1000),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1000),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1000),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1000),
    [anon_sym_BSLASH] = ACTIONS(998),
    [anon_sym_LBRACE] = ACTIONS(998),
    [anon_sym_RBRACE] = ACTIONS(998),
    [aux_sym_trait_declaration_token1] = ACTIONS(1000),
    [aux_sym_interface_declaration_token1] = ACTIONS(1000),
    [aux_sym_enum_declaration_token1] = ACTIONS(1000),
    [aux_sym_enum_case_token1] = ACTIONS(1000),
    [aux_sym_class_declaration_token1] = ACTIONS(1000),
    [aux_sym_final_modifier_token1] = ACTIONS(1000),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1000),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1000),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1000),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1000),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1000),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1000),
    [anon_sym_LPAREN] = ACTIONS(998),
    [aux_sym_cast_type_token1] = ACTIONS(1000),
    [aux_sym_echo_statement_token1] = ACTIONS(1000),
    [anon_sym_unset] = ACTIONS(1000),
    [aux_sym_declare_statement_token1] = ACTIONS(1000),
    [aux_sym_declare_statement_token2] = ACTIONS(1000),
    [sym_float] = ACTIONS(1000),
    [aux_sym_try_statement_token1] = ACTIONS(1000),
    [aux_sym_catch_clause_token1] = ACTIONS(1000),
    [aux_sym_finally_clause_token1] = ACTIONS(1000),
    [aux_sym_goto_statement_token1] = ACTIONS(1000),
    [aux_sym_continue_statement_token1] = ACTIONS(1000),
    [aux_sym_break_statement_token1] = ACTIONS(1000),
    [sym_integer] = ACTIONS(1000),
    [aux_sym_return_statement_token1] = ACTIONS(1000),
    [aux_sym_throw_expression_token1] = ACTIONS(1000),
    [aux_sym_while_statement_token1] = ACTIONS(1000),
    [aux_sym_while_statement_token2] = ACTIONS(1000),
    [aux_sym_do_statement_token1] = ACTIONS(1000),
    [aux_sym_for_statement_token1] = ACTIONS(1000),
    [aux_sym_for_statement_token2] = ACTIONS(1000),
    [aux_sym_foreach_statement_token1] = ACTIONS(1000),
    [aux_sym_foreach_statement_token2] = ACTIONS(1000),
    [aux_sym_if_statement_token1] = ACTIONS(1000),
    [aux_sym_if_statement_token2] = ACTIONS(1000),
    [aux_sym_else_if_clause_token1] = ACTIONS(1000),
    [aux_sym_else_clause_token1] = ACTIONS(1000),
    [aux_sym_match_expression_token1] = ACTIONS(1000),
    [aux_sym_match_default_expression_token1] = ACTIONS(1000),
    [aux_sym_switch_statement_token1] = ACTIONS(1000),
    [aux_sym_switch_block_token1] = ACTIONS(1000),
    [anon_sym_AT] = ACTIONS(998),
    [anon_sym_PLUS] = ACTIONS(1000),
    [anon_sym_DASH] = ACTIONS(1000),
    [anon_sym_TILDE] = ACTIONS(998),
    [anon_sym_BANG] = ACTIONS(998),
    [aux_sym_clone_expression_token1] = ACTIONS(1000),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1000),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1000),
    [anon_sym_PLUS_PLUS] = ACTIONS(998),
    [anon_sym_DASH_DASH] = ACTIONS(998),
    [aux_sym__list_destructing_token1] = ACTIONS(1000),
    [anon_sym_LBRACK] = ACTIONS(998),
    [anon_sym_self] = ACTIONS(1000),
    [anon_sym_parent] = ACTIONS(1000),
    [anon_sym_POUND_LBRACK] = ACTIONS(998),
    [anon_sym_SQUOTE] = ACTIONS(998),
    [aux_sym_encapsed_string_token1] = ACTIONS(998),
    [anon_sym_DQUOTE] = ACTIONS(998),
    [aux_sym_string_token1] = ACTIONS(998),
    [anon_sym_LT_LT_LT] = ACTIONS(998),
    [anon_sym_BQUOTE] = ACTIONS(998),
    [sym_boolean] = ACTIONS(1000),
    [sym_null] = ACTIONS(1000),
    [anon_sym_DOLLAR] = ACTIONS(998),
    [aux_sym_yield_expression_token1] = ACTIONS(1000),
    [aux_sym_include_expression_token1] = ACTIONS(1000),
    [aux_sym_include_once_expression_token1] = ACTIONS(1000),
    [aux_sym_require_expression_token1] = ACTIONS(1000),
    [aux_sym_require_once_expression_token1] = ACTIONS(1000),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(1027),
    [sym_unary_op_expression] = STATE(1027),
    [sym_exponentiation_expression] = STATE(949),
    [sym_clone_expression] = STATE(1027),
    [sym__primary_expression] = STATE(1027),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(949),
    [sym_cast_variable] = STATE(625),
    [sym_assignment_expression] = STATE(949),
    [sym_augmented_assignment_expression] = STATE(949),
    [sym_member_access_expression] = STATE(625),
    [sym_nullsafe_member_access_expression] = STATE(625),
    [sym_scoped_property_access_expression] = STATE(625),
    [sym_list_literal] = STATE(2464),
    [sym__list_destructing] = STATE(2233),
    [sym__array_destructing] = STATE(2233),
    [sym_function_call_expression] = STATE(601),
    [sym_scoped_call_expression] = STATE(601),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(601),
    [sym_nullsafe_member_call_expression] = STATE(601),
    [sym_subscript_expression] = STATE(601),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(601),
    [sym_variable_name] = STATE(601),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [aux_sym__list_destructing_token1] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(625),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(1002),
    [sym_name] = ACTIONS(1004),
    [anon_sym_QMARK_GT] = ACTIONS(1002),
    [anon_sym_SEMI] = ACTIONS(1002),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1004),
    [aux_sym_global_declaration_token1] = ACTIONS(1004),
    [aux_sym_namespace_definition_token1] = ACTIONS(1004),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1004),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1004),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1004),
    [anon_sym_BSLASH] = ACTIONS(1002),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_RBRACE] = ACTIONS(1002),
    [aux_sym_trait_declaration_token1] = ACTIONS(1004),
    [aux_sym_interface_declaration_token1] = ACTIONS(1004),
    [aux_sym_enum_declaration_token1] = ACTIONS(1004),
    [aux_sym_enum_case_token1] = ACTIONS(1004),
    [aux_sym_class_declaration_token1] = ACTIONS(1004),
    [aux_sym_final_modifier_token1] = ACTIONS(1004),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1004),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1004),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1004),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1004),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1004),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1004),
    [anon_sym_LPAREN] = ACTIONS(1002),
    [aux_sym_cast_type_token1] = ACTIONS(1004),
    [aux_sym_echo_statement_token1] = ACTIONS(1004),
    [anon_sym_unset] = ACTIONS(1004),
    [aux_sym_declare_statement_token1] = ACTIONS(1004),
    [aux_sym_declare_statement_token2] = ACTIONS(1004),
    [sym_float] = ACTIONS(1004),
    [aux_sym_try_statement_token1] = ACTIONS(1004),
    [aux_sym_catch_clause_token1] = ACTIONS(1004),
    [aux_sym_finally_clause_token1] = ACTIONS(1004),
    [aux_sym_goto_statement_token1] = ACTIONS(1004),
    [aux_sym_continue_statement_token1] = ACTIONS(1004),
    [aux_sym_break_statement_token1] = ACTIONS(1004),
    [sym_integer] = ACTIONS(1004),
    [aux_sym_return_statement_token1] = ACTIONS(1004),
    [aux_sym_throw_expression_token1] = ACTIONS(1004),
    [aux_sym_while_statement_token1] = ACTIONS(1004),
    [aux_sym_while_statement_token2] = ACTIONS(1004),
    [aux_sym_do_statement_token1] = ACTIONS(1004),
    [aux_sym_for_statement_token1] = ACTIONS(1004),
    [aux_sym_for_statement_token2] = ACTIONS(1004),
    [aux_sym_foreach_statement_token1] = ACTIONS(1004),
    [aux_sym_foreach_statement_token2] = ACTIONS(1004),
    [aux_sym_if_statement_token1] = ACTIONS(1004),
    [aux_sym_if_statement_token2] = ACTIONS(1004),
    [aux_sym_else_if_clause_token1] = ACTIONS(1004),
    [aux_sym_else_clause_token1] = ACTIONS(1004),
    [aux_sym_match_expression_token1] = ACTIONS(1004),
    [aux_sym_match_default_expression_token1] = ACTIONS(1004),
    [aux_sym_switch_statement_token1] = ACTIONS(1004),
    [aux_sym_switch_block_token1] = ACTIONS(1004),
    [anon_sym_AT] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1004),
    [anon_sym_TILDE] = ACTIONS(1002),
    [anon_sym_BANG] = ACTIONS(1002),
    [aux_sym_clone_expression_token1] = ACTIONS(1004),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1004),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1004),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [aux_sym__list_destructing_token1] = ACTIONS(1004),
    [anon_sym_LBRACK] = ACTIONS(1002),
    [anon_sym_self] = ACTIONS(1004),
    [anon_sym_parent] = ACTIONS(1004),
    [anon_sym_POUND_LBRACK] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1002),
    [aux_sym_encapsed_string_token1] = ACTIONS(1002),
    [anon_sym_DQUOTE] = ACTIONS(1002),
    [aux_sym_string_token1] = ACTIONS(1002),
    [anon_sym_LT_LT_LT] = ACTIONS(1002),
    [anon_sym_BQUOTE] = ACTIONS(1002),
    [sym_boolean] = ACTIONS(1004),
    [sym_null] = ACTIONS(1004),
    [anon_sym_DOLLAR] = ACTIONS(1002),
    [aux_sym_yield_expression_token1] = ACTIONS(1004),
    [aux_sym_include_expression_token1] = ACTIONS(1004),
    [aux_sym_include_once_expression_token1] = ACTIONS(1004),
    [aux_sym_require_expression_token1] = ACTIONS(1004),
    [aux_sym_require_once_expression_token1] = ACTIONS(1004),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(1006),
    [sym_name] = ACTIONS(1008),
    [anon_sym_QMARK_GT] = ACTIONS(1006),
    [anon_sym_SEMI] = ACTIONS(1010),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1008),
    [aux_sym_global_declaration_token1] = ACTIONS(1008),
    [aux_sym_namespace_definition_token1] = ACTIONS(1008),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1008),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1008),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1008),
    [anon_sym_BSLASH] = ACTIONS(1006),
    [anon_sym_LBRACE] = ACTIONS(1006),
    [anon_sym_RBRACE] = ACTIONS(1006),
    [aux_sym_trait_declaration_token1] = ACTIONS(1008),
    [aux_sym_interface_declaration_token1] = ACTIONS(1008),
    [aux_sym_enum_declaration_token1] = ACTIONS(1008),
    [aux_sym_enum_case_token1] = ACTIONS(1008),
    [aux_sym_class_declaration_token1] = ACTIONS(1008),
    [aux_sym_final_modifier_token1] = ACTIONS(1008),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1008),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1008),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1008),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1008),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1008),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1008),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [aux_sym_cast_type_token1] = ACTIONS(1008),
    [aux_sym_echo_statement_token1] = ACTIONS(1008),
    [anon_sym_unset] = ACTIONS(1008),
    [aux_sym_declare_statement_token1] = ACTIONS(1008),
    [aux_sym_declare_statement_token2] = ACTIONS(1008),
    [sym_float] = ACTIONS(1008),
    [aux_sym_try_statement_token1] = ACTIONS(1008),
    [aux_sym_goto_statement_token1] = ACTIONS(1008),
    [aux_sym_continue_statement_token1] = ACTIONS(1008),
    [aux_sym_break_statement_token1] = ACTIONS(1008),
    [sym_integer] = ACTIONS(1008),
    [aux_sym_return_statement_token1] = ACTIONS(1008),
    [aux_sym_throw_expression_token1] = ACTIONS(1008),
    [aux_sym_while_statement_token1] = ACTIONS(1008),
    [aux_sym_while_statement_token2] = ACTIONS(1008),
    [aux_sym_do_statement_token1] = ACTIONS(1008),
    [aux_sym_for_statement_token1] = ACTIONS(1008),
    [aux_sym_for_statement_token2] = ACTIONS(1008),
    [aux_sym_foreach_statement_token1] = ACTIONS(1008),
    [aux_sym_foreach_statement_token2] = ACTIONS(1008),
    [aux_sym_if_statement_token1] = ACTIONS(1008),
    [aux_sym_if_statement_token2] = ACTIONS(1008),
    [aux_sym_else_if_clause_token1] = ACTIONS(1008),
    [aux_sym_else_clause_token1] = ACTIONS(1008),
    [aux_sym_match_expression_token1] = ACTIONS(1008),
    [aux_sym_match_default_expression_token1] = ACTIONS(1008),
    [aux_sym_switch_statement_token1] = ACTIONS(1008),
    [aux_sym_switch_block_token1] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(1008),
    [anon_sym_DASH] = ACTIONS(1008),
    [anon_sym_TILDE] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(1006),
    [aux_sym_clone_expression_token1] = ACTIONS(1008),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1008),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1008),
    [anon_sym_PLUS_PLUS] = ACTIONS(1006),
    [anon_sym_DASH_DASH] = ACTIONS(1006),
    [aux_sym__list_destructing_token1] = ACTIONS(1008),
    [anon_sym_LBRACK] = ACTIONS(1006),
    [anon_sym_self] = ACTIONS(1008),
    [anon_sym_parent] = ACTIONS(1008),
    [anon_sym_POUND_LBRACK] = ACTIONS(1006),
    [anon_sym_SQUOTE] = ACTIONS(1006),
    [aux_sym_encapsed_string_token1] = ACTIONS(1006),
    [anon_sym_DQUOTE] = ACTIONS(1006),
    [aux_sym_string_token1] = ACTIONS(1006),
    [anon_sym_LT_LT_LT] = ACTIONS(1006),
    [anon_sym_BQUOTE] = ACTIONS(1006),
    [sym_boolean] = ACTIONS(1008),
    [sym_null] = ACTIONS(1008),
    [anon_sym_DOLLAR] = ACTIONS(1006),
    [aux_sym_yield_expression_token1] = ACTIONS(1008),
    [aux_sym_include_expression_token1] = ACTIONS(1008),
    [aux_sym_include_once_expression_token1] = ACTIONS(1008),
    [aux_sym_require_expression_token1] = ACTIONS(1008),
    [aux_sym_require_once_expression_token1] = ACTIONS(1008),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1010),
  },
  [439] = {
    [sym_qualified_name] = STATE(824),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym_match_expression] = STATE(2544),
    [sym__unary_expression] = STATE(1067),
    [sym_unary_op_expression] = STATE(1083),
    [sym_exponentiation_expression] = STATE(1067),
    [sym_clone_expression] = STATE(1083),
    [sym__primary_expression] = STATE(1083),
    [sym_parenthesized_expression] = STATE(850),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_expression] = STATE(1067),
    [sym_cast_variable] = STATE(641),
    [sym_member_access_expression] = STATE(641),
    [sym_nullsafe_member_access_expression] = STATE(641),
    [sym_scoped_property_access_expression] = STATE(641),
    [sym_function_call_expression] = STATE(605),
    [sym_scoped_call_expression] = STATE(605),
    [sym__scope_resolution_qualifier] = STATE(2625),
    [sym_relative_scope] = STATE(2625),
    [sym_member_call_expression] = STATE(605),
    [sym_nullsafe_member_call_expression] = STATE(605),
    [sym_subscript_expression] = STATE(605),
    [sym__dereferencable_expression] = STATE(1760),
    [sym_array_creation_expression] = STATE(850),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(850),
    [sym_string] = STATE(850),
    [sym_heredoc] = STATE(850),
    [sym_nowdoc] = STATE(850),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(850),
    [sym_dynamic_variable_name] = STATE(605),
    [sym_variable_name] = STATE(605),
    [sym_include_expression] = STATE(1067),
    [sym_include_once_expression] = STATE(1067),
    [sym__reserved_identifier] = STATE(1563),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(639),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_PLUS] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(89),
    [anon_sym_TILDE] = ACTIONS(91),
    [anon_sym_BANG] = ACTIONS(91),
    [aux_sym_clone_expression_token1] = ACTIONS(93),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [aux_sym_include_expression_token1] = ACTIONS(121),
    [aux_sym_include_once_expression_token1] = ACTIONS(123),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(1014),
    [sym_name] = ACTIONS(1016),
    [anon_sym_QMARK_GT] = ACTIONS(1014),
    [anon_sym_SEMI] = ACTIONS(1018),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1016),
    [aux_sym_global_declaration_token1] = ACTIONS(1016),
    [aux_sym_namespace_definition_token1] = ACTIONS(1016),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1016),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1016),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1016),
    [anon_sym_BSLASH] = ACTIONS(1014),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [aux_sym_trait_declaration_token1] = ACTIONS(1016),
    [aux_sym_interface_declaration_token1] = ACTIONS(1016),
    [aux_sym_enum_declaration_token1] = ACTIONS(1016),
    [aux_sym_enum_case_token1] = ACTIONS(1016),
    [aux_sym_class_declaration_token1] = ACTIONS(1016),
    [aux_sym_final_modifier_token1] = ACTIONS(1016),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1016),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1016),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1016),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1016),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1016),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1014),
    [aux_sym_cast_type_token1] = ACTIONS(1016),
    [aux_sym_echo_statement_token1] = ACTIONS(1016),
    [anon_sym_unset] = ACTIONS(1016),
    [aux_sym_declare_statement_token1] = ACTIONS(1016),
    [aux_sym_declare_statement_token2] = ACTIONS(1016),
    [sym_float] = ACTIONS(1016),
    [aux_sym_try_statement_token1] = ACTIONS(1016),
    [aux_sym_goto_statement_token1] = ACTIONS(1016),
    [aux_sym_continue_statement_token1] = ACTIONS(1016),
    [aux_sym_break_statement_token1] = ACTIONS(1016),
    [sym_integer] = ACTIONS(1016),
    [aux_sym_return_statement_token1] = ACTIONS(1016),
    [aux_sym_throw_expression_token1] = ACTIONS(1016),
    [aux_sym_while_statement_token1] = ACTIONS(1016),
    [aux_sym_while_statement_token2] = ACTIONS(1016),
    [aux_sym_do_statement_token1] = ACTIONS(1016),
    [aux_sym_for_statement_token1] = ACTIONS(1016),
    [aux_sym_for_statement_token2] = ACTIONS(1016),
    [aux_sym_foreach_statement_token1] = ACTIONS(1016),
    [aux_sym_foreach_statement_token2] = ACTIONS(1016),
    [aux_sym_if_statement_token1] = ACTIONS(1016),
    [aux_sym_if_statement_token2] = ACTIONS(1016),
    [aux_sym_else_if_clause_token1] = ACTIONS(1016),
    [aux_sym_else_clause_token1] = ACTIONS(1016),
    [aux_sym_match_expression_token1] = ACTIONS(1016),
    [aux_sym_match_default_expression_token1] = ACTIONS(1016),
    [aux_sym_switch_statement_token1] = ACTIONS(1016),
    [aux_sym_switch_block_token1] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(1014),
    [anon_sym_PLUS] = ACTIONS(1016),
    [anon_sym_DASH] = ACTIONS(1016),
    [anon_sym_TILDE] = ACTIONS(1014),
    [anon_sym_BANG] = ACTIONS(1014),
    [aux_sym_clone_expression_token1] = ACTIONS(1016),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1016),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1016),
    [anon_sym_PLUS_PLUS] = ACTIONS(1014),
    [anon_sym_DASH_DASH] = ACTIONS(1014),
    [aux_sym__list_destructing_token1] = ACTIONS(1016),
    [anon_sym_LBRACK] = ACTIONS(1014),
    [anon_sym_self] = ACTIONS(1016),
    [anon_sym_parent] = ACTIONS(1016),
    [anon_sym_POUND_LBRACK] = ACTIONS(1014),
    [anon_sym_SQUOTE] = ACTIONS(1014),
    [aux_sym_encapsed_string_token1] = ACTIONS(1014),
    [anon_sym_DQUOTE] = ACTIONS(1014),
    [aux_sym_string_token1] = ACTIONS(1014),
    [anon_sym_LT_LT_LT] = ACTIONS(1014),
    [anon_sym_BQUOTE] = ACTIONS(1014),
    [sym_boolean] = ACTIONS(1016),
    [sym_null] = ACTIONS(1016),
    [anon_sym_DOLLAR] = ACTIONS(1014),
    [aux_sym_yield_expression_token1] = ACTIONS(1016),
    [aux_sym_include_expression_token1] = ACTIONS(1016),
    [aux_sym_include_once_expression_token1] = ACTIONS(1016),
    [aux_sym_require_expression_token1] = ACTIONS(1016),
    [aux_sym_require_once_expression_token1] = ACTIONS(1016),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1018),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(1020),
    [sym_name] = ACTIONS(1022),
    [anon_sym_QMARK_GT] = ACTIONS(1020),
    [anon_sym_SEMI] = ACTIONS(1024),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1022),
    [aux_sym_global_declaration_token1] = ACTIONS(1022),
    [aux_sym_namespace_definition_token1] = ACTIONS(1022),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1022),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1022),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1022),
    [anon_sym_BSLASH] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [aux_sym_trait_declaration_token1] = ACTIONS(1022),
    [aux_sym_interface_declaration_token1] = ACTIONS(1022),
    [aux_sym_enum_declaration_token1] = ACTIONS(1022),
    [aux_sym_enum_case_token1] = ACTIONS(1022),
    [aux_sym_class_declaration_token1] = ACTIONS(1022),
    [aux_sym_final_modifier_token1] = ACTIONS(1022),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1022),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1022),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1022),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1022),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1022),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [aux_sym_cast_type_token1] = ACTIONS(1022),
    [aux_sym_echo_statement_token1] = ACTIONS(1022),
    [anon_sym_unset] = ACTIONS(1022),
    [aux_sym_declare_statement_token1] = ACTIONS(1022),
    [aux_sym_declare_statement_token2] = ACTIONS(1022),
    [sym_float] = ACTIONS(1022),
    [aux_sym_try_statement_token1] = ACTIONS(1022),
    [aux_sym_goto_statement_token1] = ACTIONS(1022),
    [aux_sym_continue_statement_token1] = ACTIONS(1022),
    [aux_sym_break_statement_token1] = ACTIONS(1022),
    [sym_integer] = ACTIONS(1022),
    [aux_sym_return_statement_token1] = ACTIONS(1022),
    [aux_sym_throw_expression_token1] = ACTIONS(1022),
    [aux_sym_while_statement_token1] = ACTIONS(1022),
    [aux_sym_while_statement_token2] = ACTIONS(1022),
    [aux_sym_do_statement_token1] = ACTIONS(1022),
    [aux_sym_for_statement_token1] = ACTIONS(1022),
    [aux_sym_for_statement_token2] = ACTIONS(1022),
    [aux_sym_foreach_statement_token1] = ACTIONS(1022),
    [aux_sym_foreach_statement_token2] = ACTIONS(1022),
    [aux_sym_if_statement_token1] = ACTIONS(1022),
    [aux_sym_if_statement_token2] = ACTIONS(1022),
    [aux_sym_else_if_clause_token1] = ACTIONS(1022),
    [aux_sym_else_clause_token1] = ACTIONS(1022),
    [aux_sym_match_expression_token1] = ACTIONS(1022),
    [aux_sym_match_default_expression_token1] = ACTIONS(1022),
    [aux_sym_switch_statement_token1] = ACTIONS(1022),
    [aux_sym_switch_block_token1] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1020),
    [anon_sym_PLUS] = ACTIONS(1022),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_TILDE] = ACTIONS(1020),
    [anon_sym_BANG] = ACTIONS(1020),
    [aux_sym_clone_expression_token1] = ACTIONS(1022),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1022),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1022),
    [anon_sym_PLUS_PLUS] = ACTIONS(1020),
    [anon_sym_DASH_DASH] = ACTIONS(1020),
    [aux_sym__list_destructing_token1] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1020),
    [anon_sym_self] = ACTIONS(1022),
    [anon_sym_parent] = ACTIONS(1022),
    [anon_sym_POUND_LBRACK] = ACTIONS(1020),
    [anon_sym_SQUOTE] = ACTIONS(1020),
    [aux_sym_encapsed_string_token1] = ACTIONS(1020),
    [anon_sym_DQUOTE] = ACTIONS(1020),
    [aux_sym_string_token1] = ACTIONS(1020),
    [anon_sym_LT_LT_LT] = ACTIONS(1020),
    [anon_sym_BQUOTE] = ACTIONS(1020),
    [sym_boolean] = ACTIONS(1022),
    [sym_null] = ACTIONS(1022),
    [anon_sym_DOLLAR] = ACTIONS(1020),
    [aux_sym_yield_expression_token1] = ACTIONS(1022),
    [aux_sym_include_expression_token1] = ACTIONS(1022),
    [aux_sym_include_once_expression_token1] = ACTIONS(1022),
    [aux_sym_require_expression_token1] = ACTIONS(1022),
    [aux_sym_require_once_expression_token1] = ACTIONS(1022),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1024),
  },
  [442] = {
    [ts_builtin_sym_end] = ACTIONS(1026),
    [sym_name] = ACTIONS(1028),
    [anon_sym_QMARK_GT] = ACTIONS(1026),
    [anon_sym_SEMI] = ACTIONS(1030),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1028),
    [aux_sym_global_declaration_token1] = ACTIONS(1028),
    [aux_sym_namespace_definition_token1] = ACTIONS(1028),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1028),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1028),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1028),
    [anon_sym_BSLASH] = ACTIONS(1026),
    [anon_sym_LBRACE] = ACTIONS(1026),
    [anon_sym_RBRACE] = ACTIONS(1026),
    [aux_sym_trait_declaration_token1] = ACTIONS(1028),
    [aux_sym_interface_declaration_token1] = ACTIONS(1028),
    [aux_sym_enum_declaration_token1] = ACTIONS(1028),
    [aux_sym_enum_case_token1] = ACTIONS(1028),
    [aux_sym_class_declaration_token1] = ACTIONS(1028),
    [aux_sym_final_modifier_token1] = ACTIONS(1028),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1028),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1028),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1028),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1028),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1028),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1028),
    [anon_sym_LPAREN] = ACTIONS(1026),
    [aux_sym_cast_type_token1] = ACTIONS(1028),
    [aux_sym_echo_statement_token1] = ACTIONS(1028),
    [anon_sym_unset] = ACTIONS(1028),
    [aux_sym_declare_statement_token1] = ACTIONS(1028),
    [aux_sym_declare_statement_token2] = ACTIONS(1028),
    [sym_float] = ACTIONS(1028),
    [aux_sym_try_statement_token1] = ACTIONS(1028),
    [aux_sym_goto_statement_token1] = ACTIONS(1028),
    [aux_sym_continue_statement_token1] = ACTIONS(1028),
    [aux_sym_break_statement_token1] = ACTIONS(1028),
    [sym_integer] = ACTIONS(1028),
    [aux_sym_return_statement_token1] = ACTIONS(1028),
    [aux_sym_throw_expression_token1] = ACTIONS(1028),
    [aux_sym_while_statement_token1] = ACTIONS(1028),
    [aux_sym_while_statement_token2] = ACTIONS(1028),
    [aux_sym_do_statement_token1] = ACTIONS(1028),
    [aux_sym_for_statement_token1] = ACTIONS(1028),
    [aux_sym_for_statement_token2] = ACTIONS(1028),
    [aux_sym_foreach_statement_token1] = ACTIONS(1028),
    [aux_sym_foreach_statement_token2] = ACTIONS(1028),
    [aux_sym_if_statement_token1] = ACTIONS(1028),
    [aux_sym_if_statement_token2] = ACTIONS(1028),
    [aux_sym_else_if_clause_token1] = ACTIONS(1028),
    [aux_sym_else_clause_token1] = ACTIONS(1028),
    [aux_sym_match_expression_token1] = ACTIONS(1028),
    [aux_sym_match_default_expression_token1] = ACTIONS(1028),
    [aux_sym_switch_statement_token1] = ACTIONS(1028),
    [aux_sym_switch_block_token1] = ACTIONS(1028),
    [anon_sym_AT] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1026),
    [anon_sym_BANG] = ACTIONS(1026),
    [aux_sym_clone_expression_token1] = ACTIONS(1028),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1028),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1028),
    [anon_sym_PLUS_PLUS] = ACTIONS(1026),
    [anon_sym_DASH_DASH] = ACTIONS(1026),
    [aux_sym__list_destructing_token1] = ACTIONS(1028),
    [anon_sym_LBRACK] = ACTIONS(1026),
    [anon_sym_self] = ACTIONS(1028),
    [anon_sym_parent] = ACTIONS(1028),
    [anon_sym_POUND_LBRACK] = ACTIONS(1026),
    [anon_sym_SQUOTE] = ACTIONS(1026),
    [aux_sym_encapsed_string_token1] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [aux_sym_string_token1] = ACTIONS(1026),
    [anon_sym_LT_LT_LT] = ACTIONS(1026),
    [anon_sym_BQUOTE] = ACTIONS(1026),
    [sym_boolean] = ACTIONS(1028),
    [sym_null] = ACTIONS(1028),
    [anon_sym_DOLLAR] = ACTIONS(1026),
    [aux_sym_yield_expression_token1] = ACTIONS(1028),
    [aux_sym_include_expression_token1] = ACTIONS(1028),
    [aux_sym_include_once_expression_token1] = ACTIONS(1028),
    [aux_sym_require_expression_token1] = ACTIONS(1028),
    [aux_sym_require_once_expression_token1] = ACTIONS(1028),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1030),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(1032),
    [sym_name] = ACTIONS(1034),
    [anon_sym_QMARK_GT] = ACTIONS(1032),
    [anon_sym_SEMI] = ACTIONS(1036),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1034),
    [aux_sym_global_declaration_token1] = ACTIONS(1034),
    [aux_sym_namespace_definition_token1] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1034),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1034),
    [anon_sym_BSLASH] = ACTIONS(1032),
    [anon_sym_LBRACE] = ACTIONS(1032),
    [anon_sym_RBRACE] = ACTIONS(1032),
    [aux_sym_trait_declaration_token1] = ACTIONS(1034),
    [aux_sym_interface_declaration_token1] = ACTIONS(1034),
    [aux_sym_enum_declaration_token1] = ACTIONS(1034),
    [aux_sym_enum_case_token1] = ACTIONS(1034),
    [aux_sym_class_declaration_token1] = ACTIONS(1034),
    [aux_sym_final_modifier_token1] = ACTIONS(1034),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1034),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1034),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1034),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1032),
    [aux_sym_cast_type_token1] = ACTIONS(1034),
    [aux_sym_echo_statement_token1] = ACTIONS(1034),
    [anon_sym_unset] = ACTIONS(1034),
    [aux_sym_declare_statement_token1] = ACTIONS(1034),
    [aux_sym_declare_statement_token2] = ACTIONS(1034),
    [sym_float] = ACTIONS(1034),
    [aux_sym_try_statement_token1] = ACTIONS(1034),
    [aux_sym_goto_statement_token1] = ACTIONS(1034),
    [aux_sym_continue_statement_token1] = ACTIONS(1034),
    [aux_sym_break_statement_token1] = ACTIONS(1034),
    [sym_integer] = ACTIONS(1034),
    [aux_sym_return_statement_token1] = ACTIONS(1034),
    [aux_sym_throw_expression_token1] = ACTIONS(1034),
    [aux_sym_while_statement_token1] = ACTIONS(1034),
    [aux_sym_while_statement_token2] = ACTIONS(1034),
    [aux_sym_do_statement_token1] = ACTIONS(1034),
    [aux_sym_for_statement_token1] = ACTIONS(1034),
    [aux_sym_for_statement_token2] = ACTIONS(1034),
    [aux_sym_foreach_statement_token1] = ACTIONS(1034),
    [aux_sym_foreach_statement_token2] = ACTIONS(1034),
    [aux_sym_if_statement_token1] = ACTIONS(1034),
    [aux_sym_if_statement_token2] = ACTIONS(1034),
    [aux_sym_else_if_clause_token1] = ACTIONS(1034),
    [aux_sym_else_clause_token1] = ACTIONS(1034),
    [aux_sym_match_expression_token1] = ACTIONS(1034),
    [aux_sym_match_default_expression_token1] = ACTIONS(1034),
    [aux_sym_switch_statement_token1] = ACTIONS(1034),
    [aux_sym_switch_block_token1] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(1032),
    [anon_sym_PLUS] = ACTIONS(1034),
    [anon_sym_DASH] = ACTIONS(1034),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_BANG] = ACTIONS(1032),
    [aux_sym_clone_expression_token1] = ACTIONS(1034),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1034),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1034),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [aux_sym__list_destructing_token1] = ACTIONS(1034),
    [anon_sym_LBRACK] = ACTIONS(1032),
    [anon_sym_self] = ACTIONS(1034),
    [anon_sym_parent] = ACTIONS(1034),
    [anon_sym_POUND_LBRACK] = ACTIONS(1032),
    [anon_sym_SQUOTE] = ACTIONS(1032),
    [aux_sym_encapsed_string_token1] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(1032),
    [aux_sym_string_token1] = ACTIONS(1032),
    [anon_sym_LT_LT_LT] = ACTIONS(1032),
    [anon_sym_BQUOTE] = ACTIONS(1032),
    [sym_boolean] = ACTIONS(1034),
    [sym_null] = ACTIONS(1034),
    [anon_sym_DOLLAR] = ACTIONS(1032),
    [aux_sym_yield_expression_token1] = ACTIONS(1034),
    [aux_sym_include_expression_token1] = ACTIONS(1034),
    [aux_sym_include_once_expression_token1] = ACTIONS(1034),
    [aux_sym_require_expression_token1] = ACTIONS(1034),
    [aux_sym_require_once_expression_token1] = ACTIONS(1034),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1036),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(1038),
    [sym_name] = ACTIONS(1040),
    [anon_sym_QMARK_GT] = ACTIONS(1038),
    [anon_sym_SEMI] = ACTIONS(1042),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1040),
    [aux_sym_global_declaration_token1] = ACTIONS(1040),
    [aux_sym_namespace_definition_token1] = ACTIONS(1040),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1040),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1040),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1040),
    [anon_sym_BSLASH] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_RBRACE] = ACTIONS(1038),
    [aux_sym_trait_declaration_token1] = ACTIONS(1040),
    [aux_sym_interface_declaration_token1] = ACTIONS(1040),
    [aux_sym_enum_declaration_token1] = ACTIONS(1040),
    [aux_sym_enum_case_token1] = ACTIONS(1040),
    [aux_sym_class_declaration_token1] = ACTIONS(1040),
    [aux_sym_final_modifier_token1] = ACTIONS(1040),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1040),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1040),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1040),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1040),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1040),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [aux_sym_cast_type_token1] = ACTIONS(1040),
    [aux_sym_echo_statement_token1] = ACTIONS(1040),
    [anon_sym_unset] = ACTIONS(1040),
    [aux_sym_declare_statement_token1] = ACTIONS(1040),
    [aux_sym_declare_statement_token2] = ACTIONS(1040),
    [sym_float] = ACTIONS(1040),
    [aux_sym_try_statement_token1] = ACTIONS(1040),
    [aux_sym_goto_statement_token1] = ACTIONS(1040),
    [aux_sym_continue_statement_token1] = ACTIONS(1040),
    [aux_sym_break_statement_token1] = ACTIONS(1040),
    [sym_integer] = ACTIONS(1040),
    [aux_sym_return_statement_token1] = ACTIONS(1040),
    [aux_sym_throw_expression_token1] = ACTIONS(1040),
    [aux_sym_while_statement_token1] = ACTIONS(1040),
    [aux_sym_while_statement_token2] = ACTIONS(1040),
    [aux_sym_do_statement_token1] = ACTIONS(1040),
    [aux_sym_for_statement_token1] = ACTIONS(1040),
    [aux_sym_for_statement_token2] = ACTIONS(1040),
    [aux_sym_foreach_statement_token1] = ACTIONS(1040),
    [aux_sym_foreach_statement_token2] = ACTIONS(1040),
    [aux_sym_if_statement_token1] = ACTIONS(1040),
    [aux_sym_if_statement_token2] = ACTIONS(1040),
    [aux_sym_else_if_clause_token1] = ACTIONS(1040),
    [aux_sym_else_clause_token1] = ACTIONS(1040),
    [aux_sym_match_expression_token1] = ACTIONS(1040),
    [aux_sym_match_default_expression_token1] = ACTIONS(1040),
    [aux_sym_switch_statement_token1] = ACTIONS(1040),
    [aux_sym_switch_block_token1] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_TILDE] = ACTIONS(1038),
    [anon_sym_BANG] = ACTIONS(1038),
    [aux_sym_clone_expression_token1] = ACTIONS(1040),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1040),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1040),
    [anon_sym_PLUS_PLUS] = ACTIONS(1038),
    [anon_sym_DASH_DASH] = ACTIONS(1038),
    [aux_sym__list_destructing_token1] = ACTIONS(1040),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_self] = ACTIONS(1040),
    [anon_sym_parent] = ACTIONS(1040),
    [anon_sym_POUND_LBRACK] = ACTIONS(1038),
    [anon_sym_SQUOTE] = ACTIONS(1038),
    [aux_sym_encapsed_string_token1] = ACTIONS(1038),
    [anon_sym_DQUOTE] = ACTIONS(1038),
    [aux_sym_string_token1] = ACTIONS(1038),
    [anon_sym_LT_LT_LT] = ACTIONS(1038),
    [anon_sym_BQUOTE] = ACTIONS(1038),
    [sym_boolean] = ACTIONS(1040),
    [sym_null] = ACTIONS(1040),
    [anon_sym_DOLLAR] = ACTIONS(1038),
    [aux_sym_yield_expression_token1] = ACTIONS(1040),
    [aux_sym_include_expression_token1] = ACTIONS(1040),
    [aux_sym_include_once_expression_token1] = ACTIONS(1040),
    [aux_sym_require_expression_token1] = ACTIONS(1040),
    [aux_sym_require_once_expression_token1] = ACTIONS(1040),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1042),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(1044),
    [sym_name] = ACTIONS(1046),
    [anon_sym_QMARK_GT] = ACTIONS(1044),
    [anon_sym_SEMI] = ACTIONS(1048),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1046),
    [aux_sym_global_declaration_token1] = ACTIONS(1046),
    [aux_sym_namespace_definition_token1] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1046),
    [anon_sym_BSLASH] = ACTIONS(1044),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [aux_sym_trait_declaration_token1] = ACTIONS(1046),
    [aux_sym_interface_declaration_token1] = ACTIONS(1046),
    [aux_sym_enum_declaration_token1] = ACTIONS(1046),
    [aux_sym_enum_case_token1] = ACTIONS(1046),
    [aux_sym_class_declaration_token1] = ACTIONS(1046),
    [aux_sym_final_modifier_token1] = ACTIONS(1046),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1046),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1046),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1046),
    [anon_sym_LPAREN] = ACTIONS(1044),
    [aux_sym_cast_type_token1] = ACTIONS(1046),
    [aux_sym_echo_statement_token1] = ACTIONS(1046),
    [anon_sym_unset] = ACTIONS(1046),
    [aux_sym_declare_statement_token1] = ACTIONS(1046),
    [aux_sym_declare_statement_token2] = ACTIONS(1046),
    [sym_float] = ACTIONS(1046),
    [aux_sym_try_statement_token1] = ACTIONS(1046),
    [aux_sym_goto_statement_token1] = ACTIONS(1046),
    [aux_sym_continue_statement_token1] = ACTIONS(1046),
    [aux_sym_break_statement_token1] = ACTIONS(1046),
    [sym_integer] = ACTIONS(1046),
    [aux_sym_return_statement_token1] = ACTIONS(1046),
    [aux_sym_throw_expression_token1] = ACTIONS(1046),
    [aux_sym_while_statement_token1] = ACTIONS(1046),
    [aux_sym_while_statement_token2] = ACTIONS(1046),
    [aux_sym_do_statement_token1] = ACTIONS(1046),
    [aux_sym_for_statement_token1] = ACTIONS(1046),
    [aux_sym_for_statement_token2] = ACTIONS(1046),
    [aux_sym_foreach_statement_token1] = ACTIONS(1046),
    [aux_sym_foreach_statement_token2] = ACTIONS(1046),
    [aux_sym_if_statement_token1] = ACTIONS(1046),
    [aux_sym_if_statement_token2] = ACTIONS(1046),
    [aux_sym_else_if_clause_token1] = ACTIONS(1046),
    [aux_sym_else_clause_token1] = ACTIONS(1046),
    [aux_sym_match_expression_token1] = ACTIONS(1046),
    [aux_sym_match_default_expression_token1] = ACTIONS(1046),
    [aux_sym_switch_statement_token1] = ACTIONS(1046),
    [aux_sym_switch_block_token1] = ACTIONS(1046),
    [anon_sym_AT] = ACTIONS(1044),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_TILDE] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(1044),
    [aux_sym_clone_expression_token1] = ACTIONS(1046),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1046),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1046),
    [anon_sym_PLUS_PLUS] = ACTIONS(1044),
    [anon_sym_DASH_DASH] = ACTIONS(1044),
    [aux_sym__list_destructing_token1] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_self] = ACTIONS(1046),
    [anon_sym_parent] = ACTIONS(1046),
    [anon_sym_POUND_LBRACK] = ACTIONS(1044),
    [anon_sym_SQUOTE] = ACTIONS(1044),
    [aux_sym_encapsed_string_token1] = ACTIONS(1044),
    [anon_sym_DQUOTE] = ACTIONS(1044),
    [aux_sym_string_token1] = ACTIONS(1044),
    [anon_sym_LT_LT_LT] = ACTIONS(1044),
    [anon_sym_BQUOTE] = ACTIONS(1044),
    [sym_boolean] = ACTIONS(1046),
    [sym_null] = ACTIONS(1046),
    [anon_sym_DOLLAR] = ACTIONS(1044),
    [aux_sym_yield_expression_token1] = ACTIONS(1046),
    [aux_sym_include_expression_token1] = ACTIONS(1046),
    [aux_sym_include_once_expression_token1] = ACTIONS(1046),
    [aux_sym_require_expression_token1] = ACTIONS(1046),
    [aux_sym_require_once_expression_token1] = ACTIONS(1046),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1048),
  },
  [446] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(2525),
    [sym__unary_expression] = STATE(958),
    [sym_unary_op_expression] = STATE(1177),
    [sym_exponentiation_expression] = STATE(958),
    [sym_clone_expression] = STATE(1177),
    [sym__primary_expression] = STATE(1177),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(958),
    [sym_cast_variable] = STATE(599),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_function_call_expression] = STATE(583),
    [sym_scoped_call_expression] = STATE(583),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(583),
    [sym_nullsafe_member_call_expression] = STATE(583),
    [sym_subscript_expression] = STATE(583),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(583),
    [sym_variable_name] = STATE(583),
    [sym_include_expression] = STATE(958),
    [sym_include_once_expression] = STATE(958),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(651),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(661),
    [aux_sym_clone_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(1050),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_include_expression_token1] = ACTIONS(673),
    [aux_sym_include_once_expression_token1] = ACTIONS(675),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(2478),
    [sym__unary_expression] = STATE(958),
    [sym_unary_op_expression] = STATE(1022),
    [sym_exponentiation_expression] = STATE(958),
    [sym_clone_expression] = STATE(1022),
    [sym__primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(958),
    [sym_cast_variable] = STATE(599),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_function_call_expression] = STATE(583),
    [sym_scoped_call_expression] = STATE(583),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(583),
    [sym_nullsafe_member_call_expression] = STATE(583),
    [sym_subscript_expression] = STATE(583),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(583),
    [sym_variable_name] = STATE(583),
    [sym_include_expression] = STATE(958),
    [sym_include_once_expression] = STATE(958),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(609),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [aux_sym_clone_expression_token1] = ACTIONS(621),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(1050),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_include_expression_token1] = ACTIONS(631),
    [aux_sym_include_once_expression_token1] = ACTIONS(633),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(2646),
    [sym__unary_expression] = STATE(958),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(958),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(958),
    [sym_cast_variable] = STATE(640),
    [sym_member_access_expression] = STATE(640),
    [sym_nullsafe_member_access_expression] = STATE(640),
    [sym_scoped_property_access_expression] = STATE(640),
    [sym_function_call_expression] = STATE(611),
    [sym_scoped_call_expression] = STATE(611),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(611),
    [sym_nullsafe_member_call_expression] = STATE(611),
    [sym_subscript_expression] = STATE(611),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(611),
    [sym_variable_name] = STATE(611),
    [sym_include_expression] = STATE(958),
    [sym_include_once_expression] = STATE(958),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(815),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(1050),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(1052),
    [sym_name] = ACTIONS(1054),
    [anon_sym_QMARK_GT] = ACTIONS(1052),
    [anon_sym_SEMI] = ACTIONS(1056),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1054),
    [aux_sym_global_declaration_token1] = ACTIONS(1054),
    [aux_sym_namespace_definition_token1] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1054),
    [anon_sym_BSLASH] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [aux_sym_trait_declaration_token1] = ACTIONS(1054),
    [aux_sym_interface_declaration_token1] = ACTIONS(1054),
    [aux_sym_enum_declaration_token1] = ACTIONS(1054),
    [aux_sym_enum_case_token1] = ACTIONS(1054),
    [aux_sym_class_declaration_token1] = ACTIONS(1054),
    [aux_sym_final_modifier_token1] = ACTIONS(1054),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1054),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1054),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1054),
    [anon_sym_LPAREN] = ACTIONS(1052),
    [aux_sym_cast_type_token1] = ACTIONS(1054),
    [aux_sym_echo_statement_token1] = ACTIONS(1054),
    [anon_sym_unset] = ACTIONS(1054),
    [aux_sym_declare_statement_token1] = ACTIONS(1054),
    [aux_sym_declare_statement_token2] = ACTIONS(1054),
    [sym_float] = ACTIONS(1054),
    [aux_sym_try_statement_token1] = ACTIONS(1054),
    [aux_sym_goto_statement_token1] = ACTIONS(1054),
    [aux_sym_continue_statement_token1] = ACTIONS(1054),
    [aux_sym_break_statement_token1] = ACTIONS(1054),
    [sym_integer] = ACTIONS(1054),
    [aux_sym_return_statement_token1] = ACTIONS(1054),
    [aux_sym_throw_expression_token1] = ACTIONS(1054),
    [aux_sym_while_statement_token1] = ACTIONS(1054),
    [aux_sym_while_statement_token2] = ACTIONS(1054),
    [aux_sym_do_statement_token1] = ACTIONS(1054),
    [aux_sym_for_statement_token1] = ACTIONS(1054),
    [aux_sym_for_statement_token2] = ACTIONS(1054),
    [aux_sym_foreach_statement_token1] = ACTIONS(1054),
    [aux_sym_foreach_statement_token2] = ACTIONS(1054),
    [aux_sym_if_statement_token1] = ACTIONS(1054),
    [aux_sym_if_statement_token2] = ACTIONS(1054),
    [aux_sym_else_if_clause_token1] = ACTIONS(1054),
    [aux_sym_else_clause_token1] = ACTIONS(1054),
    [aux_sym_match_expression_token1] = ACTIONS(1054),
    [aux_sym_match_default_expression_token1] = ACTIONS(1054),
    [aux_sym_switch_statement_token1] = ACTIONS(1054),
    [aux_sym_switch_block_token1] = ACTIONS(1054),
    [anon_sym_AT] = ACTIONS(1052),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_BANG] = ACTIONS(1052),
    [aux_sym_clone_expression_token1] = ACTIONS(1054),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1054),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1054),
    [anon_sym_PLUS_PLUS] = ACTIONS(1052),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [aux_sym__list_destructing_token1] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_self] = ACTIONS(1054),
    [anon_sym_parent] = ACTIONS(1054),
    [anon_sym_POUND_LBRACK] = ACTIONS(1052),
    [anon_sym_SQUOTE] = ACTIONS(1052),
    [aux_sym_encapsed_string_token1] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(1052),
    [aux_sym_string_token1] = ACTIONS(1052),
    [anon_sym_LT_LT_LT] = ACTIONS(1052),
    [anon_sym_BQUOTE] = ACTIONS(1052),
    [sym_boolean] = ACTIONS(1054),
    [sym_null] = ACTIONS(1054),
    [anon_sym_DOLLAR] = ACTIONS(1052),
    [aux_sym_yield_expression_token1] = ACTIONS(1054),
    [aux_sym_include_expression_token1] = ACTIONS(1054),
    [aux_sym_include_once_expression_token1] = ACTIONS(1054),
    [aux_sym_require_expression_token1] = ACTIONS(1054),
    [aux_sym_require_once_expression_token1] = ACTIONS(1054),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1056),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(1058),
    [sym_name] = ACTIONS(1060),
    [anon_sym_QMARK_GT] = ACTIONS(1058),
    [anon_sym_SEMI] = ACTIONS(1062),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1060),
    [aux_sym_global_declaration_token1] = ACTIONS(1060),
    [aux_sym_namespace_definition_token1] = ACTIONS(1060),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1060),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1060),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1060),
    [anon_sym_BSLASH] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(1058),
    [anon_sym_RBRACE] = ACTIONS(1058),
    [aux_sym_trait_declaration_token1] = ACTIONS(1060),
    [aux_sym_interface_declaration_token1] = ACTIONS(1060),
    [aux_sym_enum_declaration_token1] = ACTIONS(1060),
    [aux_sym_enum_case_token1] = ACTIONS(1060),
    [aux_sym_class_declaration_token1] = ACTIONS(1060),
    [aux_sym_final_modifier_token1] = ACTIONS(1060),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1060),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1060),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1060),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1060),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1060),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1060),
    [anon_sym_LPAREN] = ACTIONS(1058),
    [aux_sym_cast_type_token1] = ACTIONS(1060),
    [aux_sym_echo_statement_token1] = ACTIONS(1060),
    [anon_sym_unset] = ACTIONS(1060),
    [aux_sym_declare_statement_token1] = ACTIONS(1060),
    [aux_sym_declare_statement_token2] = ACTIONS(1060),
    [sym_float] = ACTIONS(1060),
    [aux_sym_try_statement_token1] = ACTIONS(1060),
    [aux_sym_goto_statement_token1] = ACTIONS(1060),
    [aux_sym_continue_statement_token1] = ACTIONS(1060),
    [aux_sym_break_statement_token1] = ACTIONS(1060),
    [sym_integer] = ACTIONS(1060),
    [aux_sym_return_statement_token1] = ACTIONS(1060),
    [aux_sym_throw_expression_token1] = ACTIONS(1060),
    [aux_sym_while_statement_token1] = ACTIONS(1060),
    [aux_sym_while_statement_token2] = ACTIONS(1060),
    [aux_sym_do_statement_token1] = ACTIONS(1060),
    [aux_sym_for_statement_token1] = ACTIONS(1060),
    [aux_sym_for_statement_token2] = ACTIONS(1060),
    [aux_sym_foreach_statement_token1] = ACTIONS(1060),
    [aux_sym_foreach_statement_token2] = ACTIONS(1060),
    [aux_sym_if_statement_token1] = ACTIONS(1060),
    [aux_sym_if_statement_token2] = ACTIONS(1060),
    [aux_sym_else_if_clause_token1] = ACTIONS(1060),
    [aux_sym_else_clause_token1] = ACTIONS(1060),
    [aux_sym_match_expression_token1] = ACTIONS(1060),
    [aux_sym_match_default_expression_token1] = ACTIONS(1060),
    [aux_sym_switch_statement_token1] = ACTIONS(1060),
    [aux_sym_switch_block_token1] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1060),
    [anon_sym_DASH] = ACTIONS(1060),
    [anon_sym_TILDE] = ACTIONS(1058),
    [anon_sym_BANG] = ACTIONS(1058),
    [aux_sym_clone_expression_token1] = ACTIONS(1060),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1060),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1060),
    [anon_sym_PLUS_PLUS] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1058),
    [aux_sym__list_destructing_token1] = ACTIONS(1060),
    [anon_sym_LBRACK] = ACTIONS(1058),
    [anon_sym_self] = ACTIONS(1060),
    [anon_sym_parent] = ACTIONS(1060),
    [anon_sym_POUND_LBRACK] = ACTIONS(1058),
    [anon_sym_SQUOTE] = ACTIONS(1058),
    [aux_sym_encapsed_string_token1] = ACTIONS(1058),
    [anon_sym_DQUOTE] = ACTIONS(1058),
    [aux_sym_string_token1] = ACTIONS(1058),
    [anon_sym_LT_LT_LT] = ACTIONS(1058),
    [anon_sym_BQUOTE] = ACTIONS(1058),
    [sym_boolean] = ACTIONS(1060),
    [sym_null] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1058),
    [aux_sym_yield_expression_token1] = ACTIONS(1060),
    [aux_sym_include_expression_token1] = ACTIONS(1060),
    [aux_sym_include_once_expression_token1] = ACTIONS(1060),
    [aux_sym_require_expression_token1] = ACTIONS(1060),
    [aux_sym_require_once_expression_token1] = ACTIONS(1060),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1062),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_name] = ACTIONS(1066),
    [anon_sym_QMARK_GT] = ACTIONS(1064),
    [anon_sym_SEMI] = ACTIONS(1068),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1066),
    [aux_sym_global_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_definition_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1066),
    [anon_sym_BSLASH] = ACTIONS(1064),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [aux_sym_trait_declaration_token1] = ACTIONS(1066),
    [aux_sym_interface_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_case_token1] = ACTIONS(1066),
    [aux_sym_class_declaration_token1] = ACTIONS(1066),
    [aux_sym_final_modifier_token1] = ACTIONS(1066),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1066),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1066),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [aux_sym_cast_type_token1] = ACTIONS(1066),
    [aux_sym_echo_statement_token1] = ACTIONS(1066),
    [anon_sym_unset] = ACTIONS(1066),
    [aux_sym_declare_statement_token1] = ACTIONS(1066),
    [aux_sym_declare_statement_token2] = ACTIONS(1066),
    [sym_float] = ACTIONS(1066),
    [aux_sym_try_statement_token1] = ACTIONS(1066),
    [aux_sym_goto_statement_token1] = ACTIONS(1066),
    [aux_sym_continue_statement_token1] = ACTIONS(1066),
    [aux_sym_break_statement_token1] = ACTIONS(1066),
    [sym_integer] = ACTIONS(1066),
    [aux_sym_return_statement_token1] = ACTIONS(1066),
    [aux_sym_throw_expression_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token2] = ACTIONS(1066),
    [aux_sym_do_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token2] = ACTIONS(1066),
    [aux_sym_foreach_statement_token1] = ACTIONS(1066),
    [aux_sym_foreach_statement_token2] = ACTIONS(1066),
    [aux_sym_if_statement_token1] = ACTIONS(1066),
    [aux_sym_if_statement_token2] = ACTIONS(1066),
    [aux_sym_else_if_clause_token1] = ACTIONS(1066),
    [aux_sym_else_clause_token1] = ACTIONS(1066),
    [aux_sym_match_expression_token1] = ACTIONS(1066),
    [aux_sym_match_default_expression_token1] = ACTIONS(1066),
    [aux_sym_switch_statement_token1] = ACTIONS(1066),
    [aux_sym_switch_block_token1] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1064),
    [aux_sym_clone_expression_token1] = ACTIONS(1066),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1066),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1066),
    [anon_sym_PLUS_PLUS] = ACTIONS(1064),
    [anon_sym_DASH_DASH] = ACTIONS(1064),
    [aux_sym__list_destructing_token1] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_self] = ACTIONS(1066),
    [anon_sym_parent] = ACTIONS(1066),
    [anon_sym_POUND_LBRACK] = ACTIONS(1064),
    [anon_sym_SQUOTE] = ACTIONS(1064),
    [aux_sym_encapsed_string_token1] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(1064),
    [aux_sym_string_token1] = ACTIONS(1064),
    [anon_sym_LT_LT_LT] = ACTIONS(1064),
    [anon_sym_BQUOTE] = ACTIONS(1064),
    [sym_boolean] = ACTIONS(1066),
    [sym_null] = ACTIONS(1066),
    [anon_sym_DOLLAR] = ACTIONS(1064),
    [aux_sym_yield_expression_token1] = ACTIONS(1066),
    [aux_sym_include_expression_token1] = ACTIONS(1066),
    [aux_sym_include_once_expression_token1] = ACTIONS(1066),
    [aux_sym_require_expression_token1] = ACTIONS(1066),
    [aux_sym_require_once_expression_token1] = ACTIONS(1066),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1068),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1070),
    [sym_name] = ACTIONS(1072),
    [anon_sym_QMARK_GT] = ACTIONS(1070),
    [anon_sym_SEMI] = ACTIONS(1074),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1072),
    [aux_sym_global_declaration_token1] = ACTIONS(1072),
    [aux_sym_namespace_definition_token1] = ACTIONS(1072),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1072),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1072),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1072),
    [anon_sym_BSLASH] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(1070),
    [anon_sym_RBRACE] = ACTIONS(1070),
    [aux_sym_trait_declaration_token1] = ACTIONS(1072),
    [aux_sym_interface_declaration_token1] = ACTIONS(1072),
    [aux_sym_enum_declaration_token1] = ACTIONS(1072),
    [aux_sym_enum_case_token1] = ACTIONS(1072),
    [aux_sym_class_declaration_token1] = ACTIONS(1072),
    [aux_sym_final_modifier_token1] = ACTIONS(1072),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1072),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1072),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1072),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1072),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1072),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1072),
    [anon_sym_LPAREN] = ACTIONS(1070),
    [aux_sym_cast_type_token1] = ACTIONS(1072),
    [aux_sym_echo_statement_token1] = ACTIONS(1072),
    [anon_sym_unset] = ACTIONS(1072),
    [aux_sym_declare_statement_token1] = ACTIONS(1072),
    [aux_sym_declare_statement_token2] = ACTIONS(1072),
    [sym_float] = ACTIONS(1072),
    [aux_sym_try_statement_token1] = ACTIONS(1072),
    [aux_sym_goto_statement_token1] = ACTIONS(1072),
    [aux_sym_continue_statement_token1] = ACTIONS(1072),
    [aux_sym_break_statement_token1] = ACTIONS(1072),
    [sym_integer] = ACTIONS(1072),
    [aux_sym_return_statement_token1] = ACTIONS(1072),
    [aux_sym_throw_expression_token1] = ACTIONS(1072),
    [aux_sym_while_statement_token1] = ACTIONS(1072),
    [aux_sym_while_statement_token2] = ACTIONS(1072),
    [aux_sym_do_statement_token1] = ACTIONS(1072),
    [aux_sym_for_statement_token1] = ACTIONS(1072),
    [aux_sym_for_statement_token2] = ACTIONS(1072),
    [aux_sym_foreach_statement_token1] = ACTIONS(1072),
    [aux_sym_foreach_statement_token2] = ACTIONS(1072),
    [aux_sym_if_statement_token1] = ACTIONS(1072),
    [aux_sym_if_statement_token2] = ACTIONS(1072),
    [aux_sym_else_if_clause_token1] = ACTIONS(1072),
    [aux_sym_else_clause_token1] = ACTIONS(1072),
    [aux_sym_match_expression_token1] = ACTIONS(1072),
    [aux_sym_match_default_expression_token1] = ACTIONS(1072),
    [aux_sym_switch_statement_token1] = ACTIONS(1072),
    [aux_sym_switch_block_token1] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(1072),
    [anon_sym_DASH] = ACTIONS(1072),
    [anon_sym_TILDE] = ACTIONS(1070),
    [anon_sym_BANG] = ACTIONS(1070),
    [aux_sym_clone_expression_token1] = ACTIONS(1072),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1072),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1072),
    [anon_sym_PLUS_PLUS] = ACTIONS(1070),
    [anon_sym_DASH_DASH] = ACTIONS(1070),
    [aux_sym__list_destructing_token1] = ACTIONS(1072),
    [anon_sym_LBRACK] = ACTIONS(1070),
    [anon_sym_self] = ACTIONS(1072),
    [anon_sym_parent] = ACTIONS(1072),
    [anon_sym_POUND_LBRACK] = ACTIONS(1070),
    [anon_sym_SQUOTE] = ACTIONS(1070),
    [aux_sym_encapsed_string_token1] = ACTIONS(1070),
    [anon_sym_DQUOTE] = ACTIONS(1070),
    [aux_sym_string_token1] = ACTIONS(1070),
    [anon_sym_LT_LT_LT] = ACTIONS(1070),
    [anon_sym_BQUOTE] = ACTIONS(1070),
    [sym_boolean] = ACTIONS(1072),
    [sym_null] = ACTIONS(1072),
    [anon_sym_DOLLAR] = ACTIONS(1070),
    [aux_sym_yield_expression_token1] = ACTIONS(1072),
    [aux_sym_include_expression_token1] = ACTIONS(1072),
    [aux_sym_include_once_expression_token1] = ACTIONS(1072),
    [aux_sym_require_expression_token1] = ACTIONS(1072),
    [aux_sym_require_once_expression_token1] = ACTIONS(1072),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1074),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1076),
    [sym_name] = ACTIONS(1078),
    [anon_sym_QMARK_GT] = ACTIONS(1076),
    [anon_sym_SEMI] = ACTIONS(1080),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1078),
    [aux_sym_global_declaration_token1] = ACTIONS(1078),
    [aux_sym_namespace_definition_token1] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1078),
    [anon_sym_BSLASH] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [aux_sym_trait_declaration_token1] = ACTIONS(1078),
    [aux_sym_interface_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_case_token1] = ACTIONS(1078),
    [aux_sym_class_declaration_token1] = ACTIONS(1078),
    [aux_sym_final_modifier_token1] = ACTIONS(1078),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1078),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1078),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1078),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [aux_sym_cast_type_token1] = ACTIONS(1078),
    [aux_sym_echo_statement_token1] = ACTIONS(1078),
    [anon_sym_unset] = ACTIONS(1078),
    [aux_sym_declare_statement_token1] = ACTIONS(1078),
    [aux_sym_declare_statement_token2] = ACTIONS(1078),
    [sym_float] = ACTIONS(1078),
    [aux_sym_try_statement_token1] = ACTIONS(1078),
    [aux_sym_goto_statement_token1] = ACTIONS(1078),
    [aux_sym_continue_statement_token1] = ACTIONS(1078),
    [aux_sym_break_statement_token1] = ACTIONS(1078),
    [sym_integer] = ACTIONS(1078),
    [aux_sym_return_statement_token1] = ACTIONS(1078),
    [aux_sym_throw_expression_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token2] = ACTIONS(1078),
    [aux_sym_do_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token2] = ACTIONS(1078),
    [aux_sym_foreach_statement_token1] = ACTIONS(1078),
    [aux_sym_foreach_statement_token2] = ACTIONS(1078),
    [aux_sym_if_statement_token1] = ACTIONS(1078),
    [aux_sym_if_statement_token2] = ACTIONS(1078),
    [aux_sym_else_if_clause_token1] = ACTIONS(1078),
    [aux_sym_else_clause_token1] = ACTIONS(1078),
    [aux_sym_match_expression_token1] = ACTIONS(1078),
    [aux_sym_match_default_expression_token1] = ACTIONS(1078),
    [aux_sym_switch_statement_token1] = ACTIONS(1078),
    [aux_sym_switch_block_token1] = ACTIONS(1078),
    [anon_sym_AT] = ACTIONS(1076),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [aux_sym_clone_expression_token1] = ACTIONS(1078),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1078),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1076),
    [anon_sym_DASH_DASH] = ACTIONS(1076),
    [aux_sym__list_destructing_token1] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [anon_sym_self] = ACTIONS(1078),
    [anon_sym_parent] = ACTIONS(1078),
    [anon_sym_POUND_LBRACK] = ACTIONS(1076),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [aux_sym_encapsed_string_token1] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [aux_sym_string_token1] = ACTIONS(1076),
    [anon_sym_LT_LT_LT] = ACTIONS(1076),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [sym_boolean] = ACTIONS(1078),
    [sym_null] = ACTIONS(1078),
    [anon_sym_DOLLAR] = ACTIONS(1076),
    [aux_sym_yield_expression_token1] = ACTIONS(1078),
    [aux_sym_include_expression_token1] = ACTIONS(1078),
    [aux_sym_include_once_expression_token1] = ACTIONS(1078),
    [aux_sym_require_expression_token1] = ACTIONS(1078),
    [aux_sym_require_once_expression_token1] = ACTIONS(1078),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1080),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1082),
    [sym_name] = ACTIONS(1084),
    [anon_sym_QMARK_GT] = ACTIONS(1082),
    [anon_sym_SEMI] = ACTIONS(1082),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1084),
    [aux_sym_global_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_definition_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym_trait_declaration_token1] = ACTIONS(1084),
    [aux_sym_interface_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_case_token1] = ACTIONS(1084),
    [aux_sym_class_declaration_token1] = ACTIONS(1084),
    [aux_sym_final_modifier_token1] = ACTIONS(1084),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1084),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1084),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1082),
    [aux_sym_cast_type_token1] = ACTIONS(1084),
    [aux_sym_echo_statement_token1] = ACTIONS(1084),
    [anon_sym_unset] = ACTIONS(1084),
    [aux_sym_declare_statement_token1] = ACTIONS(1084),
    [aux_sym_declare_statement_token2] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [aux_sym_try_statement_token1] = ACTIONS(1084),
    [aux_sym_goto_statement_token1] = ACTIONS(1084),
    [aux_sym_continue_statement_token1] = ACTIONS(1084),
    [aux_sym_break_statement_token1] = ACTIONS(1084),
    [sym_integer] = ACTIONS(1084),
    [aux_sym_return_statement_token1] = ACTIONS(1084),
    [aux_sym_throw_expression_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token2] = ACTIONS(1084),
    [aux_sym_do_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token2] = ACTIONS(1084),
    [aux_sym_foreach_statement_token1] = ACTIONS(1084),
    [aux_sym_foreach_statement_token2] = ACTIONS(1084),
    [aux_sym_if_statement_token1] = ACTIONS(1084),
    [aux_sym_if_statement_token2] = ACTIONS(1084),
    [aux_sym_else_if_clause_token1] = ACTIONS(1084),
    [aux_sym_else_clause_token1] = ACTIONS(1084),
    [aux_sym_match_expression_token1] = ACTIONS(1084),
    [aux_sym_match_default_expression_token1] = ACTIONS(1084),
    [aux_sym_switch_statement_token1] = ACTIONS(1084),
    [aux_sym_switch_block_token1] = ACTIONS(1084),
    [anon_sym_AT] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1082),
    [anon_sym_BANG] = ACTIONS(1082),
    [aux_sym_clone_expression_token1] = ACTIONS(1084),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1084),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1084),
    [anon_sym_PLUS_PLUS] = ACTIONS(1082),
    [anon_sym_DASH_DASH] = ACTIONS(1082),
    [aux_sym__list_destructing_token1] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_self] = ACTIONS(1084),
    [anon_sym_parent] = ACTIONS(1084),
    [anon_sym_POUND_LBRACK] = ACTIONS(1082),
    [anon_sym_SQUOTE] = ACTIONS(1082),
    [aux_sym_encapsed_string_token1] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1082),
    [aux_sym_string_token1] = ACTIONS(1082),
    [anon_sym_LT_LT_LT] = ACTIONS(1082),
    [anon_sym_BQUOTE] = ACTIONS(1082),
    [sym_boolean] = ACTIONS(1084),
    [sym_null] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1082),
    [aux_sym_yield_expression_token1] = ACTIONS(1084),
    [aux_sym_include_expression_token1] = ACTIONS(1084),
    [aux_sym_include_once_expression_token1] = ACTIONS(1084),
    [aux_sym_require_expression_token1] = ACTIONS(1084),
    [aux_sym_require_once_expression_token1] = ACTIONS(1084),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1082),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1086),
    [sym_name] = ACTIONS(1088),
    [anon_sym_QMARK_GT] = ACTIONS(1086),
    [anon_sym_SEMI] = ACTIONS(1090),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1088),
    [aux_sym_global_declaration_token1] = ACTIONS(1088),
    [aux_sym_namespace_definition_token1] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1088),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1088),
    [anon_sym_BSLASH] = ACTIONS(1086),
    [anon_sym_LBRACE] = ACTIONS(1086),
    [anon_sym_RBRACE] = ACTIONS(1086),
    [aux_sym_trait_declaration_token1] = ACTIONS(1088),
    [aux_sym_interface_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_declaration_token1] = ACTIONS(1088),
    [aux_sym_enum_case_token1] = ACTIONS(1088),
    [aux_sym_class_declaration_token1] = ACTIONS(1088),
    [aux_sym_final_modifier_token1] = ACTIONS(1088),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1088),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1088),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1088),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1088),
    [anon_sym_LPAREN] = ACTIONS(1086),
    [aux_sym_cast_type_token1] = ACTIONS(1088),
    [aux_sym_echo_statement_token1] = ACTIONS(1088),
    [anon_sym_unset] = ACTIONS(1088),
    [aux_sym_declare_statement_token1] = ACTIONS(1088),
    [aux_sym_declare_statement_token2] = ACTIONS(1088),
    [sym_float] = ACTIONS(1088),
    [aux_sym_try_statement_token1] = ACTIONS(1088),
    [aux_sym_goto_statement_token1] = ACTIONS(1088),
    [aux_sym_continue_statement_token1] = ACTIONS(1088),
    [aux_sym_break_statement_token1] = ACTIONS(1088),
    [sym_integer] = ACTIONS(1088),
    [aux_sym_return_statement_token1] = ACTIONS(1088),
    [aux_sym_throw_expression_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token1] = ACTIONS(1088),
    [aux_sym_while_statement_token2] = ACTIONS(1088),
    [aux_sym_do_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token1] = ACTIONS(1088),
    [aux_sym_for_statement_token2] = ACTIONS(1088),
    [aux_sym_foreach_statement_token1] = ACTIONS(1088),
    [aux_sym_foreach_statement_token2] = ACTIONS(1088),
    [aux_sym_if_statement_token1] = ACTIONS(1088),
    [aux_sym_if_statement_token2] = ACTIONS(1088),
    [aux_sym_else_if_clause_token1] = ACTIONS(1088),
    [aux_sym_else_clause_token1] = ACTIONS(1088),
    [aux_sym_match_expression_token1] = ACTIONS(1088),
    [aux_sym_match_default_expression_token1] = ACTIONS(1088),
    [aux_sym_switch_statement_token1] = ACTIONS(1088),
    [aux_sym_switch_block_token1] = ACTIONS(1088),
    [anon_sym_AT] = ACTIONS(1086),
    [anon_sym_PLUS] = ACTIONS(1088),
    [anon_sym_DASH] = ACTIONS(1088),
    [anon_sym_TILDE] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [aux_sym_clone_expression_token1] = ACTIONS(1088),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1088),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1088),
    [anon_sym_PLUS_PLUS] = ACTIONS(1086),
    [anon_sym_DASH_DASH] = ACTIONS(1086),
    [aux_sym__list_destructing_token1] = ACTIONS(1088),
    [anon_sym_LBRACK] = ACTIONS(1086),
    [anon_sym_self] = ACTIONS(1088),
    [anon_sym_parent] = ACTIONS(1088),
    [anon_sym_POUND_LBRACK] = ACTIONS(1086),
    [anon_sym_SQUOTE] = ACTIONS(1086),
    [aux_sym_encapsed_string_token1] = ACTIONS(1086),
    [anon_sym_DQUOTE] = ACTIONS(1086),
    [aux_sym_string_token1] = ACTIONS(1086),
    [anon_sym_LT_LT_LT] = ACTIONS(1086),
    [anon_sym_BQUOTE] = ACTIONS(1086),
    [sym_boolean] = ACTIONS(1088),
    [sym_null] = ACTIONS(1088),
    [anon_sym_DOLLAR] = ACTIONS(1086),
    [aux_sym_yield_expression_token1] = ACTIONS(1088),
    [aux_sym_include_expression_token1] = ACTIONS(1088),
    [aux_sym_include_once_expression_token1] = ACTIONS(1088),
    [aux_sym_require_expression_token1] = ACTIONS(1088),
    [aux_sym_require_once_expression_token1] = ACTIONS(1088),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1090),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1092),
    [sym_name] = ACTIONS(1094),
    [anon_sym_QMARK_GT] = ACTIONS(1092),
    [anon_sym_SEMI] = ACTIONS(1092),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1094),
    [aux_sym_global_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_definition_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1094),
    [anon_sym_BSLASH] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1092),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [aux_sym_trait_declaration_token1] = ACTIONS(1094),
    [aux_sym_interface_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_case_token1] = ACTIONS(1094),
    [aux_sym_class_declaration_token1] = ACTIONS(1094),
    [aux_sym_final_modifier_token1] = ACTIONS(1094),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1094),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1094),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1094),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [aux_sym_cast_type_token1] = ACTIONS(1094),
    [aux_sym_echo_statement_token1] = ACTIONS(1094),
    [anon_sym_unset] = ACTIONS(1094),
    [aux_sym_declare_statement_token1] = ACTIONS(1094),
    [aux_sym_declare_statement_token2] = ACTIONS(1094),
    [sym_float] = ACTIONS(1094),
    [aux_sym_try_statement_token1] = ACTIONS(1094),
    [aux_sym_goto_statement_token1] = ACTIONS(1094),
    [aux_sym_continue_statement_token1] = ACTIONS(1094),
    [aux_sym_break_statement_token1] = ACTIONS(1094),
    [sym_integer] = ACTIONS(1094),
    [aux_sym_return_statement_token1] = ACTIONS(1094),
    [aux_sym_throw_expression_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token2] = ACTIONS(1094),
    [aux_sym_do_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token2] = ACTIONS(1094),
    [aux_sym_foreach_statement_token1] = ACTIONS(1094),
    [aux_sym_foreach_statement_token2] = ACTIONS(1094),
    [aux_sym_if_statement_token1] = ACTIONS(1094),
    [aux_sym_if_statement_token2] = ACTIONS(1094),
    [aux_sym_else_if_clause_token1] = ACTIONS(1094),
    [aux_sym_else_clause_token1] = ACTIONS(1094),
    [aux_sym_match_expression_token1] = ACTIONS(1094),
    [aux_sym_match_default_expression_token1] = ACTIONS(1094),
    [aux_sym_switch_statement_token1] = ACTIONS(1094),
    [aux_sym_switch_block_token1] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1092),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1092),
    [anon_sym_BANG] = ACTIONS(1092),
    [aux_sym_clone_expression_token1] = ACTIONS(1094),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1094),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1092),
    [aux_sym__list_destructing_token1] = ACTIONS(1094),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_self] = ACTIONS(1094),
    [anon_sym_parent] = ACTIONS(1094),
    [anon_sym_POUND_LBRACK] = ACTIONS(1092),
    [anon_sym_SQUOTE] = ACTIONS(1092),
    [aux_sym_encapsed_string_token1] = ACTIONS(1092),
    [anon_sym_DQUOTE] = ACTIONS(1092),
    [aux_sym_string_token1] = ACTIONS(1092),
    [anon_sym_LT_LT_LT] = ACTIONS(1092),
    [anon_sym_BQUOTE] = ACTIONS(1092),
    [sym_boolean] = ACTIONS(1094),
    [sym_null] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1092),
    [aux_sym_yield_expression_token1] = ACTIONS(1094),
    [aux_sym_include_expression_token1] = ACTIONS(1094),
    [aux_sym_include_once_expression_token1] = ACTIONS(1094),
    [aux_sym_require_expression_token1] = ACTIONS(1094),
    [aux_sym_require_once_expression_token1] = ACTIONS(1094),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1092),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1096),
    [sym_name] = ACTIONS(1098),
    [anon_sym_QMARK_GT] = ACTIONS(1096),
    [anon_sym_SEMI] = ACTIONS(1100),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1098),
    [aux_sym_global_declaration_token1] = ACTIONS(1098),
    [aux_sym_namespace_definition_token1] = ACTIONS(1098),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1098),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1098),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1098),
    [anon_sym_BSLASH] = ACTIONS(1096),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym_RBRACE] = ACTIONS(1096),
    [aux_sym_trait_declaration_token1] = ACTIONS(1098),
    [aux_sym_interface_declaration_token1] = ACTIONS(1098),
    [aux_sym_enum_declaration_token1] = ACTIONS(1098),
    [aux_sym_enum_case_token1] = ACTIONS(1098),
    [aux_sym_class_declaration_token1] = ACTIONS(1098),
    [aux_sym_final_modifier_token1] = ACTIONS(1098),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1098),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1098),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1098),
    [anon_sym_LPAREN] = ACTIONS(1096),
    [aux_sym_cast_type_token1] = ACTIONS(1098),
    [aux_sym_echo_statement_token1] = ACTIONS(1098),
    [anon_sym_unset] = ACTIONS(1098),
    [aux_sym_declare_statement_token1] = ACTIONS(1098),
    [aux_sym_declare_statement_token2] = ACTIONS(1098),
    [sym_float] = ACTIONS(1098),
    [aux_sym_try_statement_token1] = ACTIONS(1098),
    [aux_sym_goto_statement_token1] = ACTIONS(1098),
    [aux_sym_continue_statement_token1] = ACTIONS(1098),
    [aux_sym_break_statement_token1] = ACTIONS(1098),
    [sym_integer] = ACTIONS(1098),
    [aux_sym_return_statement_token1] = ACTIONS(1098),
    [aux_sym_throw_expression_token1] = ACTIONS(1098),
    [aux_sym_while_statement_token1] = ACTIONS(1098),
    [aux_sym_while_statement_token2] = ACTIONS(1098),
    [aux_sym_do_statement_token1] = ACTIONS(1098),
    [aux_sym_for_statement_token1] = ACTIONS(1098),
    [aux_sym_for_statement_token2] = ACTIONS(1098),
    [aux_sym_foreach_statement_token1] = ACTIONS(1098),
    [aux_sym_foreach_statement_token2] = ACTIONS(1098),
    [aux_sym_if_statement_token1] = ACTIONS(1098),
    [aux_sym_if_statement_token2] = ACTIONS(1098),
    [aux_sym_else_if_clause_token1] = ACTIONS(1098),
    [aux_sym_else_clause_token1] = ACTIONS(1098),
    [aux_sym_match_expression_token1] = ACTIONS(1098),
    [aux_sym_match_default_expression_token1] = ACTIONS(1098),
    [aux_sym_switch_statement_token1] = ACTIONS(1098),
    [aux_sym_switch_block_token1] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1096),
    [anon_sym_PLUS] = ACTIONS(1098),
    [anon_sym_DASH] = ACTIONS(1098),
    [anon_sym_TILDE] = ACTIONS(1096),
    [anon_sym_BANG] = ACTIONS(1096),
    [aux_sym_clone_expression_token1] = ACTIONS(1098),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1098),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1098),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [aux_sym__list_destructing_token1] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1096),
    [anon_sym_self] = ACTIONS(1098),
    [anon_sym_parent] = ACTIONS(1098),
    [anon_sym_POUND_LBRACK] = ACTIONS(1096),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [aux_sym_encapsed_string_token1] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(1096),
    [aux_sym_string_token1] = ACTIONS(1096),
    [anon_sym_LT_LT_LT] = ACTIONS(1096),
    [anon_sym_BQUOTE] = ACTIONS(1096),
    [sym_boolean] = ACTIONS(1098),
    [sym_null] = ACTIONS(1098),
    [anon_sym_DOLLAR] = ACTIONS(1096),
    [aux_sym_yield_expression_token1] = ACTIONS(1098),
    [aux_sym_include_expression_token1] = ACTIONS(1098),
    [aux_sym_include_once_expression_token1] = ACTIONS(1098),
    [aux_sym_require_expression_token1] = ACTIONS(1098),
    [aux_sym_require_once_expression_token1] = ACTIONS(1098),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1100),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_name] = ACTIONS(1104),
    [anon_sym_QMARK_GT] = ACTIONS(1102),
    [anon_sym_SEMI] = ACTIONS(1106),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1104),
    [aux_sym_global_declaration_token1] = ACTIONS(1104),
    [aux_sym_namespace_definition_token1] = ACTIONS(1104),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1104),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1104),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1104),
    [anon_sym_BSLASH] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [aux_sym_trait_declaration_token1] = ACTIONS(1104),
    [aux_sym_interface_declaration_token1] = ACTIONS(1104),
    [aux_sym_enum_declaration_token1] = ACTIONS(1104),
    [aux_sym_enum_case_token1] = ACTIONS(1104),
    [aux_sym_class_declaration_token1] = ACTIONS(1104),
    [aux_sym_final_modifier_token1] = ACTIONS(1104),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1104),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1104),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1104),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [aux_sym_cast_type_token1] = ACTIONS(1104),
    [aux_sym_echo_statement_token1] = ACTIONS(1104),
    [anon_sym_unset] = ACTIONS(1104),
    [aux_sym_declare_statement_token1] = ACTIONS(1104),
    [aux_sym_declare_statement_token2] = ACTIONS(1104),
    [sym_float] = ACTIONS(1104),
    [aux_sym_try_statement_token1] = ACTIONS(1104),
    [aux_sym_goto_statement_token1] = ACTIONS(1104),
    [aux_sym_continue_statement_token1] = ACTIONS(1104),
    [aux_sym_break_statement_token1] = ACTIONS(1104),
    [sym_integer] = ACTIONS(1104),
    [aux_sym_return_statement_token1] = ACTIONS(1104),
    [aux_sym_throw_expression_token1] = ACTIONS(1104),
    [aux_sym_while_statement_token1] = ACTIONS(1104),
    [aux_sym_while_statement_token2] = ACTIONS(1104),
    [aux_sym_do_statement_token1] = ACTIONS(1104),
    [aux_sym_for_statement_token1] = ACTIONS(1104),
    [aux_sym_for_statement_token2] = ACTIONS(1104),
    [aux_sym_foreach_statement_token1] = ACTIONS(1104),
    [aux_sym_foreach_statement_token2] = ACTIONS(1104),
    [aux_sym_if_statement_token1] = ACTIONS(1104),
    [aux_sym_if_statement_token2] = ACTIONS(1104),
    [aux_sym_else_if_clause_token1] = ACTIONS(1104),
    [aux_sym_else_clause_token1] = ACTIONS(1104),
    [aux_sym_match_expression_token1] = ACTIONS(1104),
    [aux_sym_match_default_expression_token1] = ACTIONS(1104),
    [aux_sym_switch_statement_token1] = ACTIONS(1104),
    [aux_sym_switch_block_token1] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1102),
    [aux_sym_clone_expression_token1] = ACTIONS(1104),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1104),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [aux_sym__list_destructing_token1] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_self] = ACTIONS(1104),
    [anon_sym_parent] = ACTIONS(1104),
    [anon_sym_POUND_LBRACK] = ACTIONS(1102),
    [anon_sym_SQUOTE] = ACTIONS(1102),
    [aux_sym_encapsed_string_token1] = ACTIONS(1102),
    [anon_sym_DQUOTE] = ACTIONS(1102),
    [aux_sym_string_token1] = ACTIONS(1102),
    [anon_sym_LT_LT_LT] = ACTIONS(1102),
    [anon_sym_BQUOTE] = ACTIONS(1102),
    [sym_boolean] = ACTIONS(1104),
    [sym_null] = ACTIONS(1104),
    [anon_sym_DOLLAR] = ACTIONS(1102),
    [aux_sym_yield_expression_token1] = ACTIONS(1104),
    [aux_sym_include_expression_token1] = ACTIONS(1104),
    [aux_sym_include_once_expression_token1] = ACTIONS(1104),
    [aux_sym_require_expression_token1] = ACTIONS(1104),
    [aux_sym_require_once_expression_token1] = ACTIONS(1104),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1106),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1108),
    [sym_name] = ACTIONS(1110),
    [anon_sym_QMARK_GT] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1112),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1110),
    [aux_sym_global_declaration_token1] = ACTIONS(1110),
    [aux_sym_namespace_definition_token1] = ACTIONS(1110),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1110),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1110),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1110),
    [anon_sym_BSLASH] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [aux_sym_trait_declaration_token1] = ACTIONS(1110),
    [aux_sym_interface_declaration_token1] = ACTIONS(1110),
    [aux_sym_enum_declaration_token1] = ACTIONS(1110),
    [aux_sym_enum_case_token1] = ACTIONS(1110),
    [aux_sym_class_declaration_token1] = ACTIONS(1110),
    [aux_sym_final_modifier_token1] = ACTIONS(1110),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1110),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1110),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1110),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [aux_sym_cast_type_token1] = ACTIONS(1110),
    [aux_sym_echo_statement_token1] = ACTIONS(1110),
    [anon_sym_unset] = ACTIONS(1110),
    [aux_sym_declare_statement_token1] = ACTIONS(1110),
    [aux_sym_declare_statement_token2] = ACTIONS(1110),
    [sym_float] = ACTIONS(1110),
    [aux_sym_try_statement_token1] = ACTIONS(1110),
    [aux_sym_goto_statement_token1] = ACTIONS(1110),
    [aux_sym_continue_statement_token1] = ACTIONS(1110),
    [aux_sym_break_statement_token1] = ACTIONS(1110),
    [sym_integer] = ACTIONS(1110),
    [aux_sym_return_statement_token1] = ACTIONS(1110),
    [aux_sym_throw_expression_token1] = ACTIONS(1110),
    [aux_sym_while_statement_token1] = ACTIONS(1110),
    [aux_sym_while_statement_token2] = ACTIONS(1110),
    [aux_sym_do_statement_token1] = ACTIONS(1110),
    [aux_sym_for_statement_token1] = ACTIONS(1110),
    [aux_sym_for_statement_token2] = ACTIONS(1110),
    [aux_sym_foreach_statement_token1] = ACTIONS(1110),
    [aux_sym_foreach_statement_token2] = ACTIONS(1110),
    [aux_sym_if_statement_token1] = ACTIONS(1110),
    [aux_sym_if_statement_token2] = ACTIONS(1110),
    [aux_sym_else_if_clause_token1] = ACTIONS(1110),
    [aux_sym_else_clause_token1] = ACTIONS(1110),
    [aux_sym_match_expression_token1] = ACTIONS(1110),
    [aux_sym_match_default_expression_token1] = ACTIONS(1110),
    [aux_sym_switch_statement_token1] = ACTIONS(1110),
    [aux_sym_switch_block_token1] = ACTIONS(1110),
    [anon_sym_AT] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [aux_sym_clone_expression_token1] = ACTIONS(1110),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1110),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1110),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [aux_sym__list_destructing_token1] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [anon_sym_self] = ACTIONS(1110),
    [anon_sym_parent] = ACTIONS(1110),
    [anon_sym_POUND_LBRACK] = ACTIONS(1108),
    [anon_sym_SQUOTE] = ACTIONS(1108),
    [aux_sym_encapsed_string_token1] = ACTIONS(1108),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [aux_sym_string_token1] = ACTIONS(1108),
    [anon_sym_LT_LT_LT] = ACTIONS(1108),
    [anon_sym_BQUOTE] = ACTIONS(1108),
    [sym_boolean] = ACTIONS(1110),
    [sym_null] = ACTIONS(1110),
    [anon_sym_DOLLAR] = ACTIONS(1108),
    [aux_sym_yield_expression_token1] = ACTIONS(1110),
    [aux_sym_include_expression_token1] = ACTIONS(1110),
    [aux_sym_include_once_expression_token1] = ACTIONS(1110),
    [aux_sym_require_expression_token1] = ACTIONS(1110),
    [aux_sym_require_once_expression_token1] = ACTIONS(1110),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1112),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_name] = ACTIONS(1116),
    [anon_sym_QMARK_GT] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1118),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1116),
    [aux_sym_global_declaration_token1] = ACTIONS(1116),
    [aux_sym_namespace_definition_token1] = ACTIONS(1116),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1116),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1116),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1116),
    [anon_sym_BSLASH] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [aux_sym_trait_declaration_token1] = ACTIONS(1116),
    [aux_sym_interface_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_declaration_token1] = ACTIONS(1116),
    [aux_sym_enum_case_token1] = ACTIONS(1116),
    [aux_sym_class_declaration_token1] = ACTIONS(1116),
    [aux_sym_final_modifier_token1] = ACTIONS(1116),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1116),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1116),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1116),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1116),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [aux_sym_cast_type_token1] = ACTIONS(1116),
    [aux_sym_echo_statement_token1] = ACTIONS(1116),
    [anon_sym_unset] = ACTIONS(1116),
    [aux_sym_declare_statement_token1] = ACTIONS(1116),
    [aux_sym_declare_statement_token2] = ACTIONS(1116),
    [sym_float] = ACTIONS(1116),
    [aux_sym_try_statement_token1] = ACTIONS(1116),
    [aux_sym_goto_statement_token1] = ACTIONS(1116),
    [aux_sym_continue_statement_token1] = ACTIONS(1116),
    [aux_sym_break_statement_token1] = ACTIONS(1116),
    [sym_integer] = ACTIONS(1116),
    [aux_sym_return_statement_token1] = ACTIONS(1116),
    [aux_sym_throw_expression_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token1] = ACTIONS(1116),
    [aux_sym_while_statement_token2] = ACTIONS(1116),
    [aux_sym_do_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token1] = ACTIONS(1116),
    [aux_sym_for_statement_token2] = ACTIONS(1116),
    [aux_sym_foreach_statement_token1] = ACTIONS(1116),
    [aux_sym_foreach_statement_token2] = ACTIONS(1116),
    [aux_sym_if_statement_token1] = ACTIONS(1116),
    [aux_sym_if_statement_token2] = ACTIONS(1116),
    [aux_sym_else_if_clause_token1] = ACTIONS(1116),
    [aux_sym_else_clause_token1] = ACTIONS(1116),
    [aux_sym_match_expression_token1] = ACTIONS(1116),
    [aux_sym_match_default_expression_token1] = ACTIONS(1116),
    [aux_sym_switch_statement_token1] = ACTIONS(1116),
    [aux_sym_switch_block_token1] = ACTIONS(1116),
    [anon_sym_AT] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [aux_sym_clone_expression_token1] = ACTIONS(1116),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1116),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1116),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [aux_sym__list_destructing_token1] = ACTIONS(1116),
    [anon_sym_LBRACK] = ACTIONS(1114),
    [anon_sym_self] = ACTIONS(1116),
    [anon_sym_parent] = ACTIONS(1116),
    [anon_sym_POUND_LBRACK] = ACTIONS(1114),
    [anon_sym_SQUOTE] = ACTIONS(1114),
    [aux_sym_encapsed_string_token1] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [aux_sym_string_token1] = ACTIONS(1114),
    [anon_sym_LT_LT_LT] = ACTIONS(1114),
    [anon_sym_BQUOTE] = ACTIONS(1114),
    [sym_boolean] = ACTIONS(1116),
    [sym_null] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1114),
    [aux_sym_yield_expression_token1] = ACTIONS(1116),
    [aux_sym_include_expression_token1] = ACTIONS(1116),
    [aux_sym_include_once_expression_token1] = ACTIONS(1116),
    [aux_sym_require_expression_token1] = ACTIONS(1116),
    [aux_sym_require_once_expression_token1] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1118),
  },
  [461] = {
    [sym_qualified_name] = STATE(719),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym_match_expression] = STATE(2646),
    [sym__unary_expression] = STATE(958),
    [sym_unary_op_expression] = STATE(980),
    [sym_exponentiation_expression] = STATE(958),
    [sym_clone_expression] = STATE(980),
    [sym__primary_expression] = STATE(980),
    [sym_parenthesized_expression] = STATE(713),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_expression] = STATE(958),
    [sym_cast_variable] = STATE(599),
    [sym_member_access_expression] = STATE(599),
    [sym_nullsafe_member_access_expression] = STATE(599),
    [sym_scoped_property_access_expression] = STATE(599),
    [sym_function_call_expression] = STATE(583),
    [sym_scoped_call_expression] = STATE(583),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2564),
    [sym_member_call_expression] = STATE(583),
    [sym_nullsafe_member_call_expression] = STATE(583),
    [sym_subscript_expression] = STATE(583),
    [sym__dereferencable_expression] = STATE(1721),
    [sym_array_creation_expression] = STATE(713),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(713),
    [sym_string] = STATE(713),
    [sym_heredoc] = STATE(713),
    [sym_nowdoc] = STATE(713),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(713),
    [sym_dynamic_variable_name] = STATE(583),
    [sym_variable_name] = STATE(583),
    [sym_include_expression] = STATE(958),
    [sym_include_once_expression] = STATE(958),
    [sym__reserved_identifier] = STATE(1564),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(545),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(559),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_match_expression_token1] = ACTIONS(569),
    [anon_sym_AT] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_BANG] = ACTIONS(575),
    [aux_sym_clone_expression_token1] = ACTIONS(577),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(1050),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(595),
    [aux_sym_include_expression_token1] = ACTIONS(601),
    [aux_sym_include_once_expression_token1] = ACTIONS(603),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1120),
    [sym_name] = ACTIONS(1122),
    [anon_sym_QMARK_GT] = ACTIONS(1120),
    [anon_sym_SEMI] = ACTIONS(1124),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1122),
    [aux_sym_global_declaration_token1] = ACTIONS(1122),
    [aux_sym_namespace_definition_token1] = ACTIONS(1122),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1122),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1122),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1122),
    [anon_sym_BSLASH] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [aux_sym_trait_declaration_token1] = ACTIONS(1122),
    [aux_sym_interface_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_case_token1] = ACTIONS(1122),
    [aux_sym_class_declaration_token1] = ACTIONS(1122),
    [aux_sym_final_modifier_token1] = ACTIONS(1122),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1122),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1122),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1120),
    [aux_sym_cast_type_token1] = ACTIONS(1122),
    [aux_sym_echo_statement_token1] = ACTIONS(1122),
    [anon_sym_unset] = ACTIONS(1122),
    [aux_sym_declare_statement_token1] = ACTIONS(1122),
    [aux_sym_declare_statement_token2] = ACTIONS(1122),
    [sym_float] = ACTIONS(1122),
    [aux_sym_try_statement_token1] = ACTIONS(1122),
    [aux_sym_goto_statement_token1] = ACTIONS(1122),
    [aux_sym_continue_statement_token1] = ACTIONS(1122),
    [aux_sym_break_statement_token1] = ACTIONS(1122),
    [sym_integer] = ACTIONS(1122),
    [aux_sym_return_statement_token1] = ACTIONS(1122),
    [aux_sym_throw_expression_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token2] = ACTIONS(1122),
    [aux_sym_do_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token2] = ACTIONS(1122),
    [aux_sym_foreach_statement_token1] = ACTIONS(1122),
    [aux_sym_foreach_statement_token2] = ACTIONS(1122),
    [aux_sym_if_statement_token1] = ACTIONS(1122),
    [aux_sym_if_statement_token2] = ACTIONS(1122),
    [aux_sym_else_if_clause_token1] = ACTIONS(1122),
    [aux_sym_else_clause_token1] = ACTIONS(1122),
    [aux_sym_match_expression_token1] = ACTIONS(1122),
    [aux_sym_match_default_expression_token1] = ACTIONS(1122),
    [aux_sym_switch_statement_token1] = ACTIONS(1122),
    [aux_sym_switch_block_token1] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1120),
    [aux_sym_clone_expression_token1] = ACTIONS(1122),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1122),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [aux_sym__list_destructing_token1] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1120),
    [anon_sym_self] = ACTIONS(1122),
    [anon_sym_parent] = ACTIONS(1122),
    [anon_sym_POUND_LBRACK] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [aux_sym_encapsed_string_token1] = ACTIONS(1120),
    [anon_sym_DQUOTE] = ACTIONS(1120),
    [aux_sym_string_token1] = ACTIONS(1120),
    [anon_sym_LT_LT_LT] = ACTIONS(1120),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [sym_boolean] = ACTIONS(1122),
    [sym_null] = ACTIONS(1122),
    [anon_sym_DOLLAR] = ACTIONS(1120),
    [aux_sym_yield_expression_token1] = ACTIONS(1122),
    [aux_sym_include_expression_token1] = ACTIONS(1122),
    [aux_sym_include_once_expression_token1] = ACTIONS(1122),
    [aux_sym_require_expression_token1] = ACTIONS(1122),
    [aux_sym_require_once_expression_token1] = ACTIONS(1122),
    [sym_comment] = ACTIONS(3),
    [sym__automatic_semicolon] = ACTIONS(1124),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_name] = ACTIONS(1128),
    [anon_sym_QMARK_GT] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1126),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1128),
    [aux_sym_global_declaration_token1] = ACTIONS(1128),
    [aux_sym_namespace_definition_token1] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1128),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1128),
    [anon_sym_BSLASH] = ACTIONS(1126),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [aux_sym_trait_declaration_token1] = ACTIONS(1128),
    [aux_sym_interface_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_declaration_token1] = ACTIONS(1128),
    [aux_sym_enum_case_token1] = ACTIONS(1128),
    [aux_sym_class_declaration_token1] = ACTIONS(1128),
    [aux_sym_final_modifier_token1] = ACTIONS(1128),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1128),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1128),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1128),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(1126),
    [aux_sym_cast_type_token1] = ACTIONS(1128),
    [aux_sym_echo_statement_token1] = ACTIONS(1128),
    [anon_sym_unset] = ACTIONS(1128),
    [aux_sym_declare_statement_token1] = ACTIONS(1128),
    [aux_sym_declare_statement_token2] = ACTIONS(1128),
    [sym_float] = ACTIONS(1128),
    [aux_sym_try_statement_token1] = ACTIONS(1128),
    [aux_sym_goto_statement_token1] = ACTIONS(1128),
    [aux_sym_continue_statement_token1] = ACTIONS(1128),
    [aux_sym_break_statement_token1] = ACTIONS(1128),
    [sym_integer] = ACTIONS(1128),
    [aux_sym_return_statement_token1] = ACTIONS(1128),
    [aux_sym_throw_expression_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token1] = ACTIONS(1128),
    [aux_sym_while_statement_token2] = ACTIONS(1128),
    [aux_sym_do_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token1] = ACTIONS(1128),
    [aux_sym_for_statement_token2] = ACTIONS(1128),
    [aux_sym_foreach_statement_token1] = ACTIONS(1128),
    [aux_sym_foreach_statement_token2] = ACTIONS(1128),
    [aux_sym_if_statement_token1] = ACTIONS(1128),
    [aux_sym_if_statement_token2] = ACTIONS(1128),
    [aux_sym_else_if_clause_token1] = ACTIONS(1128),
    [aux_sym_else_clause_token1] = ACTIONS(1128),
    [aux_sym_match_expression_token1] = ACTIONS(1128),
    [aux_sym_match_default_expression_token1] = ACTIONS(1128),
    [aux_sym_switch_statement_token1] = ACTIONS(1128),
    [aux_sym_switch_block_token1] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1126),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [aux_sym_clone_expression_token1] = ACTIONS(1128),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1128),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [aux_sym__list_destructing_token1] = ACTIONS(1128),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_self] = ACTIONS(1128),
    [anon_sym_parent] = ACTIONS(1128),
    [anon_sym_POUND_LBRACK] = ACTIONS(1126),
    [anon_sym_SQUOTE] = ACTIONS(1126),
    [aux_sym_encapsed_string_token1] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [aux_sym_string_token1] = ACTIONS(1126),
    [anon_sym_LT_LT_LT] = ACTIONS(1126),
    [anon_sym_BQUOTE] = ACTIONS(1126),
    [sym_boolean] = ACTIONS(1128),
    [sym_null] = ACTIONS(1128),
    [anon_sym_DOLLAR] = ACTIONS(1126),
    [aux_sym_yield_expression_token1] = ACTIONS(1128),
    [aux_sym_include_expression_token1] = ACTIONS(1128),
    [aux_sym_include_once_expression_token1] = ACTIONS(1128),
    [aux_sym_require_expression_token1] = ACTIONS(1128),
    [aux_sym_require_once_expression_token1] = ACTIONS(1128),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_name] = ACTIONS(1132),
    [anon_sym_QMARK_GT] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1132),
    [aux_sym_global_declaration_token1] = ACTIONS(1132),
    [aux_sym_namespace_definition_token1] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1132),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1132),
    [anon_sym_BSLASH] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [aux_sym_trait_declaration_token1] = ACTIONS(1132),
    [aux_sym_interface_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_declaration_token1] = ACTIONS(1132),
    [aux_sym_enum_case_token1] = ACTIONS(1132),
    [aux_sym_class_declaration_token1] = ACTIONS(1132),
    [aux_sym_final_modifier_token1] = ACTIONS(1132),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1132),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1132),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1132),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [aux_sym_cast_type_token1] = ACTIONS(1132),
    [aux_sym_echo_statement_token1] = ACTIONS(1132),
    [anon_sym_unset] = ACTIONS(1132),
    [aux_sym_declare_statement_token1] = ACTIONS(1132),
    [aux_sym_declare_statement_token2] = ACTIONS(1132),
    [sym_float] = ACTIONS(1132),
    [aux_sym_try_statement_token1] = ACTIONS(1132),
    [aux_sym_goto_statement_token1] = ACTIONS(1132),
    [aux_sym_continue_statement_token1] = ACTIONS(1132),
    [aux_sym_break_statement_token1] = ACTIONS(1132),
    [sym_integer] = ACTIONS(1132),
    [aux_sym_return_statement_token1] = ACTIONS(1132),
    [aux_sym_throw_expression_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token1] = ACTIONS(1132),
    [aux_sym_while_statement_token2] = ACTIONS(1132),
    [aux_sym_do_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token1] = ACTIONS(1132),
    [aux_sym_for_statement_token2] = ACTIONS(1132),
    [aux_sym_foreach_statement_token1] = ACTIONS(1132),
    [aux_sym_foreach_statement_token2] = ACTIONS(1132),
    [aux_sym_if_statement_token1] = ACTIONS(1132),
    [aux_sym_if_statement_token2] = ACTIONS(1132),
    [aux_sym_else_if_clause_token1] = ACTIONS(1132),
    [aux_sym_else_clause_token1] = ACTIONS(1132),
    [aux_sym_match_expression_token1] = ACTIONS(1132),
    [aux_sym_match_default_expression_token1] = ACTIONS(1132),
    [aux_sym_switch_statement_token1] = ACTIONS(1132),
    [aux_sym_switch_block_token1] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [aux_sym_clone_expression_token1] = ACTIONS(1132),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1132),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [aux_sym__list_destructing_token1] = ACTIONS(1132),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_self] = ACTIONS(1132),
    [anon_sym_parent] = ACTIONS(1132),
    [anon_sym_POUND_LBRACK] = ACTIONS(1130),
    [anon_sym_SQUOTE] = ACTIONS(1130),
    [aux_sym_encapsed_string_token1] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [aux_sym_string_token1] = ACTIONS(1130),
    [anon_sym_LT_LT_LT] = ACTIONS(1130),
    [anon_sym_BQUOTE] = ACTIONS(1130),
    [sym_boolean] = ACTIONS(1132),
    [sym_null] = ACTIONS(1132),
    [anon_sym_DOLLAR] = ACTIONS(1130),
    [aux_sym_yield_expression_token1] = ACTIONS(1132),
    [aux_sym_include_expression_token1] = ACTIONS(1132),
    [aux_sym_include_once_expression_token1] = ACTIONS(1132),
    [aux_sym_require_expression_token1] = ACTIONS(1132),
    [aux_sym_require_once_expression_token1] = ACTIONS(1132),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_name] = ACTIONS(1136),
    [anon_sym_QMARK_GT] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1136),
    [aux_sym_global_declaration_token1] = ACTIONS(1136),
    [aux_sym_namespace_definition_token1] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1136),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1136),
    [anon_sym_BSLASH] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [aux_sym_trait_declaration_token1] = ACTIONS(1136),
    [aux_sym_interface_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_declaration_token1] = ACTIONS(1136),
    [aux_sym_enum_case_token1] = ACTIONS(1136),
    [aux_sym_class_declaration_token1] = ACTIONS(1136),
    [aux_sym_final_modifier_token1] = ACTIONS(1136),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1136),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1136),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1136),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [aux_sym_cast_type_token1] = ACTIONS(1136),
    [aux_sym_echo_statement_token1] = ACTIONS(1136),
    [anon_sym_unset] = ACTIONS(1136),
    [aux_sym_declare_statement_token1] = ACTIONS(1136),
    [aux_sym_declare_statement_token2] = ACTIONS(1136),
    [sym_float] = ACTIONS(1136),
    [aux_sym_try_statement_token1] = ACTIONS(1136),
    [aux_sym_goto_statement_token1] = ACTIONS(1136),
    [aux_sym_continue_statement_token1] = ACTIONS(1136),
    [aux_sym_break_statement_token1] = ACTIONS(1136),
    [sym_integer] = ACTIONS(1136),
    [aux_sym_return_statement_token1] = ACTIONS(1136),
    [aux_sym_throw_expression_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token1] = ACTIONS(1136),
    [aux_sym_while_statement_token2] = ACTIONS(1136),
    [aux_sym_do_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token1] = ACTIONS(1136),
    [aux_sym_for_statement_token2] = ACTIONS(1136),
    [aux_sym_foreach_statement_token1] = ACTIONS(1136),
    [aux_sym_foreach_statement_token2] = ACTIONS(1136),
    [aux_sym_if_statement_token1] = ACTIONS(1136),
    [aux_sym_if_statement_token2] = ACTIONS(1136),
    [aux_sym_else_if_clause_token1] = ACTIONS(1136),
    [aux_sym_else_clause_token1] = ACTIONS(1136),
    [aux_sym_match_expression_token1] = ACTIONS(1136),
    [aux_sym_match_default_expression_token1] = ACTIONS(1136),
    [aux_sym_switch_statement_token1] = ACTIONS(1136),
    [aux_sym_switch_block_token1] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [aux_sym_clone_expression_token1] = ACTIONS(1136),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1136),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [aux_sym__list_destructing_token1] = ACTIONS(1136),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_self] = ACTIONS(1136),
    [anon_sym_parent] = ACTIONS(1136),
    [anon_sym_POUND_LBRACK] = ACTIONS(1134),
    [anon_sym_SQUOTE] = ACTIONS(1134),
    [aux_sym_encapsed_string_token1] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [aux_sym_string_token1] = ACTIONS(1134),
    [anon_sym_LT_LT_LT] = ACTIONS(1134),
    [anon_sym_BQUOTE] = ACTIONS(1134),
    [sym_boolean] = ACTIONS(1136),
    [sym_null] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1134),
    [aux_sym_yield_expression_token1] = ACTIONS(1136),
    [aux_sym_include_expression_token1] = ACTIONS(1136),
    [aux_sym_include_once_expression_token1] = ACTIONS(1136),
    [aux_sym_require_expression_token1] = ACTIONS(1136),
    [aux_sym_require_once_expression_token1] = ACTIONS(1136),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_name] = ACTIONS(1140),
    [anon_sym_QMARK_GT] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1140),
    [aux_sym_global_declaration_token1] = ACTIONS(1140),
    [aux_sym_namespace_definition_token1] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1140),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1140),
    [anon_sym_BSLASH] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [aux_sym_trait_declaration_token1] = ACTIONS(1140),
    [aux_sym_interface_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_declaration_token1] = ACTIONS(1140),
    [aux_sym_enum_case_token1] = ACTIONS(1140),
    [aux_sym_class_declaration_token1] = ACTIONS(1140),
    [aux_sym_final_modifier_token1] = ACTIONS(1140),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1140),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1140),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1140),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [aux_sym_cast_type_token1] = ACTIONS(1140),
    [aux_sym_echo_statement_token1] = ACTIONS(1140),
    [anon_sym_unset] = ACTIONS(1140),
    [aux_sym_declare_statement_token1] = ACTIONS(1140),
    [aux_sym_declare_statement_token2] = ACTIONS(1140),
    [sym_float] = ACTIONS(1140),
    [aux_sym_try_statement_token1] = ACTIONS(1140),
    [aux_sym_goto_statement_token1] = ACTIONS(1140),
    [aux_sym_continue_statement_token1] = ACTIONS(1140),
    [aux_sym_break_statement_token1] = ACTIONS(1140),
    [sym_integer] = ACTIONS(1140),
    [aux_sym_return_statement_token1] = ACTIONS(1140),
    [aux_sym_throw_expression_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token1] = ACTIONS(1140),
    [aux_sym_while_statement_token2] = ACTIONS(1140),
    [aux_sym_do_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token1] = ACTIONS(1140),
    [aux_sym_for_statement_token2] = ACTIONS(1140),
    [aux_sym_foreach_statement_token1] = ACTIONS(1140),
    [aux_sym_foreach_statement_token2] = ACTIONS(1140),
    [aux_sym_if_statement_token1] = ACTIONS(1140),
    [aux_sym_if_statement_token2] = ACTIONS(1140),
    [aux_sym_else_if_clause_token1] = ACTIONS(1140),
    [aux_sym_else_clause_token1] = ACTIONS(1140),
    [aux_sym_match_expression_token1] = ACTIONS(1140),
    [aux_sym_match_default_expression_token1] = ACTIONS(1140),
    [aux_sym_switch_statement_token1] = ACTIONS(1140),
    [aux_sym_switch_block_token1] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [aux_sym_clone_expression_token1] = ACTIONS(1140),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1140),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [aux_sym__list_destructing_token1] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_self] = ACTIONS(1140),
    [anon_sym_parent] = ACTIONS(1140),
    [anon_sym_POUND_LBRACK] = ACTIONS(1138),
    [anon_sym_SQUOTE] = ACTIONS(1138),
    [aux_sym_encapsed_string_token1] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [aux_sym_string_token1] = ACTIONS(1138),
    [anon_sym_LT_LT_LT] = ACTIONS(1138),
    [anon_sym_BQUOTE] = ACTIONS(1138),
    [sym_boolean] = ACTIONS(1140),
    [sym_null] = ACTIONS(1140),
    [anon_sym_DOLLAR] = ACTIONS(1138),
    [aux_sym_yield_expression_token1] = ACTIONS(1140),
    [aux_sym_include_expression_token1] = ACTIONS(1140),
    [aux_sym_include_once_expression_token1] = ACTIONS(1140),
    [aux_sym_require_expression_token1] = ACTIONS(1140),
    [aux_sym_require_once_expression_token1] = ACTIONS(1140),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_name] = ACTIONS(1144),
    [anon_sym_QMARK_GT] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1144),
    [aux_sym_global_declaration_token1] = ACTIONS(1144),
    [aux_sym_namespace_definition_token1] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1144),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1144),
    [anon_sym_BSLASH] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [aux_sym_trait_declaration_token1] = ACTIONS(1144),
    [aux_sym_interface_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_declaration_token1] = ACTIONS(1144),
    [aux_sym_enum_case_token1] = ACTIONS(1144),
    [aux_sym_class_declaration_token1] = ACTIONS(1144),
    [aux_sym_final_modifier_token1] = ACTIONS(1144),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1144),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1144),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1144),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1144),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [aux_sym_cast_type_token1] = ACTIONS(1144),
    [aux_sym_echo_statement_token1] = ACTIONS(1144),
    [anon_sym_unset] = ACTIONS(1144),
    [aux_sym_declare_statement_token1] = ACTIONS(1144),
    [aux_sym_declare_statement_token2] = ACTIONS(1144),
    [sym_float] = ACTIONS(1144),
    [aux_sym_try_statement_token1] = ACTIONS(1144),
    [aux_sym_goto_statement_token1] = ACTIONS(1144),
    [aux_sym_continue_statement_token1] = ACTIONS(1144),
    [aux_sym_break_statement_token1] = ACTIONS(1144),
    [sym_integer] = ACTIONS(1144),
    [aux_sym_return_statement_token1] = ACTIONS(1144),
    [aux_sym_throw_expression_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token1] = ACTIONS(1144),
    [aux_sym_while_statement_token2] = ACTIONS(1144),
    [aux_sym_do_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token1] = ACTIONS(1144),
    [aux_sym_for_statement_token2] = ACTIONS(1144),
    [aux_sym_foreach_statement_token1] = ACTIONS(1144),
    [aux_sym_foreach_statement_token2] = ACTIONS(1144),
    [aux_sym_if_statement_token1] = ACTIONS(1144),
    [aux_sym_if_statement_token2] = ACTIONS(1144),
    [aux_sym_else_if_clause_token1] = ACTIONS(1144),
    [aux_sym_else_clause_token1] = ACTIONS(1144),
    [aux_sym_match_expression_token1] = ACTIONS(1144),
    [aux_sym_match_default_expression_token1] = ACTIONS(1144),
    [aux_sym_switch_statement_token1] = ACTIONS(1144),
    [aux_sym_switch_block_token1] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [aux_sym_clone_expression_token1] = ACTIONS(1144),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1144),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [aux_sym__list_destructing_token1] = ACTIONS(1144),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_self] = ACTIONS(1144),
    [anon_sym_parent] = ACTIONS(1144),
    [anon_sym_POUND_LBRACK] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [aux_sym_encapsed_string_token1] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [aux_sym_string_token1] = ACTIONS(1142),
    [anon_sym_LT_LT_LT] = ACTIONS(1142),
    [anon_sym_BQUOTE] = ACTIONS(1142),
    [sym_boolean] = ACTIONS(1144),
    [sym_null] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1142),
    [aux_sym_yield_expression_token1] = ACTIONS(1144),
    [aux_sym_include_expression_token1] = ACTIONS(1144),
    [aux_sym_include_once_expression_token1] = ACTIONS(1144),
    [aux_sym_require_expression_token1] = ACTIONS(1144),
    [aux_sym_require_once_expression_token1] = ACTIONS(1144),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_name] = ACTIONS(1148),
    [anon_sym_QMARK_GT] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1148),
    [aux_sym_global_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_definition_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1148),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1148),
    [anon_sym_BSLASH] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [aux_sym_trait_declaration_token1] = ACTIONS(1148),
    [aux_sym_interface_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_declaration_token1] = ACTIONS(1148),
    [aux_sym_enum_case_token1] = ACTIONS(1148),
    [aux_sym_class_declaration_token1] = ACTIONS(1148),
    [aux_sym_final_modifier_token1] = ACTIONS(1148),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1148),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1148),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1148),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(1146),
    [aux_sym_cast_type_token1] = ACTIONS(1148),
    [aux_sym_echo_statement_token1] = ACTIONS(1148),
    [anon_sym_unset] = ACTIONS(1148),
    [aux_sym_declare_statement_token1] = ACTIONS(1148),
    [aux_sym_declare_statement_token2] = ACTIONS(1148),
    [sym_float] = ACTIONS(1148),
    [aux_sym_try_statement_token1] = ACTIONS(1148),
    [aux_sym_goto_statement_token1] = ACTIONS(1148),
    [aux_sym_continue_statement_token1] = ACTIONS(1148),
    [aux_sym_break_statement_token1] = ACTIONS(1148),
    [sym_integer] = ACTIONS(1148),
    [aux_sym_return_statement_token1] = ACTIONS(1148),
    [aux_sym_throw_expression_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token1] = ACTIONS(1148),
    [aux_sym_while_statement_token2] = ACTIONS(1148),
    [aux_sym_do_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token1] = ACTIONS(1148),
    [aux_sym_for_statement_token2] = ACTIONS(1148),
    [aux_sym_foreach_statement_token1] = ACTIONS(1148),
    [aux_sym_foreach_statement_token2] = ACTIONS(1148),
    [aux_sym_if_statement_token1] = ACTIONS(1148),
    [aux_sym_if_statement_token2] = ACTIONS(1148),
    [aux_sym_else_if_clause_token1] = ACTIONS(1148),
    [aux_sym_else_clause_token1] = ACTIONS(1148),
    [aux_sym_match_expression_token1] = ACTIONS(1148),
    [aux_sym_match_default_expression_token1] = ACTIONS(1148),
    [aux_sym_switch_statement_token1] = ACTIONS(1148),
    [aux_sym_switch_block_token1] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [aux_sym_clone_expression_token1] = ACTIONS(1148),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1148),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [aux_sym__list_destructing_token1] = ACTIONS(1148),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_self] = ACTIONS(1148),
    [anon_sym_parent] = ACTIONS(1148),
    [anon_sym_POUND_LBRACK] = ACTIONS(1146),
    [anon_sym_SQUOTE] = ACTIONS(1146),
    [aux_sym_encapsed_string_token1] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [aux_sym_string_token1] = ACTIONS(1146),
    [anon_sym_LT_LT_LT] = ACTIONS(1146),
    [anon_sym_BQUOTE] = ACTIONS(1146),
    [sym_boolean] = ACTIONS(1148),
    [sym_null] = ACTIONS(1148),
    [anon_sym_DOLLAR] = ACTIONS(1146),
    [aux_sym_yield_expression_token1] = ACTIONS(1148),
    [aux_sym_include_expression_token1] = ACTIONS(1148),
    [aux_sym_include_once_expression_token1] = ACTIONS(1148),
    [aux_sym_require_expression_token1] = ACTIONS(1148),
    [aux_sym_require_once_expression_token1] = ACTIONS(1148),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_name] = ACTIONS(1152),
    [anon_sym_QMARK_GT] = ACTIONS(1150),
    [anon_sym_SEMI] = ACTIONS(1150),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1152),
    [aux_sym_global_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_definition_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1152),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1152),
    [anon_sym_BSLASH] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [aux_sym_trait_declaration_token1] = ACTIONS(1152),
    [aux_sym_interface_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_declaration_token1] = ACTIONS(1152),
    [aux_sym_enum_case_token1] = ACTIONS(1152),
    [aux_sym_class_declaration_token1] = ACTIONS(1152),
    [aux_sym_final_modifier_token1] = ACTIONS(1152),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1152),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1152),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1152),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1152),
    [anon_sym_LPAREN] = ACTIONS(1150),
    [aux_sym_cast_type_token1] = ACTIONS(1152),
    [aux_sym_echo_statement_token1] = ACTIONS(1152),
    [anon_sym_unset] = ACTIONS(1152),
    [aux_sym_declare_statement_token1] = ACTIONS(1152),
    [aux_sym_declare_statement_token2] = ACTIONS(1152),
    [sym_float] = ACTIONS(1152),
    [aux_sym_try_statement_token1] = ACTIONS(1152),
    [aux_sym_goto_statement_token1] = ACTIONS(1152),
    [aux_sym_continue_statement_token1] = ACTIONS(1152),
    [aux_sym_break_statement_token1] = ACTIONS(1152),
    [sym_integer] = ACTIONS(1152),
    [aux_sym_return_statement_token1] = ACTIONS(1152),
    [aux_sym_throw_expression_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token1] = ACTIONS(1152),
    [aux_sym_while_statement_token2] = ACTIONS(1152),
    [aux_sym_do_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token1] = ACTIONS(1152),
    [aux_sym_for_statement_token2] = ACTIONS(1152),
    [aux_sym_foreach_statement_token1] = ACTIONS(1152),
    [aux_sym_foreach_statement_token2] = ACTIONS(1152),
    [aux_sym_if_statement_token1] = ACTIONS(1152),
    [aux_sym_if_statement_token2] = ACTIONS(1152),
    [aux_sym_else_if_clause_token1] = ACTIONS(1152),
    [aux_sym_else_clause_token1] = ACTIONS(1152),
    [aux_sym_match_expression_token1] = ACTIONS(1152),
    [aux_sym_match_default_expression_token1] = ACTIONS(1152),
    [aux_sym_switch_statement_token1] = ACTIONS(1152),
    [aux_sym_switch_block_token1] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_BANG] = ACTIONS(1150),
    [aux_sym_clone_expression_token1] = ACTIONS(1152),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1152),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [aux_sym__list_destructing_token1] = ACTIONS(1152),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_self] = ACTIONS(1152),
    [anon_sym_parent] = ACTIONS(1152),
    [anon_sym_POUND_LBRACK] = ACTIONS(1150),
    [anon_sym_SQUOTE] = ACTIONS(1150),
    [aux_sym_encapsed_string_token1] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1150),
    [aux_sym_string_token1] = ACTIONS(1150),
    [anon_sym_LT_LT_LT] = ACTIONS(1150),
    [anon_sym_BQUOTE] = ACTIONS(1150),
    [sym_boolean] = ACTIONS(1152),
    [sym_null] = ACTIONS(1152),
    [anon_sym_DOLLAR] = ACTIONS(1150),
    [aux_sym_yield_expression_token1] = ACTIONS(1152),
    [aux_sym_include_expression_token1] = ACTIONS(1152),
    [aux_sym_include_once_expression_token1] = ACTIONS(1152),
    [aux_sym_require_expression_token1] = ACTIONS(1152),
    [aux_sym_require_once_expression_token1] = ACTIONS(1152),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_name] = ACTIONS(1156),
    [anon_sym_QMARK_GT] = ACTIONS(1154),
    [anon_sym_SEMI] = ACTIONS(1154),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1156),
    [aux_sym_global_declaration_token1] = ACTIONS(1156),
    [aux_sym_namespace_definition_token1] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1156),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1156),
    [anon_sym_BSLASH] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [aux_sym_trait_declaration_token1] = ACTIONS(1156),
    [aux_sym_interface_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_declaration_token1] = ACTIONS(1156),
    [aux_sym_enum_case_token1] = ACTIONS(1156),
    [aux_sym_class_declaration_token1] = ACTIONS(1156),
    [aux_sym_final_modifier_token1] = ACTIONS(1156),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1156),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1156),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1156),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1156),
    [anon_sym_LPAREN] = ACTIONS(1154),
    [aux_sym_cast_type_token1] = ACTIONS(1156),
    [aux_sym_echo_statement_token1] = ACTIONS(1156),
    [anon_sym_unset] = ACTIONS(1156),
    [aux_sym_declare_statement_token1] = ACTIONS(1156),
    [aux_sym_declare_statement_token2] = ACTIONS(1156),
    [sym_float] = ACTIONS(1156),
    [aux_sym_try_statement_token1] = ACTIONS(1156),
    [aux_sym_goto_statement_token1] = ACTIONS(1156),
    [aux_sym_continue_statement_token1] = ACTIONS(1156),
    [aux_sym_break_statement_token1] = ACTIONS(1156),
    [sym_integer] = ACTIONS(1156),
    [aux_sym_return_statement_token1] = ACTIONS(1156),
    [aux_sym_throw_expression_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token1] = ACTIONS(1156),
    [aux_sym_while_statement_token2] = ACTIONS(1156),
    [aux_sym_do_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token1] = ACTIONS(1156),
    [aux_sym_for_statement_token2] = ACTIONS(1156),
    [aux_sym_foreach_statement_token1] = ACTIONS(1156),
    [aux_sym_foreach_statement_token2] = ACTIONS(1156),
    [aux_sym_if_statement_token1] = ACTIONS(1156),
    [aux_sym_if_statement_token2] = ACTIONS(1156),
    [aux_sym_else_if_clause_token1] = ACTIONS(1156),
    [aux_sym_else_clause_token1] = ACTIONS(1156),
    [aux_sym_match_expression_token1] = ACTIONS(1156),
    [aux_sym_match_default_expression_token1] = ACTIONS(1156),
    [aux_sym_switch_statement_token1] = ACTIONS(1156),
    [aux_sym_switch_block_token1] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_BANG] = ACTIONS(1154),
    [aux_sym_clone_expression_token1] = ACTIONS(1156),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1156),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [aux_sym__list_destructing_token1] = ACTIONS(1156),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_self] = ACTIONS(1156),
    [anon_sym_parent] = ACTIONS(1156),
    [anon_sym_POUND_LBRACK] = ACTIONS(1154),
    [anon_sym_SQUOTE] = ACTIONS(1154),
    [aux_sym_encapsed_string_token1] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1154),
    [aux_sym_string_token1] = ACTIONS(1154),
    [anon_sym_LT_LT_LT] = ACTIONS(1154),
    [anon_sym_BQUOTE] = ACTIONS(1154),
    [sym_boolean] = ACTIONS(1156),
    [sym_null] = ACTIONS(1156),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [aux_sym_yield_expression_token1] = ACTIONS(1156),
    [aux_sym_include_expression_token1] = ACTIONS(1156),
    [aux_sym_include_once_expression_token1] = ACTIONS(1156),
    [aux_sym_require_expression_token1] = ACTIONS(1156),
    [aux_sym_require_once_expression_token1] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1158),
    [sym_name] = ACTIONS(1160),
    [anon_sym_QMARK_GT] = ACTIONS(1158),
    [anon_sym_SEMI] = ACTIONS(1158),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1160),
    [aux_sym_global_declaration_token1] = ACTIONS(1160),
    [aux_sym_namespace_definition_token1] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1160),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1160),
    [anon_sym_BSLASH] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [aux_sym_trait_declaration_token1] = ACTIONS(1160),
    [aux_sym_interface_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_declaration_token1] = ACTIONS(1160),
    [aux_sym_enum_case_token1] = ACTIONS(1160),
    [aux_sym_class_declaration_token1] = ACTIONS(1160),
    [aux_sym_final_modifier_token1] = ACTIONS(1160),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1160),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1160),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1160),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(1158),
    [aux_sym_cast_type_token1] = ACTIONS(1160),
    [aux_sym_echo_statement_token1] = ACTIONS(1160),
    [anon_sym_unset] = ACTIONS(1160),
    [aux_sym_declare_statement_token1] = ACTIONS(1160),
    [aux_sym_declare_statement_token2] = ACTIONS(1160),
    [sym_float] = ACTIONS(1160),
    [aux_sym_try_statement_token1] = ACTIONS(1160),
    [aux_sym_goto_statement_token1] = ACTIONS(1160),
    [aux_sym_continue_statement_token1] = ACTIONS(1160),
    [aux_sym_break_statement_token1] = ACTIONS(1160),
    [sym_integer] = ACTIONS(1160),
    [aux_sym_return_statement_token1] = ACTIONS(1160),
    [aux_sym_throw_expression_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token1] = ACTIONS(1160),
    [aux_sym_while_statement_token2] = ACTIONS(1160),
    [aux_sym_do_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token1] = ACTIONS(1160),
    [aux_sym_for_statement_token2] = ACTIONS(1160),
    [aux_sym_foreach_statement_token1] = ACTIONS(1160),
    [aux_sym_foreach_statement_token2] = ACTIONS(1160),
    [aux_sym_if_statement_token1] = ACTIONS(1160),
    [aux_sym_if_statement_token2] = ACTIONS(1160),
    [aux_sym_else_if_clause_token1] = ACTIONS(1160),
    [aux_sym_else_clause_token1] = ACTIONS(1160),
    [aux_sym_match_expression_token1] = ACTIONS(1160),
    [aux_sym_match_default_expression_token1] = ACTIONS(1160),
    [aux_sym_switch_statement_token1] = ACTIONS(1160),
    [aux_sym_switch_block_token1] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_BANG] = ACTIONS(1158),
    [aux_sym_clone_expression_token1] = ACTIONS(1160),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1160),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [aux_sym__list_destructing_token1] = ACTIONS(1160),
    [anon_sym_LBRACK] = ACTIONS(1158),
    [anon_sym_self] = ACTIONS(1160),
    [anon_sym_parent] = ACTIONS(1160),
    [anon_sym_POUND_LBRACK] = ACTIONS(1158),
    [anon_sym_SQUOTE] = ACTIONS(1158),
    [aux_sym_encapsed_string_token1] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1158),
    [aux_sym_string_token1] = ACTIONS(1158),
    [anon_sym_LT_LT_LT] = ACTIONS(1158),
    [anon_sym_BQUOTE] = ACTIONS(1158),
    [sym_boolean] = ACTIONS(1160),
    [sym_null] = ACTIONS(1160),
    [anon_sym_DOLLAR] = ACTIONS(1158),
    [aux_sym_yield_expression_token1] = ACTIONS(1160),
    [aux_sym_include_expression_token1] = ACTIONS(1160),
    [aux_sym_include_once_expression_token1] = ACTIONS(1160),
    [aux_sym_require_expression_token1] = ACTIONS(1160),
    [aux_sym_require_once_expression_token1] = ACTIONS(1160),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1162),
    [sym_name] = ACTIONS(1164),
    [anon_sym_QMARK_GT] = ACTIONS(1162),
    [anon_sym_SEMI] = ACTIONS(1162),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1164),
    [aux_sym_global_declaration_token1] = ACTIONS(1164),
    [aux_sym_namespace_definition_token1] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1164),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1164),
    [anon_sym_BSLASH] = ACTIONS(1162),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [aux_sym_trait_declaration_token1] = ACTIONS(1164),
    [aux_sym_interface_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_declaration_token1] = ACTIONS(1164),
    [aux_sym_enum_case_token1] = ACTIONS(1164),
    [aux_sym_class_declaration_token1] = ACTIONS(1164),
    [aux_sym_final_modifier_token1] = ACTIONS(1164),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1164),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1164),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1164),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1164),
    [anon_sym_LPAREN] = ACTIONS(1162),
    [aux_sym_cast_type_token1] = ACTIONS(1164),
    [aux_sym_echo_statement_token1] = ACTIONS(1164),
    [anon_sym_unset] = ACTIONS(1164),
    [aux_sym_declare_statement_token1] = ACTIONS(1164),
    [aux_sym_declare_statement_token2] = ACTIONS(1164),
    [sym_float] = ACTIONS(1164),
    [aux_sym_try_statement_token1] = ACTIONS(1164),
    [aux_sym_goto_statement_token1] = ACTIONS(1164),
    [aux_sym_continue_statement_token1] = ACTIONS(1164),
    [aux_sym_break_statement_token1] = ACTIONS(1164),
    [sym_integer] = ACTIONS(1164),
    [aux_sym_return_statement_token1] = ACTIONS(1164),
    [aux_sym_throw_expression_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token1] = ACTIONS(1164),
    [aux_sym_while_statement_token2] = ACTIONS(1164),
    [aux_sym_do_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token1] = ACTIONS(1164),
    [aux_sym_for_statement_token2] = ACTIONS(1164),
    [aux_sym_foreach_statement_token1] = ACTIONS(1164),
    [aux_sym_foreach_statement_token2] = ACTIONS(1164),
    [aux_sym_if_statement_token1] = ACTIONS(1164),
    [aux_sym_if_statement_token2] = ACTIONS(1164),
    [aux_sym_else_if_clause_token1] = ACTIONS(1164),
    [aux_sym_else_clause_token1] = ACTIONS(1164),
    [aux_sym_match_expression_token1] = ACTIONS(1164),
    [aux_sym_match_default_expression_token1] = ACTIONS(1164),
    [aux_sym_switch_statement_token1] = ACTIONS(1164),
    [aux_sym_switch_block_token1] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_BANG] = ACTIONS(1162),
    [aux_sym_clone_expression_token1] = ACTIONS(1164),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1164),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [aux_sym__list_destructing_token1] = ACTIONS(1164),
    [anon_sym_LBRACK] = ACTIONS(1162),
    [anon_sym_self] = ACTIONS(1164),
    [anon_sym_parent] = ACTIONS(1164),
    [anon_sym_POUND_LBRACK] = ACTIONS(1162),
    [anon_sym_SQUOTE] = ACTIONS(1162),
    [aux_sym_encapsed_string_token1] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1162),
    [aux_sym_string_token1] = ACTIONS(1162),
    [anon_sym_LT_LT_LT] = ACTIONS(1162),
    [anon_sym_BQUOTE] = ACTIONS(1162),
    [sym_boolean] = ACTIONS(1164),
    [sym_null] = ACTIONS(1164),
    [anon_sym_DOLLAR] = ACTIONS(1162),
    [aux_sym_yield_expression_token1] = ACTIONS(1164),
    [aux_sym_include_expression_token1] = ACTIONS(1164),
    [aux_sym_include_once_expression_token1] = ACTIONS(1164),
    [aux_sym_require_expression_token1] = ACTIONS(1164),
    [aux_sym_require_once_expression_token1] = ACTIONS(1164),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym_name] = ACTIONS(1168),
    [anon_sym_QMARK_GT] = ACTIONS(1166),
    [anon_sym_SEMI] = ACTIONS(1166),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1168),
    [aux_sym_global_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_definition_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1168),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1168),
    [anon_sym_BSLASH] = ACTIONS(1166),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [aux_sym_trait_declaration_token1] = ACTIONS(1168),
    [aux_sym_interface_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_declaration_token1] = ACTIONS(1168),
    [aux_sym_enum_case_token1] = ACTIONS(1168),
    [aux_sym_class_declaration_token1] = ACTIONS(1168),
    [aux_sym_final_modifier_token1] = ACTIONS(1168),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1168),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1168),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1168),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1168),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [aux_sym_cast_type_token1] = ACTIONS(1168),
    [aux_sym_echo_statement_token1] = ACTIONS(1168),
    [anon_sym_unset] = ACTIONS(1168),
    [aux_sym_declare_statement_token1] = ACTIONS(1168),
    [aux_sym_declare_statement_token2] = ACTIONS(1168),
    [sym_float] = ACTIONS(1168),
    [aux_sym_try_statement_token1] = ACTIONS(1168),
    [aux_sym_goto_statement_token1] = ACTIONS(1168),
    [aux_sym_continue_statement_token1] = ACTIONS(1168),
    [aux_sym_break_statement_token1] = ACTIONS(1168),
    [sym_integer] = ACTIONS(1168),
    [aux_sym_return_statement_token1] = ACTIONS(1168),
    [aux_sym_throw_expression_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token1] = ACTIONS(1168),
    [aux_sym_while_statement_token2] = ACTIONS(1168),
    [aux_sym_do_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token1] = ACTIONS(1168),
    [aux_sym_for_statement_token2] = ACTIONS(1168),
    [aux_sym_foreach_statement_token1] = ACTIONS(1168),
    [aux_sym_foreach_statement_token2] = ACTIONS(1168),
    [aux_sym_if_statement_token1] = ACTIONS(1168),
    [aux_sym_if_statement_token2] = ACTIONS(1168),
    [aux_sym_else_if_clause_token1] = ACTIONS(1168),
    [aux_sym_else_clause_token1] = ACTIONS(1168),
    [aux_sym_match_expression_token1] = ACTIONS(1168),
    [aux_sym_match_default_expression_token1] = ACTIONS(1168),
    [aux_sym_switch_statement_token1] = ACTIONS(1168),
    [aux_sym_switch_block_token1] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_BANG] = ACTIONS(1166),
    [aux_sym_clone_expression_token1] = ACTIONS(1168),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1168),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [aux_sym__list_destructing_token1] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(1166),
    [anon_sym_self] = ACTIONS(1168),
    [anon_sym_parent] = ACTIONS(1168),
    [anon_sym_POUND_LBRACK] = ACTIONS(1166),
    [anon_sym_SQUOTE] = ACTIONS(1166),
    [aux_sym_encapsed_string_token1] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1166),
    [aux_sym_string_token1] = ACTIONS(1166),
    [anon_sym_LT_LT_LT] = ACTIONS(1166),
    [anon_sym_BQUOTE] = ACTIONS(1166),
    [sym_boolean] = ACTIONS(1168),
    [sym_null] = ACTIONS(1168),
    [anon_sym_DOLLAR] = ACTIONS(1166),
    [aux_sym_yield_expression_token1] = ACTIONS(1168),
    [aux_sym_include_expression_token1] = ACTIONS(1168),
    [aux_sym_include_once_expression_token1] = ACTIONS(1168),
    [aux_sym_require_expression_token1] = ACTIONS(1168),
    [aux_sym_require_once_expression_token1] = ACTIONS(1168),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_name] = ACTIONS(1172),
    [anon_sym_QMARK_GT] = ACTIONS(1170),
    [anon_sym_SEMI] = ACTIONS(1170),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1172),
    [aux_sym_global_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_definition_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1172),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1172),
    [anon_sym_BSLASH] = ACTIONS(1170),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [aux_sym_trait_declaration_token1] = ACTIONS(1172),
    [aux_sym_interface_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_declaration_token1] = ACTIONS(1172),
    [aux_sym_enum_case_token1] = ACTIONS(1172),
    [aux_sym_class_declaration_token1] = ACTIONS(1172),
    [aux_sym_final_modifier_token1] = ACTIONS(1172),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1172),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1172),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1172),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1172),
    [anon_sym_LPAREN] = ACTIONS(1170),
    [aux_sym_cast_type_token1] = ACTIONS(1172),
    [aux_sym_echo_statement_token1] = ACTIONS(1172),
    [anon_sym_unset] = ACTIONS(1172),
    [aux_sym_declare_statement_token1] = ACTIONS(1172),
    [aux_sym_declare_statement_token2] = ACTIONS(1172),
    [sym_float] = ACTIONS(1172),
    [aux_sym_try_statement_token1] = ACTIONS(1172),
    [aux_sym_goto_statement_token1] = ACTIONS(1172),
    [aux_sym_continue_statement_token1] = ACTIONS(1172),
    [aux_sym_break_statement_token1] = ACTIONS(1172),
    [sym_integer] = ACTIONS(1172),
    [aux_sym_return_statement_token1] = ACTIONS(1172),
    [aux_sym_throw_expression_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token1] = ACTIONS(1172),
    [aux_sym_while_statement_token2] = ACTIONS(1172),
    [aux_sym_do_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token1] = ACTIONS(1172),
    [aux_sym_for_statement_token2] = ACTIONS(1172),
    [aux_sym_foreach_statement_token1] = ACTIONS(1172),
    [aux_sym_foreach_statement_token2] = ACTIONS(1172),
    [aux_sym_if_statement_token1] = ACTIONS(1172),
    [aux_sym_if_statement_token2] = ACTIONS(1172),
    [aux_sym_else_if_clause_token1] = ACTIONS(1172),
    [aux_sym_else_clause_token1] = ACTIONS(1172),
    [aux_sym_match_expression_token1] = ACTIONS(1172),
    [aux_sym_match_default_expression_token1] = ACTIONS(1172),
    [aux_sym_switch_statement_token1] = ACTIONS(1172),
    [aux_sym_switch_block_token1] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_BANG] = ACTIONS(1170),
    [aux_sym_clone_expression_token1] = ACTIONS(1172),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1172),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [aux_sym__list_destructing_token1] = ACTIONS(1172),
    [anon_sym_LBRACK] = ACTIONS(1170),
    [anon_sym_self] = ACTIONS(1172),
    [anon_sym_parent] = ACTIONS(1172),
    [anon_sym_POUND_LBRACK] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [aux_sym_encapsed_string_token1] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [aux_sym_string_token1] = ACTIONS(1170),
    [anon_sym_LT_LT_LT] = ACTIONS(1170),
    [anon_sym_BQUOTE] = ACTIONS(1170),
    [sym_boolean] = ACTIONS(1172),
    [sym_null] = ACTIONS(1172),
    [anon_sym_DOLLAR] = ACTIONS(1170),
    [aux_sym_yield_expression_token1] = ACTIONS(1172),
    [aux_sym_include_expression_token1] = ACTIONS(1172),
    [aux_sym_include_once_expression_token1] = ACTIONS(1172),
    [aux_sym_require_expression_token1] = ACTIONS(1172),
    [aux_sym_require_once_expression_token1] = ACTIONS(1172),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1174),
    [sym_name] = ACTIONS(1176),
    [anon_sym_QMARK_GT] = ACTIONS(1174),
    [anon_sym_SEMI] = ACTIONS(1174),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1176),
    [aux_sym_global_declaration_token1] = ACTIONS(1176),
    [aux_sym_namespace_definition_token1] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1176),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1176),
    [anon_sym_BSLASH] = ACTIONS(1174),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [aux_sym_trait_declaration_token1] = ACTIONS(1176),
    [aux_sym_interface_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_declaration_token1] = ACTIONS(1176),
    [aux_sym_enum_case_token1] = ACTIONS(1176),
    [aux_sym_class_declaration_token1] = ACTIONS(1176),
    [aux_sym_final_modifier_token1] = ACTIONS(1176),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1176),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1176),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1176),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1176),
    [anon_sym_LPAREN] = ACTIONS(1174),
    [aux_sym_cast_type_token1] = ACTIONS(1176),
    [aux_sym_echo_statement_token1] = ACTIONS(1176),
    [anon_sym_unset] = ACTIONS(1176),
    [aux_sym_declare_statement_token1] = ACTIONS(1176),
    [aux_sym_declare_statement_token2] = ACTIONS(1176),
    [sym_float] = ACTIONS(1176),
    [aux_sym_try_statement_token1] = ACTIONS(1176),
    [aux_sym_goto_statement_token1] = ACTIONS(1176),
    [aux_sym_continue_statement_token1] = ACTIONS(1176),
    [aux_sym_break_statement_token1] = ACTIONS(1176),
    [sym_integer] = ACTIONS(1176),
    [aux_sym_return_statement_token1] = ACTIONS(1176),
    [aux_sym_throw_expression_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token1] = ACTIONS(1176),
    [aux_sym_while_statement_token2] = ACTIONS(1176),
    [aux_sym_do_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token1] = ACTIONS(1176),
    [aux_sym_for_statement_token2] = ACTIONS(1176),
    [aux_sym_foreach_statement_token1] = ACTIONS(1176),
    [aux_sym_foreach_statement_token2] = ACTIONS(1176),
    [aux_sym_if_statement_token1] = ACTIONS(1176),
    [aux_sym_if_statement_token2] = ACTIONS(1176),
    [aux_sym_else_if_clause_token1] = ACTIONS(1176),
    [aux_sym_else_clause_token1] = ACTIONS(1176),
    [aux_sym_match_expression_token1] = ACTIONS(1176),
    [aux_sym_match_default_expression_token1] = ACTIONS(1176),
    [aux_sym_switch_statement_token1] = ACTIONS(1176),
    [aux_sym_switch_block_token1] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1174),
    [aux_sym_clone_expression_token1] = ACTIONS(1176),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1176),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [aux_sym__list_destructing_token1] = ACTIONS(1176),
    [anon_sym_LBRACK] = ACTIONS(1174),
    [anon_sym_self] = ACTIONS(1176),
    [anon_sym_parent] = ACTIONS(1176),
    [anon_sym_POUND_LBRACK] = ACTIONS(1174),
    [anon_sym_SQUOTE] = ACTIONS(1174),
    [aux_sym_encapsed_string_token1] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1174),
    [aux_sym_string_token1] = ACTIONS(1174),
    [anon_sym_LT_LT_LT] = ACTIONS(1174),
    [anon_sym_BQUOTE] = ACTIONS(1174),
    [sym_boolean] = ACTIONS(1176),
    [sym_null] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1174),
    [aux_sym_yield_expression_token1] = ACTIONS(1176),
    [aux_sym_include_expression_token1] = ACTIONS(1176),
    [aux_sym_include_once_expression_token1] = ACTIONS(1176),
    [aux_sym_require_expression_token1] = ACTIONS(1176),
    [aux_sym_require_once_expression_token1] = ACTIONS(1176),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_name] = ACTIONS(1180),
    [anon_sym_QMARK_GT] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1180),
    [aux_sym_global_declaration_token1] = ACTIONS(1180),
    [aux_sym_namespace_definition_token1] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1180),
    [anon_sym_BSLASH] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [aux_sym_trait_declaration_token1] = ACTIONS(1180),
    [aux_sym_interface_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_case_token1] = ACTIONS(1180),
    [aux_sym_class_declaration_token1] = ACTIONS(1180),
    [aux_sym_final_modifier_token1] = ACTIONS(1180),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1180),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1180),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(1178),
    [aux_sym_cast_type_token1] = ACTIONS(1180),
    [aux_sym_echo_statement_token1] = ACTIONS(1180),
    [anon_sym_unset] = ACTIONS(1180),
    [aux_sym_declare_statement_token1] = ACTIONS(1180),
    [aux_sym_declare_statement_token2] = ACTIONS(1180),
    [sym_float] = ACTIONS(1180),
    [aux_sym_try_statement_token1] = ACTIONS(1180),
    [aux_sym_goto_statement_token1] = ACTIONS(1180),
    [aux_sym_continue_statement_token1] = ACTIONS(1180),
    [aux_sym_break_statement_token1] = ACTIONS(1180),
    [sym_integer] = ACTIONS(1180),
    [aux_sym_return_statement_token1] = ACTIONS(1180),
    [aux_sym_throw_expression_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token2] = ACTIONS(1180),
    [aux_sym_do_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token2] = ACTIONS(1180),
    [aux_sym_foreach_statement_token1] = ACTIONS(1180),
    [aux_sym_foreach_statement_token2] = ACTIONS(1180),
    [aux_sym_if_statement_token1] = ACTIONS(1180),
    [aux_sym_if_statement_token2] = ACTIONS(1180),
    [aux_sym_else_if_clause_token1] = ACTIONS(1180),
    [aux_sym_else_clause_token1] = ACTIONS(1180),
    [aux_sym_match_expression_token1] = ACTIONS(1180),
    [aux_sym_match_default_expression_token1] = ACTIONS(1180),
    [aux_sym_switch_statement_token1] = ACTIONS(1180),
    [aux_sym_switch_block_token1] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1178),
    [aux_sym_clone_expression_token1] = ACTIONS(1180),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1180),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [aux_sym__list_destructing_token1] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_self] = ACTIONS(1180),
    [anon_sym_parent] = ACTIONS(1180),
    [anon_sym_POUND_LBRACK] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [aux_sym_encapsed_string_token1] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [aux_sym_string_token1] = ACTIONS(1178),
    [anon_sym_LT_LT_LT] = ACTIONS(1178),
    [anon_sym_BQUOTE] = ACTIONS(1178),
    [sym_boolean] = ACTIONS(1180),
    [sym_null] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1178),
    [aux_sym_yield_expression_token1] = ACTIONS(1180),
    [aux_sym_include_expression_token1] = ACTIONS(1180),
    [aux_sym_include_once_expression_token1] = ACTIONS(1180),
    [aux_sym_require_expression_token1] = ACTIONS(1180),
    [aux_sym_require_once_expression_token1] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_name] = ACTIONS(1180),
    [anon_sym_QMARK_GT] = ACTIONS(1178),
    [anon_sym_SEMI] = ACTIONS(1178),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1180),
    [aux_sym_global_declaration_token1] = ACTIONS(1180),
    [aux_sym_namespace_definition_token1] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1180),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1180),
    [anon_sym_BSLASH] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [aux_sym_trait_declaration_token1] = ACTIONS(1180),
    [aux_sym_interface_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_declaration_token1] = ACTIONS(1180),
    [aux_sym_enum_case_token1] = ACTIONS(1180),
    [aux_sym_class_declaration_token1] = ACTIONS(1180),
    [aux_sym_final_modifier_token1] = ACTIONS(1180),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1180),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1180),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1180),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(1178),
    [aux_sym_cast_type_token1] = ACTIONS(1180),
    [aux_sym_echo_statement_token1] = ACTIONS(1180),
    [anon_sym_unset] = ACTIONS(1180),
    [aux_sym_declare_statement_token1] = ACTIONS(1180),
    [aux_sym_declare_statement_token2] = ACTIONS(1180),
    [sym_float] = ACTIONS(1180),
    [aux_sym_try_statement_token1] = ACTIONS(1180),
    [aux_sym_goto_statement_token1] = ACTIONS(1180),
    [aux_sym_continue_statement_token1] = ACTIONS(1180),
    [aux_sym_break_statement_token1] = ACTIONS(1180),
    [sym_integer] = ACTIONS(1180),
    [aux_sym_return_statement_token1] = ACTIONS(1180),
    [aux_sym_throw_expression_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token1] = ACTIONS(1180),
    [aux_sym_while_statement_token2] = ACTIONS(1180),
    [aux_sym_do_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token1] = ACTIONS(1180),
    [aux_sym_for_statement_token2] = ACTIONS(1180),
    [aux_sym_foreach_statement_token1] = ACTIONS(1180),
    [aux_sym_foreach_statement_token2] = ACTIONS(1180),
    [aux_sym_if_statement_token1] = ACTIONS(1180),
    [aux_sym_if_statement_token2] = ACTIONS(1180),
    [aux_sym_else_if_clause_token1] = ACTIONS(1180),
    [aux_sym_else_clause_token1] = ACTIONS(1180),
    [aux_sym_match_expression_token1] = ACTIONS(1180),
    [aux_sym_match_default_expression_token1] = ACTIONS(1180),
    [aux_sym_switch_statement_token1] = ACTIONS(1180),
    [aux_sym_switch_block_token1] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_BANG] = ACTIONS(1178),
    [aux_sym_clone_expression_token1] = ACTIONS(1180),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1180),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [aux_sym__list_destructing_token1] = ACTIONS(1180),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_self] = ACTIONS(1180),
    [anon_sym_parent] = ACTIONS(1180),
    [anon_sym_POUND_LBRACK] = ACTIONS(1178),
    [anon_sym_SQUOTE] = ACTIONS(1178),
    [aux_sym_encapsed_string_token1] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1178),
    [aux_sym_string_token1] = ACTIONS(1178),
    [anon_sym_LT_LT_LT] = ACTIONS(1178),
    [anon_sym_BQUOTE] = ACTIONS(1178),
    [sym_boolean] = ACTIONS(1180),
    [sym_null] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1178),
    [aux_sym_yield_expression_token1] = ACTIONS(1180),
    [aux_sym_include_expression_token1] = ACTIONS(1180),
    [aux_sym_include_once_expression_token1] = ACTIONS(1180),
    [aux_sym_require_expression_token1] = ACTIONS(1180),
    [aux_sym_require_once_expression_token1] = ACTIONS(1180),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_name] = ACTIONS(1184),
    [anon_sym_QMARK_GT] = ACTIONS(1182),
    [anon_sym_SEMI] = ACTIONS(1182),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1184),
    [aux_sym_global_declaration_token1] = ACTIONS(1184),
    [aux_sym_namespace_definition_token1] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1184),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1184),
    [anon_sym_BSLASH] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [aux_sym_trait_declaration_token1] = ACTIONS(1184),
    [aux_sym_interface_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_declaration_token1] = ACTIONS(1184),
    [aux_sym_enum_case_token1] = ACTIONS(1184),
    [aux_sym_class_declaration_token1] = ACTIONS(1184),
    [aux_sym_final_modifier_token1] = ACTIONS(1184),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1184),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1184),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1184),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1184),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [aux_sym_cast_type_token1] = ACTIONS(1184),
    [aux_sym_echo_statement_token1] = ACTIONS(1184),
    [anon_sym_unset] = ACTIONS(1184),
    [aux_sym_declare_statement_token1] = ACTIONS(1184),
    [aux_sym_declare_statement_token2] = ACTIONS(1184),
    [sym_float] = ACTIONS(1184),
    [aux_sym_try_statement_token1] = ACTIONS(1184),
    [aux_sym_goto_statement_token1] = ACTIONS(1184),
    [aux_sym_continue_statement_token1] = ACTIONS(1184),
    [aux_sym_break_statement_token1] = ACTIONS(1184),
    [sym_integer] = ACTIONS(1184),
    [aux_sym_return_statement_token1] = ACTIONS(1184),
    [aux_sym_throw_expression_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token1] = ACTIONS(1184),
    [aux_sym_while_statement_token2] = ACTIONS(1184),
    [aux_sym_do_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token1] = ACTIONS(1184),
    [aux_sym_for_statement_token2] = ACTIONS(1184),
    [aux_sym_foreach_statement_token1] = ACTIONS(1184),
    [aux_sym_foreach_statement_token2] = ACTIONS(1184),
    [aux_sym_if_statement_token1] = ACTIONS(1184),
    [aux_sym_if_statement_token2] = ACTIONS(1184),
    [aux_sym_else_if_clause_token1] = ACTIONS(1184),
    [aux_sym_else_clause_token1] = ACTIONS(1184),
    [aux_sym_match_expression_token1] = ACTIONS(1184),
    [aux_sym_match_default_expression_token1] = ACTIONS(1184),
    [aux_sym_switch_statement_token1] = ACTIONS(1184),
    [aux_sym_switch_block_token1] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_BANG] = ACTIONS(1182),
    [aux_sym_clone_expression_token1] = ACTIONS(1184),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1184),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [aux_sym__list_destructing_token1] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_self] = ACTIONS(1184),
    [anon_sym_parent] = ACTIONS(1184),
    [anon_sym_POUND_LBRACK] = ACTIONS(1182),
    [anon_sym_SQUOTE] = ACTIONS(1182),
    [aux_sym_encapsed_string_token1] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1182),
    [aux_sym_string_token1] = ACTIONS(1182),
    [anon_sym_LT_LT_LT] = ACTIONS(1182),
    [anon_sym_BQUOTE] = ACTIONS(1182),
    [sym_boolean] = ACTIONS(1184),
    [sym_null] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1182),
    [aux_sym_yield_expression_token1] = ACTIONS(1184),
    [aux_sym_include_expression_token1] = ACTIONS(1184),
    [aux_sym_include_once_expression_token1] = ACTIONS(1184),
    [aux_sym_require_expression_token1] = ACTIONS(1184),
    [aux_sym_require_once_expression_token1] = ACTIONS(1184),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1186),
    [sym_name] = ACTIONS(1188),
    [anon_sym_QMARK_GT] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1186),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1188),
    [aux_sym_global_declaration_token1] = ACTIONS(1188),
    [aux_sym_namespace_definition_token1] = ACTIONS(1188),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1188),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1188),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1188),
    [anon_sym_BSLASH] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [aux_sym_trait_declaration_token1] = ACTIONS(1188),
    [aux_sym_interface_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_declaration_token1] = ACTIONS(1188),
    [aux_sym_enum_case_token1] = ACTIONS(1188),
    [aux_sym_class_declaration_token1] = ACTIONS(1188),
    [aux_sym_final_modifier_token1] = ACTIONS(1188),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1188),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1188),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1188),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1188),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [aux_sym_cast_type_token1] = ACTIONS(1188),
    [aux_sym_echo_statement_token1] = ACTIONS(1188),
    [anon_sym_unset] = ACTIONS(1188),
    [aux_sym_declare_statement_token1] = ACTIONS(1188),
    [aux_sym_declare_statement_token2] = ACTIONS(1188),
    [sym_float] = ACTIONS(1188),
    [aux_sym_try_statement_token1] = ACTIONS(1188),
    [aux_sym_goto_statement_token1] = ACTIONS(1188),
    [aux_sym_continue_statement_token1] = ACTIONS(1188),
    [aux_sym_break_statement_token1] = ACTIONS(1188),
    [sym_integer] = ACTIONS(1188),
    [aux_sym_return_statement_token1] = ACTIONS(1188),
    [aux_sym_throw_expression_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token1] = ACTIONS(1188),
    [aux_sym_while_statement_token2] = ACTIONS(1188),
    [aux_sym_do_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token1] = ACTIONS(1188),
    [aux_sym_for_statement_token2] = ACTIONS(1188),
    [aux_sym_foreach_statement_token1] = ACTIONS(1188),
    [aux_sym_foreach_statement_token2] = ACTIONS(1188),
    [aux_sym_if_statement_token1] = ACTIONS(1188),
    [aux_sym_if_statement_token2] = ACTIONS(1188),
    [aux_sym_else_if_clause_token1] = ACTIONS(1188),
    [aux_sym_else_clause_token1] = ACTIONS(1188),
    [aux_sym_match_expression_token1] = ACTIONS(1188),
    [aux_sym_match_default_expression_token1] = ACTIONS(1188),
    [aux_sym_switch_statement_token1] = ACTIONS(1188),
    [aux_sym_switch_block_token1] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_BANG] = ACTIONS(1186),
    [aux_sym_clone_expression_token1] = ACTIONS(1188),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1188),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [aux_sym__list_destructing_token1] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_self] = ACTIONS(1188),
    [anon_sym_parent] = ACTIONS(1188),
    [anon_sym_POUND_LBRACK] = ACTIONS(1186),
    [anon_sym_SQUOTE] = ACTIONS(1186),
    [aux_sym_encapsed_string_token1] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1186),
    [aux_sym_string_token1] = ACTIONS(1186),
    [anon_sym_LT_LT_LT] = ACTIONS(1186),
    [anon_sym_BQUOTE] = ACTIONS(1186),
    [sym_boolean] = ACTIONS(1188),
    [sym_null] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1186),
    [aux_sym_yield_expression_token1] = ACTIONS(1188),
    [aux_sym_include_expression_token1] = ACTIONS(1188),
    [aux_sym_include_once_expression_token1] = ACTIONS(1188),
    [aux_sym_require_expression_token1] = ACTIONS(1188),
    [aux_sym_require_once_expression_token1] = ACTIONS(1188),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_name] = ACTIONS(1192),
    [anon_sym_QMARK_GT] = ACTIONS(1190),
    [anon_sym_SEMI] = ACTIONS(1190),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1192),
    [aux_sym_global_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_definition_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1192),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1192),
    [anon_sym_BSLASH] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [aux_sym_trait_declaration_token1] = ACTIONS(1192),
    [aux_sym_interface_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_declaration_token1] = ACTIONS(1192),
    [aux_sym_enum_case_token1] = ACTIONS(1192),
    [aux_sym_class_declaration_token1] = ACTIONS(1192),
    [aux_sym_final_modifier_token1] = ACTIONS(1192),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1192),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1192),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1192),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1192),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [aux_sym_cast_type_token1] = ACTIONS(1192),
    [aux_sym_echo_statement_token1] = ACTIONS(1192),
    [anon_sym_unset] = ACTIONS(1192),
    [aux_sym_declare_statement_token1] = ACTIONS(1192),
    [aux_sym_declare_statement_token2] = ACTIONS(1192),
    [sym_float] = ACTIONS(1192),
    [aux_sym_try_statement_token1] = ACTIONS(1192),
    [aux_sym_goto_statement_token1] = ACTIONS(1192),
    [aux_sym_continue_statement_token1] = ACTIONS(1192),
    [aux_sym_break_statement_token1] = ACTIONS(1192),
    [sym_integer] = ACTIONS(1192),
    [aux_sym_return_statement_token1] = ACTIONS(1192),
    [aux_sym_throw_expression_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token1] = ACTIONS(1192),
    [aux_sym_while_statement_token2] = ACTIONS(1192),
    [aux_sym_do_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token1] = ACTIONS(1192),
    [aux_sym_for_statement_token2] = ACTIONS(1192),
    [aux_sym_foreach_statement_token1] = ACTIONS(1192),
    [aux_sym_foreach_statement_token2] = ACTIONS(1192),
    [aux_sym_if_statement_token1] = ACTIONS(1192),
    [aux_sym_if_statement_token2] = ACTIONS(1192),
    [aux_sym_else_if_clause_token1] = ACTIONS(1192),
    [aux_sym_else_clause_token1] = ACTIONS(1192),
    [aux_sym_match_expression_token1] = ACTIONS(1192),
    [aux_sym_match_default_expression_token1] = ACTIONS(1192),
    [aux_sym_switch_statement_token1] = ACTIONS(1192),
    [aux_sym_switch_block_token1] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_BANG] = ACTIONS(1190),
    [aux_sym_clone_expression_token1] = ACTIONS(1192),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1192),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [aux_sym__list_destructing_token1] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_self] = ACTIONS(1192),
    [anon_sym_parent] = ACTIONS(1192),
    [anon_sym_POUND_LBRACK] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(1190),
    [aux_sym_encapsed_string_token1] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1190),
    [aux_sym_string_token1] = ACTIONS(1190),
    [anon_sym_LT_LT_LT] = ACTIONS(1190),
    [anon_sym_BQUOTE] = ACTIONS(1190),
    [sym_boolean] = ACTIONS(1192),
    [sym_null] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1190),
    [aux_sym_yield_expression_token1] = ACTIONS(1192),
    [aux_sym_include_expression_token1] = ACTIONS(1192),
    [aux_sym_include_once_expression_token1] = ACTIONS(1192),
    [aux_sym_require_expression_token1] = ACTIONS(1192),
    [aux_sym_require_once_expression_token1] = ACTIONS(1192),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_name] = ACTIONS(1196),
    [anon_sym_QMARK_GT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1196),
    [aux_sym_global_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_definition_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1196),
    [anon_sym_BSLASH] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [aux_sym_trait_declaration_token1] = ACTIONS(1196),
    [aux_sym_interface_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_case_token1] = ACTIONS(1196),
    [aux_sym_class_declaration_token1] = ACTIONS(1196),
    [aux_sym_final_modifier_token1] = ACTIONS(1196),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1196),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1196),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [aux_sym_cast_type_token1] = ACTIONS(1196),
    [aux_sym_echo_statement_token1] = ACTIONS(1196),
    [anon_sym_unset] = ACTIONS(1196),
    [aux_sym_declare_statement_token1] = ACTIONS(1196),
    [aux_sym_declare_statement_token2] = ACTIONS(1196),
    [sym_float] = ACTIONS(1196),
    [aux_sym_try_statement_token1] = ACTIONS(1196),
    [aux_sym_goto_statement_token1] = ACTIONS(1196),
    [aux_sym_continue_statement_token1] = ACTIONS(1196),
    [aux_sym_break_statement_token1] = ACTIONS(1196),
    [sym_integer] = ACTIONS(1196),
    [aux_sym_return_statement_token1] = ACTIONS(1196),
    [aux_sym_throw_expression_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token2] = ACTIONS(1196),
    [aux_sym_do_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token2] = ACTIONS(1196),
    [aux_sym_foreach_statement_token1] = ACTIONS(1196),
    [aux_sym_foreach_statement_token2] = ACTIONS(1196),
    [aux_sym_if_statement_token1] = ACTIONS(1196),
    [aux_sym_if_statement_token2] = ACTIONS(1196),
    [aux_sym_else_if_clause_token1] = ACTIONS(1196),
    [aux_sym_else_clause_token1] = ACTIONS(1196),
    [aux_sym_match_expression_token1] = ACTIONS(1196),
    [aux_sym_match_default_expression_token1] = ACTIONS(1196),
    [aux_sym_switch_statement_token1] = ACTIONS(1196),
    [aux_sym_switch_block_token1] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [aux_sym_clone_expression_token1] = ACTIONS(1196),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1196),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym__list_destructing_token1] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_self] = ACTIONS(1196),
    [anon_sym_parent] = ACTIONS(1196),
    [anon_sym_POUND_LBRACK] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [aux_sym_encapsed_string_token1] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [aux_sym_string_token1] = ACTIONS(1194),
    [anon_sym_LT_LT_LT] = ACTIONS(1194),
    [anon_sym_BQUOTE] = ACTIONS(1194),
    [sym_boolean] = ACTIONS(1196),
    [sym_null] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [aux_sym_yield_expression_token1] = ACTIONS(1196),
    [aux_sym_include_expression_token1] = ACTIONS(1196),
    [aux_sym_include_once_expression_token1] = ACTIONS(1196),
    [aux_sym_require_expression_token1] = ACTIONS(1196),
    [aux_sym_require_once_expression_token1] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_name] = ACTIONS(1196),
    [anon_sym_QMARK_GT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1196),
    [aux_sym_global_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_definition_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1196),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1196),
    [anon_sym_BSLASH] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [aux_sym_trait_declaration_token1] = ACTIONS(1196),
    [aux_sym_interface_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_declaration_token1] = ACTIONS(1196),
    [aux_sym_enum_case_token1] = ACTIONS(1196),
    [aux_sym_class_declaration_token1] = ACTIONS(1196),
    [aux_sym_final_modifier_token1] = ACTIONS(1196),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1196),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1196),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1196),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [aux_sym_cast_type_token1] = ACTIONS(1196),
    [aux_sym_echo_statement_token1] = ACTIONS(1196),
    [anon_sym_unset] = ACTIONS(1196),
    [aux_sym_declare_statement_token1] = ACTIONS(1196),
    [aux_sym_declare_statement_token2] = ACTIONS(1196),
    [sym_float] = ACTIONS(1196),
    [aux_sym_try_statement_token1] = ACTIONS(1196),
    [aux_sym_goto_statement_token1] = ACTIONS(1196),
    [aux_sym_continue_statement_token1] = ACTIONS(1196),
    [aux_sym_break_statement_token1] = ACTIONS(1196),
    [sym_integer] = ACTIONS(1196),
    [aux_sym_return_statement_token1] = ACTIONS(1196),
    [aux_sym_throw_expression_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token1] = ACTIONS(1196),
    [aux_sym_while_statement_token2] = ACTIONS(1196),
    [aux_sym_do_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token1] = ACTIONS(1196),
    [aux_sym_for_statement_token2] = ACTIONS(1196),
    [aux_sym_foreach_statement_token1] = ACTIONS(1196),
    [aux_sym_foreach_statement_token2] = ACTIONS(1196),
    [aux_sym_if_statement_token1] = ACTIONS(1196),
    [aux_sym_if_statement_token2] = ACTIONS(1196),
    [aux_sym_else_if_clause_token1] = ACTIONS(1196),
    [aux_sym_else_clause_token1] = ACTIONS(1196),
    [aux_sym_match_expression_token1] = ACTIONS(1196),
    [aux_sym_match_default_expression_token1] = ACTIONS(1196),
    [aux_sym_switch_statement_token1] = ACTIONS(1196),
    [aux_sym_switch_block_token1] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [aux_sym_clone_expression_token1] = ACTIONS(1196),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1196),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [aux_sym__list_destructing_token1] = ACTIONS(1196),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_self] = ACTIONS(1196),
    [anon_sym_parent] = ACTIONS(1196),
    [anon_sym_POUND_LBRACK] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1194),
    [aux_sym_encapsed_string_token1] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [aux_sym_string_token1] = ACTIONS(1194),
    [anon_sym_LT_LT_LT] = ACTIONS(1194),
    [anon_sym_BQUOTE] = ACTIONS(1194),
    [sym_boolean] = ACTIONS(1196),
    [sym_null] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1194),
    [aux_sym_yield_expression_token1] = ACTIONS(1196),
    [aux_sym_include_expression_token1] = ACTIONS(1196),
    [aux_sym_include_once_expression_token1] = ACTIONS(1196),
    [aux_sym_require_expression_token1] = ACTIONS(1196),
    [aux_sym_require_once_expression_token1] = ACTIONS(1196),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1198),
    [sym_name] = ACTIONS(1200),
    [anon_sym_QMARK_GT] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1200),
    [aux_sym_global_declaration_token1] = ACTIONS(1200),
    [aux_sym_namespace_definition_token1] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1200),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1200),
    [anon_sym_BSLASH] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [aux_sym_trait_declaration_token1] = ACTIONS(1200),
    [aux_sym_interface_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_declaration_token1] = ACTIONS(1200),
    [aux_sym_enum_case_token1] = ACTIONS(1200),
    [aux_sym_class_declaration_token1] = ACTIONS(1200),
    [aux_sym_final_modifier_token1] = ACTIONS(1200),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1200),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1200),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1200),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1200),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [aux_sym_cast_type_token1] = ACTIONS(1200),
    [aux_sym_echo_statement_token1] = ACTIONS(1200),
    [anon_sym_unset] = ACTIONS(1200),
    [aux_sym_declare_statement_token1] = ACTIONS(1200),
    [aux_sym_declare_statement_token2] = ACTIONS(1200),
    [sym_float] = ACTIONS(1200),
    [aux_sym_try_statement_token1] = ACTIONS(1200),
    [aux_sym_goto_statement_token1] = ACTIONS(1200),
    [aux_sym_continue_statement_token1] = ACTIONS(1200),
    [aux_sym_break_statement_token1] = ACTIONS(1200),
    [sym_integer] = ACTIONS(1200),
    [aux_sym_return_statement_token1] = ACTIONS(1200),
    [aux_sym_throw_expression_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token1] = ACTIONS(1200),
    [aux_sym_while_statement_token2] = ACTIONS(1200),
    [aux_sym_do_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token1] = ACTIONS(1200),
    [aux_sym_for_statement_token2] = ACTIONS(1200),
    [aux_sym_foreach_statement_token1] = ACTIONS(1200),
    [aux_sym_foreach_statement_token2] = ACTIONS(1200),
    [aux_sym_if_statement_token1] = ACTIONS(1200),
    [aux_sym_if_statement_token2] = ACTIONS(1200),
    [aux_sym_else_if_clause_token1] = ACTIONS(1200),
    [aux_sym_else_clause_token1] = ACTIONS(1200),
    [aux_sym_match_expression_token1] = ACTIONS(1200),
    [aux_sym_match_default_expression_token1] = ACTIONS(1200),
    [aux_sym_switch_statement_token1] = ACTIONS(1200),
    [aux_sym_switch_block_token1] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1200),
    [anon_sym_DASH] = ACTIONS(1200),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [aux_sym_clone_expression_token1] = ACTIONS(1200),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1200),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [aux_sym__list_destructing_token1] = ACTIONS(1200),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_self] = ACTIONS(1200),
    [anon_sym_parent] = ACTIONS(1200),
    [anon_sym_POUND_LBRACK] = ACTIONS(1198),
    [anon_sym_SQUOTE] = ACTIONS(1198),
    [aux_sym_encapsed_string_token1] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [aux_sym_string_token1] = ACTIONS(1198),
    [anon_sym_LT_LT_LT] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [sym_boolean] = ACTIONS(1200),
    [sym_null] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [aux_sym_yield_expression_token1] = ACTIONS(1200),
    [aux_sym_include_expression_token1] = ACTIONS(1200),
    [aux_sym_include_once_expression_token1] = ACTIONS(1200),
    [aux_sym_require_expression_token1] = ACTIONS(1200),
    [aux_sym_require_once_expression_token1] = ACTIONS(1200),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1202),
    [sym_name] = ACTIONS(1204),
    [anon_sym_QMARK_GT] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1204),
    [aux_sym_global_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_definition_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1204),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1204),
    [anon_sym_BSLASH] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [aux_sym_trait_declaration_token1] = ACTIONS(1204),
    [aux_sym_interface_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_declaration_token1] = ACTIONS(1204),
    [aux_sym_enum_case_token1] = ACTIONS(1204),
    [aux_sym_class_declaration_token1] = ACTIONS(1204),
    [aux_sym_final_modifier_token1] = ACTIONS(1204),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1204),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1204),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1204),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1204),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [aux_sym_cast_type_token1] = ACTIONS(1204),
    [aux_sym_echo_statement_token1] = ACTIONS(1204),
    [anon_sym_unset] = ACTIONS(1204),
    [aux_sym_declare_statement_token1] = ACTIONS(1204),
    [aux_sym_declare_statement_token2] = ACTIONS(1204),
    [sym_float] = ACTIONS(1204),
    [aux_sym_try_statement_token1] = ACTIONS(1204),
    [aux_sym_goto_statement_token1] = ACTIONS(1204),
    [aux_sym_continue_statement_token1] = ACTIONS(1204),
    [aux_sym_break_statement_token1] = ACTIONS(1204),
    [sym_integer] = ACTIONS(1204),
    [aux_sym_return_statement_token1] = ACTIONS(1204),
    [aux_sym_throw_expression_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token1] = ACTIONS(1204),
    [aux_sym_while_statement_token2] = ACTIONS(1204),
    [aux_sym_do_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token1] = ACTIONS(1204),
    [aux_sym_for_statement_token2] = ACTIONS(1204),
    [aux_sym_foreach_statement_token1] = ACTIONS(1204),
    [aux_sym_foreach_statement_token2] = ACTIONS(1204),
    [aux_sym_if_statement_token1] = ACTIONS(1204),
    [aux_sym_if_statement_token2] = ACTIONS(1204),
    [aux_sym_else_if_clause_token1] = ACTIONS(1204),
    [aux_sym_else_clause_token1] = ACTIONS(1204),
    [aux_sym_match_expression_token1] = ACTIONS(1204),
    [aux_sym_match_default_expression_token1] = ACTIONS(1204),
    [aux_sym_switch_statement_token1] = ACTIONS(1204),
    [aux_sym_switch_block_token1] = ACTIONS(1204),
    [anon_sym_AT] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1204),
    [anon_sym_DASH] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [aux_sym_clone_expression_token1] = ACTIONS(1204),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1204),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [aux_sym__list_destructing_token1] = ACTIONS(1204),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_self] = ACTIONS(1204),
    [anon_sym_parent] = ACTIONS(1204),
    [anon_sym_POUND_LBRACK] = ACTIONS(1202),
    [anon_sym_SQUOTE] = ACTIONS(1202),
    [aux_sym_encapsed_string_token1] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [aux_sym_string_token1] = ACTIONS(1202),
    [anon_sym_LT_LT_LT] = ACTIONS(1202),
    [anon_sym_BQUOTE] = ACTIONS(1202),
    [sym_boolean] = ACTIONS(1204),
    [sym_null] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1202),
    [aux_sym_yield_expression_token1] = ACTIONS(1204),
    [aux_sym_include_expression_token1] = ACTIONS(1204),
    [aux_sym_include_once_expression_token1] = ACTIONS(1204),
    [aux_sym_require_expression_token1] = ACTIONS(1204),
    [aux_sym_require_once_expression_token1] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_name] = ACTIONS(1208),
    [anon_sym_QMARK_GT] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1206),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1208),
    [aux_sym_global_declaration_token1] = ACTIONS(1208),
    [aux_sym_namespace_definition_token1] = ACTIONS(1208),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1208),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1208),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1208),
    [anon_sym_BSLASH] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [aux_sym_trait_declaration_token1] = ACTIONS(1208),
    [aux_sym_interface_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_declaration_token1] = ACTIONS(1208),
    [aux_sym_enum_case_token1] = ACTIONS(1208),
    [aux_sym_class_declaration_token1] = ACTIONS(1208),
    [aux_sym_final_modifier_token1] = ACTIONS(1208),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1208),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1208),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1208),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [aux_sym_cast_type_token1] = ACTIONS(1208),
    [aux_sym_echo_statement_token1] = ACTIONS(1208),
    [anon_sym_unset] = ACTIONS(1208),
    [aux_sym_declare_statement_token1] = ACTIONS(1208),
    [aux_sym_declare_statement_token2] = ACTIONS(1208),
    [sym_float] = ACTIONS(1208),
    [aux_sym_try_statement_token1] = ACTIONS(1208),
    [aux_sym_goto_statement_token1] = ACTIONS(1208),
    [aux_sym_continue_statement_token1] = ACTIONS(1208),
    [aux_sym_break_statement_token1] = ACTIONS(1208),
    [sym_integer] = ACTIONS(1208),
    [aux_sym_return_statement_token1] = ACTIONS(1208),
    [aux_sym_throw_expression_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token1] = ACTIONS(1208),
    [aux_sym_while_statement_token2] = ACTIONS(1208),
    [aux_sym_do_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token1] = ACTIONS(1208),
    [aux_sym_for_statement_token2] = ACTIONS(1208),
    [aux_sym_foreach_statement_token1] = ACTIONS(1208),
    [aux_sym_foreach_statement_token2] = ACTIONS(1208),
    [aux_sym_if_statement_token1] = ACTIONS(1208),
    [aux_sym_if_statement_token2] = ACTIONS(1208),
    [aux_sym_else_if_clause_token1] = ACTIONS(1208),
    [aux_sym_else_clause_token1] = ACTIONS(1208),
    [aux_sym_match_expression_token1] = ACTIONS(1208),
    [aux_sym_match_default_expression_token1] = ACTIONS(1208),
    [aux_sym_switch_statement_token1] = ACTIONS(1208),
    [aux_sym_switch_block_token1] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [aux_sym_clone_expression_token1] = ACTIONS(1208),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1208),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1206),
    [aux_sym__list_destructing_token1] = ACTIONS(1208),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_self] = ACTIONS(1208),
    [anon_sym_parent] = ACTIONS(1208),
    [anon_sym_POUND_LBRACK] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1206),
    [aux_sym_encapsed_string_token1] = ACTIONS(1206),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [aux_sym_string_token1] = ACTIONS(1206),
    [anon_sym_LT_LT_LT] = ACTIONS(1206),
    [anon_sym_BQUOTE] = ACTIONS(1206),
    [sym_boolean] = ACTIONS(1208),
    [sym_null] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1206),
    [aux_sym_yield_expression_token1] = ACTIONS(1208),
    [aux_sym_include_expression_token1] = ACTIONS(1208),
    [aux_sym_include_once_expression_token1] = ACTIONS(1208),
    [aux_sym_require_expression_token1] = ACTIONS(1208),
    [aux_sym_require_once_expression_token1] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_name] = ACTIONS(1212),
    [anon_sym_QMARK_GT] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1210),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1212),
    [aux_sym_global_declaration_token1] = ACTIONS(1212),
    [aux_sym_namespace_definition_token1] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1212),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1212),
    [anon_sym_BSLASH] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [aux_sym_trait_declaration_token1] = ACTIONS(1212),
    [aux_sym_interface_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_declaration_token1] = ACTIONS(1212),
    [aux_sym_enum_case_token1] = ACTIONS(1212),
    [aux_sym_class_declaration_token1] = ACTIONS(1212),
    [aux_sym_final_modifier_token1] = ACTIONS(1212),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1212),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1212),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1212),
    [anon_sym_LPAREN] = ACTIONS(1210),
    [aux_sym_cast_type_token1] = ACTIONS(1212),
    [aux_sym_echo_statement_token1] = ACTIONS(1212),
    [anon_sym_unset] = ACTIONS(1212),
    [aux_sym_declare_statement_token1] = ACTIONS(1212),
    [aux_sym_declare_statement_token2] = ACTIONS(1212),
    [sym_float] = ACTIONS(1212),
    [aux_sym_try_statement_token1] = ACTIONS(1212),
    [aux_sym_goto_statement_token1] = ACTIONS(1212),
    [aux_sym_continue_statement_token1] = ACTIONS(1212),
    [aux_sym_break_statement_token1] = ACTIONS(1212),
    [sym_integer] = ACTIONS(1212),
    [aux_sym_return_statement_token1] = ACTIONS(1212),
    [aux_sym_throw_expression_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token1] = ACTIONS(1212),
    [aux_sym_while_statement_token2] = ACTIONS(1212),
    [aux_sym_do_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token1] = ACTIONS(1212),
    [aux_sym_for_statement_token2] = ACTIONS(1212),
    [aux_sym_foreach_statement_token1] = ACTIONS(1212),
    [aux_sym_foreach_statement_token2] = ACTIONS(1212),
    [aux_sym_if_statement_token1] = ACTIONS(1212),
    [aux_sym_if_statement_token2] = ACTIONS(1212),
    [aux_sym_else_if_clause_token1] = ACTIONS(1212),
    [aux_sym_else_clause_token1] = ACTIONS(1212),
    [aux_sym_match_expression_token1] = ACTIONS(1212),
    [aux_sym_match_default_expression_token1] = ACTIONS(1212),
    [aux_sym_switch_statement_token1] = ACTIONS(1212),
    [aux_sym_switch_block_token1] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1212),
    [anon_sym_DASH] = ACTIONS(1212),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1210),
    [aux_sym_clone_expression_token1] = ACTIONS(1212),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1212),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1210),
    [aux_sym__list_destructing_token1] = ACTIONS(1212),
    [anon_sym_LBRACK] = ACTIONS(1210),
    [anon_sym_self] = ACTIONS(1212),
    [anon_sym_parent] = ACTIONS(1212),
    [anon_sym_POUND_LBRACK] = ACTIONS(1210),
    [anon_sym_SQUOTE] = ACTIONS(1210),
    [aux_sym_encapsed_string_token1] = ACTIONS(1210),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [aux_sym_string_token1] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1210),
    [anon_sym_BQUOTE] = ACTIONS(1210),
    [sym_boolean] = ACTIONS(1212),
    [sym_null] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1210),
    [aux_sym_yield_expression_token1] = ACTIONS(1212),
    [aux_sym_include_expression_token1] = ACTIONS(1212),
    [aux_sym_include_once_expression_token1] = ACTIONS(1212),
    [aux_sym_require_expression_token1] = ACTIONS(1212),
    [aux_sym_require_once_expression_token1] = ACTIONS(1212),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1214),
    [sym_name] = ACTIONS(1216),
    [anon_sym_QMARK_GT] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1216),
    [aux_sym_global_declaration_token1] = ACTIONS(1216),
    [aux_sym_namespace_definition_token1] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1216),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1216),
    [anon_sym_BSLASH] = ACTIONS(1214),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_RBRACE] = ACTIONS(1214),
    [aux_sym_trait_declaration_token1] = ACTIONS(1216),
    [aux_sym_interface_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_declaration_token1] = ACTIONS(1216),
    [aux_sym_enum_case_token1] = ACTIONS(1216),
    [aux_sym_class_declaration_token1] = ACTIONS(1216),
    [aux_sym_final_modifier_token1] = ACTIONS(1216),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1216),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1216),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1216),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1216),
    [anon_sym_LPAREN] = ACTIONS(1214),
    [aux_sym_cast_type_token1] = ACTIONS(1216),
    [aux_sym_echo_statement_token1] = ACTIONS(1216),
    [anon_sym_unset] = ACTIONS(1216),
    [aux_sym_declare_statement_token1] = ACTIONS(1216),
    [aux_sym_declare_statement_token2] = ACTIONS(1216),
    [sym_float] = ACTIONS(1216),
    [aux_sym_try_statement_token1] = ACTIONS(1216),
    [aux_sym_goto_statement_token1] = ACTIONS(1216),
    [aux_sym_continue_statement_token1] = ACTIONS(1216),
    [aux_sym_break_statement_token1] = ACTIONS(1216),
    [sym_integer] = ACTIONS(1216),
    [aux_sym_return_statement_token1] = ACTIONS(1216),
    [aux_sym_throw_expression_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token1] = ACTIONS(1216),
    [aux_sym_while_statement_token2] = ACTIONS(1216),
    [aux_sym_do_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token1] = ACTIONS(1216),
    [aux_sym_for_statement_token2] = ACTIONS(1216),
    [aux_sym_foreach_statement_token1] = ACTIONS(1216),
    [aux_sym_foreach_statement_token2] = ACTIONS(1216),
    [aux_sym_if_statement_token1] = ACTIONS(1216),
    [aux_sym_if_statement_token2] = ACTIONS(1216),
    [aux_sym_else_if_clause_token1] = ACTIONS(1216),
    [aux_sym_else_clause_token1] = ACTIONS(1216),
    [aux_sym_match_expression_token1] = ACTIONS(1216),
    [aux_sym_match_default_expression_token1] = ACTIONS(1216),
    [aux_sym_switch_statement_token1] = ACTIONS(1216),
    [aux_sym_switch_block_token1] = ACTIONS(1216),
    [anon_sym_AT] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1216),
    [anon_sym_DASH] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1214),
    [anon_sym_BANG] = ACTIONS(1214),
    [aux_sym_clone_expression_token1] = ACTIONS(1216),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1216),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [aux_sym__list_destructing_token1] = ACTIONS(1216),
    [anon_sym_LBRACK] = ACTIONS(1214),
    [anon_sym_self] = ACTIONS(1216),
    [anon_sym_parent] = ACTIONS(1216),
    [anon_sym_POUND_LBRACK] = ACTIONS(1214),
    [anon_sym_SQUOTE] = ACTIONS(1214),
    [aux_sym_encapsed_string_token1] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [aux_sym_string_token1] = ACTIONS(1214),
    [anon_sym_LT_LT_LT] = ACTIONS(1214),
    [anon_sym_BQUOTE] = ACTIONS(1214),
    [sym_boolean] = ACTIONS(1216),
    [sym_null] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [aux_sym_yield_expression_token1] = ACTIONS(1216),
    [aux_sym_include_expression_token1] = ACTIONS(1216),
    [aux_sym_include_once_expression_token1] = ACTIONS(1216),
    [aux_sym_require_expression_token1] = ACTIONS(1216),
    [aux_sym_require_once_expression_token1] = ACTIONS(1216),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1218),
    [sym_name] = ACTIONS(1220),
    [anon_sym_QMARK_GT] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1218),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1220),
    [aux_sym_global_declaration_token1] = ACTIONS(1220),
    [aux_sym_namespace_definition_token1] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1220),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1220),
    [anon_sym_BSLASH] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1218),
    [anon_sym_RBRACE] = ACTIONS(1218),
    [aux_sym_trait_declaration_token1] = ACTIONS(1220),
    [aux_sym_interface_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_declaration_token1] = ACTIONS(1220),
    [aux_sym_enum_case_token1] = ACTIONS(1220),
    [aux_sym_class_declaration_token1] = ACTIONS(1220),
    [aux_sym_final_modifier_token1] = ACTIONS(1220),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1220),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1220),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1220),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1220),
    [anon_sym_LPAREN] = ACTIONS(1218),
    [aux_sym_cast_type_token1] = ACTIONS(1220),
    [aux_sym_echo_statement_token1] = ACTIONS(1220),
    [anon_sym_unset] = ACTIONS(1220),
    [aux_sym_declare_statement_token1] = ACTIONS(1220),
    [aux_sym_declare_statement_token2] = ACTIONS(1220),
    [sym_float] = ACTIONS(1220),
    [aux_sym_try_statement_token1] = ACTIONS(1220),
    [aux_sym_goto_statement_token1] = ACTIONS(1220),
    [aux_sym_continue_statement_token1] = ACTIONS(1220),
    [aux_sym_break_statement_token1] = ACTIONS(1220),
    [sym_integer] = ACTIONS(1220),
    [aux_sym_return_statement_token1] = ACTIONS(1220),
    [aux_sym_throw_expression_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token1] = ACTIONS(1220),
    [aux_sym_while_statement_token2] = ACTIONS(1220),
    [aux_sym_do_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token1] = ACTIONS(1220),
    [aux_sym_for_statement_token2] = ACTIONS(1220),
    [aux_sym_foreach_statement_token1] = ACTIONS(1220),
    [aux_sym_foreach_statement_token2] = ACTIONS(1220),
    [aux_sym_if_statement_token1] = ACTIONS(1220),
    [aux_sym_if_statement_token2] = ACTIONS(1220),
    [aux_sym_else_if_clause_token1] = ACTIONS(1220),
    [aux_sym_else_clause_token1] = ACTIONS(1220),
    [aux_sym_match_expression_token1] = ACTIONS(1220),
    [aux_sym_match_default_expression_token1] = ACTIONS(1220),
    [aux_sym_switch_statement_token1] = ACTIONS(1220),
    [aux_sym_switch_block_token1] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1218),
    [aux_sym_clone_expression_token1] = ACTIONS(1220),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1220),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1218),
    [aux_sym__list_destructing_token1] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(1218),
    [anon_sym_self] = ACTIONS(1220),
    [anon_sym_parent] = ACTIONS(1220),
    [anon_sym_POUND_LBRACK] = ACTIONS(1218),
    [anon_sym_SQUOTE] = ACTIONS(1218),
    [aux_sym_encapsed_string_token1] = ACTIONS(1218),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [aux_sym_string_token1] = ACTIONS(1218),
    [anon_sym_LT_LT_LT] = ACTIONS(1218),
    [anon_sym_BQUOTE] = ACTIONS(1218),
    [sym_boolean] = ACTIONS(1220),
    [sym_null] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1218),
    [aux_sym_yield_expression_token1] = ACTIONS(1220),
    [aux_sym_include_expression_token1] = ACTIONS(1220),
    [aux_sym_include_once_expression_token1] = ACTIONS(1220),
    [aux_sym_require_expression_token1] = ACTIONS(1220),
    [aux_sym_require_once_expression_token1] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1222),
    [sym_name] = ACTIONS(1224),
    [anon_sym_QMARK_GT] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1222),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1224),
    [aux_sym_global_declaration_token1] = ACTIONS(1224),
    [aux_sym_namespace_definition_token1] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1224),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1224),
    [anon_sym_BSLASH] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1222),
    [anon_sym_RBRACE] = ACTIONS(1222),
    [aux_sym_trait_declaration_token1] = ACTIONS(1224),
    [aux_sym_interface_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_declaration_token1] = ACTIONS(1224),
    [aux_sym_enum_case_token1] = ACTIONS(1224),
    [aux_sym_class_declaration_token1] = ACTIONS(1224),
    [aux_sym_final_modifier_token1] = ACTIONS(1224),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1224),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1224),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1224),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(1222),
    [aux_sym_cast_type_token1] = ACTIONS(1224),
    [aux_sym_echo_statement_token1] = ACTIONS(1224),
    [anon_sym_unset] = ACTIONS(1224),
    [aux_sym_declare_statement_token1] = ACTIONS(1224),
    [aux_sym_declare_statement_token2] = ACTIONS(1224),
    [sym_float] = ACTIONS(1224),
    [aux_sym_try_statement_token1] = ACTIONS(1224),
    [aux_sym_goto_statement_token1] = ACTIONS(1224),
    [aux_sym_continue_statement_token1] = ACTIONS(1224),
    [aux_sym_break_statement_token1] = ACTIONS(1224),
    [sym_integer] = ACTIONS(1224),
    [aux_sym_return_statement_token1] = ACTIONS(1224),
    [aux_sym_throw_expression_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token1] = ACTIONS(1224),
    [aux_sym_while_statement_token2] = ACTIONS(1224),
    [aux_sym_do_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token1] = ACTIONS(1224),
    [aux_sym_for_statement_token2] = ACTIONS(1224),
    [aux_sym_foreach_statement_token1] = ACTIONS(1224),
    [aux_sym_foreach_statement_token2] = ACTIONS(1224),
    [aux_sym_if_statement_token1] = ACTIONS(1224),
    [aux_sym_if_statement_token2] = ACTIONS(1224),
    [aux_sym_else_if_clause_token1] = ACTIONS(1224),
    [aux_sym_else_clause_token1] = ACTIONS(1224),
    [aux_sym_match_expression_token1] = ACTIONS(1224),
    [aux_sym_match_default_expression_token1] = ACTIONS(1224),
    [aux_sym_switch_statement_token1] = ACTIONS(1224),
    [aux_sym_switch_block_token1] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1222),
    [aux_sym_clone_expression_token1] = ACTIONS(1224),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1224),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1222),
    [aux_sym__list_destructing_token1] = ACTIONS(1224),
    [anon_sym_LBRACK] = ACTIONS(1222),
    [anon_sym_self] = ACTIONS(1224),
    [anon_sym_parent] = ACTIONS(1224),
    [anon_sym_POUND_LBRACK] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [aux_sym_encapsed_string_token1] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [aux_sym_string_token1] = ACTIONS(1222),
    [anon_sym_LT_LT_LT] = ACTIONS(1222),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [sym_boolean] = ACTIONS(1224),
    [sym_null] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1222),
    [aux_sym_yield_expression_token1] = ACTIONS(1224),
    [aux_sym_include_expression_token1] = ACTIONS(1224),
    [aux_sym_include_once_expression_token1] = ACTIONS(1224),
    [aux_sym_require_expression_token1] = ACTIONS(1224),
    [aux_sym_require_once_expression_token1] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [ts_builtin_sym_end] = ACTIONS(1226),
    [sym_name] = ACTIONS(1228),
    [anon_sym_QMARK_GT] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1226),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1228),
    [aux_sym_global_declaration_token1] = ACTIONS(1228),
    [aux_sym_namespace_definition_token1] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1228),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1228),
    [anon_sym_BSLASH] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1226),
    [anon_sym_RBRACE] = ACTIONS(1226),
    [aux_sym_trait_declaration_token1] = ACTIONS(1228),
    [aux_sym_interface_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_declaration_token1] = ACTIONS(1228),
    [aux_sym_enum_case_token1] = ACTIONS(1228),
    [aux_sym_class_declaration_token1] = ACTIONS(1228),
    [aux_sym_final_modifier_token1] = ACTIONS(1228),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1228),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1228),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1228),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1226),
    [aux_sym_cast_type_token1] = ACTIONS(1228),
    [aux_sym_echo_statement_token1] = ACTIONS(1228),
    [anon_sym_unset] = ACTIONS(1228),
    [aux_sym_declare_statement_token1] = ACTIONS(1228),
    [aux_sym_declare_statement_token2] = ACTIONS(1228),
    [sym_float] = ACTIONS(1228),
    [aux_sym_try_statement_token1] = ACTIONS(1228),
    [aux_sym_goto_statement_token1] = ACTIONS(1228),
    [aux_sym_continue_statement_token1] = ACTIONS(1228),
    [aux_sym_break_statement_token1] = ACTIONS(1228),
    [sym_integer] = ACTIONS(1228),
    [aux_sym_return_statement_token1] = ACTIONS(1228),
    [aux_sym_throw_expression_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token1] = ACTIONS(1228),
    [aux_sym_while_statement_token2] = ACTIONS(1228),
    [aux_sym_do_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token1] = ACTIONS(1228),
    [aux_sym_for_statement_token2] = ACTIONS(1228),
    [aux_sym_foreach_statement_token1] = ACTIONS(1228),
    [aux_sym_foreach_statement_token2] = ACTIONS(1228),
    [aux_sym_if_statement_token1] = ACTIONS(1228),
    [aux_sym_if_statement_token2] = ACTIONS(1228),
    [aux_sym_else_if_clause_token1] = ACTIONS(1228),
    [aux_sym_else_clause_token1] = ACTIONS(1228),
    [aux_sym_match_expression_token1] = ACTIONS(1228),
    [aux_sym_match_default_expression_token1] = ACTIONS(1228),
    [aux_sym_switch_statement_token1] = ACTIONS(1228),
    [aux_sym_switch_block_token1] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1226),
    [aux_sym_clone_expression_token1] = ACTIONS(1228),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1228),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1226),
    [aux_sym__list_destructing_token1] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1226),
    [anon_sym_self] = ACTIONS(1228),
    [anon_sym_parent] = ACTIONS(1228),
    [anon_sym_POUND_LBRACK] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [aux_sym_encapsed_string_token1] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [aux_sym_string_token1] = ACTIONS(1226),
    [anon_sym_LT_LT_LT] = ACTIONS(1226),
    [anon_sym_BQUOTE] = ACTIONS(1226),
    [sym_boolean] = ACTIONS(1228),
    [sym_null] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1226),
    [aux_sym_yield_expression_token1] = ACTIONS(1228),
    [aux_sym_include_expression_token1] = ACTIONS(1228),
    [aux_sym_include_once_expression_token1] = ACTIONS(1228),
    [aux_sym_require_expression_token1] = ACTIONS(1228),
    [aux_sym_require_once_expression_token1] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1230),
    [sym_name] = ACTIONS(1232),
    [anon_sym_QMARK_GT] = ACTIONS(1230),
    [anon_sym_SEMI] = ACTIONS(1230),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1232),
    [aux_sym_global_declaration_token1] = ACTIONS(1232),
    [aux_sym_namespace_definition_token1] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1232),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1232),
    [anon_sym_BSLASH] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [aux_sym_trait_declaration_token1] = ACTIONS(1232),
    [aux_sym_interface_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_declaration_token1] = ACTIONS(1232),
    [aux_sym_enum_case_token1] = ACTIONS(1232),
    [aux_sym_class_declaration_token1] = ACTIONS(1232),
    [aux_sym_final_modifier_token1] = ACTIONS(1232),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1232),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1232),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1232),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1230),
    [aux_sym_cast_type_token1] = ACTIONS(1232),
    [aux_sym_echo_statement_token1] = ACTIONS(1232),
    [anon_sym_unset] = ACTIONS(1232),
    [aux_sym_declare_statement_token1] = ACTIONS(1232),
    [aux_sym_declare_statement_token2] = ACTIONS(1232),
    [sym_float] = ACTIONS(1232),
    [aux_sym_try_statement_token1] = ACTIONS(1232),
    [aux_sym_goto_statement_token1] = ACTIONS(1232),
    [aux_sym_continue_statement_token1] = ACTIONS(1232),
    [aux_sym_break_statement_token1] = ACTIONS(1232),
    [sym_integer] = ACTIONS(1232),
    [aux_sym_return_statement_token1] = ACTIONS(1232),
    [aux_sym_throw_expression_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token1] = ACTIONS(1232),
    [aux_sym_while_statement_token2] = ACTIONS(1232),
    [aux_sym_do_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token1] = ACTIONS(1232),
    [aux_sym_for_statement_token2] = ACTIONS(1232),
    [aux_sym_foreach_statement_token1] = ACTIONS(1232),
    [aux_sym_foreach_statement_token2] = ACTIONS(1232),
    [aux_sym_if_statement_token1] = ACTIONS(1232),
    [aux_sym_if_statement_token2] = ACTIONS(1232),
    [aux_sym_else_if_clause_token1] = ACTIONS(1232),
    [aux_sym_else_clause_token1] = ACTIONS(1232),
    [aux_sym_match_expression_token1] = ACTIONS(1232),
    [aux_sym_match_default_expression_token1] = ACTIONS(1232),
    [aux_sym_switch_statement_token1] = ACTIONS(1232),
    [aux_sym_switch_block_token1] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_BANG] = ACTIONS(1230),
    [aux_sym_clone_expression_token1] = ACTIONS(1232),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1232),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [aux_sym__list_destructing_token1] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(1230),
    [anon_sym_self] = ACTIONS(1232),
    [anon_sym_parent] = ACTIONS(1232),
    [anon_sym_POUND_LBRACK] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [aux_sym_encapsed_string_token1] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [aux_sym_string_token1] = ACTIONS(1230),
    [anon_sym_LT_LT_LT] = ACTIONS(1230),
    [anon_sym_BQUOTE] = ACTIONS(1230),
    [sym_boolean] = ACTIONS(1232),
    [sym_null] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1230),
    [aux_sym_yield_expression_token1] = ACTIONS(1232),
    [aux_sym_include_expression_token1] = ACTIONS(1232),
    [aux_sym_include_once_expression_token1] = ACTIONS(1232),
    [aux_sym_require_expression_token1] = ACTIONS(1232),
    [aux_sym_require_once_expression_token1] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [ts_builtin_sym_end] = ACTIONS(1234),
    [sym_name] = ACTIONS(1236),
    [anon_sym_QMARK_GT] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1234),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1236),
    [aux_sym_global_declaration_token1] = ACTIONS(1236),
    [aux_sym_namespace_definition_token1] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1236),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1236),
    [anon_sym_BSLASH] = ACTIONS(1234),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [aux_sym_trait_declaration_token1] = ACTIONS(1236),
    [aux_sym_interface_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_declaration_token1] = ACTIONS(1236),
    [aux_sym_enum_case_token1] = ACTIONS(1236),
    [aux_sym_class_declaration_token1] = ACTIONS(1236),
    [aux_sym_final_modifier_token1] = ACTIONS(1236),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1236),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1236),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1236),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1234),
    [aux_sym_cast_type_token1] = ACTIONS(1236),
    [aux_sym_echo_statement_token1] = ACTIONS(1236),
    [anon_sym_unset] = ACTIONS(1236),
    [aux_sym_declare_statement_token1] = ACTIONS(1236),
    [aux_sym_declare_statement_token2] = ACTIONS(1236),
    [sym_float] = ACTIONS(1236),
    [aux_sym_try_statement_token1] = ACTIONS(1236),
    [aux_sym_goto_statement_token1] = ACTIONS(1236),
    [aux_sym_continue_statement_token1] = ACTIONS(1236),
    [aux_sym_break_statement_token1] = ACTIONS(1236),
    [sym_integer] = ACTIONS(1236),
    [aux_sym_return_statement_token1] = ACTIONS(1236),
    [aux_sym_throw_expression_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token1] = ACTIONS(1236),
    [aux_sym_while_statement_token2] = ACTIONS(1236),
    [aux_sym_do_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token1] = ACTIONS(1236),
    [aux_sym_for_statement_token2] = ACTIONS(1236),
    [aux_sym_foreach_statement_token1] = ACTIONS(1236),
    [aux_sym_foreach_statement_token2] = ACTIONS(1236),
    [aux_sym_if_statement_token1] = ACTIONS(1236),
    [aux_sym_if_statement_token2] = ACTIONS(1236),
    [aux_sym_else_if_clause_token1] = ACTIONS(1236),
    [aux_sym_else_clause_token1] = ACTIONS(1236),
    [aux_sym_match_expression_token1] = ACTIONS(1236),
    [aux_sym_match_default_expression_token1] = ACTIONS(1236),
    [aux_sym_switch_statement_token1] = ACTIONS(1236),
    [aux_sym_switch_block_token1] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [aux_sym_clone_expression_token1] = ACTIONS(1236),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1236),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [aux_sym__list_destructing_token1] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1234),
    [anon_sym_self] = ACTIONS(1236),
    [anon_sym_parent] = ACTIONS(1236),
    [anon_sym_POUND_LBRACK] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [aux_sym_encapsed_string_token1] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [aux_sym_string_token1] = ACTIONS(1234),
    [anon_sym_LT_LT_LT] = ACTIONS(1234),
    [anon_sym_BQUOTE] = ACTIONS(1234),
    [sym_boolean] = ACTIONS(1236),
    [sym_null] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1234),
    [aux_sym_yield_expression_token1] = ACTIONS(1236),
    [aux_sym_include_expression_token1] = ACTIONS(1236),
    [aux_sym_include_once_expression_token1] = ACTIONS(1236),
    [aux_sym_require_expression_token1] = ACTIONS(1236),
    [aux_sym_require_once_expression_token1] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1238),
    [sym_name] = ACTIONS(1240),
    [anon_sym_QMARK_GT] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1238),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1240),
    [aux_sym_global_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_definition_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1240),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1240),
    [anon_sym_BSLASH] = ACTIONS(1238),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [aux_sym_trait_declaration_token1] = ACTIONS(1240),
    [aux_sym_interface_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_declaration_token1] = ACTIONS(1240),
    [aux_sym_enum_case_token1] = ACTIONS(1240),
    [aux_sym_class_declaration_token1] = ACTIONS(1240),
    [aux_sym_final_modifier_token1] = ACTIONS(1240),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1240),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1240),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [aux_sym_cast_type_token1] = ACTIONS(1240),
    [aux_sym_echo_statement_token1] = ACTIONS(1240),
    [anon_sym_unset] = ACTIONS(1240),
    [aux_sym_declare_statement_token1] = ACTIONS(1240),
    [aux_sym_declare_statement_token2] = ACTIONS(1240),
    [sym_float] = ACTIONS(1240),
    [aux_sym_try_statement_token1] = ACTIONS(1240),
    [aux_sym_goto_statement_token1] = ACTIONS(1240),
    [aux_sym_continue_statement_token1] = ACTIONS(1240),
    [aux_sym_break_statement_token1] = ACTIONS(1240),
    [sym_integer] = ACTIONS(1240),
    [aux_sym_return_statement_token1] = ACTIONS(1240),
    [aux_sym_throw_expression_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token1] = ACTIONS(1240),
    [aux_sym_while_statement_token2] = ACTIONS(1240),
    [aux_sym_do_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token1] = ACTIONS(1240),
    [aux_sym_for_statement_token2] = ACTIONS(1240),
    [aux_sym_foreach_statement_token1] = ACTIONS(1240),
    [aux_sym_foreach_statement_token2] = ACTIONS(1240),
    [aux_sym_if_statement_token1] = ACTIONS(1240),
    [aux_sym_if_statement_token2] = ACTIONS(1240),
    [aux_sym_else_if_clause_token1] = ACTIONS(1240),
    [aux_sym_else_clause_token1] = ACTIONS(1240),
    [aux_sym_match_expression_token1] = ACTIONS(1240),
    [aux_sym_match_default_expression_token1] = ACTIONS(1240),
    [aux_sym_switch_statement_token1] = ACTIONS(1240),
    [aux_sym_switch_block_token1] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [aux_sym_clone_expression_token1] = ACTIONS(1240),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1240),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [aux_sym__list_destructing_token1] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1238),
    [anon_sym_self] = ACTIONS(1240),
    [anon_sym_parent] = ACTIONS(1240),
    [anon_sym_POUND_LBRACK] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [aux_sym_encapsed_string_token1] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [aux_sym_string_token1] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1238),
    [anon_sym_BQUOTE] = ACTIONS(1238),
    [sym_boolean] = ACTIONS(1240),
    [sym_null] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1238),
    [aux_sym_yield_expression_token1] = ACTIONS(1240),
    [aux_sym_include_expression_token1] = ACTIONS(1240),
    [aux_sym_include_once_expression_token1] = ACTIONS(1240),
    [aux_sym_require_expression_token1] = ACTIONS(1240),
    [aux_sym_require_once_expression_token1] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1242),
    [sym_name] = ACTIONS(1244),
    [anon_sym_QMARK_GT] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1242),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1244),
    [aux_sym_global_declaration_token1] = ACTIONS(1244),
    [aux_sym_namespace_definition_token1] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1244),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1244),
    [anon_sym_BSLASH] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [aux_sym_trait_declaration_token1] = ACTIONS(1244),
    [aux_sym_interface_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_declaration_token1] = ACTIONS(1244),
    [aux_sym_enum_case_token1] = ACTIONS(1244),
    [aux_sym_class_declaration_token1] = ACTIONS(1244),
    [aux_sym_final_modifier_token1] = ACTIONS(1244),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1244),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1244),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [aux_sym_cast_type_token1] = ACTIONS(1244),
    [aux_sym_echo_statement_token1] = ACTIONS(1244),
    [anon_sym_unset] = ACTIONS(1244),
    [aux_sym_declare_statement_token1] = ACTIONS(1244),
    [aux_sym_declare_statement_token2] = ACTIONS(1244),
    [sym_float] = ACTIONS(1244),
    [aux_sym_try_statement_token1] = ACTIONS(1244),
    [aux_sym_goto_statement_token1] = ACTIONS(1244),
    [aux_sym_continue_statement_token1] = ACTIONS(1244),
    [aux_sym_break_statement_token1] = ACTIONS(1244),
    [sym_integer] = ACTIONS(1244),
    [aux_sym_return_statement_token1] = ACTIONS(1244),
    [aux_sym_throw_expression_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token1] = ACTIONS(1244),
    [aux_sym_while_statement_token2] = ACTIONS(1244),
    [aux_sym_do_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token1] = ACTIONS(1244),
    [aux_sym_for_statement_token2] = ACTIONS(1244),
    [aux_sym_foreach_statement_token1] = ACTIONS(1244),
    [aux_sym_foreach_statement_token2] = ACTIONS(1244),
    [aux_sym_if_statement_token1] = ACTIONS(1244),
    [aux_sym_if_statement_token2] = ACTIONS(1244),
    [aux_sym_else_if_clause_token1] = ACTIONS(1244),
    [aux_sym_else_clause_token1] = ACTIONS(1244),
    [aux_sym_match_expression_token1] = ACTIONS(1244),
    [aux_sym_match_default_expression_token1] = ACTIONS(1244),
    [aux_sym_switch_statement_token1] = ACTIONS(1244),
    [aux_sym_switch_block_token1] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [aux_sym_clone_expression_token1] = ACTIONS(1244),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1244),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [aux_sym__list_destructing_token1] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1242),
    [anon_sym_self] = ACTIONS(1244),
    [anon_sym_parent] = ACTIONS(1244),
    [anon_sym_POUND_LBRACK] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [aux_sym_encapsed_string_token1] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [aux_sym_string_token1] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1242),
    [anon_sym_BQUOTE] = ACTIONS(1242),
    [sym_boolean] = ACTIONS(1244),
    [sym_null] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1242),
    [aux_sym_yield_expression_token1] = ACTIONS(1244),
    [aux_sym_include_expression_token1] = ACTIONS(1244),
    [aux_sym_include_once_expression_token1] = ACTIONS(1244),
    [aux_sym_require_expression_token1] = ACTIONS(1244),
    [aux_sym_require_once_expression_token1] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1246),
    [sym_name] = ACTIONS(1248),
    [anon_sym_QMARK_GT] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1246),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1248),
    [aux_sym_global_declaration_token1] = ACTIONS(1248),
    [aux_sym_namespace_definition_token1] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1248),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1248),
    [anon_sym_BSLASH] = ACTIONS(1246),
    [anon_sym_LBRACE] = ACTIONS(1246),
    [anon_sym_RBRACE] = ACTIONS(1246),
    [aux_sym_trait_declaration_token1] = ACTIONS(1248),
    [aux_sym_interface_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_declaration_token1] = ACTIONS(1248),
    [aux_sym_enum_case_token1] = ACTIONS(1248),
    [aux_sym_class_declaration_token1] = ACTIONS(1248),
    [aux_sym_final_modifier_token1] = ACTIONS(1248),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1248),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1248),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1248),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1246),
    [aux_sym_cast_type_token1] = ACTIONS(1248),
    [aux_sym_echo_statement_token1] = ACTIONS(1248),
    [anon_sym_unset] = ACTIONS(1248),
    [aux_sym_declare_statement_token1] = ACTIONS(1248),
    [aux_sym_declare_statement_token2] = ACTIONS(1248),
    [sym_float] = ACTIONS(1248),
    [aux_sym_try_statement_token1] = ACTIONS(1248),
    [aux_sym_goto_statement_token1] = ACTIONS(1248),
    [aux_sym_continue_statement_token1] = ACTIONS(1248),
    [aux_sym_break_statement_token1] = ACTIONS(1248),
    [sym_integer] = ACTIONS(1248),
    [aux_sym_return_statement_token1] = ACTIONS(1248),
    [aux_sym_throw_expression_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token1] = ACTIONS(1248),
    [aux_sym_while_statement_token2] = ACTIONS(1248),
    [aux_sym_do_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token1] = ACTIONS(1248),
    [aux_sym_for_statement_token2] = ACTIONS(1248),
    [aux_sym_foreach_statement_token1] = ACTIONS(1248),
    [aux_sym_foreach_statement_token2] = ACTIONS(1248),
    [aux_sym_if_statement_token1] = ACTIONS(1248),
    [aux_sym_if_statement_token2] = ACTIONS(1248),
    [aux_sym_else_if_clause_token1] = ACTIONS(1248),
    [aux_sym_else_clause_token1] = ACTIONS(1248),
    [aux_sym_match_expression_token1] = ACTIONS(1248),
    [aux_sym_match_default_expression_token1] = ACTIONS(1248),
    [aux_sym_switch_statement_token1] = ACTIONS(1248),
    [aux_sym_switch_block_token1] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_TILDE] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [aux_sym_clone_expression_token1] = ACTIONS(1248),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1248),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1246),
    [aux_sym__list_destructing_token1] = ACTIONS(1248),
    [anon_sym_LBRACK] = ACTIONS(1246),
    [anon_sym_self] = ACTIONS(1248),
    [anon_sym_parent] = ACTIONS(1248),
    [anon_sym_POUND_LBRACK] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [aux_sym_encapsed_string_token1] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [aux_sym_string_token1] = ACTIONS(1246),
    [anon_sym_LT_LT_LT] = ACTIONS(1246),
    [anon_sym_BQUOTE] = ACTIONS(1246),
    [sym_boolean] = ACTIONS(1248),
    [sym_null] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1246),
    [aux_sym_yield_expression_token1] = ACTIONS(1248),
    [aux_sym_include_expression_token1] = ACTIONS(1248),
    [aux_sym_include_once_expression_token1] = ACTIONS(1248),
    [aux_sym_require_expression_token1] = ACTIONS(1248),
    [aux_sym_require_once_expression_token1] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1250),
    [sym_name] = ACTIONS(1252),
    [anon_sym_QMARK_GT] = ACTIONS(1250),
    [anon_sym_SEMI] = ACTIONS(1250),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1252),
    [aux_sym_global_declaration_token1] = ACTIONS(1252),
    [aux_sym_namespace_definition_token1] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1252),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1252),
    [anon_sym_BSLASH] = ACTIONS(1250),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [aux_sym_trait_declaration_token1] = ACTIONS(1252),
    [aux_sym_interface_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_declaration_token1] = ACTIONS(1252),
    [aux_sym_enum_case_token1] = ACTIONS(1252),
    [aux_sym_class_declaration_token1] = ACTIONS(1252),
    [aux_sym_final_modifier_token1] = ACTIONS(1252),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1252),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1252),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [aux_sym_cast_type_token1] = ACTIONS(1252),
    [aux_sym_echo_statement_token1] = ACTIONS(1252),
    [anon_sym_unset] = ACTIONS(1252),
    [aux_sym_declare_statement_token1] = ACTIONS(1252),
    [aux_sym_declare_statement_token2] = ACTIONS(1252),
    [sym_float] = ACTIONS(1252),
    [aux_sym_try_statement_token1] = ACTIONS(1252),
    [aux_sym_goto_statement_token1] = ACTIONS(1252),
    [aux_sym_continue_statement_token1] = ACTIONS(1252),
    [aux_sym_break_statement_token1] = ACTIONS(1252),
    [sym_integer] = ACTIONS(1252),
    [aux_sym_return_statement_token1] = ACTIONS(1252),
    [aux_sym_throw_expression_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token1] = ACTIONS(1252),
    [aux_sym_while_statement_token2] = ACTIONS(1252),
    [aux_sym_do_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token1] = ACTIONS(1252),
    [aux_sym_for_statement_token2] = ACTIONS(1252),
    [aux_sym_foreach_statement_token1] = ACTIONS(1252),
    [aux_sym_foreach_statement_token2] = ACTIONS(1252),
    [aux_sym_if_statement_token1] = ACTIONS(1252),
    [aux_sym_if_statement_token2] = ACTIONS(1252),
    [aux_sym_else_if_clause_token1] = ACTIONS(1252),
    [aux_sym_else_clause_token1] = ACTIONS(1252),
    [aux_sym_match_expression_token1] = ACTIONS(1252),
    [aux_sym_match_default_expression_token1] = ACTIONS(1252),
    [aux_sym_switch_statement_token1] = ACTIONS(1252),
    [aux_sym_switch_block_token1] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_TILDE] = ACTIONS(1250),
    [anon_sym_BANG] = ACTIONS(1250),
    [aux_sym_clone_expression_token1] = ACTIONS(1252),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1252),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1250),
    [aux_sym__list_destructing_token1] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_self] = ACTIONS(1252),
    [anon_sym_parent] = ACTIONS(1252),
    [anon_sym_POUND_LBRACK] = ACTIONS(1250),
    [anon_sym_SQUOTE] = ACTIONS(1250),
    [aux_sym_encapsed_string_token1] = ACTIONS(1250),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [aux_sym_string_token1] = ACTIONS(1250),
    [anon_sym_LT_LT_LT] = ACTIONS(1250),
    [anon_sym_BQUOTE] = ACTIONS(1250),
    [sym_boolean] = ACTIONS(1252),
    [sym_null] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1250),
    [aux_sym_yield_expression_token1] = ACTIONS(1252),
    [aux_sym_include_expression_token1] = ACTIONS(1252),
    [aux_sym_include_once_expression_token1] = ACTIONS(1252),
    [aux_sym_require_expression_token1] = ACTIONS(1252),
    [aux_sym_require_once_expression_token1] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_name] = ACTIONS(1256),
    [anon_sym_QMARK_GT] = ACTIONS(1254),
    [anon_sym_SEMI] = ACTIONS(1254),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1256),
    [aux_sym_global_declaration_token1] = ACTIONS(1256),
    [aux_sym_namespace_definition_token1] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1256),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1256),
    [anon_sym_BSLASH] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_RBRACE] = ACTIONS(1254),
    [aux_sym_trait_declaration_token1] = ACTIONS(1256),
    [aux_sym_interface_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_declaration_token1] = ACTIONS(1256),
    [aux_sym_enum_case_token1] = ACTIONS(1256),
    [aux_sym_class_declaration_token1] = ACTIONS(1256),
    [aux_sym_final_modifier_token1] = ACTIONS(1256),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1256),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1256),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1256),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1254),
    [aux_sym_cast_type_token1] = ACTIONS(1256),
    [aux_sym_echo_statement_token1] = ACTIONS(1256),
    [anon_sym_unset] = ACTIONS(1256),
    [aux_sym_declare_statement_token1] = ACTIONS(1256),
    [aux_sym_declare_statement_token2] = ACTIONS(1256),
    [sym_float] = ACTIONS(1256),
    [aux_sym_try_statement_token1] = ACTIONS(1256),
    [aux_sym_goto_statement_token1] = ACTIONS(1256),
    [aux_sym_continue_statement_token1] = ACTIONS(1256),
    [aux_sym_break_statement_token1] = ACTIONS(1256),
    [sym_integer] = ACTIONS(1256),
    [aux_sym_return_statement_token1] = ACTIONS(1256),
    [aux_sym_throw_expression_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token1] = ACTIONS(1256),
    [aux_sym_while_statement_token2] = ACTIONS(1256),
    [aux_sym_do_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token1] = ACTIONS(1256),
    [aux_sym_for_statement_token2] = ACTIONS(1256),
    [aux_sym_foreach_statement_token1] = ACTIONS(1256),
    [aux_sym_foreach_statement_token2] = ACTIONS(1256),
    [aux_sym_if_statement_token1] = ACTIONS(1256),
    [aux_sym_if_statement_token2] = ACTIONS(1256),
    [aux_sym_else_if_clause_token1] = ACTIONS(1256),
    [aux_sym_else_clause_token1] = ACTIONS(1256),
    [aux_sym_match_expression_token1] = ACTIONS(1256),
    [aux_sym_match_default_expression_token1] = ACTIONS(1256),
    [aux_sym_switch_statement_token1] = ACTIONS(1256),
    [aux_sym_switch_block_token1] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_BANG] = ACTIONS(1254),
    [aux_sym_clone_expression_token1] = ACTIONS(1256),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1256),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1254),
    [aux_sym__list_destructing_token1] = ACTIONS(1256),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_self] = ACTIONS(1256),
    [anon_sym_parent] = ACTIONS(1256),
    [anon_sym_POUND_LBRACK] = ACTIONS(1254),
    [anon_sym_SQUOTE] = ACTIONS(1254),
    [aux_sym_encapsed_string_token1] = ACTIONS(1254),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [aux_sym_string_token1] = ACTIONS(1254),
    [anon_sym_LT_LT_LT] = ACTIONS(1254),
    [anon_sym_BQUOTE] = ACTIONS(1254),
    [sym_boolean] = ACTIONS(1256),
    [sym_null] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1254),
    [aux_sym_yield_expression_token1] = ACTIONS(1256),
    [aux_sym_include_expression_token1] = ACTIONS(1256),
    [aux_sym_include_once_expression_token1] = ACTIONS(1256),
    [aux_sym_require_expression_token1] = ACTIONS(1256),
    [aux_sym_require_once_expression_token1] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_name] = ACTIONS(1260),
    [anon_sym_QMARK_GT] = ACTIONS(1258),
    [anon_sym_SEMI] = ACTIONS(1258),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1260),
    [aux_sym_global_declaration_token1] = ACTIONS(1260),
    [aux_sym_namespace_definition_token1] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1260),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1260),
    [anon_sym_BSLASH] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [aux_sym_trait_declaration_token1] = ACTIONS(1260),
    [aux_sym_interface_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_declaration_token1] = ACTIONS(1260),
    [aux_sym_enum_case_token1] = ACTIONS(1260),
    [aux_sym_class_declaration_token1] = ACTIONS(1260),
    [aux_sym_final_modifier_token1] = ACTIONS(1260),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1260),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1260),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1260),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1260),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [aux_sym_cast_type_token1] = ACTIONS(1260),
    [aux_sym_echo_statement_token1] = ACTIONS(1260),
    [anon_sym_unset] = ACTIONS(1260),
    [aux_sym_declare_statement_token1] = ACTIONS(1260),
    [aux_sym_declare_statement_token2] = ACTIONS(1260),
    [sym_float] = ACTIONS(1260),
    [aux_sym_try_statement_token1] = ACTIONS(1260),
    [aux_sym_goto_statement_token1] = ACTIONS(1260),
    [aux_sym_continue_statement_token1] = ACTIONS(1260),
    [aux_sym_break_statement_token1] = ACTIONS(1260),
    [sym_integer] = ACTIONS(1260),
    [aux_sym_return_statement_token1] = ACTIONS(1260),
    [aux_sym_throw_expression_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token1] = ACTIONS(1260),
    [aux_sym_while_statement_token2] = ACTIONS(1260),
    [aux_sym_do_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token1] = ACTIONS(1260),
    [aux_sym_for_statement_token2] = ACTIONS(1260),
    [aux_sym_foreach_statement_token1] = ACTIONS(1260),
    [aux_sym_foreach_statement_token2] = ACTIONS(1260),
    [aux_sym_if_statement_token1] = ACTIONS(1260),
    [aux_sym_if_statement_token2] = ACTIONS(1260),
    [aux_sym_else_if_clause_token1] = ACTIONS(1260),
    [aux_sym_else_clause_token1] = ACTIONS(1260),
    [aux_sym_match_expression_token1] = ACTIONS(1260),
    [aux_sym_match_default_expression_token1] = ACTIONS(1260),
    [aux_sym_switch_statement_token1] = ACTIONS(1260),
    [aux_sym_switch_block_token1] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_BANG] = ACTIONS(1258),
    [aux_sym_clone_expression_token1] = ACTIONS(1260),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1260),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1258),
    [aux_sym__list_destructing_token1] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(1258),
    [anon_sym_self] = ACTIONS(1260),
    [anon_sym_parent] = ACTIONS(1260),
    [anon_sym_POUND_LBRACK] = ACTIONS(1258),
    [anon_sym_SQUOTE] = ACTIONS(1258),
    [aux_sym_encapsed_string_token1] = ACTIONS(1258),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [aux_sym_string_token1] = ACTIONS(1258),
    [anon_sym_LT_LT_LT] = ACTIONS(1258),
    [anon_sym_BQUOTE] = ACTIONS(1258),
    [sym_boolean] = ACTIONS(1260),
    [sym_null] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1258),
    [aux_sym_yield_expression_token1] = ACTIONS(1260),
    [aux_sym_include_expression_token1] = ACTIONS(1260),
    [aux_sym_include_once_expression_token1] = ACTIONS(1260),
    [aux_sym_require_expression_token1] = ACTIONS(1260),
    [aux_sym_require_once_expression_token1] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_name] = ACTIONS(1264),
    [anon_sym_QMARK_GT] = ACTIONS(1262),
    [anon_sym_SEMI] = ACTIONS(1262),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1264),
    [aux_sym_global_declaration_token1] = ACTIONS(1264),
    [aux_sym_namespace_definition_token1] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1264),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1264),
    [anon_sym_BSLASH] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [aux_sym_trait_declaration_token1] = ACTIONS(1264),
    [aux_sym_interface_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_declaration_token1] = ACTIONS(1264),
    [aux_sym_enum_case_token1] = ACTIONS(1264),
    [aux_sym_class_declaration_token1] = ACTIONS(1264),
    [aux_sym_final_modifier_token1] = ACTIONS(1264),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1264),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1264),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1264),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1264),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [aux_sym_cast_type_token1] = ACTIONS(1264),
    [aux_sym_echo_statement_token1] = ACTIONS(1264),
    [anon_sym_unset] = ACTIONS(1264),
    [aux_sym_declare_statement_token1] = ACTIONS(1264),
    [aux_sym_declare_statement_token2] = ACTIONS(1264),
    [sym_float] = ACTIONS(1264),
    [aux_sym_try_statement_token1] = ACTIONS(1264),
    [aux_sym_goto_statement_token1] = ACTIONS(1264),
    [aux_sym_continue_statement_token1] = ACTIONS(1264),
    [aux_sym_break_statement_token1] = ACTIONS(1264),
    [sym_integer] = ACTIONS(1264),
    [aux_sym_return_statement_token1] = ACTIONS(1264),
    [aux_sym_throw_expression_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token1] = ACTIONS(1264),
    [aux_sym_while_statement_token2] = ACTIONS(1264),
    [aux_sym_do_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token1] = ACTIONS(1264),
    [aux_sym_for_statement_token2] = ACTIONS(1264),
    [aux_sym_foreach_statement_token1] = ACTIONS(1264),
    [aux_sym_foreach_statement_token2] = ACTIONS(1264),
    [aux_sym_if_statement_token1] = ACTIONS(1264),
    [aux_sym_if_statement_token2] = ACTIONS(1264),
    [aux_sym_else_if_clause_token1] = ACTIONS(1264),
    [aux_sym_else_clause_token1] = ACTIONS(1264),
    [aux_sym_match_expression_token1] = ACTIONS(1264),
    [aux_sym_match_default_expression_token1] = ACTIONS(1264),
    [aux_sym_switch_statement_token1] = ACTIONS(1264),
    [aux_sym_switch_block_token1] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1262),
    [aux_sym_clone_expression_token1] = ACTIONS(1264),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1264),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1262),
    [aux_sym__list_destructing_token1] = ACTIONS(1264),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_self] = ACTIONS(1264),
    [anon_sym_parent] = ACTIONS(1264),
    [anon_sym_POUND_LBRACK] = ACTIONS(1262),
    [anon_sym_SQUOTE] = ACTIONS(1262),
    [aux_sym_encapsed_string_token1] = ACTIONS(1262),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [aux_sym_string_token1] = ACTIONS(1262),
    [anon_sym_LT_LT_LT] = ACTIONS(1262),
    [anon_sym_BQUOTE] = ACTIONS(1262),
    [sym_boolean] = ACTIONS(1264),
    [sym_null] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1262),
    [aux_sym_yield_expression_token1] = ACTIONS(1264),
    [aux_sym_include_expression_token1] = ACTIONS(1264),
    [aux_sym_include_once_expression_token1] = ACTIONS(1264),
    [aux_sym_require_expression_token1] = ACTIONS(1264),
    [aux_sym_require_once_expression_token1] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_name] = ACTIONS(1268),
    [anon_sym_QMARK_GT] = ACTIONS(1266),
    [anon_sym_SEMI] = ACTIONS(1266),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1268),
    [aux_sym_global_declaration_token1] = ACTIONS(1268),
    [aux_sym_namespace_definition_token1] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1268),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1268),
    [anon_sym_BSLASH] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_RBRACE] = ACTIONS(1266),
    [aux_sym_trait_declaration_token1] = ACTIONS(1268),
    [aux_sym_interface_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_declaration_token1] = ACTIONS(1268),
    [aux_sym_enum_case_token1] = ACTIONS(1268),
    [aux_sym_class_declaration_token1] = ACTIONS(1268),
    [aux_sym_final_modifier_token1] = ACTIONS(1268),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1268),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1268),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1268),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1268),
    [anon_sym_LPAREN] = ACTIONS(1266),
    [aux_sym_cast_type_token1] = ACTIONS(1268),
    [aux_sym_echo_statement_token1] = ACTIONS(1268),
    [anon_sym_unset] = ACTIONS(1268),
    [aux_sym_declare_statement_token1] = ACTIONS(1268),
    [aux_sym_declare_statement_token2] = ACTIONS(1268),
    [sym_float] = ACTIONS(1268),
    [aux_sym_try_statement_token1] = ACTIONS(1268),
    [aux_sym_goto_statement_token1] = ACTIONS(1268),
    [aux_sym_continue_statement_token1] = ACTIONS(1268),
    [aux_sym_break_statement_token1] = ACTIONS(1268),
    [sym_integer] = ACTIONS(1268),
    [aux_sym_return_statement_token1] = ACTIONS(1268),
    [aux_sym_throw_expression_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token1] = ACTIONS(1268),
    [aux_sym_while_statement_token2] = ACTIONS(1268),
    [aux_sym_do_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token1] = ACTIONS(1268),
    [aux_sym_for_statement_token2] = ACTIONS(1268),
    [aux_sym_foreach_statement_token1] = ACTIONS(1268),
    [aux_sym_foreach_statement_token2] = ACTIONS(1268),
    [aux_sym_if_statement_token1] = ACTIONS(1268),
    [aux_sym_if_statement_token2] = ACTIONS(1268),
    [aux_sym_else_if_clause_token1] = ACTIONS(1268),
    [aux_sym_else_clause_token1] = ACTIONS(1268),
    [aux_sym_match_expression_token1] = ACTIONS(1268),
    [aux_sym_match_default_expression_token1] = ACTIONS(1268),
    [aux_sym_switch_statement_token1] = ACTIONS(1268),
    [aux_sym_switch_block_token1] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_BANG] = ACTIONS(1266),
    [aux_sym_clone_expression_token1] = ACTIONS(1268),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1268),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1266),
    [aux_sym__list_destructing_token1] = ACTIONS(1268),
    [anon_sym_LBRACK] = ACTIONS(1266),
    [anon_sym_self] = ACTIONS(1268),
    [anon_sym_parent] = ACTIONS(1268),
    [anon_sym_POUND_LBRACK] = ACTIONS(1266),
    [anon_sym_SQUOTE] = ACTIONS(1266),
    [aux_sym_encapsed_string_token1] = ACTIONS(1266),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [aux_sym_string_token1] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1266),
    [anon_sym_BQUOTE] = ACTIONS(1266),
    [sym_boolean] = ACTIONS(1268),
    [sym_null] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1266),
    [aux_sym_yield_expression_token1] = ACTIONS(1268),
    [aux_sym_include_expression_token1] = ACTIONS(1268),
    [aux_sym_include_once_expression_token1] = ACTIONS(1268),
    [aux_sym_require_expression_token1] = ACTIONS(1268),
    [aux_sym_require_once_expression_token1] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_name] = ACTIONS(1272),
    [anon_sym_QMARK_GT] = ACTIONS(1270),
    [anon_sym_SEMI] = ACTIONS(1270),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1272),
    [aux_sym_global_declaration_token1] = ACTIONS(1272),
    [aux_sym_namespace_definition_token1] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1272),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1272),
    [anon_sym_BSLASH] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_RBRACE] = ACTIONS(1270),
    [aux_sym_trait_declaration_token1] = ACTIONS(1272),
    [aux_sym_interface_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_declaration_token1] = ACTIONS(1272),
    [aux_sym_enum_case_token1] = ACTIONS(1272),
    [aux_sym_class_declaration_token1] = ACTIONS(1272),
    [aux_sym_final_modifier_token1] = ACTIONS(1272),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1272),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1272),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1272),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1270),
    [aux_sym_cast_type_token1] = ACTIONS(1272),
    [aux_sym_echo_statement_token1] = ACTIONS(1272),
    [anon_sym_unset] = ACTIONS(1272),
    [aux_sym_declare_statement_token1] = ACTIONS(1272),
    [aux_sym_declare_statement_token2] = ACTIONS(1272),
    [sym_float] = ACTIONS(1272),
    [aux_sym_try_statement_token1] = ACTIONS(1272),
    [aux_sym_goto_statement_token1] = ACTIONS(1272),
    [aux_sym_continue_statement_token1] = ACTIONS(1272),
    [aux_sym_break_statement_token1] = ACTIONS(1272),
    [sym_integer] = ACTIONS(1272),
    [aux_sym_return_statement_token1] = ACTIONS(1272),
    [aux_sym_throw_expression_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token1] = ACTIONS(1272),
    [aux_sym_while_statement_token2] = ACTIONS(1272),
    [aux_sym_do_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token1] = ACTIONS(1272),
    [aux_sym_for_statement_token2] = ACTIONS(1272),
    [aux_sym_foreach_statement_token1] = ACTIONS(1272),
    [aux_sym_foreach_statement_token2] = ACTIONS(1272),
    [aux_sym_if_statement_token1] = ACTIONS(1272),
    [aux_sym_if_statement_token2] = ACTIONS(1272),
    [aux_sym_else_if_clause_token1] = ACTIONS(1272),
    [aux_sym_else_clause_token1] = ACTIONS(1272),
    [aux_sym_match_expression_token1] = ACTIONS(1272),
    [aux_sym_match_default_expression_token1] = ACTIONS(1272),
    [aux_sym_switch_statement_token1] = ACTIONS(1272),
    [aux_sym_switch_block_token1] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_BANG] = ACTIONS(1270),
    [aux_sym_clone_expression_token1] = ACTIONS(1272),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1272),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [aux_sym__list_destructing_token1] = ACTIONS(1272),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_self] = ACTIONS(1272),
    [anon_sym_parent] = ACTIONS(1272),
    [anon_sym_POUND_LBRACK] = ACTIONS(1270),
    [anon_sym_SQUOTE] = ACTIONS(1270),
    [aux_sym_encapsed_string_token1] = ACTIONS(1270),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [aux_sym_string_token1] = ACTIONS(1270),
    [anon_sym_LT_LT_LT] = ACTIONS(1270),
    [anon_sym_BQUOTE] = ACTIONS(1270),
    [sym_boolean] = ACTIONS(1272),
    [sym_null] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1270),
    [aux_sym_yield_expression_token1] = ACTIONS(1272),
    [aux_sym_include_expression_token1] = ACTIONS(1272),
    [aux_sym_include_once_expression_token1] = ACTIONS(1272),
    [aux_sym_require_expression_token1] = ACTIONS(1272),
    [aux_sym_require_once_expression_token1] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(979),
    [sym_name] = ACTIONS(981),
    [anon_sym_QMARK_GT] = ACTIONS(979),
    [anon_sym_SEMI] = ACTIONS(979),
    [aux_sym_function_static_declaration_token1] = ACTIONS(981),
    [aux_sym_global_declaration_token1] = ACTIONS(981),
    [aux_sym_namespace_definition_token1] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(981),
    [anon_sym_BSLASH] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_RBRACE] = ACTIONS(979),
    [aux_sym_trait_declaration_token1] = ACTIONS(981),
    [aux_sym_interface_declaration_token1] = ACTIONS(981),
    [aux_sym_enum_declaration_token1] = ACTIONS(981),
    [aux_sym_enum_case_token1] = ACTIONS(981),
    [aux_sym_class_declaration_token1] = ACTIONS(981),
    [aux_sym_final_modifier_token1] = ACTIONS(981),
    [aux_sym_abstract_modifier_token1] = ACTIONS(981),
    [aux_sym_readonly_modifier_token1] = ACTIONS(981),
    [aux_sym_visibility_modifier_token1] = ACTIONS(981),
    [aux_sym_visibility_modifier_token2] = ACTIONS(981),
    [aux_sym_visibility_modifier_token3] = ACTIONS(981),
    [aux_sym__arrow_function_header_token1] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(979),
    [aux_sym_cast_type_token1] = ACTIONS(981),
    [aux_sym_echo_statement_token1] = ACTIONS(981),
    [anon_sym_unset] = ACTIONS(981),
    [aux_sym_declare_statement_token1] = ACTIONS(981),
    [aux_sym_declare_statement_token2] = ACTIONS(981),
    [sym_float] = ACTIONS(981),
    [aux_sym_try_statement_token1] = ACTIONS(981),
    [aux_sym_goto_statement_token1] = ACTIONS(981),
    [aux_sym_continue_statement_token1] = ACTIONS(981),
    [aux_sym_break_statement_token1] = ACTIONS(981),
    [sym_integer] = ACTIONS(981),
    [aux_sym_return_statement_token1] = ACTIONS(981),
    [aux_sym_throw_expression_token1] = ACTIONS(981),
    [aux_sym_while_statement_token1] = ACTIONS(981),
    [aux_sym_while_statement_token2] = ACTIONS(981),
    [aux_sym_do_statement_token1] = ACTIONS(981),
    [aux_sym_for_statement_token1] = ACTIONS(981),
    [aux_sym_for_statement_token2] = ACTIONS(981),
    [aux_sym_foreach_statement_token1] = ACTIONS(981),
    [aux_sym_foreach_statement_token2] = ACTIONS(981),
    [aux_sym_if_statement_token1] = ACTIONS(981),
    [aux_sym_if_statement_token2] = ACTIONS(981),
    [aux_sym_else_if_clause_token1] = ACTIONS(981),
    [aux_sym_else_clause_token1] = ACTIONS(981),
    [aux_sym_match_expression_token1] = ACTIONS(981),
    [aux_sym_match_default_expression_token1] = ACTIONS(981),
    [aux_sym_switch_statement_token1] = ACTIONS(981),
    [aux_sym_switch_block_token1] = ACTIONS(981),
    [anon_sym_AT] = ACTIONS(979),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_BANG] = ACTIONS(979),
    [aux_sym_clone_expression_token1] = ACTIONS(981),
    [aux_sym_print_intrinsic_token1] = ACTIONS(981),
    [aux_sym_object_creation_expression_token1] = ACTIONS(981),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [aux_sym__list_destructing_token1] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_self] = ACTIONS(981),
    [anon_sym_parent] = ACTIONS(981),
    [anon_sym_POUND_LBRACK] = ACTIONS(979),
    [anon_sym_SQUOTE] = ACTIONS(979),
    [aux_sym_encapsed_string_token1] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(979),
    [aux_sym_string_token1] = ACTIONS(979),
    [anon_sym_LT_LT_LT] = ACTIONS(979),
    [anon_sym_BQUOTE] = ACTIONS(979),
    [sym_boolean] = ACTIONS(981),
    [sym_null] = ACTIONS(981),
    [anon_sym_DOLLAR] = ACTIONS(979),
    [aux_sym_yield_expression_token1] = ACTIONS(981),
    [aux_sym_include_expression_token1] = ACTIONS(981),
    [aux_sym_include_once_expression_token1] = ACTIONS(981),
    [aux_sym_require_expression_token1] = ACTIONS(981),
    [aux_sym_require_once_expression_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_name] = ACTIONS(1276),
    [anon_sym_QMARK_GT] = ACTIONS(1274),
    [anon_sym_SEMI] = ACTIONS(1274),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1276),
    [aux_sym_global_declaration_token1] = ACTIONS(1276),
    [aux_sym_namespace_definition_token1] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1276),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1276),
    [anon_sym_BSLASH] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_RBRACE] = ACTIONS(1274),
    [aux_sym_trait_declaration_token1] = ACTIONS(1276),
    [aux_sym_interface_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_declaration_token1] = ACTIONS(1276),
    [aux_sym_enum_case_token1] = ACTIONS(1276),
    [aux_sym_class_declaration_token1] = ACTIONS(1276),
    [aux_sym_final_modifier_token1] = ACTIONS(1276),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1276),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1276),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1276),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [aux_sym_cast_type_token1] = ACTIONS(1276),
    [aux_sym_echo_statement_token1] = ACTIONS(1276),
    [anon_sym_unset] = ACTIONS(1276),
    [aux_sym_declare_statement_token1] = ACTIONS(1276),
    [aux_sym_declare_statement_token2] = ACTIONS(1276),
    [sym_float] = ACTIONS(1276),
    [aux_sym_try_statement_token1] = ACTIONS(1276),
    [aux_sym_goto_statement_token1] = ACTIONS(1276),
    [aux_sym_continue_statement_token1] = ACTIONS(1276),
    [aux_sym_break_statement_token1] = ACTIONS(1276),
    [sym_integer] = ACTIONS(1276),
    [aux_sym_return_statement_token1] = ACTIONS(1276),
    [aux_sym_throw_expression_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token1] = ACTIONS(1276),
    [aux_sym_while_statement_token2] = ACTIONS(1276),
    [aux_sym_do_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token1] = ACTIONS(1276),
    [aux_sym_for_statement_token2] = ACTIONS(1276),
    [aux_sym_foreach_statement_token1] = ACTIONS(1276),
    [aux_sym_foreach_statement_token2] = ACTIONS(1276),
    [aux_sym_if_statement_token1] = ACTIONS(1276),
    [aux_sym_if_statement_token2] = ACTIONS(1276),
    [aux_sym_else_if_clause_token1] = ACTIONS(1276),
    [aux_sym_else_clause_token1] = ACTIONS(1276),
    [aux_sym_match_expression_token1] = ACTIONS(1276),
    [aux_sym_match_default_expression_token1] = ACTIONS(1276),
    [aux_sym_switch_statement_token1] = ACTIONS(1276),
    [aux_sym_switch_block_token1] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_BANG] = ACTIONS(1274),
    [aux_sym_clone_expression_token1] = ACTIONS(1276),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1276),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1274),
    [aux_sym__list_destructing_token1] = ACTIONS(1276),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_self] = ACTIONS(1276),
    [anon_sym_parent] = ACTIONS(1276),
    [anon_sym_POUND_LBRACK] = ACTIONS(1274),
    [anon_sym_SQUOTE] = ACTIONS(1274),
    [aux_sym_encapsed_string_token1] = ACTIONS(1274),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [aux_sym_string_token1] = ACTIONS(1274),
    [anon_sym_LT_LT_LT] = ACTIONS(1274),
    [anon_sym_BQUOTE] = ACTIONS(1274),
    [sym_boolean] = ACTIONS(1276),
    [sym_null] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1274),
    [aux_sym_yield_expression_token1] = ACTIONS(1276),
    [aux_sym_include_expression_token1] = ACTIONS(1276),
    [aux_sym_include_once_expression_token1] = ACTIONS(1276),
    [aux_sym_require_expression_token1] = ACTIONS(1276),
    [aux_sym_require_once_expression_token1] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_name] = ACTIONS(1280),
    [anon_sym_QMARK_GT] = ACTIONS(1278),
    [anon_sym_SEMI] = ACTIONS(1278),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1280),
    [aux_sym_global_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_definition_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1280),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1280),
    [anon_sym_BSLASH] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_RBRACE] = ACTIONS(1278),
    [aux_sym_trait_declaration_token1] = ACTIONS(1280),
    [aux_sym_interface_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_declaration_token1] = ACTIONS(1280),
    [aux_sym_enum_case_token1] = ACTIONS(1280),
    [aux_sym_class_declaration_token1] = ACTIONS(1280),
    [aux_sym_final_modifier_token1] = ACTIONS(1280),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1280),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1280),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1280),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [aux_sym_cast_type_token1] = ACTIONS(1280),
    [aux_sym_echo_statement_token1] = ACTIONS(1280),
    [anon_sym_unset] = ACTIONS(1280),
    [aux_sym_declare_statement_token1] = ACTIONS(1280),
    [aux_sym_declare_statement_token2] = ACTIONS(1280),
    [sym_float] = ACTIONS(1280),
    [aux_sym_try_statement_token1] = ACTIONS(1280),
    [aux_sym_goto_statement_token1] = ACTIONS(1280),
    [aux_sym_continue_statement_token1] = ACTIONS(1280),
    [aux_sym_break_statement_token1] = ACTIONS(1280),
    [sym_integer] = ACTIONS(1280),
    [aux_sym_return_statement_token1] = ACTIONS(1280),
    [aux_sym_throw_expression_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token1] = ACTIONS(1280),
    [aux_sym_while_statement_token2] = ACTIONS(1280),
    [aux_sym_do_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token1] = ACTIONS(1280),
    [aux_sym_for_statement_token2] = ACTIONS(1280),
    [aux_sym_foreach_statement_token1] = ACTIONS(1280),
    [aux_sym_foreach_statement_token2] = ACTIONS(1280),
    [aux_sym_if_statement_token1] = ACTIONS(1280),
    [aux_sym_if_statement_token2] = ACTIONS(1280),
    [aux_sym_else_if_clause_token1] = ACTIONS(1280),
    [aux_sym_else_clause_token1] = ACTIONS(1280),
    [aux_sym_match_expression_token1] = ACTIONS(1280),
    [aux_sym_match_default_expression_token1] = ACTIONS(1280),
    [aux_sym_switch_statement_token1] = ACTIONS(1280),
    [aux_sym_switch_block_token1] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_BANG] = ACTIONS(1278),
    [aux_sym_clone_expression_token1] = ACTIONS(1280),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1280),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1278),
    [aux_sym__list_destructing_token1] = ACTIONS(1280),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_self] = ACTIONS(1280),
    [anon_sym_parent] = ACTIONS(1280),
    [anon_sym_POUND_LBRACK] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1278),
    [aux_sym_encapsed_string_token1] = ACTIONS(1278),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [aux_sym_string_token1] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1278),
    [anon_sym_BQUOTE] = ACTIONS(1278),
    [sym_boolean] = ACTIONS(1280),
    [sym_null] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1278),
    [aux_sym_yield_expression_token1] = ACTIONS(1280),
    [aux_sym_include_expression_token1] = ACTIONS(1280),
    [aux_sym_include_once_expression_token1] = ACTIONS(1280),
    [aux_sym_require_expression_token1] = ACTIONS(1280),
    [aux_sym_require_once_expression_token1] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_name] = ACTIONS(1284),
    [anon_sym_QMARK_GT] = ACTIONS(1282),
    [anon_sym_SEMI] = ACTIONS(1282),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1284),
    [aux_sym_global_declaration_token1] = ACTIONS(1284),
    [aux_sym_namespace_definition_token1] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1284),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1284),
    [anon_sym_BSLASH] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_RBRACE] = ACTIONS(1282),
    [aux_sym_trait_declaration_token1] = ACTIONS(1284),
    [aux_sym_interface_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_declaration_token1] = ACTIONS(1284),
    [aux_sym_enum_case_token1] = ACTIONS(1284),
    [aux_sym_class_declaration_token1] = ACTIONS(1284),
    [aux_sym_final_modifier_token1] = ACTIONS(1284),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1284),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1284),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1284),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [aux_sym_cast_type_token1] = ACTIONS(1284),
    [aux_sym_echo_statement_token1] = ACTIONS(1284),
    [anon_sym_unset] = ACTIONS(1284),
    [aux_sym_declare_statement_token1] = ACTIONS(1284),
    [aux_sym_declare_statement_token2] = ACTIONS(1284),
    [sym_float] = ACTIONS(1284),
    [aux_sym_try_statement_token1] = ACTIONS(1284),
    [aux_sym_goto_statement_token1] = ACTIONS(1284),
    [aux_sym_continue_statement_token1] = ACTIONS(1284),
    [aux_sym_break_statement_token1] = ACTIONS(1284),
    [sym_integer] = ACTIONS(1284),
    [aux_sym_return_statement_token1] = ACTIONS(1284),
    [aux_sym_throw_expression_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token1] = ACTIONS(1284),
    [aux_sym_while_statement_token2] = ACTIONS(1284),
    [aux_sym_do_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token1] = ACTIONS(1284),
    [aux_sym_for_statement_token2] = ACTIONS(1284),
    [aux_sym_foreach_statement_token1] = ACTIONS(1284),
    [aux_sym_foreach_statement_token2] = ACTIONS(1284),
    [aux_sym_if_statement_token1] = ACTIONS(1284),
    [aux_sym_if_statement_token2] = ACTIONS(1284),
    [aux_sym_else_if_clause_token1] = ACTIONS(1284),
    [aux_sym_else_clause_token1] = ACTIONS(1284),
    [aux_sym_match_expression_token1] = ACTIONS(1284),
    [aux_sym_match_default_expression_token1] = ACTIONS(1284),
    [aux_sym_switch_statement_token1] = ACTIONS(1284),
    [aux_sym_switch_block_token1] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_BANG] = ACTIONS(1282),
    [aux_sym_clone_expression_token1] = ACTIONS(1284),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1284),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1282),
    [aux_sym__list_destructing_token1] = ACTIONS(1284),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_self] = ACTIONS(1284),
    [anon_sym_parent] = ACTIONS(1284),
    [anon_sym_POUND_LBRACK] = ACTIONS(1282),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [aux_sym_encapsed_string_token1] = ACTIONS(1282),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [aux_sym_string_token1] = ACTIONS(1282),
    [anon_sym_LT_LT_LT] = ACTIONS(1282),
    [anon_sym_BQUOTE] = ACTIONS(1282),
    [sym_boolean] = ACTIONS(1284),
    [sym_null] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1282),
    [aux_sym_yield_expression_token1] = ACTIONS(1284),
    [aux_sym_include_expression_token1] = ACTIONS(1284),
    [aux_sym_include_once_expression_token1] = ACTIONS(1284),
    [aux_sym_require_expression_token1] = ACTIONS(1284),
    [aux_sym_require_once_expression_token1] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(998),
    [sym_name] = ACTIONS(1000),
    [anon_sym_QMARK_GT] = ACTIONS(998),
    [anon_sym_SEMI] = ACTIONS(998),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1000),
    [aux_sym_global_declaration_token1] = ACTIONS(1000),
    [aux_sym_namespace_definition_token1] = ACTIONS(1000),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1000),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1000),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1000),
    [anon_sym_BSLASH] = ACTIONS(998),
    [anon_sym_LBRACE] = ACTIONS(998),
    [anon_sym_RBRACE] = ACTIONS(998),
    [aux_sym_trait_declaration_token1] = ACTIONS(1000),
    [aux_sym_interface_declaration_token1] = ACTIONS(1000),
    [aux_sym_enum_declaration_token1] = ACTIONS(1000),
    [aux_sym_enum_case_token1] = ACTIONS(1000),
    [aux_sym_class_declaration_token1] = ACTIONS(1000),
    [aux_sym_final_modifier_token1] = ACTIONS(1000),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1000),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1000),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1000),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1000),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1000),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1000),
    [anon_sym_LPAREN] = ACTIONS(998),
    [aux_sym_cast_type_token1] = ACTIONS(1000),
    [aux_sym_echo_statement_token1] = ACTIONS(1000),
    [anon_sym_unset] = ACTIONS(1000),
    [aux_sym_declare_statement_token1] = ACTIONS(1000),
    [aux_sym_declare_statement_token2] = ACTIONS(1000),
    [sym_float] = ACTIONS(1000),
    [aux_sym_try_statement_token1] = ACTIONS(1000),
    [aux_sym_goto_statement_token1] = ACTIONS(1000),
    [aux_sym_continue_statement_token1] = ACTIONS(1000),
    [aux_sym_break_statement_token1] = ACTIONS(1000),
    [sym_integer] = ACTIONS(1000),
    [aux_sym_return_statement_token1] = ACTIONS(1000),
    [aux_sym_throw_expression_token1] = ACTIONS(1000),
    [aux_sym_while_statement_token1] = ACTIONS(1000),
    [aux_sym_while_statement_token2] = ACTIONS(1000),
    [aux_sym_do_statement_token1] = ACTIONS(1000),
    [aux_sym_for_statement_token1] = ACTIONS(1000),
    [aux_sym_for_statement_token2] = ACTIONS(1000),
    [aux_sym_foreach_statement_token1] = ACTIONS(1000),
    [aux_sym_foreach_statement_token2] = ACTIONS(1000),
    [aux_sym_if_statement_token1] = ACTIONS(1000),
    [aux_sym_if_statement_token2] = ACTIONS(1000),
    [aux_sym_else_if_clause_token1] = ACTIONS(1000),
    [aux_sym_else_clause_token1] = ACTIONS(1000),
    [aux_sym_match_expression_token1] = ACTIONS(1000),
    [aux_sym_match_default_expression_token1] = ACTIONS(1000),
    [aux_sym_switch_statement_token1] = ACTIONS(1000),
    [aux_sym_switch_block_token1] = ACTIONS(1000),
    [anon_sym_AT] = ACTIONS(998),
    [anon_sym_PLUS] = ACTIONS(1000),
    [anon_sym_DASH] = ACTIONS(1000),
    [anon_sym_TILDE] = ACTIONS(998),
    [anon_sym_BANG] = ACTIONS(998),
    [aux_sym_clone_expression_token1] = ACTIONS(1000),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1000),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1000),
    [anon_sym_PLUS_PLUS] = ACTIONS(998),
    [anon_sym_DASH_DASH] = ACTIONS(998),
    [aux_sym__list_destructing_token1] = ACTIONS(1000),
    [anon_sym_LBRACK] = ACTIONS(998),
    [anon_sym_self] = ACTIONS(1000),
    [anon_sym_parent] = ACTIONS(1000),
    [anon_sym_POUND_LBRACK] = ACTIONS(998),
    [anon_sym_SQUOTE] = ACTIONS(998),
    [aux_sym_encapsed_string_token1] = ACTIONS(998),
    [anon_sym_DQUOTE] = ACTIONS(998),
    [aux_sym_string_token1] = ACTIONS(998),
    [anon_sym_LT_LT_LT] = ACTIONS(998),
    [anon_sym_BQUOTE] = ACTIONS(998),
    [sym_boolean] = ACTIONS(1000),
    [sym_null] = ACTIONS(1000),
    [anon_sym_DOLLAR] = ACTIONS(998),
    [aux_sym_yield_expression_token1] = ACTIONS(1000),
    [aux_sym_include_expression_token1] = ACTIONS(1000),
    [aux_sym_include_once_expression_token1] = ACTIONS(1000),
    [aux_sym_require_expression_token1] = ACTIONS(1000),
    [aux_sym_require_once_expression_token1] = ACTIONS(1000),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_name] = ACTIONS(1288),
    [anon_sym_QMARK_GT] = ACTIONS(1286),
    [anon_sym_SEMI] = ACTIONS(1286),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1288),
    [aux_sym_global_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_definition_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1288),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1288),
    [anon_sym_BSLASH] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_RBRACE] = ACTIONS(1286),
    [aux_sym_trait_declaration_token1] = ACTIONS(1288),
    [aux_sym_interface_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_declaration_token1] = ACTIONS(1288),
    [aux_sym_enum_case_token1] = ACTIONS(1288),
    [aux_sym_class_declaration_token1] = ACTIONS(1288),
    [aux_sym_final_modifier_token1] = ACTIONS(1288),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1288),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1288),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1288),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [aux_sym_cast_type_token1] = ACTIONS(1288),
    [aux_sym_echo_statement_token1] = ACTIONS(1288),
    [anon_sym_unset] = ACTIONS(1288),
    [aux_sym_declare_statement_token1] = ACTIONS(1288),
    [aux_sym_declare_statement_token2] = ACTIONS(1288),
    [sym_float] = ACTIONS(1288),
    [aux_sym_try_statement_token1] = ACTIONS(1288),
    [aux_sym_goto_statement_token1] = ACTIONS(1288),
    [aux_sym_continue_statement_token1] = ACTIONS(1288),
    [aux_sym_break_statement_token1] = ACTIONS(1288),
    [sym_integer] = ACTIONS(1288),
    [aux_sym_return_statement_token1] = ACTIONS(1288),
    [aux_sym_throw_expression_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token1] = ACTIONS(1288),
    [aux_sym_while_statement_token2] = ACTIONS(1288),
    [aux_sym_do_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token1] = ACTIONS(1288),
    [aux_sym_for_statement_token2] = ACTIONS(1288),
    [aux_sym_foreach_statement_token1] = ACTIONS(1288),
    [aux_sym_foreach_statement_token2] = ACTIONS(1288),
    [aux_sym_if_statement_token1] = ACTIONS(1288),
    [aux_sym_if_statement_token2] = ACTIONS(1288),
    [aux_sym_else_if_clause_token1] = ACTIONS(1288),
    [aux_sym_else_clause_token1] = ACTIONS(1288),
    [aux_sym_match_expression_token1] = ACTIONS(1288),
    [aux_sym_match_default_expression_token1] = ACTIONS(1288),
    [aux_sym_switch_statement_token1] = ACTIONS(1288),
    [aux_sym_switch_block_token1] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_BANG] = ACTIONS(1286),
    [aux_sym_clone_expression_token1] = ACTIONS(1288),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1288),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1286),
    [aux_sym__list_destructing_token1] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_self] = ACTIONS(1288),
    [anon_sym_parent] = ACTIONS(1288),
    [anon_sym_POUND_LBRACK] = ACTIONS(1286),
    [anon_sym_SQUOTE] = ACTIONS(1286),
    [aux_sym_encapsed_string_token1] = ACTIONS(1286),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [aux_sym_string_token1] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1286),
    [anon_sym_BQUOTE] = ACTIONS(1286),
    [sym_boolean] = ACTIONS(1288),
    [sym_null] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1286),
    [aux_sym_yield_expression_token1] = ACTIONS(1288),
    [aux_sym_include_expression_token1] = ACTIONS(1288),
    [aux_sym_include_once_expression_token1] = ACTIONS(1288),
    [aux_sym_require_expression_token1] = ACTIONS(1288),
    [aux_sym_require_once_expression_token1] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_name] = ACTIONS(1292),
    [anon_sym_QMARK_GT] = ACTIONS(1290),
    [anon_sym_SEMI] = ACTIONS(1290),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1292),
    [aux_sym_global_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_definition_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1292),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1292),
    [anon_sym_BSLASH] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_RBRACE] = ACTIONS(1290),
    [aux_sym_trait_declaration_token1] = ACTIONS(1292),
    [aux_sym_interface_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_declaration_token1] = ACTIONS(1292),
    [aux_sym_enum_case_token1] = ACTIONS(1292),
    [aux_sym_class_declaration_token1] = ACTIONS(1292),
    [aux_sym_final_modifier_token1] = ACTIONS(1292),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1292),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1292),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1292),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [aux_sym_cast_type_token1] = ACTIONS(1292),
    [aux_sym_echo_statement_token1] = ACTIONS(1292),
    [anon_sym_unset] = ACTIONS(1292),
    [aux_sym_declare_statement_token1] = ACTIONS(1292),
    [aux_sym_declare_statement_token2] = ACTIONS(1292),
    [sym_float] = ACTIONS(1292),
    [aux_sym_try_statement_token1] = ACTIONS(1292),
    [aux_sym_goto_statement_token1] = ACTIONS(1292),
    [aux_sym_continue_statement_token1] = ACTIONS(1292),
    [aux_sym_break_statement_token1] = ACTIONS(1292),
    [sym_integer] = ACTIONS(1292),
    [aux_sym_return_statement_token1] = ACTIONS(1292),
    [aux_sym_throw_expression_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token1] = ACTIONS(1292),
    [aux_sym_while_statement_token2] = ACTIONS(1292),
    [aux_sym_do_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token1] = ACTIONS(1292),
    [aux_sym_for_statement_token2] = ACTIONS(1292),
    [aux_sym_foreach_statement_token1] = ACTIONS(1292),
    [aux_sym_foreach_statement_token2] = ACTIONS(1292),
    [aux_sym_if_statement_token1] = ACTIONS(1292),
    [aux_sym_if_statement_token2] = ACTIONS(1292),
    [aux_sym_else_if_clause_token1] = ACTIONS(1292),
    [aux_sym_else_clause_token1] = ACTIONS(1292),
    [aux_sym_match_expression_token1] = ACTIONS(1292),
    [aux_sym_match_default_expression_token1] = ACTIONS(1292),
    [aux_sym_switch_statement_token1] = ACTIONS(1292),
    [aux_sym_switch_block_token1] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_BANG] = ACTIONS(1290),
    [aux_sym_clone_expression_token1] = ACTIONS(1292),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1292),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1290),
    [aux_sym__list_destructing_token1] = ACTIONS(1292),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_self] = ACTIONS(1292),
    [anon_sym_parent] = ACTIONS(1292),
    [anon_sym_POUND_LBRACK] = ACTIONS(1290),
    [anon_sym_SQUOTE] = ACTIONS(1290),
    [aux_sym_encapsed_string_token1] = ACTIONS(1290),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [aux_sym_string_token1] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1290),
    [anon_sym_BQUOTE] = ACTIONS(1290),
    [sym_boolean] = ACTIONS(1292),
    [sym_null] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1290),
    [aux_sym_yield_expression_token1] = ACTIONS(1292),
    [aux_sym_include_expression_token1] = ACTIONS(1292),
    [aux_sym_include_once_expression_token1] = ACTIONS(1292),
    [aux_sym_require_expression_token1] = ACTIONS(1292),
    [aux_sym_require_once_expression_token1] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_name] = ACTIONS(1296),
    [anon_sym_QMARK_GT] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1296),
    [aux_sym_global_declaration_token1] = ACTIONS(1296),
    [aux_sym_namespace_definition_token1] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1296),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1296),
    [anon_sym_BSLASH] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [aux_sym_trait_declaration_token1] = ACTIONS(1296),
    [aux_sym_interface_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_declaration_token1] = ACTIONS(1296),
    [aux_sym_enum_case_token1] = ACTIONS(1296),
    [aux_sym_class_declaration_token1] = ACTIONS(1296),
    [aux_sym_final_modifier_token1] = ACTIONS(1296),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1296),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1296),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1296),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [aux_sym_cast_type_token1] = ACTIONS(1296),
    [aux_sym_echo_statement_token1] = ACTIONS(1296),
    [anon_sym_unset] = ACTIONS(1296),
    [aux_sym_declare_statement_token1] = ACTIONS(1296),
    [aux_sym_declare_statement_token2] = ACTIONS(1296),
    [sym_float] = ACTIONS(1296),
    [aux_sym_try_statement_token1] = ACTIONS(1296),
    [aux_sym_goto_statement_token1] = ACTIONS(1296),
    [aux_sym_continue_statement_token1] = ACTIONS(1296),
    [aux_sym_break_statement_token1] = ACTIONS(1296),
    [sym_integer] = ACTIONS(1296),
    [aux_sym_return_statement_token1] = ACTIONS(1296),
    [aux_sym_throw_expression_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token1] = ACTIONS(1296),
    [aux_sym_while_statement_token2] = ACTIONS(1296),
    [aux_sym_do_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token1] = ACTIONS(1296),
    [aux_sym_for_statement_token2] = ACTIONS(1296),
    [aux_sym_foreach_statement_token1] = ACTIONS(1296),
    [aux_sym_foreach_statement_token2] = ACTIONS(1296),
    [aux_sym_if_statement_token1] = ACTIONS(1296),
    [aux_sym_if_statement_token2] = ACTIONS(1296),
    [aux_sym_else_if_clause_token1] = ACTIONS(1296),
    [aux_sym_else_clause_token1] = ACTIONS(1296),
    [aux_sym_match_expression_token1] = ACTIONS(1296),
    [aux_sym_match_default_expression_token1] = ACTIONS(1296),
    [aux_sym_switch_statement_token1] = ACTIONS(1296),
    [aux_sym_switch_block_token1] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [aux_sym_clone_expression_token1] = ACTIONS(1296),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1296),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [aux_sym__list_destructing_token1] = ACTIONS(1296),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_self] = ACTIONS(1296),
    [anon_sym_parent] = ACTIONS(1296),
    [anon_sym_POUND_LBRACK] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [aux_sym_encapsed_string_token1] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [aux_sym_string_token1] = ACTIONS(1294),
    [anon_sym_LT_LT_LT] = ACTIONS(1294),
    [anon_sym_BQUOTE] = ACTIONS(1294),
    [sym_boolean] = ACTIONS(1296),
    [sym_null] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1294),
    [aux_sym_yield_expression_token1] = ACTIONS(1296),
    [aux_sym_include_expression_token1] = ACTIONS(1296),
    [aux_sym_include_once_expression_token1] = ACTIONS(1296),
    [aux_sym_require_expression_token1] = ACTIONS(1296),
    [aux_sym_require_once_expression_token1] = ACTIONS(1296),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1298),
    [sym_name] = ACTIONS(1300),
    [anon_sym_QMARK_GT] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1300),
    [aux_sym_global_declaration_token1] = ACTIONS(1300),
    [aux_sym_namespace_definition_token1] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1300),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1300),
    [anon_sym_BSLASH] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [aux_sym_trait_declaration_token1] = ACTIONS(1300),
    [aux_sym_interface_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_declaration_token1] = ACTIONS(1300),
    [aux_sym_enum_case_token1] = ACTIONS(1300),
    [aux_sym_class_declaration_token1] = ACTIONS(1300),
    [aux_sym_final_modifier_token1] = ACTIONS(1300),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1300),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1300),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1300),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1300),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [aux_sym_cast_type_token1] = ACTIONS(1300),
    [aux_sym_echo_statement_token1] = ACTIONS(1300),
    [anon_sym_unset] = ACTIONS(1300),
    [aux_sym_declare_statement_token1] = ACTIONS(1300),
    [aux_sym_declare_statement_token2] = ACTIONS(1300),
    [sym_float] = ACTIONS(1300),
    [aux_sym_try_statement_token1] = ACTIONS(1300),
    [aux_sym_goto_statement_token1] = ACTIONS(1300),
    [aux_sym_continue_statement_token1] = ACTIONS(1300),
    [aux_sym_break_statement_token1] = ACTIONS(1300),
    [sym_integer] = ACTIONS(1300),
    [aux_sym_return_statement_token1] = ACTIONS(1300),
    [aux_sym_throw_expression_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token1] = ACTIONS(1300),
    [aux_sym_while_statement_token2] = ACTIONS(1300),
    [aux_sym_do_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token1] = ACTIONS(1300),
    [aux_sym_for_statement_token2] = ACTIONS(1300),
    [aux_sym_foreach_statement_token1] = ACTIONS(1300),
    [aux_sym_foreach_statement_token2] = ACTIONS(1300),
    [aux_sym_if_statement_token1] = ACTIONS(1300),
    [aux_sym_if_statement_token2] = ACTIONS(1300),
    [aux_sym_else_if_clause_token1] = ACTIONS(1300),
    [aux_sym_else_clause_token1] = ACTIONS(1300),
    [aux_sym_match_expression_token1] = ACTIONS(1300),
    [aux_sym_match_default_expression_token1] = ACTIONS(1300),
    [aux_sym_switch_statement_token1] = ACTIONS(1300),
    [aux_sym_switch_block_token1] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1298),
    [anon_sym_BANG] = ACTIONS(1298),
    [aux_sym_clone_expression_token1] = ACTIONS(1300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1300),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1298),
    [aux_sym__list_destructing_token1] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_self] = ACTIONS(1300),
    [anon_sym_parent] = ACTIONS(1300),
    [anon_sym_POUND_LBRACK] = ACTIONS(1298),
    [anon_sym_SQUOTE] = ACTIONS(1298),
    [aux_sym_encapsed_string_token1] = ACTIONS(1298),
    [anon_sym_DQUOTE] = ACTIONS(1298),
    [aux_sym_string_token1] = ACTIONS(1298),
    [anon_sym_LT_LT_LT] = ACTIONS(1298),
    [anon_sym_BQUOTE] = ACTIONS(1298),
    [sym_boolean] = ACTIONS(1300),
    [sym_null] = ACTIONS(1300),
    [anon_sym_DOLLAR] = ACTIONS(1298),
    [aux_sym_yield_expression_token1] = ACTIONS(1300),
    [aux_sym_include_expression_token1] = ACTIONS(1300),
    [aux_sym_include_once_expression_token1] = ACTIONS(1300),
    [aux_sym_require_expression_token1] = ACTIONS(1300),
    [aux_sym_require_once_expression_token1] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_name] = ACTIONS(1304),
    [anon_sym_QMARK_GT] = ACTIONS(1302),
    [anon_sym_SEMI] = ACTIONS(1302),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1304),
    [aux_sym_global_declaration_token1] = ACTIONS(1304),
    [aux_sym_namespace_definition_token1] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1304),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1304),
    [anon_sym_BSLASH] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_RBRACE] = ACTIONS(1302),
    [aux_sym_trait_declaration_token1] = ACTIONS(1304),
    [aux_sym_interface_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_declaration_token1] = ACTIONS(1304),
    [aux_sym_enum_case_token1] = ACTIONS(1304),
    [aux_sym_class_declaration_token1] = ACTIONS(1304),
    [aux_sym_final_modifier_token1] = ACTIONS(1304),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1304),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1304),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1304),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1302),
    [aux_sym_cast_type_token1] = ACTIONS(1304),
    [aux_sym_echo_statement_token1] = ACTIONS(1304),
    [anon_sym_unset] = ACTIONS(1304),
    [aux_sym_declare_statement_token1] = ACTIONS(1304),
    [aux_sym_declare_statement_token2] = ACTIONS(1304),
    [sym_float] = ACTIONS(1304),
    [aux_sym_try_statement_token1] = ACTIONS(1304),
    [aux_sym_goto_statement_token1] = ACTIONS(1304),
    [aux_sym_continue_statement_token1] = ACTIONS(1304),
    [aux_sym_break_statement_token1] = ACTIONS(1304),
    [sym_integer] = ACTIONS(1304),
    [aux_sym_return_statement_token1] = ACTIONS(1304),
    [aux_sym_throw_expression_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token1] = ACTIONS(1304),
    [aux_sym_while_statement_token2] = ACTIONS(1304),
    [aux_sym_do_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token1] = ACTIONS(1304),
    [aux_sym_for_statement_token2] = ACTIONS(1304),
    [aux_sym_foreach_statement_token1] = ACTIONS(1304),
    [aux_sym_foreach_statement_token2] = ACTIONS(1304),
    [aux_sym_if_statement_token1] = ACTIONS(1304),
    [aux_sym_if_statement_token2] = ACTIONS(1304),
    [aux_sym_else_if_clause_token1] = ACTIONS(1304),
    [aux_sym_else_clause_token1] = ACTIONS(1304),
    [aux_sym_match_expression_token1] = ACTIONS(1304),
    [aux_sym_match_default_expression_token1] = ACTIONS(1304),
    [aux_sym_switch_statement_token1] = ACTIONS(1304),
    [aux_sym_switch_block_token1] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_BANG] = ACTIONS(1302),
    [aux_sym_clone_expression_token1] = ACTIONS(1304),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1304),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1302),
    [aux_sym__list_destructing_token1] = ACTIONS(1304),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_self] = ACTIONS(1304),
    [anon_sym_parent] = ACTIONS(1304),
    [anon_sym_POUND_LBRACK] = ACTIONS(1302),
    [anon_sym_SQUOTE] = ACTIONS(1302),
    [aux_sym_encapsed_string_token1] = ACTIONS(1302),
    [anon_sym_DQUOTE] = ACTIONS(1302),
    [aux_sym_string_token1] = ACTIONS(1302),
    [anon_sym_LT_LT_LT] = ACTIONS(1302),
    [anon_sym_BQUOTE] = ACTIONS(1302),
    [sym_boolean] = ACTIONS(1304),
    [sym_null] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1302),
    [aux_sym_yield_expression_token1] = ACTIONS(1304),
    [aux_sym_include_expression_token1] = ACTIONS(1304),
    [aux_sym_include_once_expression_token1] = ACTIONS(1304),
    [aux_sym_require_expression_token1] = ACTIONS(1304),
    [aux_sym_require_once_expression_token1] = ACTIONS(1304),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_name] = ACTIONS(1308),
    [anon_sym_QMARK_GT] = ACTIONS(1306),
    [anon_sym_SEMI] = ACTIONS(1306),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1308),
    [aux_sym_global_declaration_token1] = ACTIONS(1308),
    [aux_sym_namespace_definition_token1] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1308),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1308),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_RBRACE] = ACTIONS(1306),
    [aux_sym_trait_declaration_token1] = ACTIONS(1308),
    [aux_sym_interface_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_declaration_token1] = ACTIONS(1308),
    [aux_sym_enum_case_token1] = ACTIONS(1308),
    [aux_sym_class_declaration_token1] = ACTIONS(1308),
    [aux_sym_final_modifier_token1] = ACTIONS(1308),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1308),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1308),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1308),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1308),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [aux_sym_cast_type_token1] = ACTIONS(1308),
    [aux_sym_echo_statement_token1] = ACTIONS(1308),
    [anon_sym_unset] = ACTIONS(1308),
    [aux_sym_declare_statement_token1] = ACTIONS(1308),
    [aux_sym_declare_statement_token2] = ACTIONS(1308),
    [sym_float] = ACTIONS(1308),
    [aux_sym_try_statement_token1] = ACTIONS(1308),
    [aux_sym_goto_statement_token1] = ACTIONS(1308),
    [aux_sym_continue_statement_token1] = ACTIONS(1308),
    [aux_sym_break_statement_token1] = ACTIONS(1308),
    [sym_integer] = ACTIONS(1308),
    [aux_sym_return_statement_token1] = ACTIONS(1308),
    [aux_sym_throw_expression_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token1] = ACTIONS(1308),
    [aux_sym_while_statement_token2] = ACTIONS(1308),
    [aux_sym_do_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token1] = ACTIONS(1308),
    [aux_sym_for_statement_token2] = ACTIONS(1308),
    [aux_sym_foreach_statement_token1] = ACTIONS(1308),
    [aux_sym_foreach_statement_token2] = ACTIONS(1308),
    [aux_sym_if_statement_token1] = ACTIONS(1308),
    [aux_sym_if_statement_token2] = ACTIONS(1308),
    [aux_sym_else_if_clause_token1] = ACTIONS(1308),
    [aux_sym_else_clause_token1] = ACTIONS(1308),
    [aux_sym_match_expression_token1] = ACTIONS(1308),
    [aux_sym_match_default_expression_token1] = ACTIONS(1308),
    [aux_sym_switch_statement_token1] = ACTIONS(1308),
    [aux_sym_switch_block_token1] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_BANG] = ACTIONS(1306),
    [aux_sym_clone_expression_token1] = ACTIONS(1308),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1308),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1306),
    [aux_sym__list_destructing_token1] = ACTIONS(1308),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_self] = ACTIONS(1308),
    [anon_sym_parent] = ACTIONS(1308),
    [anon_sym_POUND_LBRACK] = ACTIONS(1306),
    [anon_sym_SQUOTE] = ACTIONS(1306),
    [aux_sym_encapsed_string_token1] = ACTIONS(1306),
    [anon_sym_DQUOTE] = ACTIONS(1306),
    [aux_sym_string_token1] = ACTIONS(1306),
    [anon_sym_LT_LT_LT] = ACTIONS(1306),
    [anon_sym_BQUOTE] = ACTIONS(1306),
    [sym_boolean] = ACTIONS(1308),
    [sym_null] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1306),
    [aux_sym_yield_expression_token1] = ACTIONS(1308),
    [aux_sym_include_expression_token1] = ACTIONS(1308),
    [aux_sym_include_once_expression_token1] = ACTIONS(1308),
    [aux_sym_require_expression_token1] = ACTIONS(1308),
    [aux_sym_require_once_expression_token1] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_name] = ACTIONS(1312),
    [anon_sym_QMARK_GT] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1312),
    [aux_sym_global_declaration_token1] = ACTIONS(1312),
    [aux_sym_namespace_definition_token1] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1312),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1312),
    [anon_sym_BSLASH] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [aux_sym_trait_declaration_token1] = ACTIONS(1312),
    [aux_sym_interface_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_declaration_token1] = ACTIONS(1312),
    [aux_sym_enum_case_token1] = ACTIONS(1312),
    [aux_sym_class_declaration_token1] = ACTIONS(1312),
    [aux_sym_final_modifier_token1] = ACTIONS(1312),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1312),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1312),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1312),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1310),
    [aux_sym_cast_type_token1] = ACTIONS(1312),
    [aux_sym_echo_statement_token1] = ACTIONS(1312),
    [anon_sym_unset] = ACTIONS(1312),
    [aux_sym_declare_statement_token1] = ACTIONS(1312),
    [aux_sym_declare_statement_token2] = ACTIONS(1312),
    [sym_float] = ACTIONS(1312),
    [aux_sym_try_statement_token1] = ACTIONS(1312),
    [aux_sym_goto_statement_token1] = ACTIONS(1312),
    [aux_sym_continue_statement_token1] = ACTIONS(1312),
    [aux_sym_break_statement_token1] = ACTIONS(1312),
    [sym_integer] = ACTIONS(1312),
    [aux_sym_return_statement_token1] = ACTIONS(1312),
    [aux_sym_throw_expression_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token1] = ACTIONS(1312),
    [aux_sym_while_statement_token2] = ACTIONS(1312),
    [aux_sym_do_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token1] = ACTIONS(1312),
    [aux_sym_for_statement_token2] = ACTIONS(1312),
    [aux_sym_foreach_statement_token1] = ACTIONS(1312),
    [aux_sym_foreach_statement_token2] = ACTIONS(1312),
    [aux_sym_if_statement_token1] = ACTIONS(1312),
    [aux_sym_if_statement_token2] = ACTIONS(1312),
    [aux_sym_else_if_clause_token1] = ACTIONS(1312),
    [aux_sym_else_clause_token1] = ACTIONS(1312),
    [aux_sym_match_expression_token1] = ACTIONS(1312),
    [aux_sym_match_default_expression_token1] = ACTIONS(1312),
    [aux_sym_switch_statement_token1] = ACTIONS(1312),
    [aux_sym_switch_block_token1] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [aux_sym_clone_expression_token1] = ACTIONS(1312),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1312),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [aux_sym__list_destructing_token1] = ACTIONS(1312),
    [anon_sym_LBRACK] = ACTIONS(1310),
    [anon_sym_self] = ACTIONS(1312),
    [anon_sym_parent] = ACTIONS(1312),
    [anon_sym_POUND_LBRACK] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [aux_sym_encapsed_string_token1] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [aux_sym_string_token1] = ACTIONS(1310),
    [anon_sym_LT_LT_LT] = ACTIONS(1310),
    [anon_sym_BQUOTE] = ACTIONS(1310),
    [sym_boolean] = ACTIONS(1312),
    [sym_null] = ACTIONS(1312),
    [anon_sym_DOLLAR] = ACTIONS(1310),
    [aux_sym_yield_expression_token1] = ACTIONS(1312),
    [aux_sym_include_expression_token1] = ACTIONS(1312),
    [aux_sym_include_once_expression_token1] = ACTIONS(1312),
    [aux_sym_require_expression_token1] = ACTIONS(1312),
    [aux_sym_require_once_expression_token1] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_name] = ACTIONS(1316),
    [anon_sym_QMARK_GT] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1316),
    [aux_sym_global_declaration_token1] = ACTIONS(1316),
    [aux_sym_namespace_definition_token1] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1316),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1316),
    [anon_sym_BSLASH] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [aux_sym_trait_declaration_token1] = ACTIONS(1316),
    [aux_sym_interface_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_declaration_token1] = ACTIONS(1316),
    [aux_sym_enum_case_token1] = ACTIONS(1316),
    [aux_sym_class_declaration_token1] = ACTIONS(1316),
    [aux_sym_final_modifier_token1] = ACTIONS(1316),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1316),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1316),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1316),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1316),
    [anon_sym_LPAREN] = ACTIONS(1314),
    [aux_sym_cast_type_token1] = ACTIONS(1316),
    [aux_sym_echo_statement_token1] = ACTIONS(1316),
    [anon_sym_unset] = ACTIONS(1316),
    [aux_sym_declare_statement_token1] = ACTIONS(1316),
    [aux_sym_declare_statement_token2] = ACTIONS(1316),
    [sym_float] = ACTIONS(1316),
    [aux_sym_try_statement_token1] = ACTIONS(1316),
    [aux_sym_goto_statement_token1] = ACTIONS(1316),
    [aux_sym_continue_statement_token1] = ACTIONS(1316),
    [aux_sym_break_statement_token1] = ACTIONS(1316),
    [sym_integer] = ACTIONS(1316),
    [aux_sym_return_statement_token1] = ACTIONS(1316),
    [aux_sym_throw_expression_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token1] = ACTIONS(1316),
    [aux_sym_while_statement_token2] = ACTIONS(1316),
    [aux_sym_do_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token1] = ACTIONS(1316),
    [aux_sym_for_statement_token2] = ACTIONS(1316),
    [aux_sym_foreach_statement_token1] = ACTIONS(1316),
    [aux_sym_foreach_statement_token2] = ACTIONS(1316),
    [aux_sym_if_statement_token1] = ACTIONS(1316),
    [aux_sym_if_statement_token2] = ACTIONS(1316),
    [aux_sym_else_if_clause_token1] = ACTIONS(1316),
    [aux_sym_else_clause_token1] = ACTIONS(1316),
    [aux_sym_match_expression_token1] = ACTIONS(1316),
    [aux_sym_match_default_expression_token1] = ACTIONS(1316),
    [aux_sym_switch_statement_token1] = ACTIONS(1316),
    [aux_sym_switch_block_token1] = ACTIONS(1316),
    [anon_sym_AT] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [aux_sym_clone_expression_token1] = ACTIONS(1316),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1316),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [aux_sym__list_destructing_token1] = ACTIONS(1316),
    [anon_sym_LBRACK] = ACTIONS(1314),
    [anon_sym_self] = ACTIONS(1316),
    [anon_sym_parent] = ACTIONS(1316),
    [anon_sym_POUND_LBRACK] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [aux_sym_encapsed_string_token1] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [aux_sym_string_token1] = ACTIONS(1314),
    [anon_sym_LT_LT_LT] = ACTIONS(1314),
    [anon_sym_BQUOTE] = ACTIONS(1314),
    [sym_boolean] = ACTIONS(1316),
    [sym_null] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1314),
    [aux_sym_yield_expression_token1] = ACTIONS(1316),
    [aux_sym_include_expression_token1] = ACTIONS(1316),
    [aux_sym_include_once_expression_token1] = ACTIONS(1316),
    [aux_sym_require_expression_token1] = ACTIONS(1316),
    [aux_sym_require_once_expression_token1] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_name] = ACTIONS(1320),
    [anon_sym_QMARK_GT] = ACTIONS(1318),
    [anon_sym_SEMI] = ACTIONS(1318),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1320),
    [aux_sym_global_declaration_token1] = ACTIONS(1320),
    [aux_sym_namespace_definition_token1] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1320),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1320),
    [anon_sym_BSLASH] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_RBRACE] = ACTIONS(1318),
    [aux_sym_trait_declaration_token1] = ACTIONS(1320),
    [aux_sym_interface_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_declaration_token1] = ACTIONS(1320),
    [aux_sym_enum_case_token1] = ACTIONS(1320),
    [aux_sym_class_declaration_token1] = ACTIONS(1320),
    [aux_sym_final_modifier_token1] = ACTIONS(1320),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1320),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1320),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1320),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(1318),
    [aux_sym_cast_type_token1] = ACTIONS(1320),
    [aux_sym_echo_statement_token1] = ACTIONS(1320),
    [anon_sym_unset] = ACTIONS(1320),
    [aux_sym_declare_statement_token1] = ACTIONS(1320),
    [aux_sym_declare_statement_token2] = ACTIONS(1320),
    [sym_float] = ACTIONS(1320),
    [aux_sym_try_statement_token1] = ACTIONS(1320),
    [aux_sym_goto_statement_token1] = ACTIONS(1320),
    [aux_sym_continue_statement_token1] = ACTIONS(1320),
    [aux_sym_break_statement_token1] = ACTIONS(1320),
    [sym_integer] = ACTIONS(1320),
    [aux_sym_return_statement_token1] = ACTIONS(1320),
    [aux_sym_throw_expression_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token1] = ACTIONS(1320),
    [aux_sym_while_statement_token2] = ACTIONS(1320),
    [aux_sym_do_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token1] = ACTIONS(1320),
    [aux_sym_for_statement_token2] = ACTIONS(1320),
    [aux_sym_foreach_statement_token1] = ACTIONS(1320),
    [aux_sym_foreach_statement_token2] = ACTIONS(1320),
    [aux_sym_if_statement_token1] = ACTIONS(1320),
    [aux_sym_if_statement_token2] = ACTIONS(1320),
    [aux_sym_else_if_clause_token1] = ACTIONS(1320),
    [aux_sym_else_clause_token1] = ACTIONS(1320),
    [aux_sym_match_expression_token1] = ACTIONS(1320),
    [aux_sym_match_default_expression_token1] = ACTIONS(1320),
    [aux_sym_switch_statement_token1] = ACTIONS(1320),
    [aux_sym_switch_block_token1] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_BANG] = ACTIONS(1318),
    [aux_sym_clone_expression_token1] = ACTIONS(1320),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1320),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1318),
    [aux_sym__list_destructing_token1] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1318),
    [anon_sym_self] = ACTIONS(1320),
    [anon_sym_parent] = ACTIONS(1320),
    [anon_sym_POUND_LBRACK] = ACTIONS(1318),
    [anon_sym_SQUOTE] = ACTIONS(1318),
    [aux_sym_encapsed_string_token1] = ACTIONS(1318),
    [anon_sym_DQUOTE] = ACTIONS(1318),
    [aux_sym_string_token1] = ACTIONS(1318),
    [anon_sym_LT_LT_LT] = ACTIONS(1318),
    [anon_sym_BQUOTE] = ACTIONS(1318),
    [sym_boolean] = ACTIONS(1320),
    [sym_null] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1318),
    [aux_sym_yield_expression_token1] = ACTIONS(1320),
    [aux_sym_include_expression_token1] = ACTIONS(1320),
    [aux_sym_include_once_expression_token1] = ACTIONS(1320),
    [aux_sym_require_expression_token1] = ACTIONS(1320),
    [aux_sym_require_once_expression_token1] = ACTIONS(1320),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_name] = ACTIONS(1324),
    [anon_sym_QMARK_GT] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1322),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1324),
    [aux_sym_global_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_definition_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1324),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1324),
    [anon_sym_BSLASH] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_RBRACE] = ACTIONS(1322),
    [aux_sym_trait_declaration_token1] = ACTIONS(1324),
    [aux_sym_interface_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_declaration_token1] = ACTIONS(1324),
    [aux_sym_enum_case_token1] = ACTIONS(1324),
    [aux_sym_class_declaration_token1] = ACTIONS(1324),
    [aux_sym_final_modifier_token1] = ACTIONS(1324),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1324),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1324),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1324),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1322),
    [aux_sym_cast_type_token1] = ACTIONS(1324),
    [aux_sym_echo_statement_token1] = ACTIONS(1324),
    [anon_sym_unset] = ACTIONS(1324),
    [aux_sym_declare_statement_token1] = ACTIONS(1324),
    [aux_sym_declare_statement_token2] = ACTIONS(1324),
    [sym_float] = ACTIONS(1324),
    [aux_sym_try_statement_token1] = ACTIONS(1324),
    [aux_sym_goto_statement_token1] = ACTIONS(1324),
    [aux_sym_continue_statement_token1] = ACTIONS(1324),
    [aux_sym_break_statement_token1] = ACTIONS(1324),
    [sym_integer] = ACTIONS(1324),
    [aux_sym_return_statement_token1] = ACTIONS(1324),
    [aux_sym_throw_expression_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token1] = ACTIONS(1324),
    [aux_sym_while_statement_token2] = ACTIONS(1324),
    [aux_sym_do_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token1] = ACTIONS(1324),
    [aux_sym_for_statement_token2] = ACTIONS(1324),
    [aux_sym_foreach_statement_token1] = ACTIONS(1324),
    [aux_sym_foreach_statement_token2] = ACTIONS(1324),
    [aux_sym_if_statement_token1] = ACTIONS(1324),
    [aux_sym_if_statement_token2] = ACTIONS(1324),
    [aux_sym_else_if_clause_token1] = ACTIONS(1324),
    [aux_sym_else_clause_token1] = ACTIONS(1324),
    [aux_sym_match_expression_token1] = ACTIONS(1324),
    [aux_sym_match_default_expression_token1] = ACTIONS(1324),
    [aux_sym_switch_statement_token1] = ACTIONS(1324),
    [aux_sym_switch_block_token1] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [aux_sym_clone_expression_token1] = ACTIONS(1324),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1324),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1322),
    [aux_sym__list_destructing_token1] = ACTIONS(1324),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_self] = ACTIONS(1324),
    [anon_sym_parent] = ACTIONS(1324),
    [anon_sym_POUND_LBRACK] = ACTIONS(1322),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [aux_sym_encapsed_string_token1] = ACTIONS(1322),
    [anon_sym_DQUOTE] = ACTIONS(1322),
    [aux_sym_string_token1] = ACTIONS(1322),
    [anon_sym_LT_LT_LT] = ACTIONS(1322),
    [anon_sym_BQUOTE] = ACTIONS(1322),
    [sym_boolean] = ACTIONS(1324),
    [sym_null] = ACTIONS(1324),
    [anon_sym_DOLLAR] = ACTIONS(1322),
    [aux_sym_yield_expression_token1] = ACTIONS(1324),
    [aux_sym_include_expression_token1] = ACTIONS(1324),
    [aux_sym_include_once_expression_token1] = ACTIONS(1324),
    [aux_sym_require_expression_token1] = ACTIONS(1324),
    [aux_sym_require_once_expression_token1] = ACTIONS(1324),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_name] = ACTIONS(1328),
    [anon_sym_QMARK_GT] = ACTIONS(1326),
    [anon_sym_SEMI] = ACTIONS(1326),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1328),
    [aux_sym_global_declaration_token1] = ACTIONS(1328),
    [aux_sym_namespace_definition_token1] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1328),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1328),
    [anon_sym_BSLASH] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_RBRACE] = ACTIONS(1326),
    [aux_sym_trait_declaration_token1] = ACTIONS(1328),
    [aux_sym_interface_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_declaration_token1] = ACTIONS(1328),
    [aux_sym_enum_case_token1] = ACTIONS(1328),
    [aux_sym_class_declaration_token1] = ACTIONS(1328),
    [aux_sym_final_modifier_token1] = ACTIONS(1328),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1328),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1328),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1328),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [aux_sym_cast_type_token1] = ACTIONS(1328),
    [aux_sym_echo_statement_token1] = ACTIONS(1328),
    [anon_sym_unset] = ACTIONS(1328),
    [aux_sym_declare_statement_token1] = ACTIONS(1328),
    [aux_sym_declare_statement_token2] = ACTIONS(1328),
    [sym_float] = ACTIONS(1328),
    [aux_sym_try_statement_token1] = ACTIONS(1328),
    [aux_sym_goto_statement_token1] = ACTIONS(1328),
    [aux_sym_continue_statement_token1] = ACTIONS(1328),
    [aux_sym_break_statement_token1] = ACTIONS(1328),
    [sym_integer] = ACTIONS(1328),
    [aux_sym_return_statement_token1] = ACTIONS(1328),
    [aux_sym_throw_expression_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token1] = ACTIONS(1328),
    [aux_sym_while_statement_token2] = ACTIONS(1328),
    [aux_sym_do_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token1] = ACTIONS(1328),
    [aux_sym_for_statement_token2] = ACTIONS(1328),
    [aux_sym_foreach_statement_token1] = ACTIONS(1328),
    [aux_sym_foreach_statement_token2] = ACTIONS(1328),
    [aux_sym_if_statement_token1] = ACTIONS(1328),
    [aux_sym_if_statement_token2] = ACTIONS(1328),
    [aux_sym_else_if_clause_token1] = ACTIONS(1328),
    [aux_sym_else_clause_token1] = ACTIONS(1328),
    [aux_sym_match_expression_token1] = ACTIONS(1328),
    [aux_sym_match_default_expression_token1] = ACTIONS(1328),
    [aux_sym_switch_statement_token1] = ACTIONS(1328),
    [aux_sym_switch_block_token1] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_BANG] = ACTIONS(1326),
    [aux_sym_clone_expression_token1] = ACTIONS(1328),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1328),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1326),
    [aux_sym__list_destructing_token1] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_self] = ACTIONS(1328),
    [anon_sym_parent] = ACTIONS(1328),
    [anon_sym_POUND_LBRACK] = ACTIONS(1326),
    [anon_sym_SQUOTE] = ACTIONS(1326),
    [aux_sym_encapsed_string_token1] = ACTIONS(1326),
    [anon_sym_DQUOTE] = ACTIONS(1326),
    [aux_sym_string_token1] = ACTIONS(1326),
    [anon_sym_LT_LT_LT] = ACTIONS(1326),
    [anon_sym_BQUOTE] = ACTIONS(1326),
    [sym_boolean] = ACTIONS(1328),
    [sym_null] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1326),
    [aux_sym_yield_expression_token1] = ACTIONS(1328),
    [aux_sym_include_expression_token1] = ACTIONS(1328),
    [aux_sym_include_once_expression_token1] = ACTIONS(1328),
    [aux_sym_require_expression_token1] = ACTIONS(1328),
    [aux_sym_require_once_expression_token1] = ACTIONS(1328),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_name] = ACTIONS(1332),
    [anon_sym_QMARK_GT] = ACTIONS(1330),
    [anon_sym_SEMI] = ACTIONS(1330),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1332),
    [aux_sym_global_declaration_token1] = ACTIONS(1332),
    [aux_sym_namespace_definition_token1] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1332),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1332),
    [anon_sym_BSLASH] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [aux_sym_trait_declaration_token1] = ACTIONS(1332),
    [aux_sym_interface_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_declaration_token1] = ACTIONS(1332),
    [aux_sym_enum_case_token1] = ACTIONS(1332),
    [aux_sym_class_declaration_token1] = ACTIONS(1332),
    [aux_sym_final_modifier_token1] = ACTIONS(1332),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1332),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1332),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1332),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [aux_sym_cast_type_token1] = ACTIONS(1332),
    [aux_sym_echo_statement_token1] = ACTIONS(1332),
    [anon_sym_unset] = ACTIONS(1332),
    [aux_sym_declare_statement_token1] = ACTIONS(1332),
    [aux_sym_declare_statement_token2] = ACTIONS(1332),
    [sym_float] = ACTIONS(1332),
    [aux_sym_try_statement_token1] = ACTIONS(1332),
    [aux_sym_goto_statement_token1] = ACTIONS(1332),
    [aux_sym_continue_statement_token1] = ACTIONS(1332),
    [aux_sym_break_statement_token1] = ACTIONS(1332),
    [sym_integer] = ACTIONS(1332),
    [aux_sym_return_statement_token1] = ACTIONS(1332),
    [aux_sym_throw_expression_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token1] = ACTIONS(1332),
    [aux_sym_while_statement_token2] = ACTIONS(1332),
    [aux_sym_do_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token1] = ACTIONS(1332),
    [aux_sym_for_statement_token2] = ACTIONS(1332),
    [aux_sym_foreach_statement_token1] = ACTIONS(1332),
    [aux_sym_foreach_statement_token2] = ACTIONS(1332),
    [aux_sym_if_statement_token1] = ACTIONS(1332),
    [aux_sym_if_statement_token2] = ACTIONS(1332),
    [aux_sym_else_if_clause_token1] = ACTIONS(1332),
    [aux_sym_else_clause_token1] = ACTIONS(1332),
    [aux_sym_match_expression_token1] = ACTIONS(1332),
    [aux_sym_match_default_expression_token1] = ACTIONS(1332),
    [aux_sym_switch_statement_token1] = ACTIONS(1332),
    [aux_sym_switch_block_token1] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_BANG] = ACTIONS(1330),
    [aux_sym_clone_expression_token1] = ACTIONS(1332),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1332),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1330),
    [aux_sym__list_destructing_token1] = ACTIONS(1332),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_self] = ACTIONS(1332),
    [anon_sym_parent] = ACTIONS(1332),
    [anon_sym_POUND_LBRACK] = ACTIONS(1330),
    [anon_sym_SQUOTE] = ACTIONS(1330),
    [aux_sym_encapsed_string_token1] = ACTIONS(1330),
    [anon_sym_DQUOTE] = ACTIONS(1330),
    [aux_sym_string_token1] = ACTIONS(1330),
    [anon_sym_LT_LT_LT] = ACTIONS(1330),
    [anon_sym_BQUOTE] = ACTIONS(1330),
    [sym_boolean] = ACTIONS(1332),
    [sym_null] = ACTIONS(1332),
    [anon_sym_DOLLAR] = ACTIONS(1330),
    [aux_sym_yield_expression_token1] = ACTIONS(1332),
    [aux_sym_include_expression_token1] = ACTIONS(1332),
    [aux_sym_include_once_expression_token1] = ACTIONS(1332),
    [aux_sym_require_expression_token1] = ACTIONS(1332),
    [aux_sym_require_once_expression_token1] = ACTIONS(1332),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_name] = ACTIONS(1336),
    [anon_sym_QMARK_GT] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(1334),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1336),
    [aux_sym_global_declaration_token1] = ACTIONS(1336),
    [aux_sym_namespace_definition_token1] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1336),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1336),
    [anon_sym_BSLASH] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [aux_sym_trait_declaration_token1] = ACTIONS(1336),
    [aux_sym_interface_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_declaration_token1] = ACTIONS(1336),
    [aux_sym_enum_case_token1] = ACTIONS(1336),
    [aux_sym_class_declaration_token1] = ACTIONS(1336),
    [aux_sym_final_modifier_token1] = ACTIONS(1336),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1336),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1336),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1336),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [aux_sym_cast_type_token1] = ACTIONS(1336),
    [aux_sym_echo_statement_token1] = ACTIONS(1336),
    [anon_sym_unset] = ACTIONS(1336),
    [aux_sym_declare_statement_token1] = ACTIONS(1336),
    [aux_sym_declare_statement_token2] = ACTIONS(1336),
    [sym_float] = ACTIONS(1336),
    [aux_sym_try_statement_token1] = ACTIONS(1336),
    [aux_sym_goto_statement_token1] = ACTIONS(1336),
    [aux_sym_continue_statement_token1] = ACTIONS(1336),
    [aux_sym_break_statement_token1] = ACTIONS(1336),
    [sym_integer] = ACTIONS(1336),
    [aux_sym_return_statement_token1] = ACTIONS(1336),
    [aux_sym_throw_expression_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token1] = ACTIONS(1336),
    [aux_sym_while_statement_token2] = ACTIONS(1336),
    [aux_sym_do_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token1] = ACTIONS(1336),
    [aux_sym_for_statement_token2] = ACTIONS(1336),
    [aux_sym_foreach_statement_token1] = ACTIONS(1336),
    [aux_sym_foreach_statement_token2] = ACTIONS(1336),
    [aux_sym_if_statement_token1] = ACTIONS(1336),
    [aux_sym_if_statement_token2] = ACTIONS(1336),
    [aux_sym_else_if_clause_token1] = ACTIONS(1336),
    [aux_sym_else_clause_token1] = ACTIONS(1336),
    [aux_sym_match_expression_token1] = ACTIONS(1336),
    [aux_sym_match_default_expression_token1] = ACTIONS(1336),
    [aux_sym_switch_statement_token1] = ACTIONS(1336),
    [aux_sym_switch_block_token1] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_BANG] = ACTIONS(1334),
    [aux_sym_clone_expression_token1] = ACTIONS(1336),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1336),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1334),
    [aux_sym__list_destructing_token1] = ACTIONS(1336),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_self] = ACTIONS(1336),
    [anon_sym_parent] = ACTIONS(1336),
    [anon_sym_POUND_LBRACK] = ACTIONS(1334),
    [anon_sym_SQUOTE] = ACTIONS(1334),
    [aux_sym_encapsed_string_token1] = ACTIONS(1334),
    [anon_sym_DQUOTE] = ACTIONS(1334),
    [aux_sym_string_token1] = ACTIONS(1334),
    [anon_sym_LT_LT_LT] = ACTIONS(1334),
    [anon_sym_BQUOTE] = ACTIONS(1334),
    [sym_boolean] = ACTIONS(1336),
    [sym_null] = ACTIONS(1336),
    [anon_sym_DOLLAR] = ACTIONS(1334),
    [aux_sym_yield_expression_token1] = ACTIONS(1336),
    [aux_sym_include_expression_token1] = ACTIONS(1336),
    [aux_sym_include_once_expression_token1] = ACTIONS(1336),
    [aux_sym_require_expression_token1] = ACTIONS(1336),
    [aux_sym_require_once_expression_token1] = ACTIONS(1336),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_name] = ACTIONS(1340),
    [anon_sym_QMARK_GT] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1340),
    [aux_sym_global_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_definition_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1340),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [aux_sym_trait_declaration_token1] = ACTIONS(1340),
    [aux_sym_interface_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_case_token1] = ACTIONS(1340),
    [aux_sym_class_declaration_token1] = ACTIONS(1340),
    [aux_sym_final_modifier_token1] = ACTIONS(1340),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1340),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1340),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [aux_sym_cast_type_token1] = ACTIONS(1340),
    [aux_sym_echo_statement_token1] = ACTIONS(1340),
    [anon_sym_unset] = ACTIONS(1340),
    [aux_sym_declare_statement_token1] = ACTIONS(1340),
    [aux_sym_declare_statement_token2] = ACTIONS(1340),
    [sym_float] = ACTIONS(1340),
    [aux_sym_try_statement_token1] = ACTIONS(1340),
    [aux_sym_goto_statement_token1] = ACTIONS(1340),
    [aux_sym_continue_statement_token1] = ACTIONS(1340),
    [aux_sym_break_statement_token1] = ACTIONS(1340),
    [sym_integer] = ACTIONS(1340),
    [aux_sym_return_statement_token1] = ACTIONS(1340),
    [aux_sym_throw_expression_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token2] = ACTIONS(1340),
    [aux_sym_do_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token2] = ACTIONS(1340),
    [aux_sym_foreach_statement_token1] = ACTIONS(1340),
    [aux_sym_foreach_statement_token2] = ACTIONS(1340),
    [aux_sym_if_statement_token1] = ACTIONS(1340),
    [aux_sym_if_statement_token2] = ACTIONS(1340),
    [aux_sym_else_if_clause_token1] = ACTIONS(1340),
    [aux_sym_else_clause_token1] = ACTIONS(1340),
    [aux_sym_match_expression_token1] = ACTIONS(1340),
    [aux_sym_match_default_expression_token1] = ACTIONS(1340),
    [aux_sym_switch_statement_token1] = ACTIONS(1340),
    [aux_sym_switch_block_token1] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [aux_sym_clone_expression_token1] = ACTIONS(1340),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1340),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [aux_sym__list_destructing_token1] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_self] = ACTIONS(1340),
    [anon_sym_parent] = ACTIONS(1340),
    [anon_sym_POUND_LBRACK] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [aux_sym_encapsed_string_token1] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [aux_sym_string_token1] = ACTIONS(1338),
    [anon_sym_LT_LT_LT] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [sym_boolean] = ACTIONS(1340),
    [sym_null] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [aux_sym_yield_expression_token1] = ACTIONS(1340),
    [aux_sym_include_expression_token1] = ACTIONS(1340),
    [aux_sym_include_once_expression_token1] = ACTIONS(1340),
    [aux_sym_require_expression_token1] = ACTIONS(1340),
    [aux_sym_require_once_expression_token1] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_name] = ACTIONS(1344),
    [anon_sym_QMARK_GT] = ACTIONS(1342),
    [anon_sym_SEMI] = ACTIONS(1342),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1344),
    [aux_sym_global_declaration_token1] = ACTIONS(1344),
    [aux_sym_namespace_definition_token1] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1344),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1344),
    [anon_sym_BSLASH] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_RBRACE] = ACTIONS(1342),
    [aux_sym_trait_declaration_token1] = ACTIONS(1344),
    [aux_sym_interface_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_declaration_token1] = ACTIONS(1344),
    [aux_sym_enum_case_token1] = ACTIONS(1344),
    [aux_sym_class_declaration_token1] = ACTIONS(1344),
    [aux_sym_final_modifier_token1] = ACTIONS(1344),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1344),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1344),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1344),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1342),
    [aux_sym_cast_type_token1] = ACTIONS(1344),
    [aux_sym_echo_statement_token1] = ACTIONS(1344),
    [anon_sym_unset] = ACTIONS(1344),
    [aux_sym_declare_statement_token1] = ACTIONS(1344),
    [aux_sym_declare_statement_token2] = ACTIONS(1344),
    [sym_float] = ACTIONS(1344),
    [aux_sym_try_statement_token1] = ACTIONS(1344),
    [aux_sym_goto_statement_token1] = ACTIONS(1344),
    [aux_sym_continue_statement_token1] = ACTIONS(1344),
    [aux_sym_break_statement_token1] = ACTIONS(1344),
    [sym_integer] = ACTIONS(1344),
    [aux_sym_return_statement_token1] = ACTIONS(1344),
    [aux_sym_throw_expression_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token1] = ACTIONS(1344),
    [aux_sym_while_statement_token2] = ACTIONS(1344),
    [aux_sym_do_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token1] = ACTIONS(1344),
    [aux_sym_for_statement_token2] = ACTIONS(1344),
    [aux_sym_foreach_statement_token1] = ACTIONS(1344),
    [aux_sym_foreach_statement_token2] = ACTIONS(1344),
    [aux_sym_if_statement_token1] = ACTIONS(1344),
    [aux_sym_if_statement_token2] = ACTIONS(1344),
    [aux_sym_else_if_clause_token1] = ACTIONS(1344),
    [aux_sym_else_clause_token1] = ACTIONS(1344),
    [aux_sym_match_expression_token1] = ACTIONS(1344),
    [aux_sym_match_default_expression_token1] = ACTIONS(1344),
    [aux_sym_switch_statement_token1] = ACTIONS(1344),
    [aux_sym_switch_block_token1] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_BANG] = ACTIONS(1342),
    [aux_sym_clone_expression_token1] = ACTIONS(1344),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1344),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1342),
    [aux_sym__list_destructing_token1] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [anon_sym_self] = ACTIONS(1344),
    [anon_sym_parent] = ACTIONS(1344),
    [anon_sym_POUND_LBRACK] = ACTIONS(1342),
    [anon_sym_SQUOTE] = ACTIONS(1342),
    [aux_sym_encapsed_string_token1] = ACTIONS(1342),
    [anon_sym_DQUOTE] = ACTIONS(1342),
    [aux_sym_string_token1] = ACTIONS(1342),
    [anon_sym_LT_LT_LT] = ACTIONS(1342),
    [anon_sym_BQUOTE] = ACTIONS(1342),
    [sym_boolean] = ACTIONS(1344),
    [sym_null] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1342),
    [aux_sym_yield_expression_token1] = ACTIONS(1344),
    [aux_sym_include_expression_token1] = ACTIONS(1344),
    [aux_sym_include_once_expression_token1] = ACTIONS(1344),
    [aux_sym_require_expression_token1] = ACTIONS(1344),
    [aux_sym_require_once_expression_token1] = ACTIONS(1344),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_name] = ACTIONS(1348),
    [anon_sym_QMARK_GT] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1348),
    [aux_sym_global_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_definition_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [aux_sym_trait_declaration_token1] = ACTIONS(1348),
    [aux_sym_interface_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_case_token1] = ACTIONS(1348),
    [aux_sym_class_declaration_token1] = ACTIONS(1348),
    [aux_sym_final_modifier_token1] = ACTIONS(1348),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1348),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1348),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1346),
    [aux_sym_cast_type_token1] = ACTIONS(1348),
    [aux_sym_echo_statement_token1] = ACTIONS(1348),
    [anon_sym_unset] = ACTIONS(1348),
    [aux_sym_declare_statement_token1] = ACTIONS(1348),
    [aux_sym_declare_statement_token2] = ACTIONS(1348),
    [sym_float] = ACTIONS(1348),
    [aux_sym_try_statement_token1] = ACTIONS(1348),
    [aux_sym_goto_statement_token1] = ACTIONS(1348),
    [aux_sym_continue_statement_token1] = ACTIONS(1348),
    [aux_sym_break_statement_token1] = ACTIONS(1348),
    [sym_integer] = ACTIONS(1348),
    [aux_sym_return_statement_token1] = ACTIONS(1348),
    [aux_sym_throw_expression_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token2] = ACTIONS(1348),
    [aux_sym_do_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token2] = ACTIONS(1348),
    [aux_sym_foreach_statement_token1] = ACTIONS(1348),
    [aux_sym_foreach_statement_token2] = ACTIONS(1348),
    [aux_sym_if_statement_token1] = ACTIONS(1348),
    [aux_sym_if_statement_token2] = ACTIONS(1348),
    [aux_sym_else_if_clause_token1] = ACTIONS(1348),
    [aux_sym_else_clause_token1] = ACTIONS(1348),
    [aux_sym_match_expression_token1] = ACTIONS(1348),
    [aux_sym_match_default_expression_token1] = ACTIONS(1348),
    [aux_sym_switch_statement_token1] = ACTIONS(1348),
    [aux_sym_switch_block_token1] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [aux_sym_clone_expression_token1] = ACTIONS(1348),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1348),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [aux_sym__list_destructing_token1] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_self] = ACTIONS(1348),
    [anon_sym_parent] = ACTIONS(1348),
    [anon_sym_POUND_LBRACK] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [aux_sym_encapsed_string_token1] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [aux_sym_string_token1] = ACTIONS(1346),
    [anon_sym_LT_LT_LT] = ACTIONS(1346),
    [anon_sym_BQUOTE] = ACTIONS(1346),
    [sym_boolean] = ACTIONS(1348),
    [sym_null] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [aux_sym_yield_expression_token1] = ACTIONS(1348),
    [aux_sym_include_expression_token1] = ACTIONS(1348),
    [aux_sym_include_once_expression_token1] = ACTIONS(1348),
    [aux_sym_require_expression_token1] = ACTIONS(1348),
    [aux_sym_require_once_expression_token1] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_name] = ACTIONS(1348),
    [anon_sym_QMARK_GT] = ACTIONS(1346),
    [anon_sym_SEMI] = ACTIONS(1346),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1348),
    [aux_sym_global_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_definition_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1348),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1348),
    [anon_sym_BSLASH] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_RBRACE] = ACTIONS(1346),
    [aux_sym_trait_declaration_token1] = ACTIONS(1348),
    [aux_sym_interface_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_declaration_token1] = ACTIONS(1348),
    [aux_sym_enum_case_token1] = ACTIONS(1348),
    [aux_sym_class_declaration_token1] = ACTIONS(1348),
    [aux_sym_final_modifier_token1] = ACTIONS(1348),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1348),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1348),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1348),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1346),
    [aux_sym_cast_type_token1] = ACTIONS(1348),
    [aux_sym_echo_statement_token1] = ACTIONS(1348),
    [anon_sym_unset] = ACTIONS(1348),
    [aux_sym_declare_statement_token1] = ACTIONS(1348),
    [aux_sym_declare_statement_token2] = ACTIONS(1348),
    [sym_float] = ACTIONS(1348),
    [aux_sym_try_statement_token1] = ACTIONS(1348),
    [aux_sym_goto_statement_token1] = ACTIONS(1348),
    [aux_sym_continue_statement_token1] = ACTIONS(1348),
    [aux_sym_break_statement_token1] = ACTIONS(1348),
    [sym_integer] = ACTIONS(1348),
    [aux_sym_return_statement_token1] = ACTIONS(1348),
    [aux_sym_throw_expression_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token1] = ACTIONS(1348),
    [aux_sym_while_statement_token2] = ACTIONS(1348),
    [aux_sym_do_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token1] = ACTIONS(1348),
    [aux_sym_for_statement_token2] = ACTIONS(1348),
    [aux_sym_foreach_statement_token1] = ACTIONS(1348),
    [aux_sym_foreach_statement_token2] = ACTIONS(1348),
    [aux_sym_if_statement_token1] = ACTIONS(1348),
    [aux_sym_if_statement_token2] = ACTIONS(1348),
    [aux_sym_else_if_clause_token1] = ACTIONS(1348),
    [aux_sym_else_clause_token1] = ACTIONS(1348),
    [aux_sym_match_expression_token1] = ACTIONS(1348),
    [aux_sym_match_default_expression_token1] = ACTIONS(1348),
    [aux_sym_switch_statement_token1] = ACTIONS(1348),
    [aux_sym_switch_block_token1] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_BANG] = ACTIONS(1346),
    [aux_sym_clone_expression_token1] = ACTIONS(1348),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1348),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1346),
    [aux_sym__list_destructing_token1] = ACTIONS(1348),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_self] = ACTIONS(1348),
    [anon_sym_parent] = ACTIONS(1348),
    [anon_sym_POUND_LBRACK] = ACTIONS(1346),
    [anon_sym_SQUOTE] = ACTIONS(1346),
    [aux_sym_encapsed_string_token1] = ACTIONS(1346),
    [anon_sym_DQUOTE] = ACTIONS(1346),
    [aux_sym_string_token1] = ACTIONS(1346),
    [anon_sym_LT_LT_LT] = ACTIONS(1346),
    [anon_sym_BQUOTE] = ACTIONS(1346),
    [sym_boolean] = ACTIONS(1348),
    [sym_null] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1346),
    [aux_sym_yield_expression_token1] = ACTIONS(1348),
    [aux_sym_include_expression_token1] = ACTIONS(1348),
    [aux_sym_include_once_expression_token1] = ACTIONS(1348),
    [aux_sym_require_expression_token1] = ACTIONS(1348),
    [aux_sym_require_once_expression_token1] = ACTIONS(1348),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_name] = ACTIONS(1352),
    [anon_sym_QMARK_GT] = ACTIONS(1350),
    [anon_sym_SEMI] = ACTIONS(1350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1352),
    [aux_sym_global_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_definition_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1352),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1352),
    [anon_sym_BSLASH] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [aux_sym_trait_declaration_token1] = ACTIONS(1352),
    [aux_sym_interface_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_declaration_token1] = ACTIONS(1352),
    [aux_sym_enum_case_token1] = ACTIONS(1352),
    [aux_sym_class_declaration_token1] = ACTIONS(1352),
    [aux_sym_final_modifier_token1] = ACTIONS(1352),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1352),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1352),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1352),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [aux_sym_cast_type_token1] = ACTIONS(1352),
    [aux_sym_echo_statement_token1] = ACTIONS(1352),
    [anon_sym_unset] = ACTIONS(1352),
    [aux_sym_declare_statement_token1] = ACTIONS(1352),
    [aux_sym_declare_statement_token2] = ACTIONS(1352),
    [sym_float] = ACTIONS(1352),
    [aux_sym_try_statement_token1] = ACTIONS(1352),
    [aux_sym_goto_statement_token1] = ACTIONS(1352),
    [aux_sym_continue_statement_token1] = ACTIONS(1352),
    [aux_sym_break_statement_token1] = ACTIONS(1352),
    [sym_integer] = ACTIONS(1352),
    [aux_sym_return_statement_token1] = ACTIONS(1352),
    [aux_sym_throw_expression_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token1] = ACTIONS(1352),
    [aux_sym_while_statement_token2] = ACTIONS(1352),
    [aux_sym_do_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token1] = ACTIONS(1352),
    [aux_sym_for_statement_token2] = ACTIONS(1352),
    [aux_sym_foreach_statement_token1] = ACTIONS(1352),
    [aux_sym_foreach_statement_token2] = ACTIONS(1352),
    [aux_sym_if_statement_token1] = ACTIONS(1352),
    [aux_sym_if_statement_token2] = ACTIONS(1352),
    [aux_sym_else_if_clause_token1] = ACTIONS(1352),
    [aux_sym_else_clause_token1] = ACTIONS(1352),
    [aux_sym_match_expression_token1] = ACTIONS(1352),
    [aux_sym_match_default_expression_token1] = ACTIONS(1352),
    [aux_sym_switch_statement_token1] = ACTIONS(1352),
    [aux_sym_switch_block_token1] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_BANG] = ACTIONS(1350),
    [aux_sym_clone_expression_token1] = ACTIONS(1352),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1352),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1350),
    [aux_sym__list_destructing_token1] = ACTIONS(1352),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_self] = ACTIONS(1352),
    [anon_sym_parent] = ACTIONS(1352),
    [anon_sym_POUND_LBRACK] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1350),
    [aux_sym_encapsed_string_token1] = ACTIONS(1350),
    [anon_sym_DQUOTE] = ACTIONS(1350),
    [aux_sym_string_token1] = ACTIONS(1350),
    [anon_sym_LT_LT_LT] = ACTIONS(1350),
    [anon_sym_BQUOTE] = ACTIONS(1350),
    [sym_boolean] = ACTIONS(1352),
    [sym_null] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1350),
    [aux_sym_yield_expression_token1] = ACTIONS(1352),
    [aux_sym_include_expression_token1] = ACTIONS(1352),
    [aux_sym_include_once_expression_token1] = ACTIONS(1352),
    [aux_sym_require_expression_token1] = ACTIONS(1352),
    [aux_sym_require_once_expression_token1] = ACTIONS(1352),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_name] = ACTIONS(1356),
    [anon_sym_QMARK_GT] = ACTIONS(1354),
    [anon_sym_SEMI] = ACTIONS(1354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1356),
    [aux_sym_global_declaration_token1] = ACTIONS(1356),
    [aux_sym_namespace_definition_token1] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1356),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1356),
    [anon_sym_BSLASH] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [aux_sym_trait_declaration_token1] = ACTIONS(1356),
    [aux_sym_interface_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_declaration_token1] = ACTIONS(1356),
    [aux_sym_enum_case_token1] = ACTIONS(1356),
    [aux_sym_class_declaration_token1] = ACTIONS(1356),
    [aux_sym_final_modifier_token1] = ACTIONS(1356),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1356),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1356),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1356),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [aux_sym_cast_type_token1] = ACTIONS(1356),
    [aux_sym_echo_statement_token1] = ACTIONS(1356),
    [anon_sym_unset] = ACTIONS(1356),
    [aux_sym_declare_statement_token1] = ACTIONS(1356),
    [aux_sym_declare_statement_token2] = ACTIONS(1356),
    [sym_float] = ACTIONS(1356),
    [aux_sym_try_statement_token1] = ACTIONS(1356),
    [aux_sym_goto_statement_token1] = ACTIONS(1356),
    [aux_sym_continue_statement_token1] = ACTIONS(1356),
    [aux_sym_break_statement_token1] = ACTIONS(1356),
    [sym_integer] = ACTIONS(1356),
    [aux_sym_return_statement_token1] = ACTIONS(1356),
    [aux_sym_throw_expression_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token1] = ACTIONS(1356),
    [aux_sym_while_statement_token2] = ACTIONS(1356),
    [aux_sym_do_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token1] = ACTIONS(1356),
    [aux_sym_for_statement_token2] = ACTIONS(1356),
    [aux_sym_foreach_statement_token1] = ACTIONS(1356),
    [aux_sym_foreach_statement_token2] = ACTIONS(1356),
    [aux_sym_if_statement_token1] = ACTIONS(1356),
    [aux_sym_if_statement_token2] = ACTIONS(1356),
    [aux_sym_else_if_clause_token1] = ACTIONS(1356),
    [aux_sym_else_clause_token1] = ACTIONS(1356),
    [aux_sym_match_expression_token1] = ACTIONS(1356),
    [aux_sym_match_default_expression_token1] = ACTIONS(1356),
    [aux_sym_switch_statement_token1] = ACTIONS(1356),
    [aux_sym_switch_block_token1] = ACTIONS(1356),
    [anon_sym_AT] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_BANG] = ACTIONS(1354),
    [aux_sym_clone_expression_token1] = ACTIONS(1356),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1356),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1354),
    [aux_sym__list_destructing_token1] = ACTIONS(1356),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_self] = ACTIONS(1356),
    [anon_sym_parent] = ACTIONS(1356),
    [anon_sym_POUND_LBRACK] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1354),
    [aux_sym_encapsed_string_token1] = ACTIONS(1354),
    [anon_sym_DQUOTE] = ACTIONS(1354),
    [aux_sym_string_token1] = ACTIONS(1354),
    [anon_sym_LT_LT_LT] = ACTIONS(1354),
    [anon_sym_BQUOTE] = ACTIONS(1354),
    [sym_boolean] = ACTIONS(1356),
    [sym_null] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1354),
    [aux_sym_yield_expression_token1] = ACTIONS(1356),
    [aux_sym_include_expression_token1] = ACTIONS(1356),
    [aux_sym_include_once_expression_token1] = ACTIONS(1356),
    [aux_sym_require_expression_token1] = ACTIONS(1356),
    [aux_sym_require_once_expression_token1] = ACTIONS(1356),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_name] = ACTIONS(1340),
    [anon_sym_QMARK_GT] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(1338),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1340),
    [aux_sym_global_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_definition_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1340),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1340),
    [anon_sym_BSLASH] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [aux_sym_trait_declaration_token1] = ACTIONS(1340),
    [aux_sym_interface_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_declaration_token1] = ACTIONS(1340),
    [aux_sym_enum_case_token1] = ACTIONS(1340),
    [aux_sym_class_declaration_token1] = ACTIONS(1340),
    [aux_sym_final_modifier_token1] = ACTIONS(1340),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1340),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1340),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1340),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [aux_sym_cast_type_token1] = ACTIONS(1340),
    [aux_sym_echo_statement_token1] = ACTIONS(1340),
    [anon_sym_unset] = ACTIONS(1340),
    [aux_sym_declare_statement_token1] = ACTIONS(1340),
    [aux_sym_declare_statement_token2] = ACTIONS(1340),
    [sym_float] = ACTIONS(1340),
    [aux_sym_try_statement_token1] = ACTIONS(1340),
    [aux_sym_goto_statement_token1] = ACTIONS(1340),
    [aux_sym_continue_statement_token1] = ACTIONS(1340),
    [aux_sym_break_statement_token1] = ACTIONS(1340),
    [sym_integer] = ACTIONS(1340),
    [aux_sym_return_statement_token1] = ACTIONS(1340),
    [aux_sym_throw_expression_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token1] = ACTIONS(1340),
    [aux_sym_while_statement_token2] = ACTIONS(1340),
    [aux_sym_do_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token1] = ACTIONS(1340),
    [aux_sym_for_statement_token2] = ACTIONS(1340),
    [aux_sym_foreach_statement_token1] = ACTIONS(1340),
    [aux_sym_foreach_statement_token2] = ACTIONS(1340),
    [aux_sym_if_statement_token1] = ACTIONS(1340),
    [aux_sym_if_statement_token2] = ACTIONS(1340),
    [aux_sym_else_if_clause_token1] = ACTIONS(1340),
    [aux_sym_else_clause_token1] = ACTIONS(1340),
    [aux_sym_match_expression_token1] = ACTIONS(1340),
    [aux_sym_match_default_expression_token1] = ACTIONS(1340),
    [aux_sym_switch_statement_token1] = ACTIONS(1340),
    [aux_sym_switch_block_token1] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_BANG] = ACTIONS(1338),
    [aux_sym_clone_expression_token1] = ACTIONS(1340),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1340),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1338),
    [aux_sym__list_destructing_token1] = ACTIONS(1340),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_self] = ACTIONS(1340),
    [anon_sym_parent] = ACTIONS(1340),
    [anon_sym_POUND_LBRACK] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1338),
    [aux_sym_encapsed_string_token1] = ACTIONS(1338),
    [anon_sym_DQUOTE] = ACTIONS(1338),
    [aux_sym_string_token1] = ACTIONS(1338),
    [anon_sym_LT_LT_LT] = ACTIONS(1338),
    [anon_sym_BQUOTE] = ACTIONS(1338),
    [sym_boolean] = ACTIONS(1340),
    [sym_null] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1338),
    [aux_sym_yield_expression_token1] = ACTIONS(1340),
    [aux_sym_include_expression_token1] = ACTIONS(1340),
    [aux_sym_include_once_expression_token1] = ACTIONS(1340),
    [aux_sym_require_expression_token1] = ACTIONS(1340),
    [aux_sym_require_once_expression_token1] = ACTIONS(1340),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_name] = ACTIONS(1360),
    [anon_sym_QMARK_GT] = ACTIONS(1358),
    [anon_sym_SEMI] = ACTIONS(1358),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1360),
    [aux_sym_global_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_definition_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1360),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1360),
    [anon_sym_BSLASH] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_RBRACE] = ACTIONS(1358),
    [aux_sym_trait_declaration_token1] = ACTIONS(1360),
    [aux_sym_interface_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_declaration_token1] = ACTIONS(1360),
    [aux_sym_enum_case_token1] = ACTIONS(1360),
    [aux_sym_class_declaration_token1] = ACTIONS(1360),
    [aux_sym_final_modifier_token1] = ACTIONS(1360),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1360),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1360),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1360),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1358),
    [aux_sym_cast_type_token1] = ACTIONS(1360),
    [aux_sym_echo_statement_token1] = ACTIONS(1360),
    [anon_sym_unset] = ACTIONS(1360),
    [aux_sym_declare_statement_token1] = ACTIONS(1360),
    [aux_sym_declare_statement_token2] = ACTIONS(1360),
    [sym_float] = ACTIONS(1360),
    [aux_sym_try_statement_token1] = ACTIONS(1360),
    [aux_sym_goto_statement_token1] = ACTIONS(1360),
    [aux_sym_continue_statement_token1] = ACTIONS(1360),
    [aux_sym_break_statement_token1] = ACTIONS(1360),
    [sym_integer] = ACTIONS(1360),
    [aux_sym_return_statement_token1] = ACTIONS(1360),
    [aux_sym_throw_expression_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token1] = ACTIONS(1360),
    [aux_sym_while_statement_token2] = ACTIONS(1360),
    [aux_sym_do_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token1] = ACTIONS(1360),
    [aux_sym_for_statement_token2] = ACTIONS(1360),
    [aux_sym_foreach_statement_token1] = ACTIONS(1360),
    [aux_sym_foreach_statement_token2] = ACTIONS(1360),
    [aux_sym_if_statement_token1] = ACTIONS(1360),
    [aux_sym_if_statement_token2] = ACTIONS(1360),
    [aux_sym_else_if_clause_token1] = ACTIONS(1360),
    [aux_sym_else_clause_token1] = ACTIONS(1360),
    [aux_sym_match_expression_token1] = ACTIONS(1360),
    [aux_sym_match_default_expression_token1] = ACTIONS(1360),
    [aux_sym_switch_statement_token1] = ACTIONS(1360),
    [aux_sym_switch_block_token1] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_BANG] = ACTIONS(1358),
    [aux_sym_clone_expression_token1] = ACTIONS(1360),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1360),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [aux_sym__list_destructing_token1] = ACTIONS(1360),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [anon_sym_self] = ACTIONS(1360),
    [anon_sym_parent] = ACTIONS(1360),
    [anon_sym_POUND_LBRACK] = ACTIONS(1358),
    [anon_sym_SQUOTE] = ACTIONS(1358),
    [aux_sym_encapsed_string_token1] = ACTIONS(1358),
    [anon_sym_DQUOTE] = ACTIONS(1358),
    [aux_sym_string_token1] = ACTIONS(1358),
    [anon_sym_LT_LT_LT] = ACTIONS(1358),
    [anon_sym_BQUOTE] = ACTIONS(1358),
    [sym_boolean] = ACTIONS(1360),
    [sym_null] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1358),
    [aux_sym_yield_expression_token1] = ACTIONS(1360),
    [aux_sym_include_expression_token1] = ACTIONS(1360),
    [aux_sym_include_once_expression_token1] = ACTIONS(1360),
    [aux_sym_require_expression_token1] = ACTIONS(1360),
    [aux_sym_require_once_expression_token1] = ACTIONS(1360),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_name] = ACTIONS(1364),
    [anon_sym_QMARK_GT] = ACTIONS(1362),
    [anon_sym_SEMI] = ACTIONS(1362),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1364),
    [aux_sym_global_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_definition_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1364),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1364),
    [anon_sym_BSLASH] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [aux_sym_trait_declaration_token1] = ACTIONS(1364),
    [aux_sym_interface_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_declaration_token1] = ACTIONS(1364),
    [aux_sym_enum_case_token1] = ACTIONS(1364),
    [aux_sym_class_declaration_token1] = ACTIONS(1364),
    [aux_sym_final_modifier_token1] = ACTIONS(1364),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1364),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1364),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1364),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [aux_sym_cast_type_token1] = ACTIONS(1364),
    [aux_sym_echo_statement_token1] = ACTIONS(1364),
    [anon_sym_unset] = ACTIONS(1364),
    [aux_sym_declare_statement_token1] = ACTIONS(1364),
    [aux_sym_declare_statement_token2] = ACTIONS(1364),
    [sym_float] = ACTIONS(1364),
    [aux_sym_try_statement_token1] = ACTIONS(1364),
    [aux_sym_goto_statement_token1] = ACTIONS(1364),
    [aux_sym_continue_statement_token1] = ACTIONS(1364),
    [aux_sym_break_statement_token1] = ACTIONS(1364),
    [sym_integer] = ACTIONS(1364),
    [aux_sym_return_statement_token1] = ACTIONS(1364),
    [aux_sym_throw_expression_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token1] = ACTIONS(1364),
    [aux_sym_while_statement_token2] = ACTIONS(1364),
    [aux_sym_do_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token1] = ACTIONS(1364),
    [aux_sym_for_statement_token2] = ACTIONS(1364),
    [aux_sym_foreach_statement_token1] = ACTIONS(1364),
    [aux_sym_foreach_statement_token2] = ACTIONS(1364),
    [aux_sym_if_statement_token1] = ACTIONS(1364),
    [aux_sym_if_statement_token2] = ACTIONS(1364),
    [aux_sym_else_if_clause_token1] = ACTIONS(1364),
    [aux_sym_else_clause_token1] = ACTIONS(1364),
    [aux_sym_match_expression_token1] = ACTIONS(1364),
    [aux_sym_match_default_expression_token1] = ACTIONS(1364),
    [aux_sym_switch_statement_token1] = ACTIONS(1364),
    [aux_sym_switch_block_token1] = ACTIONS(1364),
    [anon_sym_AT] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_BANG] = ACTIONS(1362),
    [aux_sym_clone_expression_token1] = ACTIONS(1364),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1364),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1362),
    [aux_sym__list_destructing_token1] = ACTIONS(1364),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_self] = ACTIONS(1364),
    [anon_sym_parent] = ACTIONS(1364),
    [anon_sym_POUND_LBRACK] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1362),
    [aux_sym_encapsed_string_token1] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1362),
    [aux_sym_string_token1] = ACTIONS(1362),
    [anon_sym_LT_LT_LT] = ACTIONS(1362),
    [anon_sym_BQUOTE] = ACTIONS(1362),
    [sym_boolean] = ACTIONS(1364),
    [sym_null] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1362),
    [aux_sym_yield_expression_token1] = ACTIONS(1364),
    [aux_sym_include_expression_token1] = ACTIONS(1364),
    [aux_sym_include_once_expression_token1] = ACTIONS(1364),
    [aux_sym_require_expression_token1] = ACTIONS(1364),
    [aux_sym_require_once_expression_token1] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_name] = ACTIONS(1368),
    [anon_sym_QMARK_GT] = ACTIONS(1366),
    [anon_sym_SEMI] = ACTIONS(1366),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1368),
    [aux_sym_global_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_definition_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1368),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1368),
    [anon_sym_BSLASH] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [aux_sym_trait_declaration_token1] = ACTIONS(1368),
    [aux_sym_interface_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_declaration_token1] = ACTIONS(1368),
    [aux_sym_enum_case_token1] = ACTIONS(1368),
    [aux_sym_class_declaration_token1] = ACTIONS(1368),
    [aux_sym_final_modifier_token1] = ACTIONS(1368),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1368),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1368),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1368),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1368),
    [anon_sym_LPAREN] = ACTIONS(1366),
    [aux_sym_cast_type_token1] = ACTIONS(1368),
    [aux_sym_echo_statement_token1] = ACTIONS(1368),
    [anon_sym_unset] = ACTIONS(1368),
    [aux_sym_declare_statement_token1] = ACTIONS(1368),
    [aux_sym_declare_statement_token2] = ACTIONS(1368),
    [sym_float] = ACTIONS(1368),
    [aux_sym_try_statement_token1] = ACTIONS(1368),
    [aux_sym_goto_statement_token1] = ACTIONS(1368),
    [aux_sym_continue_statement_token1] = ACTIONS(1368),
    [aux_sym_break_statement_token1] = ACTIONS(1368),
    [sym_integer] = ACTIONS(1368),
    [aux_sym_return_statement_token1] = ACTIONS(1368),
    [aux_sym_throw_expression_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token1] = ACTIONS(1368),
    [aux_sym_while_statement_token2] = ACTIONS(1368),
    [aux_sym_do_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token1] = ACTIONS(1368),
    [aux_sym_for_statement_token2] = ACTIONS(1368),
    [aux_sym_foreach_statement_token1] = ACTIONS(1368),
    [aux_sym_foreach_statement_token2] = ACTIONS(1368),
    [aux_sym_if_statement_token1] = ACTIONS(1368),
    [aux_sym_if_statement_token2] = ACTIONS(1368),
    [aux_sym_else_if_clause_token1] = ACTIONS(1368),
    [aux_sym_else_clause_token1] = ACTIONS(1368),
    [aux_sym_match_expression_token1] = ACTIONS(1368),
    [aux_sym_match_default_expression_token1] = ACTIONS(1368),
    [aux_sym_switch_statement_token1] = ACTIONS(1368),
    [aux_sym_switch_block_token1] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1366),
    [anon_sym_BANG] = ACTIONS(1366),
    [aux_sym_clone_expression_token1] = ACTIONS(1368),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1368),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1366),
    [aux_sym__list_destructing_token1] = ACTIONS(1368),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_self] = ACTIONS(1368),
    [anon_sym_parent] = ACTIONS(1368),
    [anon_sym_POUND_LBRACK] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1366),
    [aux_sym_encapsed_string_token1] = ACTIONS(1366),
    [anon_sym_DQUOTE] = ACTIONS(1366),
    [aux_sym_string_token1] = ACTIONS(1366),
    [anon_sym_LT_LT_LT] = ACTIONS(1366),
    [anon_sym_BQUOTE] = ACTIONS(1366),
    [sym_boolean] = ACTIONS(1368),
    [sym_null] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1366),
    [aux_sym_yield_expression_token1] = ACTIONS(1368),
    [aux_sym_include_expression_token1] = ACTIONS(1368),
    [aux_sym_include_once_expression_token1] = ACTIONS(1368),
    [aux_sym_require_expression_token1] = ACTIONS(1368),
    [aux_sym_require_once_expression_token1] = ACTIONS(1368),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_name] = ACTIONS(1372),
    [anon_sym_QMARK_GT] = ACTIONS(1370),
    [anon_sym_SEMI] = ACTIONS(1370),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1372),
    [aux_sym_global_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_definition_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1372),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1372),
    [anon_sym_BSLASH] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [aux_sym_trait_declaration_token1] = ACTIONS(1372),
    [aux_sym_interface_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_declaration_token1] = ACTIONS(1372),
    [aux_sym_enum_case_token1] = ACTIONS(1372),
    [aux_sym_class_declaration_token1] = ACTIONS(1372),
    [aux_sym_final_modifier_token1] = ACTIONS(1372),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1372),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1372),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1372),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [aux_sym_cast_type_token1] = ACTIONS(1372),
    [aux_sym_echo_statement_token1] = ACTIONS(1372),
    [anon_sym_unset] = ACTIONS(1372),
    [aux_sym_declare_statement_token1] = ACTIONS(1372),
    [aux_sym_declare_statement_token2] = ACTIONS(1372),
    [sym_float] = ACTIONS(1372),
    [aux_sym_try_statement_token1] = ACTIONS(1372),
    [aux_sym_goto_statement_token1] = ACTIONS(1372),
    [aux_sym_continue_statement_token1] = ACTIONS(1372),
    [aux_sym_break_statement_token1] = ACTIONS(1372),
    [sym_integer] = ACTIONS(1372),
    [aux_sym_return_statement_token1] = ACTIONS(1372),
    [aux_sym_throw_expression_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token1] = ACTIONS(1372),
    [aux_sym_while_statement_token2] = ACTIONS(1372),
    [aux_sym_do_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token1] = ACTIONS(1372),
    [aux_sym_for_statement_token2] = ACTIONS(1372),
    [aux_sym_foreach_statement_token1] = ACTIONS(1372),
    [aux_sym_foreach_statement_token2] = ACTIONS(1372),
    [aux_sym_if_statement_token1] = ACTIONS(1372),
    [aux_sym_if_statement_token2] = ACTIONS(1372),
    [aux_sym_else_if_clause_token1] = ACTIONS(1372),
    [aux_sym_else_clause_token1] = ACTIONS(1372),
    [aux_sym_match_expression_token1] = ACTIONS(1372),
    [aux_sym_match_default_expression_token1] = ACTIONS(1372),
    [aux_sym_switch_statement_token1] = ACTIONS(1372),
    [aux_sym_switch_block_token1] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1370),
    [aux_sym_clone_expression_token1] = ACTIONS(1372),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1372),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1370),
    [aux_sym__list_destructing_token1] = ACTIONS(1372),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_self] = ACTIONS(1372),
    [anon_sym_parent] = ACTIONS(1372),
    [anon_sym_POUND_LBRACK] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1370),
    [aux_sym_encapsed_string_token1] = ACTIONS(1370),
    [anon_sym_DQUOTE] = ACTIONS(1370),
    [aux_sym_string_token1] = ACTIONS(1370),
    [anon_sym_LT_LT_LT] = ACTIONS(1370),
    [anon_sym_BQUOTE] = ACTIONS(1370),
    [sym_boolean] = ACTIONS(1372),
    [sym_null] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1370),
    [aux_sym_yield_expression_token1] = ACTIONS(1372),
    [aux_sym_include_expression_token1] = ACTIONS(1372),
    [aux_sym_include_once_expression_token1] = ACTIONS(1372),
    [aux_sym_require_expression_token1] = ACTIONS(1372),
    [aux_sym_require_once_expression_token1] = ACTIONS(1372),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_name] = ACTIONS(1376),
    [anon_sym_QMARK_GT] = ACTIONS(1374),
    [anon_sym_SEMI] = ACTIONS(1374),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1376),
    [aux_sym_global_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_definition_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1376),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1376),
    [anon_sym_BSLASH] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [aux_sym_trait_declaration_token1] = ACTIONS(1376),
    [aux_sym_interface_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_declaration_token1] = ACTIONS(1376),
    [aux_sym_enum_case_token1] = ACTIONS(1376),
    [aux_sym_class_declaration_token1] = ACTIONS(1376),
    [aux_sym_final_modifier_token1] = ACTIONS(1376),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1376),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1376),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1376),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [aux_sym_cast_type_token1] = ACTIONS(1376),
    [aux_sym_echo_statement_token1] = ACTIONS(1376),
    [anon_sym_unset] = ACTIONS(1376),
    [aux_sym_declare_statement_token1] = ACTIONS(1376),
    [aux_sym_declare_statement_token2] = ACTIONS(1376),
    [sym_float] = ACTIONS(1376),
    [aux_sym_try_statement_token1] = ACTIONS(1376),
    [aux_sym_goto_statement_token1] = ACTIONS(1376),
    [aux_sym_continue_statement_token1] = ACTIONS(1376),
    [aux_sym_break_statement_token1] = ACTIONS(1376),
    [sym_integer] = ACTIONS(1376),
    [aux_sym_return_statement_token1] = ACTIONS(1376),
    [aux_sym_throw_expression_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token1] = ACTIONS(1376),
    [aux_sym_while_statement_token2] = ACTIONS(1376),
    [aux_sym_do_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token1] = ACTIONS(1376),
    [aux_sym_for_statement_token2] = ACTIONS(1376),
    [aux_sym_foreach_statement_token1] = ACTIONS(1376),
    [aux_sym_foreach_statement_token2] = ACTIONS(1376),
    [aux_sym_if_statement_token1] = ACTIONS(1376),
    [aux_sym_if_statement_token2] = ACTIONS(1376),
    [aux_sym_else_if_clause_token1] = ACTIONS(1376),
    [aux_sym_else_clause_token1] = ACTIONS(1376),
    [aux_sym_match_expression_token1] = ACTIONS(1376),
    [aux_sym_match_default_expression_token1] = ACTIONS(1376),
    [aux_sym_switch_statement_token1] = ACTIONS(1376),
    [aux_sym_switch_block_token1] = ACTIONS(1376),
    [anon_sym_AT] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_BANG] = ACTIONS(1374),
    [aux_sym_clone_expression_token1] = ACTIONS(1376),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1376),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1374),
    [aux_sym__list_destructing_token1] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_self] = ACTIONS(1376),
    [anon_sym_parent] = ACTIONS(1376),
    [anon_sym_POUND_LBRACK] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1374),
    [aux_sym_encapsed_string_token1] = ACTIONS(1374),
    [anon_sym_DQUOTE] = ACTIONS(1374),
    [aux_sym_string_token1] = ACTIONS(1374),
    [anon_sym_LT_LT_LT] = ACTIONS(1374),
    [anon_sym_BQUOTE] = ACTIONS(1374),
    [sym_boolean] = ACTIONS(1376),
    [sym_null] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1374),
    [aux_sym_yield_expression_token1] = ACTIONS(1376),
    [aux_sym_include_expression_token1] = ACTIONS(1376),
    [aux_sym_include_once_expression_token1] = ACTIONS(1376),
    [aux_sym_require_expression_token1] = ACTIONS(1376),
    [aux_sym_require_once_expression_token1] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_name] = ACTIONS(1380),
    [anon_sym_QMARK_GT] = ACTIONS(1378),
    [anon_sym_SEMI] = ACTIONS(1378),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1380),
    [aux_sym_global_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_definition_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1380),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1380),
    [anon_sym_BSLASH] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [aux_sym_trait_declaration_token1] = ACTIONS(1380),
    [aux_sym_interface_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_declaration_token1] = ACTIONS(1380),
    [aux_sym_enum_case_token1] = ACTIONS(1380),
    [aux_sym_class_declaration_token1] = ACTIONS(1380),
    [aux_sym_final_modifier_token1] = ACTIONS(1380),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1380),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1380),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1380),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [aux_sym_cast_type_token1] = ACTIONS(1380),
    [aux_sym_echo_statement_token1] = ACTIONS(1380),
    [anon_sym_unset] = ACTIONS(1380),
    [aux_sym_declare_statement_token1] = ACTIONS(1380),
    [aux_sym_declare_statement_token2] = ACTIONS(1380),
    [sym_float] = ACTIONS(1380),
    [aux_sym_try_statement_token1] = ACTIONS(1380),
    [aux_sym_goto_statement_token1] = ACTIONS(1380),
    [aux_sym_continue_statement_token1] = ACTIONS(1380),
    [aux_sym_break_statement_token1] = ACTIONS(1380),
    [sym_integer] = ACTIONS(1380),
    [aux_sym_return_statement_token1] = ACTIONS(1380),
    [aux_sym_throw_expression_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token1] = ACTIONS(1380),
    [aux_sym_while_statement_token2] = ACTIONS(1380),
    [aux_sym_do_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token1] = ACTIONS(1380),
    [aux_sym_for_statement_token2] = ACTIONS(1380),
    [aux_sym_foreach_statement_token1] = ACTIONS(1380),
    [aux_sym_foreach_statement_token2] = ACTIONS(1380),
    [aux_sym_if_statement_token1] = ACTIONS(1380),
    [aux_sym_if_statement_token2] = ACTIONS(1380),
    [aux_sym_else_if_clause_token1] = ACTIONS(1380),
    [aux_sym_else_clause_token1] = ACTIONS(1380),
    [aux_sym_match_expression_token1] = ACTIONS(1380),
    [aux_sym_match_default_expression_token1] = ACTIONS(1380),
    [aux_sym_switch_statement_token1] = ACTIONS(1380),
    [aux_sym_switch_block_token1] = ACTIONS(1380),
    [anon_sym_AT] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_BANG] = ACTIONS(1378),
    [aux_sym_clone_expression_token1] = ACTIONS(1380),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1380),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1378),
    [aux_sym__list_destructing_token1] = ACTIONS(1380),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_self] = ACTIONS(1380),
    [anon_sym_parent] = ACTIONS(1380),
    [anon_sym_POUND_LBRACK] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1378),
    [aux_sym_encapsed_string_token1] = ACTIONS(1378),
    [anon_sym_DQUOTE] = ACTIONS(1378),
    [aux_sym_string_token1] = ACTIONS(1378),
    [anon_sym_LT_LT_LT] = ACTIONS(1378),
    [anon_sym_BQUOTE] = ACTIONS(1378),
    [sym_boolean] = ACTIONS(1380),
    [sym_null] = ACTIONS(1380),
    [anon_sym_DOLLAR] = ACTIONS(1378),
    [aux_sym_yield_expression_token1] = ACTIONS(1380),
    [aux_sym_include_expression_token1] = ACTIONS(1380),
    [aux_sym_include_once_expression_token1] = ACTIONS(1380),
    [aux_sym_require_expression_token1] = ACTIONS(1380),
    [aux_sym_require_once_expression_token1] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_name] = ACTIONS(1384),
    [anon_sym_QMARK_GT] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1382),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1384),
    [aux_sym_global_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_definition_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1384),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1384),
    [anon_sym_BSLASH] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [aux_sym_trait_declaration_token1] = ACTIONS(1384),
    [aux_sym_interface_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_declaration_token1] = ACTIONS(1384),
    [aux_sym_enum_case_token1] = ACTIONS(1384),
    [aux_sym_class_declaration_token1] = ACTIONS(1384),
    [aux_sym_final_modifier_token1] = ACTIONS(1384),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1384),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1384),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1384),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [aux_sym_cast_type_token1] = ACTIONS(1384),
    [aux_sym_echo_statement_token1] = ACTIONS(1384),
    [anon_sym_unset] = ACTIONS(1384),
    [aux_sym_declare_statement_token1] = ACTIONS(1384),
    [aux_sym_declare_statement_token2] = ACTIONS(1384),
    [sym_float] = ACTIONS(1384),
    [aux_sym_try_statement_token1] = ACTIONS(1384),
    [aux_sym_goto_statement_token1] = ACTIONS(1384),
    [aux_sym_continue_statement_token1] = ACTIONS(1384),
    [aux_sym_break_statement_token1] = ACTIONS(1384),
    [sym_integer] = ACTIONS(1384),
    [aux_sym_return_statement_token1] = ACTIONS(1384),
    [aux_sym_throw_expression_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token1] = ACTIONS(1384),
    [aux_sym_while_statement_token2] = ACTIONS(1384),
    [aux_sym_do_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token1] = ACTIONS(1384),
    [aux_sym_for_statement_token2] = ACTIONS(1384),
    [aux_sym_foreach_statement_token1] = ACTIONS(1384),
    [aux_sym_foreach_statement_token2] = ACTIONS(1384),
    [aux_sym_if_statement_token1] = ACTIONS(1384),
    [aux_sym_if_statement_token2] = ACTIONS(1384),
    [aux_sym_else_if_clause_token1] = ACTIONS(1384),
    [aux_sym_else_clause_token1] = ACTIONS(1384),
    [aux_sym_match_expression_token1] = ACTIONS(1384),
    [aux_sym_match_default_expression_token1] = ACTIONS(1384),
    [aux_sym_switch_statement_token1] = ACTIONS(1384),
    [aux_sym_switch_block_token1] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1382),
    [anon_sym_BANG] = ACTIONS(1382),
    [aux_sym_clone_expression_token1] = ACTIONS(1384),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1384),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1382),
    [aux_sym__list_destructing_token1] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_self] = ACTIONS(1384),
    [anon_sym_parent] = ACTIONS(1384),
    [anon_sym_POUND_LBRACK] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1382),
    [aux_sym_encapsed_string_token1] = ACTIONS(1382),
    [anon_sym_DQUOTE] = ACTIONS(1382),
    [aux_sym_string_token1] = ACTIONS(1382),
    [anon_sym_LT_LT_LT] = ACTIONS(1382),
    [anon_sym_BQUOTE] = ACTIONS(1382),
    [sym_boolean] = ACTIONS(1384),
    [sym_null] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1382),
    [aux_sym_yield_expression_token1] = ACTIONS(1384),
    [aux_sym_include_expression_token1] = ACTIONS(1384),
    [aux_sym_include_once_expression_token1] = ACTIONS(1384),
    [aux_sym_require_expression_token1] = ACTIONS(1384),
    [aux_sym_require_once_expression_token1] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_name] = ACTIONS(1388),
    [anon_sym_QMARK_GT] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1386),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1388),
    [aux_sym_global_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_definition_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1388),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1388),
    [anon_sym_BSLASH] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [aux_sym_trait_declaration_token1] = ACTIONS(1388),
    [aux_sym_interface_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_declaration_token1] = ACTIONS(1388),
    [aux_sym_enum_case_token1] = ACTIONS(1388),
    [aux_sym_class_declaration_token1] = ACTIONS(1388),
    [aux_sym_final_modifier_token1] = ACTIONS(1388),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1388),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1388),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1388),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [aux_sym_cast_type_token1] = ACTIONS(1388),
    [aux_sym_echo_statement_token1] = ACTIONS(1388),
    [anon_sym_unset] = ACTIONS(1388),
    [aux_sym_declare_statement_token1] = ACTIONS(1388),
    [aux_sym_declare_statement_token2] = ACTIONS(1388),
    [sym_float] = ACTIONS(1388),
    [aux_sym_try_statement_token1] = ACTIONS(1388),
    [aux_sym_goto_statement_token1] = ACTIONS(1388),
    [aux_sym_continue_statement_token1] = ACTIONS(1388),
    [aux_sym_break_statement_token1] = ACTIONS(1388),
    [sym_integer] = ACTIONS(1388),
    [aux_sym_return_statement_token1] = ACTIONS(1388),
    [aux_sym_throw_expression_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token1] = ACTIONS(1388),
    [aux_sym_while_statement_token2] = ACTIONS(1388),
    [aux_sym_do_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token1] = ACTIONS(1388),
    [aux_sym_for_statement_token2] = ACTIONS(1388),
    [aux_sym_foreach_statement_token1] = ACTIONS(1388),
    [aux_sym_foreach_statement_token2] = ACTIONS(1388),
    [aux_sym_if_statement_token1] = ACTIONS(1388),
    [aux_sym_if_statement_token2] = ACTIONS(1388),
    [aux_sym_else_if_clause_token1] = ACTIONS(1388),
    [aux_sym_else_clause_token1] = ACTIONS(1388),
    [aux_sym_match_expression_token1] = ACTIONS(1388),
    [aux_sym_match_default_expression_token1] = ACTIONS(1388),
    [aux_sym_switch_statement_token1] = ACTIONS(1388),
    [aux_sym_switch_block_token1] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1386),
    [anon_sym_BANG] = ACTIONS(1386),
    [aux_sym_clone_expression_token1] = ACTIONS(1388),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1388),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1386),
    [aux_sym__list_destructing_token1] = ACTIONS(1388),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_self] = ACTIONS(1388),
    [anon_sym_parent] = ACTIONS(1388),
    [anon_sym_POUND_LBRACK] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1386),
    [aux_sym_encapsed_string_token1] = ACTIONS(1386),
    [anon_sym_DQUOTE] = ACTIONS(1386),
    [aux_sym_string_token1] = ACTIONS(1386),
    [anon_sym_LT_LT_LT] = ACTIONS(1386),
    [anon_sym_BQUOTE] = ACTIONS(1386),
    [sym_boolean] = ACTIONS(1388),
    [sym_null] = ACTIONS(1388),
    [anon_sym_DOLLAR] = ACTIONS(1386),
    [aux_sym_yield_expression_token1] = ACTIONS(1388),
    [aux_sym_include_expression_token1] = ACTIONS(1388),
    [aux_sym_include_once_expression_token1] = ACTIONS(1388),
    [aux_sym_require_expression_token1] = ACTIONS(1388),
    [aux_sym_require_once_expression_token1] = ACTIONS(1388),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_name] = ACTIONS(1392),
    [anon_sym_QMARK_GT] = ACTIONS(1390),
    [anon_sym_SEMI] = ACTIONS(1390),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1392),
    [aux_sym_global_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_definition_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1392),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1392),
    [anon_sym_BSLASH] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [aux_sym_trait_declaration_token1] = ACTIONS(1392),
    [aux_sym_interface_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_declaration_token1] = ACTIONS(1392),
    [aux_sym_enum_case_token1] = ACTIONS(1392),
    [aux_sym_class_declaration_token1] = ACTIONS(1392),
    [aux_sym_final_modifier_token1] = ACTIONS(1392),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1392),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1392),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1392),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [aux_sym_cast_type_token1] = ACTIONS(1392),
    [aux_sym_echo_statement_token1] = ACTIONS(1392),
    [anon_sym_unset] = ACTIONS(1392),
    [aux_sym_declare_statement_token1] = ACTIONS(1392),
    [aux_sym_declare_statement_token2] = ACTIONS(1392),
    [sym_float] = ACTIONS(1392),
    [aux_sym_try_statement_token1] = ACTIONS(1392),
    [aux_sym_goto_statement_token1] = ACTIONS(1392),
    [aux_sym_continue_statement_token1] = ACTIONS(1392),
    [aux_sym_break_statement_token1] = ACTIONS(1392),
    [sym_integer] = ACTIONS(1392),
    [aux_sym_return_statement_token1] = ACTIONS(1392),
    [aux_sym_throw_expression_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token1] = ACTIONS(1392),
    [aux_sym_while_statement_token2] = ACTIONS(1392),
    [aux_sym_do_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token1] = ACTIONS(1392),
    [aux_sym_for_statement_token2] = ACTIONS(1392),
    [aux_sym_foreach_statement_token1] = ACTIONS(1392),
    [aux_sym_foreach_statement_token2] = ACTIONS(1392),
    [aux_sym_if_statement_token1] = ACTIONS(1392),
    [aux_sym_if_statement_token2] = ACTIONS(1392),
    [aux_sym_else_if_clause_token1] = ACTIONS(1392),
    [aux_sym_else_clause_token1] = ACTIONS(1392),
    [aux_sym_match_expression_token1] = ACTIONS(1392),
    [aux_sym_match_default_expression_token1] = ACTIONS(1392),
    [aux_sym_switch_statement_token1] = ACTIONS(1392),
    [aux_sym_switch_block_token1] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_BANG] = ACTIONS(1390),
    [aux_sym_clone_expression_token1] = ACTIONS(1392),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1392),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1390),
    [aux_sym__list_destructing_token1] = ACTIONS(1392),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_self] = ACTIONS(1392),
    [anon_sym_parent] = ACTIONS(1392),
    [anon_sym_POUND_LBRACK] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1390),
    [aux_sym_encapsed_string_token1] = ACTIONS(1390),
    [anon_sym_DQUOTE] = ACTIONS(1390),
    [aux_sym_string_token1] = ACTIONS(1390),
    [anon_sym_LT_LT_LT] = ACTIONS(1390),
    [anon_sym_BQUOTE] = ACTIONS(1390),
    [sym_boolean] = ACTIONS(1392),
    [sym_null] = ACTIONS(1392),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [aux_sym_yield_expression_token1] = ACTIONS(1392),
    [aux_sym_include_expression_token1] = ACTIONS(1392),
    [aux_sym_include_once_expression_token1] = ACTIONS(1392),
    [aux_sym_require_expression_token1] = ACTIONS(1392),
    [aux_sym_require_once_expression_token1] = ACTIONS(1392),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_name] = ACTIONS(1396),
    [anon_sym_QMARK_GT] = ACTIONS(1394),
    [anon_sym_SEMI] = ACTIONS(1394),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1396),
    [aux_sym_global_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_definition_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1396),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1396),
    [anon_sym_BSLASH] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [aux_sym_trait_declaration_token1] = ACTIONS(1396),
    [aux_sym_interface_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_declaration_token1] = ACTIONS(1396),
    [aux_sym_enum_case_token1] = ACTIONS(1396),
    [aux_sym_class_declaration_token1] = ACTIONS(1396),
    [aux_sym_final_modifier_token1] = ACTIONS(1396),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1396),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1396),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1396),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [aux_sym_cast_type_token1] = ACTIONS(1396),
    [aux_sym_echo_statement_token1] = ACTIONS(1396),
    [anon_sym_unset] = ACTIONS(1396),
    [aux_sym_declare_statement_token1] = ACTIONS(1396),
    [aux_sym_declare_statement_token2] = ACTIONS(1396),
    [sym_float] = ACTIONS(1396),
    [aux_sym_try_statement_token1] = ACTIONS(1396),
    [aux_sym_goto_statement_token1] = ACTIONS(1396),
    [aux_sym_continue_statement_token1] = ACTIONS(1396),
    [aux_sym_break_statement_token1] = ACTIONS(1396),
    [sym_integer] = ACTIONS(1396),
    [aux_sym_return_statement_token1] = ACTIONS(1396),
    [aux_sym_throw_expression_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token1] = ACTIONS(1396),
    [aux_sym_while_statement_token2] = ACTIONS(1396),
    [aux_sym_do_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token1] = ACTIONS(1396),
    [aux_sym_for_statement_token2] = ACTIONS(1396),
    [aux_sym_foreach_statement_token1] = ACTIONS(1396),
    [aux_sym_foreach_statement_token2] = ACTIONS(1396),
    [aux_sym_if_statement_token1] = ACTIONS(1396),
    [aux_sym_if_statement_token2] = ACTIONS(1396),
    [aux_sym_else_if_clause_token1] = ACTIONS(1396),
    [aux_sym_else_clause_token1] = ACTIONS(1396),
    [aux_sym_match_expression_token1] = ACTIONS(1396),
    [aux_sym_match_default_expression_token1] = ACTIONS(1396),
    [aux_sym_switch_statement_token1] = ACTIONS(1396),
    [aux_sym_switch_block_token1] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_BANG] = ACTIONS(1394),
    [aux_sym_clone_expression_token1] = ACTIONS(1396),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1396),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1394),
    [aux_sym__list_destructing_token1] = ACTIONS(1396),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_self] = ACTIONS(1396),
    [anon_sym_parent] = ACTIONS(1396),
    [anon_sym_POUND_LBRACK] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1394),
    [aux_sym_encapsed_string_token1] = ACTIONS(1394),
    [anon_sym_DQUOTE] = ACTIONS(1394),
    [aux_sym_string_token1] = ACTIONS(1394),
    [anon_sym_LT_LT_LT] = ACTIONS(1394),
    [anon_sym_BQUOTE] = ACTIONS(1394),
    [sym_boolean] = ACTIONS(1396),
    [sym_null] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1394),
    [aux_sym_yield_expression_token1] = ACTIONS(1396),
    [aux_sym_include_expression_token1] = ACTIONS(1396),
    [aux_sym_include_once_expression_token1] = ACTIONS(1396),
    [aux_sym_require_expression_token1] = ACTIONS(1396),
    [aux_sym_require_once_expression_token1] = ACTIONS(1396),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_name] = ACTIONS(1400),
    [anon_sym_QMARK_GT] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1400),
    [aux_sym_global_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_definition_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1400),
    [anon_sym_BSLASH] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [aux_sym_trait_declaration_token1] = ACTIONS(1400),
    [aux_sym_interface_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_case_token1] = ACTIONS(1400),
    [aux_sym_class_declaration_token1] = ACTIONS(1400),
    [aux_sym_final_modifier_token1] = ACTIONS(1400),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1400),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1400),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_cast_type_token1] = ACTIONS(1400),
    [aux_sym_echo_statement_token1] = ACTIONS(1400),
    [anon_sym_unset] = ACTIONS(1400),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [aux_sym_declare_statement_token2] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [aux_sym_try_statement_token1] = ACTIONS(1400),
    [aux_sym_goto_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [sym_integer] = ACTIONS(1400),
    [aux_sym_return_statement_token1] = ACTIONS(1400),
    [aux_sym_throw_expression_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token2] = ACTIONS(1400),
    [aux_sym_do_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token2] = ACTIONS(1400),
    [aux_sym_foreach_statement_token1] = ACTIONS(1400),
    [aux_sym_foreach_statement_token2] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token2] = ACTIONS(1400),
    [aux_sym_else_if_clause_token1] = ACTIONS(1400),
    [aux_sym_else_clause_token1] = ACTIONS(1400),
    [aux_sym_match_expression_token1] = ACTIONS(1400),
    [aux_sym_match_default_expression_token1] = ACTIONS(1400),
    [aux_sym_switch_statement_token1] = ACTIONS(1400),
    [aux_sym_switch_block_token1] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [aux_sym_clone_expression_token1] = ACTIONS(1400),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1400),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [aux_sym__list_destructing_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_self] = ACTIONS(1400),
    [anon_sym_parent] = ACTIONS(1400),
    [anon_sym_POUND_LBRACK] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [aux_sym_encapsed_string_token1] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [aux_sym_string_token1] = ACTIONS(1398),
    [anon_sym_LT_LT_LT] = ACTIONS(1398),
    [anon_sym_BQUOTE] = ACTIONS(1398),
    [sym_boolean] = ACTIONS(1400),
    [sym_null] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1398),
    [aux_sym_yield_expression_token1] = ACTIONS(1400),
    [aux_sym_include_expression_token1] = ACTIONS(1400),
    [aux_sym_include_once_expression_token1] = ACTIONS(1400),
    [aux_sym_require_expression_token1] = ACTIONS(1400),
    [aux_sym_require_once_expression_token1] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_name] = ACTIONS(1400),
    [anon_sym_QMARK_GT] = ACTIONS(1398),
    [anon_sym_SEMI] = ACTIONS(1398),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1400),
    [aux_sym_global_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_definition_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1400),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1400),
    [anon_sym_BSLASH] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [aux_sym_trait_declaration_token1] = ACTIONS(1400),
    [aux_sym_interface_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_declaration_token1] = ACTIONS(1400),
    [aux_sym_enum_case_token1] = ACTIONS(1400),
    [aux_sym_class_declaration_token1] = ACTIONS(1400),
    [aux_sym_final_modifier_token1] = ACTIONS(1400),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1400),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1400),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1400),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [aux_sym_cast_type_token1] = ACTIONS(1400),
    [aux_sym_echo_statement_token1] = ACTIONS(1400),
    [anon_sym_unset] = ACTIONS(1400),
    [aux_sym_declare_statement_token1] = ACTIONS(1400),
    [aux_sym_declare_statement_token2] = ACTIONS(1400),
    [sym_float] = ACTIONS(1400),
    [aux_sym_try_statement_token1] = ACTIONS(1400),
    [aux_sym_goto_statement_token1] = ACTIONS(1400),
    [aux_sym_continue_statement_token1] = ACTIONS(1400),
    [aux_sym_break_statement_token1] = ACTIONS(1400),
    [sym_integer] = ACTIONS(1400),
    [aux_sym_return_statement_token1] = ACTIONS(1400),
    [aux_sym_throw_expression_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token1] = ACTIONS(1400),
    [aux_sym_while_statement_token2] = ACTIONS(1400),
    [aux_sym_do_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token1] = ACTIONS(1400),
    [aux_sym_for_statement_token2] = ACTIONS(1400),
    [aux_sym_foreach_statement_token1] = ACTIONS(1400),
    [aux_sym_foreach_statement_token2] = ACTIONS(1400),
    [aux_sym_if_statement_token1] = ACTIONS(1400),
    [aux_sym_if_statement_token2] = ACTIONS(1400),
    [aux_sym_else_if_clause_token1] = ACTIONS(1400),
    [aux_sym_else_clause_token1] = ACTIONS(1400),
    [aux_sym_match_expression_token1] = ACTIONS(1400),
    [aux_sym_match_default_expression_token1] = ACTIONS(1400),
    [aux_sym_switch_statement_token1] = ACTIONS(1400),
    [aux_sym_switch_block_token1] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_BANG] = ACTIONS(1398),
    [aux_sym_clone_expression_token1] = ACTIONS(1400),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1400),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [aux_sym__list_destructing_token1] = ACTIONS(1400),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_self] = ACTIONS(1400),
    [anon_sym_parent] = ACTIONS(1400),
    [anon_sym_POUND_LBRACK] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1398),
    [aux_sym_encapsed_string_token1] = ACTIONS(1398),
    [anon_sym_DQUOTE] = ACTIONS(1398),
    [aux_sym_string_token1] = ACTIONS(1398),
    [anon_sym_LT_LT_LT] = ACTIONS(1398),
    [anon_sym_BQUOTE] = ACTIONS(1398),
    [sym_boolean] = ACTIONS(1400),
    [sym_null] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1398),
    [aux_sym_yield_expression_token1] = ACTIONS(1400),
    [aux_sym_include_expression_token1] = ACTIONS(1400),
    [aux_sym_include_once_expression_token1] = ACTIONS(1400),
    [aux_sym_require_expression_token1] = ACTIONS(1400),
    [aux_sym_require_once_expression_token1] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_name] = ACTIONS(1404),
    [anon_sym_QMARK_GT] = ACTIONS(1402),
    [anon_sym_SEMI] = ACTIONS(1402),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1404),
    [aux_sym_global_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_definition_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1404),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1404),
    [anon_sym_BSLASH] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [aux_sym_trait_declaration_token1] = ACTIONS(1404),
    [aux_sym_interface_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_declaration_token1] = ACTIONS(1404),
    [aux_sym_enum_case_token1] = ACTIONS(1404),
    [aux_sym_class_declaration_token1] = ACTIONS(1404),
    [aux_sym_final_modifier_token1] = ACTIONS(1404),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1404),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1404),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1404),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [aux_sym_cast_type_token1] = ACTIONS(1404),
    [aux_sym_echo_statement_token1] = ACTIONS(1404),
    [anon_sym_unset] = ACTIONS(1404),
    [aux_sym_declare_statement_token1] = ACTIONS(1404),
    [aux_sym_declare_statement_token2] = ACTIONS(1404),
    [sym_float] = ACTIONS(1404),
    [aux_sym_try_statement_token1] = ACTIONS(1404),
    [aux_sym_goto_statement_token1] = ACTIONS(1404),
    [aux_sym_continue_statement_token1] = ACTIONS(1404),
    [aux_sym_break_statement_token1] = ACTIONS(1404),
    [sym_integer] = ACTIONS(1404),
    [aux_sym_return_statement_token1] = ACTIONS(1404),
    [aux_sym_throw_expression_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token1] = ACTIONS(1404),
    [aux_sym_while_statement_token2] = ACTIONS(1404),
    [aux_sym_do_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token1] = ACTIONS(1404),
    [aux_sym_for_statement_token2] = ACTIONS(1404),
    [aux_sym_foreach_statement_token1] = ACTIONS(1404),
    [aux_sym_foreach_statement_token2] = ACTIONS(1404),
    [aux_sym_if_statement_token1] = ACTIONS(1404),
    [aux_sym_if_statement_token2] = ACTIONS(1404),
    [aux_sym_else_if_clause_token1] = ACTIONS(1404),
    [aux_sym_else_clause_token1] = ACTIONS(1404),
    [aux_sym_match_expression_token1] = ACTIONS(1404),
    [aux_sym_match_default_expression_token1] = ACTIONS(1404),
    [aux_sym_switch_statement_token1] = ACTIONS(1404),
    [aux_sym_switch_block_token1] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_BANG] = ACTIONS(1402),
    [aux_sym_clone_expression_token1] = ACTIONS(1404),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1404),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1402),
    [aux_sym__list_destructing_token1] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_self] = ACTIONS(1404),
    [anon_sym_parent] = ACTIONS(1404),
    [anon_sym_POUND_LBRACK] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1402),
    [aux_sym_encapsed_string_token1] = ACTIONS(1402),
    [anon_sym_DQUOTE] = ACTIONS(1402),
    [aux_sym_string_token1] = ACTIONS(1402),
    [anon_sym_LT_LT_LT] = ACTIONS(1402),
    [anon_sym_BQUOTE] = ACTIONS(1402),
    [sym_boolean] = ACTIONS(1404),
    [sym_null] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1402),
    [aux_sym_yield_expression_token1] = ACTIONS(1404),
    [aux_sym_include_expression_token1] = ACTIONS(1404),
    [aux_sym_include_once_expression_token1] = ACTIONS(1404),
    [aux_sym_require_expression_token1] = ACTIONS(1404),
    [aux_sym_require_once_expression_token1] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym_name] = ACTIONS(1408),
    [anon_sym_QMARK_GT] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1408),
    [aux_sym_global_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_definition_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1408),
    [anon_sym_BSLASH] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [aux_sym_trait_declaration_token1] = ACTIONS(1408),
    [aux_sym_interface_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_case_token1] = ACTIONS(1408),
    [aux_sym_class_declaration_token1] = ACTIONS(1408),
    [aux_sym_final_modifier_token1] = ACTIONS(1408),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1408),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1408),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_cast_type_token1] = ACTIONS(1408),
    [aux_sym_echo_statement_token1] = ACTIONS(1408),
    [anon_sym_unset] = ACTIONS(1408),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [aux_sym_declare_statement_token2] = ACTIONS(1408),
    [sym_float] = ACTIONS(1408),
    [aux_sym_try_statement_token1] = ACTIONS(1408),
    [aux_sym_goto_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [sym_integer] = ACTIONS(1408),
    [aux_sym_return_statement_token1] = ACTIONS(1408),
    [aux_sym_throw_expression_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token2] = ACTIONS(1408),
    [aux_sym_do_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token2] = ACTIONS(1408),
    [aux_sym_foreach_statement_token1] = ACTIONS(1408),
    [aux_sym_foreach_statement_token2] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token2] = ACTIONS(1408),
    [aux_sym_else_if_clause_token1] = ACTIONS(1408),
    [aux_sym_else_clause_token1] = ACTIONS(1408),
    [aux_sym_match_expression_token1] = ACTIONS(1408),
    [aux_sym_match_default_expression_token1] = ACTIONS(1408),
    [aux_sym_switch_statement_token1] = ACTIONS(1408),
    [aux_sym_switch_block_token1] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [aux_sym_clone_expression_token1] = ACTIONS(1408),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1408),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [aux_sym__list_destructing_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_self] = ACTIONS(1408),
    [anon_sym_parent] = ACTIONS(1408),
    [anon_sym_POUND_LBRACK] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [aux_sym_encapsed_string_token1] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [aux_sym_string_token1] = ACTIONS(1406),
    [anon_sym_LT_LT_LT] = ACTIONS(1406),
    [anon_sym_BQUOTE] = ACTIONS(1406),
    [sym_boolean] = ACTIONS(1408),
    [sym_null] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [aux_sym_yield_expression_token1] = ACTIONS(1408),
    [aux_sym_include_expression_token1] = ACTIONS(1408),
    [aux_sym_include_once_expression_token1] = ACTIONS(1408),
    [aux_sym_require_expression_token1] = ACTIONS(1408),
    [aux_sym_require_once_expression_token1] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym_name] = ACTIONS(1408),
    [anon_sym_QMARK_GT] = ACTIONS(1406),
    [anon_sym_SEMI] = ACTIONS(1406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1408),
    [aux_sym_global_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_definition_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1408),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1408),
    [anon_sym_BSLASH] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_RBRACE] = ACTIONS(1406),
    [aux_sym_trait_declaration_token1] = ACTIONS(1408),
    [aux_sym_interface_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_declaration_token1] = ACTIONS(1408),
    [aux_sym_enum_case_token1] = ACTIONS(1408),
    [aux_sym_class_declaration_token1] = ACTIONS(1408),
    [aux_sym_final_modifier_token1] = ACTIONS(1408),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1408),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1408),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1408),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [aux_sym_cast_type_token1] = ACTIONS(1408),
    [aux_sym_echo_statement_token1] = ACTIONS(1408),
    [anon_sym_unset] = ACTIONS(1408),
    [aux_sym_declare_statement_token1] = ACTIONS(1408),
    [aux_sym_declare_statement_token2] = ACTIONS(1408),
    [sym_float] = ACTIONS(1408),
    [aux_sym_try_statement_token1] = ACTIONS(1408),
    [aux_sym_goto_statement_token1] = ACTIONS(1408),
    [aux_sym_continue_statement_token1] = ACTIONS(1408),
    [aux_sym_break_statement_token1] = ACTIONS(1408),
    [sym_integer] = ACTIONS(1408),
    [aux_sym_return_statement_token1] = ACTIONS(1408),
    [aux_sym_throw_expression_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token1] = ACTIONS(1408),
    [aux_sym_while_statement_token2] = ACTIONS(1408),
    [aux_sym_do_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token1] = ACTIONS(1408),
    [aux_sym_for_statement_token2] = ACTIONS(1408),
    [aux_sym_foreach_statement_token1] = ACTIONS(1408),
    [aux_sym_foreach_statement_token2] = ACTIONS(1408),
    [aux_sym_if_statement_token1] = ACTIONS(1408),
    [aux_sym_if_statement_token2] = ACTIONS(1408),
    [aux_sym_else_if_clause_token1] = ACTIONS(1408),
    [aux_sym_else_clause_token1] = ACTIONS(1408),
    [aux_sym_match_expression_token1] = ACTIONS(1408),
    [aux_sym_match_default_expression_token1] = ACTIONS(1408),
    [aux_sym_switch_statement_token1] = ACTIONS(1408),
    [aux_sym_switch_block_token1] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_BANG] = ACTIONS(1406),
    [aux_sym_clone_expression_token1] = ACTIONS(1408),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1408),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1406),
    [aux_sym__list_destructing_token1] = ACTIONS(1408),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_self] = ACTIONS(1408),
    [anon_sym_parent] = ACTIONS(1408),
    [anon_sym_POUND_LBRACK] = ACTIONS(1406),
    [anon_sym_SQUOTE] = ACTIONS(1406),
    [aux_sym_encapsed_string_token1] = ACTIONS(1406),
    [anon_sym_DQUOTE] = ACTIONS(1406),
    [aux_sym_string_token1] = ACTIONS(1406),
    [anon_sym_LT_LT_LT] = ACTIONS(1406),
    [anon_sym_BQUOTE] = ACTIONS(1406),
    [sym_boolean] = ACTIONS(1408),
    [sym_null] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1406),
    [aux_sym_yield_expression_token1] = ACTIONS(1408),
    [aux_sym_include_expression_token1] = ACTIONS(1408),
    [aux_sym_include_once_expression_token1] = ACTIONS(1408),
    [aux_sym_require_expression_token1] = ACTIONS(1408),
    [aux_sym_require_once_expression_token1] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_name] = ACTIONS(1412),
    [anon_sym_QMARK_GT] = ACTIONS(1410),
    [anon_sym_SEMI] = ACTIONS(1410),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1412),
    [aux_sym_global_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_definition_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1412),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1412),
    [anon_sym_BSLASH] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_RBRACE] = ACTIONS(1410),
    [aux_sym_trait_declaration_token1] = ACTIONS(1412),
    [aux_sym_interface_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_declaration_token1] = ACTIONS(1412),
    [aux_sym_enum_case_token1] = ACTIONS(1412),
    [aux_sym_class_declaration_token1] = ACTIONS(1412),
    [aux_sym_final_modifier_token1] = ACTIONS(1412),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1412),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1412),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1412),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [aux_sym_cast_type_token1] = ACTIONS(1412),
    [aux_sym_echo_statement_token1] = ACTIONS(1412),
    [anon_sym_unset] = ACTIONS(1412),
    [aux_sym_declare_statement_token1] = ACTIONS(1412),
    [aux_sym_declare_statement_token2] = ACTIONS(1412),
    [sym_float] = ACTIONS(1412),
    [aux_sym_try_statement_token1] = ACTIONS(1412),
    [aux_sym_goto_statement_token1] = ACTIONS(1412),
    [aux_sym_continue_statement_token1] = ACTIONS(1412),
    [aux_sym_break_statement_token1] = ACTIONS(1412),
    [sym_integer] = ACTIONS(1412),
    [aux_sym_return_statement_token1] = ACTIONS(1412),
    [aux_sym_throw_expression_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token1] = ACTIONS(1412),
    [aux_sym_while_statement_token2] = ACTIONS(1412),
    [aux_sym_do_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token1] = ACTIONS(1412),
    [aux_sym_for_statement_token2] = ACTIONS(1412),
    [aux_sym_foreach_statement_token1] = ACTIONS(1412),
    [aux_sym_foreach_statement_token2] = ACTIONS(1412),
    [aux_sym_if_statement_token1] = ACTIONS(1412),
    [aux_sym_if_statement_token2] = ACTIONS(1412),
    [aux_sym_else_if_clause_token1] = ACTIONS(1412),
    [aux_sym_else_clause_token1] = ACTIONS(1412),
    [aux_sym_match_expression_token1] = ACTIONS(1412),
    [aux_sym_match_default_expression_token1] = ACTIONS(1412),
    [aux_sym_switch_statement_token1] = ACTIONS(1412),
    [aux_sym_switch_block_token1] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_BANG] = ACTIONS(1410),
    [aux_sym_clone_expression_token1] = ACTIONS(1412),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1412),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1410),
    [aux_sym__list_destructing_token1] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_self] = ACTIONS(1412),
    [anon_sym_parent] = ACTIONS(1412),
    [anon_sym_POUND_LBRACK] = ACTIONS(1410),
    [anon_sym_SQUOTE] = ACTIONS(1410),
    [aux_sym_encapsed_string_token1] = ACTIONS(1410),
    [anon_sym_DQUOTE] = ACTIONS(1410),
    [aux_sym_string_token1] = ACTIONS(1410),
    [anon_sym_LT_LT_LT] = ACTIONS(1410),
    [anon_sym_BQUOTE] = ACTIONS(1410),
    [sym_boolean] = ACTIONS(1412),
    [sym_null] = ACTIONS(1412),
    [anon_sym_DOLLAR] = ACTIONS(1410),
    [aux_sym_yield_expression_token1] = ACTIONS(1412),
    [aux_sym_include_expression_token1] = ACTIONS(1412),
    [aux_sym_include_once_expression_token1] = ACTIONS(1412),
    [aux_sym_require_expression_token1] = ACTIONS(1412),
    [aux_sym_require_once_expression_token1] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_name] = ACTIONS(1416),
    [anon_sym_QMARK_GT] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1414),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1416),
    [aux_sym_global_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_definition_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1416),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1416),
    [anon_sym_BSLASH] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_RBRACE] = ACTIONS(1414),
    [aux_sym_trait_declaration_token1] = ACTIONS(1416),
    [aux_sym_interface_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_declaration_token1] = ACTIONS(1416),
    [aux_sym_enum_case_token1] = ACTIONS(1416),
    [aux_sym_class_declaration_token1] = ACTIONS(1416),
    [aux_sym_final_modifier_token1] = ACTIONS(1416),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1416),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1416),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1416),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [aux_sym_cast_type_token1] = ACTIONS(1416),
    [aux_sym_echo_statement_token1] = ACTIONS(1416),
    [anon_sym_unset] = ACTIONS(1416),
    [aux_sym_declare_statement_token1] = ACTIONS(1416),
    [aux_sym_declare_statement_token2] = ACTIONS(1416),
    [sym_float] = ACTIONS(1416),
    [aux_sym_try_statement_token1] = ACTIONS(1416),
    [aux_sym_goto_statement_token1] = ACTIONS(1416),
    [aux_sym_continue_statement_token1] = ACTIONS(1416),
    [aux_sym_break_statement_token1] = ACTIONS(1416),
    [sym_integer] = ACTIONS(1416),
    [aux_sym_return_statement_token1] = ACTIONS(1416),
    [aux_sym_throw_expression_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token1] = ACTIONS(1416),
    [aux_sym_while_statement_token2] = ACTIONS(1416),
    [aux_sym_do_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token1] = ACTIONS(1416),
    [aux_sym_for_statement_token2] = ACTIONS(1416),
    [aux_sym_foreach_statement_token1] = ACTIONS(1416),
    [aux_sym_foreach_statement_token2] = ACTIONS(1416),
    [aux_sym_if_statement_token1] = ACTIONS(1416),
    [aux_sym_if_statement_token2] = ACTIONS(1416),
    [aux_sym_else_if_clause_token1] = ACTIONS(1416),
    [aux_sym_else_clause_token1] = ACTIONS(1416),
    [aux_sym_match_expression_token1] = ACTIONS(1416),
    [aux_sym_match_default_expression_token1] = ACTIONS(1416),
    [aux_sym_switch_statement_token1] = ACTIONS(1416),
    [aux_sym_switch_block_token1] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_BANG] = ACTIONS(1414),
    [aux_sym_clone_expression_token1] = ACTIONS(1416),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1416),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1414),
    [aux_sym__list_destructing_token1] = ACTIONS(1416),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_self] = ACTIONS(1416),
    [anon_sym_parent] = ACTIONS(1416),
    [anon_sym_POUND_LBRACK] = ACTIONS(1414),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [aux_sym_encapsed_string_token1] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1414),
    [aux_sym_string_token1] = ACTIONS(1414),
    [anon_sym_LT_LT_LT] = ACTIONS(1414),
    [anon_sym_BQUOTE] = ACTIONS(1414),
    [sym_boolean] = ACTIONS(1416),
    [sym_null] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1414),
    [aux_sym_yield_expression_token1] = ACTIONS(1416),
    [aux_sym_include_expression_token1] = ACTIONS(1416),
    [aux_sym_include_once_expression_token1] = ACTIONS(1416),
    [aux_sym_require_expression_token1] = ACTIONS(1416),
    [aux_sym_require_once_expression_token1] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_name] = ACTIONS(1420),
    [anon_sym_QMARK_GT] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1420),
    [aux_sym_global_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_definition_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1420),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1420),
    [anon_sym_BSLASH] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [aux_sym_trait_declaration_token1] = ACTIONS(1420),
    [aux_sym_interface_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_declaration_token1] = ACTIONS(1420),
    [aux_sym_enum_case_token1] = ACTIONS(1420),
    [aux_sym_class_declaration_token1] = ACTIONS(1420),
    [aux_sym_final_modifier_token1] = ACTIONS(1420),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1420),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1420),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1420),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [aux_sym_cast_type_token1] = ACTIONS(1420),
    [aux_sym_echo_statement_token1] = ACTIONS(1420),
    [anon_sym_unset] = ACTIONS(1420),
    [aux_sym_declare_statement_token1] = ACTIONS(1420),
    [aux_sym_declare_statement_token2] = ACTIONS(1420),
    [sym_float] = ACTIONS(1420),
    [aux_sym_try_statement_token1] = ACTIONS(1420),
    [aux_sym_goto_statement_token1] = ACTIONS(1420),
    [aux_sym_continue_statement_token1] = ACTIONS(1420),
    [aux_sym_break_statement_token1] = ACTIONS(1420),
    [sym_integer] = ACTIONS(1420),
    [aux_sym_return_statement_token1] = ACTIONS(1420),
    [aux_sym_throw_expression_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token1] = ACTIONS(1420),
    [aux_sym_while_statement_token2] = ACTIONS(1420),
    [aux_sym_do_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token1] = ACTIONS(1420),
    [aux_sym_for_statement_token2] = ACTIONS(1420),
    [aux_sym_foreach_statement_token1] = ACTIONS(1420),
    [aux_sym_foreach_statement_token2] = ACTIONS(1420),
    [aux_sym_if_statement_token1] = ACTIONS(1420),
    [aux_sym_if_statement_token2] = ACTIONS(1420),
    [aux_sym_else_if_clause_token1] = ACTIONS(1420),
    [aux_sym_else_clause_token1] = ACTIONS(1420),
    [aux_sym_match_expression_token1] = ACTIONS(1420),
    [aux_sym_match_default_expression_token1] = ACTIONS(1420),
    [aux_sym_switch_statement_token1] = ACTIONS(1420),
    [aux_sym_switch_block_token1] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [aux_sym_clone_expression_token1] = ACTIONS(1420),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1420),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [aux_sym__list_destructing_token1] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_self] = ACTIONS(1420),
    [anon_sym_parent] = ACTIONS(1420),
    [anon_sym_POUND_LBRACK] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [aux_sym_encapsed_string_token1] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [aux_sym_string_token1] = ACTIONS(1418),
    [anon_sym_LT_LT_LT] = ACTIONS(1418),
    [anon_sym_BQUOTE] = ACTIONS(1418),
    [sym_boolean] = ACTIONS(1420),
    [sym_null] = ACTIONS(1420),
    [anon_sym_DOLLAR] = ACTIONS(1418),
    [aux_sym_yield_expression_token1] = ACTIONS(1420),
    [aux_sym_include_expression_token1] = ACTIONS(1420),
    [aux_sym_include_once_expression_token1] = ACTIONS(1420),
    [aux_sym_require_expression_token1] = ACTIONS(1420),
    [aux_sym_require_once_expression_token1] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_name] = ACTIONS(1424),
    [anon_sym_QMARK_GT] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1424),
    [aux_sym_global_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_definition_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1424),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1424),
    [anon_sym_BSLASH] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [aux_sym_trait_declaration_token1] = ACTIONS(1424),
    [aux_sym_interface_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_declaration_token1] = ACTIONS(1424),
    [aux_sym_enum_case_token1] = ACTIONS(1424),
    [aux_sym_class_declaration_token1] = ACTIONS(1424),
    [aux_sym_final_modifier_token1] = ACTIONS(1424),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1424),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1424),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1424),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [aux_sym_cast_type_token1] = ACTIONS(1424),
    [aux_sym_echo_statement_token1] = ACTIONS(1424),
    [anon_sym_unset] = ACTIONS(1424),
    [aux_sym_declare_statement_token1] = ACTIONS(1424),
    [aux_sym_declare_statement_token2] = ACTIONS(1424),
    [sym_float] = ACTIONS(1424),
    [aux_sym_try_statement_token1] = ACTIONS(1424),
    [aux_sym_goto_statement_token1] = ACTIONS(1424),
    [aux_sym_continue_statement_token1] = ACTIONS(1424),
    [aux_sym_break_statement_token1] = ACTIONS(1424),
    [sym_integer] = ACTIONS(1424),
    [aux_sym_return_statement_token1] = ACTIONS(1424),
    [aux_sym_throw_expression_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token1] = ACTIONS(1424),
    [aux_sym_while_statement_token2] = ACTIONS(1424),
    [aux_sym_do_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token1] = ACTIONS(1424),
    [aux_sym_for_statement_token2] = ACTIONS(1424),
    [aux_sym_foreach_statement_token1] = ACTIONS(1424),
    [aux_sym_foreach_statement_token2] = ACTIONS(1424),
    [aux_sym_if_statement_token1] = ACTIONS(1424),
    [aux_sym_if_statement_token2] = ACTIONS(1424),
    [aux_sym_else_if_clause_token1] = ACTIONS(1424),
    [aux_sym_else_clause_token1] = ACTIONS(1424),
    [aux_sym_match_expression_token1] = ACTIONS(1424),
    [aux_sym_match_default_expression_token1] = ACTIONS(1424),
    [aux_sym_switch_statement_token1] = ACTIONS(1424),
    [aux_sym_switch_block_token1] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [aux_sym_clone_expression_token1] = ACTIONS(1424),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1424),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [aux_sym__list_destructing_token1] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_self] = ACTIONS(1424),
    [anon_sym_parent] = ACTIONS(1424),
    [anon_sym_POUND_LBRACK] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [aux_sym_encapsed_string_token1] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [aux_sym_string_token1] = ACTIONS(1422),
    [anon_sym_LT_LT_LT] = ACTIONS(1422),
    [anon_sym_BQUOTE] = ACTIONS(1422),
    [sym_boolean] = ACTIONS(1424),
    [sym_null] = ACTIONS(1424),
    [anon_sym_DOLLAR] = ACTIONS(1422),
    [aux_sym_yield_expression_token1] = ACTIONS(1424),
    [aux_sym_include_expression_token1] = ACTIONS(1424),
    [aux_sym_include_once_expression_token1] = ACTIONS(1424),
    [aux_sym_require_expression_token1] = ACTIONS(1424),
    [aux_sym_require_once_expression_token1] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_name] = ACTIONS(1428),
    [anon_sym_QMARK_GT] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1428),
    [aux_sym_global_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_definition_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1428),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1428),
    [anon_sym_BSLASH] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [aux_sym_trait_declaration_token1] = ACTIONS(1428),
    [aux_sym_interface_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_declaration_token1] = ACTIONS(1428),
    [aux_sym_enum_case_token1] = ACTIONS(1428),
    [aux_sym_class_declaration_token1] = ACTIONS(1428),
    [aux_sym_final_modifier_token1] = ACTIONS(1428),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1428),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1428),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1428),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [aux_sym_cast_type_token1] = ACTIONS(1428),
    [aux_sym_echo_statement_token1] = ACTIONS(1428),
    [anon_sym_unset] = ACTIONS(1428),
    [aux_sym_declare_statement_token1] = ACTIONS(1428),
    [aux_sym_declare_statement_token2] = ACTIONS(1428),
    [sym_float] = ACTIONS(1428),
    [aux_sym_try_statement_token1] = ACTIONS(1428),
    [aux_sym_goto_statement_token1] = ACTIONS(1428),
    [aux_sym_continue_statement_token1] = ACTIONS(1428),
    [aux_sym_break_statement_token1] = ACTIONS(1428),
    [sym_integer] = ACTIONS(1428),
    [aux_sym_return_statement_token1] = ACTIONS(1428),
    [aux_sym_throw_expression_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token1] = ACTIONS(1428),
    [aux_sym_while_statement_token2] = ACTIONS(1428),
    [aux_sym_do_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token1] = ACTIONS(1428),
    [aux_sym_for_statement_token2] = ACTIONS(1428),
    [aux_sym_foreach_statement_token1] = ACTIONS(1428),
    [aux_sym_foreach_statement_token2] = ACTIONS(1428),
    [aux_sym_if_statement_token1] = ACTIONS(1428),
    [aux_sym_if_statement_token2] = ACTIONS(1428),
    [aux_sym_else_if_clause_token1] = ACTIONS(1428),
    [aux_sym_else_clause_token1] = ACTIONS(1428),
    [aux_sym_match_expression_token1] = ACTIONS(1428),
    [aux_sym_match_default_expression_token1] = ACTIONS(1428),
    [aux_sym_switch_statement_token1] = ACTIONS(1428),
    [aux_sym_switch_block_token1] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [aux_sym_clone_expression_token1] = ACTIONS(1428),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1428),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [aux_sym__list_destructing_token1] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_self] = ACTIONS(1428),
    [anon_sym_parent] = ACTIONS(1428),
    [anon_sym_POUND_LBRACK] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [aux_sym_encapsed_string_token1] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [aux_sym_string_token1] = ACTIONS(1426),
    [anon_sym_LT_LT_LT] = ACTIONS(1426),
    [anon_sym_BQUOTE] = ACTIONS(1426),
    [sym_boolean] = ACTIONS(1428),
    [sym_null] = ACTIONS(1428),
    [anon_sym_DOLLAR] = ACTIONS(1426),
    [aux_sym_yield_expression_token1] = ACTIONS(1428),
    [aux_sym_include_expression_token1] = ACTIONS(1428),
    [aux_sym_include_once_expression_token1] = ACTIONS(1428),
    [aux_sym_require_expression_token1] = ACTIONS(1428),
    [aux_sym_require_once_expression_token1] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_name] = ACTIONS(1432),
    [anon_sym_QMARK_GT] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1432),
    [aux_sym_global_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_definition_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1432),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1432),
    [anon_sym_BSLASH] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [aux_sym_trait_declaration_token1] = ACTIONS(1432),
    [aux_sym_interface_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_declaration_token1] = ACTIONS(1432),
    [aux_sym_enum_case_token1] = ACTIONS(1432),
    [aux_sym_class_declaration_token1] = ACTIONS(1432),
    [aux_sym_final_modifier_token1] = ACTIONS(1432),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1432),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1432),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1432),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1430),
    [aux_sym_cast_type_token1] = ACTIONS(1432),
    [aux_sym_echo_statement_token1] = ACTIONS(1432),
    [anon_sym_unset] = ACTIONS(1432),
    [aux_sym_declare_statement_token1] = ACTIONS(1432),
    [aux_sym_declare_statement_token2] = ACTIONS(1432),
    [sym_float] = ACTIONS(1432),
    [aux_sym_try_statement_token1] = ACTIONS(1432),
    [aux_sym_goto_statement_token1] = ACTIONS(1432),
    [aux_sym_continue_statement_token1] = ACTIONS(1432),
    [aux_sym_break_statement_token1] = ACTIONS(1432),
    [sym_integer] = ACTIONS(1432),
    [aux_sym_return_statement_token1] = ACTIONS(1432),
    [aux_sym_throw_expression_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token1] = ACTIONS(1432),
    [aux_sym_while_statement_token2] = ACTIONS(1432),
    [aux_sym_do_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token1] = ACTIONS(1432),
    [aux_sym_for_statement_token2] = ACTIONS(1432),
    [aux_sym_foreach_statement_token1] = ACTIONS(1432),
    [aux_sym_foreach_statement_token2] = ACTIONS(1432),
    [aux_sym_if_statement_token1] = ACTIONS(1432),
    [aux_sym_if_statement_token2] = ACTIONS(1432),
    [aux_sym_else_if_clause_token1] = ACTIONS(1432),
    [aux_sym_else_clause_token1] = ACTIONS(1432),
    [aux_sym_match_expression_token1] = ACTIONS(1432),
    [aux_sym_match_default_expression_token1] = ACTIONS(1432),
    [aux_sym_switch_statement_token1] = ACTIONS(1432),
    [aux_sym_switch_block_token1] = ACTIONS(1432),
    [anon_sym_AT] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [aux_sym_clone_expression_token1] = ACTIONS(1432),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1432),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [aux_sym__list_destructing_token1] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1430),
    [anon_sym_self] = ACTIONS(1432),
    [anon_sym_parent] = ACTIONS(1432),
    [anon_sym_POUND_LBRACK] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [aux_sym_encapsed_string_token1] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [aux_sym_string_token1] = ACTIONS(1430),
    [anon_sym_LT_LT_LT] = ACTIONS(1430),
    [anon_sym_BQUOTE] = ACTIONS(1430),
    [sym_boolean] = ACTIONS(1432),
    [sym_null] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1430),
    [aux_sym_yield_expression_token1] = ACTIONS(1432),
    [aux_sym_include_expression_token1] = ACTIONS(1432),
    [aux_sym_include_once_expression_token1] = ACTIONS(1432),
    [aux_sym_require_expression_token1] = ACTIONS(1432),
    [aux_sym_require_once_expression_token1] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_name] = ACTIONS(1436),
    [anon_sym_QMARK_GT] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1436),
    [aux_sym_global_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_definition_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1436),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1436),
    [anon_sym_BSLASH] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [aux_sym_trait_declaration_token1] = ACTIONS(1436),
    [aux_sym_interface_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_declaration_token1] = ACTIONS(1436),
    [aux_sym_enum_case_token1] = ACTIONS(1436),
    [aux_sym_class_declaration_token1] = ACTIONS(1436),
    [aux_sym_final_modifier_token1] = ACTIONS(1436),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1436),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1436),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1436),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1434),
    [aux_sym_cast_type_token1] = ACTIONS(1436),
    [aux_sym_echo_statement_token1] = ACTIONS(1436),
    [anon_sym_unset] = ACTIONS(1436),
    [aux_sym_declare_statement_token1] = ACTIONS(1436),
    [aux_sym_declare_statement_token2] = ACTIONS(1436),
    [sym_float] = ACTIONS(1436),
    [aux_sym_try_statement_token1] = ACTIONS(1436),
    [aux_sym_goto_statement_token1] = ACTIONS(1436),
    [aux_sym_continue_statement_token1] = ACTIONS(1436),
    [aux_sym_break_statement_token1] = ACTIONS(1436),
    [sym_integer] = ACTIONS(1436),
    [aux_sym_return_statement_token1] = ACTIONS(1436),
    [aux_sym_throw_expression_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token1] = ACTIONS(1436),
    [aux_sym_while_statement_token2] = ACTIONS(1436),
    [aux_sym_do_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token1] = ACTIONS(1436),
    [aux_sym_for_statement_token2] = ACTIONS(1436),
    [aux_sym_foreach_statement_token1] = ACTIONS(1436),
    [aux_sym_foreach_statement_token2] = ACTIONS(1436),
    [aux_sym_if_statement_token1] = ACTIONS(1436),
    [aux_sym_if_statement_token2] = ACTIONS(1436),
    [aux_sym_else_if_clause_token1] = ACTIONS(1436),
    [aux_sym_else_clause_token1] = ACTIONS(1436),
    [aux_sym_match_expression_token1] = ACTIONS(1436),
    [aux_sym_match_default_expression_token1] = ACTIONS(1436),
    [aux_sym_switch_statement_token1] = ACTIONS(1436),
    [aux_sym_switch_block_token1] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [aux_sym_clone_expression_token1] = ACTIONS(1436),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1436),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [aux_sym__list_destructing_token1] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1434),
    [anon_sym_self] = ACTIONS(1436),
    [anon_sym_parent] = ACTIONS(1436),
    [anon_sym_POUND_LBRACK] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [aux_sym_encapsed_string_token1] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [aux_sym_string_token1] = ACTIONS(1434),
    [anon_sym_LT_LT_LT] = ACTIONS(1434),
    [anon_sym_BQUOTE] = ACTIONS(1434),
    [sym_boolean] = ACTIONS(1436),
    [sym_null] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1434),
    [aux_sym_yield_expression_token1] = ACTIONS(1436),
    [aux_sym_include_expression_token1] = ACTIONS(1436),
    [aux_sym_include_once_expression_token1] = ACTIONS(1436),
    [aux_sym_require_expression_token1] = ACTIONS(1436),
    [aux_sym_require_once_expression_token1] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym_name] = ACTIONS(1440),
    [anon_sym_QMARK_GT] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1440),
    [aux_sym_global_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_definition_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1440),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1440),
    [anon_sym_BSLASH] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [aux_sym_trait_declaration_token1] = ACTIONS(1440),
    [aux_sym_interface_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_declaration_token1] = ACTIONS(1440),
    [aux_sym_enum_case_token1] = ACTIONS(1440),
    [aux_sym_class_declaration_token1] = ACTIONS(1440),
    [aux_sym_final_modifier_token1] = ACTIONS(1440),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1440),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1440),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1440),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [aux_sym_cast_type_token1] = ACTIONS(1440),
    [aux_sym_echo_statement_token1] = ACTIONS(1440),
    [anon_sym_unset] = ACTIONS(1440),
    [aux_sym_declare_statement_token1] = ACTIONS(1440),
    [aux_sym_declare_statement_token2] = ACTIONS(1440),
    [sym_float] = ACTIONS(1440),
    [aux_sym_try_statement_token1] = ACTIONS(1440),
    [aux_sym_goto_statement_token1] = ACTIONS(1440),
    [aux_sym_continue_statement_token1] = ACTIONS(1440),
    [aux_sym_break_statement_token1] = ACTIONS(1440),
    [sym_integer] = ACTIONS(1440),
    [aux_sym_return_statement_token1] = ACTIONS(1440),
    [aux_sym_throw_expression_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token1] = ACTIONS(1440),
    [aux_sym_while_statement_token2] = ACTIONS(1440),
    [aux_sym_do_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token1] = ACTIONS(1440),
    [aux_sym_for_statement_token2] = ACTIONS(1440),
    [aux_sym_foreach_statement_token1] = ACTIONS(1440),
    [aux_sym_foreach_statement_token2] = ACTIONS(1440),
    [aux_sym_if_statement_token1] = ACTIONS(1440),
    [aux_sym_if_statement_token2] = ACTIONS(1440),
    [aux_sym_else_if_clause_token1] = ACTIONS(1440),
    [aux_sym_else_clause_token1] = ACTIONS(1440),
    [aux_sym_match_expression_token1] = ACTIONS(1440),
    [aux_sym_match_default_expression_token1] = ACTIONS(1440),
    [aux_sym_switch_statement_token1] = ACTIONS(1440),
    [aux_sym_switch_block_token1] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [aux_sym_clone_expression_token1] = ACTIONS(1440),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1440),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [aux_sym__list_destructing_token1] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_self] = ACTIONS(1440),
    [anon_sym_parent] = ACTIONS(1440),
    [anon_sym_POUND_LBRACK] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [aux_sym_encapsed_string_token1] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [aux_sym_string_token1] = ACTIONS(1438),
    [anon_sym_LT_LT_LT] = ACTIONS(1438),
    [anon_sym_BQUOTE] = ACTIONS(1438),
    [sym_boolean] = ACTIONS(1440),
    [sym_null] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1438),
    [aux_sym_yield_expression_token1] = ACTIONS(1440),
    [aux_sym_include_expression_token1] = ACTIONS(1440),
    [aux_sym_include_once_expression_token1] = ACTIONS(1440),
    [aux_sym_require_expression_token1] = ACTIONS(1440),
    [aux_sym_require_once_expression_token1] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_name] = ACTIONS(1444),
    [anon_sym_QMARK_GT] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1444),
    [aux_sym_global_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_definition_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1444),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1444),
    [anon_sym_BSLASH] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [aux_sym_trait_declaration_token1] = ACTIONS(1444),
    [aux_sym_interface_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_declaration_token1] = ACTIONS(1444),
    [aux_sym_enum_case_token1] = ACTIONS(1444),
    [aux_sym_class_declaration_token1] = ACTIONS(1444),
    [aux_sym_final_modifier_token1] = ACTIONS(1444),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1444),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1444),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1444),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [aux_sym_cast_type_token1] = ACTIONS(1444),
    [aux_sym_echo_statement_token1] = ACTIONS(1444),
    [anon_sym_unset] = ACTIONS(1444),
    [aux_sym_declare_statement_token1] = ACTIONS(1444),
    [aux_sym_declare_statement_token2] = ACTIONS(1444),
    [sym_float] = ACTIONS(1444),
    [aux_sym_try_statement_token1] = ACTIONS(1444),
    [aux_sym_goto_statement_token1] = ACTIONS(1444),
    [aux_sym_continue_statement_token1] = ACTIONS(1444),
    [aux_sym_break_statement_token1] = ACTIONS(1444),
    [sym_integer] = ACTIONS(1444),
    [aux_sym_return_statement_token1] = ACTIONS(1444),
    [aux_sym_throw_expression_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token1] = ACTIONS(1444),
    [aux_sym_while_statement_token2] = ACTIONS(1444),
    [aux_sym_do_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token1] = ACTIONS(1444),
    [aux_sym_for_statement_token2] = ACTIONS(1444),
    [aux_sym_foreach_statement_token1] = ACTIONS(1444),
    [aux_sym_foreach_statement_token2] = ACTIONS(1444),
    [aux_sym_if_statement_token1] = ACTIONS(1444),
    [aux_sym_if_statement_token2] = ACTIONS(1444),
    [aux_sym_else_if_clause_token1] = ACTIONS(1444),
    [aux_sym_else_clause_token1] = ACTIONS(1444),
    [aux_sym_match_expression_token1] = ACTIONS(1444),
    [aux_sym_match_default_expression_token1] = ACTIONS(1444),
    [aux_sym_switch_statement_token1] = ACTIONS(1444),
    [aux_sym_switch_block_token1] = ACTIONS(1444),
    [anon_sym_AT] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [aux_sym_clone_expression_token1] = ACTIONS(1444),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1444),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [aux_sym__list_destructing_token1] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_self] = ACTIONS(1444),
    [anon_sym_parent] = ACTIONS(1444),
    [anon_sym_POUND_LBRACK] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [aux_sym_encapsed_string_token1] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [aux_sym_string_token1] = ACTIONS(1442),
    [anon_sym_LT_LT_LT] = ACTIONS(1442),
    [anon_sym_BQUOTE] = ACTIONS(1442),
    [sym_boolean] = ACTIONS(1444),
    [sym_null] = ACTIONS(1444),
    [anon_sym_DOLLAR] = ACTIONS(1442),
    [aux_sym_yield_expression_token1] = ACTIONS(1444),
    [aux_sym_include_expression_token1] = ACTIONS(1444),
    [aux_sym_include_once_expression_token1] = ACTIONS(1444),
    [aux_sym_require_expression_token1] = ACTIONS(1444),
    [aux_sym_require_once_expression_token1] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_name] = ACTIONS(1448),
    [anon_sym_QMARK_GT] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1448),
    [aux_sym_global_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_definition_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1448),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1448),
    [anon_sym_BSLASH] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [aux_sym_trait_declaration_token1] = ACTIONS(1448),
    [aux_sym_interface_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_declaration_token1] = ACTIONS(1448),
    [aux_sym_enum_case_token1] = ACTIONS(1448),
    [aux_sym_class_declaration_token1] = ACTIONS(1448),
    [aux_sym_final_modifier_token1] = ACTIONS(1448),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1448),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1448),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1448),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1448),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [aux_sym_cast_type_token1] = ACTIONS(1448),
    [aux_sym_echo_statement_token1] = ACTIONS(1448),
    [anon_sym_unset] = ACTIONS(1448),
    [aux_sym_declare_statement_token1] = ACTIONS(1448),
    [aux_sym_declare_statement_token2] = ACTIONS(1448),
    [sym_float] = ACTIONS(1448),
    [aux_sym_try_statement_token1] = ACTIONS(1448),
    [aux_sym_goto_statement_token1] = ACTIONS(1448),
    [aux_sym_continue_statement_token1] = ACTIONS(1448),
    [aux_sym_break_statement_token1] = ACTIONS(1448),
    [sym_integer] = ACTIONS(1448),
    [aux_sym_return_statement_token1] = ACTIONS(1448),
    [aux_sym_throw_expression_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token1] = ACTIONS(1448),
    [aux_sym_while_statement_token2] = ACTIONS(1448),
    [aux_sym_do_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token1] = ACTIONS(1448),
    [aux_sym_for_statement_token2] = ACTIONS(1448),
    [aux_sym_foreach_statement_token1] = ACTIONS(1448),
    [aux_sym_foreach_statement_token2] = ACTIONS(1448),
    [aux_sym_if_statement_token1] = ACTIONS(1448),
    [aux_sym_if_statement_token2] = ACTIONS(1448),
    [aux_sym_else_if_clause_token1] = ACTIONS(1448),
    [aux_sym_else_clause_token1] = ACTIONS(1448),
    [aux_sym_match_expression_token1] = ACTIONS(1448),
    [aux_sym_match_default_expression_token1] = ACTIONS(1448),
    [aux_sym_switch_statement_token1] = ACTIONS(1448),
    [aux_sym_switch_block_token1] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [aux_sym_clone_expression_token1] = ACTIONS(1448),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1448),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [aux_sym__list_destructing_token1] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_self] = ACTIONS(1448),
    [anon_sym_parent] = ACTIONS(1448),
    [anon_sym_POUND_LBRACK] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [aux_sym_encapsed_string_token1] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [aux_sym_string_token1] = ACTIONS(1446),
    [anon_sym_LT_LT_LT] = ACTIONS(1446),
    [anon_sym_BQUOTE] = ACTIONS(1446),
    [sym_boolean] = ACTIONS(1448),
    [sym_null] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1446),
    [aux_sym_yield_expression_token1] = ACTIONS(1448),
    [aux_sym_include_expression_token1] = ACTIONS(1448),
    [aux_sym_include_once_expression_token1] = ACTIONS(1448),
    [aux_sym_require_expression_token1] = ACTIONS(1448),
    [aux_sym_require_once_expression_token1] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_name] = ACTIONS(1452),
    [anon_sym_QMARK_GT] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1452),
    [aux_sym_global_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_definition_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1452),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1452),
    [anon_sym_BSLASH] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [aux_sym_trait_declaration_token1] = ACTIONS(1452),
    [aux_sym_interface_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_declaration_token1] = ACTIONS(1452),
    [aux_sym_enum_case_token1] = ACTIONS(1452),
    [aux_sym_class_declaration_token1] = ACTIONS(1452),
    [aux_sym_final_modifier_token1] = ACTIONS(1452),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1452),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1452),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1452),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [aux_sym_cast_type_token1] = ACTIONS(1452),
    [aux_sym_echo_statement_token1] = ACTIONS(1452),
    [anon_sym_unset] = ACTIONS(1452),
    [aux_sym_declare_statement_token1] = ACTIONS(1452),
    [aux_sym_declare_statement_token2] = ACTIONS(1452),
    [sym_float] = ACTIONS(1452),
    [aux_sym_try_statement_token1] = ACTIONS(1452),
    [aux_sym_goto_statement_token1] = ACTIONS(1452),
    [aux_sym_continue_statement_token1] = ACTIONS(1452),
    [aux_sym_break_statement_token1] = ACTIONS(1452),
    [sym_integer] = ACTIONS(1452),
    [aux_sym_return_statement_token1] = ACTIONS(1452),
    [aux_sym_throw_expression_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token1] = ACTIONS(1452),
    [aux_sym_while_statement_token2] = ACTIONS(1452),
    [aux_sym_do_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token1] = ACTIONS(1452),
    [aux_sym_for_statement_token2] = ACTIONS(1452),
    [aux_sym_foreach_statement_token1] = ACTIONS(1452),
    [aux_sym_foreach_statement_token2] = ACTIONS(1452),
    [aux_sym_if_statement_token1] = ACTIONS(1452),
    [aux_sym_if_statement_token2] = ACTIONS(1452),
    [aux_sym_else_if_clause_token1] = ACTIONS(1452),
    [aux_sym_else_clause_token1] = ACTIONS(1452),
    [aux_sym_match_expression_token1] = ACTIONS(1452),
    [aux_sym_match_default_expression_token1] = ACTIONS(1452),
    [aux_sym_switch_statement_token1] = ACTIONS(1452),
    [aux_sym_switch_block_token1] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [aux_sym_clone_expression_token1] = ACTIONS(1452),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1452),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [aux_sym__list_destructing_token1] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_self] = ACTIONS(1452),
    [anon_sym_parent] = ACTIONS(1452),
    [anon_sym_POUND_LBRACK] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [aux_sym_encapsed_string_token1] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [aux_sym_string_token1] = ACTIONS(1450),
    [anon_sym_LT_LT_LT] = ACTIONS(1450),
    [anon_sym_BQUOTE] = ACTIONS(1450),
    [sym_boolean] = ACTIONS(1452),
    [sym_null] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1450),
    [aux_sym_yield_expression_token1] = ACTIONS(1452),
    [aux_sym_include_expression_token1] = ACTIONS(1452),
    [aux_sym_include_once_expression_token1] = ACTIONS(1452),
    [aux_sym_require_expression_token1] = ACTIONS(1452),
    [aux_sym_require_once_expression_token1] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_name] = ACTIONS(1456),
    [anon_sym_QMARK_GT] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1456),
    [aux_sym_global_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_definition_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1456),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1456),
    [anon_sym_BSLASH] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [aux_sym_trait_declaration_token1] = ACTIONS(1456),
    [aux_sym_interface_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_declaration_token1] = ACTIONS(1456),
    [aux_sym_enum_case_token1] = ACTIONS(1456),
    [aux_sym_class_declaration_token1] = ACTIONS(1456),
    [aux_sym_final_modifier_token1] = ACTIONS(1456),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1456),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1456),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1456),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1456),
    [anon_sym_LPAREN] = ACTIONS(1454),
    [aux_sym_cast_type_token1] = ACTIONS(1456),
    [aux_sym_echo_statement_token1] = ACTIONS(1456),
    [anon_sym_unset] = ACTIONS(1456),
    [aux_sym_declare_statement_token1] = ACTIONS(1456),
    [aux_sym_declare_statement_token2] = ACTIONS(1456),
    [sym_float] = ACTIONS(1456),
    [aux_sym_try_statement_token1] = ACTIONS(1456),
    [aux_sym_goto_statement_token1] = ACTIONS(1456),
    [aux_sym_continue_statement_token1] = ACTIONS(1456),
    [aux_sym_break_statement_token1] = ACTIONS(1456),
    [sym_integer] = ACTIONS(1456),
    [aux_sym_return_statement_token1] = ACTIONS(1456),
    [aux_sym_throw_expression_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token1] = ACTIONS(1456),
    [aux_sym_while_statement_token2] = ACTIONS(1456),
    [aux_sym_do_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token1] = ACTIONS(1456),
    [aux_sym_for_statement_token2] = ACTIONS(1456),
    [aux_sym_foreach_statement_token1] = ACTIONS(1456),
    [aux_sym_foreach_statement_token2] = ACTIONS(1456),
    [aux_sym_if_statement_token1] = ACTIONS(1456),
    [aux_sym_if_statement_token2] = ACTIONS(1456),
    [aux_sym_else_if_clause_token1] = ACTIONS(1456),
    [aux_sym_else_clause_token1] = ACTIONS(1456),
    [aux_sym_match_expression_token1] = ACTIONS(1456),
    [aux_sym_match_default_expression_token1] = ACTIONS(1456),
    [aux_sym_switch_statement_token1] = ACTIONS(1456),
    [aux_sym_switch_block_token1] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [aux_sym_clone_expression_token1] = ACTIONS(1456),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1456),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [aux_sym__list_destructing_token1] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1454),
    [anon_sym_self] = ACTIONS(1456),
    [anon_sym_parent] = ACTIONS(1456),
    [anon_sym_POUND_LBRACK] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [aux_sym_encapsed_string_token1] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [aux_sym_string_token1] = ACTIONS(1454),
    [anon_sym_LT_LT_LT] = ACTIONS(1454),
    [anon_sym_BQUOTE] = ACTIONS(1454),
    [sym_boolean] = ACTIONS(1456),
    [sym_null] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1454),
    [aux_sym_yield_expression_token1] = ACTIONS(1456),
    [aux_sym_include_expression_token1] = ACTIONS(1456),
    [aux_sym_include_once_expression_token1] = ACTIONS(1456),
    [aux_sym_require_expression_token1] = ACTIONS(1456),
    [aux_sym_require_once_expression_token1] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_name] = ACTIONS(1460),
    [anon_sym_QMARK_GT] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1460),
    [aux_sym_global_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_definition_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [aux_sym_trait_declaration_token1] = ACTIONS(1460),
    [aux_sym_interface_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_case_token1] = ACTIONS(1460),
    [aux_sym_class_declaration_token1] = ACTIONS(1460),
    [aux_sym_final_modifier_token1] = ACTIONS(1460),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1460),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1460),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_cast_type_token1] = ACTIONS(1460),
    [aux_sym_echo_statement_token1] = ACTIONS(1460),
    [anon_sym_unset] = ACTIONS(1460),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [aux_sym_declare_statement_token2] = ACTIONS(1460),
    [sym_float] = ACTIONS(1460),
    [aux_sym_try_statement_token1] = ACTIONS(1460),
    [aux_sym_goto_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [sym_integer] = ACTIONS(1460),
    [aux_sym_return_statement_token1] = ACTIONS(1460),
    [aux_sym_throw_expression_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token2] = ACTIONS(1460),
    [aux_sym_do_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token2] = ACTIONS(1460),
    [aux_sym_foreach_statement_token1] = ACTIONS(1460),
    [aux_sym_foreach_statement_token2] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token2] = ACTIONS(1460),
    [aux_sym_else_if_clause_token1] = ACTIONS(1460),
    [aux_sym_else_clause_token1] = ACTIONS(1460),
    [aux_sym_match_expression_token1] = ACTIONS(1460),
    [aux_sym_match_default_expression_token1] = ACTIONS(1460),
    [aux_sym_switch_statement_token1] = ACTIONS(1460),
    [aux_sym_switch_block_token1] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [aux_sym_clone_expression_token1] = ACTIONS(1460),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1460),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [aux_sym__list_destructing_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_self] = ACTIONS(1460),
    [anon_sym_parent] = ACTIONS(1460),
    [anon_sym_POUND_LBRACK] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [aux_sym_encapsed_string_token1] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [aux_sym_string_token1] = ACTIONS(1458),
    [anon_sym_LT_LT_LT] = ACTIONS(1458),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_boolean] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [aux_sym_yield_expression_token1] = ACTIONS(1460),
    [aux_sym_include_expression_token1] = ACTIONS(1460),
    [aux_sym_include_once_expression_token1] = ACTIONS(1460),
    [aux_sym_require_expression_token1] = ACTIONS(1460),
    [aux_sym_require_once_expression_token1] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_name] = ACTIONS(1464),
    [anon_sym_QMARK_GT] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1464),
    [aux_sym_global_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_definition_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1464),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1464),
    [anon_sym_BSLASH] = ACTIONS(1462),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [aux_sym_trait_declaration_token1] = ACTIONS(1464),
    [aux_sym_interface_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_declaration_token1] = ACTIONS(1464),
    [aux_sym_enum_case_token1] = ACTIONS(1464),
    [aux_sym_class_declaration_token1] = ACTIONS(1464),
    [aux_sym_final_modifier_token1] = ACTIONS(1464),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1464),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1464),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1464),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1462),
    [aux_sym_cast_type_token1] = ACTIONS(1464),
    [aux_sym_echo_statement_token1] = ACTIONS(1464),
    [anon_sym_unset] = ACTIONS(1464),
    [aux_sym_declare_statement_token1] = ACTIONS(1464),
    [aux_sym_declare_statement_token2] = ACTIONS(1464),
    [sym_float] = ACTIONS(1464),
    [aux_sym_try_statement_token1] = ACTIONS(1464),
    [aux_sym_goto_statement_token1] = ACTIONS(1464),
    [aux_sym_continue_statement_token1] = ACTIONS(1464),
    [aux_sym_break_statement_token1] = ACTIONS(1464),
    [sym_integer] = ACTIONS(1464),
    [aux_sym_return_statement_token1] = ACTIONS(1464),
    [aux_sym_throw_expression_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token1] = ACTIONS(1464),
    [aux_sym_while_statement_token2] = ACTIONS(1464),
    [aux_sym_do_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token1] = ACTIONS(1464),
    [aux_sym_for_statement_token2] = ACTIONS(1464),
    [aux_sym_foreach_statement_token1] = ACTIONS(1464),
    [aux_sym_foreach_statement_token2] = ACTIONS(1464),
    [aux_sym_if_statement_token1] = ACTIONS(1464),
    [aux_sym_if_statement_token2] = ACTIONS(1464),
    [aux_sym_else_if_clause_token1] = ACTIONS(1464),
    [aux_sym_else_clause_token1] = ACTIONS(1464),
    [aux_sym_match_expression_token1] = ACTIONS(1464),
    [aux_sym_match_default_expression_token1] = ACTIONS(1464),
    [aux_sym_switch_statement_token1] = ACTIONS(1464),
    [aux_sym_switch_block_token1] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [aux_sym_clone_expression_token1] = ACTIONS(1464),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1464),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [aux_sym__list_destructing_token1] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1462),
    [anon_sym_self] = ACTIONS(1464),
    [anon_sym_parent] = ACTIONS(1464),
    [anon_sym_POUND_LBRACK] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [aux_sym_encapsed_string_token1] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [aux_sym_string_token1] = ACTIONS(1462),
    [anon_sym_LT_LT_LT] = ACTIONS(1462),
    [anon_sym_BQUOTE] = ACTIONS(1462),
    [sym_boolean] = ACTIONS(1464),
    [sym_null] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1462),
    [aux_sym_yield_expression_token1] = ACTIONS(1464),
    [aux_sym_include_expression_token1] = ACTIONS(1464),
    [aux_sym_include_once_expression_token1] = ACTIONS(1464),
    [aux_sym_require_expression_token1] = ACTIONS(1464),
    [aux_sym_require_once_expression_token1] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_name] = ACTIONS(1468),
    [anon_sym_QMARK_GT] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1468),
    [aux_sym_global_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_definition_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [aux_sym_trait_declaration_token1] = ACTIONS(1468),
    [aux_sym_interface_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_case_token1] = ACTIONS(1468),
    [aux_sym_class_declaration_token1] = ACTIONS(1468),
    [aux_sym_final_modifier_token1] = ACTIONS(1468),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1468),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1468),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_cast_type_token1] = ACTIONS(1468),
    [aux_sym_echo_statement_token1] = ACTIONS(1468),
    [anon_sym_unset] = ACTIONS(1468),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [aux_sym_declare_statement_token2] = ACTIONS(1468),
    [sym_float] = ACTIONS(1468),
    [aux_sym_try_statement_token1] = ACTIONS(1468),
    [aux_sym_goto_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [sym_integer] = ACTIONS(1468),
    [aux_sym_return_statement_token1] = ACTIONS(1468),
    [aux_sym_throw_expression_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token2] = ACTIONS(1468),
    [aux_sym_do_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token2] = ACTIONS(1468),
    [aux_sym_foreach_statement_token1] = ACTIONS(1468),
    [aux_sym_foreach_statement_token2] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token2] = ACTIONS(1468),
    [aux_sym_else_if_clause_token1] = ACTIONS(1468),
    [aux_sym_else_clause_token1] = ACTIONS(1468),
    [aux_sym_match_expression_token1] = ACTIONS(1468),
    [aux_sym_match_default_expression_token1] = ACTIONS(1468),
    [aux_sym_switch_statement_token1] = ACTIONS(1468),
    [aux_sym_switch_block_token1] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [aux_sym_clone_expression_token1] = ACTIONS(1468),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1468),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [aux_sym__list_destructing_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_self] = ACTIONS(1468),
    [anon_sym_parent] = ACTIONS(1468),
    [anon_sym_POUND_LBRACK] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [aux_sym_encapsed_string_token1] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [aux_sym_string_token1] = ACTIONS(1466),
    [anon_sym_LT_LT_LT] = ACTIONS(1466),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [sym_boolean] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [aux_sym_yield_expression_token1] = ACTIONS(1468),
    [aux_sym_include_expression_token1] = ACTIONS(1468),
    [aux_sym_include_once_expression_token1] = ACTIONS(1468),
    [aux_sym_require_expression_token1] = ACTIONS(1468),
    [aux_sym_require_once_expression_token1] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_name] = ACTIONS(1468),
    [anon_sym_QMARK_GT] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1468),
    [aux_sym_global_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_definition_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1468),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1468),
    [anon_sym_BSLASH] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [aux_sym_trait_declaration_token1] = ACTIONS(1468),
    [aux_sym_interface_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_declaration_token1] = ACTIONS(1468),
    [aux_sym_enum_case_token1] = ACTIONS(1468),
    [aux_sym_class_declaration_token1] = ACTIONS(1468),
    [aux_sym_final_modifier_token1] = ACTIONS(1468),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1468),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1468),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1468),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1468),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [aux_sym_cast_type_token1] = ACTIONS(1468),
    [aux_sym_echo_statement_token1] = ACTIONS(1468),
    [anon_sym_unset] = ACTIONS(1468),
    [aux_sym_declare_statement_token1] = ACTIONS(1468),
    [aux_sym_declare_statement_token2] = ACTIONS(1468),
    [sym_float] = ACTIONS(1468),
    [aux_sym_try_statement_token1] = ACTIONS(1468),
    [aux_sym_goto_statement_token1] = ACTIONS(1468),
    [aux_sym_continue_statement_token1] = ACTIONS(1468),
    [aux_sym_break_statement_token1] = ACTIONS(1468),
    [sym_integer] = ACTIONS(1468),
    [aux_sym_return_statement_token1] = ACTIONS(1468),
    [aux_sym_throw_expression_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token1] = ACTIONS(1468),
    [aux_sym_while_statement_token2] = ACTIONS(1468),
    [aux_sym_do_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token1] = ACTIONS(1468),
    [aux_sym_for_statement_token2] = ACTIONS(1468),
    [aux_sym_foreach_statement_token1] = ACTIONS(1468),
    [aux_sym_foreach_statement_token2] = ACTIONS(1468),
    [aux_sym_if_statement_token1] = ACTIONS(1468),
    [aux_sym_if_statement_token2] = ACTIONS(1468),
    [aux_sym_else_if_clause_token1] = ACTIONS(1468),
    [aux_sym_else_clause_token1] = ACTIONS(1468),
    [aux_sym_match_expression_token1] = ACTIONS(1468),
    [aux_sym_match_default_expression_token1] = ACTIONS(1468),
    [aux_sym_switch_statement_token1] = ACTIONS(1468),
    [aux_sym_switch_block_token1] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [aux_sym_clone_expression_token1] = ACTIONS(1468),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1468),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [aux_sym__list_destructing_token1] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_self] = ACTIONS(1468),
    [anon_sym_parent] = ACTIONS(1468),
    [anon_sym_POUND_LBRACK] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [aux_sym_encapsed_string_token1] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [aux_sym_string_token1] = ACTIONS(1466),
    [anon_sym_LT_LT_LT] = ACTIONS(1466),
    [anon_sym_BQUOTE] = ACTIONS(1466),
    [sym_boolean] = ACTIONS(1468),
    [sym_null] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1466),
    [aux_sym_yield_expression_token1] = ACTIONS(1468),
    [aux_sym_include_expression_token1] = ACTIONS(1468),
    [aux_sym_include_once_expression_token1] = ACTIONS(1468),
    [aux_sym_require_expression_token1] = ACTIONS(1468),
    [aux_sym_require_once_expression_token1] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_name] = ACTIONS(1472),
    [anon_sym_QMARK_GT] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1472),
    [aux_sym_global_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_definition_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1472),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1472),
    [anon_sym_BSLASH] = ACTIONS(1470),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [aux_sym_trait_declaration_token1] = ACTIONS(1472),
    [aux_sym_interface_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_declaration_token1] = ACTIONS(1472),
    [aux_sym_enum_case_token1] = ACTIONS(1472),
    [aux_sym_class_declaration_token1] = ACTIONS(1472),
    [aux_sym_final_modifier_token1] = ACTIONS(1472),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1472),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1472),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1472),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1470),
    [aux_sym_cast_type_token1] = ACTIONS(1472),
    [aux_sym_echo_statement_token1] = ACTIONS(1472),
    [anon_sym_unset] = ACTIONS(1472),
    [aux_sym_declare_statement_token1] = ACTIONS(1472),
    [aux_sym_declare_statement_token2] = ACTIONS(1472),
    [sym_float] = ACTIONS(1472),
    [aux_sym_try_statement_token1] = ACTIONS(1472),
    [aux_sym_goto_statement_token1] = ACTIONS(1472),
    [aux_sym_continue_statement_token1] = ACTIONS(1472),
    [aux_sym_break_statement_token1] = ACTIONS(1472),
    [sym_integer] = ACTIONS(1472),
    [aux_sym_return_statement_token1] = ACTIONS(1472),
    [aux_sym_throw_expression_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token1] = ACTIONS(1472),
    [aux_sym_while_statement_token2] = ACTIONS(1472),
    [aux_sym_do_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token1] = ACTIONS(1472),
    [aux_sym_for_statement_token2] = ACTIONS(1472),
    [aux_sym_foreach_statement_token1] = ACTIONS(1472),
    [aux_sym_foreach_statement_token2] = ACTIONS(1472),
    [aux_sym_if_statement_token1] = ACTIONS(1472),
    [aux_sym_if_statement_token2] = ACTIONS(1472),
    [aux_sym_else_if_clause_token1] = ACTIONS(1472),
    [aux_sym_else_clause_token1] = ACTIONS(1472),
    [aux_sym_match_expression_token1] = ACTIONS(1472),
    [aux_sym_match_default_expression_token1] = ACTIONS(1472),
    [aux_sym_switch_statement_token1] = ACTIONS(1472),
    [aux_sym_switch_block_token1] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [aux_sym_clone_expression_token1] = ACTIONS(1472),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1472),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [aux_sym__list_destructing_token1] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1470),
    [anon_sym_self] = ACTIONS(1472),
    [anon_sym_parent] = ACTIONS(1472),
    [anon_sym_POUND_LBRACK] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [aux_sym_encapsed_string_token1] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [aux_sym_string_token1] = ACTIONS(1470),
    [anon_sym_LT_LT_LT] = ACTIONS(1470),
    [anon_sym_BQUOTE] = ACTIONS(1470),
    [sym_boolean] = ACTIONS(1472),
    [sym_null] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1470),
    [aux_sym_yield_expression_token1] = ACTIONS(1472),
    [aux_sym_include_expression_token1] = ACTIONS(1472),
    [aux_sym_include_once_expression_token1] = ACTIONS(1472),
    [aux_sym_require_expression_token1] = ACTIONS(1472),
    [aux_sym_require_once_expression_token1] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_name] = ACTIONS(1476),
    [anon_sym_QMARK_GT] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1476),
    [aux_sym_global_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_definition_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1476),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1476),
    [anon_sym_BSLASH] = ACTIONS(1474),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [aux_sym_trait_declaration_token1] = ACTIONS(1476),
    [aux_sym_interface_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_declaration_token1] = ACTIONS(1476),
    [aux_sym_enum_case_token1] = ACTIONS(1476),
    [aux_sym_class_declaration_token1] = ACTIONS(1476),
    [aux_sym_final_modifier_token1] = ACTIONS(1476),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1476),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1476),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1476),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1476),
    [anon_sym_LPAREN] = ACTIONS(1474),
    [aux_sym_cast_type_token1] = ACTIONS(1476),
    [aux_sym_echo_statement_token1] = ACTIONS(1476),
    [anon_sym_unset] = ACTIONS(1476),
    [aux_sym_declare_statement_token1] = ACTIONS(1476),
    [aux_sym_declare_statement_token2] = ACTIONS(1476),
    [sym_float] = ACTIONS(1476),
    [aux_sym_try_statement_token1] = ACTIONS(1476),
    [aux_sym_goto_statement_token1] = ACTIONS(1476),
    [aux_sym_continue_statement_token1] = ACTIONS(1476),
    [aux_sym_break_statement_token1] = ACTIONS(1476),
    [sym_integer] = ACTIONS(1476),
    [aux_sym_return_statement_token1] = ACTIONS(1476),
    [aux_sym_throw_expression_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token1] = ACTIONS(1476),
    [aux_sym_while_statement_token2] = ACTIONS(1476),
    [aux_sym_do_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token1] = ACTIONS(1476),
    [aux_sym_for_statement_token2] = ACTIONS(1476),
    [aux_sym_foreach_statement_token1] = ACTIONS(1476),
    [aux_sym_foreach_statement_token2] = ACTIONS(1476),
    [aux_sym_if_statement_token1] = ACTIONS(1476),
    [aux_sym_if_statement_token2] = ACTIONS(1476),
    [aux_sym_else_if_clause_token1] = ACTIONS(1476),
    [aux_sym_else_clause_token1] = ACTIONS(1476),
    [aux_sym_match_expression_token1] = ACTIONS(1476),
    [aux_sym_match_default_expression_token1] = ACTIONS(1476),
    [aux_sym_switch_statement_token1] = ACTIONS(1476),
    [aux_sym_switch_block_token1] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [aux_sym_clone_expression_token1] = ACTIONS(1476),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1476),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [aux_sym__list_destructing_token1] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1474),
    [anon_sym_self] = ACTIONS(1476),
    [anon_sym_parent] = ACTIONS(1476),
    [anon_sym_POUND_LBRACK] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [aux_sym_encapsed_string_token1] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [aux_sym_string_token1] = ACTIONS(1474),
    [anon_sym_LT_LT_LT] = ACTIONS(1474),
    [anon_sym_BQUOTE] = ACTIONS(1474),
    [sym_boolean] = ACTIONS(1476),
    [sym_null] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1474),
    [aux_sym_yield_expression_token1] = ACTIONS(1476),
    [aux_sym_include_expression_token1] = ACTIONS(1476),
    [aux_sym_include_once_expression_token1] = ACTIONS(1476),
    [aux_sym_require_expression_token1] = ACTIONS(1476),
    [aux_sym_require_once_expression_token1] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_name] = ACTIONS(1480),
    [anon_sym_QMARK_GT] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1480),
    [aux_sym_global_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_definition_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1480),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1480),
    [anon_sym_BSLASH] = ACTIONS(1478),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [aux_sym_trait_declaration_token1] = ACTIONS(1480),
    [aux_sym_interface_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_declaration_token1] = ACTIONS(1480),
    [aux_sym_enum_case_token1] = ACTIONS(1480),
    [aux_sym_class_declaration_token1] = ACTIONS(1480),
    [aux_sym_final_modifier_token1] = ACTIONS(1480),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1480),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1480),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1480),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1480),
    [anon_sym_LPAREN] = ACTIONS(1478),
    [aux_sym_cast_type_token1] = ACTIONS(1480),
    [aux_sym_echo_statement_token1] = ACTIONS(1480),
    [anon_sym_unset] = ACTIONS(1480),
    [aux_sym_declare_statement_token1] = ACTIONS(1480),
    [aux_sym_declare_statement_token2] = ACTIONS(1480),
    [sym_float] = ACTIONS(1480),
    [aux_sym_try_statement_token1] = ACTIONS(1480),
    [aux_sym_goto_statement_token1] = ACTIONS(1480),
    [aux_sym_continue_statement_token1] = ACTIONS(1480),
    [aux_sym_break_statement_token1] = ACTIONS(1480),
    [sym_integer] = ACTIONS(1480),
    [aux_sym_return_statement_token1] = ACTIONS(1480),
    [aux_sym_throw_expression_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token1] = ACTIONS(1480),
    [aux_sym_while_statement_token2] = ACTIONS(1480),
    [aux_sym_do_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token1] = ACTIONS(1480),
    [aux_sym_for_statement_token2] = ACTIONS(1480),
    [aux_sym_foreach_statement_token1] = ACTIONS(1480),
    [aux_sym_foreach_statement_token2] = ACTIONS(1480),
    [aux_sym_if_statement_token1] = ACTIONS(1480),
    [aux_sym_if_statement_token2] = ACTIONS(1480),
    [aux_sym_else_if_clause_token1] = ACTIONS(1480),
    [aux_sym_else_clause_token1] = ACTIONS(1480),
    [aux_sym_match_expression_token1] = ACTIONS(1480),
    [aux_sym_match_default_expression_token1] = ACTIONS(1480),
    [aux_sym_switch_statement_token1] = ACTIONS(1480),
    [aux_sym_switch_block_token1] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [aux_sym_clone_expression_token1] = ACTIONS(1480),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1480),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [aux_sym__list_destructing_token1] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1478),
    [anon_sym_self] = ACTIONS(1480),
    [anon_sym_parent] = ACTIONS(1480),
    [anon_sym_POUND_LBRACK] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [aux_sym_encapsed_string_token1] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [aux_sym_string_token1] = ACTIONS(1478),
    [anon_sym_LT_LT_LT] = ACTIONS(1478),
    [anon_sym_BQUOTE] = ACTIONS(1478),
    [sym_boolean] = ACTIONS(1480),
    [sym_null] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1478),
    [aux_sym_yield_expression_token1] = ACTIONS(1480),
    [aux_sym_include_expression_token1] = ACTIONS(1480),
    [aux_sym_include_once_expression_token1] = ACTIONS(1480),
    [aux_sym_require_expression_token1] = ACTIONS(1480),
    [aux_sym_require_once_expression_token1] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_name] = ACTIONS(1484),
    [anon_sym_QMARK_GT] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1484),
    [aux_sym_global_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_definition_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1484),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [aux_sym_trait_declaration_token1] = ACTIONS(1484),
    [aux_sym_interface_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_declaration_token1] = ACTIONS(1484),
    [aux_sym_enum_case_token1] = ACTIONS(1484),
    [aux_sym_class_declaration_token1] = ACTIONS(1484),
    [aux_sym_final_modifier_token1] = ACTIONS(1484),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1484),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1484),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1484),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [aux_sym_cast_type_token1] = ACTIONS(1484),
    [aux_sym_echo_statement_token1] = ACTIONS(1484),
    [anon_sym_unset] = ACTIONS(1484),
    [aux_sym_declare_statement_token1] = ACTIONS(1484),
    [aux_sym_declare_statement_token2] = ACTIONS(1484),
    [sym_float] = ACTIONS(1484),
    [aux_sym_try_statement_token1] = ACTIONS(1484),
    [aux_sym_goto_statement_token1] = ACTIONS(1484),
    [aux_sym_continue_statement_token1] = ACTIONS(1484),
    [aux_sym_break_statement_token1] = ACTIONS(1484),
    [sym_integer] = ACTIONS(1484),
    [aux_sym_return_statement_token1] = ACTIONS(1484),
    [aux_sym_throw_expression_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token1] = ACTIONS(1484),
    [aux_sym_while_statement_token2] = ACTIONS(1484),
    [aux_sym_do_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token1] = ACTIONS(1484),
    [aux_sym_for_statement_token2] = ACTIONS(1484),
    [aux_sym_foreach_statement_token1] = ACTIONS(1484),
    [aux_sym_foreach_statement_token2] = ACTIONS(1484),
    [aux_sym_if_statement_token1] = ACTIONS(1484),
    [aux_sym_if_statement_token2] = ACTIONS(1484),
    [aux_sym_else_if_clause_token1] = ACTIONS(1484),
    [aux_sym_else_clause_token1] = ACTIONS(1484),
    [aux_sym_match_expression_token1] = ACTIONS(1484),
    [aux_sym_match_default_expression_token1] = ACTIONS(1484),
    [aux_sym_switch_statement_token1] = ACTIONS(1484),
    [aux_sym_switch_block_token1] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [aux_sym_clone_expression_token1] = ACTIONS(1484),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1484),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [aux_sym__list_destructing_token1] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_self] = ACTIONS(1484),
    [anon_sym_parent] = ACTIONS(1484),
    [anon_sym_POUND_LBRACK] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [aux_sym_encapsed_string_token1] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [aux_sym_string_token1] = ACTIONS(1482),
    [anon_sym_LT_LT_LT] = ACTIONS(1482),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [sym_boolean] = ACTIONS(1484),
    [sym_null] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [aux_sym_yield_expression_token1] = ACTIONS(1484),
    [aux_sym_include_expression_token1] = ACTIONS(1484),
    [aux_sym_include_once_expression_token1] = ACTIONS(1484),
    [aux_sym_require_expression_token1] = ACTIONS(1484),
    [aux_sym_require_once_expression_token1] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_name] = ACTIONS(1488),
    [anon_sym_QMARK_GT] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1488),
    [aux_sym_global_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_definition_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1488),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1488),
    [anon_sym_BSLASH] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [aux_sym_trait_declaration_token1] = ACTIONS(1488),
    [aux_sym_interface_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_declaration_token1] = ACTIONS(1488),
    [aux_sym_enum_case_token1] = ACTIONS(1488),
    [aux_sym_class_declaration_token1] = ACTIONS(1488),
    [aux_sym_final_modifier_token1] = ACTIONS(1488),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1488),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1488),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1488),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1486),
    [aux_sym_cast_type_token1] = ACTIONS(1488),
    [aux_sym_echo_statement_token1] = ACTIONS(1488),
    [anon_sym_unset] = ACTIONS(1488),
    [aux_sym_declare_statement_token1] = ACTIONS(1488),
    [aux_sym_declare_statement_token2] = ACTIONS(1488),
    [sym_float] = ACTIONS(1488),
    [aux_sym_try_statement_token1] = ACTIONS(1488),
    [aux_sym_goto_statement_token1] = ACTIONS(1488),
    [aux_sym_continue_statement_token1] = ACTIONS(1488),
    [aux_sym_break_statement_token1] = ACTIONS(1488),
    [sym_integer] = ACTIONS(1488),
    [aux_sym_return_statement_token1] = ACTIONS(1488),
    [aux_sym_throw_expression_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token1] = ACTIONS(1488),
    [aux_sym_while_statement_token2] = ACTIONS(1488),
    [aux_sym_do_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token1] = ACTIONS(1488),
    [aux_sym_for_statement_token2] = ACTIONS(1488),
    [aux_sym_foreach_statement_token1] = ACTIONS(1488),
    [aux_sym_foreach_statement_token2] = ACTIONS(1488),
    [aux_sym_if_statement_token1] = ACTIONS(1488),
    [aux_sym_if_statement_token2] = ACTIONS(1488),
    [aux_sym_else_if_clause_token1] = ACTIONS(1488),
    [aux_sym_else_clause_token1] = ACTIONS(1488),
    [aux_sym_match_expression_token1] = ACTIONS(1488),
    [aux_sym_match_default_expression_token1] = ACTIONS(1488),
    [aux_sym_switch_statement_token1] = ACTIONS(1488),
    [aux_sym_switch_block_token1] = ACTIONS(1488),
    [anon_sym_AT] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [aux_sym_clone_expression_token1] = ACTIONS(1488),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1488),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [aux_sym__list_destructing_token1] = ACTIONS(1488),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_self] = ACTIONS(1488),
    [anon_sym_parent] = ACTIONS(1488),
    [anon_sym_POUND_LBRACK] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [aux_sym_encapsed_string_token1] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [aux_sym_string_token1] = ACTIONS(1486),
    [anon_sym_LT_LT_LT] = ACTIONS(1486),
    [anon_sym_BQUOTE] = ACTIONS(1486),
    [sym_boolean] = ACTIONS(1488),
    [sym_null] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1486),
    [aux_sym_yield_expression_token1] = ACTIONS(1488),
    [aux_sym_include_expression_token1] = ACTIONS(1488),
    [aux_sym_include_once_expression_token1] = ACTIONS(1488),
    [aux_sym_require_expression_token1] = ACTIONS(1488),
    [aux_sym_require_once_expression_token1] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_name] = ACTIONS(1492),
    [anon_sym_QMARK_GT] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1492),
    [aux_sym_global_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_definition_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1492),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1492),
    [anon_sym_BSLASH] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [aux_sym_trait_declaration_token1] = ACTIONS(1492),
    [aux_sym_interface_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_declaration_token1] = ACTIONS(1492),
    [aux_sym_enum_case_token1] = ACTIONS(1492),
    [aux_sym_class_declaration_token1] = ACTIONS(1492),
    [aux_sym_final_modifier_token1] = ACTIONS(1492),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1492),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1492),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1492),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1490),
    [aux_sym_cast_type_token1] = ACTIONS(1492),
    [aux_sym_echo_statement_token1] = ACTIONS(1492),
    [anon_sym_unset] = ACTIONS(1492),
    [aux_sym_declare_statement_token1] = ACTIONS(1492),
    [aux_sym_declare_statement_token2] = ACTIONS(1492),
    [sym_float] = ACTIONS(1492),
    [aux_sym_try_statement_token1] = ACTIONS(1492),
    [aux_sym_goto_statement_token1] = ACTIONS(1492),
    [aux_sym_continue_statement_token1] = ACTIONS(1492),
    [aux_sym_break_statement_token1] = ACTIONS(1492),
    [sym_integer] = ACTIONS(1492),
    [aux_sym_return_statement_token1] = ACTIONS(1492),
    [aux_sym_throw_expression_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token1] = ACTIONS(1492),
    [aux_sym_while_statement_token2] = ACTIONS(1492),
    [aux_sym_do_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token1] = ACTIONS(1492),
    [aux_sym_for_statement_token2] = ACTIONS(1492),
    [aux_sym_foreach_statement_token1] = ACTIONS(1492),
    [aux_sym_foreach_statement_token2] = ACTIONS(1492),
    [aux_sym_if_statement_token1] = ACTIONS(1492),
    [aux_sym_if_statement_token2] = ACTIONS(1492),
    [aux_sym_else_if_clause_token1] = ACTIONS(1492),
    [aux_sym_else_clause_token1] = ACTIONS(1492),
    [aux_sym_match_expression_token1] = ACTIONS(1492),
    [aux_sym_match_default_expression_token1] = ACTIONS(1492),
    [aux_sym_switch_statement_token1] = ACTIONS(1492),
    [aux_sym_switch_block_token1] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [aux_sym_clone_expression_token1] = ACTIONS(1492),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1492),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [aux_sym__list_destructing_token1] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_self] = ACTIONS(1492),
    [anon_sym_parent] = ACTIONS(1492),
    [anon_sym_POUND_LBRACK] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [aux_sym_encapsed_string_token1] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [aux_sym_string_token1] = ACTIONS(1490),
    [anon_sym_LT_LT_LT] = ACTIONS(1490),
    [anon_sym_BQUOTE] = ACTIONS(1490),
    [sym_boolean] = ACTIONS(1492),
    [sym_null] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1490),
    [aux_sym_yield_expression_token1] = ACTIONS(1492),
    [aux_sym_include_expression_token1] = ACTIONS(1492),
    [aux_sym_include_once_expression_token1] = ACTIONS(1492),
    [aux_sym_require_expression_token1] = ACTIONS(1492),
    [aux_sym_require_once_expression_token1] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_name] = ACTIONS(1496),
    [anon_sym_QMARK_GT] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1496),
    [aux_sym_global_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_definition_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1496),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1496),
    [anon_sym_BSLASH] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [aux_sym_trait_declaration_token1] = ACTIONS(1496),
    [aux_sym_interface_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_declaration_token1] = ACTIONS(1496),
    [aux_sym_enum_case_token1] = ACTIONS(1496),
    [aux_sym_class_declaration_token1] = ACTIONS(1496),
    [aux_sym_final_modifier_token1] = ACTIONS(1496),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1496),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1496),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1496),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1496),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [aux_sym_cast_type_token1] = ACTIONS(1496),
    [aux_sym_echo_statement_token1] = ACTIONS(1496),
    [anon_sym_unset] = ACTIONS(1496),
    [aux_sym_declare_statement_token1] = ACTIONS(1496),
    [aux_sym_declare_statement_token2] = ACTIONS(1496),
    [sym_float] = ACTIONS(1496),
    [aux_sym_try_statement_token1] = ACTIONS(1496),
    [aux_sym_goto_statement_token1] = ACTIONS(1496),
    [aux_sym_continue_statement_token1] = ACTIONS(1496),
    [aux_sym_break_statement_token1] = ACTIONS(1496),
    [sym_integer] = ACTIONS(1496),
    [aux_sym_return_statement_token1] = ACTIONS(1496),
    [aux_sym_throw_expression_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token1] = ACTIONS(1496),
    [aux_sym_while_statement_token2] = ACTIONS(1496),
    [aux_sym_do_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token1] = ACTIONS(1496),
    [aux_sym_for_statement_token2] = ACTIONS(1496),
    [aux_sym_foreach_statement_token1] = ACTIONS(1496),
    [aux_sym_foreach_statement_token2] = ACTIONS(1496),
    [aux_sym_if_statement_token1] = ACTIONS(1496),
    [aux_sym_if_statement_token2] = ACTIONS(1496),
    [aux_sym_else_if_clause_token1] = ACTIONS(1496),
    [aux_sym_else_clause_token1] = ACTIONS(1496),
    [aux_sym_match_expression_token1] = ACTIONS(1496),
    [aux_sym_match_default_expression_token1] = ACTIONS(1496),
    [aux_sym_switch_statement_token1] = ACTIONS(1496),
    [aux_sym_switch_block_token1] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [aux_sym_clone_expression_token1] = ACTIONS(1496),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1496),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [aux_sym__list_destructing_token1] = ACTIONS(1496),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_self] = ACTIONS(1496),
    [anon_sym_parent] = ACTIONS(1496),
    [anon_sym_POUND_LBRACK] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [aux_sym_encapsed_string_token1] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [aux_sym_string_token1] = ACTIONS(1494),
    [anon_sym_LT_LT_LT] = ACTIONS(1494),
    [anon_sym_BQUOTE] = ACTIONS(1494),
    [sym_boolean] = ACTIONS(1496),
    [sym_null] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1494),
    [aux_sym_yield_expression_token1] = ACTIONS(1496),
    [aux_sym_include_expression_token1] = ACTIONS(1496),
    [aux_sym_include_once_expression_token1] = ACTIONS(1496),
    [aux_sym_require_expression_token1] = ACTIONS(1496),
    [aux_sym_require_once_expression_token1] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_name] = ACTIONS(1500),
    [anon_sym_QMARK_GT] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1500),
    [aux_sym_global_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_definition_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1500),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1500),
    [anon_sym_BSLASH] = ACTIONS(1498),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [aux_sym_trait_declaration_token1] = ACTIONS(1500),
    [aux_sym_interface_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_declaration_token1] = ACTIONS(1500),
    [aux_sym_enum_case_token1] = ACTIONS(1500),
    [aux_sym_class_declaration_token1] = ACTIONS(1500),
    [aux_sym_final_modifier_token1] = ACTIONS(1500),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1500),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1500),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1500),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1500),
    [anon_sym_LPAREN] = ACTIONS(1498),
    [aux_sym_cast_type_token1] = ACTIONS(1500),
    [aux_sym_echo_statement_token1] = ACTIONS(1500),
    [anon_sym_unset] = ACTIONS(1500),
    [aux_sym_declare_statement_token1] = ACTIONS(1500),
    [aux_sym_declare_statement_token2] = ACTIONS(1500),
    [sym_float] = ACTIONS(1500),
    [aux_sym_try_statement_token1] = ACTIONS(1500),
    [aux_sym_goto_statement_token1] = ACTIONS(1500),
    [aux_sym_continue_statement_token1] = ACTIONS(1500),
    [aux_sym_break_statement_token1] = ACTIONS(1500),
    [sym_integer] = ACTIONS(1500),
    [aux_sym_return_statement_token1] = ACTIONS(1500),
    [aux_sym_throw_expression_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token1] = ACTIONS(1500),
    [aux_sym_while_statement_token2] = ACTIONS(1500),
    [aux_sym_do_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token1] = ACTIONS(1500),
    [aux_sym_for_statement_token2] = ACTIONS(1500),
    [aux_sym_foreach_statement_token1] = ACTIONS(1500),
    [aux_sym_foreach_statement_token2] = ACTIONS(1500),
    [aux_sym_if_statement_token1] = ACTIONS(1500),
    [aux_sym_if_statement_token2] = ACTIONS(1500),
    [aux_sym_else_if_clause_token1] = ACTIONS(1500),
    [aux_sym_else_clause_token1] = ACTIONS(1500),
    [aux_sym_match_expression_token1] = ACTIONS(1500),
    [aux_sym_match_default_expression_token1] = ACTIONS(1500),
    [aux_sym_switch_statement_token1] = ACTIONS(1500),
    [aux_sym_switch_block_token1] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [aux_sym_clone_expression_token1] = ACTIONS(1500),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1500),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [aux_sym__list_destructing_token1] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1498),
    [anon_sym_self] = ACTIONS(1500),
    [anon_sym_parent] = ACTIONS(1500),
    [anon_sym_POUND_LBRACK] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [aux_sym_encapsed_string_token1] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [aux_sym_string_token1] = ACTIONS(1498),
    [anon_sym_LT_LT_LT] = ACTIONS(1498),
    [anon_sym_BQUOTE] = ACTIONS(1498),
    [sym_boolean] = ACTIONS(1500),
    [sym_null] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1498),
    [aux_sym_yield_expression_token1] = ACTIONS(1500),
    [aux_sym_include_expression_token1] = ACTIONS(1500),
    [aux_sym_include_once_expression_token1] = ACTIONS(1500),
    [aux_sym_require_expression_token1] = ACTIONS(1500),
    [aux_sym_require_once_expression_token1] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_name] = ACTIONS(1460),
    [anon_sym_QMARK_GT] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1460),
    [aux_sym_global_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_definition_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1460),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1460),
    [anon_sym_BSLASH] = ACTIONS(1458),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [aux_sym_trait_declaration_token1] = ACTIONS(1460),
    [aux_sym_interface_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_declaration_token1] = ACTIONS(1460),
    [aux_sym_enum_case_token1] = ACTIONS(1460),
    [aux_sym_class_declaration_token1] = ACTIONS(1460),
    [aux_sym_final_modifier_token1] = ACTIONS(1460),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1460),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1460),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1460),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1460),
    [anon_sym_LPAREN] = ACTIONS(1458),
    [aux_sym_cast_type_token1] = ACTIONS(1460),
    [aux_sym_echo_statement_token1] = ACTIONS(1460),
    [anon_sym_unset] = ACTIONS(1460),
    [aux_sym_declare_statement_token1] = ACTIONS(1460),
    [aux_sym_declare_statement_token2] = ACTIONS(1460),
    [sym_float] = ACTIONS(1460),
    [aux_sym_try_statement_token1] = ACTIONS(1460),
    [aux_sym_goto_statement_token1] = ACTIONS(1460),
    [aux_sym_continue_statement_token1] = ACTIONS(1460),
    [aux_sym_break_statement_token1] = ACTIONS(1460),
    [sym_integer] = ACTIONS(1460),
    [aux_sym_return_statement_token1] = ACTIONS(1460),
    [aux_sym_throw_expression_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token1] = ACTIONS(1460),
    [aux_sym_while_statement_token2] = ACTIONS(1460),
    [aux_sym_do_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token1] = ACTIONS(1460),
    [aux_sym_for_statement_token2] = ACTIONS(1460),
    [aux_sym_foreach_statement_token1] = ACTIONS(1460),
    [aux_sym_foreach_statement_token2] = ACTIONS(1460),
    [aux_sym_if_statement_token1] = ACTIONS(1460),
    [aux_sym_if_statement_token2] = ACTIONS(1460),
    [aux_sym_else_if_clause_token1] = ACTIONS(1460),
    [aux_sym_else_clause_token1] = ACTIONS(1460),
    [aux_sym_match_expression_token1] = ACTIONS(1460),
    [aux_sym_match_default_expression_token1] = ACTIONS(1460),
    [aux_sym_switch_statement_token1] = ACTIONS(1460),
    [aux_sym_switch_block_token1] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [aux_sym_clone_expression_token1] = ACTIONS(1460),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1460),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [aux_sym__list_destructing_token1] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1458),
    [anon_sym_self] = ACTIONS(1460),
    [anon_sym_parent] = ACTIONS(1460),
    [anon_sym_POUND_LBRACK] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [aux_sym_encapsed_string_token1] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [aux_sym_string_token1] = ACTIONS(1458),
    [anon_sym_LT_LT_LT] = ACTIONS(1458),
    [anon_sym_BQUOTE] = ACTIONS(1458),
    [sym_boolean] = ACTIONS(1460),
    [sym_null] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1458),
    [aux_sym_yield_expression_token1] = ACTIONS(1460),
    [aux_sym_include_expression_token1] = ACTIONS(1460),
    [aux_sym_include_once_expression_token1] = ACTIONS(1460),
    [aux_sym_require_expression_token1] = ACTIONS(1460),
    [aux_sym_require_once_expression_token1] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(1082),
    [sym_name] = ACTIONS(1084),
    [anon_sym_QMARK_GT] = ACTIONS(1082),
    [anon_sym_SEMI] = ACTIONS(1082),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1084),
    [aux_sym_global_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_definition_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1084),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1084),
    [anon_sym_BSLASH] = ACTIONS(1082),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [aux_sym_trait_declaration_token1] = ACTIONS(1084),
    [aux_sym_interface_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_declaration_token1] = ACTIONS(1084),
    [aux_sym_enum_case_token1] = ACTIONS(1084),
    [aux_sym_class_declaration_token1] = ACTIONS(1084),
    [aux_sym_final_modifier_token1] = ACTIONS(1084),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1084),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1084),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1084),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1082),
    [aux_sym_cast_type_token1] = ACTIONS(1084),
    [aux_sym_echo_statement_token1] = ACTIONS(1084),
    [anon_sym_unset] = ACTIONS(1084),
    [aux_sym_declare_statement_token1] = ACTIONS(1084),
    [aux_sym_declare_statement_token2] = ACTIONS(1084),
    [sym_float] = ACTIONS(1084),
    [aux_sym_try_statement_token1] = ACTIONS(1084),
    [aux_sym_goto_statement_token1] = ACTIONS(1084),
    [aux_sym_continue_statement_token1] = ACTIONS(1084),
    [aux_sym_break_statement_token1] = ACTIONS(1084),
    [sym_integer] = ACTIONS(1084),
    [aux_sym_return_statement_token1] = ACTIONS(1084),
    [aux_sym_throw_expression_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token1] = ACTIONS(1084),
    [aux_sym_while_statement_token2] = ACTIONS(1084),
    [aux_sym_do_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token1] = ACTIONS(1084),
    [aux_sym_for_statement_token2] = ACTIONS(1084),
    [aux_sym_foreach_statement_token1] = ACTIONS(1084),
    [aux_sym_foreach_statement_token2] = ACTIONS(1084),
    [aux_sym_if_statement_token1] = ACTIONS(1084),
    [aux_sym_if_statement_token2] = ACTIONS(1084),
    [aux_sym_else_if_clause_token1] = ACTIONS(1084),
    [aux_sym_else_clause_token1] = ACTIONS(1084),
    [aux_sym_match_expression_token1] = ACTIONS(1084),
    [aux_sym_match_default_expression_token1] = ACTIONS(1084),
    [aux_sym_switch_statement_token1] = ACTIONS(1084),
    [aux_sym_switch_block_token1] = ACTIONS(1084),
    [anon_sym_AT] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_TILDE] = ACTIONS(1082),
    [anon_sym_BANG] = ACTIONS(1082),
    [aux_sym_clone_expression_token1] = ACTIONS(1084),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1084),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1084),
    [anon_sym_PLUS_PLUS] = ACTIONS(1082),
    [anon_sym_DASH_DASH] = ACTIONS(1082),
    [aux_sym__list_destructing_token1] = ACTIONS(1084),
    [anon_sym_LBRACK] = ACTIONS(1082),
    [anon_sym_self] = ACTIONS(1084),
    [anon_sym_parent] = ACTIONS(1084),
    [anon_sym_POUND_LBRACK] = ACTIONS(1082),
    [anon_sym_SQUOTE] = ACTIONS(1082),
    [aux_sym_encapsed_string_token1] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1082),
    [aux_sym_string_token1] = ACTIONS(1082),
    [anon_sym_LT_LT_LT] = ACTIONS(1082),
    [anon_sym_BQUOTE] = ACTIONS(1082),
    [sym_boolean] = ACTIONS(1084),
    [sym_null] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1082),
    [aux_sym_yield_expression_token1] = ACTIONS(1084),
    [aux_sym_include_expression_token1] = ACTIONS(1084),
    [aux_sym_include_once_expression_token1] = ACTIONS(1084),
    [aux_sym_require_expression_token1] = ACTIONS(1084),
    [aux_sym_require_once_expression_token1] = ACTIONS(1084),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(1092),
    [sym_name] = ACTIONS(1094),
    [anon_sym_QMARK_GT] = ACTIONS(1092),
    [anon_sym_SEMI] = ACTIONS(1092),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1094),
    [aux_sym_global_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_definition_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1094),
    [anon_sym_BSLASH] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1092),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [aux_sym_trait_declaration_token1] = ACTIONS(1094),
    [aux_sym_interface_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_case_token1] = ACTIONS(1094),
    [aux_sym_class_declaration_token1] = ACTIONS(1094),
    [aux_sym_final_modifier_token1] = ACTIONS(1094),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1094),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1094),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1094),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [aux_sym_cast_type_token1] = ACTIONS(1094),
    [aux_sym_echo_statement_token1] = ACTIONS(1094),
    [anon_sym_unset] = ACTIONS(1094),
    [aux_sym_declare_statement_token1] = ACTIONS(1094),
    [aux_sym_declare_statement_token2] = ACTIONS(1094),
    [sym_float] = ACTIONS(1094),
    [aux_sym_try_statement_token1] = ACTIONS(1094),
    [aux_sym_goto_statement_token1] = ACTIONS(1094),
    [aux_sym_continue_statement_token1] = ACTIONS(1094),
    [aux_sym_break_statement_token1] = ACTIONS(1094),
    [sym_integer] = ACTIONS(1094),
    [aux_sym_return_statement_token1] = ACTIONS(1094),
    [aux_sym_throw_expression_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token2] = ACTIONS(1094),
    [aux_sym_do_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token2] = ACTIONS(1094),
    [aux_sym_foreach_statement_token1] = ACTIONS(1094),
    [aux_sym_foreach_statement_token2] = ACTIONS(1094),
    [aux_sym_if_statement_token1] = ACTIONS(1094),
    [aux_sym_if_statement_token2] = ACTIONS(1094),
    [aux_sym_else_if_clause_token1] = ACTIONS(1094),
    [aux_sym_else_clause_token1] = ACTIONS(1094),
    [aux_sym_match_expression_token1] = ACTIONS(1094),
    [aux_sym_match_default_expression_token1] = ACTIONS(1094),
    [aux_sym_switch_statement_token1] = ACTIONS(1094),
    [aux_sym_switch_block_token1] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1092),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1092),
    [anon_sym_BANG] = ACTIONS(1092),
    [aux_sym_clone_expression_token1] = ACTIONS(1094),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1094),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1092),
    [aux_sym__list_destructing_token1] = ACTIONS(1094),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_self] = ACTIONS(1094),
    [anon_sym_parent] = ACTIONS(1094),
    [anon_sym_POUND_LBRACK] = ACTIONS(1092),
    [anon_sym_SQUOTE] = ACTIONS(1092),
    [aux_sym_encapsed_string_token1] = ACTIONS(1092),
    [anon_sym_DQUOTE] = ACTIONS(1092),
    [aux_sym_string_token1] = ACTIONS(1092),
    [anon_sym_LT_LT_LT] = ACTIONS(1092),
    [anon_sym_BQUOTE] = ACTIONS(1092),
    [sym_boolean] = ACTIONS(1094),
    [sym_null] = ACTIONS(1094),
    [anon_sym_DOLLAR] = ACTIONS(1092),
    [aux_sym_yield_expression_token1] = ACTIONS(1094),
    [aux_sym_include_expression_token1] = ACTIONS(1094),
    [aux_sym_include_once_expression_token1] = ACTIONS(1094),
    [aux_sym_require_expression_token1] = ACTIONS(1094),
    [aux_sym_require_once_expression_token1] = ACTIONS(1094),
    [sym_comment] = ACTIONS(3),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [sym_name] = ACTIONS(1504),
    [anon_sym_QMARK_GT] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1504),
    [aux_sym_global_declaration_token1] = ACTIONS(1504),
    [aux_sym_namespace_definition_token1] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1504),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1504),
    [anon_sym_BSLASH] = ACTIONS(1502),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [aux_sym_trait_declaration_token1] = ACTIONS(1504),
    [aux_sym_interface_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_declaration_token1] = ACTIONS(1504),
    [aux_sym_enum_case_token1] = ACTIONS(1504),
    [aux_sym_class_declaration_token1] = ACTIONS(1504),
    [aux_sym_final_modifier_token1] = ACTIONS(1504),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1504),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1504),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1504),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1502),
    [aux_sym_cast_type_token1] = ACTIONS(1504),
    [aux_sym_echo_statement_token1] = ACTIONS(1504),
    [anon_sym_unset] = ACTIONS(1504),
    [aux_sym_declare_statement_token1] = ACTIONS(1504),
    [aux_sym_declare_statement_token2] = ACTIONS(1504),
    [sym_float] = ACTIONS(1504),
    [aux_sym_try_statement_token1] = ACTIONS(1504),
    [aux_sym_goto_statement_token1] = ACTIONS(1504),
    [aux_sym_continue_statement_token1] = ACTIONS(1504),
    [aux_sym_break_statement_token1] = ACTIONS(1504),
    [sym_integer] = ACTIONS(1504),
    [aux_sym_return_statement_token1] = ACTIONS(1504),
    [aux_sym_throw_expression_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token1] = ACTIONS(1504),
    [aux_sym_while_statement_token2] = ACTIONS(1504),
    [aux_sym_do_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token1] = ACTIONS(1504),
    [aux_sym_for_statement_token2] = ACTIONS(1504),
    [aux_sym_foreach_statement_token1] = ACTIONS(1504),
    [aux_sym_foreach_statement_token2] = ACTIONS(1504),
    [aux_sym_if_statement_token1] = ACTIONS(1504),
    [aux_sym_if_statement_token2] = ACTIONS(1504),
    [aux_sym_else_if_clause_token1] = ACTIONS(1504),
    [aux_sym_else_clause_token1] = ACTIONS(1504),
    [aux_sym_match_expression_token1] = ACTIONS(1504),
    [aux_sym_match_default_expression_token1] = ACTIONS(1504),
    [aux_sym_switch_statement_token1] = ACTIONS(1504),
    [aux_sym_switch_block_token1] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [aux_sym_clone_expression_token1] = ACTIONS(1504),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1504),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [aux_sym__list_destructing_token1] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1502),
    [anon_sym_self] = ACTIONS(1504),
    [anon_sym_parent] = ACTIONS(1504),
    [anon_sym_POUND_LBRACK] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [aux_sym_encapsed_string_token1] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [aux_sym_string_token1] = ACTIONS(1502),
    [anon_sym_LT_LT_LT] = ACTIONS(1502),
    [anon_sym_BQUOTE] = ACTIONS(1502),
    [sym_boolean] = ACTIONS(1504),
    [sym_null] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1502),
    [aux_sym_yield_expression_token1] = ACTIONS(1504),
    [aux_sym_include_expression_token1] = ACTIONS(1504),
    [aux_sym_include_once_expression_token1] = ACTIONS(1504),
    [aux_sym_require_expression_token1] = ACTIONS(1504),
    [aux_sym_require_once_expression_token1] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [570] = {
    [sym_name] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [anon_sym_COLON] = ACTIONS(1508),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1508),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym_object_creation_expression_token1] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [sym_boolean] = ACTIONS(1506),
    [sym_null] = ACTIONS(1506),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(3),
  },
  [571] = {
    [sym_qualified_name] = STATE(724),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2474),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__primary_expression] = STATE(925),
    [sym_parenthesized_expression] = STATE(722),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_variable] = STATE(709),
    [sym_member_access_expression] = STATE(709),
    [sym_nullsafe_member_access_expression] = STATE(709),
    [sym_scoped_property_access_expression] = STATE(709),
    [sym_function_call_expression] = STATE(666),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2647),
    [sym_relative_scope] = STATE(2647),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1673),
    [sym_array_creation_expression] = STATE(722),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(722),
    [sym_string] = STATE(722),
    [sym_heredoc] = STATE(722),
    [sym_nowdoc] = STATE(722),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(722),
    [sym_dynamic_variable_name] = STATE(666),
    [sym_variable_name] = STATE(666),
    [sym__reserved_identifier] = STATE(1587),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(1510),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_print_intrinsic_token1] = ACTIONS(623),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(1050),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
  },
  [572] = {
    [sym_qualified_name] = STATE(724),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2574),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__primary_expression] = STATE(925),
    [sym_parenthesized_expression] = STATE(722),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_variable] = STATE(709),
    [sym_member_access_expression] = STATE(709),
    [sym_nullsafe_member_access_expression] = STATE(709),
    [sym_scoped_property_access_expression] = STATE(709),
    [sym_function_call_expression] = STATE(666),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2647),
    [sym_relative_scope] = STATE(2647),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1673),
    [sym_array_creation_expression] = STATE(722),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(722),
    [sym_string] = STATE(722),
    [sym_heredoc] = STATE(722),
    [sym_nowdoc] = STATE(722),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(722),
    [sym_dynamic_variable_name] = STATE(666),
    [sym_variable_name] = STATE(666),
    [sym__reserved_identifier] = STATE(1587),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(1510),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(567),
    [aux_sym_print_intrinsic_token1] = ACTIONS(579),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(1050),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [sym_qualified_name] = STATE(724),
    [sym_namespace_name_as_prefix] = STATE(2579),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2531),
    [sym_arrow_function] = STATE(969),
    [sym_throw_expression] = STATE(969),
    [sym__primary_expression] = STATE(925),
    [sym_parenthesized_expression] = STATE(722),
    [sym_class_constant_access_expression] = STATE(774),
    [sym_print_intrinsic] = STATE(969),
    [sym_anonymous_function_creation_expression] = STATE(969),
    [sym_object_creation_expression] = STATE(969),
    [sym_update_expression] = STATE(969),
    [sym_cast_variable] = STATE(709),
    [sym_member_access_expression] = STATE(709),
    [sym_nullsafe_member_access_expression] = STATE(709),
    [sym_scoped_property_access_expression] = STATE(709),
    [sym_function_call_expression] = STATE(666),
    [sym_scoped_call_expression] = STATE(666),
    [sym__scope_resolution_qualifier] = STATE(2647),
    [sym_relative_scope] = STATE(2647),
    [sym_member_call_expression] = STATE(666),
    [sym_nullsafe_member_call_expression] = STATE(666),
    [sym_subscript_expression] = STATE(666),
    [sym__dereferencable_expression] = STATE(1673),
    [sym_array_creation_expression] = STATE(722),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1833),
    [sym_encapsed_string] = STATE(722),
    [sym_string] = STATE(722),
    [sym_heredoc] = STATE(722),
    [sym_nowdoc] = STATE(722),
    [sym_shell_command_expression] = STATE(969),
    [sym__string] = STATE(722),
    [sym_dynamic_variable_name] = STATE(666),
    [sym_variable_name] = STATE(666),
    [sym__reserved_identifier] = STATE(1587),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(1510),
    [aux_sym_function_static_declaration_token1] = ACTIONS(551),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(555),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [aux_sym_cast_type_token1] = ACTIONS(563),
    [sym_float] = ACTIONS(565),
    [sym_integer] = ACTIONS(565),
    [aux_sym_throw_expression_token1] = ACTIONS(655),
    [aux_sym_print_intrinsic_token1] = ACTIONS(665),
    [aux_sym_object_creation_expression_token1] = ACTIONS(581),
    [anon_sym_PLUS_PLUS] = ACTIONS(583),
    [anon_sym_DASH_DASH] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(1050),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(587),
    [aux_sym_encapsed_string_token1] = ACTIONS(589),
    [anon_sym_DQUOTE] = ACTIONS(589),
    [aux_sym_string_token1] = ACTIONS(587),
    [anon_sym_LT_LT_LT] = ACTIONS(591),
    [anon_sym_BQUOTE] = ACTIONS(593),
    [sym_boolean] = ACTIONS(565),
    [sym_null] = ACTIONS(565),
    [anon_sym_DOLLAR] = ACTIONS(1514),
    [sym_comment] = ACTIONS(3),
  },
  [574] = {
    [sym_qualified_name] = STATE(843),
    [sym_namespace_name_as_prefix] = STATE(2639),
    [sym_namespace_name] = STATE(2638),
    [sym_static_modifier] = STATE(2634),
    [sym__arrow_function_header] = STATE(2630),
    [sym_arrow_function] = STATE(1050),
    [sym_throw_expression] = STATE(1050),
    [sym__primary_expression] = STATE(1106),
    [sym_parenthesized_expression] = STATE(839),
    [sym_class_constant_access_expression] = STATE(910),
    [sym_print_intrinsic] = STATE(1050),
    [sym_anonymous_function_creation_expression] = STATE(1050),
    [sym_object_creation_expression] = STATE(1050),
    [sym_update_expression] = STATE(1050),
    [sym_cast_variable] = STATE(818),
    [sym_member_access_expression] = STATE(818),
    [sym_nullsafe_member_access_expression] = STATE(818),
    [sym_scoped_property_access_expression] = STATE(818),
    [sym_function_call_expression] = STATE(775),
    [sym_scoped_call_expression] = STATE(775),
    [sym__scope_resolution_qualifier] = STATE(2593),
    [sym_relative_scope] = STATE(2593),
    [sym_member_call_expression] = STATE(775),
    [sym_nullsafe_member_call_expression] = STATE(775),
    [sym_subscript_expression] = STATE(775),
    [sym__dereferencable_expression] = STATE(1752),
    [sym_array_creation_expression] = STATE(839),
    [sym_attribute_group] = STATE(1360),
    [sym_attribute_list] = STATE(1818),
    [sym_encapsed_string] = STATE(839),
    [sym_string] = STATE(839),
    [sym_heredoc] = STATE(839),
    [sym_nowdoc] = STATE(839),
    [sym_shell_command_expression] = STATE(1050),
    [sym__string] = STATE(839),
    [sym_dynamic_variable_name] = STATE(775),
    [sym_variable_name] = STATE(775),
    [sym__reserved_identifier] = STATE(1579),
    [aux_sym_attribute_list_repeat1] = STATE(1360),
    [sym_name] = ACTIONS(1516),
    [aux_sym_function_static_declaration_token1] = ACTIONS(643),
    [aux_sym_namespace_definition_token1] = ACTIONS(553),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(645),
    [anon_sym_BSLASH] = ACTIONS(27),
    [aux_sym__arrow_function_header_token1] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(1518),
    [aux_sym_cast_type_token1] = ACTIONS(51),
    [sym_float] = ACTIONS(59),
    [sym_integer] = ACTIONS(59),
    [aux_sym_throw_expression_token1] = ACTIONS(71),
    [aux_sym_print_intrinsic_token1] = ACTIONS(95),
    [aux_sym_object_creation_expression_token1] = ACTIONS(97),
    [anon_sym_PLUS_PLUS] = ACTIONS(99),
    [anon_sym_DASH_DASH] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(1012),
    [anon_sym_self] = ACTIONS(105),
    [anon_sym_parent] = ACTIONS(105),
    [anon_sym_POUND_LBRACK] = ACTIONS(107),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [aux_sym_encapsed_string_token1] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [aux_sym_string_token1] = ACTIONS(109),
    [anon_sym_LT_LT_LT] = ACTIONS(113),
    [anon_sym_BQUOTE] = ACTIONS(115),
    [sym_boolean] = ACTIONS(59),
    [sym_null] = ACTIONS(59),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1522), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [70] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1526), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1530), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1534), 41,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(585), 1,
      sym_arguments,
    ACTIONS(1540), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1538), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(594), 1,
      sym_arguments,
    ACTIONS(1546), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1544), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    ACTIONS(1550), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1548), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    ACTIONS(1554), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1552), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [572] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1560), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1566), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [653] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(588), 1,
      sym_arguments,
    ACTIONS(1570), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1568), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1572), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1576), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1580), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1584), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1588), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1620), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1610] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1624), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1626), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1689] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_EQ,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1566), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1764] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1628), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1626), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1843] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1921] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_EQ,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1626), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2072] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_EQ,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(630), 1,
      sym_arguments,
    ACTIONS(1640), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2149] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_EQ,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(630), 1,
      sym_arguments,
    ACTIONS(1640), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1566), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2226] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_arguments,
    ACTIONS(1640), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(622), 1,
      sym_arguments,
    ACTIONS(1546), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1544), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2372] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_COMMA,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1624), 1,
      anon_sym_EQ,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_arguments,
    STATE(2115), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1626), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(617), 1,
      sym_arguments,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1568), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(621), 1,
      sym_arguments,
    ACTIONS(1550), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1548), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2593] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1560), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1566), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(631), 1,
      sym_arguments,
    ACTIONS(1554), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1552), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2739] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_EQ,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1626), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(633), 1,
      sym_arguments,
    ACTIONS(1540), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1538), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1580), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1526), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1584), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1588), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3201] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1624), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1648), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1626), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1522), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3471] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3549] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_EQ,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1620), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3685] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1653), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1655), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1616), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1576), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1534), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1572), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4145] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1530), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4281] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1624), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1657), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1626), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1612), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4423] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1659), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1655), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4499] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 1,
      anon_sym_COMMA,
    ACTIONS(1624), 1,
      anon_sym_EQ,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    STATE(2115), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1626), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4576] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_EQ,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1566), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4647] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_EQ,
    ACTIONS(1640), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1566), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4718] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    ACTIONS(1640), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4789] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_EQ,
    ACTIONS(1640), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4860] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4937] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1650), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5009] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 1,
      anon_sym_EQ,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1655), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5079] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 1,
      anon_sym_EQ,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1655), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1556), 14,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5149] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_EQ,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1657), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1626), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5221] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_EQ,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1648), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1626), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5293] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1556), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1632), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1558), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1664), 21,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      sym_name,
    ACTIONS(1666), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5422] = 25,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1670), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1672), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1676), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(1678), 1,
      sym_var_modifier,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1686), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1696), 1,
      sym_variable_name,
    STATE(1794), 1,
      sym_property_element,
    STATE(1795), 1,
      sym__function_definition_header,
    STATE(2123), 1,
      sym__type,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(1680), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1432), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_property_declaration_repeat1,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5523] = 25,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(39), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(41), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1670), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1672), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1676), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(1678), 1,
      sym_var_modifier,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1686), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1696), 1,
      sym_variable_name,
    STATE(1866), 1,
      sym__function_definition_header,
    STATE(1868), 1,
      sym_property_element,
    STATE(2012), 1,
      sym__type,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(1680), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1432), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_property_declaration_repeat1,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    STATE(679), 1,
      sym_arguments,
    ACTIONS(1540), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1538), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5683] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    STATE(688), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1566), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    STATE(692), 1,
      sym_arguments,
    ACTIONS(1546), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1620), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5858] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(1694), 1,
      anon_sym_COMMA,
    ACTIONS(1696), 1,
      anon_sym_LPAREN,
    ACTIONS(1698), 1,
      anon_sym_RPAREN,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_QMARK,
    ACTIONS(1704), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(943), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1753), 1,
      sym__type,
    STATE(1964), 1,
      sym_variable_name,
    STATE(1977), 1,
      sym_reference_modifier,
    STATE(2573), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1327), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(45), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1974), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1572), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [5959] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    STATE(586), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1710), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1708), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    STATE(678), 1,
      sym_arguments,
    ACTIONS(1554), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1552), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6083] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(750), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1717), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1715), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    STATE(691), 1,
      sym_arguments,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6207] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(1696), 1,
      anon_sym_LPAREN,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_QMARK,
    ACTIONS(1704), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(1721), 1,
      anon_sym_COMMA,
    ACTIONS(1723), 1,
      anon_sym_RPAREN,
    STATE(943), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1753), 1,
      sym__type,
    STATE(1964), 1,
      sym_variable_name,
    STATE(1977), 1,
      sym_reference_modifier,
    STATE(2573), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1327), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(45), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1991), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1572), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6308] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    STATE(586), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    STATE(674), 1,
      sym_arguments,
    ACTIONS(1550), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6432] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    STATE(688), 1,
      sym_arguments,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6495] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    STATE(688), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6560] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1725), 1,
      sym_name,
    ACTIONS(1729), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    STATE(2545), 1,
      sym_attribute_list,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(859), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2586), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1727), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(845), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(848), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1756), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(1591), 11,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [6656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1604), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    ACTIONS(1737), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1735), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6768] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(1696), 1,
      anon_sym_LPAREN,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_QMARK,
    ACTIONS(1704), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(1739), 1,
      anon_sym_RPAREN,
    STATE(943), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1753), 1,
      sym__type,
    STATE(1964), 1,
      sym_variable_name,
    STATE(1977), 1,
      sym_reference_modifier,
    STATE(2573), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1327), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(45), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2220), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1572), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [6866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1530), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1522), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1592), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7028] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1741), 1,
      sym_name,
    ACTIONS(1743), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2677), 1,
      sym_attribute_list,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(714), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    STATE(2676), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(717), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(723), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1681), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(1591), 11,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [7124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1526), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1580), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1600), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1572), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(593), 1,
      sym_arguments,
    ACTIONS(1749), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1747), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7398] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(1696), 1,
      anon_sym_LPAREN,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_QMARK,
    ACTIONS(1704), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(1751), 1,
      anon_sym_RPAREN,
    STATE(943), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1753), 1,
      sym__type,
    STATE(1964), 1,
      sym_variable_name,
    STATE(1977), 1,
      sym_reference_modifier,
    STATE(2573), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1327), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(45), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2220), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1572), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1534), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7550] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(1696), 1,
      anon_sym_LPAREN,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_QMARK,
    ACTIONS(1704), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(1753), 1,
      anon_sym_RPAREN,
    STATE(943), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1753), 1,
      sym__type,
    STATE(1964), 1,
      sym_variable_name,
    STATE(1977), 1,
      sym_reference_modifier,
    STATE(2573), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1327), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(45), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2220), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1572), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1588), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1616), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1596), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7810] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(1696), 1,
      anon_sym_LPAREN,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_QMARK,
    ACTIONS(1704), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(1755), 1,
      anon_sym_RPAREN,
    STATE(943), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1753), 1,
      sym__type,
    STATE(1964), 1,
      sym_variable_name,
    STATE(1977), 1,
      sym_reference_modifier,
    STATE(2573), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1327), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(45), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2220), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1572), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [7908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1576), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1620), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1612), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1584), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1608), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(585), 1,
      sym_arguments,
    ACTIONS(1540), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1538), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    STATE(674), 1,
      sym_arguments,
    ACTIONS(1737), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1735), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(590), 1,
      sym_arguments,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8402] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1710), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1708), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(592), 1,
      sym_arguments,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1552), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1710), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1708), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8575] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(1696), 1,
      anon_sym_LPAREN,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_QMARK,
    ACTIONS(1704), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(943), 1,
      sym_attribute_list,
    STATE(1156), 1,
      sym_visibility_modifier,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1753), 1,
      sym__type,
    STATE(1964), 1,
      sym_variable_name,
    STATE(1977), 1,
      sym_reference_modifier,
    STATE(2573), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1327), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(45), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2220), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    STATE(1572), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [8670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_EQ,
    ACTIONS(1761), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1759), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1757), 31,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8727] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(739), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1766), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8786] = 24,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(101), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(685), 1,
      anon_sym_AMP,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1770), 1,
      sym_name,
    STATE(2271), 1,
      sym_by_ref,
    STATE(2272), 1,
      sym__list_destructing,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1564), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1699), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2564), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1562), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1538), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1591), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [8881] = 22,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1772), 1,
      sym_name,
    ACTIONS(1774), 1,
      anon_sym_RBRACE,
    STATE(712), 1,
      aux_sym_use_list_repeat1,
    STATE(1561), 1,
      sym_class_constant_access_expression,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1564), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2219), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2564), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1699), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1591), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [8972] = 24,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(101), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(685), 1,
      anon_sym_AMP,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1770), 1,
      sym_name,
    STATE(2072), 1,
      sym_by_ref,
    STATE(2073), 1,
      sym__list_destructing,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1564), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1699), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2564), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1551), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1478), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1591), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [9067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(739), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1776), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9126] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1566), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(768), 1,
      sym_arguments,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9295] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(739), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1566), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(588), 1,
      sym_arguments,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9411] = 22,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1780), 1,
      sym_name,
    ACTIONS(1786), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1789), 1,
      anon_sym_BSLASH,
    ACTIONS(1792), 1,
      anon_sym_RBRACE,
    ACTIONS(1794), 1,
      anon_sym_LPAREN,
    ACTIONS(1797), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1800), 1,
      anon_sym_LBRACK,
    ACTIONS(1809), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1812), 1,
      anon_sym_DOLLAR,
    STATE(712), 1,
      aux_sym_use_list_repeat1,
    STATE(1561), 1,
      sym_class_constant_access_expression,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(1803), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(1806), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1564), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2219), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2564), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1783), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1699), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1591), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(750), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1717), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1715), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    STATE(669), 1,
      sym_arguments,
    ACTIONS(1749), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1747), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(594), 1,
      sym_arguments,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_LPAREN,
    STATE(915), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1717), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1715), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9793] = 22,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1772), 1,
      sym_name,
    ACTIONS(1817), 1,
      anon_sym_RBRACE,
    STATE(704), 1,
      aux_sym_use_list_repeat1,
    STATE(1561), 1,
      sym_class_constant_access_expression,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1564), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2219), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    STATE(2564), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1699), 5,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1591), 14,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [9884] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(757), 1,
      sym_arguments,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(594), 1,
      sym_arguments,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    STATE(688), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(750), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1717), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1715), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    STATE(688), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(751), 1,
      sym_arguments,
    ACTIONS(1540), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1538), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(737), 1,
      sym_arguments,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10346] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(585), 1,
      sym_arguments,
    ACTIONS(1540), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1538), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10403] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1552), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(742), 1,
      sym_arguments,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1552), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(588), 1,
      sym_arguments,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1819), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1825), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1823), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1827), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1831), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1508), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1835), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1608), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1604), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1576), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1522), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1580), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1600), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1616), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1622), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1620), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1841), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1845), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1849), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1757), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11510] = 23,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(685), 1,
      anon_sym_AMP,
    ACTIONS(817), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1770), 1,
      sym_name,
    STATE(2225), 1,
      sym_by_ref,
    STATE(2295), 1,
      sym__array_destructing,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1564), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1699), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2564), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1576), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1511), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1591), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [11602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1855), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1853), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1572), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1857), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1612), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1861), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1865), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1871), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1869), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [11968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1592), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1526), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1875), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1873), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1596), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1534), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1588), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1877), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1530), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1883), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1881), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1885), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1889), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1584), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1895), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1893), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1897), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1903), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1901), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1566), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(800), 1,
      sym_arguments,
    ACTIONS(1546), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12909] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1640), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [12968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_RPAREN,
    ACTIONS(1764), 1,
      anon_sym_EQ,
    ACTIONS(1759), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1757), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13023] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(797), 1,
      sym_arguments,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1776), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13131] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    STATE(586), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1710), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1708), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13192] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(804), 1,
      sym_arguments,
    ACTIONS(1540), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1538), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1000), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(998), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1766), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1566), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(799), 1,
      sym_arguments,
    ACTIONS(1554), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1552), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13524] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(870), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1717), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1715), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13585] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    STATE(630), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1710), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1708), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(979), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    ACTIONS(1550), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1592), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1620), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1616), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [13955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1576), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14005] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(1909), 1,
      anon_sym_COLON,
    STATE(630), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1588), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1584), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      anon_sym_SQUOTE,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(1911), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym_object_creation_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_boolean,
      sym_null,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [14217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1600), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1608), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1604), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14367] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(1915), 1,
      anon_sym_COLON,
    STATE(630), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(1917), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1572), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1612), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1580), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1534), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1522), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1526), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1530), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1596), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(594), 1,
      sym_arguments,
    ACTIONS(1546), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [14942] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(1919), 1,
      sym_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(778), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1592), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2533), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1686), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(706), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1580), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(629), 1,
      sym_arguments,
    ACTIONS(1749), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1747), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15078] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1520), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1921), 1,
      sym_name,
    ACTIONS(1923), 1,
      anon_sym_LPAREN,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1579), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1752), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2616), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(857), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(784), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1584), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15161] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(1919), 1,
      sym_name,
    ACTIONS(1925), 1,
      anon_sym_LPAREN,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1592), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1686), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2645), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(772), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(710), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1580), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(801), 1,
      sym_arguments,
    ACTIONS(1749), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1747), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_EQ,
    ACTIONS(1759), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1757), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15401] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1770), 1,
      sym_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1564), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1699), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2564), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1581), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1494), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1591), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15484] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1770), 1,
      sym_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(778), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1564), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2564), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1699), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(1472), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1591), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15567] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(1927), 1,
      sym_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(908), 2,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
    STATE(1583), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2472), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1703), 4,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym_scoped_property_access_expression,
      sym__dereferencable_expression,
    STATE(841), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1664), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1666), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15699] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(630), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1082), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(904), 1,
      sym_arguments,
    ACTIONS(1550), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    ACTIONS(1737), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1735), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [15909] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(1927), 1,
      sym_name,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1583), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1703), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(907), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(846), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [15992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(891), 1,
      sym_arguments,
    ACTIONS(1554), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1552), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16045] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(895), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1766), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(588), 1,
      sym_arguments,
    ACTIONS(1570), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(893), 1,
      sym_arguments,
    ACTIONS(1540), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1538), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(585), 1,
      sym_arguments,
    ACTIONS(1540), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1538), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1094), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1092), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(592), 1,
      sym_arguments,
    ACTIONS(1554), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1552), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16355] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(1919), 1,
      sym_name,
    ACTIONS(1925), 1,
      anon_sym_LPAREN,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1592), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1686), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2645), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(783), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(702), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1580), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(590), 1,
      sym_arguments,
    ACTIONS(1550), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16489] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1512), 1,
      anon_sym_LPAREN,
    ACTIONS(1514), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1931), 1,
      sym_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1587), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1673), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2647), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(707), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(655), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1588), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16572] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1710), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1708), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(895), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1776), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16737] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1770), 1,
      sym_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1564), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1699), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2564), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(707), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1469), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1591), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16820] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [16875] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1770), 1,
      sym_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1564), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1699), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2564), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1548), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1458), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1591), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [16958] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(870), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1717), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1715), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(895), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1566), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(865), 1,
      sym_arguments,
    ACTIONS(1570), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17121] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_LPAREN,
    STATE(1132), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1717), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1715), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17176] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(1935), 1,
      sym_name,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(840), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2631), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(1727), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(852), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(911), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1688), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(1591), 11,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(630), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    STATE(621), 1,
      sym_arguments,
    ACTIONS(1737), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1735), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1710), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1708), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17422] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(1937), 1,
      sym_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(697), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(2621), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(699), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(788), 3,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1702), 3,
      sym_class_constant_access_expression,
      sym_cast_variable,
      sym__dereferencable_expression,
    STATE(1591), 11,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(888), 1,
      sym_arguments,
    ACTIONS(1546), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17558] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(1927), 1,
      sym_name,
    ACTIONS(1929), 1,
      anon_sym_LPAREN,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1583), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1703), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2626), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(909), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(830), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1567), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_arguments,
    ACTIONS(1550), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1548), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1566), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_arguments,
    ACTIONS(1554), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1552), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(870), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1717), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1715), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(585), 1,
      sym_arguments,
    ACTIONS(1540), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1538), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [17906] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(563), 1,
      aux_sym_cast_type_token1,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1050), 1,
      anon_sym_LBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1731), 1,
      anon_sym_LPAREN,
    ACTIONS(1770), 1,
      sym_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(1564), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    STATE(1699), 2,
      sym_class_constant_access_expression,
      sym__dereferencable_expression,
    STATE(2564), 2,
      sym__scope_resolution_qualifier,
      sym_relative_scope,
    ACTIONS(105), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1547), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1470), 7,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1591), 7,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [17989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(588), 1,
      sym_arguments,
    ACTIONS(1570), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1568), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    STATE(594), 1,
      sym_arguments,
    ACTIONS(1546), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1544), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1620), 31,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1584), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1865), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_EQ,
    ACTIONS(1759), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1757), 29,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1857), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1883), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1881), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1855), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1853), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1831), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1596), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1903), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1901), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1871), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1869), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1845), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1508), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1835), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1877), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1841), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1534), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1764), 1,
      anon_sym_EQ,
    ACTIONS(1939), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1759), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1757), 27,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [18968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1849), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1875), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1873), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1612), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1885), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1897), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1757), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1608), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1895), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1893), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1522), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1600), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1530), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1572), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1821), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1819), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1576), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1588), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1861), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1616), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1889), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1825), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1823), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1827), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1622), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1620), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [19978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1526), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1592), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1580), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1604), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1560), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1566), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1778), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1776), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1768), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1766), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1558), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1710), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1708), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1941), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1945), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1949), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1853), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1953), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1959), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1957), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1963), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1961), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1967), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1965), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1534), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1969), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1973), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1977), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [20967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1981), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1985), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1989), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1993), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1999), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1997), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2003), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2001), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2005), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2009), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1999), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1997), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2015), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2013), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2017), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2021), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2027), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2025), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2029), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2033), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2037), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2041), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2045), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2051), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2049), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21841] = 20,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(1696), 1,
      anon_sym_LPAREN,
    ACTIONS(1702), 1,
      anon_sym_QMARK,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(2053), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1176), 1,
      sym_visibility_modifier,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1732), 1,
      sym__type,
    STATE(2025), 1,
      sym_reference_modifier,
    STATE(2027), 1,
      sym_variable_name,
    STATE(2573), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(45), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1572), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [21921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2057), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2055), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [21967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2059), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2063), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2067), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2073), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2071), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2077), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2075), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2081), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2079), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1768), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1766), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2085), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2083), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2047), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2045), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2089), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2093), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2097), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1522), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2101), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2105), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2109), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2113), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1530), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1526), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2117), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2121), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2125), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [22981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2129), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2133), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2137), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2141), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2145), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2149), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2155), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2153), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2157), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1708), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1084), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1082), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1094), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1092), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2077), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2075), 26,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2165), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2163), 26,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [23623] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2167), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [23703] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2207), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [23783] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 15,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [23845] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2209), 1,
      anon_sym_EQ_GT,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2093), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [23927] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2213), 1,
      anon_sym_QMARK,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2211), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [24001] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24081] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [24157] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 21,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [24209] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2217), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24289] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [24367] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2221), 1,
      anon_sym_QMARK,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [24441] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2223), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24521] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2013), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [24649] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2225), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24729] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2227), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24809] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [24879] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2229), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24959] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25033] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [25101] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2231), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25175] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(1710), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 15,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [25239] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2233), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [25319] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2235), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25393] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2047), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2045), 26,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [25513] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2237), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25587] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 23,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [25637] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [25691] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1710), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [25749] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2203), 1,
      anon_sym_STAR,
    ACTIONS(1710), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2205), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [25815] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [25884] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2225), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [25963] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2233), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [26042] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [26093] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2211), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26166] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(1710), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26231] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2217), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [26310] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2237), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26383] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26456] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2277), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2165), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2163), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [26574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2277), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2047), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2045), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [26619] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2279), 1,
      anon_sym_EQ_GT,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2093), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [26700] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [26767] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2207), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [26846] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2277), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2077), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2075), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [26891] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2167), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [26970] = 10,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2283), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2288), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2291), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2294), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2297), 1,
      sym_var_modifier,
    ACTIONS(2300), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2286), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    STATE(1029), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_property_declaration_repeat1,
    ACTIONS(2281), 16,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [27027] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27088] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2227), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27167] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27242] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27321] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2231), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27394] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1710), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27451] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2223), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27530] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2013), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27609] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [27686] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(1710), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [27749] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2229), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [27828] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [27901] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [27954] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [28003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [28050] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2261), 1,
      anon_sym_STAR,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2263), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2235), 10,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2141), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [28165] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [28233] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2329), 1,
      sym_name,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1653), 1,
      sym__type,
    STATE(1820), 1,
      sym_const_element,
    STATE(2571), 1,
      sym__reserved_identifier,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1432), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [28301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2093), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [28343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1556), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [28385] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2237), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2137), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [28499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1522), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [28541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2015), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2013), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [28583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2117), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [28625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1993), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [28667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2017), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [28709] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 1,
      anon_sym_QMARK,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [28781] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2329), 1,
      sym_name,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1646), 1,
      sym__type,
    STATE(1835), 1,
      sym_const_element,
    STATE(2571), 1,
      sym__reserved_identifier,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1432), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [28849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2029), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [28891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2155), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2153), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [28933] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2329), 1,
      sym_name,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1640), 1,
      sym__type,
    STATE(1921), 1,
      sym_const_element,
    STATE(2571), 1,
      sym__reserved_identifier,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1432), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [29001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2005), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1967), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1965), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1981), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1959), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1957), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2101), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1953), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2027), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2025), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1973), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1977), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2051), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2049), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2003), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2001), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2073), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2071), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1945), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1526), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2149), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2085), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2083), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2021), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2339), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2047), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2045), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29759] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2231), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [29831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      aux_sym_binary_expression_token1,
    ACTIONS(2047), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2045), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2339), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2165), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2163), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2045), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [29961] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2235), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2105), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1708), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30117] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [30167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2133), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30209] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30257] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [30309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(981), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(979), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30351] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1710), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1969), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30449] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(1710), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1530), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2057), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2055), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30595] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30661] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2233), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [30739] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_QMARK,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2211), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30811] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1999), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1997), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [30927] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2223), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [31005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1999), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1997), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31047] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [31123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1985), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31165] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31237] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2217), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [31315] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [31433] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(1710), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [31497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1000), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(998), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1534), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31581] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [31641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2077), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2075), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2339), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2077), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2075), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1963), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1961), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31769] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2349), 1,
      anon_sym_EQ_GT,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2093), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [31849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1949), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [31891] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2207), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [31969] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2167), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [32047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2063), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32089] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2225), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [32167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2069), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2067), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32209] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [32287] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2229), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [32365] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2227), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [32443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2113), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2081), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2079), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2157), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32569] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2325), 1,
      anon_sym_STAR,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2327), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2013), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [32647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1853), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2089), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1989), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2109), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32815] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2329), 1,
      sym_name,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1611), 1,
      sym__type,
    STATE(1815), 1,
      sym_const_element,
    STATE(2571), 1,
      sym__reserved_identifier,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1432), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [32883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2121), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2129), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [32967] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2329), 1,
      sym_name,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1610), 1,
      sym__type,
    STATE(1802), 1,
      sym_const_element,
    STATE(2571), 1,
      sym__reserved_identifier,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1432), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [33035] = 16,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2329), 1,
      sym_name,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1622), 1,
      sym__type,
    STATE(1894), 1,
      sym_const_element,
    STATE(2571), 1,
      sym__reserved_identifier,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1432), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [33103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2033), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1768), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1766), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(1941), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2041), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2061), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2059), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2097), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2037), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2009), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2145), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2125), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33523] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 1,
      anon_sym_QMARK,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2219), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2077), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2075), 23,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [33637] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2215), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [33714] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2229), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [33791] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(1710), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [33854] = 17,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(1190), 1,
      sym_readonly_modifier,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2017), 1,
      sym_variable_name,
    STATE(2367), 1,
      sym__type,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1432), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [33923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 22,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [33968] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34039] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2227), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [34116] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34187] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2225), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [34264] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 10,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [34331] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2167), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [34408] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [34483] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34556] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2207), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [34633] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2391), 1,
      anon_sym_EQ_GT,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2093), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [34712] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2217), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [34789] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 12,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34848] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2233), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [34925] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_QMARK,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34990] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(1710), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 12,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35051] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1710), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1708), 16,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35106] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 17,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [35157] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 20,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [35204] = 17,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(43), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(1207), 1,
      sym_readonly_modifier,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2144), 1,
      sym_variable_name,
    STATE(2229), 1,
      sym__type,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1432), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [35273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2165), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2163), 23,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2047), 9,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
    ACTIONS(2045), 23,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [35359] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2013), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [35436] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2223), 5,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [35513] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2235), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35584] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2231), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1710), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1708), 18,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [35704] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_QMARK,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2211), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35775] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2377), 1,
      anon_sym_STAR,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2379), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2237), 8,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35846] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2393), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2395), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2399), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2401), 1,
      anon_sym_RBRACE,
    ACTIONS(2403), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2405), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2407), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2409), 1,
      sym_var_modifier,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1321), 1,
      sym_visibility_modifier,
    STATE(1354), 1,
      sym_attribute_list,
    STATE(1409), 1,
      sym__class_const_declaration,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2411), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(652), 5,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      aux_sym_property_declaration_repeat1,
    STATE(1194), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [35921] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2415), 1,
      anon_sym_COMMA,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2413), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2327), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35996] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2393), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2395), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2399), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2403), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2405), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2407), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2409), 1,
      sym_var_modifier,
    ACTIONS(2417), 1,
      anon_sym_RBRACE,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1321), 1,
      sym_visibility_modifier,
    STATE(1354), 1,
      sym_attribute_list,
    STATE(1409), 1,
      sym__class_const_declaration,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2411), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(652), 5,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      aux_sym_property_declaration_repeat1,
    STATE(1197), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [36071] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2393), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2395), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2399), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2403), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2405), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2407), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2409), 1,
      sym_var_modifier,
    ACTIONS(2419), 1,
      anon_sym_RBRACE,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1321), 1,
      sym_visibility_modifier,
    STATE(1354), 1,
      sym_attribute_list,
    STATE(1409), 1,
      sym__class_const_declaration,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2411), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(652), 5,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      aux_sym_property_declaration_repeat1,
    STATE(1194), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [36146] = 15,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2159), 1,
      sym_variable_name,
    STATE(2218), 1,
      sym__type,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1432), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36209] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2327), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2421), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36282] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2423), 1,
      anon_sym_COMMA,
    ACTIONS(2425), 1,
      anon_sym_EQ_GT,
    STATE(2079), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36359] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2427), 1,
      anon_sym_EQ_GT,
    ACTIONS(2093), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36434] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2432), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2435), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2438), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2441), 1,
      anon_sym_RBRACE,
    ACTIONS(2443), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2446), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2449), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2452), 1,
      sym_var_modifier,
    ACTIONS(2458), 1,
      anon_sym_POUND_LBRACK,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1321), 1,
      sym_visibility_modifier,
    STATE(1354), 1,
      sym_attribute_list,
    STATE(1409), 1,
      sym__class_const_declaration,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2455), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(652), 5,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      aux_sym_property_declaration_repeat1,
    STATE(1194), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [36509] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2415), 1,
      anon_sym_COMMA,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2461), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2327), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36584] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2465), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1419), 1,
      sym__const_declaration,
    STATE(2628), 1,
      sym_visibility_modifier,
    ACTIONS(45), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2467), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2463), 21,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [36631] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2393), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2395), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2399), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2403), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2405), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2407), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2409), 1,
      sym_var_modifier,
    ACTIONS(2469), 1,
      anon_sym_RBRACE,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1321), 1,
      sym_visibility_modifier,
    STATE(1354), 1,
      sym_attribute_list,
    STATE(1409), 1,
      sym__class_const_declaration,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2411), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(652), 5,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      aux_sym_property_declaration_repeat1,
    STATE(1194), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [36706] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2465), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1424), 1,
      sym__const_declaration,
    STATE(2628), 1,
      sym_visibility_modifier,
    ACTIONS(45), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(2467), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2463), 21,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [36753] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2393), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2395), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2399), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2403), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2405), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2407), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2409), 1,
      sym_var_modifier,
    ACTIONS(2471), 1,
      anon_sym_RBRACE,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1321), 1,
      sym_visibility_modifier,
    STATE(1354), 1,
      sym_attribute_list,
    STATE(1409), 1,
      sym__class_const_declaration,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2411), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(652), 5,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      aux_sym_property_declaration_repeat1,
    STATE(1189), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [36828] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2327), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2473), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36901] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2393), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2395), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2399), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2403), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2405), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2407), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2409), 1,
      sym_var_modifier,
    ACTIONS(2475), 1,
      anon_sym_RBRACE,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1321), 1,
      sym_visibility_modifier,
    STATE(1354), 1,
      sym_attribute_list,
    STATE(1409), 1,
      sym__class_const_declaration,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2411), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(652), 5,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      aux_sym_property_declaration_repeat1,
    STATE(1202), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [36976] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2393), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2395), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2399), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2403), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2405), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2407), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2409), 1,
      sym_var_modifier,
    ACTIONS(2477), 1,
      anon_sym_RBRACE,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1321), 1,
      sym_visibility_modifier,
    STATE(1354), 1,
      sym_attribute_list,
    STATE(1409), 1,
      sym__class_const_declaration,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2411), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(652), 5,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      aux_sym_property_declaration_repeat1,
    STATE(1194), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [37051] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2479), 1,
      anon_sym_EQ_GT,
    ACTIONS(2093), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37126] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2393), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2395), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2399), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2403), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2405), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2407), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2409), 1,
      sym_var_modifier,
    ACTIONS(2481), 1,
      anon_sym_RBRACE,
    STATE(1198), 1,
      sym_final_modifier,
    STATE(1321), 1,
      sym_visibility_modifier,
    STATE(1354), 1,
      sym_attribute_list,
    STATE(1409), 1,
      sym__class_const_declaration,
    STATE(1414), 1,
      sym__const_declaration,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2411), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(652), 5,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      aux_sym_property_declaration_repeat1,
    STATE(1186), 5,
      sym__member_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_declaration_list_repeat1,
  [37201] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2483), 1,
      anon_sym_EQ_GT,
    ACTIONS(2093), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37276] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2327), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2485), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37349] = 15,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1956), 1,
      sym_variable_name,
    STATE(2413), 1,
      sym__type,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1432), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [37412] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2487), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37484] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2489), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37556] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2491), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2327), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37628] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2493), 1,
      anon_sym_EQ_GT,
    ACTIONS(2495), 1,
      anon_sym_RPAREN,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37702] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2413), 1,
      anon_sym_RPAREN,
    ACTIONS(2497), 1,
      anon_sym_COMMA,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37776] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2499), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2327), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37848] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2501), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37920] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2503), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [37992] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2505), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38064] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2507), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38136] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2461), 1,
      anon_sym_RPAREN,
    ACTIONS(2497), 1,
      anon_sym_COMMA,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38210] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2327), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38282] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2511), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2327), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38354] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2513), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38426] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2515), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38498] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2517), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38570] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2519), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2327), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38642] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2521), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38714] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2493), 1,
      anon_sym_EQ_GT,
    ACTIONS(2523), 1,
      anon_sym_RPAREN,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38788] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2493), 1,
      anon_sym_EQ_GT,
    ACTIONS(2525), 1,
      anon_sym_RPAREN,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38862] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2527), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [38934] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2529), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39006] = 14,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2531), 1,
      sym_name,
    ACTIONS(2535), 1,
      anon_sym_LPAREN,
    ACTIONS(2537), 1,
      anon_sym_QMARK,
    ACTIONS(2539), 1,
      sym_bottom_type,
    STATE(1728), 1,
      sym_qualified_name,
    STATE(2170), 1,
      sym__type,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    STATE(1962), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1553), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2533), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [39066] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2541), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39138] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2543), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39210] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2545), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2327), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39282] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2547), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2327), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39354] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2549), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39426] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2551), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39498] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_AMP,
    ACTIONS(2305), 1,
      anon_sym_PIPE,
    ACTIONS(2309), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2311), 1,
      anon_sym_CARET,
    ACTIONS(2319), 1,
      anon_sym_GT_EQ,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2337), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2343), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2345), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2347), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2307), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2313), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2553), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2317), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2327), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2315), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39570] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2555), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39642] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2557), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39714] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2559), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39786] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2561), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39858] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2563), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [39930] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2565), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40002] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2461), 1,
      anon_sym_SEMI,
    ACTIONS(2567), 1,
      anon_sym_COMMA,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40076] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2413), 1,
      anon_sym_SEMI,
    ACTIONS(2567), 1,
      anon_sym_COMMA,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40150] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2493), 1,
      anon_sym_EQ_GT,
    ACTIONS(2569), 1,
      anon_sym_RPAREN,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40224] = 14,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1682), 1,
      anon_sym_LPAREN,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2571), 1,
      sym_bottom_type,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2348), 1,
      sym__type,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1512), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1432), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [40284] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2573), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40356] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2577), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2575), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [40394] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_AMP,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(2357), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2359), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2363), 1,
      anon_sym_CARET,
    ACTIONS(2371), 1,
      anon_sym_GT_EQ,
    ACTIONS(2375), 1,
      anon_sym_DOT,
    ACTIONS(2383), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2387), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2389), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2355), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2365), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2373), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2579), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2369), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2379), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2367), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40466] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2581), 1,
      anon_sym_RBRACK,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40537] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2583), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40608] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2585), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40679] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2587), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40750] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2589), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40821] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2591), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40892] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2593), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40963] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2595), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41034] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2597), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41105] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2597), 1,
      anon_sym_RBRACK,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41176] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2601), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2599), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [41213] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2603), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41284] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41355] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2607), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41426] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41497] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2605), 1,
      anon_sym_RBRACK,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41568] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2611), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41639] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2613), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41710] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2615), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41781] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2617), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41852] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2619), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41923] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2621), 1,
      anon_sym_RPAREN,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41994] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2611), 1,
      anon_sym_RBRACK,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42065] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2623), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42136] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2625), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42207] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2627), 1,
      anon_sym_COLON,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42278] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2629), 1,
      anon_sym_RPAREN,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42349] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2633), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2631), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [42386] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2395), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2635), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2637), 1,
      anon_sym_RBRACE,
    ACTIONS(2639), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2641), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2643), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2645), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2647), 1,
      sym_var_modifier,
    STATE(1355), 1,
      sym_attribute_list,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2649), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1296), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1359), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_property_declaration_repeat1,
  [42451] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2651), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42522] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2653), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42593] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2655), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42664] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2657), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42735] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2659), 1,
      anon_sym_COLON,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42806] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2661), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42877] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2663), 1,
      anon_sym_COLON,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42948] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2665), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43019] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2667), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43090] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2669), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43161] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2671), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43232] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2665), 1,
      anon_sym_RBRACK,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43303] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2673), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43374] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2675), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43445] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2677), 1,
      anon_sym_EQ_GT,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43516] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2679), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43587] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2395), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2635), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2639), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2641), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2643), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2645), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2647), 1,
      sym_var_modifier,
    ACTIONS(2681), 1,
      anon_sym_RBRACE,
    STATE(1355), 1,
      sym_attribute_list,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2649), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1301), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1359), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_property_declaration_repeat1,
  [43652] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2683), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43723] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2685), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43794] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2687), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43865] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2689), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43936] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2691), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2694), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2697), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2700), 1,
      anon_sym_RBRACE,
    ACTIONS(2702), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2705), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2708), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2711), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2714), 1,
      sym_var_modifier,
    ACTIONS(2720), 1,
      anon_sym_POUND_LBRACK,
    STATE(1355), 1,
      sym_attribute_list,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2717), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1301), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1359), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_property_declaration_repeat1,
  [44001] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2723), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44072] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_AMP,
    ACTIONS(2241), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2255), 1,
      anon_sym_GT_EQ,
    ACTIONS(2259), 1,
      anon_sym_DOT,
    ACTIONS(2265), 1,
      anon_sym_QMARK,
    ACTIONS(2267), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2269), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2271), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2273), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2583), 1,
      anon_sym_RBRACK,
    ACTIONS(2243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2249), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2257), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2253), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2263), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2251), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44143] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2725), 1,
      anon_sym_EQ_GT,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44214] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2727), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44285] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44356] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2731), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44427] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2733), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44498] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44569] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2737), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44640] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2739), 1,
      anon_sym_RPAREN,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44711] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2741), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44782] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2743), 1,
      anon_sym_EQ_GT,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44853] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2745), 1,
      anon_sym_RPAREN,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44924] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44995] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2749), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45066] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2751), 1,
      anon_sym_COLON,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45137] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2753), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45208] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2755), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45279] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2395), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2635), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2639), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2641), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2643), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2645), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2647), 1,
      sym_var_modifier,
    ACTIONS(2757), 1,
      anon_sym_RBRACE,
    STATE(1355), 1,
      sym_attribute_list,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2649), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1323), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1359), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_property_declaration_repeat1,
  [45344] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2759), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2467), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2463), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45383] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2581), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45454] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2395), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2635), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2639), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2641), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2643), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2645), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2647), 1,
      sym_var_modifier,
    ACTIONS(2761), 1,
      anon_sym_RBRACE,
    STATE(1355), 1,
      sym_attribute_list,
    STATE(1842), 1,
      sym__function_definition_header,
    STATE(1360), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2649), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1301), 5,
      sym__enum_member_declaration,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1359), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_property_declaration_repeat1,
  [45519] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2179), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2181), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2183), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2185), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2187), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2189), 1,
      anon_sym_CARET,
    ACTIONS(2197), 1,
      anon_sym_GT_EQ,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(2763), 1,
      anon_sym_RBRACE,
    ACTIONS(2175), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2191), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2199), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2195), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2205), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2193), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45590] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2767), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2765), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45626] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2771), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2769), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 1,
      anon_sym_POUND_LBRACK,
    STATE(1328), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2775), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2773), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 1,
      anon_sym_POUND_LBRACK,
    STATE(1328), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2779), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2777), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45740] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2624), 1,
      sym_intersection_type,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1950), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2786), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2784), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [45822] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2493), 1,
      sym_intersection_type,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1950), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45871] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2788), 1,
      anon_sym_LPAREN,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1460), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45920] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2657), 1,
      sym_intersection_type,
    STATE(1950), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [45969] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_QMARK,
    ACTIONS(2788), 1,
      anon_sym_LPAREN,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2573), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1460), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2790), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46051] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_QMARK,
    ACTIONS(2788), 1,
      anon_sym_LPAREN,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2573), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1453), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46100] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2531), 1,
      sym_name,
    ACTIONS(2537), 1,
      anon_sym_QMARK,
    ACTIONS(2794), 1,
      anon_sym_LPAREN,
    STATE(1728), 1,
      sym_qualified_name,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    STATE(1824), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2533), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46149] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2477), 1,
      sym_intersection_type,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1950), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46198] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2504), 1,
      sym_intersection_type,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1950), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46247] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2531), 1,
      sym_name,
    ACTIONS(2537), 1,
      anon_sym_QMARK,
    ACTIONS(2794), 1,
      anon_sym_LPAREN,
    STATE(1728), 1,
      sym_qualified_name,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    STATE(1771), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2533), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46296] = 11,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2788), 1,
      anon_sym_LPAREN,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1453), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2798), 7,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2796), 18,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46378] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1456), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46424] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2531), 1,
      sym_name,
    ACTIONS(2537), 1,
      anon_sym_QMARK,
    STATE(1728), 1,
      sym_qualified_name,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    STATE(1773), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2533), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46470] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2531), 1,
      sym_name,
    ACTIONS(2537), 1,
      anon_sym_QMARK,
    STATE(1728), 1,
      sym_qualified_name,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    STATE(1822), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2533), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46516] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_QMARK,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2573), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1471), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46562] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1684), 1,
      anon_sym_QMARK,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1471), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46608] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_QMARK,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2573), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1456), 4,
      sym__types,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46654] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1445), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46695] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2573), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1445), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1674), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46736] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2633), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2631), 17,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_string,
      anon_sym_int,
      aux_sym_readonly_modifier_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46765] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2531), 1,
      sym_name,
    STATE(1728), 1,
      sym_qualified_name,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    STATE(1710), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2533), 13,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46806] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2771), 4,
      anon_sym_BSLASH,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
    ACTIONS(2769), 16,
      aux_sym_namespace_definition_token1,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_static,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [46834] = 14,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2393), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2399), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(2403), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2405), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2407), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2800), 1,
      sym_var_modifier,
    STATE(1196), 1,
      sym_final_modifier,
    STATE(1321), 1,
      sym_visibility_modifier,
    STATE(1427), 1,
      sym__const_declaration,
    STATE(1792), 1,
      sym__function_definition_header,
    ACTIONS(2411), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(653), 5,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      aux_sym_property_declaration_repeat1,
  [46883] = 11,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2635), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2641), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2643), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2645), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2802), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2804), 1,
      sym_var_modifier,
    STATE(1792), 1,
      sym__function_definition_header,
    ACTIONS(2649), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1358), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_property_declaration_repeat1,
  [46925] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 1,
      anon_sym_LBRACE,
    ACTIONS(2809), 1,
      sym_escape_sequence,
    ACTIONS(2815), 1,
      sym__new_line,
    ACTIONS(2818), 1,
      anon_sym_DOLLAR,
    ACTIONS(2821), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2824), 1,
      sym_heredoc_end,
    STATE(1356), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1410), 1,
      sym_variable_name,
    STATE(1457), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2812), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
    STATE(1362), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [46969] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(2828), 1,
      sym_escape_sequence,
    ACTIONS(2832), 1,
      sym__new_line,
    ACTIONS(2835), 1,
      anon_sym_DOLLAR,
    ACTIONS(2837), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2839), 1,
      sym_heredoc_end,
    STATE(1356), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1410), 1,
      sym_variable_name,
    STATE(1457), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2830), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
    STATE(1362), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [47013] = 10,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2635), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2641), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2643), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2645), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2841), 1,
      sym_var_modifier,
    STATE(1866), 1,
      sym__function_definition_header,
    ACTIONS(2649), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1366), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_property_declaration_repeat1,
  [47052] = 10,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2397), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2635), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2641), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2643), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2645), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2841), 1,
      sym_var_modifier,
    STATE(1795), 1,
      sym__function_definition_header,
    ACTIONS(2649), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1366), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_property_declaration_repeat1,
  [47091] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_POUND_LBRACK,
    STATE(1363), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2775), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [47118] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(2828), 1,
      sym_escape_sequence,
    ACTIONS(2835), 1,
      anon_sym_DOLLAR,
    ACTIONS(2837), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2843), 1,
      sym__new_line,
    STATE(1357), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1410), 1,
      sym_variable_name,
    STATE(1457), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2830), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
    STATE(1362), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [47159] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(2835), 1,
      anon_sym_DOLLAR,
    ACTIONS(2837), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2845), 1,
      sym_escape_sequence,
    ACTIONS(2847), 1,
      sym__new_line,
    ACTIONS(2849), 1,
      sym_heredoc_end,
    STATE(1410), 1,
      sym_variable_name,
    STATE(1457), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2830), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
    STATE(1364), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [47200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 1,
      anon_sym_POUND_LBRACK,
    STATE(1363), 2,
      sym_attribute_group,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2779), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [47227] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2854), 1,
      anon_sym_LBRACE,
    ACTIONS(2857), 1,
      sym_escape_sequence,
    ACTIONS(2863), 1,
      sym__new_line,
    ACTIONS(2865), 1,
      anon_sym_DOLLAR,
    ACTIONS(2868), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2871), 1,
      sym_heredoc_end,
    STATE(1410), 1,
      sym_variable_name,
    STATE(1457), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2860), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
    STATE(1364), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [47268] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 1,
      sym_heredoc_end,
    ACTIONS(2826), 1,
      anon_sym_LBRACE,
    ACTIONS(2835), 1,
      anon_sym_DOLLAR,
    ACTIONS(2837), 1,
      sym_encapsed_string_chars_heredoc,
    ACTIONS(2845), 1,
      sym_escape_sequence,
    ACTIONS(2873), 1,
      sym__new_line,
    STATE(1410), 1,
      sym_variable_name,
    STATE(1457), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2830), 4,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
    STATE(1364), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [47309] = 9,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2286), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(2875), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2878), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2881), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2884), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2887), 1,
      sym_var_modifier,
    ACTIONS(2890), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1366), 7,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym__modifier,
      sym_static_modifier,
      sym_visibility_modifier,
      aux_sym_property_declaration_repeat1,
  [47345] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2893), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_cast_type_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1792), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SQUOTE,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [47369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2798), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [47390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [47411] = 9,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2830), 1,
      anon_sym_BSLASHu,
    ACTIONS(2895), 1,
      anon_sym_LBRACE,
    ACTIONS(2897), 1,
      sym_escape_sequence,
    ACTIONS(2899), 1,
      anon_sym_DOLLAR,
    STATE(1410), 1,
      sym_variable_name,
    STATE(1457), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2837), 4,
      sym_encapsed_string_chars_heredoc,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
    STATE(1365), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body_heredoc,
      sym_dynamic_variable_name,
  [47446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2786), 15,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_POUND_LBRACK,
  [47467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2901), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2903), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47527] = 10,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2907), 1,
      anon_sym_LBRACE,
    ACTIONS(2909), 1,
      sym_escape_sequence,
    ACTIONS(2911), 1,
      anon_sym_BSLASHu,
    ACTIONS(2915), 1,
      anon_sym_DQUOTE,
    ACTIONS(2917), 1,
      anon_sym_DOLLAR,
    STATE(1474), 1,
      sym_variable_name,
    STATE(1598), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2913), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1393), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [47563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2919), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2925), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47663] = 7,
    ACTIONS(591), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2929), 1,
      sym_integer,
    ACTIONS(587), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(589), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(2927), 3,
      sym_float,
      sym_boolean,
      sym_null,
    STATE(2618), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [47693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2931), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47713] = 10,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2907), 1,
      anon_sym_LBRACE,
    ACTIONS(2911), 1,
      anon_sym_BSLASHu,
    ACTIONS(2917), 1,
      anon_sym_DOLLAR,
    ACTIONS(2933), 1,
      sym_escape_sequence,
    ACTIONS(2935), 1,
      anon_sym_DQUOTE,
    STATE(1474), 1,
      sym_variable_name,
    STATE(1598), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2913), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1387), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [47749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47769] = 10,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2939), 1,
      anon_sym_LBRACE,
    ACTIONS(2942), 1,
      sym_escape_sequence,
    ACTIONS(2945), 1,
      anon_sym_BSLASHu,
    ACTIONS(2951), 1,
      anon_sym_DQUOTE,
    ACTIONS(2953), 1,
      anon_sym_DOLLAR,
    STATE(1474), 1,
      sym_variable_name,
    STATE(1598), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2948), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1385), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [47805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2956), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47825] = 10,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2907), 1,
      anon_sym_LBRACE,
    ACTIONS(2911), 1,
      anon_sym_BSLASHu,
    ACTIONS(2917), 1,
      anon_sym_DOLLAR,
    ACTIONS(2958), 1,
      sym_escape_sequence,
    ACTIONS(2960), 1,
      anon_sym_DQUOTE,
    STATE(1474), 1,
      sym_variable_name,
    STATE(1598), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2913), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1385), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [47861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2956), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [47961] = 10,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2907), 1,
      anon_sym_LBRACE,
    ACTIONS(2911), 1,
      anon_sym_BSLASHu,
    ACTIONS(2917), 1,
      anon_sym_DOLLAR,
    ACTIONS(2958), 1,
      sym_escape_sequence,
    ACTIONS(2966), 1,
      anon_sym_DQUOTE,
    STATE(1474), 1,
      sym_variable_name,
    STATE(1598), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2913), 2,
      sym_encapsed_string_chars,
      anon_sym_SQUOTE,
    STATE(1385), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_string_body,
      sym_dynamic_variable_name,
  [47997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(998), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48037] = 9,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_LBRACE,
    ACTIONS(2972), 1,
      anon_sym_BSLASHu,
    ACTIONS(2974), 1,
      anon_sym_BQUOTE,
    ACTIONS(2976), 1,
      anon_sym_DOLLAR,
    STATE(1488), 1,
      sym_variable_name,
    STATE(1664), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2970), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1404), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [48070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2978), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2982), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48165] = 9,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_LBRACE,
    ACTIONS(2976), 1,
      anon_sym_DOLLAR,
    ACTIONS(2986), 1,
      anon_sym_BSLASHu,
    ACTIONS(2988), 1,
      anon_sym_BQUOTE,
    STATE(1488), 1,
      sym_variable_name,
    STATE(1664), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2984), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1396), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [48198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2990), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48217] = 9,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2992), 1,
      anon_sym_LBRACE,
    ACTIONS(2998), 1,
      anon_sym_BSLASHu,
    ACTIONS(3001), 1,
      anon_sym_BQUOTE,
    ACTIONS(3003), 1,
      anon_sym_DOLLAR,
    STATE(1488), 1,
      sym_variable_name,
    STATE(1664), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2995), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1404), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [48250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1130), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3006), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3008), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3010), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3012), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48345] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_DASH_GT,
    ACTIONS(3018), 1,
      anon_sym_LBRACK,
    ACTIONS(3022), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    ACTIONS(3020), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3014), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [48372] = 9,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_LBRACE,
    ACTIONS(2972), 1,
      anon_sym_BSLASHu,
    ACTIONS(2976), 1,
      anon_sym_DOLLAR,
    ACTIONS(3024), 1,
      anon_sym_BQUOTE,
    STATE(1488), 1,
      sym_variable_name,
    STATE(1664), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2970), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1404), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [48405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 4,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1598), 9,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [48426] = 13,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2403), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2405), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(3026), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3028), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3030), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3032), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(3034), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3036), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2354), 1,
      sym__function_definition_header,
    STATE(2510), 1,
      sym_static_modifier,
    STATE(2511), 1,
      sym_readonly_modifier,
    STATE(1995), 2,
      sym_final_modifier,
      sym_abstract_modifier,
  [48467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3038), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3040), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3042), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3044), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48543] = 10,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3052), 1,
      anon_sym_BSLASH,
    STATE(1831), 1,
      sym_namespace_use_clause,
    STATE(2577), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3050), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1747), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [48578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48597] = 13,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2403), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2405), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(3026), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3028), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(3034), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(3036), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3056), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(3058), 1,
      aux_sym_class_declaration_token1,
    STATE(2349), 1,
      sym__function_definition_header,
    STATE(2510), 1,
      sym_static_modifier,
    STATE(2587), 1,
      sym_readonly_modifier,
    STATE(2096), 2,
      sym_final_modifier,
      sym_abstract_modifier,
  [48638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1358), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1362), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3064), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48771] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3066), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3068), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [48796] = 9,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2968), 1,
      anon_sym_LBRACE,
    ACTIONS(2976), 1,
      anon_sym_DOLLAR,
    ACTIONS(3072), 1,
      anon_sym_BSLASHu,
    ACTIONS(3074), 1,
      anon_sym_BQUOTE,
    STATE(1488), 1,
      sym_variable_name,
    STATE(1664), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(3070), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1411), 5,
      sym__complex_string_part,
      sym__simple_string_subscript_expression,
      sym__simple_string_part,
      aux_sym__interpolated_execution_operator_body,
      sym_dynamic_variable_name,
  [48829] = 10,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3078), 1,
      anon_sym_BSLASH,
    STATE(1799), 1,
      sym_namespace_use_clause,
    STATE(2600), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    ACTIONS(3076), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    STATE(1747), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [48864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3080), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [48883] = 8,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3087), 1,
      anon_sym_AMP,
    ACTIONS(3094), 1,
      anon_sym_PIPE,
    STATE(1461), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1521), 1,
      aux_sym_union_type_repeat1,
    STATE(1522), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3089), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3082), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [48913] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3096), 1,
      sym_name,
    ACTIONS(3098), 1,
      anon_sym_RBRACK,
    STATE(2224), 1,
      sym_attribute,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1854), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [48947] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3096), 1,
      sym_name,
    ACTIONS(3100), 1,
      anon_sym_RBRACK,
    STATE(2224), 1,
      sym_attribute,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1854), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [48981] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3096), 1,
      sym_name,
    ACTIONS(3102), 1,
      anon_sym_RBRACK,
    STATE(2224), 1,
      sym_attribute,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1854), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49015] = 10,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3096), 1,
      sym_name,
    ACTIONS(3104), 1,
      anon_sym_RBRACK,
    STATE(2224), 1,
      sym_attribute,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1854), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49049] = 6,
    ACTIONS(113), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3106), 1,
      sym_integer,
    ACTIONS(109), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(111), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(2335), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [49074] = 6,
    ACTIONS(113), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3108), 1,
      sym_integer,
    ACTIONS(109), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token1,
    ACTIONS(111), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    STATE(2217), 5,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
      sym__string,
  [49099] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3066), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3068), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49118] = 8,
    ACTIONS(1686), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2767), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3110), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1788), 1,
      sym_static_variable_declaration,
    STATE(1789), 1,
      sym_variable_name,
    ACTIONS(1620), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [49147] = 8,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(3112), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3114), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(586), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [49176] = 8,
    ACTIONS(1686), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2767), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3110), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(1789), 1,
      sym_variable_name,
    STATE(1828), 1,
      sym_static_variable_declaration,
    ACTIONS(1620), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [49205] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3096), 1,
      sym_name,
    STATE(2010), 1,
      sym_attribute,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1854), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49236] = 9,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3116), 1,
      anon_sym_BSLASH,
    STATE(1880), 1,
      sym_namespace_use_clause,
    STATE(2588), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    STATE(1747), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49267] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3118), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3120), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49286] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    STATE(2006), 1,
      sym_namespace_use_clause,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    STATE(1747), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49317] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3122), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3124), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49336] = 9,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    ACTIONS(3126), 1,
      anon_sym_BSLASH,
    STATE(1893), 1,
      sym_namespace_use_clause,
    STATE(2497), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    STATE(1747), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49367] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3096), 1,
      sym_name,
    STATE(2016), 1,
      sym_attribute,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1854), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49398] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3096), 1,
      sym_name,
    STATE(2224), 1,
      sym_attribute,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1854), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(2863), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [49447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3130), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3128), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [49465] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3132), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3134), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3138), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3136), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [49501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3142), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3140), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [49519] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3144), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3146), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3150), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3148), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [49555] = 7,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    ACTIONS(3154), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_arguments,
    STATE(2047), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [49581] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2767), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3156), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1620), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [49603] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3158), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3161), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49621] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3087), 1,
      anon_sym_AMP,
    STATE(1479), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3164), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3166), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [49643] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3168), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3170), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [49661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1618), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [49679] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3172), 1,
      sym_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2022), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3176), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(3174), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [49725] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3178), 1,
      sym_name,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    STATE(1827), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49753] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3180), 1,
      sym_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(1839), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49781] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3182), 1,
      sym_name,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2053), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49809] = 5,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1566), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [49831] = 7,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    ACTIONS(3184), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_arguments,
    STATE(2065), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [49857] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3186), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3188), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [49875] = 5,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1776), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [49897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1598), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [49915] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3014), 1,
      anon_sym_BSLASHu,
    ACTIONS(3190), 1,
      anon_sym_DASH_GT,
    ACTIONS(3192), 1,
      anon_sym_LBRACK,
    ACTIONS(3194), 1,
      sym_encapsed_string_chars_after_variable,
    ACTIONS(3020), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [49939] = 3,
    ACTIONS(1598), 1,
      anon_sym_BSLASHu,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1596), 9,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [49957] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3196), 1,
      sym_name,
    STATE(2638), 1,
      sym_namespace_name,
    STATE(2639), 1,
      sym_namespace_name_as_prefix,
    STATE(1658), 2,
      sym_qualified_name,
      sym__reserved_identifier,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [49985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 3,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
    ACTIONS(1614), 7,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_SQUOTE,
      anon_sym_LT_QMARK,
      anon_sym_QMARK_GT2,
      sym__new_line,
      anon_sym_DOLLAR,
  [50003] = 7,
    ACTIONS(830), 1,
      anon_sym_COMMA,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3198), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_arguments,
    STATE(2099), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50029] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3200), 1,
      anon_sym_AMP,
    STATE(1479), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3186), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3188), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [50051] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3203), 1,
      sym_name,
    ACTIONS(3205), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(835), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50074] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3207), 1,
      sym_name,
    ACTIONS(3209), 1,
      anon_sym_LBRACE,
    STATE(1574), 1,
      sym__reserved_identifier,
    STATE(826), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50099] = 7,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3211), 1,
      sym_name,
    ACTIONS(3213), 1,
      anon_sym_LBRACE,
    STATE(851), 1,
      sym__reserved_identifier,
    STATE(610), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50124] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3215), 1,
      sym_name,
    ACTIONS(3217), 1,
      anon_sym_LBRACE,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(729), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50147] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3223), 1,
      anon_sym_PIPE,
    STATE(1540), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3221), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3219), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [50168] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3225), 1,
      sym_name,
    ACTIONS(3227), 1,
      anon_sym_LBRACE,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(727), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50191] = 7,
    ACTIONS(1520), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3229), 1,
      sym_name,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    STATE(1589), 1,
      sym__reserved_identifier,
    STATE(790), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50216] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3233), 1,
      sym_name,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    STATE(670), 1,
      sym__reserved_identifier,
    STATE(696), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50241] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3014), 1,
      anon_sym_BSLASHu,
    ACTIONS(3237), 1,
      anon_sym_DASH_GT,
    ACTIONS(3239), 1,
      anon_sym_LBRACK,
    ACTIONS(3241), 1,
      sym_execution_string_chars_after_variable,
    ACTIONS(3020), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [50264] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3243), 1,
      sym_name,
    ACTIONS(3245), 1,
      anon_sym_LBRACE,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(728), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50287] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3233), 1,
      sym_name,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    STATE(670), 1,
      sym__reserved_identifier,
    STATE(856), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50312] = 5,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(2551), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50333] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(895), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50356] = 8,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3247), 1,
      sym_name,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1571), 1,
      sym_reference_modifier,
    STATE(1634), 1,
      sym_formal_parameters,
    STATE(2260), 1,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50383] = 5,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(3251), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50404] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2601), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [50419] = 6,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3253), 1,
      sym_name,
    ACTIONS(3257), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(614), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50442] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2577), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [50457] = 8,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3247), 1,
      sym_name,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1601), 1,
      sym_reference_modifier,
    STATE(1623), 1,
      sym_formal_parameters,
    STATE(2260), 1,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50484] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3259), 1,
      sym_name,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(693), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50507] = 6,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_name,
    ACTIONS(3267), 1,
      anon_sym_LBRACE,
    ACTIONS(3265), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(579), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50530] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3269), 1,
      sym_name,
    ACTIONS(3271), 1,
      anon_sym_LBRACE,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(725), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50553] = 6,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3273), 1,
      sym_name,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    ACTIONS(3265), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(582), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50576] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3233), 1,
      sym_name,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    STATE(670), 1,
      sym__reserved_identifier,
    STATE(837), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50601] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3277), 1,
      sym_name,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(829), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50624] = 7,
    ACTIONS(1520), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3281), 1,
      sym_name,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(827), 1,
      sym__reserved_identifier,
    STATE(790), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50649] = 6,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3263), 1,
      sym_name,
    ACTIONS(3267), 1,
      anon_sym_LBRACE,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(579), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50672] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2771), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [50687] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2767), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [50702] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3285), 1,
      sym_name,
    ACTIONS(3287), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(832), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50725] = 6,
    ACTIONS(1514), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3289), 1,
      sym_name,
    ACTIONS(3293), 1,
      anon_sym_LBRACE,
    ACTIONS(3291), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(654), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50748] = 5,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(3295), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50769] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3297), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3299), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [50786] = 6,
    ACTIONS(1514), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3301), 1,
      sym_name,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    ACTIONS(3291), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(660), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50809] = 7,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_name,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    STATE(1585), 1,
      sym__reserved_identifier,
    STATE(1582), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50834] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(3309), 1,
      anon_sym_EQ,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3068), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3066), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [50857] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3233), 1,
      sym_name,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    STATE(670), 1,
      sym__reserved_identifier,
    STATE(695), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [50882] = 6,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    STATE(586), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50905] = 6,
    ACTIONS(1520), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3311), 1,
      sym_name,
    ACTIONS(3315), 1,
      anon_sym_LBRACE,
    ACTIONS(3313), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(785), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [50928] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50951] = 5,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(2579), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [50972] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3321), 1,
      anon_sym_PIPE,
    STATE(1534), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3319), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3317), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [50993] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3223), 1,
      anon_sym_PIPE,
    STATE(1531), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3325), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3323), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51014] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    STATE(688), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51037] = 7,
    ACTIONS(1514), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3327), 1,
      sym_name,
    ACTIONS(3329), 1,
      anon_sym_LBRACE,
    STATE(694), 1,
      sym__reserved_identifier,
    STATE(665), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51062] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3305), 1,
      sym_name,
    ACTIONS(3307), 1,
      anon_sym_LBRACE,
    STATE(1585), 1,
      sym__reserved_identifier,
    STATE(720), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51087] = 7,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3233), 1,
      sym_name,
    ACTIONS(3235), 1,
      anon_sym_LBRACE,
    STATE(670), 1,
      sym__reserved_identifier,
    STATE(581), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51112] = 3,
    ACTIONS(1598), 1,
      anon_sym_BSLASHu,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1596), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [51129] = 6,
    ACTIONS(1520), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3331), 1,
      sym_name,
    ACTIONS(3333), 1,
      anon_sym_LBRACE,
    ACTIONS(3313), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(781), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51152] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2633), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [51167] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3335), 1,
      sym_name,
    ACTIONS(3337), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(833), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51190] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_PIPE,
    STATE(1531), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3134), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3132), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51211] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(739), 1,
      sym_arguments,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51234] = 5,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(2573), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51255] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3342), 1,
      anon_sym_PIPE,
    STATE(1534), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3146), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3144), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51276] = 5,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(2565), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51297] = 7,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3207), 1,
      sym_name,
    ACTIONS(3209), 1,
      anon_sym_LBRACE,
    STATE(1574), 1,
      sym__reserved_identifier,
    STATE(1575), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [51322] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3345), 1,
      sym_name,
    ACTIONS(3347), 1,
      anon_sym_LBRACE,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(698), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51345] = 5,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(3349), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51366] = 6,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3351), 1,
      sym_name,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    ACTIONS(3255), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(612), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51389] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3223), 1,
      anon_sym_PIPE,
    STATE(1531), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3357), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3355), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [51410] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3359), 1,
      sym_name,
    ACTIONS(3361), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(858), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51433] = 6,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3273), 1,
      sym_name,
    ACTIONS(3275), 1,
      anon_sym_LBRACE,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(582), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51456] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3363), 1,
      sym_name,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(860), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [51479] = 8,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(3369), 1,
      anon_sym_COMMA,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1372), 1,
      sym_use_list,
    STATE(1616), 1,
      aux_sym_base_clause_repeat1,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3367), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51505] = 9,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    STATE(915), 1,
      sym_declaration_list,
    STATE(1625), 1,
      sym_arguments,
    STATE(1905), 1,
      sym_base_clause,
    STATE(2410), 1,
      sym_class_interface_clause,
  [51533] = 9,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1079), 1,
      sym_declaration_list,
    STATE(1657), 1,
      sym_arguments,
    STATE(1805), 1,
      sym_base_clause,
    STATE(2247), 1,
      sym_class_interface_clause,
  [51561] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    ACTIONS(3184), 1,
      anon_sym_RPAREN,
    STATE(2065), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51581] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    ACTIONS(3154), 1,
      anon_sym_RPAREN,
    STATE(2047), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51601] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1803), 1,
      sym_named_type,
    STATE(2035), 1,
      sym_type_list,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
  [51629] = 6,
    ACTIONS(949), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3381), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3383), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(947), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1557), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [51651] = 5,
    ACTIONS(830), 1,
      anon_sym_COMMA,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3198), 1,
      anon_sym_RPAREN,
    STATE(2099), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51671] = 9,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(1803), 1,
      sym_named_type,
    STATE(2102), 1,
      sym_type_list,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
  [51699] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_AMP,
    ACTIONS(3387), 1,
      anon_sym_PIPE,
    STATE(1706), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1708), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1709), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3089), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [51723] = 9,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    STATE(935), 1,
      sym_declaration_list,
    STATE(1638), 1,
      sym_arguments,
    STATE(1904), 1,
      sym_base_clause,
    STATE(2417), 1,
      sym_class_interface_clause,
  [51751] = 9,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1132), 1,
      sym_declaration_list,
    STATE(1617), 1,
      sym_arguments,
    STATE(1913), 1,
      sym_base_clause,
    STATE(2432), 1,
      sym_class_interface_clause,
  [51779] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2767), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3110), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1620), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51799] = 6,
    ACTIONS(939), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3389), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3392), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(937), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1557), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [51821] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3068), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [51838] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_BSLASHu,
    ACTIONS(2951), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [51853] = 3,
    ACTIONS(1598), 1,
      anon_sym_BSLASHu,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1596), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [51868] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3112), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(3114), 1,
      aux_sym_use_instead_of_clause_token1,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51885] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3349), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51900] = 4,
    ACTIONS(1638), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(630), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51917] = 4,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51934] = 8,
    ACTIONS(27), 1,
      anon_sym_BSLASH,
    ACTIONS(553), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1668), 1,
      sym_name,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1439), 1,
      sym_qualified_name,
    STATE(2181), 1,
      sym_named_type,
    STATE(2579), 1,
      sym_namespace_name_as_prefix,
    STATE(2638), 1,
      sym_namespace_name,
  [51959] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(3399), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1933), 1,
      sym_namespace_aliasing_clause,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3397), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [51980] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(895), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [51997] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1913), 3,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(1911), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [52012] = 3,
    ACTIONS(1618), 1,
      anon_sym_BSLASHu,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1616), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52027] = 3,
    ACTIONS(1614), 1,
      anon_sym_BSLASHu,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1612), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52042] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3401), 1,
      sym_name,
    STATE(1608), 1,
      sym_formal_parameters,
    STATE(2412), 1,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52063] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3403), 1,
      anon_sym_AMP,
    ACTIONS(3409), 1,
      anon_sym_PIPE,
    STATE(1670), 1,
      aux_sym_union_type_repeat1,
    STATE(1727), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1819), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3089), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [52086] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3128), 1,
      anon_sym_BSLASHu,
    ACTIONS(3130), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52101] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(904), 1,
      sym_arguments,
    ACTIONS(1735), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52118] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(904), 1,
      sym_arguments,
    ACTIONS(1548), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52135] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3295), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52150] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(906), 1,
      sym_arguments,
    ACTIONS(1747), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52167] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3413), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3416), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3411), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1578), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52186] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52203] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(739), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52220] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3251), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52235] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(757), 1,
      sym_arguments,
    ACTIONS(1548), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52252] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_LPAREN,
    STATE(895), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52269] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(794), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52286] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(757), 1,
      sym_arguments,
    ACTIONS(1735), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52303] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(738), 1,
      sym_arguments,
    ACTIONS(1747), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52320] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    STATE(688), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52337] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_LPAREN,
    STATE(688), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52354] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(791), 1,
      sym_arguments,
    ACTIONS(1735), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52371] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_LPAREN,
    STATE(801), 1,
      sym_arguments,
    ACTIONS(1747), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52388] = 4,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(586), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52405] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_LPAREN,
    STATE(739), 1,
      sym_arguments,
    ACTIONS(1562), 5,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [52422] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_BSLASHu,
    ACTIONS(3138), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52437] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3140), 1,
      anon_sym_BSLASHu,
    ACTIONS(3142), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52452] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(3421), 1,
      anon_sym_DASH,
    ACTIONS(3419), 2,
      sym_integer,
      sym_name,
    STATE(2484), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52471] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(3421), 1,
      anon_sym_DASH,
    ACTIONS(3423), 2,
      sym_integer,
      sym_name,
    STATE(2642), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52490] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3427), 1,
      anon_sym_BSLASHu,
    ACTIONS(3425), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52505] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_BSLASHu,
    ACTIONS(3150), 6,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [52520] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(3421), 1,
      anon_sym_DASH,
    ACTIONS(3429), 2,
      sym_integer,
      sym_name,
    STATE(2619), 3,
      sym__simple_string_subscript_unary_expression,
      sym__simple_string_array_access_argument,
      sym_variable_name,
  [52539] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3431), 1,
      sym_name,
    STATE(1695), 1,
      sym_reference_modifier,
    STATE(2298), 1,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52560] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3401), 1,
      sym_name,
    STATE(1669), 1,
      sym_formal_parameters,
    STATE(2412), 1,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52581] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3435), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3437), 1,
      aux_sym_switch_block_token1,
    STATE(1650), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52599] = 7,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(967), 1,
      sym_compound_statement,
    STATE(1857), 1,
      sym_anonymous_function_use_clause,
    STATE(2371), 1,
      sym__return_type,
  [52621] = 3,
    ACTIONS(1618), 1,
      anon_sym_BSLASHu,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1616), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52635] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1077), 1,
      sym_compound_statement,
    STATE(1875), 1,
      sym_anonymous_function_use_clause,
    STATE(2387), 1,
      sym__return_type,
  [52657] = 3,
    ACTIONS(1598), 1,
      anon_sym_BSLASHu,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1596), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52671] = 7,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(940), 1,
      sym_compound_statement,
    STATE(1888), 1,
      sym_anonymous_function_use_clause,
    STATE(2359), 1,
      sym__return_type,
  [52693] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1075), 1,
      sym_compound_statement,
    STATE(1850), 1,
      sym_anonymous_function_use_clause,
    STATE(2353), 1,
      sym__return_type,
  [52715] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3445), 1,
      sym_name,
    STATE(2033), 1,
      sym_const_element,
    STATE(2571), 1,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52733] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3445), 1,
      sym_name,
    STATE(1800), 1,
      sym_const_element,
    STATE(2571), 1,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52751] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3445), 1,
      sym_name,
    STATE(1807), 1,
      sym_const_element,
    STATE(2571), 1,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52769] = 3,
    ACTIONS(1614), 1,
      anon_sym_BSLASHu,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1612), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52783] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3449), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3451), 1,
      aux_sym_else_clause_token1,
    STATE(1645), 1,
      aux_sym_if_statement_repeat2,
    STATE(2076), 1,
      sym_else_if_clause_2,
    STATE(2572), 1,
      sym_else_clause_2,
  [52805] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1716), 1,
      sym_declaration_list,
    STATE(1896), 1,
      sym_base_clause,
    STATE(2392), 1,
      sym_class_interface_clause,
  [52827] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3435), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3453), 1,
      anon_sym_RBRACE,
    STATE(1648), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [52845] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3369), 1,
      anon_sym_COMMA,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1382), 1,
      sym_use_list,
    STATE(1697), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3455), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52865] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1055), 1,
      sym_declaration_list,
    STATE(1811), 1,
      sym_base_clause,
    STATE(2204), 1,
      sym_class_interface_clause,
  [52887] = 7,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(973), 1,
      sym_compound_statement,
    STATE(1920), 1,
      sym_anonymous_function_use_clause,
    STATE(2446), 1,
      sym__return_type,
  [52909] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3457), 1,
      anon_sym_BSLASHu,
    ACTIONS(3001), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [52923] = 7,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(913), 1,
      sym_compound_statement,
    STATE(1917), 1,
      sym_anonymous_function_use_clause,
    STATE(2444), 1,
      sym__return_type,
  [52945] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(455), 1,
      sym_declaration_list,
    STATE(1782), 1,
      sym_base_clause,
    STATE(2207), 1,
      sym_class_interface_clause,
  [52967] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3445), 1,
      sym_name,
    STATE(1766), 1,
      sym_const_element,
    STATE(2571), 1,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52985] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1052), 1,
      sym_compound_statement,
    STATE(1774), 1,
      sym_anonymous_function_use_clause,
    STATE(2195), 1,
      sym__return_type,
  [53007] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3435), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3461), 1,
      anon_sym_RBRACE,
    STATE(1632), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53025] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    STATE(964), 1,
      sym_declaration_list,
    STATE(1906), 1,
      sym_base_clause,
    STATE(2418), 1,
      sym_class_interface_clause,
  [53047] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1687), 1,
      sym_declaration_list,
    STATE(1901), 1,
      sym_base_clause,
    STATE(2406), 1,
      sym_class_interface_clause,
  [53069] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(444), 1,
      sym_declaration_list,
    STATE(1775), 1,
      sym_base_clause,
    STATE(2197), 1,
      sym_class_interface_clause,
  [53091] = 7,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(970), 1,
      sym_compound_statement,
    STATE(1889), 1,
      sym_anonymous_function_use_clause,
    STATE(2401), 1,
      sym__return_type,
  [53113] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1063), 1,
      sym_compound_statement,
    STATE(1778), 1,
      sym_anonymous_function_use_clause,
    STATE(2288), 1,
      sym__return_type,
  [53135] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1698), 1,
      sym_declaration_list,
    STATE(1885), 1,
      sym_base_clause,
    STATE(2398), 1,
      sym_class_interface_clause,
  [53157] = 7,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(930), 1,
      sym_compound_statement,
    STATE(1884), 1,
      sym_anonymous_function_use_clause,
    STATE(2397), 1,
      sym__return_type,
  [53179] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3435), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3463), 1,
      anon_sym_RBRACE,
    STATE(1578), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53197] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3435), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3465), 1,
      aux_sym_switch_block_token1,
    STATE(1578), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53215] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1144), 1,
      sym_compound_statement,
    STATE(1909), 1,
      sym_anonymous_function_use_clause,
    STATE(2416), 1,
      sym__return_type,
  [53237] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3451), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3467), 1,
      aux_sym_if_statement_token2,
    STATE(1705), 1,
      aux_sym_if_statement_repeat2,
    STATE(2076), 1,
      sym_else_if_clause_2,
    STATE(2521), 1,
      sym_else_clause_2,
  [53259] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(3469), 1,
      anon_sym_COMMA,
    STATE(1764), 1,
      aux_sym_base_clause_repeat1,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3471), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [53279] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(457), 1,
      sym_declaration_list,
    STATE(1793), 1,
      sym_base_clause,
    STATE(2245), 1,
      sym_class_interface_clause,
  [53301] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    STATE(931), 1,
      sym_declaration_list,
    STATE(1867), 1,
      sym_base_clause,
    STATE(2377), 1,
      sym_class_interface_clause,
  [53323] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1684), 1,
      sym_declaration_list,
    STATE(1863), 1,
      sym_base_clause,
    STATE(2373), 1,
      sym_class_interface_clause,
  [53345] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3445), 1,
      sym_name,
    STATE(1900), 1,
      sym_const_element,
    STATE(2571), 1,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53363] = 6,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2420), 1,
      sym_arguments,
    ACTIONS(3473), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [53383] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3435), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3475), 1,
      aux_sym_switch_block_token1,
    STATE(1633), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53401] = 7,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(965), 1,
      sym_compound_statement,
    STATE(1855), 1,
      sym_anonymous_function_use_clause,
    STATE(2368), 1,
      sym__return_type,
  [53423] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3451), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3477), 1,
      aux_sym_if_statement_token2,
    STATE(1635), 1,
      aux_sym_if_statement_repeat2,
    STATE(2076), 1,
      sym_else_if_clause_2,
    STATE(2537), 1,
      sym_else_clause_2,
  [53445] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3449), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3451), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3479), 1,
      aux_sym_if_statement_token2,
    STATE(1705), 1,
      aux_sym_if_statement_repeat2,
    STATE(2076), 1,
      sym_else_if_clause_2,
    STATE(2590), 1,
      sym_else_clause_2,
  [53467] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3445), 1,
      sym_name,
    STATE(1890), 1,
      sym_const_element,
    STATE(2571), 1,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53485] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1715), 1,
      sym_declaration_list,
    STATE(1851), 1,
      sym_base_clause,
    STATE(2299), 1,
      sym_class_interface_clause,
  [53507] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3435), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3481), 1,
      anon_sym_RBRACE,
    STATE(1578), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53525] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1066), 1,
      sym_compound_statement,
    STATE(1798), 1,
      sym_anonymous_function_use_clause,
    STATE(2256), 1,
      sym__return_type,
  [53547] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3433), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3435), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3483), 1,
      aux_sym_switch_block_token1,
    STATE(1578), 3,
      sym_case_statement,
      sym_default_statement,
      aux_sym_switch_block_repeat1,
  [53565] = 7,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(917), 1,
      sym_compound_statement,
    STATE(1843), 1,
      sym_anonymous_function_use_clause,
    STATE(2338), 1,
      sym__return_type,
  [53587] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1759), 1,
      sym_declaration_list,
    STATE(1840), 1,
      sym_base_clause,
    STATE(2330), 1,
      sym_class_interface_clause,
  [53609] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3445), 1,
      sym_name,
    STATE(1912), 1,
      sym_const_element,
    STATE(2571), 1,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53627] = 7,
    ACTIONS(955), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3485), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3488), 1,
      aux_sym_else_clause_token1,
    STATE(1750), 1,
      aux_sym_if_statement_repeat1,
    STATE(1934), 1,
      sym_else_clause,
    STATE(2152), 1,
      sym_else_if_clause,
  [53649] = 7,
    ACTIONS(969), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3491), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3494), 1,
      aux_sym_else_clause_token1,
    STATE(1654), 1,
      aux_sym_if_statement_repeat1,
    STATE(2148), 1,
      sym_else_clause,
    STATE(2152), 1,
      sym_else_if_clause,
  [53671] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3497), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [53687] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1148), 1,
      sym_declaration_list,
    STATE(1826), 1,
      sym_base_clause,
    STATE(2293), 1,
      sym_class_interface_clause,
  [53709] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3369), 1,
      anon_sym_COMMA,
    ACTIONS(3371), 1,
      anon_sym_LBRACE,
    STATE(1372), 1,
      sym_use_list,
    STATE(1616), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3367), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53729] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_BSLASHu,
    ACTIONS(3138), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53743] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3140), 1,
      anon_sym_BSLASHu,
    ACTIONS(3142), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53757] = 7,
    ACTIONS(969), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3501), 1,
      aux_sym_else_clause_token1,
    STATE(1662), 1,
      aux_sym_if_statement_repeat1,
    STATE(2148), 1,
      sym_else_clause,
    STATE(2152), 1,
      sym_else_if_clause,
  [53779] = 7,
    ACTIONS(955), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3499), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3501), 1,
      aux_sym_else_clause_token1,
    STATE(1750), 1,
      aux_sym_if_statement_repeat1,
    STATE(1934), 1,
      sym_else_clause,
    STATE(2152), 1,
      sym_else_if_clause,
  [53801] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(445), 1,
      sym_declaration_list,
    STATE(1916), 1,
      sym_base_clause,
    STATE(2439), 1,
      sym_class_interface_clause,
  [53823] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_BSLASHu,
    ACTIONS(3150), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53837] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_declaration_list,
    STATE(1903), 1,
      sym_base_clause,
    STATE(2415), 1,
      sym_class_interface_clause,
  [53859] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3128), 1,
      anon_sym_BSLASHu,
    ACTIONS(3130), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [53873] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(450), 1,
      sym_declaration_list,
    STATE(1846), 1,
      sym_base_clause,
    STATE(2351), 1,
      sym_class_interface_clause,
  [53895] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1138), 1,
      sym_compound_statement,
    STATE(1873), 1,
      sym_anonymous_function_use_clause,
    STATE(2383), 1,
      sym__return_type,
  [53917] = 7,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3439), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1137), 1,
      sym_compound_statement,
    STATE(1883), 1,
      sym_anonymous_function_use_clause,
    STATE(2190), 1,
      sym__return_type,
  [53939] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3503), 1,
      anon_sym_PIPE,
    STATE(1724), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3319), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [53954] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3507), 1,
      anon_sym_BSLASH,
    STATE(1722), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [53969] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3509), 1,
      sym_name,
    ACTIONS(3511), 1,
      anon_sym_LBRACE,
    ACTIONS(3513), 1,
      anon_sym_DOLLAR,
    STATE(1612), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [53986] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3515), 1,
      anon_sym_LBRACE,
    ACTIONS(3517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3519), 1,
      anon_sym_DASH_GT,
    ACTIONS(3521), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3523), 1,
      anon_sym_LBRACK,
  [54005] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_PIPE,
    STATE(1674), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3134), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54020] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3528), 1,
      anon_sym_AMP,
    STATE(1675), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3188), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54035] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3531), 1,
      anon_sym_PIPE,
    STATE(1676), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3146), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54050] = 5,
    ACTIONS(1514), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3534), 1,
      sym_name,
    ACTIONS(3536), 1,
      anon_sym_LBRACE,
    STATE(690), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54067] = 3,
    ACTIONS(985), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(983), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54080] = 4,
    ACTIONS(1054), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1052), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3538), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54095] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    STATE(1719), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3221), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54110] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3542), 1,
      anon_sym_LBRACE,
    ACTIONS(3544), 1,
      anon_sym_DASH_GT,
    ACTIONS(3546), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3548), 1,
      anon_sym_LBRACK,
  [54129] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_COLON,
    STATE(2091), 1,
      sym__return_type,
    ACTIONS(3550), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54144] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3554), 1,
      sym_name,
    ACTIONS(3556), 1,
      anon_sym_LBRACE,
    ACTIONS(3558), 1,
      anon_sym_DOLLAR,
    STATE(1570), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54161] = 4,
    ACTIONS(1060), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1058), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3560), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54176] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3562), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3564), 1,
      aux_sym_finally_clause_token1,
    STATE(423), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [54191] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3542), 1,
      anon_sym_LBRACE,
    ACTIONS(3548), 1,
      anon_sym_LBRACK,
    ACTIONS(3566), 1,
      anon_sym_DASH_GT,
    ACTIONS(3568), 1,
      anon_sym_QMARK_DASH_GT,
  [54210] = 4,
    ACTIONS(1088), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1086), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54225] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3572), 1,
      anon_sym_LBRACE,
    ACTIONS(3574), 1,
      anon_sym_DASH_GT,
    ACTIONS(3576), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3578), 1,
      anon_sym_LBRACK,
  [54244] = 4,
    ACTIONS(1104), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1102), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3580), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54259] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_BSLASH,
    STATE(1690), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3582), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54274] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_DOLLAR,
    ACTIONS(3587), 1,
      sym_name,
    ACTIONS(3589), 1,
      anon_sym_LBRACE,
    STATE(884), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54291] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3591), 1,
      sym_name,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR,
    STATE(1477), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54308] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_DOLLAR,
    ACTIONS(3597), 1,
      sym_name,
    ACTIONS(3599), 1,
      anon_sym_LBRACE,
    STATE(753), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54325] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3556), 1,
      anon_sym_LBRACE,
    ACTIONS(3558), 1,
      anon_sym_DOLLAR,
    ACTIONS(3601), 1,
      sym_name,
    STATE(1570), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54342] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3603), 1,
      sym_name,
    STATE(2358), 1,
      sym__reserved_identifier,
    ACTIONS(2331), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54357] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3607), 1,
      anon_sym_EQ,
    STATE(2018), 1,
      sym_property_initializer,
    ACTIONS(3605), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [54372] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3609), 1,
      anon_sym_COMMA,
    STATE(1697), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3497), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54387] = 4,
    ACTIONS(1040), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1038), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3612), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54402] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(3616), 1,
      anon_sym_DASH_GT,
    ACTIONS(3618), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3620), 1,
      anon_sym_LBRACK,
  [54421] = 4,
    ACTIONS(1028), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1026), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3622), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54436] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_LBRACE,
    ACTIONS(3513), 1,
      anon_sym_DOLLAR,
    ACTIONS(3624), 1,
      sym_name,
    STATE(1612), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54453] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3542), 1,
      anon_sym_LBRACE,
    ACTIONS(3548), 1,
      anon_sym_LBRACK,
    ACTIONS(3626), 1,
      anon_sym_DASH_GT,
    ACTIONS(3628), 1,
      anon_sym_QMARK_DASH_GT,
  [54472] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3572), 1,
      anon_sym_LBRACE,
    ACTIONS(3578), 1,
      anon_sym_LBRACK,
    ACTIONS(3630), 1,
      anon_sym_DASH_GT,
    ACTIONS(3632), 1,
      anon_sym_QMARK_DASH_GT,
  [54491] = 5,
    ACTIONS(1520), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3634), 1,
      sym_name,
    ACTIONS(3636), 1,
      anon_sym_LBRACE,
    STATE(805), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54508] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3638), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3640), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3643), 1,
      aux_sym_else_clause_token1,
    STATE(1705), 1,
      aux_sym_if_statement_repeat2,
    STATE(2076), 1,
      sym_else_if_clause_2,
  [54527] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    STATE(1674), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3325), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54542] = 4,
    ACTIONS(1116), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1114), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3645), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54557] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_AMP,
    STATE(1675), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3166), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54572] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3647), 1,
      anon_sym_PIPE,
    STATE(1676), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3319), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54587] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3120), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [54598] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_COLON,
    STATE(2169), 1,
      sym__return_type,
    ACTIONS(3649), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54613] = 4,
    ACTIONS(1122), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1120), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3651), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54628] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3653), 1,
      anon_sym_LBRACE,
    ACTIONS(3655), 1,
      anon_sym_COLON,
    STATE(496), 1,
      sym_enum_declaration_list,
    STATE(2437), 1,
      sym_class_interface_clause,
  [54647] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
    ACTIONS(3595), 1,
      anon_sym_DOLLAR,
    ACTIONS(3657), 1,
      sym_name,
    STATE(1477), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [54664] = 4,
    ACTIONS(1078), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1076), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3659), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54679] = 4,
    ACTIONS(1046), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1044), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3661), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54694] = 4,
    ACTIONS(1110), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1108), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3663), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54709] = 6,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3665), 1,
      sym_name,
    ACTIONS(3667), 1,
      anon_sym_BSLASH,
    STATE(549), 1,
      sym_compound_statement,
    STATE(1755), 1,
      sym_namespace_name,
  [54728] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    STATE(1674), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3357), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54743] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3671), 1,
      anon_sym_BSLASH,
    STATE(1690), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3669), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [54758] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(3620), 1,
      anon_sym_LBRACK,
    ACTIONS(3674), 1,
      anon_sym_DASH_GT,
    ACTIONS(3676), 1,
      anon_sym_QMARK_DASH_GT,
  [54777] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3507), 1,
      anon_sym_BSLASH,
    STATE(1741), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3669), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [54792] = 4,
    ACTIONS(1016), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1014), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3678), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54807] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_PIPE,
    STATE(1724), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3146), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [54822] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    ACTIONS(3469), 1,
      anon_sym_COMMA,
    ACTIONS(3683), 1,
      anon_sym_LBRACE,
    STATE(2113), 1,
      aux_sym_base_clause_repeat1,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
  [54841] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    STATE(1726), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3134), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [54856] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_PIPE,
    STATE(1726), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3325), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [54871] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3068), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [54882] = 4,
    ACTIONS(1066), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1064), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3690), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [54897] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3124), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [54908] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_PIPE,
    STATE(1726), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3357), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [54923] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(3692), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2136), 1,
      sym_variable_name,
    STATE(2141), 1,
      sym_reference_modifier,
  [54942] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3694), 1,
      sym_name,
    STATE(1783), 1,
      sym_namespace_name,
    STATE(2162), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3696), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [54959] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3698), 1,
      anon_sym_LBRACE,
    ACTIONS(3700), 1,
      anon_sym_COLON,
    STATE(2103), 1,
      sym_enum_declaration_list,
    STATE(2400), 1,
      sym_class_interface_clause,
  [54978] = 3,
    ACTIONS(1004), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1002), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [54991] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3694), 1,
      sym_name,
    STATE(1783), 1,
      sym_namespace_name,
    STATE(2241), 1,
      sym_namespace_use_group_clause,
    ACTIONS(3696), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [55008] = 4,
    ACTIONS(1072), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1070), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3702), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55023] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3653), 1,
      anon_sym_LBRACE,
    ACTIONS(3704), 1,
      anon_sym_COLON,
    STATE(493), 1,
      sym_enum_declaration_list,
    STATE(2201), 1,
      sym_class_interface_clause,
  [55042] = 4,
    ACTIONS(1022), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1020), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3706), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55057] = 4,
    ACTIONS(1008), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1006), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3708), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55072] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3710), 1,
      anon_sym_BSLASH,
    STATE(1741), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3582), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [55087] = 4,
    ACTIONS(1034), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1032), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3713), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55102] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(3715), 1,
      anon_sym_AMP,
    ACTIONS(3717), 1,
      anon_sym_RPAREN,
    STATE(2231), 2,
      sym_variable_name,
      sym_variable_reference,
  [55119] = 6,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3665), 1,
      sym_name,
    ACTIONS(3667), 1,
      anon_sym_BSLASH,
    STATE(1754), 1,
      sym_namespace_name,
    STATE(1957), 1,
      sym_compound_statement,
  [55138] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_PIPE,
    STATE(1731), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3221), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [55153] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3497), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [55168] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3399), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1933), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3397), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [55183] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3381), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3383), 1,
      aux_sym_finally_clause_token1,
    STATE(1550), 3,
      sym_catch_clause,
      sym_finally_clause,
      aux_sym_try_statement_repeat1,
  [55198] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3719), 1,
      sym_name,
    STATE(1984), 1,
      sym_visibility_modifier,
    ACTIONS(3721), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [55213] = 6,
    ACTIONS(991), 1,
      aux_sym_while_statement_token1,
    ACTIONS(993), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3723), 1,
      aux_sym_else_if_clause_token1,
    STATE(1750), 1,
      aux_sym_if_statement_repeat1,
    STATE(2152), 1,
      sym_else_if_clause,
  [55232] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3698), 1,
      anon_sym_LBRACE,
    ACTIONS(3726), 1,
      anon_sym_COLON,
    STATE(2092), 1,
      sym_enum_declaration_list,
    STATE(2391), 1,
      sym_class_interface_clause,
  [55251] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3728), 1,
      anon_sym_LBRACE,
    ACTIONS(3730), 1,
      anon_sym_DASH_GT,
    ACTIONS(3732), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3734), 1,
      anon_sym_LBRACK,
  [55270] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(3736), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2021), 1,
      sym_reference_modifier,
    STATE(2023), 1,
      sym_variable_name,
  [55289] = 5,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3740), 1,
      anon_sym_BSLASH,
    STATE(2068), 1,
      sym_compound_statement,
    ACTIONS(3738), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55306] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3740), 1,
      anon_sym_BSLASH,
    STATE(544), 1,
      sym_compound_statement,
    ACTIONS(3742), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55323] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3572), 1,
      anon_sym_LBRACE,
    ACTIONS(3578), 1,
      anon_sym_LBRACK,
    ACTIONS(3744), 1,
      anon_sym_DASH_GT,
    ACTIONS(3746), 1,
      anon_sym_QMARK_DASH_GT,
  [55342] = 3,
    ACTIONS(989), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(987), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [55355] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3748), 1,
      anon_sym_BSLASH,
    STATE(1720), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3505), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [55370] = 4,
    ACTIONS(1098), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1096), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3751), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55385] = 6,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3753), 1,
      anon_sym_LBRACE,
    ACTIONS(3755), 1,
      anon_sym_DASH_GT,
    ACTIONS(3757), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3759), 1,
      anon_sym_LBRACK,
  [55404] = 5,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3761), 1,
      sym_name,
    ACTIONS(3763), 1,
      anon_sym_LBRACE,
    STATE(637), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55421] = 5,
    ACTIONS(595), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_name,
    ACTIONS(3767), 1,
      anon_sym_LBRACE,
    STATE(595), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [55438] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(3715), 1,
      anon_sym_AMP,
    ACTIONS(3769), 1,
      anon_sym_RPAREN,
    STATE(2231), 2,
      sym_variable_name,
      sym_variable_reference,
  [55455] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3771), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [55469] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1628), 1,
      sym_formal_parameters,
    STATE(2310), 1,
      sym_reference_modifier,
  [55485] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1859), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3773), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55499] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3777), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55513] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(2078), 1,
      sym_formal_parameters,
    STATE(2286), 1,
      sym_reference_modifier,
  [55529] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(2592), 1,
      sym_declare_directive,
    ACTIONS(3779), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [55541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_SQUOTE,
    ACTIONS(3783), 1,
      aux_sym_string_token2,
    ACTIONS(3785), 1,
      sym_string_value,
    STATE(1869), 1,
      aux_sym_string_repeat1,
  [55557] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3161), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [55567] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_PIPE,
    STATE(1772), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3787), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [55581] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3188), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [55591] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1133), 1,
      sym_compound_statement,
    STATE(2402), 1,
      sym__return_type,
  [55607] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_declaration_list,
    STATE(2405), 1,
      sym_class_interface_clause,
  [55623] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_COMMA,
    STATE(1777), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3792), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55637] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3798), 1,
      anon_sym_COMMA,
    STATE(1777), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3796), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55651] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1124), 1,
      sym_compound_statement,
    STATE(2438), 1,
      sym__return_type,
  [55667] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_COMMA,
    STATE(1856), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3801), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55681] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_COMMA,
    STATE(1777), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3803), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55695] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(2568), 1,
      sym_declare_directive,
    ACTIONS(3779), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [55707] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_declaration_list,
    STATE(2429), 1,
      sym_class_interface_clause,
  [55723] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3807), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(2451), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(3805), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [55737] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3809), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [55747] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1605), 1,
      sym_formal_parameters,
    STATE(2355), 1,
      sym_reference_modifier,
  [55763] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3811), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [55773] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3813), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [55783] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_COMMA,
    STATE(1887), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3815), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55797] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_EQ,
    ACTIONS(3819), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [55809] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_COMMA,
    STATE(1892), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3823), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55823] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3582), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [55833] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3827), 1,
      anon_sym_SEMI,
    ACTIONS(3829), 1,
      anon_sym_LBRACE,
    ACTIONS(3831), 1,
      sym__automatic_semicolon,
    STATE(1377), 1,
      sym_compound_statement,
  [55849] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_declaration_list,
    STATE(2304), 1,
      sym_class_interface_clause,
  [55865] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_COMMA,
    STATE(1860), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3833), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55879] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_LBRACE,
    ACTIONS(3835), 1,
      anon_sym_SEMI,
    ACTIONS(3837), 1,
      sym__automatic_semicolon,
    STATE(1376), 1,
      sym_compound_statement,
  [55895] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3839), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55909] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3841), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55923] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1143), 1,
      sym_compound_statement,
    STATE(2300), 1,
      sym__return_type,
  [55939] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1895), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3843), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55953] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1796), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3847), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55967] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3849), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55981] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1797), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3851), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [55995] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3855), 1,
      anon_sym_PIPE,
    STATE(1845), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3853), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3859), 1,
      sym_nowdoc_string,
    STATE(1830), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3857), 2,
      sym_heredoc_end,
      sym__new_line,
  [56023] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1148), 1,
      sym_declaration_list,
    STATE(2293), 1,
      sym_class_interface_clause,
  [56039] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3851), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56053] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1801), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56067] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1666), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56077] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3863), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [56087] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3170), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56097] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1147), 1,
      sym_declaration_list,
    STATE(2291), 1,
      sym_class_interface_clause,
  [56113] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3809), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [56123] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(2560), 1,
      sym_declare_directive,
    ACTIONS(3779), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [56135] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3865), 1,
      anon_sym_SQUOTE,
    ACTIONS(3867), 1,
      aux_sym_string_token2,
    ACTIONS(3869), 1,
      sym_string_value,
    STATE(1865), 1,
      aux_sym_string_repeat1,
  [56151] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1806), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3871), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56165] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1618), 1,
      sym_formal_parameters,
    STATE(2290), 1,
      sym_reference_modifier,
  [56181] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3863), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56191] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3026), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3036), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3873), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2510), 1,
      sym_static_modifier,
  [56207] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3875), 1,
      anon_sym_AMP,
    STATE(1836), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3166), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56221] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1915), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3878), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56235] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3880), 1,
      anon_sym_LBRACE,
    STATE(503), 1,
      sym_declaration_list,
    STATE(2435), 1,
      sym_base_clause,
  [56251] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3146), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56261] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3882), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [56271] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3134), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [56281] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1607), 1,
      sym_formal_parameters,
    STATE(2441), 1,
      sym_reference_modifier,
  [56297] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1056), 1,
      sym_declaration_list,
    STATE(2274), 1,
      sym_class_interface_clause,
  [56313] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3497), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [56323] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_COMMA,
    STATE(1878), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3884), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56337] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_COMMA,
    STATE(1879), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3886), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 1,
      sym_nowdoc_string,
    STATE(1830), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3888), 2,
      sym_heredoc_end,
      sym__new_line,
  [56365] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1882), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3893), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56379] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1623), 1,
      sym_formal_parameters,
    STATE(2323), 1,
      sym_reference_modifier,
  [56395] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3036), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3895), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(3897), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(2510), 1,
      sym_static_modifier,
  [56411] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1603), 1,
      sym_formal_parameters,
    STATE(2333), 1,
      sym_reference_modifier,
  [56427] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1891), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3899), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56441] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3901), 1,
      anon_sym_AMP,
    STATE(1836), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3188), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [56455] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3653), 1,
      anon_sym_LBRACE,
    STATE(564), 1,
      sym_enum_declaration_list,
    STATE(2239), 1,
      sym_class_interface_clause,
  [56471] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    ACTIONS(3375), 1,
      aux_sym_base_clause_token1,
    STATE(2087), 1,
      sym_declaration_list,
    STATE(2381), 1,
      sym_base_clause,
  [56487] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COMMA,
    STATE(1764), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3471), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56501] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1739), 1,
      sym_declaration_list,
    STATE(2322), 1,
      sym_class_interface_clause,
  [56517] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1634), 1,
      sym_formal_parameters,
    STATE(2399), 1,
      sym_reference_modifier,
  [56533] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_LBRACE,
    ACTIONS(3904), 1,
      anon_sym_SEMI,
    ACTIONS(3906), 1,
      sym__automatic_semicolon,
    STATE(1380), 1,
      sym_compound_statement,
  [56549] = 5,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(912), 1,
      sym_compound_statement,
    STATE(2324), 1,
      sym__return_type,
  [56565] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3910), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3908), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56579] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3855), 1,
      anon_sym_PIPE,
    STATE(1772), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3913), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [56593] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(460), 1,
      sym_declaration_list,
    STATE(2257), 1,
      sym_class_interface_clause,
  [56609] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(3715), 1,
      anon_sym_AMP,
    STATE(2231), 2,
      sym_variable_name,
      sym_variable_reference,
  [56623] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3915), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56637] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(3715), 1,
      anon_sym_AMP,
    STATE(2131), 2,
      sym_variable_name,
      sym_variable_reference,
  [56651] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1130), 1,
      sym_compound_statement,
    STATE(2235), 1,
      sym__return_type,
  [56667] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1689), 1,
      sym_declaration_list,
    STATE(2331), 1,
      sym_class_interface_clause,
  [56683] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3917), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3497), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [56697] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3698), 1,
      anon_sym_LBRACE,
    STATE(2045), 1,
      sym_enum_declaration_list,
    STATE(2332), 1,
      sym_class_interface_clause,
  [56713] = 4,
    ACTIONS(1542), 1,
      anon_sym_LPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(2420), 1,
      sym_arguments,
    ACTIONS(3473), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [56727] = 5,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(929), 1,
      sym_compound_statement,
    STATE(2336), 1,
      sym__return_type,
  [56743] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_COMMA,
    STATE(1777), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3920), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56757] = 5,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(922), 1,
      sym_compound_statement,
    STATE(2337), 1,
      sym__return_type,
  [56773] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_COMMA,
    STATE(1776), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3922), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56787] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3924), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56801] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_COMMA,
    STATE(1777), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3926), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56815] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3928), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56829] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3813), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [56839] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1707), 1,
      sym_declaration_list,
    STATE(2339), 1,
      sym_class_interface_clause,
  [56855] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3932), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3930), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3935), 1,
      anon_sym_SQUOTE,
    ACTIONS(3937), 1,
      aux_sym_string_token2,
    ACTIONS(3939), 1,
      sym_string_value,
    STATE(1907), 1,
      aux_sym_string_repeat1,
  [56885] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_LBRACE,
    ACTIONS(3941), 1,
      anon_sym_SEMI,
    ACTIONS(3943), 1,
      sym__automatic_semicolon,
    STATE(1373), 1,
      sym_compound_statement,
  [56901] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    STATE(927), 1,
      sym_declaration_list,
    STATE(2344), 1,
      sym_class_interface_clause,
  [56917] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_COMMA,
    STATE(1780), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(3945), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3937), 1,
      aux_sym_string_token2,
    ACTIONS(3939), 1,
      sym_string_value,
    ACTIONS(3947), 1,
      anon_sym_SQUOTE,
    STATE(1907), 1,
      aux_sym_string_repeat1,
  [56947] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3949), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56961] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3953), 1,
      anon_sym_COMMA,
    STATE(1871), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3951), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56975] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3958), 1,
      anon_sym_COMMA,
    STATE(1872), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3956), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [56989] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1070), 1,
      sym_compound_statement,
    STATE(2255), 1,
      sym__return_type,
  [57005] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1976), 1,
      sym_formal_parameters,
    STATE(2403), 1,
      sym_reference_modifier,
  [57021] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1065), 1,
      sym_compound_statement,
    STATE(2194), 1,
      sym__return_type,
  [57037] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(2456), 1,
      sym_declare_directive,
    ACTIONS(3779), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [57049] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1992), 1,
      sym_formal_parameters,
    STATE(2393), 1,
      sym_reference_modifier,
  [57065] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_COMMA,
    STATE(1872), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3961), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57079] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_COMMA,
    STATE(1871), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3963), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57093] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1919), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3965), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57107] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(2173), 1,
      sym_formal_parameters,
    STATE(2196), 1,
      sym_reference_modifier,
  [57123] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3965), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57137] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1073), 1,
      sym_compound_statement,
    STATE(2251), 1,
      sym__return_type,
  [57153] = 5,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(947), 1,
      sym_compound_statement,
    STATE(2362), 1,
      sym__return_type,
  [57169] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1737), 1,
      sym_declaration_list,
    STATE(2365), 1,
      sym_class_interface_clause,
  [57185] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_AMP,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1668), 1,
      sym_formal_parameters,
    STATE(2198), 1,
      sym_reference_modifier,
  [57201] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_COMMA,
    STATE(1872), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(3967), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57215] = 5,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(936), 1,
      sym_compound_statement,
    STATE(2443), 1,
      sym__return_type,
  [57231] = 5,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(954), 1,
      sym_compound_statement,
    STATE(2366), 1,
      sym__return_type,
  [57247] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1914), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3969), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57261] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3971), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57275] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_COMMA,
    STATE(1871), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(3973), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57289] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1870), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3975), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57303] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1767), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3977), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57317] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(3975), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57331] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1700), 1,
      sym_declaration_list,
    STATE(2431), 1,
      sym_class_interface_clause,
  [57347] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3653), 1,
      anon_sym_LBRACE,
    STATE(494), 1,
      sym_enum_declaration_list,
    STATE(2249), 1,
      sym_class_interface_clause,
  [57363] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3882), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [57373] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3979), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57387] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1861), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3981), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57401] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1679), 1,
      sym_declaration_list,
    STATE(2374), 1,
      sym_class_interface_clause,
  [57417] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3582), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [57427] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(458), 1,
      sym_declaration_list,
    STATE(2248), 1,
      sym_class_interface_clause,
  [57443] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    STATE(931), 1,
      sym_declaration_list,
    STATE(2377), 1,
      sym_class_interface_clause,
  [57459] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    STATE(964), 1,
      sym_declaration_list,
    STATE(2418), 1,
      sym_class_interface_clause,
  [57475] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    STATE(939), 1,
      sym_declaration_list,
    STATE(2379), 1,
      sym_class_interface_clause,
  [57491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3983), 1,
      anon_sym_SQUOTE,
    ACTIONS(3985), 1,
      aux_sym_string_token2,
    ACTIONS(3988), 1,
      sym_string_value,
    STATE(1907), 1,
      aux_sym_string_repeat1,
  [57507] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3991), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [57517] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1069), 1,
      sym_compound_statement,
    STATE(2347), 1,
      sym__return_type,
  [57533] = 5,
    ACTIONS(830), 1,
      anon_sym_COMMA,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3993), 1,
      anon_sym_EQ,
    ACTIONS(3995), 1,
      anon_sym_RPAREN,
    STATE(2130), 1,
      aux_sym__list_destructing_repeat1,
  [57549] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3698), 1,
      anon_sym_LBRACE,
    STATE(2059), 1,
      sym_enum_declaration_list,
    STATE(2389), 1,
      sym_class_interface_clause,
  [57565] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1848), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3997), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57579] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1055), 1,
      sym_declaration_list,
    STATE(2204), 1,
      sym_class_interface_clause,
  [57595] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3999), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57609] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3977), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57623] = 5,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3377), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_declaration_list,
    STATE(2317), 1,
      sym_class_interface_clause,
  [57639] = 5,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(975), 1,
      sym_compound_statement,
    STATE(2394), 1,
      sym__return_type,
  [57655] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3807), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(2244), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(4001), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [57669] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3845), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(4003), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57683] = 5,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    STATE(924), 1,
      sym_compound_statement,
    STATE(2396), 1,
      sym__return_type,
  [57699] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_COMMA,
    STATE(1899), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(3971), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [57713] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3717), 1,
      anon_sym_RPAREN,
    ACTIONS(4005), 1,
      anon_sym_COMMA,
    STATE(2172), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [57726] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4007), 1,
      sym_name,
    ACTIONS(4009), 1,
      anon_sym_LBRACE,
    STATE(2395), 1,
      sym_namespace_use_group,
  [57739] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4011), 1,
      anon_sym_COMMA,
    ACTIONS(4013), 1,
      anon_sym_RBRACE,
    STATE(2143), 1,
      aux_sym_namespace_use_group_repeat1,
  [57752] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4015), 1,
      anon_sym_COMMA,
    ACTIONS(4017), 1,
      anon_sym_RPAREN,
    STATE(2094), 1,
      aux_sym_array_creation_expression_repeat1,
  [57765] = 3,
    ACTIONS(1404), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1402), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57776] = 3,
    ACTIONS(1408), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1406), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57787] = 3,
    ACTIONS(1408), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1406), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57798] = 3,
    ACTIONS(1136), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1134), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57809] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2633), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [57818] = 3,
    ACTIONS(1396), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1394), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57829] = 3,
    ACTIONS(1424), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1422), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57840] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4019), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [57849] = 3,
    ACTIONS(1432), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1430), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57860] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    ACTIONS(4023), 1,
      anon_sym_RPAREN,
    STATE(1970), 1,
      aux_sym_arguments_repeat1,
  [57873] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym_RPAREN,
    ACTIONS(4025), 1,
      anon_sym_COMMA,
    STATE(2154), 1,
      aux_sym_formal_parameters_repeat1,
  [57886] = 3,
    ACTIONS(1436), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1434), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57897] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(4027), 1,
      anon_sym_EQ_GT,
    STATE(2543), 1,
      sym__return_type,
  [57910] = 3,
    ACTIONS(1128), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1126), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57921] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4031), 1,
      anon_sym_EQ,
    ACTIONS(4029), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [57932] = 3,
    ACTIONS(1400), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1398), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57943] = 3,
    ACTIONS(1372), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1370), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [57954] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3098), 1,
      anon_sym_RBRACK,
    ACTIONS(4033), 1,
      anon_sym_COMMA,
    STATE(2150), 1,
      aux_sym_attribute_group_repeat1,
  [57967] = 4,
    ACTIONS(801), 1,
      anon_sym_RBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4035), 1,
      anon_sym_COMMA,
    STATE(2147), 1,
      aux_sym_array_creation_expression_repeat1,
  [57980] = 4,
    ACTIONS(830), 1,
      anon_sym_COMMA,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(2115), 1,
      aux_sym__list_destructing_repeat1,
  [57993] = 4,
    ACTIONS(799), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4037), 1,
      anon_sym_COMMA,
    STATE(2125), 1,
      aux_sym_array_creation_expression_repeat1,
  [58006] = 4,
    ACTIONS(830), 1,
      anon_sym_COMMA,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(2132), 1,
      aux_sym__list_destructing_repeat1,
  [58019] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(4039), 1,
      anon_sym_EQ_GT,
    STATE(2499), 1,
      sym__return_type,
  [58032] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4041), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [58041] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3087), 1,
      anon_sym_AMP,
    ACTIONS(4043), 1,
      anon_sym_RPAREN,
    STATE(1461), 1,
      aux_sym_intersection_type_repeat1,
  [58054] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4045), 1,
      anon_sym_COMMA,
    ACTIONS(4047), 1,
      anon_sym_RBRACK,
    STATE(1953), 1,
      aux_sym__array_destructing_repeat1,
  [58067] = 4,
    ACTIONS(765), 1,
      anon_sym_RBRACK,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4049), 1,
      anon_sym_COMMA,
    STATE(2147), 1,
      aux_sym_array_creation_expression_repeat1,
  [58080] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4051), 1,
      anon_sym_COMMA,
    ACTIONS(4054), 1,
      anon_sym_RBRACK,
    STATE(1953), 1,
      aux_sym__array_destructing_repeat1,
  [58093] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4056), 1,
      anon_sym_COMMA,
    ACTIONS(4058), 1,
      anon_sym_RBRACE,
    STATE(2001), 1,
      aux_sym_match_block_repeat1,
  [58106] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3100), 1,
      anon_sym_RBRACK,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    STATE(2150), 1,
      aux_sym_attribute_group_repeat1,
  [58119] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_EQ,
    ACTIONS(4062), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58130] = 3,
    ACTIONS(1440), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1438), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58141] = 3,
    ACTIONS(1452), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1450), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58152] = 3,
    ACTIONS(1400), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1398), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58163] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3649), 1,
      anon_sym_LBRACE,
    STATE(2507), 1,
      sym__return_type,
  [58176] = 3,
    ACTIONS(1456), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1454), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58187] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3299), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [58196] = 3,
    ACTIONS(1468), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1466), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58207] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4068), 1,
      anon_sym_EQ,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58218] = 3,
    ACTIONS(1340), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1338), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58229] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_COMMA,
    ACTIONS(4072), 1,
      anon_sym_RPAREN,
    STATE(2164), 1,
      aux_sym_arguments_repeat1,
  [58242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4074), 1,
      sym__new_line,
    ACTIONS(4076), 1,
      sym_heredoc_end,
    STATE(2376), 1,
      sym_nowdoc_body,
  [58255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 1,
      sym__new_line,
    ACTIONS(4080), 1,
      sym_heredoc_end,
    STATE(2375), 1,
      sym_heredoc_body,
  [58268] = 3,
    ACTIONS(1468), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1466), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58279] = 4,
    ACTIONS(781), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    STATE(2048), 1,
      aux_sym_arguments_repeat1,
  [58292] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_EQ,
    ACTIONS(4084), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58303] = 3,
    ACTIONS(1464), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1462), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58314] = 3,
    ACTIONS(1216), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1214), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58325] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_COMMA,
    ACTIONS(4090), 1,
      anon_sym_RPAREN,
    STATE(2019), 1,
      aux_sym_formal_parameters_repeat1,
  [58338] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4092), 1,
      anon_sym_COMMA,
    ACTIONS(4094), 1,
      anon_sym_RPAREN,
    STATE(1946), 1,
      aux_sym_array_creation_expression_repeat1,
  [58351] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(4096), 1,
      anon_sym_EQ_GT,
    STATE(2654), 1,
      sym__return_type,
  [58364] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(4098), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2015), 1,
      sym_variable_name,
  [58377] = 3,
    ACTIONS(1472), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1470), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58388] = 3,
    ACTIONS(1224), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1222), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58399] = 3,
    ACTIONS(1236), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1234), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58410] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4007), 1,
      sym_name,
    ACTIONS(4009), 1,
      anon_sym_LBRACE,
    STATE(2372), 1,
      sym_namespace_use_group,
  [58423] = 3,
    ACTIONS(1360), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1358), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58434] = 3,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1999), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [58445] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4100), 1,
      sym_name,
    ACTIONS(4102), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58456] = 3,
    ACTIONS(1476), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1474), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58467] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4104), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [58476] = 3,
    ACTIONS(1484), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1482), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58487] = 4,
    ACTIONS(1686), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1789), 1,
      sym_variable_name,
    STATE(1996), 1,
      sym_static_variable_declaration,
  [58500] = 3,
    ACTIONS(1504), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1502), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58511] = 3,
    ACTIONS(1460), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1458), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58522] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4106), 1,
      anon_sym_COMMA,
    ACTIONS(4108), 1,
      anon_sym_RPAREN,
    STATE(1936), 1,
      aux_sym_formal_parameters_repeat1,
  [58535] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(4110), 1,
      anon_sym_EQ_GT,
    STATE(2681), 1,
      sym__return_type,
  [58548] = 3,
    ACTIONS(1340), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1338), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58559] = 3,
    ACTIONS(1460), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1458), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58570] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3034), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(4112), 1,
      aux_sym_class_declaration_token1,
    STATE(2498), 1,
      sym_readonly_modifier,
  [58583] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3956), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58592] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4116), 1,
      anon_sym_EQ,
    ACTIONS(4114), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 1,
      sym__new_line,
    ACTIONS(4118), 1,
      sym_heredoc_end,
    STATE(2414), 1,
      sym_heredoc_body,
  [58616] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3951), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58625] = 3,
    ACTIONS(1312), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1310), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58636] = 4,
    ACTIONS(826), 1,
      anon_sym_RBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4120), 1,
      anon_sym_COMMA,
    STATE(2140), 1,
      aux_sym_match_block_repeat1,
  [58649] = 4,
    ACTIONS(793), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4122), 1,
      anon_sym_COMMA,
    STATE(2048), 1,
      aux_sym_arguments_repeat1,
  [58662] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4009), 1,
      anon_sym_LBRACE,
    ACTIONS(4124), 1,
      sym_name,
    STATE(2234), 1,
      sym_namespace_use_group,
  [58675] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4126), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58684] = 3,
    ACTIONS(1268), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1266), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58695] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3930), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 1,
      sym__new_line,
    ACTIONS(4128), 1,
      sym_heredoc_end,
    STATE(2434), 1,
      sym_heredoc_body,
  [58717] = 3,
    ACTIONS(1160), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1158), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58728] = 3,
    ACTIONS(1392), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1390), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58739] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4130), 1,
      anon_sym_COMMA,
    ACTIONS(4132), 1,
      anon_sym_RBRACK,
    STATE(1943), 1,
      aux_sym_attribute_group_repeat1,
  [58752] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_COMMA,
    ACTIONS(4136), 1,
      anon_sym_RBRACK,
    STATE(1944), 1,
      aux_sym_array_creation_expression_repeat1,
  [58765] = 4,
    ACTIONS(1686), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1696), 1,
      sym_variable_name,
    STATE(1779), 1,
      sym_property_element,
  [58778] = 4,
    ACTIONS(1686), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1696), 1,
      sym_variable_name,
    STATE(2178), 1,
      sym_property_element,
  [58791] = 3,
    ACTIONS(1264), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1262), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58802] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4140), 1,
      anon_sym_EQ,
    ACTIONS(4138), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58813] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4142), 1,
      anon_sym_COMMA,
    ACTIONS(4144), 1,
      anon_sym_RBRACK,
    STATE(1955), 1,
      aux_sym_attribute_group_repeat1,
  [58826] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4148), 1,
      anon_sym_EQ,
    ACTIONS(4146), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58837] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4150), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [58846] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_RPAREN,
    ACTIONS(4152), 1,
      anon_sym_COMMA,
    STATE(2154), 1,
      aux_sym_formal_parameters_repeat1,
  [58859] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4154), 1,
      anon_sym_LBRACE,
    ACTIONS(4156), 1,
      anon_sym_COLON,
    STATE(2137), 1,
      sym_switch_block,
  [58872] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(4158), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2149), 1,
      sym_variable_name,
  [58885] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3497), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [58894] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4162), 1,
      anon_sym_EQ,
    ACTIONS(4160), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58905] = 3,
    ACTIONS(1272), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1270), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58916] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(4164), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2146), 1,
      sym_variable_name,
  [58929] = 3,
    ACTIONS(1480), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1478), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58940] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4168), 1,
      anon_sym_EQ,
    ACTIONS(4166), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [58951] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(3550), 1,
      anon_sym_LBRACE,
    STATE(2540), 1,
      sym__return_type,
  [58964] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_EQ,
    ACTIONS(4170), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [58975] = 3,
    ACTIONS(1416), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1414), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [58986] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4045), 1,
      anon_sym_COMMA,
    ACTIONS(4174), 1,
      anon_sym_RBRACK,
    STATE(1953), 1,
      aux_sym__array_destructing_repeat1,
  [58999] = 3,
    ACTIONS(1256), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1254), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59010] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3908), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [59019] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4176), 1,
      anon_sym_COMMA,
    ACTIONS(4178), 1,
      anon_sym_RBRACK,
    STATE(1952), 1,
      aux_sym_array_creation_expression_repeat1,
  [59032] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(4180), 1,
      anon_sym_RPAREN,
    STATE(2517), 1,
      sym_variable_name,
  [59045] = 3,
    ACTIONS(1388), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1386), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59056] = 3,
    ACTIONS(1352), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1350), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59067] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4045), 1,
      anon_sym_COMMA,
    ACTIONS(4174), 1,
      anon_sym_RBRACK,
    STATE(1951), 1,
      aux_sym__array_destructing_repeat1,
  [59080] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4009), 1,
      anon_sym_LBRACE,
    ACTIONS(4124), 1,
      sym_name,
    STATE(2360), 1,
      sym_namespace_use_group,
  [59093] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3993), 1,
      anon_sym_EQ,
    ACTIONS(4182), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [59104] = 3,
    ACTIONS(1348), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1346), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59115] = 3,
    ACTIONS(1348), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1346), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59126] = 3,
    ACTIONS(1248), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1246), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59137] = 3,
    ACTIONS(1344), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1342), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59148] = 3,
    ACTIONS(1244), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1242), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59159] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4184), 1,
      anon_sym_LBRACE,
    ACTIONS(4186), 1,
      anon_sym_COLON,
    STATE(480), 1,
      sym_switch_block,
  [59172] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    ACTIONS(4188), 1,
      anon_sym_RPAREN,
    STATE(2109), 1,
      aux_sym_unset_statement_repeat1,
  [59185] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4190), 1,
      anon_sym_COMMA,
    ACTIONS(4193), 1,
      anon_sym_RPAREN,
    STATE(2048), 1,
      aux_sym_arguments_repeat1,
  [59198] = 3,
    ACTIONS(1336), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1334), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59209] = 3,
    ACTIONS(1324), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1322), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59220] = 3,
    ACTIONS(1232), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1230), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59231] = 3,
    ACTIONS(1320), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1318), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59242] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COMMA,
    ACTIONS(3683), 1,
      anon_sym_LBRACE,
    STATE(2113), 1,
      aux_sym_base_clause_repeat1,
  [59255] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4009), 1,
      anon_sym_LBRACE,
    ACTIONS(4124), 1,
      sym_name,
    STATE(2395), 1,
      sym_namespace_use_group,
  [59268] = 3,
    ACTIONS(1368), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1366), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59279] = 3,
    ACTIONS(1364), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1362), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59290] = 3,
    ACTIONS(1304), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1302), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59301] = 3,
    ACTIONS(1492), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1490), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59312] = 3,
    ACTIONS(1496), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1494), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59323] = 3,
    ACTIONS(1444), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1442), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4195), 1,
      anon_sym_,
    ACTIONS(4197), 1,
      sym_nowdoc_string,
    STATE(1804), 1,
      aux_sym_nowdoc_body_repeat1,
  [59347] = 3,
    ACTIONS(1280), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1278), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59358] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4007), 1,
      sym_name,
    ACTIONS(4009), 1,
      anon_sym_LBRACE,
    STATE(2234), 1,
      sym_namespace_use_group,
  [59371] = 3,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1790), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [59382] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    ACTIONS(4199), 1,
      anon_sym_RPAREN,
    STATE(2109), 1,
      aux_sym_unset_statement_repeat1,
  [59395] = 3,
    ACTIONS(1376), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1374), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59406] = 3,
    ACTIONS(1412), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1410), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59417] = 3,
    ACTIONS(1420), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1418), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59428] = 3,
    ACTIONS(1428), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1426), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59439] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4201), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59448] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4203), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59457] = 4,
    ACTIONS(830), 1,
      anon_sym_COMMA,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3198), 1,
      anon_sym_RPAREN,
    STATE(2099), 1,
      aux_sym__list_destructing_repeat1,
  [59470] = 4,
    ACTIONS(830), 1,
      anon_sym_COMMA,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_RPAREN,
    STATE(2101), 1,
      aux_sym__list_destructing_repeat1,
  [59483] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4209), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4207), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [59494] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4007), 1,
      sym_name,
    ACTIONS(4009), 1,
      anon_sym_LBRACE,
    STATE(2445), 1,
      sym_namespace_use_group,
  [59507] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4213), 1,
      aux_sym_else_clause_token1,
    ACTIONS(4211), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [59518] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4215), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59527] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(4217), 1,
      anon_sym_EQ_GT,
    STATE(2466), 1,
      sym__return_type,
  [59540] = 4,
    ACTIONS(917), 1,
      anon_sym_EQ_GT,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4219), 1,
      anon_sym_COMMA,
    STATE(2088), 1,
      aux_sym_match_condition_list_repeat1,
  [59553] = 4,
    ACTIONS(824), 1,
      anon_sym_RBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_COMMA,
    STATE(2140), 1,
      aux_sym_match_block_repeat1,
  [59566] = 3,
    ACTIONS(1172), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1170), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59577] = 3,
    ACTIONS(1168), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1166), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59588] = 3,
    ACTIONS(1132), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1130), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59599] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3034), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(4223), 1,
      aux_sym_class_declaration_token1,
    STATE(2584), 1,
      sym_readonly_modifier,
  [59612] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_COMMA,
    ACTIONS(4227), 1,
      anon_sym_RBRACE,
    STATE(2080), 1,
      aux_sym_match_block_repeat1,
  [59625] = 3,
    ACTIONS(1284), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1282), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59636] = 3,
    ACTIONS(1276), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1274), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59647] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2561), 1,
      anon_sym_EQ_GT,
    ACTIONS(4229), 1,
      anon_sym_COMMA,
    STATE(2088), 1,
      aux_sym_match_condition_list_repeat1,
  [59660] = 3,
    ACTIONS(1384), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1382), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59671] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4232), 1,
      anon_sym_SQUOTE,
    ACTIONS(4234), 1,
      anon_sym_DQUOTE,
    ACTIONS(4236), 1,
      sym_heredoc_start,
  [59684] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4238), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59693] = 3,
    ACTIONS(1252), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1250), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59704] = 3,
    ACTIONS(1152), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1150), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59715] = 4,
    ACTIONS(779), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_COMMA,
    STATE(2125), 1,
      aux_sym_array_creation_expression_repeat1,
  [59728] = 3,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1829), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [59739] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3034), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(4242), 1,
      aux_sym_class_declaration_token1,
    STATE(2596), 1,
      sym_readonly_modifier,
  [59752] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4244), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59761] = 3,
    ACTIONS(1288), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1286), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59772] = 4,
    ACTIONS(830), 1,
      anon_sym_COMMA,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4246), 1,
      anon_sym_RPAREN,
    STATE(2132), 1,
      aux_sym__list_destructing_repeat1,
  [59785] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4248), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59794] = 4,
    ACTIONS(830), 1,
      anon_sym_COMMA,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4250), 1,
      anon_sym_RPAREN,
    STATE(2132), 1,
      aux_sym__list_destructing_repeat1,
  [59807] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(4252), 1,
      anon_sym_RPAREN,
    STATE(2547), 1,
      sym_variable_name,
  [59820] = 3,
    ACTIONS(1240), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1238), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59831] = 3,
    ACTIONS(1300), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1298), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59842] = 3,
    ACTIONS(1260), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1258), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59853] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4254), 1,
      anon_sym_COMMA,
    ACTIONS(4256), 1,
      anon_sym_RPAREN,
    STATE(2116), 1,
      aux_sym_arguments_repeat1,
  [59866] = 3,
    ACTIONS(1328), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1326), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59877] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3993), 1,
      anon_sym_EQ,
    ACTIONS(4258), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [59888] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3251), 1,
      anon_sym_RPAREN,
    ACTIONS(4260), 1,
      anon_sym_COMMA,
    STATE(2109), 1,
      aux_sym_unset_statement_repeat1,
  [59901] = 3,
    ACTIONS(1156), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1154), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59912] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4263), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [59921] = 3,
    ACTIONS(1204), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1202), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59932] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COMMA,
    ACTIONS(4265), 1,
      anon_sym_LBRACE,
    STATE(1852), 1,
      aux_sym_base_clause_repeat1,
  [59945] = 3,
    ACTIONS(1144), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1142), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59956] = 4,
    ACTIONS(830), 1,
      anon_sym_COMMA,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4267), 1,
      anon_sym_RPAREN,
    STATE(2132), 1,
      aux_sym__list_destructing_repeat1,
  [59969] = 4,
    ACTIONS(771), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_COMMA,
    STATE(2048), 1,
      aux_sym_arguments_repeat1,
  [59982] = 3,
    ACTIONS(1180), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1178), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [59993] = 3,
    ACTIONS(1180), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1178), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60004] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4271), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [60013] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4275), 1,
      anon_sym_EQ,
    ACTIONS(4273), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60024] = 3,
    ACTIONS(1200), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1198), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60035] = 3,
    ACTIONS(1176), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1174), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60046] = 4,
    ACTIONS(1686), 1,
      anon_sym_DOLLAR,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1696), 1,
      sym_variable_name,
    STATE(1858), 1,
      sym_property_element,
  [60059] = 3,
    ACTIONS(1184), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1182), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60070] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4277), 1,
      anon_sym_COMMA,
    ACTIONS(4280), 1,
      anon_sym_RPAREN,
    STATE(2125), 1,
      aux_sym_array_creation_expression_repeat1,
  [60083] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3667), 1,
      anon_sym_BSLASH,
    ACTIONS(4282), 1,
      sym_name,
    STATE(2570), 1,
      sym_namespace_name,
  [60096] = 3,
    ACTIONS(1188), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1186), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60107] = 3,
    ACTIONS(1164), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1162), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60118] = 3,
    ACTIONS(1148), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1146), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60129] = 4,
    ACTIONS(830), 1,
      anon_sym_COMMA,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4284), 1,
      anon_sym_RPAREN,
    STATE(2132), 1,
      aux_sym__list_destructing_repeat1,
  [60142] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4286), 1,
      anon_sym_COMMA,
    ACTIONS(4288), 1,
      anon_sym_RPAREN,
    STATE(1922), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60155] = 4,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4290), 1,
      anon_sym_COMMA,
    STATE(2132), 1,
      aux_sym__list_destructing_repeat1,
  [60168] = 3,
    ACTIONS(1140), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1138), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60179] = 4,
    ACTIONS(811), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4293), 1,
      anon_sym_COMMA,
    STATE(2048), 1,
      aux_sym_arguments_repeat1,
  [60192] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3993), 1,
      anon_sym_EQ,
    ACTIONS(4295), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [60203] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4299), 1,
      anon_sym_EQ,
    ACTIONS(4297), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60214] = 3,
    ACTIONS(1192), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1190), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60225] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4301), 1,
      anon_sym_COMMA,
    ACTIONS(4303), 1,
      anon_sym_RPAREN,
    STATE(2134), 1,
      aux_sym_arguments_repeat1,
  [60238] = 3,
    ACTIONS(1196), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1194), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60249] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4305), 1,
      anon_sym_COMMA,
    ACTIONS(4308), 1,
      anon_sym_RBRACE,
    STATE(2140), 1,
      aux_sym_match_block_repeat1,
  [60262] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    ACTIONS(4310), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1997), 1,
      sym_variable_name,
  [60275] = 3,
    ACTIONS(1292), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1290), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60286] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_COMMA,
    ACTIONS(4315), 1,
      anon_sym_RBRACE,
    STATE(2143), 1,
      aux_sym_namespace_use_group_repeat1,
  [60299] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4319), 1,
      anon_sym_EQ,
    ACTIONS(4317), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60310] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4280), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [60319] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4323), 1,
      anon_sym_EQ,
    ACTIONS(4321), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60330] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4280), 1,
      anon_sym_RBRACK,
    ACTIONS(4325), 1,
      anon_sym_COMMA,
    STATE(2147), 1,
      aux_sym_array_creation_expression_repeat1,
  [60343] = 3,
    ACTIONS(1208), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1206), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60354] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_EQ,
    ACTIONS(4328), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60365] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4332), 1,
      anon_sym_COMMA,
    ACTIONS(4335), 1,
      anon_sym_RBRACK,
    STATE(2150), 1,
      aux_sym_attribute_group_repeat1,
  [60378] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4337), 1,
      anon_sym_COMMA,
    ACTIONS(4339), 1,
      anon_sym_RPAREN,
    STATE(2157), 1,
      aux_sym_arguments_repeat1,
  [60391] = 3,
    ACTIONS(1212), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1210), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60402] = 4,
    ACTIONS(805), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4341), 1,
      anon_sym_COMMA,
    STATE(2048), 1,
      aux_sym_arguments_repeat1,
  [60415] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4343), 1,
      anon_sym_COMMA,
    ACTIONS(4346), 1,
      anon_sym_RPAREN,
    STATE(2154), 1,
      aux_sym_formal_parameters_repeat1,
  [60428] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4348), 1,
      anon_sym_COMMA,
    ACTIONS(4350), 1,
      anon_sym_RPAREN,
    STATE(2153), 1,
      aux_sym_arguments_repeat1,
  [60441] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4354), 1,
      anon_sym_EQ,
    ACTIONS(4352), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60452] = 4,
    ACTIONS(769), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4356), 1,
      anon_sym_COMMA,
    STATE(2048), 1,
      aux_sym_arguments_repeat1,
  [60465] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_EQ,
    ACTIONS(4358), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60476] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4364), 1,
      anon_sym_EQ,
    ACTIONS(4362), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [60487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4074), 1,
      sym__new_line,
    ACTIONS(4366), 1,
      sym_heredoc_end,
    STATE(2303), 1,
      sym_nowdoc_body,
  [60500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4078), 1,
      sym__new_line,
    ACTIONS(4368), 1,
      sym_heredoc_end,
    STATE(2305), 1,
      sym_heredoc_body,
  [60513] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4011), 1,
      anon_sym_COMMA,
    ACTIONS(4370), 1,
      anon_sym_RBRACE,
    STATE(1924), 1,
      aux_sym_namespace_use_group_repeat1,
  [60526] = 3,
    ACTIONS(1308), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1306), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60537] = 4,
    ACTIONS(795), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_COMMA,
    STATE(2048), 1,
      aux_sym_arguments_repeat1,
  [60550] = 3,
    ACTIONS(1196), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1194), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60561] = 3,
    ACTIONS(1220), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1218), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60572] = 3,
    ACTIONS(1500), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1498), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60583] = 3,
    ACTIONS(1296), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1294), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60594] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4374), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60603] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4376), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60612] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4009), 1,
      anon_sym_LBRACE,
    ACTIONS(4124), 1,
      sym_name,
    STATE(2442), 1,
      sym_namespace_use_group,
  [60625] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4378), 1,
      anon_sym_COMMA,
    ACTIONS(4381), 1,
      anon_sym_RPAREN,
    STATE(2172), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [60638] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(4383), 1,
      anon_sym_EQ_GT,
    STATE(2476), 1,
      sym__return_type,
  [60651] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4385), 1,
      anon_sym_COMMA,
    ACTIONS(4387), 1,
      anon_sym_RPAREN,
    STATE(2177), 1,
      aux_sym_arguments_repeat1,
  [60664] = 3,
    ACTIONS(1448), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1446), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60675] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(4389), 1,
      anon_sym_EQ_GT,
    STATE(2488), 1,
      sym__return_type,
  [60688] = 4,
    ACTIONS(783), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4391), 1,
      anon_sym_COMMA,
    STATE(2048), 1,
      aux_sym_arguments_repeat1,
  [60701] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3796), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [60710] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3034), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(4393), 1,
      aux_sym_class_declaration_token1,
    STATE(2518), 1,
      sym_readonly_modifier,
  [60723] = 3,
    ACTIONS(1332), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1330), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60734] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3787), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [60743] = 3,
    ACTIONS(1488), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1486), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60754] = 3,
    ACTIONS(1380), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1378), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60765] = 3,
    ACTIONS(1356), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1354), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60776] = 3,
    ACTIONS(1316), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1314), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60787] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4395), 1,
      anon_sym_SQUOTE,
    ACTIONS(4397), 1,
      anon_sym_DQUOTE,
    ACTIONS(4399), 1,
      sym_heredoc_start,
  [60800] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4401), 1,
      anon_sym_COMMA,
    ACTIONS(4403), 1,
      anon_sym_RPAREN,
    STATE(2002), 1,
      aux_sym_arguments_repeat1,
  [60813] = 3,
    ACTIONS(1228), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1226), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [60824] = 4,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(4405), 1,
      anon_sym_EQ_GT,
    STATE(2509), 1,
      sym__return_type,
  [60837] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1071), 1,
      sym_compound_statement,
  [60847] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4407), 1,
      anon_sym_LPAREN,
    ACTIONS(4409), 1,
      anon_sym_RPAREN,
  [60857] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2739), 1,
      anon_sym_RPAREN,
    ACTIONS(4411), 1,
      anon_sym_EQ,
  [60867] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4413), 1,
      sym_name,
    STATE(2570), 1,
      sym_namespace_name,
  [60877] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1122), 1,
      sym_compound_statement,
  [60887] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1135), 1,
      sym_compound_statement,
  [60897] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1948), 1,
      sym_formal_parameters,
  [60907] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(452), 1,
      sym_declaration_list,
  [60917] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1649), 1,
      sym_formal_parameters,
  [60927] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1685), 1,
      sym_compound_statement,
  [60937] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4413), 1,
      sym_name,
    STATE(2597), 1,
      sym_namespace_name,
  [60947] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3653), 1,
      anon_sym_LBRACE,
    STATE(518), 1,
      sym_enum_declaration_list,
  [60957] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4416), 2,
      anon_sym_string,
      anon_sym_int,
  [60965] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(437), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60973] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1147), 1,
      sym_declaration_list,
  [60983] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4413), 1,
      sym_name,
    STATE(2589), 1,
      sym_namespace_name,
  [60993] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(42), 1,
      sym_parenthesized_expression,
  [61003] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(449), 1,
      sym_declaration_list,
  [61013] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(41), 1,
      sym_parenthesized_expression,
  [61023] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4420), 1,
      sym_name,
    STATE(1918), 1,
      sym_namespace_name,
  [61033] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2579), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61041] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_LPAREN,
    STATE(2307), 1,
      sym_parenthesized_expression,
  [61051] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_LPAREN,
    STATE(2046), 1,
      sym_parenthesized_expression,
  [61061] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4126), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61069] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4424), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61077] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_LBRACE,
    STATE(437), 1,
      sym_compound_statement,
  [61087] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4428), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61095] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4430), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61103] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(1940), 1,
      sym_variable_name,
  [61113] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4432), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61121] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4346), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61129] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2461), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [61137] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4434), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61145] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(2425), 1,
      sym_variable_name,
  [61155] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4335), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61163] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3295), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61171] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(499), 1,
      sym_compound_statement,
  [61181] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4436), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61189] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(2422), 1,
      sym_variable_name,
  [61199] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(1971), 1,
      sym_variable_name,
  [61209] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4438), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61217] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4381), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61225] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(2426), 1,
      sym_variable_name,
  [61235] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3993), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [61243] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61251] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1097), 1,
      sym_compound_statement,
  [61261] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(2343), 1,
      sym_variable_name,
  [61271] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4443), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61279] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4445), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61287] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3653), 1,
      anon_sym_LBRACE,
    STATE(491), 1,
      sym_enum_declaration_list,
  [61297] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4447), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61305] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4315), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61313] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1648), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61321] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4449), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61329] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4451), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61337] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_declaration_list,
  [61347] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4453), 1,
      sym_name,
    STATE(2501), 1,
      sym_namespace_name,
  [61357] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1148), 1,
      sym_declaration_list,
  [61367] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(438), 1,
      sym_declaration_list,
  [61377] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3653), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_enum_declaration_list,
  [61387] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_RPAREN,
    ACTIONS(4411), 1,
      anon_sym_EQ,
  [61397] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1141), 1,
      sym_compound_statement,
  [61407] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2569), 1,
      anon_sym_RPAREN,
    ACTIONS(4411), 1,
      anon_sym_EQ,
  [61417] = 3,
    ACTIONS(487), 1,
      anon_sym_COLON,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(2074), 1,
      sym_colon_block,
  [61427] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4413), 1,
      sym_name,
    STATE(2496), 1,
      sym_namespace_name,
  [61437] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1046), 1,
      sym_compound_statement,
  [61447] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1145), 1,
      sym_compound_statement,
  [61457] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(443), 1,
      sym_declaration_list,
  [61467] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2573), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61475] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3481), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61483] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1960), 1,
      sym_formal_parameters,
  [61493] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4456), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61501] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1748), 1,
      sym_compound_statement,
  [61511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3857), 2,
      sym_heredoc_end,
      sym__new_line,
  [61519] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(39), 1,
      sym_parenthesized_expression,
  [61529] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_LPAREN,
    STATE(2329), 1,
      sym_parenthesized_expression,
  [61539] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_LPAREN,
    STATE(2020), 1,
      sym_parenthesized_expression,
  [61549] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4458), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [61557] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4460), 1,
      anon_sym_SEMI,
    ACTIONS(4462), 1,
      sym__automatic_semicolon,
  [61567] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(52), 1,
      sym_parenthesized_expression,
  [61577] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(50), 1,
      sym_parenthesized_expression,
  [61587] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3349), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61595] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4464), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61603] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2767), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4466), 1,
      aux_sym_namespace_use_declaration_token2,
  [61613] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1149), 1,
      sym_declaration_list,
  [61623] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(2014), 1,
      sym_compound_statement,
  [61633] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(49), 1,
      sym_parenthesized_expression,
  [61643] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(66), 1,
      sym_parenthesized_expression,
  [61653] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [61661] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4468), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61669] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_declaration_list,
  [61679] = 3,
    ACTIONS(381), 1,
      anon_sym_COLON,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(2607), 1,
      sym_colon_block,
  [61689] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4422), 1,
      anon_sym_LPAREN,
    STATE(2253), 1,
      sym_parenthesized_expression,
  [61699] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61707] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4472), 1,
      anon_sym_SEMI,
    ACTIONS(4474), 1,
      sym__automatic_semicolon,
  [61717] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(79), 1,
      sym_parenthesized_expression,
  [61727] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1938), 1,
      sym_formal_parameters,
  [61737] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61745] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1129), 1,
      sym_compound_statement,
  [61755] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61763] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1631), 1,
      sym_formal_parameters,
  [61773] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1057), 1,
      sym_declaration_list,
  [61783] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4480), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61791] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1056), 1,
      sym_declaration_list,
  [61801] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4482), 2,
      anon_sym_string,
      anon_sym_int,
  [61809] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4295), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61817] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4484), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61825] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2461), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61833] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_LPAREN,
    STATE(1711), 1,
      sym_formal_parameters,
  [61843] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1689), 1,
      sym_declaration_list,
  [61853] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1094), 1,
      sym_compound_statement,
  [61863] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4488), 1,
      anon_sym_LPAREN,
    STATE(2363), 1,
      sym_parenthesized_expression,
  [61873] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      sym__new_line,
    ACTIONS(4494), 1,
      sym_heredoc_end,
  [61891] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_declaration_list,
  [61901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      sym__new_line,
    ACTIONS(4498), 1,
      sym_heredoc_end,
  [61911] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4500), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61919] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_LBRACE,
    STATE(1134), 1,
      sym_match_block,
  [61929] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4504), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [61937] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2551), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61945] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1643), 1,
      sym_formal_parameters,
  [61955] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_LBRACE,
    STATE(433), 1,
      sym_compound_statement,
  [61965] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4506), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61973] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4193), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [61981] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4508), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [61989] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4511), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61997] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4513), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62005] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(440), 1,
      sym_declaration_list,
  [62015] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62023] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4517), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62031] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4519), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62039] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(505), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62047] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1729), 1,
      sym_declaration_list,
  [62057] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1669), 1,
      sym_formal_parameters,
  [62067] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(921), 1,
      sym_compound_statement,
  [62077] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(531), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62085] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4521), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62093] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1735), 1,
      sym_compound_statement,
  [62103] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62111] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4525), 1,
      anon_sym_LBRACE,
    STATE(926), 1,
      sym_match_block,
  [62121] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1739), 1,
      sym_declaration_list,
  [62131] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1740), 1,
      sym_declaration_list,
  [62141] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3698), 1,
      anon_sym_LBRACE,
    STATE(1972), 1,
      sym_enum_declaration_list,
  [62151] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1651), 1,
      sym_formal_parameters,
  [62161] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4527), 2,
      anon_sym_string,
      anon_sym_int,
  [62169] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4529), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62177] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(938), 1,
      sym_compound_statement,
  [62187] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(971), 1,
      sym_compound_statement,
  [62197] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(945), 1,
      sym_compound_statement,
  [62207] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1742), 1,
      sym_declaration_list,
  [62217] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(449), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62225] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4531), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [62233] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4533), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62241] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4535), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62249] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    STATE(972), 1,
      sym_declaration_list,
  [62259] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2525), 1,
      anon_sym_RPAREN,
    ACTIONS(4411), 1,
      anon_sym_EQ,
  [62269] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4537), 1,
      anon_sym_BSLASH,
    STATE(1741), 1,
      aux_sym_namespace_name_repeat1,
  [62279] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1089), 1,
      sym_compound_statement,
  [62289] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4376), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [62297] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(2105), 1,
      sym_compound_statement,
  [62307] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4540), 1,
      anon_sym_SEMI,
    ACTIONS(4542), 1,
      sym__automatic_semicolon,
  [62317] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(460), 1,
      sym_declaration_list,
  [62327] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4102), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62335] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1078), 1,
      sym_compound_statement,
  [62345] = 3,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(498), 1,
      sym_compound_statement,
  [62355] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1629), 1,
      sym_formal_parameters,
  [62365] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1757), 1,
      sym_compound_statement,
  [62375] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4544), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62383] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_LPAREN,
    STATE(1682), 1,
      sym_formal_parameters,
  [62393] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(942), 1,
      sym_compound_statement,
  [62403] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4546), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62411] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(2227), 1,
      sym_variable_name,
  [62421] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(959), 1,
      sym_compound_statement,
  [62431] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4548), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62439] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(2222), 1,
      sym_variable_name,
  [62449] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1717), 1,
      sym_declaration_list,
  [62459] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(948), 1,
      sym_compound_statement,
  [62469] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(2158), 1,
      sym_variable_name,
  [62479] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(923), 1,
      sym_compound_statement,
  [62489] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(2214), 1,
      sym_variable_name,
  [62499] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4550), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62507] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(916), 1,
      sym_compound_statement,
  [62517] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3949), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62525] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1707), 1,
      sym_declaration_list,
  [62535] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1712), 1,
      sym_declaration_list,
  [62545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4552), 1,
      sym__new_line,
    ACTIONS(4554), 1,
      sym_heredoc_end,
  [62555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4556), 1,
      sym__new_line,
    ACTIONS(4558), 1,
      sym_heredoc_end,
  [62565] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym_declaration_list,
  [62575] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4054), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62583] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_declaration_list,
  [62593] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(2238), 1,
      sym_variable_name,
  [62603] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    STATE(2183), 1,
      sym_declaration_list,
  [62613] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4560), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62621] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1068), 1,
      sym_compound_statement,
  [62631] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_SEMI,
    ACTIONS(4564), 1,
      sym__automatic_semicolon,
  [62641] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4566), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62649] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4568), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62657] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1064), 1,
      sym_compound_statement,
  [62667] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4413), 1,
      sym_name,
    STATE(2503), 1,
      sym_namespace_name,
  [62677] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3698), 1,
      anon_sym_LBRACE,
    STATE(2051), 1,
      sym_enum_declaration_list,
  [62687] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    STATE(2086), 1,
      sym_declaration_list,
  [62697] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3698), 1,
      anon_sym_LBRACE,
    STATE(2185), 1,
      sym_enum_declaration_list,
  [62707] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1700), 1,
      sym_declaration_list,
  [62717] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(2176), 1,
      sym_formal_parameters,
  [62727] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(944), 1,
      sym_compound_statement,
  [62737] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4570), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62745] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(946), 1,
      sym_compound_statement,
  [62755] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(950), 1,
      sym_compound_statement,
  [62765] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1737), 1,
      sym_declaration_list,
  [62775] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1608), 1,
      sym_formal_parameters,
  [62785] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3698), 1,
      anon_sym_LBRACE,
    STATE(2180), 1,
      sym_enum_declaration_list,
  [62795] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(960), 1,
      sym_compound_statement,
  [62805] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1074), 1,
      sym_compound_statement,
  [62815] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(2189), 1,
      sym_formal_parameters,
  [62825] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(2370), 1,
      sym_variable_name,
  [62835] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_declaration_list,
  [62845] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1679), 1,
      sym_declaration_list,
  [62855] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2565), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [62863] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(1678), 1,
      sym_compound_statement,
  [62873] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4572), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62881] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    STATE(964), 1,
      sym_declaration_list,
  [62891] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4574), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62899] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(2028), 1,
      sym_formal_parameters,
  [62909] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_DOLLAR,
    STATE(2156), 1,
      sym_variable_name,
  [62919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4576), 1,
      sym__new_line,
    ACTIONS(4578), 1,
      sym_heredoc_end,
  [62929] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(458), 1,
      sym_declaration_list,
  [62939] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1072), 1,
      sym_compound_statement,
  [62949] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    STATE(931), 1,
      sym_declaration_list,
  [62959] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    STATE(939), 1,
      sym_declaration_list,
  [62969] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3463), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [62977] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4580), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [62985] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_BSLASH,
    STATE(2346), 1,
      aux_sym_namespace_name_repeat1,
  [62995] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4582), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63003] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4584), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63011] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(78), 1,
      sym_parenthesized_expression,
  [63021] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4586), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63029] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4588), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [63037] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4590), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63045] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4592), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63053] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_declaration_list,
  [63063] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2767), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(4594), 1,
      aux_sym_namespace_use_declaration_token2,
  [63073] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1723), 1,
      sym_declaration_list,
  [63083] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3379), 1,
      anon_sym_LBRACE,
    STATE(1055), 1,
      sym_declaration_list,
  [63093] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_LPAREN,
    STATE(75), 1,
      sym_parenthesized_expression,
  [63103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4596), 1,
      sym__new_line,
    ACTIONS(4598), 1,
      sym_heredoc_end,
  [63113] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_declaration_list,
  [63123] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4600), 2,
      anon_sym_string,
      anon_sym_int,
  [63131] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3653), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_enum_declaration_list,
  [63141] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_LBRACE,
    STATE(1086), 1,
      sym_compound_statement,
  [63151] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_LBRACE,
    STATE(442), 1,
      sym_declaration_list,
  [63161] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2523), 1,
      anon_sym_RPAREN,
    ACTIONS(4411), 1,
      anon_sym_EQ,
  [63171] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(1620), 1,
      sym_formal_parameters,
  [63181] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4602), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63189] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(968), 1,
      sym_compound_statement,
  [63199] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(952), 1,
      sym_compound_statement,
  [63209] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4003), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63217] = 3,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(1688), 1,
      sym_comment,
    STATE(919), 1,
      sym_compound_statement,
  [63227] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4604), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63235] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4488), 1,
      anon_sym_LPAREN,
    STATE(2289), 1,
      sym_parenthesized_expression,
  [63245] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4606), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63253] = 3,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4426), 1,
      anon_sym_LBRACE,
    STATE(430), 1,
      sym_compound_statement,
  [63263] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4001), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [63271] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4608), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63279] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4411), 1,
      anon_sym_EQ,
  [63286] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4610), 1,
      sym_name,
  [63293] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_LPAREN,
  [63300] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_RPAREN,
  [63307] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_EQ,
  [63314] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4618), 1,
      aux_sym_while_statement_token2,
  [63321] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4017), 1,
      anon_sym_RPAREN,
  [63328] = 2,
    ACTIONS(877), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
  [63335] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_SEMI,
  [63342] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2523), 1,
      anon_sym_RPAREN,
  [63349] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_RPAREN,
  [63356] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4624), 1,
      anon_sym_EQ,
  [63363] = 2,
    ACTIONS(841), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
  [63370] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_EQ_GT,
  [63377] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_RPAREN,
  [63384] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4630), 1,
      anon_sym_EQ,
  [63391] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4178), 1,
      anon_sym_RBRACK,
  [63398] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4023), 1,
      anon_sym_RPAREN,
  [63405] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_RPAREN,
  [63412] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_COLON_COLON,
  [63419] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_EQ,
  [63426] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4638), 1,
      anon_sym_EQ_GT,
  [63433] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4640), 1,
      sym_name,
  [63440] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4642), 1,
      anon_sym_EQ_GT,
  [63447] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_RPAREN,
  [63454] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2277), 1,
      anon_sym_STAR_STAR,
  [63461] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_RBRACE,
  [63468] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4646), 1,
      sym_name,
  [63475] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4648), 1,
      anon_sym_LPAREN,
  [63482] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_SQUOTE2,
  [63489] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_DQUOTE2,
  [63496] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4654), 1,
      anon_sym_RBRACK,
  [63503] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4656), 1,
      sym_heredoc_end,
  [63510] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4136), 1,
      anon_sym_RBRACK,
  [63517] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_RPAREN,
  [63524] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4658), 1,
      anon_sym_EQ_GT,
  [63531] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4660), 1,
      sym_name,
  [63538] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_RPAREN,
  [63545] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_RPAREN,
  [63552] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_EQ,
  [63559] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_RPAREN,
  [63566] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4666), 1,
      sym_name,
  [63573] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4668), 1,
      sym_name,
  [63580] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4670), 1,
      anon_sym_BSLASH,
  [63587] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_BSLASH,
  [63594] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4674), 1,
      aux_sym_class_declaration_token1,
  [63601] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_EQ_GT,
  [63608] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4124), 1,
      sym_name,
  [63615] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4678), 1,
      anon_sym_BSLASH,
  [63622] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4680), 1,
      sym_name,
  [63629] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_BSLASH,
  [63636] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_RPAREN,
  [63643] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4686), 1,
      aux_sym_foreach_statement_token2,
  [63650] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4688), 1,
      anon_sym_RPAREN,
  [63657] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4374), 1,
      anon_sym_LBRACE,
  [63664] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4690), 1,
      ts_builtin_sym_end,
  [63671] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4692), 1,
      anon_sym_EQ_GT,
  [63678] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4694), 1,
      aux_sym__arrow_function_header_token1,
  [63685] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4112), 1,
      aux_sym_class_declaration_token1,
  [63692] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_RPAREN,
  [63699] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4696), 1,
      sym_name,
  [63706] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4698), 1,
      sym_name,
  [63713] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4700), 1,
      sym_name,
  [63720] = 2,
    ACTIONS(839), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
  [63727] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_RPAREN,
  [63734] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4704), 1,
      aux_sym_class_declaration_token1,
  [63741] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4706), 1,
      sym_name,
  [63748] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4007), 1,
      sym_name,
  [63755] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4708), 1,
      aux_sym_if_statement_token2,
  [63762] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4710), 1,
      sym_name,
  [63769] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4712), 1,
      sym_heredoc_start,
  [63776] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4714), 1,
      sym_heredoc_start,
  [63783] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2381), 1,
      anon_sym_STAR_STAR,
  [63790] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2525), 1,
      anon_sym_RPAREN,
  [63797] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4716), 1,
      sym_heredoc_end,
  [63804] = 2,
    ACTIONS(861), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
  [63811] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4718), 1,
      sym_heredoc_end,
  [63818] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4720), 1,
      sym_name,
  [63825] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_EQ_GT,
  [63832] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4724), 1,
      anon_sym_EQ,
  [63839] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_COLON_COLON,
  [63846] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4728), 1,
      anon_sym_RPAREN,
  [63853] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4730), 1,
      sym_name,
  [63860] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4732), 1,
      anon_sym_EQ,
  [63867] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4734), 1,
      aux_sym_if_statement_token2,
  [63874] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4736), 1,
      sym_name,
  [63881] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4738), 1,
      sym_name,
  [63888] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4238), 1,
      anon_sym_LBRACE,
  [63895] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4740), 1,
      sym_name,
  [63902] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_RPAREN,
  [63909] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_EQ_GT,
  [63916] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2339), 1,
      anon_sym_STAR_STAR,
  [63923] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4746), 1,
      aux_sym_class_declaration_token1,
  [63930] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_RPAREN,
  [63937] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4750), 1,
      anon_sym_RPAREN,
  [63944] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4752), 1,
      sym_name,
  [63951] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4754), 1,
      anon_sym_DQUOTE2,
  [63958] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_RPAREN,
  [63965] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4758), 1,
      aux_sym_while_statement_token1,
  [63972] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_SQUOTE2,
  [63979] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_RPAREN,
  [63986] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2739), 1,
      anon_sym_RPAREN,
  [63993] = 2,
    ACTIONS(879), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
  [64000] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_RBRACK,
  [64007] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_RPAREN,
  [64014] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_RPAREN,
  [64021] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4409), 1,
      anon_sym_RPAREN,
  [64028] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4770), 1,
      anon_sym_RPAREN,
  [64035] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4772), 1,
      sym_name,
  [64042] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3765), 1,
      sym_name,
  [64049] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4774), 1,
      sym_name,
  [64056] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_COLON_COLON,
  [64063] = 2,
    ACTIONS(867), 1,
      anon_sym_SEMI,
    ACTIONS(1688), 1,
      sym_comment,
  [64070] = 2,
    ACTIONS(355), 1,
      ts_builtin_sym_end,
    ACTIONS(1688), 1,
      sym_comment,
  [64077] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4778), 1,
      aux_sym_while_statement_token2,
  [64084] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_RPAREN,
  [64091] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_LPAREN,
  [64098] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3740), 1,
      anon_sym_BSLASH,
  [64105] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_EQ,
  [64112] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4784), 1,
      aux_sym_if_statement_token2,
  [64119] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4786), 1,
      sym_name,
  [64126] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_EQ_GT,
  [64133] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4223), 1,
      aux_sym_class_declaration_token1,
  [64140] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4790), 1,
      aux_sym_namespace_use_declaration_token3,
  [64147] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_BSLASH,
  [64154] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4227), 1,
      anon_sym_RBRACE,
  [64161] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4794), 1,
      sym_name,
  [64168] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_EQ_GT,
  [64175] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4798), 1,
      aux_sym_while_statement_token1,
  [64182] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4800), 1,
      sym_heredoc_start,
  [64189] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4802), 1,
      sym_heredoc_start,
  [64196] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4804), 1,
      aux_sym_class_declaration_token1,
  [64203] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_EQ_GT,
  [64210] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_COLON_COLON,
  [64217] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4242), 1,
      aux_sym_class_declaration_token1,
  [64224] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_BSLASH,
  [64231] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_BSLASH,
  [64238] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4814), 1,
      aux_sym_if_statement_token2,
  [64245] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4816), 1,
      anon_sym_RPAREN,
  [64252] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_RPAREN,
  [64259] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4820), 1,
      anon_sym_COLON_COLON,
  [64266] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4822), 1,
      sym_name,
  [64273] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4407), 1,
      anon_sym_LPAREN,
  [64280] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4824), 1,
      aux_sym_class_declaration_token1,
  [64287] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_BSLASH,
  [64294] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4828), 1,
      sym_heredoc_end,
  [64301] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4830), 1,
      sym_heredoc_end,
  [64308] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4832), 1,
      anon_sym_BSLASH,
  [64315] = 2,
    ACTIONS(849), 1,
      anon_sym_SEMI,
    ACTIONS(1688), 1,
      sym_comment,
  [64322] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4834), 1,
      sym_name,
  [64329] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4836), 1,
      sym_name,
  [64336] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4838), 1,
      sym_name,
  [64343] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4840), 1,
      sym_name,
  [64350] = 2,
    ACTIONS(851), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
  [64357] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4842), 1,
      aux_sym_if_statement_token2,
  [64364] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_SEMI,
  [64371] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_RPAREN,
  [64378] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2569), 1,
      anon_sym_RPAREN,
  [64385] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4846), 1,
      anon_sym_SEMI,
  [64392] = 2,
    ACTIONS(853), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
  [64399] = 2,
    ACTIONS(875), 1,
      anon_sym_RPAREN,
    ACTIONS(1688), 1,
      sym_comment,
  [64406] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_RPAREN,
  [64413] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4850), 1,
      sym_name,
  [64420] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4852), 1,
      anon_sym_COLON_COLON,
  [64427] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4256), 1,
      anon_sym_RPAREN,
  [64434] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_RPAREN,
  [64441] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_RBRACK,
  [64448] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(3761), 1,
      sym_name,
  [64455] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_COLON_COLON,
  [64462] = 2,
    ACTIONS(415), 1,
      ts_builtin_sym_end,
    ACTIONS(1688), 1,
      sym_comment,
  [64469] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4860), 1,
      sym_name,
  [64476] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_RPAREN,
  [64483] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_COLON_COLON,
  [64490] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_COLON_COLON,
  [64497] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_EQ,
  [64504] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4870), 1,
      aux_sym_namespace_use_declaration_token3,
  [64511] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4303), 1,
      anon_sym_RPAREN,
  [64518] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_EQ_GT,
  [64525] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4874), 1,
      anon_sym_COLON_COLON,
  [64532] = 2,
    ACTIONS(885), 1,
      anon_sym_SEMI,
    ACTIONS(1688), 1,
      sym_comment,
  [64539] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4876), 1,
      aux_sym_namespace_use_declaration_token3,
  [64546] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4878), 1,
      aux_sym__arrow_function_header_token1,
  [64553] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4393), 1,
      aux_sym_class_declaration_token1,
  [64560] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4880), 1,
      anon_sym_SEMI,
  [64567] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4882), 1,
      sym_integer,
  [64574] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4884), 1,
      anon_sym_BSLASH,
  [64581] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4886), 1,
      sym_name,
  [64588] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4888), 1,
      ts_builtin_sym_end,
  [64595] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4350), 1,
      anon_sym_RPAREN,
  [64602] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4890), 1,
      anon_sym_RBRACK,
  [64609] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4892), 1,
      sym_heredoc_end,
  [64616] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4894), 1,
      anon_sym_LPAREN,
  [64623] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4896), 1,
      anon_sym_COLON_COLON,
  [64630] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_STAR_STAR,
  [64637] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4898), 1,
      anon_sym_COLON_COLON,
  [64644] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4900), 1,
      anon_sym_LPAREN,
  [64651] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4902), 1,
      anon_sym_LPAREN,
  [64658] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4904), 1,
      anon_sym_LPAREN,
  [64665] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_LPAREN,
  [64672] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4339), 1,
      anon_sym_RPAREN,
  [64679] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4908), 1,
      sym_name,
  [64686] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
  [64693] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4912), 1,
      sym_name,
  [64700] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4403), 1,
      anon_sym_RPAREN,
  [64707] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4914), 1,
      anon_sym_RPAREN,
  [64714] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4916), 1,
      anon_sym_LPAREN,
  [64721] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_RPAREN,
  [64728] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4918), 1,
      anon_sym_SEMI,
  [64735] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4920), 1,
      anon_sym_LPAREN,
  [64742] = 2,
    ACTIONS(873), 1,
      anon_sym_SEMI,
    ACTIONS(1688), 1,
      sym_comment,
  [64749] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4922), 1,
      anon_sym_LPAREN,
  [64756] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4924), 1,
      anon_sym_LPAREN,
  [64763] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4926), 1,
      anon_sym_SEMI,
  [64770] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4928), 1,
      anon_sym_LPAREN,
  [64777] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4930), 1,
      anon_sym_RPAREN,
  [64784] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4932), 1,
      anon_sym_SEMI,
  [64791] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4934), 1,
      sym_name,
  [64798] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4936), 1,
      anon_sym_LPAREN,
  [64805] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4938), 1,
      anon_sym_LPAREN,
  [64812] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4940), 1,
      sym_name,
  [64819] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4942), 1,
      sym_name,
  [64826] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4944), 1,
      sym_name,
  [64833] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4946), 1,
      anon_sym_SEMI,
  [64840] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4948), 1,
      anon_sym_COLON_COLON,
  [64847] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4950), 1,
      aux_sym_class_declaration_token1,
  [64854] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4952), 1,
      aux_sym_foreach_statement_token2,
  [64861] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4954), 1,
      anon_sym_LPAREN,
  [64868] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4956), 1,
      anon_sym_LPAREN,
  [64875] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4958), 1,
      anon_sym_EQ_GT,
  [64882] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4960), 1,
      anon_sym_LPAREN,
  [64889] = 2,
    ACTIONS(1688), 1,
      sym_comment,
    ACTIONS(4962), 1,
      anon_sym_LPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(575)] = 0,
  [SMALL_STATE(576)] = 70,
  [SMALL_STATE(577)] = 140,
  [SMALL_STATE(578)] = 210,
  [SMALL_STATE(579)] = 280,
  [SMALL_STATE(580)] = 353,
  [SMALL_STATE(581)] = 426,
  [SMALL_STATE(582)] = 499,
  [SMALL_STATE(583)] = 572,
  [SMALL_STATE(584)] = 653,
  [SMALL_STATE(585)] = 726,
  [SMALL_STATE(586)] = 794,
  [SMALL_STATE(587)] = 862,
  [SMALL_STATE(588)] = 930,
  [SMALL_STATE(589)] = 998,
  [SMALL_STATE(590)] = 1066,
  [SMALL_STATE(591)] = 1134,
  [SMALL_STATE(592)] = 1202,
  [SMALL_STATE(593)] = 1270,
  [SMALL_STATE(594)] = 1338,
  [SMALL_STATE(595)] = 1406,
  [SMALL_STATE(596)] = 1474,
  [SMALL_STATE(597)] = 1542,
  [SMALL_STATE(598)] = 1610,
  [SMALL_STATE(599)] = 1689,
  [SMALL_STATE(600)] = 1764,
  [SMALL_STATE(601)] = 1843,
  [SMALL_STATE(602)] = 1921,
  [SMALL_STATE(603)] = 1999,
  [SMALL_STATE(604)] = 2072,
  [SMALL_STATE(605)] = 2149,
  [SMALL_STATE(606)] = 2226,
  [SMALL_STATE(607)] = 2303,
  [SMALL_STATE(608)] = 2372,
  [SMALL_STATE(609)] = 2455,
  [SMALL_STATE(610)] = 2524,
  [SMALL_STATE(611)] = 2593,
  [SMALL_STATE(612)] = 2670,
  [SMALL_STATE(613)] = 2739,
  [SMALL_STATE(614)] = 2812,
  [SMALL_STATE(615)] = 2881,
  [SMALL_STATE(616)] = 2945,
  [SMALL_STATE(617)] = 3009,
  [SMALL_STATE(618)] = 3073,
  [SMALL_STATE(619)] = 3137,
  [SMALL_STATE(620)] = 3201,
  [SMALL_STATE(621)] = 3279,
  [SMALL_STATE(622)] = 3343,
  [SMALL_STATE(623)] = 3407,
  [SMALL_STATE(624)] = 3471,
  [SMALL_STATE(625)] = 3549,
  [SMALL_STATE(626)] = 3621,
  [SMALL_STATE(627)] = 3685,
  [SMALL_STATE(628)] = 3761,
  [SMALL_STATE(629)] = 3825,
  [SMALL_STATE(630)] = 3889,
  [SMALL_STATE(631)] = 3953,
  [SMALL_STATE(632)] = 4017,
  [SMALL_STATE(633)] = 4081,
  [SMALL_STATE(634)] = 4145,
  [SMALL_STATE(635)] = 4217,
  [SMALL_STATE(636)] = 4281,
  [SMALL_STATE(637)] = 4359,
  [SMALL_STATE(638)] = 4423,
  [SMALL_STATE(639)] = 4499,
  [SMALL_STATE(640)] = 4576,
  [SMALL_STATE(641)] = 4647,
  [SMALL_STATE(642)] = 4718,
  [SMALL_STATE(643)] = 4789,
  [SMALL_STATE(644)] = 4860,
  [SMALL_STATE(645)] = 4937,
  [SMALL_STATE(646)] = 5009,
  [SMALL_STATE(647)] = 5079,
  [SMALL_STATE(648)] = 5149,
  [SMALL_STATE(649)] = 5221,
  [SMALL_STATE(650)] = 5293,
  [SMALL_STATE(651)] = 5364,
  [SMALL_STATE(652)] = 5422,
  [SMALL_STATE(653)] = 5523,
  [SMALL_STATE(654)] = 5624,
  [SMALL_STATE(655)] = 5683,
  [SMALL_STATE(656)] = 5744,
  [SMALL_STATE(657)] = 5803,
  [SMALL_STATE(658)] = 5858,
  [SMALL_STATE(659)] = 5959,
  [SMALL_STATE(660)] = 6024,
  [SMALL_STATE(661)] = 6083,
  [SMALL_STATE(662)] = 6148,
  [SMALL_STATE(663)] = 6207,
  [SMALL_STATE(664)] = 6308,
  [SMALL_STATE(665)] = 6373,
  [SMALL_STATE(666)] = 6432,
  [SMALL_STATE(667)] = 6495,
  [SMALL_STATE(668)] = 6560,
  [SMALL_STATE(669)] = 6656,
  [SMALL_STATE(670)] = 6710,
  [SMALL_STATE(671)] = 6768,
  [SMALL_STATE(672)] = 6866,
  [SMALL_STATE(673)] = 6920,
  [SMALL_STATE(674)] = 6974,
  [SMALL_STATE(675)] = 7028,
  [SMALL_STATE(676)] = 7124,
  [SMALL_STATE(677)] = 7178,
  [SMALL_STATE(678)] = 7232,
  [SMALL_STATE(679)] = 7286,
  [SMALL_STATE(680)] = 7340,
  [SMALL_STATE(681)] = 7398,
  [SMALL_STATE(682)] = 7496,
  [SMALL_STATE(683)] = 7550,
  [SMALL_STATE(684)] = 7648,
  [SMALL_STATE(685)] = 7702,
  [SMALL_STATE(686)] = 7756,
  [SMALL_STATE(687)] = 7810,
  [SMALL_STATE(688)] = 7908,
  [SMALL_STATE(689)] = 7962,
  [SMALL_STATE(690)] = 8016,
  [SMALL_STATE(691)] = 8070,
  [SMALL_STATE(692)] = 8124,
  [SMALL_STATE(693)] = 8178,
  [SMALL_STATE(694)] = 8233,
  [SMALL_STATE(695)] = 8290,
  [SMALL_STATE(696)] = 8345,
  [SMALL_STATE(697)] = 8402,
  [SMALL_STATE(698)] = 8461,
  [SMALL_STATE(699)] = 8516,
  [SMALL_STATE(700)] = 8575,
  [SMALL_STATE(701)] = 8670,
  [SMALL_STATE(702)] = 8727,
  [SMALL_STATE(703)] = 8786,
  [SMALL_STATE(704)] = 8881,
  [SMALL_STATE(705)] = 8972,
  [SMALL_STATE(706)] = 9067,
  [SMALL_STATE(707)] = 9126,
  [SMALL_STATE(708)] = 9181,
  [SMALL_STATE(709)] = 9238,
  [SMALL_STATE(710)] = 9295,
  [SMALL_STATE(711)] = 9354,
  [SMALL_STATE(712)] = 9411,
  [SMALL_STATE(713)] = 9502,
  [SMALL_STATE(714)] = 9561,
  [SMALL_STATE(715)] = 9620,
  [SMALL_STATE(716)] = 9677,
  [SMALL_STATE(717)] = 9734,
  [SMALL_STATE(718)] = 9793,
  [SMALL_STATE(719)] = 9884,
  [SMALL_STATE(720)] = 9943,
  [SMALL_STATE(721)] = 10000,
  [SMALL_STATE(722)] = 10055,
  [SMALL_STATE(723)] = 10114,
  [SMALL_STATE(724)] = 10173,
  [SMALL_STATE(725)] = 10232,
  [SMALL_STATE(726)] = 10289,
  [SMALL_STATE(727)] = 10346,
  [SMALL_STATE(728)] = 10403,
  [SMALL_STATE(729)] = 10460,
  [SMALL_STATE(730)] = 10517,
  [SMALL_STATE(731)] = 10572,
  [SMALL_STATE(732)] = 10624,
  [SMALL_STATE(733)] = 10676,
  [SMALL_STATE(734)] = 10728,
  [SMALL_STATE(735)] = 10780,
  [SMALL_STATE(736)] = 10832,
  [SMALL_STATE(737)] = 10884,
  [SMALL_STATE(738)] = 10936,
  [SMALL_STATE(739)] = 10988,
  [SMALL_STATE(740)] = 11040,
  [SMALL_STATE(741)] = 11092,
  [SMALL_STATE(742)] = 11144,
  [SMALL_STATE(743)] = 11196,
  [SMALL_STATE(744)] = 11248,
  [SMALL_STATE(745)] = 11302,
  [SMALL_STATE(746)] = 11354,
  [SMALL_STATE(747)] = 11406,
  [SMALL_STATE(748)] = 11458,
  [SMALL_STATE(749)] = 11510,
  [SMALL_STATE(750)] = 11602,
  [SMALL_STATE(751)] = 11656,
  [SMALL_STATE(752)] = 11708,
  [SMALL_STATE(753)] = 11760,
  [SMALL_STATE(754)] = 11812,
  [SMALL_STATE(755)] = 11864,
  [SMALL_STATE(756)] = 11916,
  [SMALL_STATE(757)] = 11968,
  [SMALL_STATE(758)] = 12020,
  [SMALL_STATE(759)] = 12072,
  [SMALL_STATE(760)] = 12124,
  [SMALL_STATE(761)] = 12176,
  [SMALL_STATE(762)] = 12228,
  [SMALL_STATE(763)] = 12280,
  [SMALL_STATE(764)] = 12332,
  [SMALL_STATE(765)] = 12384,
  [SMALL_STATE(766)] = 12436,
  [SMALL_STATE(767)] = 12488,
  [SMALL_STATE(768)] = 12540,
  [SMALL_STATE(769)] = 12592,
  [SMALL_STATE(770)] = 12644,
  [SMALL_STATE(771)] = 12696,
  [SMALL_STATE(772)] = 12748,
  [SMALL_STATE(773)] = 12801,
  [SMALL_STATE(774)] = 12856,
  [SMALL_STATE(775)] = 12909,
  [SMALL_STATE(776)] = 12968,
  [SMALL_STATE(777)] = 13023,
  [SMALL_STATE(778)] = 13078,
  [SMALL_STATE(779)] = 13131,
  [SMALL_STATE(780)] = 13192,
  [SMALL_STATE(781)] = 13253,
  [SMALL_STATE(782)] = 13308,
  [SMALL_STATE(783)] = 13359,
  [SMALL_STATE(784)] = 13412,
  [SMALL_STATE(785)] = 13469,
  [SMALL_STATE(786)] = 13524,
  [SMALL_STATE(787)] = 13585,
  [SMALL_STATE(788)] = 13646,
  [SMALL_STATE(789)] = 13699,
  [SMALL_STATE(790)] = 13750,
  [SMALL_STATE(791)] = 13805,
  [SMALL_STATE(792)] = 13855,
  [SMALL_STATE(793)] = 13905,
  [SMALL_STATE(794)] = 13955,
  [SMALL_STATE(795)] = 14005,
  [SMALL_STATE(796)] = 14067,
  [SMALL_STATE(797)] = 14117,
  [SMALL_STATE(798)] = 14167,
  [SMALL_STATE(799)] = 14217,
  [SMALL_STATE(800)] = 14267,
  [SMALL_STATE(801)] = 14317,
  [SMALL_STATE(802)] = 14367,
  [SMALL_STATE(803)] = 14429,
  [SMALL_STATE(804)] = 14491,
  [SMALL_STATE(805)] = 14541,
  [SMALL_STATE(806)] = 14591,
  [SMALL_STATE(807)] = 14641,
  [SMALL_STATE(808)] = 14691,
  [SMALL_STATE(809)] = 14741,
  [SMALL_STATE(810)] = 14791,
  [SMALL_STATE(811)] = 14841,
  [SMALL_STATE(812)] = 14891,
  [SMALL_STATE(813)] = 14942,
  [SMALL_STATE(814)] = 15025,
  [SMALL_STATE(815)] = 15078,
  [SMALL_STATE(816)] = 15161,
  [SMALL_STATE(817)] = 15244,
  [SMALL_STATE(818)] = 15297,
  [SMALL_STATE(819)] = 15350,
  [SMALL_STATE(820)] = 15401,
  [SMALL_STATE(821)] = 15484,
  [SMALL_STATE(822)] = 15567,
  [SMALL_STATE(823)] = 15650,
  [SMALL_STATE(824)] = 15699,
  [SMALL_STATE(825)] = 15754,
  [SMALL_STATE(826)] = 15803,
  [SMALL_STATE(827)] = 15856,
  [SMALL_STATE(828)] = 15909,
  [SMALL_STATE(829)] = 15992,
  [SMALL_STATE(830)] = 16045,
  [SMALL_STATE(831)] = 16100,
  [SMALL_STATE(832)] = 16151,
  [SMALL_STATE(833)] = 16204,
  [SMALL_STATE(834)] = 16255,
  [SMALL_STATE(835)] = 16304,
  [SMALL_STATE(836)] = 16355,
  [SMALL_STATE(837)] = 16438,
  [SMALL_STATE(838)] = 16489,
  [SMALL_STATE(839)] = 16572,
  [SMALL_STATE(840)] = 16627,
  [SMALL_STATE(841)] = 16682,
  [SMALL_STATE(842)] = 16737,
  [SMALL_STATE(843)] = 16820,
  [SMALL_STATE(844)] = 16875,
  [SMALL_STATE(845)] = 16958,
  [SMALL_STATE(846)] = 17013,
  [SMALL_STATE(847)] = 17068,
  [SMALL_STATE(848)] = 17121,
  [SMALL_STATE(849)] = 17176,
  [SMALL_STATE(850)] = 17259,
  [SMALL_STATE(851)] = 17314,
  [SMALL_STATE(852)] = 17367,
  [SMALL_STATE(853)] = 17422,
  [SMALL_STATE(854)] = 17505,
  [SMALL_STATE(855)] = 17558,
  [SMALL_STATE(856)] = 17641,
  [SMALL_STATE(857)] = 17694,
  [SMALL_STATE(858)] = 17745,
  [SMALL_STATE(859)] = 17798,
  [SMALL_STATE(860)] = 17853,
  [SMALL_STATE(861)] = 17906,
  [SMALL_STATE(862)] = 17989,
  [SMALL_STATE(863)] = 18042,
  [SMALL_STATE(864)] = 18095,
  [SMALL_STATE(865)] = 18144,
  [SMALL_STATE(866)] = 18192,
  [SMALL_STATE(867)] = 18240,
  [SMALL_STATE(868)] = 18290,
  [SMALL_STATE(869)] = 18338,
  [SMALL_STATE(870)] = 18386,
  [SMALL_STATE(871)] = 18436,
  [SMALL_STATE(872)] = 18484,
  [SMALL_STATE(873)] = 18532,
  [SMALL_STATE(874)] = 18580,
  [SMALL_STATE(875)] = 18628,
  [SMALL_STATE(876)] = 18676,
  [SMALL_STATE(877)] = 18724,
  [SMALL_STATE(878)] = 18772,
  [SMALL_STATE(879)] = 18820,
  [SMALL_STATE(880)] = 18868,
  [SMALL_STATE(881)] = 18916,
  [SMALL_STATE(882)] = 18968,
  [SMALL_STATE(883)] = 19016,
  [SMALL_STATE(884)] = 19064,
  [SMALL_STATE(885)] = 19112,
  [SMALL_STATE(886)] = 19160,
  [SMALL_STATE(887)] = 19208,
  [SMALL_STATE(888)] = 19256,
  [SMALL_STATE(889)] = 19304,
  [SMALL_STATE(890)] = 19352,
  [SMALL_STATE(891)] = 19400,
  [SMALL_STATE(892)] = 19448,
  [SMALL_STATE(893)] = 19496,
  [SMALL_STATE(894)] = 19544,
  [SMALL_STATE(895)] = 19592,
  [SMALL_STATE(896)] = 19640,
  [SMALL_STATE(897)] = 19688,
  [SMALL_STATE(898)] = 19736,
  [SMALL_STATE(899)] = 19784,
  [SMALL_STATE(900)] = 19832,
  [SMALL_STATE(901)] = 19880,
  [SMALL_STATE(902)] = 19928,
  [SMALL_STATE(903)] = 19978,
  [SMALL_STATE(904)] = 20026,
  [SMALL_STATE(905)] = 20074,
  [SMALL_STATE(906)] = 20122,
  [SMALL_STATE(907)] = 20170,
  [SMALL_STATE(908)] = 20219,
  [SMALL_STATE(909)] = 20268,
  [SMALL_STATE(910)] = 20317,
  [SMALL_STATE(911)] = 20366,
  [SMALL_STATE(912)] = 20415,
  [SMALL_STATE(913)] = 20461,
  [SMALL_STATE(914)] = 20507,
  [SMALL_STATE(915)] = 20553,
  [SMALL_STATE(916)] = 20599,
  [SMALL_STATE(917)] = 20645,
  [SMALL_STATE(918)] = 20691,
  [SMALL_STATE(919)] = 20737,
  [SMALL_STATE(920)] = 20783,
  [SMALL_STATE(921)] = 20829,
  [SMALL_STATE(922)] = 20875,
  [SMALL_STATE(923)] = 20921,
  [SMALL_STATE(924)] = 20967,
  [SMALL_STATE(925)] = 21013,
  [SMALL_STATE(926)] = 21059,
  [SMALL_STATE(927)] = 21105,
  [SMALL_STATE(928)] = 21151,
  [SMALL_STATE(929)] = 21197,
  [SMALL_STATE(930)] = 21243,
  [SMALL_STATE(931)] = 21289,
  [SMALL_STATE(932)] = 21335,
  [SMALL_STATE(933)] = 21381,
  [SMALL_STATE(934)] = 21427,
  [SMALL_STATE(935)] = 21473,
  [SMALL_STATE(936)] = 21519,
  [SMALL_STATE(937)] = 21565,
  [SMALL_STATE(938)] = 21611,
  [SMALL_STATE(939)] = 21657,
  [SMALL_STATE(940)] = 21703,
  [SMALL_STATE(941)] = 21749,
  [SMALL_STATE(942)] = 21795,
  [SMALL_STATE(943)] = 21841,
  [SMALL_STATE(944)] = 21921,
  [SMALL_STATE(945)] = 21967,
  [SMALL_STATE(946)] = 22013,
  [SMALL_STATE(947)] = 22059,
  [SMALL_STATE(948)] = 22105,
  [SMALL_STATE(949)] = 22151,
  [SMALL_STATE(950)] = 22197,
  [SMALL_STATE(951)] = 22243,
  [SMALL_STATE(952)] = 22289,
  [SMALL_STATE(953)] = 22335,
  [SMALL_STATE(954)] = 22383,
  [SMALL_STATE(955)] = 22429,
  [SMALL_STATE(956)] = 22475,
  [SMALL_STATE(957)] = 22521,
  [SMALL_STATE(958)] = 22567,
  [SMALL_STATE(959)] = 22613,
  [SMALL_STATE(960)] = 22659,
  [SMALL_STATE(961)] = 22705,
  [SMALL_STATE(962)] = 22751,
  [SMALL_STATE(963)] = 22797,
  [SMALL_STATE(964)] = 22843,
  [SMALL_STATE(965)] = 22889,
  [SMALL_STATE(966)] = 22935,
  [SMALL_STATE(967)] = 22981,
  [SMALL_STATE(968)] = 23027,
  [SMALL_STATE(969)] = 23073,
  [SMALL_STATE(970)] = 23119,
  [SMALL_STATE(971)] = 23165,
  [SMALL_STATE(972)] = 23211,
  [SMALL_STATE(973)] = 23257,
  [SMALL_STATE(974)] = 23303,
  [SMALL_STATE(975)] = 23349,
  [SMALL_STATE(976)] = 23395,
  [SMALL_STATE(977)] = 23441,
  [SMALL_STATE(978)] = 23486,
  [SMALL_STATE(979)] = 23531,
  [SMALL_STATE(980)] = 23577,
  [SMALL_STATE(981)] = 23623,
  [SMALL_STATE(982)] = 23703,
  [SMALL_STATE(983)] = 23783,
  [SMALL_STATE(984)] = 23845,
  [SMALL_STATE(985)] = 23927,
  [SMALL_STATE(986)] = 24001,
  [SMALL_STATE(987)] = 24081,
  [SMALL_STATE(988)] = 24157,
  [SMALL_STATE(989)] = 24209,
  [SMALL_STATE(990)] = 24289,
  [SMALL_STATE(991)] = 24367,
  [SMALL_STATE(992)] = 24441,
  [SMALL_STATE(993)] = 24521,
  [SMALL_STATE(994)] = 24601,
  [SMALL_STATE(995)] = 24649,
  [SMALL_STATE(996)] = 24729,
  [SMALL_STATE(997)] = 24809,
  [SMALL_STATE(998)] = 24879,
  [SMALL_STATE(999)] = 24959,
  [SMALL_STATE(1000)] = 25033,
  [SMALL_STATE(1001)] = 25101,
  [SMALL_STATE(1002)] = 25175,
  [SMALL_STATE(1003)] = 25239,
  [SMALL_STATE(1004)] = 25319,
  [SMALL_STATE(1005)] = 25393,
  [SMALL_STATE(1006)] = 25467,
  [SMALL_STATE(1007)] = 25513,
  [SMALL_STATE(1008)] = 25587,
  [SMALL_STATE(1009)] = 25637,
  [SMALL_STATE(1010)] = 25691,
  [SMALL_STATE(1011)] = 25749,
  [SMALL_STATE(1012)] = 25815,
  [SMALL_STATE(1013)] = 25884,
  [SMALL_STATE(1014)] = 25963,
  [SMALL_STATE(1015)] = 26042,
  [SMALL_STATE(1016)] = 26093,
  [SMALL_STATE(1017)] = 26166,
  [SMALL_STATE(1018)] = 26231,
  [SMALL_STATE(1019)] = 26310,
  [SMALL_STATE(1020)] = 26383,
  [SMALL_STATE(1021)] = 26456,
  [SMALL_STATE(1022)] = 26529,
  [SMALL_STATE(1023)] = 26574,
  [SMALL_STATE(1024)] = 26619,
  [SMALL_STATE(1025)] = 26700,
  [SMALL_STATE(1026)] = 26767,
  [SMALL_STATE(1027)] = 26846,
  [SMALL_STATE(1028)] = 26891,
  [SMALL_STATE(1029)] = 26970,
  [SMALL_STATE(1030)] = 27027,
  [SMALL_STATE(1031)] = 27088,
  [SMALL_STATE(1032)] = 27167,
  [SMALL_STATE(1033)] = 27242,
  [SMALL_STATE(1034)] = 27321,
  [SMALL_STATE(1035)] = 27394,
  [SMALL_STATE(1036)] = 27451,
  [SMALL_STATE(1037)] = 27530,
  [SMALL_STATE(1038)] = 27609,
  [SMALL_STATE(1039)] = 27686,
  [SMALL_STATE(1040)] = 27749,
  [SMALL_STATE(1041)] = 27828,
  [SMALL_STATE(1042)] = 27901,
  [SMALL_STATE(1043)] = 27954,
  [SMALL_STATE(1044)] = 28003,
  [SMALL_STATE(1045)] = 28050,
  [SMALL_STATE(1046)] = 28123,
  [SMALL_STATE(1047)] = 28165,
  [SMALL_STATE(1048)] = 28233,
  [SMALL_STATE(1049)] = 28301,
  [SMALL_STATE(1050)] = 28343,
  [SMALL_STATE(1051)] = 28385,
  [SMALL_STATE(1052)] = 28457,
  [SMALL_STATE(1053)] = 28499,
  [SMALL_STATE(1054)] = 28541,
  [SMALL_STATE(1055)] = 28583,
  [SMALL_STATE(1056)] = 28625,
  [SMALL_STATE(1057)] = 28667,
  [SMALL_STATE(1058)] = 28709,
  [SMALL_STATE(1059)] = 28781,
  [SMALL_STATE(1060)] = 28849,
  [SMALL_STATE(1061)] = 28891,
  [SMALL_STATE(1062)] = 28933,
  [SMALL_STATE(1063)] = 29001,
  [SMALL_STATE(1064)] = 29043,
  [SMALL_STATE(1065)] = 29085,
  [SMALL_STATE(1066)] = 29127,
  [SMALL_STATE(1067)] = 29169,
  [SMALL_STATE(1068)] = 29211,
  [SMALL_STATE(1069)] = 29253,
  [SMALL_STATE(1070)] = 29295,
  [SMALL_STATE(1071)] = 29337,
  [SMALL_STATE(1072)] = 29379,
  [SMALL_STATE(1073)] = 29421,
  [SMALL_STATE(1074)] = 29463,
  [SMALL_STATE(1075)] = 29505,
  [SMALL_STATE(1076)] = 29547,
  [SMALL_STATE(1077)] = 29589,
  [SMALL_STATE(1078)] = 29631,
  [SMALL_STATE(1079)] = 29673,
  [SMALL_STATE(1080)] = 29715,
  [SMALL_STATE(1081)] = 29759,
  [SMALL_STATE(1082)] = 29831,
  [SMALL_STATE(1083)] = 29875,
  [SMALL_STATE(1084)] = 29919,
  [SMALL_STATE(1085)] = 29961,
  [SMALL_STATE(1086)] = 30033,
  [SMALL_STATE(1087)] = 30075,
  [SMALL_STATE(1088)] = 30117,
  [SMALL_STATE(1089)] = 30167,
  [SMALL_STATE(1090)] = 30209,
  [SMALL_STATE(1091)] = 30257,
  [SMALL_STATE(1092)] = 30309,
  [SMALL_STATE(1093)] = 30351,
  [SMALL_STATE(1094)] = 30407,
  [SMALL_STATE(1095)] = 30449,
  [SMALL_STATE(1096)] = 30511,
  [SMALL_STATE(1097)] = 30553,
  [SMALL_STATE(1098)] = 30595,
  [SMALL_STATE(1099)] = 30661,
  [SMALL_STATE(1100)] = 30739,
  [SMALL_STATE(1101)] = 30811,
  [SMALL_STATE(1102)] = 30885,
  [SMALL_STATE(1103)] = 30927,
  [SMALL_STATE(1104)] = 31005,
  [SMALL_STATE(1105)] = 31047,
  [SMALL_STATE(1106)] = 31123,
  [SMALL_STATE(1107)] = 31165,
  [SMALL_STATE(1108)] = 31237,
  [SMALL_STATE(1109)] = 31315,
  [SMALL_STATE(1110)] = 31387,
  [SMALL_STATE(1111)] = 31433,
  [SMALL_STATE(1112)] = 31497,
  [SMALL_STATE(1113)] = 31539,
  [SMALL_STATE(1114)] = 31581,
  [SMALL_STATE(1115)] = 31641,
  [SMALL_STATE(1116)] = 31683,
  [SMALL_STATE(1117)] = 31727,
  [SMALL_STATE(1118)] = 31769,
  [SMALL_STATE(1119)] = 31849,
  [SMALL_STATE(1120)] = 31891,
  [SMALL_STATE(1121)] = 31969,
  [SMALL_STATE(1122)] = 32047,
  [SMALL_STATE(1123)] = 32089,
  [SMALL_STATE(1124)] = 32167,
  [SMALL_STATE(1125)] = 32209,
  [SMALL_STATE(1126)] = 32287,
  [SMALL_STATE(1127)] = 32365,
  [SMALL_STATE(1128)] = 32443,
  [SMALL_STATE(1129)] = 32485,
  [SMALL_STATE(1130)] = 32527,
  [SMALL_STATE(1131)] = 32569,
  [SMALL_STATE(1132)] = 32647,
  [SMALL_STATE(1133)] = 32689,
  [SMALL_STATE(1134)] = 32731,
  [SMALL_STATE(1135)] = 32773,
  [SMALL_STATE(1136)] = 32815,
  [SMALL_STATE(1137)] = 32883,
  [SMALL_STATE(1138)] = 32925,
  [SMALL_STATE(1139)] = 32967,
  [SMALL_STATE(1140)] = 33035,
  [SMALL_STATE(1141)] = 33103,
  [SMALL_STATE(1142)] = 33145,
  [SMALL_STATE(1143)] = 33187,
  [SMALL_STATE(1144)] = 33229,
  [SMALL_STATE(1145)] = 33271,
  [SMALL_STATE(1146)] = 33313,
  [SMALL_STATE(1147)] = 33355,
  [SMALL_STATE(1148)] = 33397,
  [SMALL_STATE(1149)] = 33439,
  [SMALL_STATE(1150)] = 33481,
  [SMALL_STATE(1151)] = 33523,
  [SMALL_STATE(1152)] = 33594,
  [SMALL_STATE(1153)] = 33637,
  [SMALL_STATE(1154)] = 33714,
  [SMALL_STATE(1155)] = 33791,
  [SMALL_STATE(1156)] = 33854,
  [SMALL_STATE(1157)] = 33923,
  [SMALL_STATE(1158)] = 33968,
  [SMALL_STATE(1159)] = 34039,
  [SMALL_STATE(1160)] = 34116,
  [SMALL_STATE(1161)] = 34187,
  [SMALL_STATE(1162)] = 34264,
  [SMALL_STATE(1163)] = 34331,
  [SMALL_STATE(1164)] = 34408,
  [SMALL_STATE(1165)] = 34483,
  [SMALL_STATE(1166)] = 34556,
  [SMALL_STATE(1167)] = 34633,
  [SMALL_STATE(1168)] = 34712,
  [SMALL_STATE(1169)] = 34789,
  [SMALL_STATE(1170)] = 34848,
  [SMALL_STATE(1171)] = 34925,
  [SMALL_STATE(1172)] = 34990,
  [SMALL_STATE(1173)] = 35051,
  [SMALL_STATE(1174)] = 35106,
  [SMALL_STATE(1175)] = 35157,
  [SMALL_STATE(1176)] = 35204,
  [SMALL_STATE(1177)] = 35273,
  [SMALL_STATE(1178)] = 35316,
  [SMALL_STATE(1179)] = 35359,
  [SMALL_STATE(1180)] = 35436,
  [SMALL_STATE(1181)] = 35513,
  [SMALL_STATE(1182)] = 35584,
  [SMALL_STATE(1183)] = 35655,
  [SMALL_STATE(1184)] = 35704,
  [SMALL_STATE(1185)] = 35775,
  [SMALL_STATE(1186)] = 35846,
  [SMALL_STATE(1187)] = 35921,
  [SMALL_STATE(1188)] = 35996,
  [SMALL_STATE(1189)] = 36071,
  [SMALL_STATE(1190)] = 36146,
  [SMALL_STATE(1191)] = 36209,
  [SMALL_STATE(1192)] = 36282,
  [SMALL_STATE(1193)] = 36359,
  [SMALL_STATE(1194)] = 36434,
  [SMALL_STATE(1195)] = 36509,
  [SMALL_STATE(1196)] = 36584,
  [SMALL_STATE(1197)] = 36631,
  [SMALL_STATE(1198)] = 36706,
  [SMALL_STATE(1199)] = 36753,
  [SMALL_STATE(1200)] = 36828,
  [SMALL_STATE(1201)] = 36901,
  [SMALL_STATE(1202)] = 36976,
  [SMALL_STATE(1203)] = 37051,
  [SMALL_STATE(1204)] = 37126,
  [SMALL_STATE(1205)] = 37201,
  [SMALL_STATE(1206)] = 37276,
  [SMALL_STATE(1207)] = 37349,
  [SMALL_STATE(1208)] = 37412,
  [SMALL_STATE(1209)] = 37484,
  [SMALL_STATE(1210)] = 37556,
  [SMALL_STATE(1211)] = 37628,
  [SMALL_STATE(1212)] = 37702,
  [SMALL_STATE(1213)] = 37776,
  [SMALL_STATE(1214)] = 37848,
  [SMALL_STATE(1215)] = 37920,
  [SMALL_STATE(1216)] = 37992,
  [SMALL_STATE(1217)] = 38064,
  [SMALL_STATE(1218)] = 38136,
  [SMALL_STATE(1219)] = 38210,
  [SMALL_STATE(1220)] = 38282,
  [SMALL_STATE(1221)] = 38354,
  [SMALL_STATE(1222)] = 38426,
  [SMALL_STATE(1223)] = 38498,
  [SMALL_STATE(1224)] = 38570,
  [SMALL_STATE(1225)] = 38642,
  [SMALL_STATE(1226)] = 38714,
  [SMALL_STATE(1227)] = 38788,
  [SMALL_STATE(1228)] = 38862,
  [SMALL_STATE(1229)] = 38934,
  [SMALL_STATE(1230)] = 39006,
  [SMALL_STATE(1231)] = 39066,
  [SMALL_STATE(1232)] = 39138,
  [SMALL_STATE(1233)] = 39210,
  [SMALL_STATE(1234)] = 39282,
  [SMALL_STATE(1235)] = 39354,
  [SMALL_STATE(1236)] = 39426,
  [SMALL_STATE(1237)] = 39498,
  [SMALL_STATE(1238)] = 39570,
  [SMALL_STATE(1239)] = 39642,
  [SMALL_STATE(1240)] = 39714,
  [SMALL_STATE(1241)] = 39786,
  [SMALL_STATE(1242)] = 39858,
  [SMALL_STATE(1243)] = 39930,
  [SMALL_STATE(1244)] = 40002,
  [SMALL_STATE(1245)] = 40076,
  [SMALL_STATE(1246)] = 40150,
  [SMALL_STATE(1247)] = 40224,
  [SMALL_STATE(1248)] = 40284,
  [SMALL_STATE(1249)] = 40356,
  [SMALL_STATE(1250)] = 40394,
  [SMALL_STATE(1251)] = 40466,
  [SMALL_STATE(1252)] = 40537,
  [SMALL_STATE(1253)] = 40608,
  [SMALL_STATE(1254)] = 40679,
  [SMALL_STATE(1255)] = 40750,
  [SMALL_STATE(1256)] = 40821,
  [SMALL_STATE(1257)] = 40892,
  [SMALL_STATE(1258)] = 40963,
  [SMALL_STATE(1259)] = 41034,
  [SMALL_STATE(1260)] = 41105,
  [SMALL_STATE(1261)] = 41176,
  [SMALL_STATE(1262)] = 41213,
  [SMALL_STATE(1263)] = 41284,
  [SMALL_STATE(1264)] = 41355,
  [SMALL_STATE(1265)] = 41426,
  [SMALL_STATE(1266)] = 41497,
  [SMALL_STATE(1267)] = 41568,
  [SMALL_STATE(1268)] = 41639,
  [SMALL_STATE(1269)] = 41710,
  [SMALL_STATE(1270)] = 41781,
  [SMALL_STATE(1271)] = 41852,
  [SMALL_STATE(1272)] = 41923,
  [SMALL_STATE(1273)] = 41994,
  [SMALL_STATE(1274)] = 42065,
  [SMALL_STATE(1275)] = 42136,
  [SMALL_STATE(1276)] = 42207,
  [SMALL_STATE(1277)] = 42278,
  [SMALL_STATE(1278)] = 42349,
  [SMALL_STATE(1279)] = 42386,
  [SMALL_STATE(1280)] = 42451,
  [SMALL_STATE(1281)] = 42522,
  [SMALL_STATE(1282)] = 42593,
  [SMALL_STATE(1283)] = 42664,
  [SMALL_STATE(1284)] = 42735,
  [SMALL_STATE(1285)] = 42806,
  [SMALL_STATE(1286)] = 42877,
  [SMALL_STATE(1287)] = 42948,
  [SMALL_STATE(1288)] = 43019,
  [SMALL_STATE(1289)] = 43090,
  [SMALL_STATE(1290)] = 43161,
  [SMALL_STATE(1291)] = 43232,
  [SMALL_STATE(1292)] = 43303,
  [SMALL_STATE(1293)] = 43374,
  [SMALL_STATE(1294)] = 43445,
  [SMALL_STATE(1295)] = 43516,
  [SMALL_STATE(1296)] = 43587,
  [SMALL_STATE(1297)] = 43652,
  [SMALL_STATE(1298)] = 43723,
  [SMALL_STATE(1299)] = 43794,
  [SMALL_STATE(1300)] = 43865,
  [SMALL_STATE(1301)] = 43936,
  [SMALL_STATE(1302)] = 44001,
  [SMALL_STATE(1303)] = 44072,
  [SMALL_STATE(1304)] = 44143,
  [SMALL_STATE(1305)] = 44214,
  [SMALL_STATE(1306)] = 44285,
  [SMALL_STATE(1307)] = 44356,
  [SMALL_STATE(1308)] = 44427,
  [SMALL_STATE(1309)] = 44498,
  [SMALL_STATE(1310)] = 44569,
  [SMALL_STATE(1311)] = 44640,
  [SMALL_STATE(1312)] = 44711,
  [SMALL_STATE(1313)] = 44782,
  [SMALL_STATE(1314)] = 44853,
  [SMALL_STATE(1315)] = 44924,
  [SMALL_STATE(1316)] = 44995,
  [SMALL_STATE(1317)] = 45066,
  [SMALL_STATE(1318)] = 45137,
  [SMALL_STATE(1319)] = 45208,
  [SMALL_STATE(1320)] = 45279,
  [SMALL_STATE(1321)] = 45344,
  [SMALL_STATE(1322)] = 45383,
  [SMALL_STATE(1323)] = 45454,
  [SMALL_STATE(1324)] = 45519,
  [SMALL_STATE(1325)] = 45590,
  [SMALL_STATE(1326)] = 45626,
  [SMALL_STATE(1327)] = 45662,
  [SMALL_STATE(1328)] = 45701,
  [SMALL_STATE(1329)] = 45740,
  [SMALL_STATE(1330)] = 45789,
  [SMALL_STATE(1331)] = 45822,
  [SMALL_STATE(1332)] = 45871,
  [SMALL_STATE(1333)] = 45920,
  [SMALL_STATE(1334)] = 45969,
  [SMALL_STATE(1335)] = 46018,
  [SMALL_STATE(1336)] = 46051,
  [SMALL_STATE(1337)] = 46100,
  [SMALL_STATE(1338)] = 46149,
  [SMALL_STATE(1339)] = 46198,
  [SMALL_STATE(1340)] = 46247,
  [SMALL_STATE(1341)] = 46296,
  [SMALL_STATE(1342)] = 46345,
  [SMALL_STATE(1343)] = 46378,
  [SMALL_STATE(1344)] = 46424,
  [SMALL_STATE(1345)] = 46470,
  [SMALL_STATE(1346)] = 46516,
  [SMALL_STATE(1347)] = 46562,
  [SMALL_STATE(1348)] = 46608,
  [SMALL_STATE(1349)] = 46654,
  [SMALL_STATE(1350)] = 46695,
  [SMALL_STATE(1351)] = 46736,
  [SMALL_STATE(1352)] = 46765,
  [SMALL_STATE(1353)] = 46806,
  [SMALL_STATE(1354)] = 46834,
  [SMALL_STATE(1355)] = 46883,
  [SMALL_STATE(1356)] = 46925,
  [SMALL_STATE(1357)] = 46969,
  [SMALL_STATE(1358)] = 47013,
  [SMALL_STATE(1359)] = 47052,
  [SMALL_STATE(1360)] = 47091,
  [SMALL_STATE(1361)] = 47118,
  [SMALL_STATE(1362)] = 47159,
  [SMALL_STATE(1363)] = 47200,
  [SMALL_STATE(1364)] = 47227,
  [SMALL_STATE(1365)] = 47268,
  [SMALL_STATE(1366)] = 47309,
  [SMALL_STATE(1367)] = 47345,
  [SMALL_STATE(1368)] = 47369,
  [SMALL_STATE(1369)] = 47390,
  [SMALL_STATE(1370)] = 47411,
  [SMALL_STATE(1371)] = 47446,
  [SMALL_STATE(1372)] = 47467,
  [SMALL_STATE(1373)] = 47487,
  [SMALL_STATE(1374)] = 47507,
  [SMALL_STATE(1375)] = 47527,
  [SMALL_STATE(1376)] = 47563,
  [SMALL_STATE(1377)] = 47583,
  [SMALL_STATE(1378)] = 47603,
  [SMALL_STATE(1379)] = 47623,
  [SMALL_STATE(1380)] = 47643,
  [SMALL_STATE(1381)] = 47663,
  [SMALL_STATE(1382)] = 47693,
  [SMALL_STATE(1383)] = 47713,
  [SMALL_STATE(1384)] = 47749,
  [SMALL_STATE(1385)] = 47769,
  [SMALL_STATE(1386)] = 47805,
  [SMALL_STATE(1387)] = 47825,
  [SMALL_STATE(1388)] = 47861,
  [SMALL_STATE(1389)] = 47881,
  [SMALL_STATE(1390)] = 47901,
  [SMALL_STATE(1391)] = 47921,
  [SMALL_STATE(1392)] = 47941,
  [SMALL_STATE(1393)] = 47961,
  [SMALL_STATE(1394)] = 47997,
  [SMALL_STATE(1395)] = 48017,
  [SMALL_STATE(1396)] = 48037,
  [SMALL_STATE(1397)] = 48070,
  [SMALL_STATE(1398)] = 48089,
  [SMALL_STATE(1399)] = 48108,
  [SMALL_STATE(1400)] = 48127,
  [SMALL_STATE(1401)] = 48146,
  [SMALL_STATE(1402)] = 48165,
  [SMALL_STATE(1403)] = 48198,
  [SMALL_STATE(1404)] = 48217,
  [SMALL_STATE(1405)] = 48250,
  [SMALL_STATE(1406)] = 48269,
  [SMALL_STATE(1407)] = 48288,
  [SMALL_STATE(1408)] = 48307,
  [SMALL_STATE(1409)] = 48326,
  [SMALL_STATE(1410)] = 48345,
  [SMALL_STATE(1411)] = 48372,
  [SMALL_STATE(1412)] = 48405,
  [SMALL_STATE(1413)] = 48426,
  [SMALL_STATE(1414)] = 48467,
  [SMALL_STATE(1415)] = 48486,
  [SMALL_STATE(1416)] = 48505,
  [SMALL_STATE(1417)] = 48524,
  [SMALL_STATE(1418)] = 48543,
  [SMALL_STATE(1419)] = 48578,
  [SMALL_STATE(1420)] = 48597,
  [SMALL_STATE(1421)] = 48638,
  [SMALL_STATE(1422)] = 48657,
  [SMALL_STATE(1423)] = 48676,
  [SMALL_STATE(1424)] = 48695,
  [SMALL_STATE(1425)] = 48714,
  [SMALL_STATE(1426)] = 48733,
  [SMALL_STATE(1427)] = 48752,
  [SMALL_STATE(1428)] = 48771,
  [SMALL_STATE(1429)] = 48796,
  [SMALL_STATE(1430)] = 48829,
  [SMALL_STATE(1431)] = 48864,
  [SMALL_STATE(1432)] = 48883,
  [SMALL_STATE(1433)] = 48913,
  [SMALL_STATE(1434)] = 48947,
  [SMALL_STATE(1435)] = 48981,
  [SMALL_STATE(1436)] = 49015,
  [SMALL_STATE(1437)] = 49049,
  [SMALL_STATE(1438)] = 49074,
  [SMALL_STATE(1439)] = 49099,
  [SMALL_STATE(1440)] = 49118,
  [SMALL_STATE(1441)] = 49147,
  [SMALL_STATE(1442)] = 49176,
  [SMALL_STATE(1443)] = 49205,
  [SMALL_STATE(1444)] = 49236,
  [SMALL_STATE(1445)] = 49267,
  [SMALL_STATE(1446)] = 49286,
  [SMALL_STATE(1447)] = 49317,
  [SMALL_STATE(1448)] = 49336,
  [SMALL_STATE(1449)] = 49367,
  [SMALL_STATE(1450)] = 49398,
  [SMALL_STATE(1451)] = 49429,
  [SMALL_STATE(1452)] = 49447,
  [SMALL_STATE(1453)] = 49465,
  [SMALL_STATE(1454)] = 49483,
  [SMALL_STATE(1455)] = 49501,
  [SMALL_STATE(1456)] = 49519,
  [SMALL_STATE(1457)] = 49537,
  [SMALL_STATE(1458)] = 49555,
  [SMALL_STATE(1459)] = 49581,
  [SMALL_STATE(1460)] = 49603,
  [SMALL_STATE(1461)] = 49621,
  [SMALL_STATE(1462)] = 49643,
  [SMALL_STATE(1463)] = 49661,
  [SMALL_STATE(1464)] = 49679,
  [SMALL_STATE(1465)] = 49707,
  [SMALL_STATE(1466)] = 49725,
  [SMALL_STATE(1467)] = 49753,
  [SMALL_STATE(1468)] = 49781,
  [SMALL_STATE(1469)] = 49809,
  [SMALL_STATE(1470)] = 49831,
  [SMALL_STATE(1471)] = 49857,
  [SMALL_STATE(1472)] = 49875,
  [SMALL_STATE(1473)] = 49897,
  [SMALL_STATE(1474)] = 49915,
  [SMALL_STATE(1475)] = 49939,
  [SMALL_STATE(1476)] = 49957,
  [SMALL_STATE(1477)] = 49985,
  [SMALL_STATE(1478)] = 50003,
  [SMALL_STATE(1479)] = 50029,
  [SMALL_STATE(1480)] = 50051,
  [SMALL_STATE(1481)] = 50074,
  [SMALL_STATE(1482)] = 50099,
  [SMALL_STATE(1483)] = 50124,
  [SMALL_STATE(1484)] = 50147,
  [SMALL_STATE(1485)] = 50168,
  [SMALL_STATE(1486)] = 50191,
  [SMALL_STATE(1487)] = 50216,
  [SMALL_STATE(1488)] = 50241,
  [SMALL_STATE(1489)] = 50264,
  [SMALL_STATE(1490)] = 50287,
  [SMALL_STATE(1491)] = 50312,
  [SMALL_STATE(1492)] = 50333,
  [SMALL_STATE(1493)] = 50356,
  [SMALL_STATE(1494)] = 50383,
  [SMALL_STATE(1495)] = 50404,
  [SMALL_STATE(1496)] = 50419,
  [SMALL_STATE(1497)] = 50442,
  [SMALL_STATE(1498)] = 50457,
  [SMALL_STATE(1499)] = 50484,
  [SMALL_STATE(1500)] = 50507,
  [SMALL_STATE(1501)] = 50530,
  [SMALL_STATE(1502)] = 50553,
  [SMALL_STATE(1503)] = 50576,
  [SMALL_STATE(1504)] = 50601,
  [SMALL_STATE(1505)] = 50624,
  [SMALL_STATE(1506)] = 50649,
  [SMALL_STATE(1507)] = 50672,
  [SMALL_STATE(1508)] = 50687,
  [SMALL_STATE(1509)] = 50702,
  [SMALL_STATE(1510)] = 50725,
  [SMALL_STATE(1511)] = 50748,
  [SMALL_STATE(1512)] = 50769,
  [SMALL_STATE(1513)] = 50786,
  [SMALL_STATE(1514)] = 50809,
  [SMALL_STATE(1515)] = 50834,
  [SMALL_STATE(1516)] = 50857,
  [SMALL_STATE(1517)] = 50882,
  [SMALL_STATE(1518)] = 50905,
  [SMALL_STATE(1519)] = 50928,
  [SMALL_STATE(1520)] = 50951,
  [SMALL_STATE(1521)] = 50972,
  [SMALL_STATE(1522)] = 50993,
  [SMALL_STATE(1523)] = 51014,
  [SMALL_STATE(1524)] = 51037,
  [SMALL_STATE(1525)] = 51062,
  [SMALL_STATE(1526)] = 51087,
  [SMALL_STATE(1527)] = 51112,
  [SMALL_STATE(1528)] = 51129,
  [SMALL_STATE(1529)] = 51152,
  [SMALL_STATE(1530)] = 51167,
  [SMALL_STATE(1531)] = 51190,
  [SMALL_STATE(1532)] = 51211,
  [SMALL_STATE(1533)] = 51234,
  [SMALL_STATE(1534)] = 51255,
  [SMALL_STATE(1535)] = 51276,
  [SMALL_STATE(1536)] = 51297,
  [SMALL_STATE(1537)] = 51322,
  [SMALL_STATE(1538)] = 51345,
  [SMALL_STATE(1539)] = 51366,
  [SMALL_STATE(1540)] = 51389,
  [SMALL_STATE(1541)] = 51410,
  [SMALL_STATE(1542)] = 51433,
  [SMALL_STATE(1543)] = 51456,
  [SMALL_STATE(1544)] = 51479,
  [SMALL_STATE(1545)] = 51505,
  [SMALL_STATE(1546)] = 51533,
  [SMALL_STATE(1547)] = 51561,
  [SMALL_STATE(1548)] = 51581,
  [SMALL_STATE(1549)] = 51601,
  [SMALL_STATE(1550)] = 51629,
  [SMALL_STATE(1551)] = 51651,
  [SMALL_STATE(1552)] = 51671,
  [SMALL_STATE(1553)] = 51699,
  [SMALL_STATE(1554)] = 51723,
  [SMALL_STATE(1555)] = 51751,
  [SMALL_STATE(1556)] = 51779,
  [SMALL_STATE(1557)] = 51799,
  [SMALL_STATE(1558)] = 51821,
  [SMALL_STATE(1559)] = 51838,
  [SMALL_STATE(1560)] = 51853,
  [SMALL_STATE(1561)] = 51868,
  [SMALL_STATE(1562)] = 51885,
  [SMALL_STATE(1563)] = 51900,
  [SMALL_STATE(1564)] = 51917,
  [SMALL_STATE(1565)] = 51934,
  [SMALL_STATE(1566)] = 51959,
  [SMALL_STATE(1567)] = 51980,
  [SMALL_STATE(1568)] = 51997,
  [SMALL_STATE(1569)] = 52012,
  [SMALL_STATE(1570)] = 52027,
  [SMALL_STATE(1571)] = 52042,
  [SMALL_STATE(1572)] = 52063,
  [SMALL_STATE(1573)] = 52086,
  [SMALL_STATE(1574)] = 52101,
  [SMALL_STATE(1575)] = 52118,
  [SMALL_STATE(1576)] = 52135,
  [SMALL_STATE(1577)] = 52150,
  [SMALL_STATE(1578)] = 52167,
  [SMALL_STATE(1579)] = 52186,
  [SMALL_STATE(1580)] = 52203,
  [SMALL_STATE(1581)] = 52220,
  [SMALL_STATE(1582)] = 52235,
  [SMALL_STATE(1583)] = 52252,
  [SMALL_STATE(1584)] = 52269,
  [SMALL_STATE(1585)] = 52286,
  [SMALL_STATE(1586)] = 52303,
  [SMALL_STATE(1587)] = 52320,
  [SMALL_STATE(1588)] = 52337,
  [SMALL_STATE(1589)] = 52354,
  [SMALL_STATE(1590)] = 52371,
  [SMALL_STATE(1591)] = 52388,
  [SMALL_STATE(1592)] = 52405,
  [SMALL_STATE(1593)] = 52422,
  [SMALL_STATE(1594)] = 52437,
  [SMALL_STATE(1595)] = 52452,
  [SMALL_STATE(1596)] = 52471,
  [SMALL_STATE(1597)] = 52490,
  [SMALL_STATE(1598)] = 52505,
  [SMALL_STATE(1599)] = 52520,
  [SMALL_STATE(1600)] = 52539,
  [SMALL_STATE(1601)] = 52560,
  [SMALL_STATE(1602)] = 52581,
  [SMALL_STATE(1603)] = 52599,
  [SMALL_STATE(1604)] = 52621,
  [SMALL_STATE(1605)] = 52635,
  [SMALL_STATE(1606)] = 52657,
  [SMALL_STATE(1607)] = 52671,
  [SMALL_STATE(1608)] = 52693,
  [SMALL_STATE(1609)] = 52715,
  [SMALL_STATE(1610)] = 52733,
  [SMALL_STATE(1611)] = 52751,
  [SMALL_STATE(1612)] = 52769,
  [SMALL_STATE(1613)] = 52783,
  [SMALL_STATE(1614)] = 52805,
  [SMALL_STATE(1615)] = 52827,
  [SMALL_STATE(1616)] = 52845,
  [SMALL_STATE(1617)] = 52865,
  [SMALL_STATE(1618)] = 52887,
  [SMALL_STATE(1619)] = 52909,
  [SMALL_STATE(1620)] = 52923,
  [SMALL_STATE(1621)] = 52945,
  [SMALL_STATE(1622)] = 52967,
  [SMALL_STATE(1623)] = 52985,
  [SMALL_STATE(1624)] = 53007,
  [SMALL_STATE(1625)] = 53025,
  [SMALL_STATE(1626)] = 53047,
  [SMALL_STATE(1627)] = 53069,
  [SMALL_STATE(1628)] = 53091,
  [SMALL_STATE(1629)] = 53113,
  [SMALL_STATE(1630)] = 53135,
  [SMALL_STATE(1631)] = 53157,
  [SMALL_STATE(1632)] = 53179,
  [SMALL_STATE(1633)] = 53197,
  [SMALL_STATE(1634)] = 53215,
  [SMALL_STATE(1635)] = 53237,
  [SMALL_STATE(1636)] = 53259,
  [SMALL_STATE(1637)] = 53279,
  [SMALL_STATE(1638)] = 53301,
  [SMALL_STATE(1639)] = 53323,
  [SMALL_STATE(1640)] = 53345,
  [SMALL_STATE(1641)] = 53363,
  [SMALL_STATE(1642)] = 53383,
  [SMALL_STATE(1643)] = 53401,
  [SMALL_STATE(1644)] = 53423,
  [SMALL_STATE(1645)] = 53445,
  [SMALL_STATE(1646)] = 53467,
  [SMALL_STATE(1647)] = 53485,
  [SMALL_STATE(1648)] = 53507,
  [SMALL_STATE(1649)] = 53525,
  [SMALL_STATE(1650)] = 53547,
  [SMALL_STATE(1651)] = 53565,
  [SMALL_STATE(1652)] = 53587,
  [SMALL_STATE(1653)] = 53609,
  [SMALL_STATE(1654)] = 53627,
  [SMALL_STATE(1655)] = 53649,
  [SMALL_STATE(1656)] = 53671,
  [SMALL_STATE(1657)] = 53687,
  [SMALL_STATE(1658)] = 53709,
  [SMALL_STATE(1659)] = 53729,
  [SMALL_STATE(1660)] = 53743,
  [SMALL_STATE(1661)] = 53757,
  [SMALL_STATE(1662)] = 53779,
  [SMALL_STATE(1663)] = 53801,
  [SMALL_STATE(1664)] = 53823,
  [SMALL_STATE(1665)] = 53837,
  [SMALL_STATE(1666)] = 53859,
  [SMALL_STATE(1667)] = 53873,
  [SMALL_STATE(1668)] = 53895,
  [SMALL_STATE(1669)] = 53917,
  [SMALL_STATE(1670)] = 53939,
  [SMALL_STATE(1671)] = 53954,
  [SMALL_STATE(1672)] = 53969,
  [SMALL_STATE(1673)] = 53986,
  [SMALL_STATE(1674)] = 54005,
  [SMALL_STATE(1675)] = 54020,
  [SMALL_STATE(1676)] = 54035,
  [SMALL_STATE(1677)] = 54050,
  [SMALL_STATE(1678)] = 54067,
  [SMALL_STATE(1679)] = 54080,
  [SMALL_STATE(1680)] = 54095,
  [SMALL_STATE(1681)] = 54110,
  [SMALL_STATE(1682)] = 54129,
  [SMALL_STATE(1683)] = 54144,
  [SMALL_STATE(1684)] = 54161,
  [SMALL_STATE(1685)] = 54176,
  [SMALL_STATE(1686)] = 54191,
  [SMALL_STATE(1687)] = 54210,
  [SMALL_STATE(1688)] = 54225,
  [SMALL_STATE(1689)] = 54244,
  [SMALL_STATE(1690)] = 54259,
  [SMALL_STATE(1691)] = 54274,
  [SMALL_STATE(1692)] = 54291,
  [SMALL_STATE(1693)] = 54308,
  [SMALL_STATE(1694)] = 54325,
  [SMALL_STATE(1695)] = 54342,
  [SMALL_STATE(1696)] = 54357,
  [SMALL_STATE(1697)] = 54372,
  [SMALL_STATE(1698)] = 54387,
  [SMALL_STATE(1699)] = 54402,
  [SMALL_STATE(1700)] = 54421,
  [SMALL_STATE(1701)] = 54436,
  [SMALL_STATE(1702)] = 54453,
  [SMALL_STATE(1703)] = 54472,
  [SMALL_STATE(1704)] = 54491,
  [SMALL_STATE(1705)] = 54508,
  [SMALL_STATE(1706)] = 54527,
  [SMALL_STATE(1707)] = 54542,
  [SMALL_STATE(1708)] = 54557,
  [SMALL_STATE(1709)] = 54572,
  [SMALL_STATE(1710)] = 54587,
  [SMALL_STATE(1711)] = 54598,
  [SMALL_STATE(1712)] = 54613,
  [SMALL_STATE(1713)] = 54628,
  [SMALL_STATE(1714)] = 54647,
  [SMALL_STATE(1715)] = 54664,
  [SMALL_STATE(1716)] = 54679,
  [SMALL_STATE(1717)] = 54694,
  [SMALL_STATE(1718)] = 54709,
  [SMALL_STATE(1719)] = 54728,
  [SMALL_STATE(1720)] = 54743,
  [SMALL_STATE(1721)] = 54758,
  [SMALL_STATE(1722)] = 54777,
  [SMALL_STATE(1723)] = 54792,
  [SMALL_STATE(1724)] = 54807,
  [SMALL_STATE(1725)] = 54822,
  [SMALL_STATE(1726)] = 54841,
  [SMALL_STATE(1727)] = 54856,
  [SMALL_STATE(1728)] = 54871,
  [SMALL_STATE(1729)] = 54882,
  [SMALL_STATE(1730)] = 54897,
  [SMALL_STATE(1731)] = 54908,
  [SMALL_STATE(1732)] = 54923,
  [SMALL_STATE(1733)] = 54942,
  [SMALL_STATE(1734)] = 54959,
  [SMALL_STATE(1735)] = 54978,
  [SMALL_STATE(1736)] = 54991,
  [SMALL_STATE(1737)] = 55008,
  [SMALL_STATE(1738)] = 55023,
  [SMALL_STATE(1739)] = 55042,
  [SMALL_STATE(1740)] = 55057,
  [SMALL_STATE(1741)] = 55072,
  [SMALL_STATE(1742)] = 55087,
  [SMALL_STATE(1743)] = 55102,
  [SMALL_STATE(1744)] = 55119,
  [SMALL_STATE(1745)] = 55138,
  [SMALL_STATE(1746)] = 55153,
  [SMALL_STATE(1747)] = 55168,
  [SMALL_STATE(1748)] = 55183,
  [SMALL_STATE(1749)] = 55198,
  [SMALL_STATE(1750)] = 55213,
  [SMALL_STATE(1751)] = 55232,
  [SMALL_STATE(1752)] = 55251,
  [SMALL_STATE(1753)] = 55270,
  [SMALL_STATE(1754)] = 55289,
  [SMALL_STATE(1755)] = 55306,
  [SMALL_STATE(1756)] = 55323,
  [SMALL_STATE(1757)] = 55342,
  [SMALL_STATE(1758)] = 55355,
  [SMALL_STATE(1759)] = 55370,
  [SMALL_STATE(1760)] = 55385,
  [SMALL_STATE(1761)] = 55404,
  [SMALL_STATE(1762)] = 55421,
  [SMALL_STATE(1763)] = 55438,
  [SMALL_STATE(1764)] = 55455,
  [SMALL_STATE(1765)] = 55469,
  [SMALL_STATE(1766)] = 55485,
  [SMALL_STATE(1767)] = 55499,
  [SMALL_STATE(1768)] = 55513,
  [SMALL_STATE(1769)] = 55529,
  [SMALL_STATE(1770)] = 55541,
  [SMALL_STATE(1771)] = 55557,
  [SMALL_STATE(1772)] = 55567,
  [SMALL_STATE(1773)] = 55581,
  [SMALL_STATE(1774)] = 55591,
  [SMALL_STATE(1775)] = 55607,
  [SMALL_STATE(1776)] = 55623,
  [SMALL_STATE(1777)] = 55637,
  [SMALL_STATE(1778)] = 55651,
  [SMALL_STATE(1779)] = 55667,
  [SMALL_STATE(1780)] = 55681,
  [SMALL_STATE(1781)] = 55695,
  [SMALL_STATE(1782)] = 55707,
  [SMALL_STATE(1783)] = 55723,
  [SMALL_STATE(1784)] = 55737,
  [SMALL_STATE(1785)] = 55747,
  [SMALL_STATE(1786)] = 55763,
  [SMALL_STATE(1787)] = 55773,
  [SMALL_STATE(1788)] = 55783,
  [SMALL_STATE(1789)] = 55797,
  [SMALL_STATE(1790)] = 55809,
  [SMALL_STATE(1791)] = 55823,
  [SMALL_STATE(1792)] = 55833,
  [SMALL_STATE(1793)] = 55849,
  [SMALL_STATE(1794)] = 55865,
  [SMALL_STATE(1795)] = 55879,
  [SMALL_STATE(1796)] = 55895,
  [SMALL_STATE(1797)] = 55909,
  [SMALL_STATE(1798)] = 55923,
  [SMALL_STATE(1799)] = 55939,
  [SMALL_STATE(1800)] = 55953,
  [SMALL_STATE(1801)] = 55967,
  [SMALL_STATE(1802)] = 55981,
  [SMALL_STATE(1803)] = 55995,
  [SMALL_STATE(1804)] = 56009,
  [SMALL_STATE(1805)] = 56023,
  [SMALL_STATE(1806)] = 56039,
  [SMALL_STATE(1807)] = 56053,
  [SMALL_STATE(1808)] = 56067,
  [SMALL_STATE(1809)] = 56077,
  [SMALL_STATE(1810)] = 56087,
  [SMALL_STATE(1811)] = 56097,
  [SMALL_STATE(1812)] = 56113,
  [SMALL_STATE(1813)] = 56123,
  [SMALL_STATE(1814)] = 56135,
  [SMALL_STATE(1815)] = 56151,
  [SMALL_STATE(1816)] = 56165,
  [SMALL_STATE(1817)] = 56181,
  [SMALL_STATE(1818)] = 56191,
  [SMALL_STATE(1819)] = 56207,
  [SMALL_STATE(1820)] = 56221,
  [SMALL_STATE(1821)] = 56235,
  [SMALL_STATE(1822)] = 56251,
  [SMALL_STATE(1823)] = 56261,
  [SMALL_STATE(1824)] = 56271,
  [SMALL_STATE(1825)] = 56281,
  [SMALL_STATE(1826)] = 56297,
  [SMALL_STATE(1827)] = 56313,
  [SMALL_STATE(1828)] = 56323,
  [SMALL_STATE(1829)] = 56337,
  [SMALL_STATE(1830)] = 56351,
  [SMALL_STATE(1831)] = 56365,
  [SMALL_STATE(1832)] = 56379,
  [SMALL_STATE(1833)] = 56395,
  [SMALL_STATE(1834)] = 56411,
  [SMALL_STATE(1835)] = 56427,
  [SMALL_STATE(1836)] = 56441,
  [SMALL_STATE(1837)] = 56455,
  [SMALL_STATE(1838)] = 56471,
  [SMALL_STATE(1839)] = 56487,
  [SMALL_STATE(1840)] = 56501,
  [SMALL_STATE(1841)] = 56517,
  [SMALL_STATE(1842)] = 56533,
  [SMALL_STATE(1843)] = 56549,
  [SMALL_STATE(1844)] = 56565,
  [SMALL_STATE(1845)] = 56579,
  [SMALL_STATE(1846)] = 56593,
  [SMALL_STATE(1847)] = 56609,
  [SMALL_STATE(1848)] = 56623,
  [SMALL_STATE(1849)] = 56637,
  [SMALL_STATE(1850)] = 56651,
  [SMALL_STATE(1851)] = 56667,
  [SMALL_STATE(1852)] = 56683,
  [SMALL_STATE(1853)] = 56697,
  [SMALL_STATE(1854)] = 56713,
  [SMALL_STATE(1855)] = 56727,
  [SMALL_STATE(1856)] = 56743,
  [SMALL_STATE(1857)] = 56757,
  [SMALL_STATE(1858)] = 56773,
  [SMALL_STATE(1859)] = 56787,
  [SMALL_STATE(1860)] = 56801,
  [SMALL_STATE(1861)] = 56815,
  [SMALL_STATE(1862)] = 56829,
  [SMALL_STATE(1863)] = 56839,
  [SMALL_STATE(1864)] = 56855,
  [SMALL_STATE(1865)] = 56869,
  [SMALL_STATE(1866)] = 56885,
  [SMALL_STATE(1867)] = 56901,
  [SMALL_STATE(1868)] = 56917,
  [SMALL_STATE(1869)] = 56931,
  [SMALL_STATE(1870)] = 56947,
  [SMALL_STATE(1871)] = 56961,
  [SMALL_STATE(1872)] = 56975,
  [SMALL_STATE(1873)] = 56989,
  [SMALL_STATE(1874)] = 57005,
  [SMALL_STATE(1875)] = 57021,
  [SMALL_STATE(1876)] = 57037,
  [SMALL_STATE(1877)] = 57049,
  [SMALL_STATE(1878)] = 57065,
  [SMALL_STATE(1879)] = 57079,
  [SMALL_STATE(1880)] = 57093,
  [SMALL_STATE(1881)] = 57107,
  [SMALL_STATE(1882)] = 57123,
  [SMALL_STATE(1883)] = 57137,
  [SMALL_STATE(1884)] = 57153,
  [SMALL_STATE(1885)] = 57169,
  [SMALL_STATE(1886)] = 57185,
  [SMALL_STATE(1887)] = 57201,
  [SMALL_STATE(1888)] = 57215,
  [SMALL_STATE(1889)] = 57231,
  [SMALL_STATE(1890)] = 57247,
  [SMALL_STATE(1891)] = 57261,
  [SMALL_STATE(1892)] = 57275,
  [SMALL_STATE(1893)] = 57289,
  [SMALL_STATE(1894)] = 57303,
  [SMALL_STATE(1895)] = 57317,
  [SMALL_STATE(1896)] = 57331,
  [SMALL_STATE(1897)] = 57347,
  [SMALL_STATE(1898)] = 57363,
  [SMALL_STATE(1899)] = 57373,
  [SMALL_STATE(1900)] = 57387,
  [SMALL_STATE(1901)] = 57401,
  [SMALL_STATE(1902)] = 57417,
  [SMALL_STATE(1903)] = 57427,
  [SMALL_STATE(1904)] = 57443,
  [SMALL_STATE(1905)] = 57459,
  [SMALL_STATE(1906)] = 57475,
  [SMALL_STATE(1907)] = 57491,
  [SMALL_STATE(1908)] = 57507,
  [SMALL_STATE(1909)] = 57517,
  [SMALL_STATE(1910)] = 57533,
  [SMALL_STATE(1911)] = 57549,
  [SMALL_STATE(1912)] = 57565,
  [SMALL_STATE(1913)] = 57579,
  [SMALL_STATE(1914)] = 57595,
  [SMALL_STATE(1915)] = 57609,
  [SMALL_STATE(1916)] = 57623,
  [SMALL_STATE(1917)] = 57639,
  [SMALL_STATE(1918)] = 57655,
  [SMALL_STATE(1919)] = 57669,
  [SMALL_STATE(1920)] = 57683,
  [SMALL_STATE(1921)] = 57699,
  [SMALL_STATE(1922)] = 57713,
  [SMALL_STATE(1923)] = 57726,
  [SMALL_STATE(1924)] = 57739,
  [SMALL_STATE(1925)] = 57752,
  [SMALL_STATE(1926)] = 57765,
  [SMALL_STATE(1927)] = 57776,
  [SMALL_STATE(1928)] = 57787,
  [SMALL_STATE(1929)] = 57798,
  [SMALL_STATE(1930)] = 57809,
  [SMALL_STATE(1931)] = 57818,
  [SMALL_STATE(1932)] = 57829,
  [SMALL_STATE(1933)] = 57840,
  [SMALL_STATE(1934)] = 57849,
  [SMALL_STATE(1935)] = 57860,
  [SMALL_STATE(1936)] = 57873,
  [SMALL_STATE(1937)] = 57886,
  [SMALL_STATE(1938)] = 57897,
  [SMALL_STATE(1939)] = 57910,
  [SMALL_STATE(1940)] = 57921,
  [SMALL_STATE(1941)] = 57932,
  [SMALL_STATE(1942)] = 57943,
  [SMALL_STATE(1943)] = 57954,
  [SMALL_STATE(1944)] = 57967,
  [SMALL_STATE(1945)] = 57980,
  [SMALL_STATE(1946)] = 57993,
  [SMALL_STATE(1947)] = 58006,
  [SMALL_STATE(1948)] = 58019,
  [SMALL_STATE(1949)] = 58032,
  [SMALL_STATE(1950)] = 58041,
  [SMALL_STATE(1951)] = 58054,
  [SMALL_STATE(1952)] = 58067,
  [SMALL_STATE(1953)] = 58080,
  [SMALL_STATE(1954)] = 58093,
  [SMALL_STATE(1955)] = 58106,
  [SMALL_STATE(1956)] = 58119,
  [SMALL_STATE(1957)] = 58130,
  [SMALL_STATE(1958)] = 58141,
  [SMALL_STATE(1959)] = 58152,
  [SMALL_STATE(1960)] = 58163,
  [SMALL_STATE(1961)] = 58176,
  [SMALL_STATE(1962)] = 58187,
  [SMALL_STATE(1963)] = 58196,
  [SMALL_STATE(1964)] = 58207,
  [SMALL_STATE(1965)] = 58218,
  [SMALL_STATE(1966)] = 58229,
  [SMALL_STATE(1967)] = 58242,
  [SMALL_STATE(1968)] = 58255,
  [SMALL_STATE(1969)] = 58268,
  [SMALL_STATE(1970)] = 58279,
  [SMALL_STATE(1971)] = 58292,
  [SMALL_STATE(1972)] = 58303,
  [SMALL_STATE(1973)] = 58314,
  [SMALL_STATE(1974)] = 58325,
  [SMALL_STATE(1975)] = 58338,
  [SMALL_STATE(1976)] = 58351,
  [SMALL_STATE(1977)] = 58364,
  [SMALL_STATE(1978)] = 58377,
  [SMALL_STATE(1979)] = 58388,
  [SMALL_STATE(1980)] = 58399,
  [SMALL_STATE(1981)] = 58410,
  [SMALL_STATE(1982)] = 58423,
  [SMALL_STATE(1983)] = 58434,
  [SMALL_STATE(1984)] = 58445,
  [SMALL_STATE(1985)] = 58456,
  [SMALL_STATE(1986)] = 58467,
  [SMALL_STATE(1987)] = 58476,
  [SMALL_STATE(1988)] = 58487,
  [SMALL_STATE(1989)] = 58500,
  [SMALL_STATE(1990)] = 58511,
  [SMALL_STATE(1991)] = 58522,
  [SMALL_STATE(1992)] = 58535,
  [SMALL_STATE(1993)] = 58548,
  [SMALL_STATE(1994)] = 58559,
  [SMALL_STATE(1995)] = 58570,
  [SMALL_STATE(1996)] = 58583,
  [SMALL_STATE(1997)] = 58592,
  [SMALL_STATE(1998)] = 58603,
  [SMALL_STATE(1999)] = 58616,
  [SMALL_STATE(2000)] = 58625,
  [SMALL_STATE(2001)] = 58636,
  [SMALL_STATE(2002)] = 58649,
  [SMALL_STATE(2003)] = 58662,
  [SMALL_STATE(2004)] = 58675,
  [SMALL_STATE(2005)] = 58684,
  [SMALL_STATE(2006)] = 58695,
  [SMALL_STATE(2007)] = 58704,
  [SMALL_STATE(2008)] = 58717,
  [SMALL_STATE(2009)] = 58728,
  [SMALL_STATE(2010)] = 58739,
  [SMALL_STATE(2011)] = 58752,
  [SMALL_STATE(2012)] = 58765,
  [SMALL_STATE(2013)] = 58778,
  [SMALL_STATE(2014)] = 58791,
  [SMALL_STATE(2015)] = 58802,
  [SMALL_STATE(2016)] = 58813,
  [SMALL_STATE(2017)] = 58826,
  [SMALL_STATE(2018)] = 58837,
  [SMALL_STATE(2019)] = 58846,
  [SMALL_STATE(2020)] = 58859,
  [SMALL_STATE(2021)] = 58872,
  [SMALL_STATE(2022)] = 58885,
  [SMALL_STATE(2023)] = 58894,
  [SMALL_STATE(2024)] = 58905,
  [SMALL_STATE(2025)] = 58916,
  [SMALL_STATE(2026)] = 58929,
  [SMALL_STATE(2027)] = 58940,
  [SMALL_STATE(2028)] = 58951,
  [SMALL_STATE(2029)] = 58964,
  [SMALL_STATE(2030)] = 58975,
  [SMALL_STATE(2031)] = 58986,
  [SMALL_STATE(2032)] = 58999,
  [SMALL_STATE(2033)] = 59010,
  [SMALL_STATE(2034)] = 59019,
  [SMALL_STATE(2035)] = 59032,
  [SMALL_STATE(2036)] = 59045,
  [SMALL_STATE(2037)] = 59056,
  [SMALL_STATE(2038)] = 59067,
  [SMALL_STATE(2039)] = 59080,
  [SMALL_STATE(2040)] = 59093,
  [SMALL_STATE(2041)] = 59104,
  [SMALL_STATE(2042)] = 59115,
  [SMALL_STATE(2043)] = 59126,
  [SMALL_STATE(2044)] = 59137,
  [SMALL_STATE(2045)] = 59148,
  [SMALL_STATE(2046)] = 59159,
  [SMALL_STATE(2047)] = 59172,
  [SMALL_STATE(2048)] = 59185,
  [SMALL_STATE(2049)] = 59198,
  [SMALL_STATE(2050)] = 59209,
  [SMALL_STATE(2051)] = 59220,
  [SMALL_STATE(2052)] = 59231,
  [SMALL_STATE(2053)] = 59242,
  [SMALL_STATE(2054)] = 59255,
  [SMALL_STATE(2055)] = 59268,
  [SMALL_STATE(2056)] = 59279,
  [SMALL_STATE(2057)] = 59290,
  [SMALL_STATE(2058)] = 59301,
  [SMALL_STATE(2059)] = 59312,
  [SMALL_STATE(2060)] = 59323,
  [SMALL_STATE(2061)] = 59334,
  [SMALL_STATE(2062)] = 59347,
  [SMALL_STATE(2063)] = 59358,
  [SMALL_STATE(2064)] = 59371,
  [SMALL_STATE(2065)] = 59382,
  [SMALL_STATE(2066)] = 59395,
  [SMALL_STATE(2067)] = 59406,
  [SMALL_STATE(2068)] = 59417,
  [SMALL_STATE(2069)] = 59428,
  [SMALL_STATE(2070)] = 59439,
  [SMALL_STATE(2071)] = 59448,
  [SMALL_STATE(2072)] = 59457,
  [SMALL_STATE(2073)] = 59470,
  [SMALL_STATE(2074)] = 59483,
  [SMALL_STATE(2075)] = 59494,
  [SMALL_STATE(2076)] = 59507,
  [SMALL_STATE(2077)] = 59518,
  [SMALL_STATE(2078)] = 59527,
  [SMALL_STATE(2079)] = 59540,
  [SMALL_STATE(2080)] = 59553,
  [SMALL_STATE(2081)] = 59566,
  [SMALL_STATE(2082)] = 59577,
  [SMALL_STATE(2083)] = 59588,
  [SMALL_STATE(2084)] = 59599,
  [SMALL_STATE(2085)] = 59612,
  [SMALL_STATE(2086)] = 59625,
  [SMALL_STATE(2087)] = 59636,
  [SMALL_STATE(2088)] = 59647,
  [SMALL_STATE(2089)] = 59660,
  [SMALL_STATE(2090)] = 59671,
  [SMALL_STATE(2091)] = 59684,
  [SMALL_STATE(2092)] = 59693,
  [SMALL_STATE(2093)] = 59704,
  [SMALL_STATE(2094)] = 59715,
  [SMALL_STATE(2095)] = 59728,
  [SMALL_STATE(2096)] = 59739,
  [SMALL_STATE(2097)] = 59752,
  [SMALL_STATE(2098)] = 59761,
  [SMALL_STATE(2099)] = 59772,
  [SMALL_STATE(2100)] = 59785,
  [SMALL_STATE(2101)] = 59794,
  [SMALL_STATE(2102)] = 59807,
  [SMALL_STATE(2103)] = 59820,
  [SMALL_STATE(2104)] = 59831,
  [SMALL_STATE(2105)] = 59842,
  [SMALL_STATE(2106)] = 59853,
  [SMALL_STATE(2107)] = 59866,
  [SMALL_STATE(2108)] = 59877,
  [SMALL_STATE(2109)] = 59888,
  [SMALL_STATE(2110)] = 59901,
  [SMALL_STATE(2111)] = 59912,
  [SMALL_STATE(2112)] = 59921,
  [SMALL_STATE(2113)] = 59932,
  [SMALL_STATE(2114)] = 59945,
  [SMALL_STATE(2115)] = 59956,
  [SMALL_STATE(2116)] = 59969,
  [SMALL_STATE(2117)] = 59982,
  [SMALL_STATE(2118)] = 59993,
  [SMALL_STATE(2119)] = 60004,
  [SMALL_STATE(2120)] = 60013,
  [SMALL_STATE(2121)] = 60024,
  [SMALL_STATE(2122)] = 60035,
  [SMALL_STATE(2123)] = 60046,
  [SMALL_STATE(2124)] = 60059,
  [SMALL_STATE(2125)] = 60070,
  [SMALL_STATE(2126)] = 60083,
  [SMALL_STATE(2127)] = 60096,
  [SMALL_STATE(2128)] = 60107,
  [SMALL_STATE(2129)] = 60118,
  [SMALL_STATE(2130)] = 60129,
  [SMALL_STATE(2131)] = 60142,
  [SMALL_STATE(2132)] = 60155,
  [SMALL_STATE(2133)] = 60168,
  [SMALL_STATE(2134)] = 60179,
  [SMALL_STATE(2135)] = 60192,
  [SMALL_STATE(2136)] = 60203,
  [SMALL_STATE(2137)] = 60214,
  [SMALL_STATE(2138)] = 60225,
  [SMALL_STATE(2139)] = 60238,
  [SMALL_STATE(2140)] = 60249,
  [SMALL_STATE(2141)] = 60262,
  [SMALL_STATE(2142)] = 60275,
  [SMALL_STATE(2143)] = 60286,
  [SMALL_STATE(2144)] = 60299,
  [SMALL_STATE(2145)] = 60310,
  [SMALL_STATE(2146)] = 60319,
  [SMALL_STATE(2147)] = 60330,
  [SMALL_STATE(2148)] = 60343,
  [SMALL_STATE(2149)] = 60354,
  [SMALL_STATE(2150)] = 60365,
  [SMALL_STATE(2151)] = 60378,
  [SMALL_STATE(2152)] = 60391,
  [SMALL_STATE(2153)] = 60402,
  [SMALL_STATE(2154)] = 60415,
  [SMALL_STATE(2155)] = 60428,
  [SMALL_STATE(2156)] = 60441,
  [SMALL_STATE(2157)] = 60452,
  [SMALL_STATE(2158)] = 60465,
  [SMALL_STATE(2159)] = 60476,
  [SMALL_STATE(2160)] = 60487,
  [SMALL_STATE(2161)] = 60500,
  [SMALL_STATE(2162)] = 60513,
  [SMALL_STATE(2163)] = 60526,
  [SMALL_STATE(2164)] = 60537,
  [SMALL_STATE(2165)] = 60550,
  [SMALL_STATE(2166)] = 60561,
  [SMALL_STATE(2167)] = 60572,
  [SMALL_STATE(2168)] = 60583,
  [SMALL_STATE(2169)] = 60594,
  [SMALL_STATE(2170)] = 60603,
  [SMALL_STATE(2171)] = 60612,
  [SMALL_STATE(2172)] = 60625,
  [SMALL_STATE(2173)] = 60638,
  [SMALL_STATE(2174)] = 60651,
  [SMALL_STATE(2175)] = 60664,
  [SMALL_STATE(2176)] = 60675,
  [SMALL_STATE(2177)] = 60688,
  [SMALL_STATE(2178)] = 60701,
  [SMALL_STATE(2179)] = 60710,
  [SMALL_STATE(2180)] = 60723,
  [SMALL_STATE(2181)] = 60734,
  [SMALL_STATE(2182)] = 60743,
  [SMALL_STATE(2183)] = 60754,
  [SMALL_STATE(2184)] = 60765,
  [SMALL_STATE(2185)] = 60776,
  [SMALL_STATE(2186)] = 60787,
  [SMALL_STATE(2187)] = 60800,
  [SMALL_STATE(2188)] = 60813,
  [SMALL_STATE(2189)] = 60824,
  [SMALL_STATE(2190)] = 60837,
  [SMALL_STATE(2191)] = 60847,
  [SMALL_STATE(2192)] = 60857,
  [SMALL_STATE(2193)] = 60867,
  [SMALL_STATE(2194)] = 60877,
  [SMALL_STATE(2195)] = 60887,
  [SMALL_STATE(2196)] = 60897,
  [SMALL_STATE(2197)] = 60907,
  [SMALL_STATE(2198)] = 60917,
  [SMALL_STATE(2199)] = 60927,
  [SMALL_STATE(2200)] = 60937,
  [SMALL_STATE(2201)] = 60947,
  [SMALL_STATE(2202)] = 60957,
  [SMALL_STATE(2203)] = 60965,
  [SMALL_STATE(2204)] = 60973,
  [SMALL_STATE(2205)] = 60983,
  [SMALL_STATE(2206)] = 60993,
  [SMALL_STATE(2207)] = 61003,
  [SMALL_STATE(2208)] = 61013,
  [SMALL_STATE(2209)] = 61023,
  [SMALL_STATE(2210)] = 61033,
  [SMALL_STATE(2211)] = 61041,
  [SMALL_STATE(2212)] = 61051,
  [SMALL_STATE(2213)] = 61061,
  [SMALL_STATE(2214)] = 61069,
  [SMALL_STATE(2215)] = 61077,
  [SMALL_STATE(2216)] = 61087,
  [SMALL_STATE(2217)] = 61095,
  [SMALL_STATE(2218)] = 61103,
  [SMALL_STATE(2219)] = 61113,
  [SMALL_STATE(2220)] = 61121,
  [SMALL_STATE(2221)] = 61129,
  [SMALL_STATE(2222)] = 61137,
  [SMALL_STATE(2223)] = 61145,
  [SMALL_STATE(2224)] = 61155,
  [SMALL_STATE(2225)] = 61163,
  [SMALL_STATE(2226)] = 61171,
  [SMALL_STATE(2227)] = 61181,
  [SMALL_STATE(2228)] = 61189,
  [SMALL_STATE(2229)] = 61199,
  [SMALL_STATE(2230)] = 61209,
  [SMALL_STATE(2231)] = 61217,
  [SMALL_STATE(2232)] = 61225,
  [SMALL_STATE(2233)] = 61235,
  [SMALL_STATE(2234)] = 61243,
  [SMALL_STATE(2235)] = 61251,
  [SMALL_STATE(2236)] = 61261,
  [SMALL_STATE(2237)] = 61271,
  [SMALL_STATE(2238)] = 61279,
  [SMALL_STATE(2239)] = 61287,
  [SMALL_STATE(2240)] = 61297,
  [SMALL_STATE(2241)] = 61305,
  [SMALL_STATE(2242)] = 61313,
  [SMALL_STATE(2243)] = 61321,
  [SMALL_STATE(2244)] = 61329,
  [SMALL_STATE(2245)] = 61337,
  [SMALL_STATE(2246)] = 61347,
  [SMALL_STATE(2247)] = 61357,
  [SMALL_STATE(2248)] = 61367,
  [SMALL_STATE(2249)] = 61377,
  [SMALL_STATE(2250)] = 61387,
  [SMALL_STATE(2251)] = 61397,
  [SMALL_STATE(2252)] = 61407,
  [SMALL_STATE(2253)] = 61417,
  [SMALL_STATE(2254)] = 61427,
  [SMALL_STATE(2255)] = 61437,
  [SMALL_STATE(2256)] = 61447,
  [SMALL_STATE(2257)] = 61457,
  [SMALL_STATE(2258)] = 61467,
  [SMALL_STATE(2259)] = 61475,
  [SMALL_STATE(2260)] = 61483,
  [SMALL_STATE(2261)] = 61493,
  [SMALL_STATE(2262)] = 61501,
  [SMALL_STATE(2263)] = 61511,
  [SMALL_STATE(2264)] = 61519,
  [SMALL_STATE(2265)] = 61529,
  [SMALL_STATE(2266)] = 61539,
  [SMALL_STATE(2267)] = 61549,
  [SMALL_STATE(2268)] = 61557,
  [SMALL_STATE(2269)] = 61567,
  [SMALL_STATE(2270)] = 61577,
  [SMALL_STATE(2271)] = 61587,
  [SMALL_STATE(2272)] = 61595,
  [SMALL_STATE(2273)] = 61603,
  [SMALL_STATE(2274)] = 61613,
  [SMALL_STATE(2275)] = 61623,
  [SMALL_STATE(2276)] = 61633,
  [SMALL_STATE(2277)] = 61643,
  [SMALL_STATE(2278)] = 61653,
  [SMALL_STATE(2279)] = 61661,
  [SMALL_STATE(2280)] = 61669,
  [SMALL_STATE(2281)] = 61679,
  [SMALL_STATE(2282)] = 61689,
  [SMALL_STATE(2283)] = 61699,
  [SMALL_STATE(2284)] = 61707,
  [SMALL_STATE(2285)] = 61717,
  [SMALL_STATE(2286)] = 61727,
  [SMALL_STATE(2287)] = 61737,
  [SMALL_STATE(2288)] = 61745,
  [SMALL_STATE(2289)] = 61755,
  [SMALL_STATE(2290)] = 61763,
  [SMALL_STATE(2291)] = 61773,
  [SMALL_STATE(2292)] = 61783,
  [SMALL_STATE(2293)] = 61791,
  [SMALL_STATE(2294)] = 61801,
  [SMALL_STATE(2295)] = 61809,
  [SMALL_STATE(2296)] = 61817,
  [SMALL_STATE(2297)] = 61825,
  [SMALL_STATE(2298)] = 61833,
  [SMALL_STATE(2299)] = 61843,
  [SMALL_STATE(2300)] = 61853,
  [SMALL_STATE(2301)] = 61863,
  [SMALL_STATE(2302)] = 61873,
  [SMALL_STATE(2303)] = 61881,
  [SMALL_STATE(2304)] = 61891,
  [SMALL_STATE(2305)] = 61901,
  [SMALL_STATE(2306)] = 61911,
  [SMALL_STATE(2307)] = 61919,
  [SMALL_STATE(2308)] = 61929,
  [SMALL_STATE(2309)] = 61937,
  [SMALL_STATE(2310)] = 61945,
  [SMALL_STATE(2311)] = 61955,
  [SMALL_STATE(2312)] = 61965,
  [SMALL_STATE(2313)] = 61973,
  [SMALL_STATE(2314)] = 61981,
  [SMALL_STATE(2315)] = 61989,
  [SMALL_STATE(2316)] = 61997,
  [SMALL_STATE(2317)] = 62005,
  [SMALL_STATE(2318)] = 62015,
  [SMALL_STATE(2319)] = 62023,
  [SMALL_STATE(2320)] = 62031,
  [SMALL_STATE(2321)] = 62039,
  [SMALL_STATE(2322)] = 62047,
  [SMALL_STATE(2323)] = 62057,
  [SMALL_STATE(2324)] = 62067,
  [SMALL_STATE(2325)] = 62077,
  [SMALL_STATE(2326)] = 62085,
  [SMALL_STATE(2327)] = 62093,
  [SMALL_STATE(2328)] = 62103,
  [SMALL_STATE(2329)] = 62111,
  [SMALL_STATE(2330)] = 62121,
  [SMALL_STATE(2331)] = 62131,
  [SMALL_STATE(2332)] = 62141,
  [SMALL_STATE(2333)] = 62151,
  [SMALL_STATE(2334)] = 62161,
  [SMALL_STATE(2335)] = 62169,
  [SMALL_STATE(2336)] = 62177,
  [SMALL_STATE(2337)] = 62187,
  [SMALL_STATE(2338)] = 62197,
  [SMALL_STATE(2339)] = 62207,
  [SMALL_STATE(2340)] = 62217,
  [SMALL_STATE(2341)] = 62225,
  [SMALL_STATE(2342)] = 62233,
  [SMALL_STATE(2343)] = 62241,
  [SMALL_STATE(2344)] = 62249,
  [SMALL_STATE(2345)] = 62259,
  [SMALL_STATE(2346)] = 62269,
  [SMALL_STATE(2347)] = 62279,
  [SMALL_STATE(2348)] = 62289,
  [SMALL_STATE(2349)] = 62297,
  [SMALL_STATE(2350)] = 62307,
  [SMALL_STATE(2351)] = 62317,
  [SMALL_STATE(2352)] = 62327,
  [SMALL_STATE(2353)] = 62335,
  [SMALL_STATE(2354)] = 62345,
  [SMALL_STATE(2355)] = 62355,
  [SMALL_STATE(2356)] = 62365,
  [SMALL_STATE(2357)] = 62375,
  [SMALL_STATE(2358)] = 62383,
  [SMALL_STATE(2359)] = 62393,
  [SMALL_STATE(2360)] = 62403,
  [SMALL_STATE(2361)] = 62411,
  [SMALL_STATE(2362)] = 62421,
  [SMALL_STATE(2363)] = 62431,
  [SMALL_STATE(2364)] = 62439,
  [SMALL_STATE(2365)] = 62449,
  [SMALL_STATE(2366)] = 62459,
  [SMALL_STATE(2367)] = 62469,
  [SMALL_STATE(2368)] = 62479,
  [SMALL_STATE(2369)] = 62489,
  [SMALL_STATE(2370)] = 62499,
  [SMALL_STATE(2371)] = 62507,
  [SMALL_STATE(2372)] = 62517,
  [SMALL_STATE(2373)] = 62525,
  [SMALL_STATE(2374)] = 62535,
  [SMALL_STATE(2375)] = 62545,
  [SMALL_STATE(2376)] = 62555,
  [SMALL_STATE(2377)] = 62565,
  [SMALL_STATE(2378)] = 62575,
  [SMALL_STATE(2379)] = 62583,
  [SMALL_STATE(2380)] = 62593,
  [SMALL_STATE(2381)] = 62603,
  [SMALL_STATE(2382)] = 62613,
  [SMALL_STATE(2383)] = 62621,
  [SMALL_STATE(2384)] = 62631,
  [SMALL_STATE(2385)] = 62641,
  [SMALL_STATE(2386)] = 62649,
  [SMALL_STATE(2387)] = 62657,
  [SMALL_STATE(2388)] = 62667,
  [SMALL_STATE(2389)] = 62677,
  [SMALL_STATE(2390)] = 62687,
  [SMALL_STATE(2391)] = 62697,
  [SMALL_STATE(2392)] = 62707,
  [SMALL_STATE(2393)] = 62717,
  [SMALL_STATE(2394)] = 62727,
  [SMALL_STATE(2395)] = 62737,
  [SMALL_STATE(2396)] = 62745,
  [SMALL_STATE(2397)] = 62755,
  [SMALL_STATE(2398)] = 62765,
  [SMALL_STATE(2399)] = 62775,
  [SMALL_STATE(2400)] = 62785,
  [SMALL_STATE(2401)] = 62795,
  [SMALL_STATE(2402)] = 62805,
  [SMALL_STATE(2403)] = 62815,
  [SMALL_STATE(2404)] = 62825,
  [SMALL_STATE(2405)] = 62835,
  [SMALL_STATE(2406)] = 62845,
  [SMALL_STATE(2407)] = 62855,
  [SMALL_STATE(2408)] = 62863,
  [SMALL_STATE(2409)] = 62873,
  [SMALL_STATE(2410)] = 62881,
  [SMALL_STATE(2411)] = 62891,
  [SMALL_STATE(2412)] = 62899,
  [SMALL_STATE(2413)] = 62909,
  [SMALL_STATE(2414)] = 62919,
  [SMALL_STATE(2415)] = 62929,
  [SMALL_STATE(2416)] = 62939,
  [SMALL_STATE(2417)] = 62949,
  [SMALL_STATE(2418)] = 62959,
  [SMALL_STATE(2419)] = 62969,
  [SMALL_STATE(2420)] = 62977,
  [SMALL_STATE(2421)] = 62985,
  [SMALL_STATE(2422)] = 62995,
  [SMALL_STATE(2423)] = 63003,
  [SMALL_STATE(2424)] = 63011,
  [SMALL_STATE(2425)] = 63021,
  [SMALL_STATE(2426)] = 63029,
  [SMALL_STATE(2427)] = 63037,
  [SMALL_STATE(2428)] = 63045,
  [SMALL_STATE(2429)] = 63053,
  [SMALL_STATE(2430)] = 63063,
  [SMALL_STATE(2431)] = 63073,
  [SMALL_STATE(2432)] = 63083,
  [SMALL_STATE(2433)] = 63093,
  [SMALL_STATE(2434)] = 63103,
  [SMALL_STATE(2435)] = 63113,
  [SMALL_STATE(2436)] = 63123,
  [SMALL_STATE(2437)] = 63131,
  [SMALL_STATE(2438)] = 63141,
  [SMALL_STATE(2439)] = 63151,
  [SMALL_STATE(2440)] = 63161,
  [SMALL_STATE(2441)] = 63171,
  [SMALL_STATE(2442)] = 63181,
  [SMALL_STATE(2443)] = 63189,
  [SMALL_STATE(2444)] = 63199,
  [SMALL_STATE(2445)] = 63209,
  [SMALL_STATE(2446)] = 63217,
  [SMALL_STATE(2447)] = 63227,
  [SMALL_STATE(2448)] = 63235,
  [SMALL_STATE(2449)] = 63245,
  [SMALL_STATE(2450)] = 63253,
  [SMALL_STATE(2451)] = 63263,
  [SMALL_STATE(2452)] = 63271,
  [SMALL_STATE(2453)] = 63279,
  [SMALL_STATE(2454)] = 63286,
  [SMALL_STATE(2455)] = 63293,
  [SMALL_STATE(2456)] = 63300,
  [SMALL_STATE(2457)] = 63307,
  [SMALL_STATE(2458)] = 63314,
  [SMALL_STATE(2459)] = 63321,
  [SMALL_STATE(2460)] = 63328,
  [SMALL_STATE(2461)] = 63335,
  [SMALL_STATE(2462)] = 63342,
  [SMALL_STATE(2463)] = 63349,
  [SMALL_STATE(2464)] = 63356,
  [SMALL_STATE(2465)] = 63363,
  [SMALL_STATE(2466)] = 63370,
  [SMALL_STATE(2467)] = 63377,
  [SMALL_STATE(2468)] = 63384,
  [SMALL_STATE(2469)] = 63391,
  [SMALL_STATE(2470)] = 63398,
  [SMALL_STATE(2471)] = 63405,
  [SMALL_STATE(2472)] = 63412,
  [SMALL_STATE(2473)] = 63419,
  [SMALL_STATE(2474)] = 63426,
  [SMALL_STATE(2475)] = 63433,
  [SMALL_STATE(2476)] = 63440,
  [SMALL_STATE(2477)] = 63447,
  [SMALL_STATE(2478)] = 63454,
  [SMALL_STATE(2479)] = 63461,
  [SMALL_STATE(2480)] = 63468,
  [SMALL_STATE(2481)] = 63475,
  [SMALL_STATE(2482)] = 63482,
  [SMALL_STATE(2483)] = 63489,
  [SMALL_STATE(2484)] = 63496,
  [SMALL_STATE(2485)] = 63503,
  [SMALL_STATE(2486)] = 63510,
  [SMALL_STATE(2487)] = 63517,
  [SMALL_STATE(2488)] = 63524,
  [SMALL_STATE(2489)] = 63531,
  [SMALL_STATE(2490)] = 63538,
  [SMALL_STATE(2491)] = 63545,
  [SMALL_STATE(2492)] = 63552,
  [SMALL_STATE(2493)] = 63559,
  [SMALL_STATE(2494)] = 63566,
  [SMALL_STATE(2495)] = 63573,
  [SMALL_STATE(2496)] = 63580,
  [SMALL_STATE(2497)] = 63587,
  [SMALL_STATE(2498)] = 63594,
  [SMALL_STATE(2499)] = 63601,
  [SMALL_STATE(2500)] = 63608,
  [SMALL_STATE(2501)] = 63615,
  [SMALL_STATE(2502)] = 63622,
  [SMALL_STATE(2503)] = 63629,
  [SMALL_STATE(2504)] = 63636,
  [SMALL_STATE(2505)] = 63643,
  [SMALL_STATE(2506)] = 63650,
  [SMALL_STATE(2507)] = 63657,
  [SMALL_STATE(2508)] = 63664,
  [SMALL_STATE(2509)] = 63671,
  [SMALL_STATE(2510)] = 63678,
  [SMALL_STATE(2511)] = 63685,
  [SMALL_STATE(2512)] = 63692,
  [SMALL_STATE(2513)] = 63699,
  [SMALL_STATE(2514)] = 63706,
  [SMALL_STATE(2515)] = 63713,
  [SMALL_STATE(2516)] = 63720,
  [SMALL_STATE(2517)] = 63727,
  [SMALL_STATE(2518)] = 63734,
  [SMALL_STATE(2519)] = 63741,
  [SMALL_STATE(2520)] = 63748,
  [SMALL_STATE(2521)] = 63755,
  [SMALL_STATE(2522)] = 63762,
  [SMALL_STATE(2523)] = 63769,
  [SMALL_STATE(2524)] = 63776,
  [SMALL_STATE(2525)] = 63783,
  [SMALL_STATE(2526)] = 63790,
  [SMALL_STATE(2527)] = 63797,
  [SMALL_STATE(2528)] = 63804,
  [SMALL_STATE(2529)] = 63811,
  [SMALL_STATE(2530)] = 63818,
  [SMALL_STATE(2531)] = 63825,
  [SMALL_STATE(2532)] = 63832,
  [SMALL_STATE(2533)] = 63839,
  [SMALL_STATE(2534)] = 63846,
  [SMALL_STATE(2535)] = 63853,
  [SMALL_STATE(2536)] = 63860,
  [SMALL_STATE(2537)] = 63867,
  [SMALL_STATE(2538)] = 63874,
  [SMALL_STATE(2539)] = 63881,
  [SMALL_STATE(2540)] = 63888,
  [SMALL_STATE(2541)] = 63895,
  [SMALL_STATE(2542)] = 63902,
  [SMALL_STATE(2543)] = 63909,
  [SMALL_STATE(2544)] = 63916,
  [SMALL_STATE(2545)] = 63923,
  [SMALL_STATE(2546)] = 63930,
  [SMALL_STATE(2547)] = 63937,
  [SMALL_STATE(2548)] = 63944,
  [SMALL_STATE(2549)] = 63951,
  [SMALL_STATE(2550)] = 63958,
  [SMALL_STATE(2551)] = 63965,
  [SMALL_STATE(2552)] = 63972,
  [SMALL_STATE(2553)] = 63979,
  [SMALL_STATE(2554)] = 63986,
  [SMALL_STATE(2555)] = 63993,
  [SMALL_STATE(2556)] = 64000,
  [SMALL_STATE(2557)] = 64007,
  [SMALL_STATE(2558)] = 64014,
  [SMALL_STATE(2559)] = 64021,
  [SMALL_STATE(2560)] = 64028,
  [SMALL_STATE(2561)] = 64035,
  [SMALL_STATE(2562)] = 64042,
  [SMALL_STATE(2563)] = 64049,
  [SMALL_STATE(2564)] = 64056,
  [SMALL_STATE(2565)] = 64063,
  [SMALL_STATE(2566)] = 64070,
  [SMALL_STATE(2567)] = 64077,
  [SMALL_STATE(2568)] = 64084,
  [SMALL_STATE(2569)] = 64091,
  [SMALL_STATE(2570)] = 64098,
  [SMALL_STATE(2571)] = 64105,
  [SMALL_STATE(2572)] = 64112,
  [SMALL_STATE(2573)] = 64119,
  [SMALL_STATE(2574)] = 64126,
  [SMALL_STATE(2575)] = 64133,
  [SMALL_STATE(2576)] = 64140,
  [SMALL_STATE(2577)] = 64147,
  [SMALL_STATE(2578)] = 64154,
  [SMALL_STATE(2579)] = 64161,
  [SMALL_STATE(2580)] = 64168,
  [SMALL_STATE(2581)] = 64175,
  [SMALL_STATE(2582)] = 64182,
  [SMALL_STATE(2583)] = 64189,
  [SMALL_STATE(2584)] = 64196,
  [SMALL_STATE(2585)] = 64203,
  [SMALL_STATE(2586)] = 64210,
  [SMALL_STATE(2587)] = 64217,
  [SMALL_STATE(2588)] = 64224,
  [SMALL_STATE(2589)] = 64231,
  [SMALL_STATE(2590)] = 64238,
  [SMALL_STATE(2591)] = 64245,
  [SMALL_STATE(2592)] = 64252,
  [SMALL_STATE(2593)] = 64259,
  [SMALL_STATE(2594)] = 64266,
  [SMALL_STATE(2595)] = 64273,
  [SMALL_STATE(2596)] = 64280,
  [SMALL_STATE(2597)] = 64287,
  [SMALL_STATE(2598)] = 64294,
  [SMALL_STATE(2599)] = 64301,
  [SMALL_STATE(2600)] = 64308,
  [SMALL_STATE(2601)] = 64315,
  [SMALL_STATE(2602)] = 64322,
  [SMALL_STATE(2603)] = 64329,
  [SMALL_STATE(2604)] = 64336,
  [SMALL_STATE(2605)] = 64343,
  [SMALL_STATE(2606)] = 64350,
  [SMALL_STATE(2607)] = 64357,
  [SMALL_STATE(2608)] = 64364,
  [SMALL_STATE(2609)] = 64371,
  [SMALL_STATE(2610)] = 64378,
  [SMALL_STATE(2611)] = 64385,
  [SMALL_STATE(2612)] = 64392,
  [SMALL_STATE(2613)] = 64399,
  [SMALL_STATE(2614)] = 64406,
  [SMALL_STATE(2615)] = 64413,
  [SMALL_STATE(2616)] = 64420,
  [SMALL_STATE(2617)] = 64427,
  [SMALL_STATE(2618)] = 64434,
  [SMALL_STATE(2619)] = 64441,
  [SMALL_STATE(2620)] = 64448,
  [SMALL_STATE(2621)] = 64455,
  [SMALL_STATE(2622)] = 64462,
  [SMALL_STATE(2623)] = 64469,
  [SMALL_STATE(2624)] = 64476,
  [SMALL_STATE(2625)] = 64483,
  [SMALL_STATE(2626)] = 64490,
  [SMALL_STATE(2627)] = 64497,
  [SMALL_STATE(2628)] = 64504,
  [SMALL_STATE(2629)] = 64511,
  [SMALL_STATE(2630)] = 64518,
  [SMALL_STATE(2631)] = 64525,
  [SMALL_STATE(2632)] = 64532,
  [SMALL_STATE(2633)] = 64539,
  [SMALL_STATE(2634)] = 64546,
  [SMALL_STATE(2635)] = 64553,
  [SMALL_STATE(2636)] = 64560,
  [SMALL_STATE(2637)] = 64567,
  [SMALL_STATE(2638)] = 64574,
  [SMALL_STATE(2639)] = 64581,
  [SMALL_STATE(2640)] = 64588,
  [SMALL_STATE(2641)] = 64595,
  [SMALL_STATE(2642)] = 64602,
  [SMALL_STATE(2643)] = 64609,
  [SMALL_STATE(2644)] = 64616,
  [SMALL_STATE(2645)] = 64623,
  [SMALL_STATE(2646)] = 64630,
  [SMALL_STATE(2647)] = 64637,
  [SMALL_STATE(2648)] = 64644,
  [SMALL_STATE(2649)] = 64651,
  [SMALL_STATE(2650)] = 64658,
  [SMALL_STATE(2651)] = 64665,
  [SMALL_STATE(2652)] = 64672,
  [SMALL_STATE(2653)] = 64679,
  [SMALL_STATE(2654)] = 64686,
  [SMALL_STATE(2655)] = 64693,
  [SMALL_STATE(2656)] = 64700,
  [SMALL_STATE(2657)] = 64707,
  [SMALL_STATE(2658)] = 64714,
  [SMALL_STATE(2659)] = 64721,
  [SMALL_STATE(2660)] = 64728,
  [SMALL_STATE(2661)] = 64735,
  [SMALL_STATE(2662)] = 64742,
  [SMALL_STATE(2663)] = 64749,
  [SMALL_STATE(2664)] = 64756,
  [SMALL_STATE(2665)] = 64763,
  [SMALL_STATE(2666)] = 64770,
  [SMALL_STATE(2667)] = 64777,
  [SMALL_STATE(2668)] = 64784,
  [SMALL_STATE(2669)] = 64791,
  [SMALL_STATE(2670)] = 64798,
  [SMALL_STATE(2671)] = 64805,
  [SMALL_STATE(2672)] = 64812,
  [SMALL_STATE(2673)] = 64819,
  [SMALL_STATE(2674)] = 64826,
  [SMALL_STATE(2675)] = 64833,
  [SMALL_STATE(2676)] = 64840,
  [SMALL_STATE(2677)] = 64847,
  [SMALL_STATE(2678)] = 64854,
  [SMALL_STATE(2679)] = 64861,
  [SMALL_STATE(2680)] = 64868,
  [SMALL_STATE(2681)] = 64875,
  [SMALL_STATE(2682)] = 64882,
  [SMALL_STATE(2683)] = 64889,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(802),
  [134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(465),
  [137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1440),
  [140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2064),
  [143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1718),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1430),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1493),
  [152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1048),
  [155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2193),
  [158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(70),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2674),
  [164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2673),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2672),
  [170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2669),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1249),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1261),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1353),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1351),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1768),
  [190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(96),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2664),
  [196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(192),
  [199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2663),
  [202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2661),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1050),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2199),
  [211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2655),
  [214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(195),
  [217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(196),
  [220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(201),
  [223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(229),
  [226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2206),
  [229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(82),
  [232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2649),
  [235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2648),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2208),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2211),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2212),
  [247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(234),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(236),
  [253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(236),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(574),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(259),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(668),
  [265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(855),
  [268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2644),
  [271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(103),
  [274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(744),
  [277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1449),
  [280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1770),
  [283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1375),
  [286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2186),
  [289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1429),
  [292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1761),
  [295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(87),
  [298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(274),
  [301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(275),
  [304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(277),
  [307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(278),
  [310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2),
  [312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2),
  [314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 130),
  [316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 130),
  [318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3),
  [320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3),
  [322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 130),
  [324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 130),
  [326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2670),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2276),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2679),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2683),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2264),
  [353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2),
  [355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1), SHIFT(901),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1), SHIFT(733),
  [837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2455),
  [944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2450),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 3),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 3),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 46),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 46),
  [959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 46), SHIFT(2285),
  [962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 46), SHIFT(81),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 17),
  [971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 17),
  [973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 17), SHIFT(2285),
  [976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 17), SHIFT(81),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 3),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 3),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 163),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 163),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 88),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 88),
  [995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 88), SHIFT_REPEAT(2285),
  [998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [1000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [1002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 181),
  [1004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 181),
  [1006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 173),
  [1008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 173),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 85),
  [1016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 85),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 174),
  [1022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 174),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 41),
  [1028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 41),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 167),
  [1034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 167),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 60),
  [1040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 60),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 11),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 11),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 92),
  [1054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 92),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 93),
  [1060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 93),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 183),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 183),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 103),
  [1072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 103),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 105),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 105),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 52),
  [1088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 52),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [1096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 149),
  [1098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 149),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 148),
  [1104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 148),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 147),
  [1110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 147),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 137),
  [1116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 137),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 136),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 136),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 136),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 136),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 17),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 17),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 92),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 92),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2),
  [1162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 93),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 93),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, .production_id = 95),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, .production_id = 95),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 46),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 46),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 45),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 45),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, .production_id = 17),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, .production_id = 17),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 17),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 17),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 45),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 45),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 44),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 44),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 85),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 85),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, .production_id = 127),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, .production_id = 127),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 60),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 60),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, .production_id = 146),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, .production_id = 146),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 103),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 103),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 11),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 11),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 105),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 105),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 26),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 26),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, .production_id = 9),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, .production_id = 9),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 11),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 11),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, .production_id = 11),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, .production_id = 11),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 11),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 11),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 41),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 41),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 60),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 60),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, .production_id = 103),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, .production_id = 103),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 9, .production_id = 183),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 9, .production_id = 183),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, .production_id = 164),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, .production_id = 164),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 174),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 174),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, .production_id = 95),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, .production_id = 95),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 52),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 52),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 41),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 41),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, .production_id = 39),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, .production_id = 39),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 173),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 173),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 167),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 167),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, .production_id = 1),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, .production_id = 1),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, .production_id = 164),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, .production_id = 164),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 87),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 87),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 10),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 10),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 11),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 11),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 17),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 17),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 87),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 87),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, .production_id = 3),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, .production_id = 3),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, .production_id = 3),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, .production_id = 3),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 137),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 137),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, .production_id = 39),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, .production_id = 39),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 86),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 86),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 17),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 17),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, .production_id = 172),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, .production_id = 172),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 147),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 147),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 148),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 148),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 149),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 149),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 41),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 41),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, .production_id = 84),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, .production_id = 84),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, .production_id = 24),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, .production_id = 24),
  [1542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, .production_id = 98),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, .production_id = 98),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, .production_id = 23),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, .production_id = 23),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, .production_id = 24),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, .production_id = 24),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, .production_id = 43),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, .production_id = 43),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 5, .production_id = 98),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 5, .production_id = 98),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, .production_id = 58),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, .production_id = 58),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, .production_id = 8),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, .production_id = 8),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 6, .production_id = 139),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 6, .production_id = 139),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, .production_id = 57),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, .production_id = 57),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, .production_id = 58),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, .production_id = 58),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, .production_id = 138),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, .production_id = 138),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, .production_id = 139),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, .production_id = 139),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4),
  [1618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4),
  [1620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2),
  [1650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1), REDUCE(sym__array_destructing_element, 1),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1), REDUCE(sym__array_destructing_element, 3),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2),
  [1668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 22),
  [1710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 22),
  [1712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1), SHIFT(2522),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2),
  [1717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3),
  [1737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, .production_id = 97),
  [1749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, .production_id = 97),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2),
  [1759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2),
  [1761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2), REDUCE(sym_array_creation_expression, 2),
  [1764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [1776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1441),
  [1783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(744),
  [1786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2126),
  [1789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2193),
  [1792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2),
  [1794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(99),
  [1797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2595),
  [1800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(113),
  [1803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1814),
  [1806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1383),
  [1809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(2090),
  [1812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1762),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, .production_id = 50),
  [1821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, .production_id = 50),
  [1823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, .production_id = 16),
  [1825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, .production_id = 16),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3),
  [1833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, .production_id = 18),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, .production_id = 18),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, .production_id = 133),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, .production_id = 133),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, .production_id = 16),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, .production_id = 16),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, .production_id = 134),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, .production_id = 134),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, .production_id = 166),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, .production_id = 166),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, .production_id = 165),
  [1875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, .production_id = 165),
  [1877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, .production_id = 16),
  [1883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, .production_id = 16),
  [1885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, .production_id = 89),
  [1887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, .production_id = 89),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 16),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 16),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, .production_id = 91),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, .production_id = 91),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, .production_id = 90),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, .production_id = 90),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [1911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1),
  [1913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2),
  [1941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 169),
  [1943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 169),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 35),
  [1947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 35),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 141),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 141),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 140),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 140),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2),
  [1963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 65),
  [1967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 65),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 8, .production_id = 182),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 8, .production_id = 182),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 142),
  [1975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 142),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 143),
  [1979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 143),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 66),
  [1983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 66),
  [1985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2),
  [1987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, .production_id = 17),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, .production_id = 17),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6, .production_id = 47),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6, .production_id = 47),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2),
  [1999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 144),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 144),
  [2005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 64),
  [2007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 64),
  [2009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5, .production_id = 47),
  [2011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5, .production_id = 47),
  [2013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3),
  [2015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6),
  [2019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4, .production_id = 47),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4, .production_id = 47),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 38),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 38),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 171),
  [2035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 171),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, .production_id = 13),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, .production_id = 13),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [2047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [2049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 37),
  [2051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 37),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 122),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 122),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 168),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 168),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 110),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 110),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 109),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 109),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 145),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 145),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exponentiation_expression, 3, .production_id = 21),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exponentiation_expression, 3, .production_id = 21),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 108),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 108),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 78),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 78),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 102),
  [2091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 102),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 43),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 43),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 151),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 151),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 101),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 101),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 100),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 100),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 99),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 99),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 80),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 80),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 59),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 59),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 170),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 170),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 7, .production_id = 47),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 7, .production_id = 47),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 27),
  [2151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 27),
  [2153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 79),
  [2159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 79),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 55),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 55),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 20),
  [2217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 96),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 96),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 22),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 21),
  [2237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, .production_id = 56),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2),
  [2283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1325),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2),
  [2288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1249),
  [2291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1261),
  [2294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1326),
  [2297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1029),
  [2300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1278),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1325),
  [2432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1476),
  [2435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1600),
  [2438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1136),
  [2441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2),
  [2443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1249),
  [2446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1261),
  [2449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1326),
  [2452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(652),
  [2455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1278),
  [2458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1449),
  [2461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3),
  [2463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [2467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, .production_id = 28),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 154),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 121),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, .production_id = 178),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 76),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 177),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 176),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 152),
  [2517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 153),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [2521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, .production_id = 175),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 155),
  [2529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, .production_id = 184),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [2541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 157),
  [2543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 159),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [2549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 115),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, .production_id = 2),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [2555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, .production_id = 128),
  [2557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, .production_id = 129),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 113),
  [2561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2),
  [2563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 111),
  [2565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [2573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 4, .production_id = 135),
  [2575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1),
  [2577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, .production_id = 51),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1),
  [2601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1),
  [2633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1508),
  [2694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1476),
  [2697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1600),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2),
  [2702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(2538),
  [2705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1497),
  [2708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1495),
  [2711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1507),
  [2714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1359),
  [2717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1529),
  [2720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2), SHIFT_REPEAT(1449),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [2765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1),
  [2767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1),
  [2769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1),
  [2777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2),
  [2779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2),
  [2781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2), SHIFT_REPEAT(1443),
  [2784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [2790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4),
  [2798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [2806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(366),
  [2809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1362),
  [2812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1465),
  [2815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1370),
  [2818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1714),
  [2821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(1465),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [2832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_heredoc_body, 2), SHIFT(1370),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [2839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [2847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 1),
  [2849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1),
  [2851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2), SHIFT_REPEAT(1449),
  [2854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(366),
  [2857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1364),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1465),
  [2863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2),
  [2865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1714),
  [2868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2), SHIFT_REPEAT(1465),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [2875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1508),
  [2878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1497),
  [2881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1495),
  [2884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1507),
  [2887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1366),
  [2890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(1529),
  [2893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [2901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, .production_id = 162),
  [2905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 126),
  [2921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 26),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 82),
  [2925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 9),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, .production_id = 161),
  [2939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(402),
  [2942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1385),
  [2945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1597),
  [2948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1597),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2),
  [2953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2), SHIFT_REPEAT(1683),
  [2956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 125),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 124),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 39),
  [2980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 179),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 160),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3),
  [2992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(381),
  [2995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1404),
  [2998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1404),
  [3001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2),
  [3003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2), SHIFT_REPEAT(1672),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, .production_id = 160),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, .production_id = 185),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, .production_id = 179),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, .production_id = 40),
  [3014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, .production_id = 1),
  [3040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, .production_id = 39),
  [3044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, .production_id = 72),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, .production_id = 123),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, .production_id = 10),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, .production_id = 81),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, .production_id = 83),
  [3066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, .production_id = 180),
  [3082] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym__type, 1), REDUCE(sym_union_type, 1), REDUCE(sym_intersection_type, 1), REDUCE(sym_disjunctive_normal_form_type, 1, .dynamic_precedence = -1),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3089] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym__type, 1), REDUCE(sym_union_type, 1), REDUCE(sym_intersection_type, 1), REDUCE(sym_disjunctive_normal_form_type, 1, .dynamic_precedence = -1),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [3096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [3118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2),
  [3120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [3122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2),
  [3136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, .production_id = 24),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, .production_id = 24),
  [3140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2),
  [3146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, .production_id = 7),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, .production_id = 7),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2),
  [3161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4),
  [3172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, .production_id = 6),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, .production_id = 6),
  [3178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [3186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2),
  [3188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [3200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1347),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, .dynamic_precedence = -1),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, .dynamic_precedence = -1),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3),
  [3297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [3319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, .dynamic_precedence = -1),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, .dynamic_precedence = -1),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2), SHIFT_REPEAT(1341),
  [3342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1343),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [3355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, .dynamic_precedence = -1),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, .dynamic_precedence = -1),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2658),
  [3392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2408),
  [3395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2),
  [3397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [3403] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym__type, 1), REDUCE(sym_union_type, 1), REDUCE(sym_intersection_type, 1), REDUCE(sym_disjunctive_normal_form_type, 1, .dynamic_precedence = -1), SHIFT(1346),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2),
  [3413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(374),
  [3416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2267),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [3425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, .production_id = 6),
  [3427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, .production_id = 6),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [3485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 46), SHIFT(2424),
  [3488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 46), SHIFT(77),
  [3491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 17), SHIFT(2424),
  [3494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 17), SHIFT(77),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [3525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2), SHIFT_REPEAT(1337),
  [3528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1344),
  [3531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1345),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, .production_id = 34),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2),
  [3584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2), SHIFT_REPEAT(2530),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [3605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2), SHIFT_REPEAT(1466),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 88),
  [3640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 88), SHIFT_REPEAT(2282),
  [3643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 88),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, .production_id = 12),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [3669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2),
  [3671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2), SHIFT(2530),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [3680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(1348),
  [3683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2),
  [3685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2), SHIFT_REPEAT(1336),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [3696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [3710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2), SHIFT_REPEAT(2522),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [3723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 88), SHIFT_REPEAT(2424),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [3748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1), SHIFT(2530),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [3771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [3787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2),
  [3789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2), SHIFT_REPEAT(1565),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [3796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat2, 2),
  [3798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat2, 2), SHIFT_REPEAT(2013),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [3811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4),
  [3813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, .production_id = 2),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [3857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [3875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2), SHIFT(1346),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [3888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2),
  [3890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2), SHIFT_REPEAT(1830),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [3901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2), SHIFT_REPEAT(1346),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2),
  [3910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2), SHIFT_REPEAT(1609),
  [3913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2), SHIFT_REPEAT(1464),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [3930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2),
  [3932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2), SHIFT_REPEAT(1446),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2),
  [3953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2), SHIFT_REPEAT(1983),
  [3956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2),
  [3958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2), SHIFT_REPEAT(1988),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [3983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [3985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1907),
  [3988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1907),
  [3991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [4001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [4007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [4019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 14),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 112),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 106),
  [4041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3),
  [4043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2), SHIFT_REPEAT(149),
  [4054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [4062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 117),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, .production_id = 2),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, .production_id = 118),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [4096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 19),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [4102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3),
  [4104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 25),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [4114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 120),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 3),
  [4126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [4138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 29),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [4146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, .production_id = 30),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [4150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [4160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 31),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [4166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 32),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [4182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, .production_id = 5),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [4190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(148),
  [4193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [4201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, .production_id = 49),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [4207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, .production_id = 17),
  [4209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, .production_id = 17),
  [4211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, .production_id = 44),
  [4213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, .production_id = 44),
  [4215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, .production_id = 132),
  [4217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, .production_id = 4),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [4229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2), SHIFT_REPEAT(282),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, .production_id = 77),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [4244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [4248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, .production_id = 132),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, .production_id = 48),
  [4260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2), SHIFT_REPEAT(820),
  [4263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4),
  [4265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, .production_id = 49),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [4277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(144),
  [4280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [4290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2), SHIFT_REPEAT(155),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, .production_id = 49),
  [4297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 75),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2), SHIFT_REPEAT(156),
  [4308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [4312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2), SHIFT_REPEAT(1736),
  [4315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2),
  [4317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 74),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 73),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(150),
  [4328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 71),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2), SHIFT_REPEAT(1450),
  [4335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(700),
  [4346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, .production_id = 156),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 69),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, .production_id = 68),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, .production_id = 33),
  [4376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, .production_id = 36),
  [4378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2), SHIFT_REPEAT(1847),
  [4381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2),
  [4383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 63),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [4389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 61),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [4405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 53),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 1), SHIFT(2421),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 67),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [4434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 70),
  [4436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 72),
  [4438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3), REDUCE(sym_array_element_initializer, 3),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [4443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5),
  [4445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, .production_id = 158),
  [4447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3),
  [4453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 2), SHIFT(2421),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, .production_id = 131),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [4476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [4508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1), REDUCE(sym_array_element_initializer, 1),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [4531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [4535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference, 2),
  [4537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2), SHIFT(2522),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [4550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, .production_id = 10),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [4572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [4580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 4),
  [4582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 116),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [4586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 114),
  [4588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 119),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, .production_id = 15),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [4642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 107),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 104),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [4676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, .production_id = 150),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [4680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name_as_prefix, 4),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [4690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3),
  [4692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, .production_id = 94),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [4744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 42),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [4764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [4842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, .production_id = 3),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4888] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [4910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 54),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, .production_id = 62),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[14][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
  },
  [12] = {
    [ts_external_token_nowdoc_string] = true,
  },
  [13] = {
    [ts_external_token_heredoc_start] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_only_external_scanner_create(void);
void tree_sitter_php_only_external_scanner_destroy(void *);
bool tree_sitter_php_only_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_only_external_scanner_serialize(void *, char *);
void tree_sitter_php_only_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_php_only(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_only_external_scanner_create,
      tree_sitter_php_only_external_scanner_destroy,
      tree_sitter_php_only_external_scanner_scan,
      tree_sitter_php_only_external_scanner_serialize,
      tree_sitter_php_only_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
